#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 5998
#define LARGE_STATE_COUNT 1167
#define SYMBOL_COUNT 398
#define ALIAS_COUNT 7
#define TOKEN_COUNT 175
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 44
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 352

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_with = 16,
  anon_sym_assert = 17,
  anon_sym_var = 18,
  anon_sym_let = 19,
  anon_sym_const = 20,
  anon_sym_BANG = 21,
  anon_sym_else = 22,
  anon_sym_if = 23,
  anon_sym_switch = 24,
  anon_sym_for = 25,
  anon_sym_LPAREN = 26,
  anon_sym_SEMI = 27,
  anon_sym_RPAREN = 28,
  anon_sym_await = 29,
  anon_sym_in = 30,
  anon_sym_of = 31,
  anon_sym_while = 32,
  anon_sym_do = 33,
  anon_sym_try = 34,
  anon_sym_break = 35,
  anon_sym_continue = 36,
  anon_sym_debugger = 37,
  anon_sym_return = 38,
  anon_sym_throw = 39,
  anon_sym_COLON = 40,
  anon_sym_case = 41,
  anon_sym_catch = 42,
  anon_sym_finally = 43,
  anon_sym_yield = 44,
  anon_sym_LBRACK = 45,
  anon_sym_RBRACK = 46,
  sym__glimmer_template_content = 47,
  sym_glimmer_opening_tag = 48,
  sym_glimmer_closing_tag = 49,
  sym_html_character_reference = 50,
  anon_sym_GT = 51,
  sym_jsx_identifier = 52,
  anon_sym_DOT = 53,
  anon_sym_LT_SLASH = 54,
  anon_sym_SLASH_GT = 55,
  anon_sym_DQUOTE = 56,
  anon_sym_SQUOTE = 57,
  sym_unescaped_double_jsx_string_fragment = 58,
  sym_unescaped_single_jsx_string_fragment = 59,
  anon_sym_class = 60,
  anon_sym_async = 61,
  anon_sym_function = 62,
  anon_sym_EQ_GT = 63,
  anon_sym_QMARK_DOT = 64,
  anon_sym_new = 65,
  anon_sym_using = 66,
  anon_sym_PLUS_EQ = 67,
  anon_sym_DASH_EQ = 68,
  anon_sym_STAR_EQ = 69,
  anon_sym_SLASH_EQ = 70,
  anon_sym_PERCENT_EQ = 71,
  anon_sym_CARET_EQ = 72,
  anon_sym_AMP_EQ = 73,
  anon_sym_PIPE_EQ = 74,
  anon_sym_GT_GT_EQ = 75,
  anon_sym_GT_GT_GT_EQ = 76,
  anon_sym_LT_LT_EQ = 77,
  anon_sym_STAR_STAR_EQ = 78,
  anon_sym_AMP_AMP_EQ = 79,
  anon_sym_PIPE_PIPE_EQ = 80,
  anon_sym_QMARK_QMARK_EQ = 81,
  anon_sym_DOT_DOT_DOT = 82,
  anon_sym_AMP_AMP = 83,
  anon_sym_PIPE_PIPE = 84,
  anon_sym_GT_GT = 85,
  anon_sym_GT_GT_GT = 86,
  anon_sym_LT_LT = 87,
  anon_sym_AMP = 88,
  anon_sym_CARET = 89,
  anon_sym_PIPE = 90,
  anon_sym_PLUS = 91,
  anon_sym_DASH = 92,
  anon_sym_SLASH = 93,
  anon_sym_PERCENT = 94,
  anon_sym_STAR_STAR = 95,
  anon_sym_LT = 96,
  anon_sym_LT_EQ = 97,
  anon_sym_EQ_EQ = 98,
  anon_sym_EQ_EQ_EQ = 99,
  anon_sym_BANG_EQ = 100,
  anon_sym_BANG_EQ_EQ = 101,
  anon_sym_GT_EQ = 102,
  anon_sym_QMARK_QMARK = 103,
  anon_sym_instanceof = 104,
  anon_sym_TILDE = 105,
  anon_sym_void = 106,
  anon_sym_delete = 107,
  anon_sym_PLUS_PLUS = 108,
  anon_sym_DASH_DASH = 109,
  sym_unescaped_double_string_fragment = 110,
  sym_unescaped_single_string_fragment = 111,
  sym_escape_sequence = 112,
  sym_comment = 113,
  anon_sym_BQUOTE = 114,
  anon_sym_DOLLAR_LBRACE = 115,
  anon_sym_SLASH2 = 116,
  sym_regex_pattern = 117,
  sym_regex_flags = 118,
  sym_number = 119,
  sym_private_property_identifier = 120,
  anon_sym_target = 121,
  anon_sym_meta = 122,
  sym_this = 123,
  sym_super = 124,
  sym_true = 125,
  sym_false = 126,
  sym_null = 127,
  sym_undefined = 128,
  anon_sym_AT = 129,
  anon_sym_static = 130,
  anon_sym_readonly = 131,
  anon_sym_get = 132,
  anon_sym_set = 133,
  anon_sym_QMARK = 134,
  anon_sym_declare = 135,
  anon_sym_public = 136,
  anon_sym_private = 137,
  anon_sym_protected = 138,
  anon_sym_override = 139,
  anon_sym_module = 140,
  anon_sym_any = 141,
  anon_sym_number = 142,
  anon_sym_boolean = 143,
  anon_sym_string = 144,
  anon_sym_symbol = 145,
  anon_sym_object = 146,
  anon_sym_abstract = 147,
  anon_sym_accessor = 148,
  anon_sym_satisfies = 149,
  anon_sym_require = 150,
  anon_sym_extends = 151,
  anon_sym_implements = 152,
  anon_sym_global = 153,
  anon_sym_interface = 154,
  anon_sym_enum = 155,
  anon_sym_DASH_QMARK_COLON = 156,
  anon_sym_PLUS_QMARK_COLON = 157,
  anon_sym_QMARK_COLON = 158,
  anon_sym_asserts = 159,
  anon_sym_infer = 160,
  anon_sym_is = 161,
  anon_sym_keyof = 162,
  anon_sym_unique = 163,
  anon_sym_unknown = 164,
  anon_sym_never = 165,
  anon_sym_LBRACE_PIPE = 166,
  anon_sym_PIPE_RBRACE = 167,
  sym__automatic_semicolon = 168,
  sym__template_chars = 169,
  sym__ternary_qmark = 170,
  sym_html_comment = 171,
  sym_jsx_text = 172,
  sym__function_signature_automatic_semicolon = 173,
  sym___error_recovery = 174,
  sym_program = 175,
  sym_export_statement = 176,
  sym_namespace_export = 177,
  sym_export_clause = 178,
  sym_export_specifier = 179,
  sym__module_export_name = 180,
  sym_declaration = 181,
  sym_import = 182,
  sym_import_statement = 183,
  sym_import_clause = 184,
  sym__from_clause = 185,
  sym_namespace_import = 186,
  sym_named_imports = 187,
  sym_import_specifier = 188,
  sym_import_attribute = 189,
  sym_statement = 190,
  sym_expression_statement = 191,
  sym_variable_declaration = 192,
  sym_lexical_declaration = 193,
  sym_variable_declarator = 194,
  sym_statement_block = 195,
  sym_else_clause = 196,
  sym_if_statement = 197,
  sym_switch_statement = 198,
  sym_for_statement = 199,
  sym_for_in_statement = 200,
  sym__for_header = 201,
  sym_while_statement = 202,
  sym_do_statement = 203,
  sym_try_statement = 204,
  sym_with_statement = 205,
  sym_break_statement = 206,
  sym_continue_statement = 207,
  sym_debugger_statement = 208,
  sym_return_statement = 209,
  sym_throw_statement = 210,
  sym_empty_statement = 211,
  sym_labeled_statement = 212,
  sym_switch_body = 213,
  sym_switch_case = 214,
  sym_switch_default = 215,
  sym_catch_clause = 216,
  sym_finally_clause = 217,
  sym_parenthesized_expression = 218,
  sym_expression = 219,
  sym_primary_expression = 220,
  sym_yield_expression = 221,
  sym_object = 222,
  sym_object_pattern = 223,
  sym_assignment_pattern = 224,
  sym_object_assignment_pattern = 225,
  sym_array = 226,
  sym_array_pattern = 227,
  sym_glimmer_template = 228,
  sym_jsx_element = 229,
  sym_jsx_expression = 230,
  sym_jsx_opening_element = 231,
  sym_nested_identifier = 232,
  sym_jsx_namespace_name = 233,
  sym_jsx_closing_element = 234,
  sym_jsx_self_closing_element = 235,
  sym_jsx_attribute = 236,
  sym__jsx_string = 237,
  sym_class = 238,
  sym_class_declaration = 239,
  sym_class_heritage = 240,
  sym_function_expression = 241,
  sym_function_declaration = 242,
  sym_generator_function = 243,
  sym_generator_function_declaration = 244,
  sym_arrow_function = 245,
  sym__call_signature = 246,
  sym__formal_parameter = 247,
  sym_optional_chain = 248,
  sym_call_expression = 249,
  sym_new_expression = 250,
  sym_await_expression = 251,
  sym_member_expression = 252,
  sym_subscript_expression = 253,
  sym_assignment_expression = 254,
  sym__augmented_assignment_lhs = 255,
  sym_augmented_assignment_expression = 256,
  sym__initializer = 257,
  sym__destructuring_pattern = 258,
  sym_spread_element = 259,
  sym_ternary_expression = 260,
  sym_binary_expression = 261,
  sym_unary_expression = 262,
  sym_update_expression = 263,
  sym_sequence_expression = 264,
  sym_string = 265,
  sym_template_string = 266,
  sym_template_substitution = 267,
  sym_regex = 268,
  sym_meta_property = 269,
  sym_arguments = 270,
  sym_decorator = 271,
  sym_decorator_member_expression = 272,
  sym_decorator_call_expression = 273,
  sym_class_body = 274,
  sym_formal_parameters = 275,
  sym_class_static_block = 276,
  sym_pattern = 277,
  sym_rest_pattern = 278,
  sym_method_definition = 279,
  sym_pair = 280,
  sym_pair_pattern = 281,
  sym__property_name = 282,
  sym_computed_property_name = 283,
  sym_public_field_definition = 284,
  sym__import_identifier = 285,
  sym_non_null_expression = 286,
  sym_method_signature = 287,
  sym_abstract_method_signature = 288,
  sym_function_signature = 289,
  sym_decorator_parenthesized_expression = 290,
  sym_as_expression = 291,
  sym_satisfies_expression = 292,
  sym_instantiation_expression = 293,
  sym_import_require_clause = 294,
  sym_extends_clause = 295,
  sym__extends_clause_single = 296,
  sym_implements_clause = 297,
  sym_ambient_declaration = 298,
  sym_abstract_class_declaration = 299,
  sym_module = 300,
  sym_internal_module = 301,
  sym__module = 302,
  sym_import_alias = 303,
  sym_nested_type_identifier = 304,
  sym_interface_declaration = 305,
  sym_extends_type_clause = 306,
  sym_enum_declaration = 307,
  sym_enum_body = 308,
  sym_enum_assignment = 309,
  sym_type_alias_declaration = 310,
  sym_accessibility_modifier = 311,
  sym_override_modifier = 312,
  sym_required_parameter = 313,
  sym_optional_parameter = 314,
  sym__parameter_name = 315,
  sym_omitting_type_annotation = 316,
  sym_adding_type_annotation = 317,
  sym_opting_type_annotation = 318,
  sym_type_annotation = 319,
  sym__type_query_member_expression_in_type_annotation = 320,
  sym__type_query_call_expression_in_type_annotation = 321,
  sym_asserts = 322,
  sym_asserts_annotation = 323,
  sym_type = 324,
  sym_tuple_parameter = 325,
  sym_optional_tuple_parameter = 326,
  sym_optional_type = 327,
  sym_rest_type = 328,
  sym__tuple_type_member = 329,
  sym_constructor_type = 330,
  sym_primary_type = 331,
  sym_template_type = 332,
  sym_template_literal_type = 333,
  sym_infer_type = 334,
  sym_conditional_type = 335,
  sym_generic_type = 336,
  sym_type_predicate = 337,
  sym_type_predicate_annotation = 338,
  sym__type_query_member_expression = 339,
  sym__type_query_subscript_expression = 340,
  sym__type_query_call_expression = 341,
  sym__type_query_instantiation_expression = 342,
  sym_type_query = 343,
  sym_index_type_query = 344,
  sym_lookup_type = 345,
  sym_mapped_type_clause = 346,
  sym_literal_type = 347,
  sym__number = 348,
  sym_existential_type = 349,
  sym_flow_maybe_type = 350,
  sym_parenthesized_type = 351,
  sym_predefined_type = 352,
  sym_type_arguments = 353,
  sym_object_type = 354,
  sym_call_signature = 355,
  sym_property_signature = 356,
  sym_type_parameters = 357,
  sym_type_parameter = 358,
  sym_default_type = 359,
  sym_constraint = 360,
  sym_construct_signature = 361,
  sym_index_signature = 362,
  sym_array_type = 363,
  sym_tuple_type = 364,
  sym_readonly_type = 365,
  sym_union_type = 366,
  sym_intersection_type = 367,
  sym_function_type = 368,
  aux_sym_program_repeat1 = 369,
  aux_sym_export_statement_repeat1 = 370,
  aux_sym_export_clause_repeat1 = 371,
  aux_sym_named_imports_repeat1 = 372,
  aux_sym_variable_declaration_repeat1 = 373,
  aux_sym_switch_body_repeat1 = 374,
  aux_sym_object_repeat1 = 375,
  aux_sym_object_pattern_repeat1 = 376,
  aux_sym_array_repeat1 = 377,
  aux_sym_array_pattern_repeat1 = 378,
  aux_sym_glimmer_template_repeat1 = 379,
  aux_sym_jsx_element_repeat1 = 380,
  aux_sym__jsx_string_repeat1 = 381,
  aux_sym__jsx_string_repeat2 = 382,
  aux_sym_sequence_expression_repeat1 = 383,
  aux_sym_string_repeat1 = 384,
  aux_sym_string_repeat2 = 385,
  aux_sym_template_string_repeat1 = 386,
  aux_sym_class_body_repeat1 = 387,
  aux_sym_formal_parameters_repeat1 = 388,
  aux_sym__jsx_start_opening_element_repeat1 = 389,
  aux_sym_extends_clause_repeat1 = 390,
  aux_sym_implements_clause_repeat1 = 391,
  aux_sym_extends_type_clause_repeat1 = 392,
  aux_sym_enum_body_repeat1 = 393,
  aux_sym_template_literal_type_repeat1 = 394,
  aux_sym_object_type_repeat1 = 395,
  aux_sym_type_parameters_repeat1 = 396,
  aux_sym_tuple_type_repeat1 = 397,
  alias_sym_interface_body = 398,
  alias_sym_property_identifier = 399,
  alias_sym_shorthand_property_identifier = 400,
  alias_sym_shorthand_property_identifier_pattern = 401,
  alias_sym_statement_identifier = 402,
  alias_sym_this_type = 403,
  alias_sym_type_identifier = 404,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_with] = "with",
  [anon_sym_assert] = "assert",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_SEMI] = ";",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_html_character_reference] = "html_character_reference",
  [anon_sym_GT] = ">",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_jsx_string_fragment] = "string_fragment",
  [sym_unescaped_single_jsx_string_fragment] = "string_fragment",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_using] = "using",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [anon_sym_meta] = "meta",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_QMARK] = "\?",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_object] = "object",
  [anon_sym_abstract] = "abstract",
  [anon_sym_accessor] = "accessor",
  [anon_sym_satisfies] = "satisfies",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_PLUS_QMARK_COLON] = "+\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unique] = "unique symbol",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "string_fragment",
  [sym__ternary_qmark] = "\?",
  [sym_html_comment] = "html_comment",
  [sym_jsx_text] = "jsx_text",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_namespace_export] = "namespace_export",
  [sym_export_clause] = "export_clause",
  [sym_export_specifier] = "export_specifier",
  [sym__module_export_name] = "_module_export_name",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_import_specifier] = "import_specifier",
  [sym_import_attribute] = "import_attribute",
  [sym_statement] = "statement",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_string] = "string",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function_expression] = "function_expression",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_optional_chain] = "optional_chain",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_class_static_block] = "class_static_block",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym__import_identifier] = "_import_identifier",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_decorator_parenthesized_expression] = "parenthesized_expression",
  [sym_as_expression] = "as_expression",
  [sym_satisfies_expression] = "satisfies_expression",
  [sym_instantiation_expression] = "instantiation_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym__extends_clause_single] = "_extends_clause_single",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_adding_type_annotation] = "adding_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym__type_query_member_expression_in_type_annotation] = "member_expression",
  [sym__type_query_call_expression_in_type_annotation] = "call_expression",
  [sym_asserts] = "asserts",
  [sym_asserts_annotation] = "asserts_annotation",
  [sym_type] = "type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym_primary_type] = "primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym__type_query_instantiation_expression] = "instantiation_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym__jsx_string_repeat1] = "_jsx_string_repeat1",
  [aux_sym__jsx_string_repeat2] = "_jsx_string_repeat2",
  [aux_sym_sequence_expression_repeat1] = "sequence_expression_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_interface_body] = "interface_body",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_html_character_reference] = sym_html_character_reference,
  [anon_sym_GT] = anon_sym_GT,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_jsx_string_fragment] = sym__template_chars,
  [sym_unescaped_single_jsx_string_fragment] = sym__template_chars,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_unescaped_double_string_fragment] = sym__template_chars,
  [sym_unescaped_single_string_fragment] = sym__template_chars,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [anon_sym_meta] = anon_sym_meta,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_accessor] = anon_sym_accessor,
  [anon_sym_satisfies] = anon_sym_satisfies,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_PLUS_QMARK_COLON] = anon_sym_PLUS_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unique] = anon_sym_unique,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = anon_sym_QMARK,
  [sym_html_comment] = sym_html_comment,
  [sym_jsx_text] = sym_jsx_text,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_namespace_export] = sym_namespace_export,
  [sym_export_clause] = sym_export_clause,
  [sym_export_specifier] = sym_export_specifier,
  [sym__module_export_name] = sym__module_export_name,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_import_specifier] = sym_import_specifier,
  [sym_import_attribute] = sym_import_attribute,
  [sym_statement] = sym_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_string] = sym_string,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function_expression] = sym_function_expression,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_optional_chain] = sym_optional_chain,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_class_static_block] = sym_class_static_block,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym__import_identifier] = sym__import_identifier,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_decorator_parenthesized_expression] = sym_parenthesized_expression,
  [sym_as_expression] = sym_as_expression,
  [sym_satisfies_expression] = sym_satisfies_expression,
  [sym_instantiation_expression] = sym_instantiation_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym__extends_clause_single] = sym__extends_clause_single,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_adding_type_annotation] = sym_adding_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type_query_member_expression_in_type_annotation] = sym_member_expression,
  [sym__type_query_call_expression_in_type_annotation] = sym_call_expression,
  [sym_asserts] = sym_asserts,
  [sym_asserts_annotation] = sym_asserts_annotation,
  [sym_type] = sym_type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym_primary_type] = sym_primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym__type_query_instantiation_expression] = sym_instantiation_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym__jsx_string_repeat1] = aux_sym__jsx_string_repeat1,
  [aux_sym__jsx_string_repeat2] = aux_sym__jsx_string_repeat2,
  [aux_sym_sequence_expression_repeat1] = aux_sym_sequence_expression_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_interface_body] = alias_sym_interface_body,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_html_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_jsx_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_accessor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_satisfies] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unique] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = true,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_html_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__module_export_name] = {
    .visible = false,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_import_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_string] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_class_static_block] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__import_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_satisfies_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__extends_clause_single] = {
    .visible = false,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_adding_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression_in_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_instantiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sequence_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_content = 12,
  field_declaration = 13,
  field_decorator = 14,
  field_finalizer = 15,
  field_flags = 16,
  field_function = 17,
  field_handler = 18,
  field_increment = 19,
  field_index = 20,
  field_index_type = 21,
  field_initializer = 22,
  field_key = 23,
  field_kind = 24,
  field_label = 25,
  field_left = 26,
  field_module = 27,
  field_name = 28,
  field_object = 29,
  field_open_tag = 30,
  field_operator = 31,
  field_optional_chain = 32,
  field_parameter = 33,
  field_parameters = 34,
  field_pattern = 35,
  field_property = 36,
  field_return_type = 37,
  field_right = 38,
  field_sign = 39,
  field_source = 40,
  field_type = 41,
  field_type_arguments = 42,
  field_type_parameters = 43,
  field_value = 44,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 3, .length = 1},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 1},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 2},
  [20] = {.index = 24, .length = 2},
  [21] = {.index = 26, .length = 1},
  [22] = {.index = 27, .length = 2},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 2},
  [25] = {.index = 33, .length = 2},
  [29] = {.index = 35, .length = 1},
  [30] = {.index = 36, .length = 2},
  [31] = {.index = 38, .length = 2},
  [32] = {.index = 40, .length = 2},
  [33] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 2},
  [36] = {.index = 47, .length = 6},
  [37] = {.index = 53, .length = 1},
  [38] = {.index = 54, .length = 3},
  [39] = {.index = 57, .length = 3},
  [40] = {.index = 60, .length = 2},
  [41] = {.index = 62, .length = 2},
  [42] = {.index = 64, .length = 2},
  [43] = {.index = 66, .length = 2},
  [44] = {.index = 68, .length = 1},
  [45] = {.index = 69, .length = 3},
  [46] = {.index = 72, .length = 2},
  [47] = {.index = 74, .length = 1},
  [48] = {.index = 75, .length = 2},
  [51] = {.index = 77, .length = 2},
  [52] = {.index = 79, .length = 2},
  [53] = {.index = 81, .length = 2},
  [54] = {.index = 83, .length = 1},
  [55] = {.index = 84, .length = 2},
  [56] = {.index = 86, .length = 4},
  [57] = {.index = 90, .length = 2},
  [58] = {.index = 92, .length = 2},
  [59] = {.index = 94, .length = 1},
  [60] = {.index = 94, .length = 1},
  [61] = {.index = 95, .length = 1},
  [62] = {.index = 96, .length = 2},
  [63] = {.index = 98, .length = 2},
  [64] = {.index = 94, .length = 1},
  [65] = {.index = 27, .length = 2},
  [66] = {.index = 31, .length = 2},
  [67] = {.index = 100, .length = 3},
  [68] = {.index = 72, .length = 2},
  [69] = {.index = 72, .length = 2},
  [70] = {.index = 103, .length = 2},
  [71] = {.index = 103, .length = 2},
  [72] = {.index = 105, .length = 3},
  [73] = {.index = 105, .length = 3},
  [74] = {.index = 108, .length = 3},
  [75] = {.index = 111, .length = 2},
  [76] = {.index = 113, .length = 2},
  [77] = {.index = 115, .length = 4},
  [78] = {.index = 119, .length = 3},
  [79] = {.index = 122, .length = 2},
  [80] = {.index = 124, .length = 2},
  [81] = {.index = 126, .length = 1},
  [82] = {.index = 127, .length = 1},
  [83] = {.index = 103, .length = 2},
  [84] = {.index = 27, .length = 2},
  [85] = {.index = 128, .length = 2},
  [86] = {.index = 130, .length = 5},
  [87] = {.index = 135, .length = 1},
  [88] = {.index = 136, .length = 1},
  [89] = {.index = 137, .length = 2},
  [90] = {.index = 139, .length = 3},
  [91] = {.index = 142, .length = 2},
  [92] = {.index = 144, .length = 3},
  [93] = {.index = 147, .length = 6},
  [94] = {.index = 153, .length = 1},
  [95] = {.index = 154, .length = 1},
  [96] = {.index = 155, .length = 3},
  [97] = {.index = 158, .length = 3},
  [98] = {.index = 161, .length = 4},
  [99] = {.index = 165, .length = 2},
  [100] = {.index = 167, .length = 2},
  [101] = {.index = 169, .length = 3},
  [102] = {.index = 172, .length = 4},
  [103] = {.index = 176, .length = 1},
  [104] = {.index = 177, .length = 2},
  [105] = {.index = 179, .length = 1},
  [106] = {.index = 180, .length = 2},
  [107] = {.index = 182, .length = 3},
  [108] = {.index = 185, .length = 2},
  [109] = {.index = 187, .length = 4},
  [110] = {.index = 191, .length = 3},
  [111] = {.index = 194, .length = 2},
  [112] = {.index = 196, .length = 2},
  [113] = {.index = 198, .length = 2},
  [114] = {.index = 200, .length = 2},
  [115] = {.index = 202, .length = 2},
  [118] = {.index = 202, .length = 2},
  [119] = {.index = 204, .length = 4},
  [120] = {.index = 208, .length = 2},
  [121] = {.index = 210, .length = 2},
  [122] = {.index = 212, .length = 4},
  [123] = {.index = 210, .length = 2},
  [124] = {.index = 216, .length = 4},
  [125] = {.index = 220, .length = 4},
  [126] = {.index = 224, .length = 5},
  [127] = {.index = 229, .length = 3},
  [128] = {.index = 232, .length = 2},
  [129] = {.index = 232, .length = 2},
  [130] = {.index = 234, .length = 2},
  [131] = {.index = 236, .length = 2},
  [132] = {.index = 238, .length = 2},
  [133] = {.index = 240, .length = 2},
  [134] = {.index = 242, .length = 2},
  [135] = {.index = 244, .length = 2},
  [136] = {.index = 246, .length = 3},
  [137] = {.index = 244, .length = 2},
  [138] = {.index = 240, .length = 2},
  [139] = {.index = 142, .length = 2},
  [140] = {.index = 249, .length = 1},
  [141] = {.index = 249, .length = 1},
  [142] = {.index = 180, .length = 2},
  [143] = {.index = 182, .length = 3},
  [144] = {.index = 250, .length = 2},
  [145] = {.index = 252, .length = 3},
  [146] = {.index = 255, .length = 2},
  [147] = {.index = 257, .length = 3},
  [148] = {.index = 260, .length = 2},
  [149] = {.index = 262, .length = 3},
  [150] = {.index = 265, .length = 1},
  [151] = {.index = 266, .length = 2},
  [152] = {.index = 268, .length = 2},
  [153] = {.index = 270, .length = 5},
  [154] = {.index = 266, .length = 2},
  [155] = {.index = 275, .length = 1},
  [156] = {.index = 276, .length = 4},
  [157] = {.index = 280, .length = 2},
  [158] = {.index = 282, .length = 1},
  [159] = {.index = 283, .length = 2},
  [160] = {.index = 285, .length = 2},
  [161] = {.index = 287, .length = 2},
  [162] = {.index = 289, .length = 4},
  [163] = {.index = 293, .length = 2},
  [164] = {.index = 295, .length = 3},
  [165] = {.index = 298, .length = 3},
  [166] = {.index = 301, .length = 3},
  [167] = {.index = 304, .length = 4},
  [168] = {.index = 308, .length = 1},
  [169] = {.index = 309, .length = 2},
  [170] = {.index = 311, .length = 4},
  [171] = {.index = 315, .length = 4},
  [172] = {.index = 319, .length = 4},
  [173] = {.index = 323, .length = 2},
  [174] = {.index = 325, .length = 2},
  [175] = {.index = 327, .length = 4},
  [176] = {.index = 327, .length = 4},
  [177] = {.index = 331, .length = 4},
  [178] = {.index = 331, .length = 4},
  [179] = {.index = 335, .length = 4},
  [180] = {.index = 339, .length = 4},
  [181] = {.index = 343, .length = 5},
  [182] = {.index = 348, .length = 3},
  [183] = {.index = 351, .length = 3},
  [184] = {.index = 351, .length = 3},
  [185] = {.index = 354, .length = 2},
  [186] = {.index = 356, .length = 3},
  [187] = {.index = 359, .length = 2},
  [188] = {.index = 359, .length = 2},
  [189] = {.index = 301, .length = 3},
  [190] = {.index = 361, .length = 3},
  [191] = {.index = 364, .length = 3},
  [192] = {.index = 137, .length = 2},
  [193] = {.index = 367, .length = 2},
  [194] = {.index = 369, .length = 3},
  [195] = {.index = 372, .length = 4},
  [196] = {.index = 376, .length = 3},
  [197] = {.index = 379, .length = 3},
  [198] = {.index = 382, .length = 2},
  [199] = {.index = 384, .length = 3},
  [200] = {.index = 387, .length = 5},
  [201] = {.index = 382, .length = 2},
  [202] = {.index = 392, .length = 3},
  [203] = {.index = 392, .length = 3},
  [204] = {.index = 395, .length = 3},
  [205] = {.index = 398, .length = 2},
  [206] = {.index = 400, .length = 4},
  [207] = {.index = 137, .length = 2},
  [208] = {.index = 404, .length = 1},
  [209] = {.index = 405, .length = 2},
  [210] = {.index = 407, .length = 2},
  [211] = {.index = 409, .length = 2},
  [212] = {.index = 411, .length = 2},
  [213] = {.index = 413, .length = 3},
  [214] = {.index = 416, .length = 1},
  [215] = {.index = 417, .length = 3},
  [216] = {.index = 420, .length = 2},
  [217] = {.index = 422, .length = 3},
  [218] = {.index = 425, .length = 3},
  [219] = {.index = 428, .length = 3},
  [220] = {.index = 431, .length = 3},
  [221] = {.index = 434, .length = 4},
  [222] = {.index = 438, .length = 2},
  [223] = {.index = 440, .length = 2},
  [224] = {.index = 442, .length = 1},
  [225] = {.index = 443, .length = 4},
  [226] = {.index = 443, .length = 4},
  [227] = {.index = 447, .length = 2},
  [228] = {.index = 449, .length = 3},
  [229] = {.index = 452, .length = 5},
  [230] = {.index = 457, .length = 3},
  [231] = {.index = 460, .length = 2},
  [232] = {.index = 462, .length = 2},
  [233] = {.index = 464, .length = 2},
  [234] = {.index = 466, .length = 1},
  [235] = {.index = 467, .length = 4},
  [236] = {.index = 471, .length = 3},
  [237] = {.index = 474, .length = 4},
  [238] = {.index = 478, .length = 5},
  [239] = {.index = 483, .length = 1},
  [240] = {.index = 484, .length = 2},
  [241] = {.index = 486, .length = 4},
  [242] = {.index = 490, .length = 4},
  [243] = {.index = 494, .length = 4},
  [244] = {.index = 498, .length = 3},
  [245] = {.index = 501, .length = 2},
  [246] = {.index = 503, .length = 4},
  [247] = {.index = 507, .length = 4},
  [248] = {.index = 511, .length = 2},
  [249] = {.index = 513, .length = 2},
  [250] = {.index = 515, .length = 3},
  [251] = {.index = 518, .length = 3},
  [252] = {.index = 521, .length = 2},
  [253] = {.index = 523, .length = 2},
  [254] = {.index = 525, .length = 1},
  [255] = {.index = 526, .length = 1},
  [256] = {.index = 527, .length = 3},
  [257] = {.index = 530, .length = 3},
  [258] = {.index = 533, .length = 3},
  [259] = {.index = 536, .length = 3},
  [260] = {.index = 539, .length = 4},
  [261] = {.index = 543, .length = 2},
  [262] = {.index = 545, .length = 4},
  [263] = {.index = 549, .length = 3},
  [264] = {.index = 552, .length = 2},
  [265] = {.index = 554, .length = 2},
  [266] = {.index = 556, .length = 4},
  [267] = {.index = 560, .length = 4},
  [268] = {.index = 564, .length = 4},
  [269] = {.index = 568, .length = 3},
  [270] = {.index = 571, .length = 2},
  [272] = {.index = 573, .length = 4},
  [273] = {.index = 577, .length = 5},
  [274] = {.index = 582, .length = 5},
  [275] = {.index = 587, .length = 5},
  [276] = {.index = 592, .length = 4},
  [277] = {.index = 596, .length = 5},
  [278] = {.index = 601, .length = 4},
  [279] = {.index = 605, .length = 4},
  [280] = {.index = 609, .length = 3},
  [281] = {.index = 612, .length = 3},
  [282] = {.index = 615, .length = 3},
  [283] = {.index = 612, .length = 3},
  [284] = {.index = 618, .length = 2},
  [285] = {.index = 620, .length = 4},
  [286] = {.index = 624, .length = 4},
  [287] = {.index = 628, .length = 3},
  [288] = {.index = 631, .length = 2},
  [289] = {.index = 633, .length = 2},
  [290] = {.index = 635, .length = 3},
  [291] = {.index = 638, .length = 2},
  [292] = {.index = 640, .length = 2},
  [293] = {.index = 642, .length = 1},
  [294] = {.index = 643, .length = 3},
  [295] = {.index = 646, .length = 3},
  [296] = {.index = 649, .length = 4},
  [297] = {.index = 653, .length = 4},
  [298] = {.index = 657, .length = 3},
  [299] = {.index = 660, .length = 3},
  [300] = {.index = 663, .length = 2},
  [301] = {.index = 665, .length = 3},
  [302] = {.index = 668, .length = 2},
  [303] = {.index = 670, .length = 4},
  [304] = {.index = 674, .length = 4},
  [305] = {.index = 678, .length = 4},
  [306] = {.index = 682, .length = 3},
  [307] = {.index = 685, .length = 5},
  [308] = {.index = 690, .length = 5},
  [309] = {.index = 695, .length = 5},
  [310] = {.index = 700, .length = 4},
  [311] = {.index = 704, .length = 4},
  [312] = {.index = 708, .length = 3},
  [313] = {.index = 711, .length = 3},
  [314] = {.index = 711, .length = 3},
  [315] = {.index = 714, .length = 2},
  [316] = {.index = 716, .length = 2},
  [317] = {.index = 718, .length = 3},
  [318] = {.index = 721, .length = 2},
  [319] = {.index = 723, .length = 2},
  [320] = {.index = 725, .length = 4},
  [321] = {.index = 729, .length = 3},
  [322] = {.index = 732, .length = 3},
  [323] = {.index = 735, .length = 4},
  [324] = {.index = 739, .length = 3},
  [325] = {.index = 742, .length = 3},
  [326] = {.index = 745, .length = 2},
  [327] = {.index = 747, .length = 4},
  [328] = {.index = 751, .length = 5},
  [329] = {.index = 756, .length = 5},
  [330] = {.index = 761, .length = 4},
  [331] = {.index = 761, .length = 4},
  [332] = {.index = 765, .length = 4},
  [333] = {.index = 769, .length = 3},
  [334] = {.index = 772, .length = 2},
  [335] = {.index = 774, .length = 2},
  [336] = {.index = 776, .length = 3},
  [337] = {.index = 779, .length = 4},
  [338] = {.index = 783, .length = 4},
  [339] = {.index = 787, .length = 3},
  [340] = {.index = 790, .length = 3},
  [341] = {.index = 793, .length = 4},
  [342] = {.index = 797, .length = 3},
  [343] = {.index = 800, .length = 3},
  [344] = {.index = 803, .length = 5},
  [345] = {.index = 808, .length = 3},
  [346] = {.index = 811, .length = 4},
  [347] = {.index = 815, .length = 4},
  [348] = {.index = 819, .length = 3},
  [349] = {.index = 822, .length = 3},
  [350] = {.index = 825, .length = 4},
  [351] = {.index = 829, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [14] =
    {field_constructor, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_argument, 0},
    {field_operator, 1},
  [19] =
    {field_type_arguments, 1},
  [20] =
    {field_parameters, 0},
    {field_return_type, 1},
  [22] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [24] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [26] =
    {field_declaration, 2},
  [27] =
    {field_left, 0},
    {field_right, 2},
  [29] =
    {field_body, 2},
    {field_label, 0},
  [31] =
    {field_body, 2},
    {field_parameter, 0},
  [33] =
    {field_body, 1},
    {field_name, 0},
  [35] =
    {field_source, 1},
  [36] =
    {field_body, 2},
    {field_object, 1},
  [38] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [40] =
    {field_name, 0},
    {field_type, 1},
  [42] =
    {field_kind, 0},
  [43] =
    {field_condition, 1},
    {field_consequence, 2},
  [45] =
    {field_body, 2},
    {field_value, 1},
  [47] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_pattern, 1},
  [54] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [57] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [60] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [62] =
    {field_body, 2},
    {field_condition, 1},
  [64] =
    {field_body, 1},
    {field_handler, 2},
  [66] =
    {field_body, 1},
    {field_finalizer, 2},
  [68] =
    {field_label, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_body, 2},
    {field_name, 1},
  [74] =
    {field_value, 0},
  [75] =
    {field_type_arguments, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [77] =
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [79] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
  [81] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [83] =
    {field_body, 2},
  [84] =
    {field_body, 2},
    {field_type_parameters, 1},
  [86] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_arguments, 2},
    {field_constructor, 1},
  [92] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [94] =
    {field_name, 1},
  [95] =
    {field_attribute, 0},
  [96] =
    {field_name, 0},
    {field_value, 1},
  [98] =
    {field_constraint, 1},
    {field_name, 0},
  [100] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [103] =
    {field_object, 0},
    {field_property, 2},
  [105] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [108] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [111] =
    {field_arguments, 2},
    {field_function, 0},
  [113] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [115] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [119] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [122] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [124] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [126] =
    {field_source, 2, .inherited = true},
  [127] =
    {field_value, 2},
  [128] =
    {field_key, 0},
    {field_value, 2},
  [130] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [135] =
    {field_source, 2},
  [136] =
    {field_value, 1},
  [137] =
    {field_name, 0},
    {field_type, 2},
  [139] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [142] =
    {field_body, 3},
    {field_name, 2},
  [144] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [147] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [153] =
    {field_type, 2},
  [154] =
    {field_pattern, 2},
  [155] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [158] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [161] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [165] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [167] =
    {field_body, 1},
    {field_condition, 3},
  [169] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [172] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [176] =
    {field_decorator, 0, .inherited = true},
  [177] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
  [179] =
    {field_decorator, 1, .inherited = true},
  [180] =
    {field_body, 3},
    {field_name, 1},
  [182] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [185] =
    {field_type_arguments, 1},
    {field_value, 0},
  [187] =
    {field_type_arguments, 1, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [191] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [194] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [196] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [198] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [200] =
    {field_function, 1, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
  [202] =
    {field_name, 0},
    {field_type_arguments, 1},
  [204] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [208] =
    {field_body, 3},
    {field_type_parameters, 1},
  [210] =
    {field_body, 3},
    {field_parameter, 1},
  [212] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [216] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [220] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [224] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [229] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [232] =
    {field_left, 1},
    {field_right, 3},
  [234] =
    {field_flags, 3},
    {field_pattern, 1},
  [236] =
    {field_name, 1},
    {field_value, 2},
  [238] =
    {field_constraint, 2},
    {field_name, 1},
  [240] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [242] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [244] =
    {field_name, 1},
    {field_type_arguments, 2},
  [246] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [249] =
    {field_type, 1},
  [250] =
    {field_index, 2},
    {field_object, 0},
  [252] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [255] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [257] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [260] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [262] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [265] =
    {field_source, 3, .inherited = true},
  [266] =
    {field_alias, 2},
    {field_name, 0},
  [268] =
    {field_name, 1},
    {field_value, 3},
  [270] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [275] =
    {field_pattern, 3},
  [276] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [280] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [282] =
    {field_name, 2},
  [283] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [285] =
    {field_name, 1},
    {field_type, 2},
  [287] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [289] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [293] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [295] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [298] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
  [301] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [304] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [308] =
    {field_parameters, 1},
  [309] =
    {field_function, 0},
    {field_type_arguments, 1},
  [311] =
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_type_arguments, 1},
  [315] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [319] =
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_type_arguments, 1},
  [323] =
    {field_module, 0},
    {field_name, 2},
  [325] =
    {field_parameters, 0},
    {field_return_type, 2},
  [327] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [331] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [335] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [339] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [343] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [348] =
    {field_constraint, 2},
    {field_name, 1},
    {field_value, 3},
  [351] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [354] =
    {field_body, 4},
    {field_name, 2},
  [356] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [359] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [361] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [364] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [367] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [369] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [372] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [376] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [379] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [382] =
    {field_alias, 3},
    {field_name, 1},
  [384] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [387] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [392] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [395] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [398] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [400] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [404] =
    {field_type, 3},
  [405] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [407] =
    {field_name, 2},
    {field_type, 3},
  [409] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [411] =
    {field_name, 1},
    {field_type, 3},
  [413] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [416] =
    {field_name, 3},
  [417] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [420] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [422] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [425] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
  [428] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [431] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [434] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [438] =
    {field_parameters, 1},
    {field_type, 2},
  [440] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [442] =
    {field_parameters, 2},
  [443] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [447] =
    {field_parameters, 1},
    {field_type, 3},
  [449] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [452] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [457] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [460] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [462] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [464] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [466] =
    {field_name, 2, .inherited = true},
  [467] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [471] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [474] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [478] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [483] =
    {field_source, 4},
  [484] =
    {field_body, 3},
    {field_value, 1},
  [486] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [490] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [494] =
    {field_body, 6},
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 2},
  [498] =
    {field_body, 6},
    {field_condition, 4},
    {field_initializer, 2},
  [501] =
    {field_body, 4},
    {field_parameter, 2},
  [503] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [507] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [511] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [513] =
    {field_name, 2},
    {field_type, 4},
  [515] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [518] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [521] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [523] =
    {field_name, 3},
    {field_type, 4},
  [525] =
    {field_type, 4},
  [526] =
    {field_name, 4},
  [527] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [530] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
  [533] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [536] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [539] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [543] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
  [545] =
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [549] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [552] =
    {field_parameters, 2},
    {field_type, 3},
  [554] =
    {field_parameters, 3},
    {field_type_parameters, 2},
  [556] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [560] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [564] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [568] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [571] =
    {field_parameters, 2},
    {field_type, 4},
  [573] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [577] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [582] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [587] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
  [592] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
  [596] =
    {field_body, 7},
    {field_condition, 3},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [601] =
    {field_body, 7},
    {field_condition, 4},
    {field_increment, 5},
    {field_initializer, 2},
  [605] =
    {field_body, 7},
    {field_condition, 4},
    {field_condition, 5},
    {field_initializer, 2},
  [609] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [612] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [615] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [618] =
    {field_sign, 0},
    {field_type, 5},
  [620] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [624] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [628] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [631] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [633] =
    {field_name, 3},
    {field_type, 5},
  [635] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [638] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [640] =
    {field_name, 4},
    {field_type, 5},
  [642] =
    {field_name, 5},
  [643] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [646] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
  [649] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [653] =
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [657] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [660] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
  [663] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
  [665] =
    {field_parameters, 3},
    {field_type, 4},
    {field_type_parameters, 2},
  [668] =
    {field_index, 3},
    {field_object, 0},
  [670] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [674] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [678] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [682] =
    {field_parameters, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [685] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [690] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [695] =
    {field_body, 8},
    {field_condition, 4},
    {field_condition, 5},
    {field_increment, 6},
    {field_initializer, 2},
  [700] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [704] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [708] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [711] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [714] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [716] =
    {field_name, 4},
    {field_type, 6},
  [718] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [721] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [723] =
    {field_name, 5},
    {field_type, 6},
  [725] =
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [729] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [732] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
  [735] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [739] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [742] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
  [745] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
  [747] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [751] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [756] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [761] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [765] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [769] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [772] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [774] =
    {field_name, 5},
    {field_type, 7},
  [776] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [779] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [783] =
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [787] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [790] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
  [793] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [797] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 7, .inherited = true},
  [800] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
  [803] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [808] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [811] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [815] =
    {field_decorator, 0, .inherited = true},
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [819] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_value, 8, .inherited = true},
  [822] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
  [825] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [829] =
    {field_decorator, 0, .inherited = true},
    {field_name, 6},
    {field_type, 8},
    {field_value, 9, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [22] = {
    [0] = sym_identifier,
  },
  [23] = {
    [0] = alias_sym_statement_identifier,
  },
  [24] = {
    [0] = sym_identifier,
  },
  [26] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [27] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [28] = {
    [1] = sym_identifier,
  },
  [44] = {
    [1] = alias_sym_statement_identifier,
  },
  [46] = {
    [1] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_this_type,
  },
  [59] = {
    [1] = alias_sym_type_identifier,
  },
  [62] = {
    [0] = alias_sym_type_identifier,
  },
  [63] = {
    [0] = alias_sym_type_identifier,
  },
  [64] = {
    [1] = sym_member_expression,
  },
  [68] = {
    [1] = alias_sym_type_identifier,
    [2] = alias_sym_interface_body,
  },
  [70] = {
    [2] = alias_sym_property_identifier,
  },
  [72] = {
    [2] = alias_sym_property_identifier,
  },
  [83] = {
    [0] = sym_member_expression,
    [2] = alias_sym_property_identifier,
  },
  [84] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [106] = {
    [1] = alias_sym_type_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [115] = {
    [0] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [1] = anon_sym_unique,
  },
  [121] = {
    [1] = sym_identifier,
  },
  [128] = {
    [1] = sym_identifier,
  },
  [131] = {
    [1] = alias_sym_type_identifier,
  },
  [132] = {
    [1] = alias_sym_type_identifier,
  },
  [136] = {
    [0] = alias_sym_type_identifier,
  },
  [137] = {
    [1] = sym_member_expression,
  },
  [138] = {
    [1] = sym_member_expression,
  },
  [139] = {
    [2] = alias_sym_type_identifier,
  },
  [140] = {
    [1] = alias_sym_type_identifier,
  },
  [142] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [143] = {
    [1] = alias_sym_type_identifier,
    [3] = alias_sym_interface_body,
  },
  [147] = {
    [2] = alias_sym_type_identifier,
  },
  [152] = {
    [1] = alias_sym_type_identifier,
  },
  [154] = {
    [0] = sym_identifier,
  },
  [166] = {
    [1] = alias_sym_type_identifier,
  },
  [173] = {
    [2] = alias_sym_type_identifier,
  },
  [175] = {
    [2] = alias_sym_property_identifier,
  },
  [177] = {
    [2] = alias_sym_property_identifier,
  },
  [182] = {
    [1] = alias_sym_type_identifier,
  },
  [184] = {
    [1] = sym_member_expression,
  },
  [185] = {
    [2] = alias_sym_type_identifier,
  },
  [186] = {
    [2] = alias_sym_type_identifier,
  },
  [187] = {
    [1] = alias_sym_type_identifier,
  },
  [189] = {
    [1] = alias_sym_type_identifier,
    [4] = alias_sym_interface_body,
  },
  [192] = {
    [0] = sym_identifier,
  },
  [194] = {
    [2] = alias_sym_type_identifier,
  },
  [195] = {
    [2] = alias_sym_type_identifier,
  },
  [197] = {
    [3] = alias_sym_type_identifier,
  },
  [199] = {
    [1] = alias_sym_type_identifier,
  },
  [201] = {
    [1] = sym_identifier,
  },
  [202] = {
    [1] = sym_identifier,
  },
  [207] = {
    [0] = alias_sym_type_identifier,
  },
  [225] = {
    [2] = alias_sym_property_identifier,
  },
  [230] = {
    [2] = alias_sym_type_identifier,
  },
  [235] = {
    [2] = alias_sym_type_identifier,
  },
  [236] = {
    [3] = alias_sym_type_identifier,
  },
  [237] = {
    [3] = alias_sym_type_identifier,
  },
  [271] = {
    [3] = alias_sym_property_identifier,
  },
  [272] = {
    [3] = alias_sym_type_identifier,
  },
  [281] = {
    [1] = sym_identifier,
  },
  [282] = {
    [0] = alias_sym_type_identifier,
  },
  [313] = {
    [2] = sym_identifier,
  },
  [330] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_nested_identifier, 2,
    sym_nested_identifier,
    sym_member_expression,
  sym_predefined_type, 2,
    sym_predefined_type,
    sym_identifier,
  sym_object_type, 2,
    sym_object_type,
    alias_sym_interface_body,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 4,
  [8] = 4,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 17,
  [20] = 14,
  [21] = 14,
  [22] = 17,
  [23] = 14,
  [24] = 17,
  [25] = 17,
  [26] = 14,
  [27] = 17,
  [28] = 14,
  [29] = 14,
  [30] = 17,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 32,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 45,
  [47] = 33,
  [48] = 32,
  [49] = 36,
  [50] = 44,
  [51] = 51,
  [52] = 52,
  [53] = 35,
  [54] = 37,
  [55] = 38,
  [56] = 39,
  [57] = 40,
  [58] = 41,
  [59] = 42,
  [60] = 43,
  [61] = 51,
  [62] = 52,
  [63] = 52,
  [64] = 52,
  [65] = 52,
  [66] = 31,
  [67] = 52,
  [68] = 52,
  [69] = 52,
  [70] = 52,
  [71] = 52,
  [72] = 45,
  [73] = 33,
  [74] = 36,
  [75] = 44,
  [76] = 51,
  [77] = 31,
  [78] = 35,
  [79] = 37,
  [80] = 38,
  [81] = 39,
  [82] = 40,
  [83] = 41,
  [84] = 42,
  [85] = 43,
  [86] = 86,
  [87] = 87,
  [88] = 87,
  [89] = 87,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 93,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 96,
  [99] = 99,
  [100] = 93,
  [101] = 101,
  [102] = 102,
  [103] = 102,
  [104] = 101,
  [105] = 105,
  [106] = 101,
  [107] = 107,
  [108] = 101,
  [109] = 101,
  [110] = 110,
  [111] = 107,
  [112] = 110,
  [113] = 107,
  [114] = 114,
  [115] = 107,
  [116] = 107,
  [117] = 117,
  [118] = 117,
  [119] = 114,
  [120] = 110,
  [121] = 107,
  [122] = 117,
  [123] = 105,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 107,
  [128] = 107,
  [129] = 110,
  [130] = 130,
  [131] = 131,
  [132] = 114,
  [133] = 107,
  [134] = 107,
  [135] = 107,
  [136] = 114,
  [137] = 107,
  [138] = 102,
  [139] = 110,
  [140] = 110,
  [141] = 107,
  [142] = 107,
  [143] = 107,
  [144] = 110,
  [145] = 126,
  [146] = 107,
  [147] = 110,
  [148] = 125,
  [149] = 149,
  [150] = 149,
  [151] = 149,
  [152] = 107,
  [153] = 110,
  [154] = 149,
  [155] = 149,
  [156] = 149,
  [157] = 149,
  [158] = 158,
  [159] = 149,
  [160] = 149,
  [161] = 161,
  [162] = 162,
  [163] = 162,
  [164] = 162,
  [165] = 162,
  [166] = 166,
  [167] = 167,
  [168] = 162,
  [169] = 162,
  [170] = 162,
  [171] = 162,
  [172] = 162,
  [173] = 173,
  [174] = 173,
  [175] = 173,
  [176] = 173,
  [177] = 173,
  [178] = 173,
  [179] = 173,
  [180] = 173,
  [181] = 173,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 183,
  [186] = 184,
  [187] = 184,
  [188] = 184,
  [189] = 183,
  [190] = 183,
  [191] = 182,
  [192] = 182,
  [193] = 193,
  [194] = 194,
  [195] = 193,
  [196] = 182,
  [197] = 193,
  [198] = 182,
  [199] = 182,
  [200] = 194,
  [201] = 182,
  [202] = 182,
  [203] = 182,
  [204] = 204,
  [205] = 204,
  [206] = 206,
  [207] = 207,
  [208] = 207,
  [209] = 209,
  [210] = 209,
  [211] = 209,
  [212] = 206,
  [213] = 207,
  [214] = 206,
  [215] = 215,
  [216] = 215,
  [217] = 215,
  [218] = 218,
  [219] = 215,
  [220] = 215,
  [221] = 215,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 222,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 230,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 244,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 222,
  [259] = 242,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 244,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 222,
  [268] = 222,
  [269] = 222,
  [270] = 270,
  [271] = 270,
  [272] = 270,
  [273] = 270,
  [274] = 274,
  [275] = 222,
  [276] = 270,
  [277] = 270,
  [278] = 222,
  [279] = 222,
  [280] = 222,
  [281] = 270,
  [282] = 282,
  [283] = 283,
  [284] = 283,
  [285] = 285,
  [286] = 283,
  [287] = 283,
  [288] = 288,
  [289] = 289,
  [290] = 283,
  [291] = 283,
  [292] = 283,
  [293] = 293,
  [294] = 294,
  [295] = 285,
  [296] = 282,
  [297] = 283,
  [298] = 283,
  [299] = 283,
  [300] = 300,
  [301] = 283,
  [302] = 283,
  [303] = 283,
  [304] = 283,
  [305] = 300,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 307,
  [311] = 311,
  [312] = 312,
  [313] = 312,
  [314] = 312,
  [315] = 315,
  [316] = 307,
  [317] = 317,
  [318] = 318,
  [319] = 317,
  [320] = 320,
  [321] = 320,
  [322] = 318,
  [323] = 318,
  [324] = 324,
  [325] = 324,
  [326] = 326,
  [327] = 317,
  [328] = 324,
  [329] = 320,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 333,
  [336] = 336,
  [337] = 332,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 336,
  [342] = 332,
  [343] = 338,
  [344] = 339,
  [345] = 340,
  [346] = 333,
  [347] = 336,
  [348] = 348,
  [349] = 333,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 333,
  [355] = 336,
  [356] = 336,
  [357] = 332,
  [358] = 333,
  [359] = 336,
  [360] = 330,
  [361] = 332,
  [362] = 338,
  [363] = 339,
  [364] = 340,
  [365] = 338,
  [366] = 366,
  [367] = 339,
  [368] = 340,
  [369] = 369,
  [370] = 340,
  [371] = 371,
  [372] = 332,
  [373] = 373,
  [374] = 374,
  [375] = 336,
  [376] = 376,
  [377] = 338,
  [378] = 338,
  [379] = 333,
  [380] = 339,
  [381] = 336,
  [382] = 332,
  [383] = 338,
  [384] = 339,
  [385] = 332,
  [386] = 340,
  [387] = 340,
  [388] = 388,
  [389] = 333,
  [390] = 339,
  [391] = 340,
  [392] = 338,
  [393] = 351,
  [394] = 353,
  [395] = 395,
  [396] = 333,
  [397] = 336,
  [398] = 332,
  [399] = 338,
  [400] = 339,
  [401] = 340,
  [402] = 339,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 407,
  [429] = 408,
  [430] = 409,
  [431] = 410,
  [432] = 405,
  [433] = 411,
  [434] = 412,
  [435] = 413,
  [436] = 414,
  [437] = 416,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 438,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 438,
  [449] = 449,
  [450] = 447,
  [451] = 438,
  [452] = 443,
  [453] = 441,
  [454] = 442,
  [455] = 443,
  [456] = 456,
  [457] = 443,
  [458] = 446,
  [459] = 459,
  [460] = 443,
  [461] = 443,
  [462] = 462,
  [463] = 443,
  [464] = 464,
  [465] = 417,
  [466] = 418,
  [467] = 422,
  [468] = 423,
  [469] = 469,
  [470] = 424,
  [471] = 471,
  [472] = 425,
  [473] = 473,
  [474] = 427,
  [475] = 407,
  [476] = 408,
  [477] = 409,
  [478] = 410,
  [479] = 405,
  [480] = 411,
  [481] = 412,
  [482] = 413,
  [483] = 414,
  [484] = 416,
  [485] = 420,
  [486] = 441,
  [487] = 442,
  [488] = 456,
  [489] = 443,
  [490] = 418,
  [491] = 445,
  [492] = 417,
  [493] = 418,
  [494] = 422,
  [495] = 423,
  [496] = 424,
  [497] = 425,
  [498] = 427,
  [499] = 407,
  [500] = 408,
  [501] = 409,
  [502] = 410,
  [503] = 405,
  [504] = 411,
  [505] = 412,
  [506] = 413,
  [507] = 414,
  [508] = 416,
  [509] = 422,
  [510] = 464,
  [511] = 441,
  [512] = 442,
  [513] = 443,
  [514] = 445,
  [515] = 446,
  [516] = 447,
  [517] = 464,
  [518] = 418,
  [519] = 422,
  [520] = 423,
  [521] = 424,
  [522] = 471,
  [523] = 425,
  [524] = 427,
  [525] = 407,
  [526] = 408,
  [527] = 409,
  [528] = 471,
  [529] = 405,
  [530] = 411,
  [531] = 412,
  [532] = 413,
  [533] = 414,
  [534] = 417,
  [535] = 416,
  [536] = 441,
  [537] = 442,
  [538] = 443,
  [539] = 445,
  [540] = 417,
  [541] = 418,
  [542] = 422,
  [543] = 423,
  [544] = 424,
  [545] = 425,
  [546] = 427,
  [547] = 407,
  [548] = 408,
  [549] = 409,
  [550] = 410,
  [551] = 405,
  [552] = 411,
  [553] = 412,
  [554] = 413,
  [555] = 414,
  [556] = 416,
  [557] = 441,
  [558] = 442,
  [559] = 443,
  [560] = 445,
  [561] = 446,
  [562] = 447,
  [563] = 464,
  [564] = 471,
  [565] = 418,
  [566] = 422,
  [567] = 423,
  [568] = 424,
  [569] = 425,
  [570] = 427,
  [571] = 407,
  [572] = 408,
  [573] = 409,
  [574] = 410,
  [575] = 405,
  [576] = 411,
  [577] = 412,
  [578] = 413,
  [579] = 414,
  [580] = 416,
  [581] = 441,
  [582] = 442,
  [583] = 443,
  [584] = 445,
  [585] = 445,
  [586] = 446,
  [587] = 447,
  [588] = 464,
  [589] = 471,
  [590] = 418,
  [591] = 422,
  [592] = 423,
  [593] = 424,
  [594] = 425,
  [595] = 427,
  [596] = 407,
  [597] = 408,
  [598] = 409,
  [599] = 410,
  [600] = 405,
  [601] = 411,
  [602] = 412,
  [603] = 413,
  [604] = 414,
  [605] = 416,
  [606] = 441,
  [607] = 442,
  [608] = 443,
  [609] = 423,
  [610] = 445,
  [611] = 446,
  [612] = 447,
  [613] = 464,
  [614] = 471,
  [615] = 424,
  [616] = 446,
  [617] = 447,
  [618] = 417,
  [619] = 619,
  [620] = 417,
  [621] = 418,
  [622] = 422,
  [623] = 423,
  [624] = 424,
  [625] = 425,
  [626] = 427,
  [627] = 407,
  [628] = 408,
  [629] = 409,
  [630] = 410,
  [631] = 405,
  [632] = 411,
  [633] = 412,
  [634] = 413,
  [635] = 414,
  [636] = 416,
  [637] = 441,
  [638] = 442,
  [639] = 443,
  [640] = 445,
  [641] = 446,
  [642] = 447,
  [643] = 471,
  [644] = 425,
  [645] = 645,
  [646] = 426,
  [647] = 464,
  [648] = 471,
  [649] = 446,
  [650] = 447,
  [651] = 417,
  [652] = 417,
  [653] = 464,
  [654] = 427,
  [655] = 471,
  [656] = 464,
  [657] = 410,
  [658] = 658,
  [659] = 658,
  [660] = 658,
  [661] = 661,
  [662] = 661,
  [663] = 661,
  [664] = 664,
  [665] = 664,
  [666] = 664,
  [667] = 667,
  [668] = 667,
  [669] = 667,
  [670] = 670,
  [671] = 670,
  [672] = 670,
  [673] = 673,
  [674] = 674,
  [675] = 673,
  [676] = 674,
  [677] = 264,
  [678] = 232,
  [679] = 674,
  [680] = 673,
  [681] = 681,
  [682] = 682,
  [683] = 681,
  [684] = 684,
  [685] = 685,
  [686] = 681,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 689,
  [691] = 691,
  [692] = 692,
  [693] = 692,
  [694] = 692,
  [695] = 691,
  [696] = 691,
  [697] = 689,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 699,
  [702] = 698,
  [703] = 700,
  [704] = 698,
  [705] = 705,
  [706] = 705,
  [707] = 698,
  [708] = 705,
  [709] = 698,
  [710] = 698,
  [711] = 711,
  [712] = 712,
  [713] = 248,
  [714] = 714,
  [715] = 698,
  [716] = 698,
  [717] = 250,
  [718] = 698,
  [719] = 699,
  [720] = 720,
  [721] = 262,
  [722] = 235,
  [723] = 723,
  [724] = 249,
  [725] = 248,
  [726] = 234,
  [727] = 250,
  [728] = 698,
  [729] = 698,
  [730] = 720,
  [731] = 720,
  [732] = 698,
  [733] = 249,
  [734] = 234,
  [735] = 735,
  [736] = 698,
  [737] = 712,
  [738] = 224,
  [739] = 227,
  [740] = 698,
  [741] = 698,
  [742] = 698,
  [743] = 700,
  [744] = 744,
  [745] = 745,
  [746] = 698,
  [747] = 225,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 749,
  [753] = 753,
  [754] = 749,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 749,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 749,
  [764] = 764,
  [765] = 765,
  [766] = 749,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 252,
  [771] = 749,
  [772] = 253,
  [773] = 773,
  [774] = 774,
  [775] = 749,
  [776] = 776,
  [777] = 749,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 786,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 786,
  [807] = 807,
  [808] = 808,
  [809] = 809,
  [810] = 256,
  [811] = 811,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 786,
  [818] = 818,
  [819] = 819,
  [820] = 820,
  [821] = 786,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 262,
  [841] = 235,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 260,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 906,
  [909] = 906,
  [910] = 907,
  [911] = 906,
  [912] = 906,
  [913] = 907,
  [914] = 907,
  [915] = 907,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 761,
  [920] = 920,
  [921] = 753,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 931,
  [933] = 931,
  [934] = 934,
  [935] = 931,
  [936] = 934,
  [937] = 937,
  [938] = 934,
  [939] = 937,
  [940] = 937,
  [941] = 934,
  [942] = 931,
  [943] = 931,
  [944] = 934,
  [945] = 931,
  [946] = 934,
  [947] = 934,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 951,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 954,
  [957] = 954,
  [958] = 951,
  [959] = 954,
  [960] = 951,
  [961] = 951,
  [962] = 954,
  [963] = 951,
  [964] = 955,
  [965] = 955,
  [966] = 954,
  [967] = 954,
  [968] = 955,
  [969] = 951,
  [970] = 955,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 980,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 973,
  [994] = 974,
  [995] = 995,
  [996] = 996,
  [997] = 975,
  [998] = 976,
  [999] = 988,
  [1000] = 989,
  [1001] = 977,
  [1002] = 978,
  [1003] = 979,
  [1004] = 990,
  [1005] = 980,
  [1006] = 991,
  [1007] = 992,
  [1008] = 988,
  [1009] = 989,
  [1010] = 990,
  [1011] = 995,
  [1012] = 996,
  [1013] = 991,
  [1014] = 992,
  [1015] = 979,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 995,
  [1019] = 996,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 987,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 973,
  [1027] = 974,
  [1028] = 1020,
  [1029] = 1021,
  [1030] = 973,
  [1031] = 974,
  [1032] = 995,
  [1033] = 996,
  [1034] = 975,
  [1035] = 976,
  [1036] = 1036,
  [1037] = 977,
  [1038] = 978,
  [1039] = 972,
  [1040] = 979,
  [1041] = 980,
  [1042] = 995,
  [1043] = 996,
  [1044] = 975,
  [1045] = 976,
  [1046] = 1046,
  [1047] = 977,
  [1048] = 978,
  [1049] = 979,
  [1050] = 980,
  [1051] = 1051,
  [1052] = 1025,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 988,
  [1056] = 989,
  [1057] = 990,
  [1058] = 991,
  [1059] = 991,
  [1060] = 972,
  [1061] = 992,
  [1062] = 973,
  [1063] = 974,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 973,
  [1067] = 974,
  [1068] = 995,
  [1069] = 996,
  [1070] = 971,
  [1071] = 975,
  [1072] = 976,
  [1073] = 1025,
  [1074] = 977,
  [1075] = 972,
  [1076] = 978,
  [1077] = 979,
  [1078] = 980,
  [1079] = 988,
  [1080] = 989,
  [1081] = 990,
  [1082] = 991,
  [1083] = 992,
  [1084] = 1025,
  [1085] = 972,
  [1086] = 995,
  [1087] = 996,
  [1088] = 1025,
  [1089] = 1025,
  [1090] = 973,
  [1091] = 974,
  [1092] = 975,
  [1093] = 976,
  [1094] = 988,
  [1095] = 989,
  [1096] = 990,
  [1097] = 991,
  [1098] = 992,
  [1099] = 972,
  [1100] = 986,
  [1101] = 977,
  [1102] = 978,
  [1103] = 1025,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 985,
  [1108] = 979,
  [1109] = 975,
  [1110] = 976,
  [1111] = 980,
  [1112] = 977,
  [1113] = 978,
  [1114] = 972,
  [1115] = 988,
  [1116] = 989,
  [1117] = 1036,
  [1118] = 990,
  [1119] = 971,
  [1120] = 971,
  [1121] = 971,
  [1122] = 971,
  [1123] = 971,
  [1124] = 992,
  [1125] = 1125,
  [1126] = 1125,
  [1127] = 1125,
  [1128] = 1125,
  [1129] = 1125,
  [1130] = 1125,
  [1131] = 1125,
  [1132] = 1125,
  [1133] = 1125,
  [1134] = 1125,
  [1135] = 1125,
  [1136] = 1125,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1137,
  [1140] = 1140,
  [1141] = 1138,
  [1142] = 1138,
  [1143] = 1137,
  [1144] = 1140,
  [1145] = 1140,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1146,
  [1149] = 1149,
  [1150] = 1147,
  [1151] = 1151,
  [1152] = 1151,
  [1153] = 1147,
  [1154] = 1147,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1147,
  [1159] = 1156,
  [1160] = 1155,
  [1161] = 1147,
  [1162] = 1155,
  [1163] = 1157,
  [1164] = 1157,
  [1165] = 1149,
  [1166] = 1156,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1173,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1147,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1168,
  [1180] = 1147,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1168,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1147,
  [1189] = 1185,
  [1190] = 1190,
  [1191] = 1185,
  [1192] = 1147,
  [1193] = 1147,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 753,
  [1197] = 1146,
  [1198] = 1195,
  [1199] = 1195,
  [1200] = 1200,
  [1201] = 761,
  [1202] = 1190,
  [1203] = 1147,
  [1204] = 1190,
  [1205] = 1205,
  [1206] = 1178,
  [1207] = 1194,
  [1208] = 1147,
  [1209] = 1178,
  [1210] = 1210,
  [1211] = 1178,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1178,
  [1215] = 1215,
  [1216] = 1147,
  [1217] = 1147,
  [1218] = 1147,
  [1219] = 1147,
  [1220] = 1149,
  [1221] = 1181,
  [1222] = 1147,
  [1223] = 1212,
  [1224] = 1212,
  [1225] = 1225,
  [1226] = 1225,
  [1227] = 1227,
  [1228] = 1178,
  [1229] = 1229,
  [1230] = 1225,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1178,
  [1234] = 1234,
  [1235] = 1225,
  [1236] = 1205,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1205,
  [1240] = 1178,
  [1241] = 1225,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1227,
  [1245] = 1225,
  [1246] = 1225,
  [1247] = 1243,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1178,
  [1251] = 1225,
  [1252] = 1225,
  [1253] = 1253,
  [1254] = 1249,
  [1255] = 1229,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1173,
  [1259] = 1210,
  [1260] = 1237,
  [1261] = 1261,
  [1262] = 1173,
  [1263] = 1174,
  [1264] = 1210,
  [1265] = 1265,
  [1266] = 1178,
  [1267] = 1267,
  [1268] = 1205,
  [1269] = 1174,
  [1270] = 1270,
  [1271] = 1200,
  [1272] = 1178,
  [1273] = 1273,
  [1274] = 1237,
  [1275] = 1178,
  [1276] = 1173,
  [1277] = 1273,
  [1278] = 1174,
  [1279] = 1261,
  [1280] = 1280,
  [1281] = 1205,
  [1282] = 1205,
  [1283] = 1273,
  [1284] = 1270,
  [1285] = 1170,
  [1286] = 1178,
  [1287] = 1210,
  [1288] = 753,
  [1289] = 1289,
  [1290] = 1249,
  [1291] = 1178,
  [1292] = 1205,
  [1293] = 1293,
  [1294] = 1169,
  [1295] = 1237,
  [1296] = 1243,
  [1297] = 1243,
  [1298] = 1243,
  [1299] = 1293,
  [1300] = 1234,
  [1301] = 1171,
  [1302] = 1249,
  [1303] = 761,
  [1304] = 1304,
  [1305] = 1175,
  [1306] = 1304,
  [1307] = 1210,
  [1308] = 1172,
  [1309] = 1304,
  [1310] = 1293,
  [1311] = 1177,
  [1312] = 1167,
  [1313] = 1289,
  [1314] = 1249,
  [1315] = 1249,
  [1316] = 1205,
  [1317] = 1200,
  [1318] = 1205,
  [1319] = 1243,
  [1320] = 1210,
  [1321] = 1174,
  [1322] = 1322,
  [1323] = 1253,
  [1324] = 1173,
  [1325] = 1174,
  [1326] = 1326,
  [1327] = 1210,
  [1328] = 1205,
  [1329] = 1243,
  [1330] = 1200,
  [1331] = 1173,
  [1332] = 1257,
  [1333] = 1243,
  [1334] = 1210,
  [1335] = 1335,
  [1336] = 1200,
  [1337] = 1210,
  [1338] = 1249,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1249,
  [1342] = 1326,
  [1343] = 1174,
  [1344] = 1229,
  [1345] = 1243,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1243,
  [1349] = 1210,
  [1350] = 1249,
  [1351] = 1346,
  [1352] = 1346,
  [1353] = 1249,
  [1354] = 1354,
  [1355] = 1346,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1243,
  [1359] = 1346,
  [1360] = 1173,
  [1361] = 1361,
  [1362] = 1249,
  [1363] = 1227,
  [1364] = 1249,
  [1365] = 1200,
  [1366] = 1243,
  [1367] = 1346,
  [1368] = 1243,
  [1369] = 1261,
  [1370] = 1243,
  [1371] = 1243,
  [1372] = 1243,
  [1373] = 1200,
  [1374] = 1234,
  [1375] = 1322,
  [1376] = 1335,
  [1377] = 1200,
  [1378] = 1249,
  [1379] = 1249,
  [1380] = 1249,
  [1381] = 1249,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1382,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1257,
  [1388] = 1385,
  [1389] = 1389,
  [1390] = 1347,
  [1391] = 1389,
  [1392] = 1386,
  [1393] = 1382,
  [1394] = 1383,
  [1395] = 1385,
  [1396] = 1385,
  [1397] = 1389,
  [1398] = 1382,
  [1399] = 1243,
  [1400] = 1383,
  [1401] = 1383,
  [1402] = 1386,
  [1403] = 1386,
  [1404] = 1383,
  [1405] = 1389,
  [1406] = 1382,
  [1407] = 1382,
  [1408] = 1383,
  [1409] = 1382,
  [1410] = 1383,
  [1411] = 1249,
  [1412] = 1386,
  [1413] = 1200,
  [1414] = 1200,
  [1415] = 1383,
  [1416] = 1382,
  [1417] = 1385,
  [1418] = 1386,
  [1419] = 1383,
  [1420] = 1389,
  [1421] = 1385,
  [1422] = 1389,
  [1423] = 1382,
  [1424] = 1424,
  [1425] = 1424,
  [1426] = 1424,
  [1427] = 1424,
  [1428] = 1424,
  [1429] = 1424,
  [1430] = 1424,
  [1431] = 1424,
  [1432] = 1424,
  [1433] = 1433,
  [1434] = 1433,
  [1435] = 1433,
  [1436] = 1433,
  [1437] = 1437,
  [1438] = 1433,
  [1439] = 1433,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1442,
  [1443] = 1440,
  [1444] = 1442,
  [1445] = 1440,
  [1446] = 1446,
  [1447] = 1440,
  [1448] = 1442,
  [1449] = 1440,
  [1450] = 1441,
  [1451] = 1441,
  [1452] = 1442,
  [1453] = 1441,
  [1454] = 1442,
  [1455] = 1441,
  [1456] = 1456,
  [1457] = 1456,
  [1458] = 1456,
  [1459] = 1456,
  [1460] = 1460,
  [1461] = 1456,
  [1462] = 1456,
  [1463] = 1463,
  [1464] = 264,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 232,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 264,
  [1472] = 1472,
  [1473] = 229,
  [1474] = 950,
  [1475] = 232,
  [1476] = 948,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 949,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 225,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 682,
  [1496] = 1496,
  [1497] = 248,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 224,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 227,
  [1511] = 1511,
  [1512] = 225,
  [1513] = 1513,
  [1514] = 227,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 684,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 687,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 224,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1559,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 685,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 688,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1602,
  [1603] = 1603,
  [1604] = 1604,
  [1605] = 1605,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 250,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1611,
  [1612] = 1612,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1612,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1460,
  [1629] = 1629,
  [1630] = 260,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 249,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1612,
  [1656] = 1612,
  [1657] = 1657,
  [1658] = 252,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 235,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 262,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 252,
  [1679] = 253,
  [1680] = 1680,
  [1681] = 234,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 253,
  [1687] = 1687,
  [1688] = 1688,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1612,
  [1695] = 256,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1700,
  [1701] = 1701,
  [1702] = 1702,
  [1703] = 1703,
  [1704] = 1704,
  [1705] = 1705,
  [1706] = 1706,
  [1707] = 1707,
  [1708] = 1708,
  [1709] = 1709,
  [1710] = 1710,
  [1711] = 1711,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1720,
  [1721] = 1721,
  [1722] = 1722,
  [1723] = 1723,
  [1724] = 1724,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 248,
  [1729] = 1701,
  [1730] = 1470,
  [1731] = 256,
  [1732] = 1697,
  [1733] = 250,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1469,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1738,
  [1741] = 249,
  [1742] = 260,
  [1743] = 1735,
  [1744] = 235,
  [1745] = 1738,
  [1746] = 1466,
  [1747] = 234,
  [1748] = 1735,
  [1749] = 1749,
  [1750] = 1738,
  [1751] = 1692,
  [1752] = 1735,
  [1753] = 1735,
  [1754] = 1754,
  [1755] = 262,
  [1756] = 1738,
  [1757] = 1467,
  [1758] = 1726,
  [1759] = 1759,
  [1760] = 1680,
  [1761] = 1716,
  [1762] = 1537,
  [1763] = 1693,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1477,
  [1767] = 1478,
  [1768] = 1480,
  [1769] = 1481,
  [1770] = 1770,
  [1771] = 1718,
  [1772] = 1672,
  [1773] = 1700,
  [1774] = 950,
  [1775] = 1653,
  [1776] = 1613,
  [1777] = 1618,
  [1778] = 1626,
  [1779] = 1646,
  [1780] = 1659,
  [1781] = 1484,
  [1782] = 1666,
  [1783] = 1677,
  [1784] = 1689,
  [1785] = 1660,
  [1786] = 1708,
  [1787] = 1787,
  [1788] = 1702,
  [1789] = 1610,
  [1790] = 1712,
  [1791] = 1482,
  [1792] = 1472,
  [1793] = 1787,
  [1794] = 1588,
  [1795] = 1479,
  [1796] = 1764,
  [1797] = 1595,
  [1798] = 1692,
  [1799] = 1697,
  [1800] = 1701,
  [1801] = 1486,
  [1802] = 1802,
  [1803] = 1529,
  [1804] = 1566,
  [1805] = 1805,
  [1806] = 1726,
  [1807] = 1529,
  [1808] = 1566,
  [1809] = 1674,
  [1810] = 1712,
  [1811] = 1620,
  [1812] = 1759,
  [1813] = 1634,
  [1814] = 1635,
  [1815] = 949,
  [1816] = 1529,
  [1817] = 1787,
  [1818] = 1787,
  [1819] = 1566,
  [1820] = 1759,
  [1821] = 1699,
  [1822] = 1725,
  [1823] = 1787,
  [1824] = 1759,
  [1825] = 1699,
  [1826] = 1725,
  [1827] = 1716,
  [1828] = 1718,
  [1829] = 1672,
  [1830] = 1700,
  [1831] = 1653,
  [1832] = 1613,
  [1833] = 1618,
  [1834] = 1626,
  [1835] = 1646,
  [1836] = 1659,
  [1837] = 1666,
  [1838] = 1677,
  [1839] = 1689,
  [1840] = 1660,
  [1841] = 1708,
  [1842] = 1702,
  [1843] = 1610,
  [1844] = 1674,
  [1845] = 1617,
  [1846] = 1620,
  [1847] = 1634,
  [1848] = 1635,
  [1849] = 1641,
  [1850] = 1850,
  [1851] = 948,
  [1852] = 1641,
  [1853] = 1853,
  [1854] = 1680,
  [1855] = 1693,
  [1856] = 1617,
  [1857] = 1604,
  [1858] = 1487,
  [1859] = 1548,
  [1860] = 1549,
  [1861] = 1550,
  [1862] = 1609,
  [1863] = 1552,
  [1864] = 1553,
  [1865] = 1554,
  [1866] = 1555,
  [1867] = 1556,
  [1868] = 1557,
  [1869] = 1558,
  [1870] = 1559,
  [1871] = 1560,
  [1872] = 1562,
  [1873] = 1563,
  [1874] = 1565,
  [1875] = 1567,
  [1876] = 1569,
  [1877] = 1570,
  [1878] = 1547,
  [1879] = 685,
  [1880] = 1572,
  [1881] = 1573,
  [1882] = 1575,
  [1883] = 1577,
  [1884] = 1578,
  [1885] = 1579,
  [1886] = 1580,
  [1887] = 1581,
  [1888] = 1583,
  [1889] = 1584,
  [1890] = 1585,
  [1891] = 1586,
  [1892] = 1587,
  [1893] = 688,
  [1894] = 1590,
  [1895] = 1592,
  [1896] = 1593,
  [1897] = 1594,
  [1898] = 1596,
  [1899] = 1597,
  [1900] = 1598,
  [1901] = 1599,
  [1902] = 1600,
  [1903] = 1601,
  [1904] = 1602,
  [1905] = 1605,
  [1906] = 229,
  [1907] = 1490,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 1912,
  [1913] = 1722,
  [1914] = 1914,
  [1915] = 1516,
  [1916] = 1916,
  [1917] = 1529,
  [1918] = 1532,
  [1919] = 1566,
  [1920] = 682,
  [1921] = 1496,
  [1922] = 1504,
  [1923] = 1498,
  [1924] = 1561,
  [1925] = 1574,
  [1926] = 1499,
  [1927] = 1692,
  [1928] = 1524,
  [1929] = 1910,
  [1930] = 1930,
  [1931] = 1720,
  [1932] = 1932,
  [1933] = 1802,
  [1934] = 1568,
  [1935] = 1564,
  [1936] = 1936,
  [1937] = 1582,
  [1938] = 1727,
  [1939] = 1576,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1500,
  [1943] = 1943,
  [1944] = 1944,
  [1945] = 1603,
  [1946] = 1946,
  [1947] = 1910,
  [1948] = 1932,
  [1949] = 1802,
  [1950] = 1529,
  [1951] = 1566,
  [1952] = 1588,
  [1953] = 1501,
  [1954] = 1595,
  [1955] = 1910,
  [1956] = 1529,
  [1957] = 1566,
  [1958] = 1720,
  [1959] = 1727,
  [1960] = 1722,
  [1961] = 1502,
  [1962] = 1503,
  [1963] = 1537,
  [1964] = 1505,
  [1965] = 1965,
  [1966] = 1507,
  [1967] = 1508,
  [1968] = 1509,
  [1969] = 1969,
  [1970] = 1513,
  [1971] = 1971,
  [1972] = 1515,
  [1973] = 1491,
  [1974] = 1564,
  [1975] = 1517,
  [1976] = 1518,
  [1977] = 1582,
  [1978] = 1727,
  [1979] = 1588,
  [1980] = 1492,
  [1981] = 1493,
  [1982] = 1720,
  [1983] = 1722,
  [1984] = 1754,
  [1985] = 1697,
  [1986] = 1965,
  [1987] = 1494,
  [1988] = 1988,
  [1989] = 1607,
  [1990] = 1591,
  [1991] = 229,
  [1992] = 1910,
  [1993] = 1489,
  [1994] = 684,
  [1995] = 1520,
  [1996] = 1521,
  [1997] = 1522,
  [1998] = 1523,
  [1999] = 1525,
  [2000] = 1526,
  [2001] = 1527,
  [2002] = 1754,
  [2003] = 1528,
  [2004] = 1530,
  [2005] = 1531,
  [2006] = 1533,
  [2007] = 1534,
  [2008] = 1535,
  [2009] = 1536,
  [2010] = 1538,
  [2011] = 1539,
  [2012] = 1540,
  [2013] = 2013,
  [2014] = 2014,
  [2015] = 1541,
  [2016] = 2016,
  [2017] = 2017,
  [2018] = 2018,
  [2019] = 1542,
  [2020] = 1543,
  [2021] = 2021,
  [2022] = 1544,
  [2023] = 2023,
  [2024] = 1701,
  [2025] = 1910,
  [2026] = 2026,
  [2027] = 1595,
  [2028] = 1545,
  [2029] = 1606,
  [2030] = 687,
  [2031] = 1699,
  [2032] = 1725,
  [2033] = 1716,
  [2034] = 1718,
  [2035] = 1672,
  [2036] = 1700,
  [2037] = 1653,
  [2038] = 1613,
  [2039] = 1618,
  [2040] = 1626,
  [2041] = 1646,
  [2042] = 1659,
  [2043] = 1666,
  [2044] = 1677,
  [2045] = 1689,
  [2046] = 1660,
  [2047] = 1708,
  [2048] = 1702,
  [2049] = 1610,
  [2050] = 1674,
  [2051] = 1617,
  [2052] = 1620,
  [2053] = 1634,
  [2054] = 1635,
  [2055] = 1641,
  [2056] = 1726,
  [2057] = 1680,
  [2058] = 1693,
  [2059] = 1712,
  [2060] = 1511,
  [2061] = 1651,
  [2062] = 1640,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 1685,
  [2067] = 245,
  [2068] = 246,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 1652,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 241,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 1682,
  [2080] = 1614,
  [2081] = 1676,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 1720,
  [2089] = 1625,
  [2090] = 1698,
  [2091] = 2085,
  [2092] = 1727,
  [2093] = 2093,
  [2094] = 2087,
  [2095] = 2085,
  [2096] = 1703,
  [2097] = 2087,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 261,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 1529,
  [2104] = 1566,
  [2105] = 1647,
  [2106] = 2098,
  [2107] = 2099,
  [2108] = 2108,
  [2109] = 1529,
  [2110] = 1566,
  [2111] = 2098,
  [2112] = 2099,
  [2113] = 2098,
  [2114] = 2099,
  [2115] = 2115,
  [2116] = 254,
  [2117] = 2098,
  [2118] = 2099,
  [2119] = 2119,
  [2120] = 1654,
  [2121] = 1657,
  [2122] = 255,
  [2123] = 1688,
  [2124] = 1714,
  [2125] = 2125,
  [2126] = 1619,
  [2127] = 1649,
  [2128] = 1623,
  [2129] = 2129,
  [2130] = 1632,
  [2131] = 1675,
  [2132] = 1537,
  [2133] = 1637,
  [2134] = 1648,
  [2135] = 1699,
  [2136] = 1725,
  [2137] = 1662,
  [2138] = 1716,
  [2139] = 1663,
  [2140] = 1667,
  [2141] = 1668,
  [2142] = 1718,
  [2143] = 1672,
  [2144] = 1700,
  [2145] = 2145,
  [2146] = 1653,
  [2147] = 2147,
  [2148] = 1613,
  [2149] = 1618,
  [2150] = 1626,
  [2151] = 1646,
  [2152] = 1659,
  [2153] = 1666,
  [2154] = 1677,
  [2155] = 1689,
  [2156] = 1670,
  [2157] = 1660,
  [2158] = 1708,
  [2159] = 2159,
  [2160] = 1702,
  [2161] = 1610,
  [2162] = 1674,
  [2163] = 1617,
  [2164] = 1620,
  [2165] = 1634,
  [2166] = 1635,
  [2167] = 2167,
  [2168] = 1641,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 243,
  [2172] = 1687,
  [2173] = 2173,
  [2174] = 2174,
  [2175] = 1615,
  [2176] = 1770,
  [2177] = 1683,
  [2178] = 2167,
  [2179] = 1684,
  [2180] = 1690,
  [2181] = 1705,
  [2182] = 2159,
  [2183] = 1642,
  [2184] = 1645,
  [2185] = 2145,
  [2186] = 1709,
  [2187] = 1710,
  [2188] = 1704,
  [2189] = 1661,
  [2190] = 2145,
  [2191] = 1711,
  [2192] = 1715,
  [2193] = 1717,
  [2194] = 1719,
  [2195] = 1696,
  [2196] = 2145,
  [2197] = 2145,
  [2198] = 2198,
  [2199] = 2145,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 1726,
  [2208] = 1680,
  [2209] = 1693,
  [2210] = 1712,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 1669,
  [2214] = 251,
  [2215] = 2215,
  [2216] = 2216,
  [2217] = 2217,
  [2218] = 237,
  [2219] = 1706,
  [2220] = 2220,
  [2221] = 1713,
  [2222] = 1707,
  [2223] = 1673,
  [2224] = 2224,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2085,
  [2228] = 1724,
  [2229] = 2087,
  [2230] = 2073,
  [2231] = 1633,
  [2232] = 261,
  [2233] = 2233,
  [2234] = 2202,
  [2235] = 2235,
  [2236] = 2212,
  [2237] = 1720,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2075,
  [2242] = 2093,
  [2243] = 2243,
  [2244] = 2145,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 1699,
  [2250] = 1725,
  [2251] = 1716,
  [2252] = 1718,
  [2253] = 1672,
  [2254] = 1700,
  [2255] = 1653,
  [2256] = 1613,
  [2257] = 1618,
  [2258] = 1626,
  [2259] = 1646,
  [2260] = 1659,
  [2261] = 1666,
  [2262] = 1677,
  [2263] = 1689,
  [2264] = 1660,
  [2265] = 1708,
  [2266] = 1702,
  [2267] = 1610,
  [2268] = 1674,
  [2269] = 1617,
  [2270] = 1620,
  [2271] = 1634,
  [2272] = 1635,
  [2273] = 1641,
  [2274] = 1691,
  [2275] = 238,
  [2276] = 2245,
  [2277] = 1629,
  [2278] = 2278,
  [2279] = 1726,
  [2280] = 1680,
  [2281] = 1693,
  [2282] = 1712,
  [2283] = 1611,
  [2284] = 1621,
  [2285] = 1721,
  [2286] = 239,
  [2287] = 1802,
  [2288] = 243,
  [2289] = 2289,
  [2290] = 2290,
  [2291] = 1627,
  [2292] = 2085,
  [2293] = 1643,
  [2294] = 2087,
  [2295] = 2295,
  [2296] = 1564,
  [2297] = 2297,
  [2298] = 1622,
  [2299] = 1624,
  [2300] = 1631,
  [2301] = 1636,
  [2302] = 1638,
  [2303] = 1639,
  [2304] = 2304,
  [2305] = 1665,
  [2306] = 2238,
  [2307] = 2239,
  [2308] = 2308,
  [2309] = 2240,
  [2310] = 1582,
  [2311] = 1727,
  [2312] = 1916,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2203,
  [2317] = 2129,
  [2318] = 2318,
  [2319] = 251,
  [2320] = 237,
  [2321] = 240,
  [2322] = 241,
  [2323] = 1739,
  [2324] = 238,
  [2325] = 245,
  [2326] = 246,
  [2327] = 254,
  [2328] = 255,
  [2329] = 239,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 1754,
  [2333] = 2147,
  [2334] = 2085,
  [2335] = 2078,
  [2336] = 2087,
  [2337] = 2337,
  [2338] = 1916,
  [2339] = 1723,
  [2340] = 1770,
  [2341] = 240,
  [2342] = 1754,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2202,
  [2347] = 2238,
  [2348] = 2239,
  [2349] = 2075,
  [2350] = 1537,
  [2351] = 2315,
  [2352] = 2203,
  [2353] = 2078,
  [2354] = 1754,
  [2355] = 1650,
  [2356] = 2315,
  [2357] = 2318,
  [2358] = 2358,
  [2359] = 1697,
  [2360] = 1646,
  [2361] = 1659,
  [2362] = 1666,
  [2363] = 1677,
  [2364] = 1689,
  [2365] = 1660,
  [2366] = 1708,
  [2367] = 1702,
  [2368] = 1610,
  [2369] = 1674,
  [2370] = 1617,
  [2371] = 1620,
  [2372] = 1634,
  [2373] = 1635,
  [2374] = 1641,
  [2375] = 2375,
  [2376] = 1564,
  [2377] = 257,
  [2378] = 2378,
  [2379] = 2379,
  [2380] = 1726,
  [2381] = 1680,
  [2382] = 2382,
  [2383] = 1693,
  [2384] = 1712,
  [2385] = 1582,
  [2386] = 2386,
  [2387] = 2387,
  [2388] = 1529,
  [2389] = 1765,
  [2390] = 2390,
  [2391] = 1566,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2378,
  [2401] = 2401,
  [2402] = 1692,
  [2403] = 2403,
  [2404] = 1697,
  [2405] = 2378,
  [2406] = 2397,
  [2407] = 2407,
  [2408] = 1701,
  [2409] = 2409,
  [2410] = 2393,
  [2411] = 257,
  [2412] = 1588,
  [2413] = 1720,
  [2414] = 2414,
  [2415] = 2399,
  [2416] = 2379,
  [2417] = 2398,
  [2418] = 2418,
  [2419] = 1727,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 1618,
  [2423] = 1626,
  [2424] = 2424,
  [2425] = 2378,
  [2426] = 2378,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 1770,
  [2431] = 1722,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 1699,
  [2435] = 1725,
  [2436] = 1716,
  [2437] = 1718,
  [2438] = 1672,
  [2439] = 1700,
  [2440] = 1653,
  [2441] = 1613,
  [2442] = 1618,
  [2443] = 1626,
  [2444] = 1646,
  [2445] = 1659,
  [2446] = 1666,
  [2447] = 1677,
  [2448] = 1689,
  [2449] = 1660,
  [2450] = 1708,
  [2451] = 1702,
  [2452] = 1610,
  [2453] = 1674,
  [2454] = 1617,
  [2455] = 1620,
  [2456] = 1634,
  [2457] = 1635,
  [2458] = 1641,
  [2459] = 1754,
  [2460] = 1595,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 2387,
  [2464] = 2464,
  [2465] = 1726,
  [2466] = 1680,
  [2467] = 1693,
  [2468] = 1712,
  [2469] = 1699,
  [2470] = 1725,
  [2471] = 1716,
  [2472] = 1754,
  [2473] = 1754,
  [2474] = 1718,
  [2475] = 1537,
  [2476] = 1722,
  [2477] = 1672,
  [2478] = 1700,
  [2479] = 1653,
  [2480] = 1613,
  [2481] = 2378,
  [2482] = 2482,
  [2483] = 1537,
  [2484] = 1916,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 1692,
  [2491] = 1697,
  [2492] = 1701,
  [2493] = 950,
  [2494] = 1722,
  [2495] = 949,
  [2496] = 2496,
  [2497] = 1588,
  [2498] = 948,
  [2499] = 1595,
  [2500] = 2500,
  [2501] = 1722,
  [2502] = 1720,
  [2503] = 1727,
  [2504] = 2504,
  [2505] = 2505,
  [2506] = 1699,
  [2507] = 1725,
  [2508] = 1716,
  [2509] = 1718,
  [2510] = 1672,
  [2511] = 1700,
  [2512] = 1653,
  [2513] = 1613,
  [2514] = 1618,
  [2515] = 1626,
  [2516] = 1646,
  [2517] = 1659,
  [2518] = 1666,
  [2519] = 1677,
  [2520] = 1689,
  [2521] = 1660,
  [2522] = 1708,
  [2523] = 1702,
  [2524] = 1610,
  [2525] = 1674,
  [2526] = 1617,
  [2527] = 1620,
  [2528] = 1634,
  [2529] = 1635,
  [2530] = 1641,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 1754,
  [2540] = 2018,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 2544,
  [2545] = 1726,
  [2546] = 1680,
  [2547] = 1693,
  [2548] = 1712,
  [2549] = 2504,
  [2550] = 2504,
  [2551] = 2504,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2504,
  [2555] = 1537,
  [2556] = 2504,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2504,
  [2562] = 1764,
  [2563] = 2505,
  [2564] = 2504,
  [2565] = 2504,
  [2566] = 2099,
  [2567] = 2567,
  [2568] = 1770,
  [2569] = 2569,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2574,
  [2575] = 2098,
  [2576] = 2099,
  [2577] = 2098,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2098,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2583,
  [2584] = 2394,
  [2585] = 2099,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2098,
  [2589] = 2099,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2098,
  [2595] = 2099,
  [2596] = 2592,
  [2597] = 2098,
  [2598] = 2099,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 1537,
  [2602] = 1537,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 1576,
  [2606] = 2606,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2613,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2618,
  [2619] = 2608,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2608,
  [2628] = 249,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 248,
  [2634] = 2634,
  [2635] = 2608,
  [2636] = 2636,
  [2637] = 234,
  [2638] = 2608,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2608,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 250,
  [2647] = 2647,
  [2648] = 2608,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 1213,
  [2660] = 2660,
  [2661] = 2608,
  [2662] = 2662,
  [2663] = 248,
  [2664] = 2664,
  [2665] = 2608,
  [2666] = 250,
  [2667] = 1256,
  [2668] = 2668,
  [2669] = 1603,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2674,
  [2675] = 234,
  [2676] = 2500,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 249,
  [2680] = 2680,
  [2681] = 2496,
  [2682] = 2682,
  [2683] = 2683,
  [2684] = 2684,
  [2685] = 2685,
  [2686] = 2069,
  [2687] = 2289,
  [2688] = 2217,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2086,
  [2694] = 2694,
  [2695] = 2420,
  [2696] = 2393,
  [2697] = 2407,
  [2698] = 2397,
  [2699] = 2398,
  [2700] = 2399,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2409,
  [2704] = 2701,
  [2705] = 1248,
  [2706] = 2461,
  [2707] = 2414,
  [2708] = 2398,
  [2709] = 2709,
  [2710] = 2403,
  [2711] = 2711,
  [2712] = 2461,
  [2713] = 2399,
  [2714] = 2390,
  [2715] = 2403,
  [2716] = 2414,
  [2717] = 2709,
  [2718] = 2393,
  [2719] = 2719,
  [2720] = 2421,
  [2721] = 2397,
  [2722] = 2395,
  [2723] = 2390,
  [2724] = 2724,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2729,
  [2734] = 2734,
  [2735] = 2725,
  [2736] = 2732,
  [2737] = 2730,
  [2738] = 2738,
  [2739] = 2731,
  [2740] = 2730,
  [2741] = 2734,
  [2742] = 2730,
  [2743] = 2726,
  [2744] = 2744,
  [2745] = 2732,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 1267,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 1232,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 1280,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 1231,
  [2764] = 2764,
  [2765] = 2462,
  [2766] = 1265,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 2773,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2772,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2784,
  [2799] = 2771,
  [2800] = 2793,
  [2801] = 2801,
  [2802] = 2779,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2804,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2815,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2781,
  [2820] = 2820,
  [2821] = 2780,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2813,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2774,
  [2829] = 2794,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 1466,
  [2834] = 1470,
  [2835] = 1469,
  [2836] = 1598,
  [2837] = 1601,
  [2838] = 1575,
  [2839] = 1581,
  [2840] = 1584,
  [2841] = 1572,
  [2842] = 1578,
  [2843] = 1590,
  [2844] = 1592,
  [2845] = 1593,
  [2846] = 1594,
  [2847] = 1596,
  [2848] = 1597,
  [2849] = 1580,
  [2850] = 1599,
  [2851] = 1600,
  [2852] = 1577,
  [2853] = 1487,
  [2854] = 1548,
  [2855] = 1549,
  [2856] = 1550,
  [2857] = 1609,
  [2858] = 1552,
  [2859] = 1579,
  [2860] = 1553,
  [2861] = 1554,
  [2862] = 1555,
  [2863] = 1556,
  [2864] = 1557,
  [2865] = 1558,
  [2866] = 1583,
  [2867] = 1559,
  [2868] = 1560,
  [2869] = 1573,
  [2870] = 1478,
  [2871] = 232,
  [2872] = 2872,
  [2873] = 2872,
  [2874] = 264,
  [2875] = 1540,
  [2876] = 1469,
  [2877] = 1534,
  [2878] = 1525,
  [2879] = 1535,
  [2880] = 1539,
  [2881] = 1542,
  [2882] = 1466,
  [2883] = 1498,
  [2884] = 1480,
  [2885] = 1531,
  [2886] = 1520,
  [2887] = 1496,
  [2888] = 1541,
  [2889] = 1467,
  [2890] = 1470,
  [2891] = 1522,
  [2892] = 2892,
  [2893] = 1533,
  [2894] = 1477,
  [2895] = 1484,
  [2896] = 1591,
  [2897] = 1515,
  [2898] = 1481,
  [2899] = 1547,
  [2900] = 1518,
  [2901] = 1491,
  [2902] = 1606,
  [2903] = 1548,
  [2904] = 1602,
  [2905] = 1524,
  [2906] = 1487,
  [2907] = 1549,
  [2908] = 1507,
  [2909] = 1550,
  [2910] = 1609,
  [2911] = 1552,
  [2912] = 1553,
  [2913] = 1554,
  [2914] = 1555,
  [2915] = 1556,
  [2916] = 1557,
  [2917] = 1558,
  [2918] = 1559,
  [2919] = 1492,
  [2920] = 1509,
  [2921] = 1493,
  [2922] = 1494,
  [2923] = 1560,
  [2924] = 1513,
  [2925] = 2925,
  [2926] = 1517,
  [2927] = 1572,
  [2928] = 1573,
  [2929] = 1575,
  [2930] = 1577,
  [2931] = 1578,
  [2932] = 1579,
  [2933] = 1580,
  [2934] = 1581,
  [2935] = 1583,
  [2936] = 1584,
  [2937] = 1590,
  [2938] = 1592,
  [2939] = 1593,
  [2940] = 1594,
  [2941] = 1596,
  [2942] = 1597,
  [2943] = 1598,
  [2944] = 1599,
  [2945] = 1600,
  [2946] = 1601,
  [2947] = 1467,
  [2948] = 1604,
  [2949] = 2925,
  [2950] = 2950,
  [2951] = 2951,
  [2952] = 2952,
  [2953] = 2953,
  [2954] = 1585,
  [2955] = 1586,
  [2956] = 1587,
  [2957] = 2925,
  [2958] = 1521,
  [2959] = 1523,
  [2960] = 1526,
  [2961] = 1527,
  [2962] = 1528,
  [2963] = 1530,
  [2964] = 1536,
  [2965] = 1543,
  [2966] = 2950,
  [2967] = 2951,
  [2968] = 2952,
  [2969] = 2953,
  [2970] = 1545,
  [2971] = 2925,
  [2972] = 2950,
  [2973] = 2951,
  [2974] = 2952,
  [2975] = 2953,
  [2976] = 2925,
  [2977] = 1499,
  [2978] = 2950,
  [2979] = 2951,
  [2980] = 2952,
  [2981] = 2953,
  [2982] = 1466,
  [2983] = 2925,
  [2984] = 1469,
  [2985] = 1470,
  [2986] = 2925,
  [2987] = 1489,
  [2988] = 1490,
  [2989] = 1500,
  [2990] = 1504,
  [2991] = 2925,
  [2992] = 1501,
  [2993] = 2950,
  [2994] = 2925,
  [2995] = 2951,
  [2996] = 1503,
  [2997] = 2952,
  [2998] = 2953,
  [2999] = 1562,
  [3000] = 1563,
  [3001] = 1567,
  [3002] = 1569,
  [3003] = 1505,
  [3004] = 3004,
  [3005] = 3005,
  [3006] = 3006,
  [3007] = 1482,
  [3008] = 3006,
  [3009] = 3009,
  [3010] = 3010,
  [3011] = 3004,
  [3012] = 3012,
  [3013] = 3013,
  [3014] = 1472,
  [3015] = 3015,
  [3016] = 3016,
  [3017] = 3017,
  [3018] = 3018,
  [3019] = 3006,
  [3020] = 3020,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 3004,
  [3025] = 3004,
  [3026] = 1479,
  [3027] = 3027,
  [3028] = 3028,
  [3029] = 3006,
  [3030] = 3030,
  [3031] = 3031,
  [3032] = 3004,
  [3033] = 3033,
  [3034] = 3034,
  [3035] = 3006,
  [3036] = 3006,
  [3037] = 3037,
  [3038] = 3038,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 3006,
  [3042] = 1478,
  [3043] = 3043,
  [3044] = 1481,
  [3045] = 3045,
  [3046] = 1594,
  [3047] = 3047,
  [3048] = 1520,
  [3049] = 1522,
  [3050] = 3050,
  [3051] = 1538,
  [3052] = 1525,
  [3053] = 1508,
  [3054] = 1544,
  [3055] = 1467,
  [3056] = 3056,
  [3057] = 1531,
  [3058] = 3058,
  [3059] = 950,
  [3060] = 1496,
  [3061] = 1533,
  [3062] = 1534,
  [3063] = 1561,
  [3064] = 1574,
  [3065] = 1535,
  [3066] = 1498,
  [3067] = 1511,
  [3068] = 1539,
  [3069] = 1540,
  [3070] = 3070,
  [3071] = 1541,
  [3072] = 3072,
  [3073] = 3072,
  [3074] = 1487,
  [3075] = 1605,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 1549,
  [3079] = 1550,
  [3080] = 1609,
  [3081] = 1552,
  [3082] = 1553,
  [3083] = 1554,
  [3084] = 3084,
  [3085] = 1555,
  [3086] = 1556,
  [3087] = 1557,
  [3088] = 1558,
  [3089] = 1559,
  [3090] = 1560,
  [3091] = 948,
  [3092] = 1502,
  [3093] = 3093,
  [3094] = 1572,
  [3095] = 1573,
  [3096] = 1575,
  [3097] = 1577,
  [3098] = 1578,
  [3099] = 1579,
  [3100] = 1580,
  [3101] = 949,
  [3102] = 1581,
  [3103] = 1583,
  [3104] = 1584,
  [3105] = 1590,
  [3106] = 1592,
  [3107] = 1593,
  [3108] = 1480,
  [3109] = 1542,
  [3110] = 1596,
  [3111] = 1597,
  [3112] = 1598,
  [3113] = 1599,
  [3114] = 1600,
  [3115] = 3115,
  [3116] = 1565,
  [3117] = 1570,
  [3118] = 1601,
  [3119] = 1548,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3126,
  [3127] = 3127,
  [3128] = 1518,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3131,
  [3132] = 3132,
  [3133] = 1484,
  [3134] = 3134,
  [3135] = 1515,
  [3136] = 3136,
  [3137] = 1482,
  [3138] = 3138,
  [3139] = 1472,
  [3140] = 1466,
  [3141] = 1547,
  [3142] = 3122,
  [3143] = 3143,
  [3144] = 3129,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3129,
  [3148] = 3148,
  [3149] = 264,
  [3150] = 1469,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3129,
  [3155] = 1606,
  [3156] = 1591,
  [3157] = 1470,
  [3158] = 3158,
  [3159] = 232,
  [3160] = 3160,
  [3161] = 3161,
  [3162] = 3162,
  [3163] = 3129,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3122,
  [3167] = 3167,
  [3168] = 1478,
  [3169] = 1481,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 1479,
  [3173] = 3173,
  [3174] = 3174,
  [3175] = 3175,
  [3176] = 1491,
  [3177] = 3177,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 3180,
  [3181] = 3122,
  [3182] = 3182,
  [3183] = 1477,
  [3184] = 1545,
  [3185] = 1565,
  [3186] = 1567,
  [3187] = 1535,
  [3188] = 1494,
  [3189] = 1569,
  [3190] = 3190,
  [3191] = 1570,
  [3192] = 1543,
  [3193] = 3193,
  [3194] = 3190,
  [3195] = 1499,
  [3196] = 3193,
  [3197] = 3193,
  [3198] = 685,
  [3199] = 1500,
  [3200] = 1501,
  [3201] = 1502,
  [3202] = 1604,
  [3203] = 1503,
  [3204] = 1505,
  [3205] = 1507,
  [3206] = 1508,
  [3207] = 1509,
  [3208] = 1511,
  [3209] = 1513,
  [3210] = 1561,
  [3211] = 1574,
  [3212] = 1517,
  [3213] = 3213,
  [3214] = 3190,
  [3215] = 3215,
  [3216] = 684,
  [3217] = 1521,
  [3218] = 1523,
  [3219] = 3138,
  [3220] = 1526,
  [3221] = 1527,
  [3222] = 1480,
  [3223] = 1585,
  [3224] = 1586,
  [3225] = 1528,
  [3226] = 1587,
  [3227] = 950,
  [3228] = 1530,
  [3229] = 688,
  [3230] = 3190,
  [3231] = 1536,
  [3232] = 1496,
  [3233] = 1498,
  [3234] = 1538,
  [3235] = 949,
  [3236] = 1467,
  [3237] = 3237,
  [3238] = 1520,
  [3239] = 1522,
  [3240] = 1525,
  [3241] = 3241,
  [3242] = 1533,
  [3243] = 1534,
  [3244] = 1539,
  [3245] = 1540,
  [3246] = 1541,
  [3247] = 1542,
  [3248] = 948,
  [3249] = 1544,
  [3250] = 1562,
  [3251] = 687,
  [3252] = 1563,
  [3253] = 1531,
  [3254] = 1489,
  [3255] = 1490,
  [3256] = 1504,
  [3257] = 1602,
  [3258] = 1605,
  [3259] = 1524,
  [3260] = 682,
  [3261] = 1492,
  [3262] = 1493,
  [3263] = 3193,
  [3264] = 3264,
  [3265] = 1477,
  [3266] = 3266,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3269,
  [3270] = 3270,
  [3271] = 1491,
  [3272] = 3266,
  [3273] = 1467,
  [3274] = 1479,
  [3275] = 1481,
  [3276] = 3276,
  [3277] = 3277,
  [3278] = 3270,
  [3279] = 3268,
  [3280] = 3270,
  [3281] = 3269,
  [3282] = 1482,
  [3283] = 3283,
  [3284] = 3284,
  [3285] = 3285,
  [3286] = 3286,
  [3287] = 3285,
  [3288] = 3288,
  [3289] = 1472,
  [3290] = 3266,
  [3291] = 3268,
  [3292] = 1484,
  [3293] = 3293,
  [3294] = 1515,
  [3295] = 3270,
  [3296] = 1518,
  [3297] = 3297,
  [3298] = 3298,
  [3299] = 3299,
  [3300] = 685,
  [3301] = 3301,
  [3302] = 3302,
  [3303] = 3303,
  [3304] = 3304,
  [3305] = 3305,
  [3306] = 3306,
  [3307] = 3307,
  [3308] = 3308,
  [3309] = 3309,
  [3310] = 3310,
  [3311] = 3311,
  [3312] = 3312,
  [3313] = 3313,
  [3314] = 3314,
  [3315] = 3314,
  [3316] = 3316,
  [3317] = 3129,
  [3318] = 3318,
  [3319] = 3319,
  [3320] = 3320,
  [3321] = 1602,
  [3322] = 3319,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3326,
  [3327] = 3327,
  [3328] = 1481,
  [3329] = 1489,
  [3330] = 1490,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3334,
  [3335] = 1504,
  [3336] = 3323,
  [3337] = 3337,
  [3338] = 3325,
  [3339] = 1524,
  [3340] = 3340,
  [3341] = 1561,
  [3342] = 1574,
  [3343] = 3343,
  [3344] = 3344,
  [3345] = 3345,
  [3346] = 3346,
  [3347] = 1492,
  [3348] = 3348,
  [3349] = 3327,
  [3350] = 3323,
  [3351] = 3129,
  [3352] = 1493,
  [3353] = 1494,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3325,
  [3360] = 3331,
  [3361] = 3327,
  [3362] = 3332,
  [3363] = 3333,
  [3364] = 3364,
  [3365] = 3331,
  [3366] = 3366,
  [3367] = 3367,
  [3368] = 3313,
  [3369] = 1507,
  [3370] = 3332,
  [3371] = 3283,
  [3372] = 3337,
  [3373] = 3333,
  [3374] = 3374,
  [3375] = 3375,
  [3376] = 682,
  [3377] = 3316,
  [3378] = 3378,
  [3379] = 3379,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 1517,
  [3383] = 3383,
  [3384] = 3307,
  [3385] = 1499,
  [3386] = 3386,
  [3387] = 1501,
  [3388] = 3388,
  [3389] = 1502,
  [3390] = 1503,
  [3391] = 1505,
  [3392] = 1508,
  [3393] = 1509,
  [3394] = 1511,
  [3395] = 1513,
  [3396] = 3316,
  [3397] = 3397,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3314,
  [3402] = 1591,
  [3403] = 3314,
  [3404] = 3319,
  [3405] = 3374,
  [3406] = 684,
  [3407] = 3319,
  [3408] = 3408,
  [3409] = 1521,
  [3410] = 3410,
  [3411] = 3411,
  [3412] = 1523,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 1526,
  [3417] = 1527,
  [3418] = 1528,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 1530,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3424,
  [3425] = 3425,
  [3426] = 264,
  [3427] = 1536,
  [3428] = 1538,
  [3429] = 3311,
  [3430] = 3397,
  [3431] = 3431,
  [3432] = 3431,
  [3433] = 1543,
  [3434] = 1544,
  [3435] = 1545,
  [3436] = 3323,
  [3437] = 3325,
  [3438] = 1606,
  [3439] = 3439,
  [3440] = 687,
  [3441] = 3431,
  [3442] = 3442,
  [3443] = 3443,
  [3444] = 3327,
  [3445] = 3445,
  [3446] = 3374,
  [3447] = 3447,
  [3448] = 3331,
  [3449] = 3378,
  [3450] = 3450,
  [3451] = 1605,
  [3452] = 1604,
  [3453] = 3129,
  [3454] = 3129,
  [3455] = 1562,
  [3456] = 1563,
  [3457] = 1565,
  [3458] = 1567,
  [3459] = 1569,
  [3460] = 1570,
  [3461] = 1547,
  [3462] = 1213,
  [3463] = 3332,
  [3464] = 3333,
  [3465] = 3431,
  [3466] = 3276,
  [3467] = 232,
  [3468] = 3468,
  [3469] = 3284,
  [3470] = 3129,
  [3471] = 1585,
  [3472] = 1586,
  [3473] = 1587,
  [3474] = 3474,
  [3475] = 688,
  [3476] = 3476,
  [3477] = 3477,
  [3478] = 3129,
  [3479] = 3479,
  [3480] = 3480,
  [3481] = 1500,
  [3482] = 3482,
  [3483] = 3483,
  [3484] = 3484,
  [3485] = 3138,
  [3486] = 949,
  [3487] = 3484,
  [3488] = 3488,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3484,
  [3493] = 3484,
  [3494] = 3494,
  [3495] = 3490,
  [3496] = 3484,
  [3497] = 224,
  [3498] = 3498,
  [3499] = 1479,
  [3500] = 3498,
  [3501] = 3501,
  [3502] = 948,
  [3503] = 3503,
  [3504] = 3498,
  [3505] = 227,
  [3506] = 3501,
  [3507] = 3284,
  [3508] = 1482,
  [3509] = 950,
  [3510] = 1472,
  [3511] = 3484,
  [3512] = 3498,
  [3513] = 3498,
  [3514] = 3484,
  [3515] = 3515,
  [3516] = 252,
  [3517] = 253,
  [3518] = 3498,
  [3519] = 3519,
  [3520] = 3520,
  [3521] = 3484,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 3525,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3213,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3531,
  [3532] = 3532,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3535,
  [3536] = 3536,
  [3537] = 3537,
  [3538] = 3538,
  [3539] = 3539,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3542,
  [3543] = 3543,
  [3544] = 3544,
  [3545] = 3545,
  [3546] = 3546,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3549,
  [3550] = 3550,
  [3551] = 3399,
  [3552] = 3552,
  [3553] = 3553,
  [3554] = 3554,
  [3555] = 3555,
  [3556] = 3556,
  [3557] = 253,
  [3558] = 3558,
  [3559] = 3559,
  [3560] = 3560,
  [3561] = 3561,
  [3562] = 3562,
  [3563] = 3563,
  [3564] = 3564,
  [3565] = 3537,
  [3566] = 3566,
  [3567] = 3552,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3571,
  [3572] = 3572,
  [3573] = 3573,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3576,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 3552,
  [3580] = 3580,
  [3581] = 3581,
  [3582] = 3582,
  [3583] = 3583,
  [3584] = 3584,
  [3585] = 3585,
  [3586] = 3586,
  [3587] = 3587,
  [3588] = 3588,
  [3589] = 3589,
  [3590] = 3590,
  [3591] = 3591,
  [3592] = 3592,
  [3593] = 3593,
  [3594] = 3594,
  [3595] = 3544,
  [3596] = 3596,
  [3597] = 3468,
  [3598] = 3598,
  [3599] = 3450,
  [3600] = 3600,
  [3601] = 3601,
  [3602] = 3602,
  [3603] = 3552,
  [3604] = 3604,
  [3605] = 3605,
  [3606] = 3606,
  [3607] = 3569,
  [3608] = 3608,
  [3609] = 3609,
  [3610] = 3610,
  [3611] = 3611,
  [3612] = 3612,
  [3613] = 3592,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3537,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
  [3620] = 3546,
  [3621] = 3536,
  [3622] = 3596,
  [3623] = 3623,
  [3624] = 1482,
  [3625] = 3625,
  [3626] = 1472,
  [3627] = 3532,
  [3628] = 3628,
  [3629] = 3629,
  [3630] = 3630,
  [3631] = 3631,
  [3632] = 3632,
  [3633] = 3633,
  [3634] = 3611,
  [3635] = 3635,
  [3636] = 3476,
  [3637] = 3637,
  [3638] = 3638,
  [3639] = 3639,
  [3640] = 3640,
  [3641] = 3641,
  [3642] = 3642,
  [3643] = 3643,
  [3644] = 3644,
  [3645] = 3645,
  [3646] = 3646,
  [3647] = 3647,
  [3648] = 3552,
  [3649] = 3649,
  [3650] = 3650,
  [3651] = 3651,
  [3652] = 3639,
  [3653] = 3646,
  [3654] = 3654,
  [3655] = 3655,
  [3656] = 3656,
  [3657] = 3657,
  [3658] = 3658,
  [3659] = 3592,
  [3660] = 3660,
  [3661] = 3661,
  [3662] = 3630,
  [3663] = 3663,
  [3664] = 1538,
  [3665] = 3665,
  [3666] = 1502,
  [3667] = 1508,
  [3668] = 1511,
  [3669] = 1544,
  [3670] = 3592,
  [3671] = 3671,
  [3672] = 3672,
  [3673] = 1479,
  [3674] = 1561,
  [3675] = 1574,
  [3676] = 3649,
  [3677] = 3677,
  [3678] = 3678,
  [3679] = 3679,
  [3680] = 3680,
  [3681] = 3681,
  [3682] = 3682,
  [3683] = 3683,
  [3684] = 3684,
  [3685] = 3685,
  [3686] = 3686,
  [3687] = 3687,
  [3688] = 3688,
  [3689] = 3689,
  [3690] = 1565,
  [3691] = 3691,
  [3692] = 3692,
  [3693] = 3693,
  [3694] = 3694,
  [3695] = 3695,
  [3696] = 3696,
  [3697] = 3546,
  [3698] = 1570,
  [3699] = 3699,
  [3700] = 3700,
  [3701] = 3701,
  [3702] = 3702,
  [3703] = 3703,
  [3704] = 3704,
  [3705] = 3705,
  [3706] = 3706,
  [3707] = 3707,
  [3708] = 3708,
  [3709] = 3709,
  [3710] = 3710,
  [3711] = 1605,
  [3712] = 3712,
  [3713] = 3713,
  [3714] = 3552,
  [3715] = 3632,
  [3716] = 3716,
  [3717] = 3663,
  [3718] = 3682,
  [3719] = 3719,
  [3720] = 3592,
  [3721] = 3721,
  [3722] = 3722,
  [3723] = 3723,
  [3724] = 3724,
  [3725] = 3548,
  [3726] = 3726,
  [3727] = 3727,
  [3728] = 3728,
  [3729] = 3729,
  [3730] = 3610,
  [3731] = 3731,
  [3732] = 3277,
  [3733] = 3733,
  [3734] = 3707,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3737,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3643,
  [3741] = 3741,
  [3742] = 3639,
  [3743] = 3743,
  [3744] = 3744,
  [3745] = 3649,
  [3746] = 3646,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 252,
  [3750] = 225,
  [3751] = 3552,
  [3752] = 3752,
  [3753] = 3552,
  [3754] = 3754,
  [3755] = 3755,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3759,
  [3760] = 3759,
  [3761] = 3761,
  [3762] = 3679,
  [3763] = 3340,
  [3764] = 3764,
  [3765] = 3765,
  [3766] = 3766,
  [3767] = 3767,
  [3768] = 3768,
  [3769] = 3769,
  [3770] = 3770,
  [3771] = 3592,
  [3772] = 3772,
  [3773] = 687,
  [3774] = 3774,
  [3775] = 3775,
  [3776] = 3283,
  [3777] = 3777,
  [3778] = 3778,
  [3779] = 3779,
  [3780] = 3568,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3783,
  [3784] = 3784,
  [3785] = 3570,
  [3786] = 3786,
  [3787] = 3787,
  [3788] = 3705,
  [3789] = 3600,
  [3790] = 3790,
  [3791] = 3791,
  [3792] = 3572,
  [3793] = 3793,
  [3794] = 3573,
  [3795] = 3795,
  [3796] = 3796,
  [3797] = 3797,
  [3798] = 682,
  [3799] = 3793,
  [3800] = 3800,
  [3801] = 3801,
  [3802] = 685,
  [3803] = 1502,
  [3804] = 3804,
  [3805] = 3805,
  [3806] = 1508,
  [3807] = 3807,
  [3808] = 3808,
  [3809] = 1511,
  [3810] = 3810,
  [3811] = 3736,
  [3812] = 3793,
  [3813] = 3793,
  [3814] = 3712,
  [3815] = 3815,
  [3816] = 3816,
  [3817] = 3817,
  [3818] = 3791,
  [3819] = 3819,
  [3820] = 688,
  [3821] = 3790,
  [3822] = 3782,
  [3823] = 3784,
  [3824] = 3824,
  [3825] = 3815,
  [3826] = 3796,
  [3827] = 3731,
  [3828] = 3779,
  [3829] = 3829,
  [3830] = 3830,
  [3831] = 3781,
  [3832] = 1538,
  [3833] = 1544,
  [3834] = 3808,
  [3835] = 3729,
  [3836] = 3779,
  [3837] = 3796,
  [3838] = 3787,
  [3839] = 3839,
  [3840] = 3840,
  [3841] = 3808,
  [3842] = 3791,
  [3843] = 3709,
  [3844] = 3844,
  [3845] = 3807,
  [3846] = 1561,
  [3847] = 1574,
  [3848] = 3848,
  [3849] = 3276,
  [3850] = 3786,
  [3851] = 3801,
  [3852] = 3852,
  [3853] = 3779,
  [3854] = 3787,
  [3855] = 3710,
  [3856] = 3787,
  [3857] = 1591,
  [3858] = 3793,
  [3859] = 3671,
  [3860] = 3533,
  [3861] = 1570,
  [3862] = 3703,
  [3863] = 3863,
  [3864] = 3775,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 3796,
  [3868] = 3787,
  [3869] = 3598,
  [3870] = 684,
  [3871] = 3871,
  [3872] = 3791,
  [3873] = 3782,
  [3874] = 3874,
  [3875] = 3840,
  [3876] = 3876,
  [3877] = 3810,
  [3878] = 3878,
  [3879] = 3793,
  [3880] = 3880,
  [3881] = 3805,
  [3882] = 3795,
  [3883] = 1605,
  [3884] = 3884,
  [3885] = 3779,
  [3886] = 3886,
  [3887] = 3796,
  [3888] = 3550,
  [3889] = 3844,
  [3890] = 3602,
  [3891] = 3779,
  [3892] = 3892,
  [3893] = 3790,
  [3894] = 3894,
  [3895] = 3793,
  [3896] = 3665,
  [3897] = 3897,
  [3898] = 1248,
  [3899] = 3538,
  [3900] = 3886,
  [3901] = 3880,
  [3902] = 3791,
  [3903] = 3886,
  [3904] = 3701,
  [3905] = 1547,
  [3906] = 3728,
  [3907] = 3791,
  [3908] = 3526,
  [3909] = 3909,
  [3910] = 3910,
  [3911] = 3911,
  [3912] = 3787,
  [3913] = 3910,
  [3914] = 3778,
  [3915] = 3796,
  [3916] = 3916,
  [3917] = 3699,
  [3918] = 3918,
  [3919] = 3871,
  [3920] = 3237,
  [3921] = 1606,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3804,
  [3925] = 3772,
  [3926] = 3922,
  [3927] = 3810,
  [3928] = 3650,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3657,
  [3932] = 1565,
  [3933] = 3933,
  [3934] = 3934,
  [3935] = 3935,
  [3936] = 3936,
  [3937] = 3631,
  [3938] = 3637,
  [3939] = 816,
  [3940] = 833,
  [3941] = 3941,
  [3942] = 3942,
  [3943] = 3943,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3946,
  [3947] = 3947,
  [3948] = 3948,
  [3949] = 3949,
  [3950] = 3950,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3953,
  [3954] = 3954,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 809,
  [3960] = 813,
  [3961] = 814,
  [3962] = 3962,
  [3963] = 3963,
  [3964] = 3964,
  [3965] = 3965,
  [3966] = 3966,
  [3967] = 3967,
  [3968] = 3968,
  [3969] = 3969,
  [3970] = 3970,
  [3971] = 3971,
  [3972] = 3972,
  [3973] = 3865,
  [3974] = 3909,
  [3975] = 3929,
  [3976] = 825,
  [3977] = 3977,
  [3978] = 826,
  [3979] = 827,
  [3980] = 3980,
  [3981] = 3981,
  [3982] = 829,
  [3983] = 831,
  [3984] = 755,
  [3985] = 836,
  [3986] = 838,
  [3987] = 846,
  [3988] = 851,
  [3989] = 3989,
  [3990] = 3990,
  [3991] = 3991,
  [3992] = 3992,
  [3993] = 3993,
  [3994] = 3758,
  [3995] = 3995,
  [3996] = 897,
  [3997] = 898,
  [3998] = 900,
  [3999] = 3999,
  [4000] = 4000,
  [4001] = 4001,
  [4002] = 4002,
  [4003] = 4003,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 4006,
  [4007] = 4007,
  [4008] = 4008,
  [4009] = 4009,
  [4010] = 4010,
  [4011] = 4011,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 4014,
  [4015] = 4015,
  [4016] = 4016,
  [4017] = 4017,
  [4018] = 3946,
  [4019] = 4019,
  [4020] = 4020,
  [4021] = 3968,
  [4022] = 4022,
  [4023] = 3971,
  [4024] = 4024,
  [4025] = 797,
  [4026] = 798,
  [4027] = 799,
  [4028] = 4028,
  [4029] = 4029,
  [4030] = 4030,
  [4031] = 4031,
  [4032] = 4032,
  [4033] = 4032,
  [4034] = 4034,
  [4035] = 807,
  [4036] = 4036,
  [4037] = 808,
  [4038] = 4038,
  [4039] = 811,
  [4040] = 778,
  [4041] = 4041,
  [4042] = 3947,
  [4043] = 4043,
  [4044] = 3981,
  [4045] = 3970,
  [4046] = 4046,
  [4047] = 4047,
  [4048] = 4048,
  [4049] = 4049,
  [4050] = 4050,
  [4051] = 4051,
  [4052] = 4052,
  [4053] = 4053,
  [4054] = 764,
  [4055] = 4055,
  [4056] = 4056,
  [4057] = 4057,
  [4058] = 4058,
  [4059] = 4059,
  [4060] = 832,
  [4061] = 4061,
  [4062] = 834,
  [4063] = 835,
  [4064] = 837,
  [4065] = 758,
  [4066] = 760,
  [4067] = 4067,
  [4068] = 765,
  [4069] = 845,
  [4070] = 769,
  [4071] = 776,
  [4072] = 4047,
  [4073] = 4073,
  [4074] = 4074,
  [4075] = 4075,
  [4076] = 866,
  [4077] = 773,
  [4078] = 4078,
  [4079] = 4079,
  [4080] = 4080,
  [4081] = 4081,
  [4082] = 4082,
  [4083] = 4083,
  [4084] = 4084,
  [4085] = 4085,
  [4086] = 4086,
  [4087] = 4087,
  [4088] = 4088,
  [4089] = 4089,
  [4090] = 4090,
  [4091] = 4091,
  [4092] = 4092,
  [4093] = 4093,
  [4094] = 4094,
  [4095] = 4095,
  [4096] = 4096,
  [4097] = 893,
  [4098] = 894,
  [4099] = 895,
  [4100] = 902,
  [4101] = 901,
  [4102] = 828,
  [4103] = 3971,
  [4104] = 812,
  [4105] = 4105,
  [4106] = 4048,
  [4107] = 824,
  [4108] = 820,
  [4109] = 4049,
  [4110] = 4110,
  [4111] = 4052,
  [4112] = 4112,
  [4113] = 4113,
  [4114] = 4114,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 822,
  [4118] = 823,
  [4119] = 4002,
  [4120] = 4120,
  [4121] = 4121,
  [4122] = 850,
  [4123] = 768,
  [4124] = 757,
  [4125] = 762,
  [4126] = 4015,
  [4127] = 3946,
  [4128] = 803,
  [4129] = 4129,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 4133,
  [4134] = 4134,
  [4135] = 4135,
  [4136] = 3947,
  [4137] = 3981,
  [4138] = 4138,
  [4139] = 4139,
  [4140] = 4140,
  [4141] = 4141,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4144,
  [4145] = 4145,
  [4146] = 4053,
  [4147] = 4147,
  [4148] = 4055,
  [4149] = 4149,
  [4150] = 4002,
  [4151] = 4015,
  [4152] = 4152,
  [4153] = 4153,
  [4154] = 4084,
  [4155] = 857,
  [4156] = 858,
  [4157] = 859,
  [4158] = 860,
  [4159] = 862,
  [4160] = 863,
  [4161] = 4161,
  [4162] = 865,
  [4163] = 4163,
  [4164] = 876,
  [4165] = 3947,
  [4166] = 880,
  [4167] = 774,
  [4168] = 4168,
  [4169] = 4169,
  [4170] = 4170,
  [4171] = 4171,
  [4172] = 4172,
  [4173] = 4173,
  [4174] = 4174,
  [4175] = 4079,
  [4176] = 4176,
  [4177] = 4177,
  [4178] = 4015,
  [4179] = 4179,
  [4180] = 3947,
  [4181] = 4181,
  [4182] = 4182,
  [4183] = 839,
  [4184] = 849,
  [4185] = 853,
  [4186] = 877,
  [4187] = 882,
  [4188] = 4188,
  [4189] = 4189,
  [4190] = 4190,
  [4191] = 4191,
  [4192] = 4192,
  [4193] = 4193,
  [4194] = 4194,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4197,
  [4198] = 4198,
  [4199] = 4199,
  [4200] = 4200,
  [4201] = 4201,
  [4202] = 4202,
  [4203] = 4036,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4038,
  [4207] = 3977,
  [4208] = 4208,
  [4209] = 4209,
  [4210] = 4057,
  [4211] = 4211,
  [4212] = 4212,
  [4213] = 4213,
  [4214] = 4214,
  [4215] = 1685,
  [4216] = 1625,
  [4217] = 4078,
  [4218] = 4113,
  [4219] = 4219,
  [4220] = 4220,
  [4221] = 4221,
  [4222] = 4222,
  [4223] = 4223,
  [4224] = 4224,
  [4225] = 3942,
  [4226] = 3944,
  [4227] = 4227,
  [4228] = 4228,
  [4229] = 4229,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 1704,
  [4235] = 1706,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 4194,
  [4239] = 4214,
  [4240] = 4240,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 1645,
  [4244] = 1661,
  [4245] = 4245,
  [4246] = 4246,
  [4247] = 4247,
  [4248] = 3980,
  [4249] = 4249,
  [4250] = 4161,
  [4251] = 4174,
  [4252] = 4252,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 1648,
  [4261] = 1662,
  [4262] = 1663,
  [4263] = 1667,
  [4264] = 4182,
  [4265] = 1668,
  [4266] = 1670,
  [4267] = 4267,
  [4268] = 4268,
  [4269] = 4269,
  [4270] = 4149,
  [4271] = 4241,
  [4272] = 4272,
  [4273] = 4242,
  [4274] = 4274,
  [4275] = 1690,
  [4276] = 1705,
  [4277] = 4277,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 4280,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 4285,
  [4286] = 4286,
  [4287] = 4287,
  [4288] = 4288,
  [4289] = 4289,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 4292,
  [4293] = 1611,
  [4294] = 1621,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 4299,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 4303,
  [4304] = 3977,
  [4305] = 3654,
  [4306] = 4306,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 4310,
  [4311] = 4078,
  [4312] = 4312,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 3942,
  [4316] = 3944,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 4319,
  [4320] = 3980,
  [4321] = 4086,
  [4322] = 4322,
  [4323] = 4323,
  [4324] = 4324,
  [4325] = 4325,
  [4326] = 4326,
  [4327] = 4327,
  [4328] = 4328,
  [4329] = 4329,
  [4330] = 1685,
  [4331] = 1625,
  [4332] = 4332,
  [4333] = 4333,
  [4334] = 4268,
  [4335] = 4335,
  [4336] = 4336,
  [4337] = 4337,
  [4338] = 1704,
  [4339] = 1706,
  [4340] = 4340,
  [4341] = 4341,
  [4342] = 1645,
  [4343] = 1661,
  [4344] = 4344,
  [4345] = 4345,
  [4346] = 4067,
  [4347] = 4347,
  [4348] = 4221,
  [4349] = 4349,
  [4350] = 4350,
  [4351] = 4351,
  [4352] = 4257,
  [4353] = 4353,
  [4354] = 4354,
  [4355] = 1648,
  [4356] = 1662,
  [4357] = 1663,
  [4358] = 1667,
  [4359] = 1668,
  [4360] = 1670,
  [4361] = 4361,
  [4362] = 4362,
  [4363] = 4363,
  [4364] = 4364,
  [4365] = 4365,
  [4366] = 1690,
  [4367] = 4367,
  [4368] = 4008,
  [4369] = 1705,
  [4370] = 4370,
  [4371] = 3933,
  [4372] = 4372,
  [4373] = 4373,
  [4374] = 4374,
  [4375] = 4375,
  [4376] = 4376,
  [4377] = 4377,
  [4378] = 4378,
  [4379] = 1611,
  [4380] = 1621,
  [4381] = 4381,
  [4382] = 4382,
  [4383] = 4383,
  [4384] = 4384,
  [4385] = 4385,
  [4386] = 4386,
  [4387] = 4387,
  [4388] = 4388,
  [4389] = 4389,
  [4390] = 4032,
  [4391] = 4391,
  [4392] = 4392,
  [4393] = 4202,
  [4394] = 4394,
  [4395] = 4048,
  [4396] = 4049,
  [4397] = 4145,
  [4398] = 4398,
  [4399] = 4399,
  [4400] = 4400,
  [4401] = 4401,
  [4402] = 4067,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4002,
  [4407] = 4407,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 256,
  [4411] = 260,
  [4412] = 4412,
  [4413] = 4413,
  [4414] = 4414,
  [4415] = 4415,
  [4416] = 4416,
  [4417] = 4417,
  [4418] = 4418,
  [4419] = 4419,
  [4420] = 4420,
  [4421] = 4421,
  [4422] = 789,
  [4423] = 4423,
  [4424] = 854,
  [4425] = 890,
  [4426] = 4377,
  [4427] = 4427,
  [4428] = 4428,
  [4429] = 4429,
  [4430] = 4430,
  [4431] = 4431,
  [4432] = 4432,
  [4433] = 4433,
  [4434] = 4434,
  [4435] = 4082,
  [4436] = 4436,
  [4437] = 4437,
  [4438] = 4438,
  [4439] = 4439,
  [4440] = 4440,
  [4441] = 4441,
  [4442] = 4442,
  [4443] = 4443,
  [4444] = 4444,
  [4445] = 1531,
  [4446] = 874,
  [4447] = 875,
  [4448] = 1535,
  [4449] = 4449,
  [4450] = 4450,
  [4451] = 4015,
  [4452] = 4452,
  [4453] = 4453,
  [4454] = 3852,
  [4455] = 4455,
  [4456] = 795,
  [4457] = 802,
  [4458] = 4458,
  [4459] = 4459,
  [4460] = 4043,
  [4461] = 4461,
  [4462] = 4462,
  [4463] = 4463,
  [4464] = 4464,
  [4465] = 4075,
  [4466] = 4466,
  [4467] = 4467,
  [4468] = 4468,
  [4469] = 4469,
  [4470] = 4470,
  [4471] = 4471,
  [4472] = 4472,
  [4473] = 4473,
  [4474] = 4474,
  [4475] = 4475,
  [4476] = 4476,
  [4477] = 4477,
  [4478] = 4478,
  [4479] = 4479,
  [4480] = 4480,
  [4481] = 4468,
  [4482] = 4482,
  [4483] = 4483,
  [4484] = 4484,
  [4485] = 4485,
  [4486] = 4486,
  [4487] = 4478,
  [4488] = 4488,
  [4489] = 4468,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4494,
  [4495] = 4470,
  [4496] = 4496,
  [4497] = 4497,
  [4498] = 4486,
  [4499] = 4468,
  [4500] = 4500,
  [4501] = 4479,
  [4502] = 4483,
  [4503] = 4484,
  [4504] = 4504,
  [4505] = 4497,
  [4506] = 4506,
  [4507] = 4507,
  [4508] = 4479,
  [4509] = 4509,
  [4510] = 4482,
  [4511] = 4486,
  [4512] = 4482,
  [4513] = 4513,
  [4514] = 4478,
  [4515] = 4468,
  [4516] = 4516,
  [4517] = 4482,
  [4518] = 3625,
  [4519] = 4519,
  [4520] = 4520,
  [4521] = 4521,
  [4522] = 4522,
  [4523] = 4483,
  [4524] = 4492,
  [4525] = 4497,
  [4526] = 4497,
  [4527] = 4513,
  [4528] = 4528,
  [4529] = 4494,
  [4530] = 4479,
  [4531] = 4531,
  [4532] = 4492,
  [4533] = 4533,
  [4534] = 4534,
  [4535] = 4535,
  [4536] = 4478,
  [4537] = 4468,
  [4538] = 4478,
  [4539] = 4483,
  [4540] = 4482,
  [4541] = 4478,
  [4542] = 4542,
  [4543] = 4543,
  [4544] = 4471,
  [4545] = 4545,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4492,
  [4549] = 4492,
  [4550] = 4550,
  [4551] = 4494,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4494,
  [4555] = 4555,
  [4556] = 4556,
  [4557] = 4494,
  [4558] = 4519,
  [4559] = 4559,
  [4560] = 4560,
  [4561] = 4561,
  [4562] = 4484,
  [4563] = 4492,
  [4564] = 4494,
  [4565] = 4565,
  [4566] = 4566,
  [4567] = 4567,
  [4568] = 4568,
  [4569] = 4531,
  [4570] = 4486,
  [4571] = 4478,
  [4572] = 4572,
  [4573] = 4497,
  [4574] = 4574,
  [4575] = 4482,
  [4576] = 4473,
  [4577] = 4577,
  [4578] = 4479,
  [4579] = 4485,
  [4580] = 3658,
  [4581] = 4486,
  [4582] = 4577,
  [4583] = 224,
  [4584] = 4492,
  [4585] = 227,
  [4586] = 4494,
  [4587] = 4513,
  [4588] = 4483,
  [4589] = 4484,
  [4590] = 4513,
  [4591] = 4591,
  [4592] = 4509,
  [4593] = 4513,
  [4594] = 4486,
  [4595] = 4497,
  [4596] = 4596,
  [4597] = 4486,
  [4598] = 4497,
  [4599] = 4513,
  [4600] = 4468,
  [4601] = 4483,
  [4602] = 4477,
  [4603] = 4482,
  [4604] = 4484,
  [4605] = 4605,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4491,
  [4609] = 4567,
  [4610] = 4513,
  [4611] = 4611,
  [4612] = 4612,
  [4613] = 4613,
  [4614] = 4614,
  [4615] = 4615,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4618,
  [4619] = 4619,
  [4620] = 4620,
  [4621] = 4621,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4624,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 4627,
  [4628] = 4628,
  [4629] = 4629,
  [4630] = 4630,
  [4631] = 4631,
  [4632] = 4632,
  [4633] = 4633,
  [4634] = 4634,
  [4635] = 4633,
  [4636] = 4636,
  [4637] = 4637,
  [4638] = 4638,
  [4639] = 4639,
  [4640] = 4640,
  [4641] = 4641,
  [4642] = 4642,
  [4643] = 4643,
  [4644] = 4644,
  [4645] = 4645,
  [4646] = 4646,
  [4647] = 4647,
  [4648] = 4648,
  [4649] = 4649,
  [4650] = 4650,
  [4651] = 4651,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 4654,
  [4655] = 4655,
  [4656] = 4619,
  [4657] = 4657,
  [4658] = 4629,
  [4659] = 4659,
  [4660] = 4660,
  [4661] = 4661,
  [4662] = 4636,
  [4663] = 4637,
  [4664] = 4664,
  [4665] = 4665,
  [4666] = 4666,
  [4667] = 4667,
  [4668] = 4633,
  [4669] = 4669,
  [4670] = 4636,
  [4671] = 4637,
  [4672] = 4672,
  [4673] = 4673,
  [4674] = 4674,
  [4675] = 4675,
  [4676] = 4676,
  [4677] = 4645,
  [4678] = 4646,
  [4679] = 4679,
  [4680] = 4648,
  [4681] = 4681,
  [4682] = 4650,
  [4683] = 4683,
  [4684] = 4684,
  [4685] = 4615,
  [4686] = 4616,
  [4687] = 4617,
  [4688] = 4618,
  [4689] = 4689,
  [4690] = 4619,
  [4691] = 4691,
  [4692] = 4692,
  [4693] = 4693,
  [4694] = 4694,
  [4695] = 4636,
  [4696] = 4637,
  [4697] = 4697,
  [4698] = 4698,
  [4699] = 4636,
  [4700] = 4637,
  [4701] = 4701,
  [4702] = 4702,
  [4703] = 4703,
  [4704] = 4704,
  [4705] = 4648,
  [4706] = 4650,
  [4707] = 4707,
  [4708] = 4708,
  [4709] = 4709,
  [4710] = 4710,
  [4711] = 4711,
  [4712] = 4712,
  [4713] = 4641,
  [4714] = 4714,
  [4715] = 4636,
  [4716] = 4637,
  [4717] = 4717,
  [4718] = 4030,
  [4719] = 4719,
  [4720] = 4720,
  [4721] = 4648,
  [4722] = 4722,
  [4723] = 4650,
  [4724] = 4724,
  [4725] = 4725,
  [4726] = 4726,
  [4727] = 4727,
  [4728] = 4728,
  [4729] = 4729,
  [4730] = 4730,
  [4731] = 4731,
  [4732] = 3533,
  [4733] = 4733,
  [4734] = 4734,
  [4735] = 4735,
  [4736] = 4736,
  [4737] = 4737,
  [4738] = 4738,
  [4739] = 4739,
  [4740] = 4740,
  [4741] = 4741,
  [4742] = 4742,
  [4743] = 4743,
  [4744] = 4744,
  [4745] = 4745,
  [4746] = 4746,
  [4747] = 4747,
  [4748] = 4748,
  [4749] = 4749,
  [4750] = 4750,
  [4751] = 4751,
  [4752] = 4752,
  [4753] = 4753,
  [4754] = 4754,
  [4755] = 4755,
  [4756] = 4645,
  [4757] = 4757,
  [4758] = 4758,
  [4759] = 4759,
  [4760] = 767,
  [4761] = 4761,
  [4762] = 4646,
  [4763] = 4763,
  [4764] = 4633,
  [4765] = 4765,
  [4766] = 4766,
  [4767] = 4767,
  [4768] = 4768,
  [4769] = 4769,
  [4770] = 4770,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 4778,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 4781,
  [4782] = 4782,
  [4783] = 4783,
  [4784] = 4784,
  [4785] = 4785,
  [4786] = 4786,
  [4787] = 4787,
  [4788] = 4788,
  [4789] = 4789,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 4792,
  [4793] = 4793,
  [4794] = 4794,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4648,
  [4798] = 4798,
  [4799] = 4799,
  [4800] = 4800,
  [4801] = 4641,
  [4802] = 4646,
  [4803] = 4650,
  [4804] = 4804,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 4808,
  [4809] = 4809,
  [4810] = 4810,
  [4811] = 4811,
  [4812] = 4812,
  [4813] = 4813,
  [4814] = 4814,
  [4815] = 4815,
  [4816] = 4816,
  [4817] = 4817,
  [4818] = 4818,
  [4819] = 4819,
  [4820] = 4820,
  [4821] = 4821,
  [4822] = 4822,
  [4823] = 4823,
  [4824] = 4824,
  [4825] = 4825,
  [4826] = 4826,
  [4827] = 4827,
  [4828] = 4828,
  [4829] = 4829,
  [4830] = 4830,
  [4831] = 4831,
  [4832] = 4832,
  [4833] = 4833,
  [4834] = 4749,
  [4835] = 4835,
  [4836] = 4836,
  [4837] = 4837,
  [4838] = 3736,
  [4839] = 4839,
  [4840] = 4840,
  [4841] = 4841,
  [4842] = 4842,
  [4843] = 3965,
  [4844] = 4621,
  [4845] = 4845,
  [4846] = 4846,
  [4847] = 4847,
  [4848] = 4848,
  [4849] = 4849,
  [4850] = 4850,
  [4851] = 4851,
  [4852] = 4852,
  [4853] = 4853,
  [4854] = 4619,
  [4855] = 4855,
  [4856] = 4856,
  [4857] = 4857,
  [4858] = 4858,
  [4859] = 4859,
  [4860] = 4860,
  [4861] = 4861,
  [4862] = 4862,
  [4863] = 4863,
  [4864] = 4864,
  [4865] = 4865,
  [4866] = 4791,
  [4867] = 4867,
  [4868] = 4615,
  [4869] = 4869,
  [4870] = 4870,
  [4871] = 4871,
  [4872] = 4616,
  [4873] = 4873,
  [4874] = 4874,
  [4875] = 4875,
  [4876] = 4617,
  [4877] = 4877,
  [4878] = 4878,
  [4879] = 4652,
  [4880] = 4880,
  [4881] = 4881,
  [4882] = 4882,
  [4883] = 4883,
  [4884] = 4884,
  [4885] = 4885,
  [4886] = 4886,
  [4887] = 4887,
  [4888] = 4888,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4891,
  [4892] = 4892,
  [4893] = 4893,
  [4894] = 4894,
  [4895] = 4895,
  [4896] = 4896,
  [4897] = 4897,
  [4898] = 4618,
  [4899] = 4899,
  [4900] = 4900,
  [4901] = 4901,
  [4902] = 4902,
  [4903] = 4747,
  [4904] = 4619,
  [4905] = 4794,
  [4906] = 4906,
  [4907] = 4907,
  [4908] = 4908,
  [4909] = 4633,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 4648,
  [4913] = 4913,
  [4914] = 4914,
  [4915] = 4915,
  [4916] = 4916,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4919,
  [4920] = 4920,
  [4921] = 4921,
  [4922] = 4922,
  [4923] = 4923,
  [4924] = 4924,
  [4925] = 4736,
  [4926] = 4926,
  [4927] = 4927,
  [4928] = 4928,
  [4929] = 4929,
  [4930] = 4650,
  [4931] = 4931,
  [4932] = 1591,
  [4933] = 4933,
  [4934] = 4934,
  [4935] = 4935,
  [4936] = 4936,
  [4937] = 4748,
  [4938] = 4870,
  [4939] = 4751,
  [4940] = 4875,
  [4941] = 4941,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4944,
  [4945] = 4945,
  [4946] = 4946,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4949,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4953,
  [4954] = 4954,
  [4955] = 4955,
  [4956] = 4956,
  [4957] = 4730,
  [4958] = 4958,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 4961,
  [4962] = 4962,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4968,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4971,
  [4972] = 4972,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4975,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 3538,
  [4981] = 4981,
  [4982] = 4982,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 4816,
  [4987] = 4987,
  [4988] = 4988,
  [4989] = 4989,
  [4990] = 4990,
  [4991] = 4991,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 4996,
  [4997] = 4997,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 5004,
  [5005] = 5005,
  [5006] = 4737,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 3729,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 4829,
  [5020] = 5020,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 5028,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 4830,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 5034,
  [5035] = 5035,
  [5036] = 5036,
  [5037] = 4831,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5041,
  [5042] = 5042,
  [5043] = 5043,
  [5044] = 5044,
  [5045] = 5045,
  [5046] = 1606,
  [5047] = 4742,
  [5048] = 4646,
  [5049] = 5049,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 5052,
  [5053] = 5053,
  [5054] = 5054,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5057,
  [5058] = 5058,
  [5059] = 5059,
  [5060] = 5060,
  [5061] = 5061,
  [5062] = 5062,
  [5063] = 5063,
  [5064] = 5064,
  [5065] = 4647,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5068,
  [5069] = 5069,
  [5070] = 5020,
  [5071] = 5071,
  [5072] = 4328,
  [5073] = 5073,
  [5074] = 5074,
  [5075] = 5075,
  [5076] = 1547,
  [5077] = 5077,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 5083,
  [5084] = 5084,
  [5085] = 5085,
  [5086] = 5086,
  [5087] = 5087,
  [5088] = 4646,
  [5089] = 5089,
  [5090] = 5090,
  [5091] = 5091,
  [5092] = 5092,
  [5093] = 5091,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5096,
  [5097] = 5097,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5100,
  [5101] = 5101,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5104,
  [5105] = 4829,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5110,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 4830,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5117,
  [5118] = 5118,
  [5119] = 4652,
  [5120] = 5120,
  [5121] = 5121,
  [5122] = 5122,
  [5123] = 5123,
  [5124] = 5124,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5127,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5134,
  [5135] = 5135,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5138,
  [5139] = 5139,
  [5140] = 5140,
  [5141] = 5141,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 5144,
  [5145] = 5145,
  [5146] = 5146,
  [5147] = 5147,
  [5148] = 5148,
  [5149] = 5149,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 5152,
  [5153] = 4624,
  [5154] = 5154,
  [5155] = 4625,
  [5156] = 5041,
  [5157] = 4673,
  [5158] = 5158,
  [5159] = 5159,
  [5160] = 4935,
  [5161] = 5161,
  [5162] = 5162,
  [5163] = 4621,
  [5164] = 1507,
  [5165] = 5165,
  [5166] = 1517,
  [5167] = 5167,
  [5168] = 4651,
  [5169] = 4633,
  [5170] = 5170,
  [5171] = 4895,
  [5172] = 5172,
  [5173] = 4673,
  [5174] = 5174,
  [5175] = 4679,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 5178,
  [5179] = 4897,
  [5180] = 4730,
  [5181] = 5181,
  [5182] = 5182,
  [5183] = 4922,
  [5184] = 5184,
  [5185] = 5185,
  [5186] = 5186,
  [5187] = 767,
  [5188] = 4636,
  [5189] = 4637,
  [5190] = 4935,
  [5191] = 5191,
  [5192] = 5192,
  [5193] = 5193,
  [5194] = 5194,
  [5195] = 5195,
  [5196] = 4906,
  [5197] = 5197,
  [5198] = 5198,
  [5199] = 4907,
  [5200] = 4641,
  [5201] = 4914,
  [5202] = 5202,
  [5203] = 3643,
  [5204] = 5204,
  [5205] = 4645,
  [5206] = 5206,
  [5207] = 5207,
  [5208] = 5208,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 4645,
  [5212] = 4633,
  [5213] = 5213,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5216,
  [5217] = 5217,
  [5218] = 5218,
  [5219] = 5219,
  [5220] = 4646,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5223,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 4648,
  [5228] = 5228,
  [5229] = 4650,
  [5230] = 5230,
  [5231] = 5231,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 5236,
  [5237] = 5237,
  [5238] = 5238,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 5241,
  [5242] = 5242,
  [5243] = 5243,
  [5244] = 5244,
  [5245] = 5245,
  [5246] = 5246,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 2653,
  [5250] = 5250,
  [5251] = 5251,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 5254,
  [5255] = 5255,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5258,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5261,
  [5262] = 5262,
  [5263] = 5263,
  [5264] = 5264,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5267,
  [5268] = 5268,
  [5269] = 5269,
  [5270] = 5270,
  [5271] = 5271,
  [5272] = 5272,
  [5273] = 5273,
  [5274] = 5274,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 5279,
  [5280] = 5280,
  [5281] = 5272,
  [5282] = 5282,
  [5283] = 5283,
  [5284] = 5268,
  [5285] = 5285,
  [5286] = 5239,
  [5287] = 5287,
  [5288] = 5276,
  [5289] = 5289,
  [5290] = 5290,
  [5291] = 5257,
  [5292] = 5282,
  [5293] = 5293,
  [5294] = 5294,
  [5295] = 5295,
  [5296] = 3865,
  [5297] = 5297,
  [5298] = 5298,
  [5299] = 5283,
  [5300] = 5300,
  [5301] = 5301,
  [5302] = 5261,
  [5303] = 5303,
  [5304] = 5304,
  [5305] = 5274,
  [5306] = 5306,
  [5307] = 5307,
  [5308] = 5308,
  [5309] = 5272,
  [5310] = 5255,
  [5311] = 5311,
  [5312] = 5312,
  [5313] = 5313,
  [5314] = 3852,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5276,
  [5319] = 1721,
  [5320] = 5320,
  [5321] = 5321,
  [5322] = 5282,
  [5323] = 2654,
  [5324] = 5324,
  [5325] = 5325,
  [5326] = 5258,
  [5327] = 5327,
  [5328] = 5328,
  [5329] = 5329,
  [5330] = 5257,
  [5331] = 5331,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5334,
  [5335] = 5245,
  [5336] = 5336,
  [5337] = 5261,
  [5338] = 5338,
  [5339] = 5274,
  [5340] = 5272,
  [5341] = 5341,
  [5342] = 5342,
  [5343] = 5343,
  [5344] = 5344,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5276,
  [5348] = 5282,
  [5349] = 2630,
  [5350] = 5283,
  [5351] = 5351,
  [5352] = 5238,
  [5353] = 5353,
  [5354] = 5354,
  [5355] = 5245,
  [5356] = 2606,
  [5357] = 5283,
  [5358] = 5358,
  [5359] = 5359,
  [5360] = 5360,
  [5361] = 5361,
  [5362] = 2612,
  [5363] = 5363,
  [5364] = 2607,
  [5365] = 5365,
  [5366] = 5366,
  [5367] = 2621,
  [5368] = 5246,
  [5369] = 5236,
  [5370] = 5242,
  [5371] = 5371,
  [5372] = 5372,
  [5373] = 5373,
  [5374] = 5338,
  [5375] = 5334,
  [5376] = 5376,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5379,
  [5380] = 5380,
  [5381] = 5248,
  [5382] = 5235,
  [5383] = 5258,
  [5384] = 5384,
  [5385] = 2658,
  [5386] = 5386,
  [5387] = 5387,
  [5388] = 2622,
  [5389] = 2610,
  [5390] = 5244,
  [5391] = 5303,
  [5392] = 5258,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 5353,
  [5396] = 5248,
  [5397] = 5397,
  [5398] = 2631,
  [5399] = 5245,
  [5400] = 2655,
  [5401] = 5401,
  [5402] = 2656,
  [5403] = 5403,
  [5404] = 5328,
  [5405] = 5246,
  [5406] = 5283,
  [5407] = 5393,
  [5408] = 5331,
  [5409] = 5248,
  [5410] = 5410,
  [5411] = 5247,
  [5412] = 3909,
  [5413] = 2642,
  [5414] = 5414,
  [5415] = 5250,
  [5416] = 5416,
  [5417] = 5306,
  [5418] = 5418,
  [5419] = 5419,
  [5420] = 5418,
  [5421] = 5276,
  [5422] = 5422,
  [5423] = 5423,
  [5424] = 5424,
  [5425] = 5425,
  [5426] = 3929,
  [5427] = 5272,
  [5428] = 5428,
  [5429] = 5270,
  [5430] = 5430,
  [5431] = 5251,
  [5432] = 5233,
  [5433] = 5416,
  [5434] = 5434,
  [5435] = 5346,
  [5436] = 5428,
  [5437] = 5437,
  [5438] = 5438,
  [5439] = 5246,
  [5440] = 5440,
  [5441] = 5441,
  [5442] = 5266,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 5307,
  [5446] = 5262,
  [5447] = 5240,
  [5448] = 5448,
  [5449] = 5449,
  [5450] = 5450,
  [5451] = 5451,
  [5452] = 5452,
  [5453] = 5258,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5458,
  [5459] = 5459,
  [5460] = 5460,
  [5461] = 5422,
  [5462] = 5462,
  [5463] = 5463,
  [5464] = 5280,
  [5465] = 1673,
  [5466] = 5466,
  [5467] = 1691,
  [5468] = 5468,
  [5469] = 5338,
  [5470] = 5470,
  [5471] = 5471,
  [5472] = 5418,
  [5473] = 5430,
  [5474] = 5378,
  [5475] = 5475,
  [5476] = 5459,
  [5477] = 5403,
  [5478] = 2615,
  [5479] = 5466,
  [5480] = 5258,
  [5481] = 5475,
  [5482] = 5482,
  [5483] = 5483,
  [5484] = 2644,
  [5485] = 5485,
  [5486] = 5359,
  [5487] = 5487,
  [5488] = 2632,
  [5489] = 5482,
  [5490] = 5419,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5363,
  [5495] = 5386,
  [5496] = 5496,
  [5497] = 5386,
  [5498] = 5372,
  [5499] = 5422,
  [5500] = 5448,
  [5501] = 5248,
  [5502] = 5502,
  [5503] = 5503,
  [5504] = 5459,
  [5505] = 5414,
  [5506] = 5506,
  [5507] = 5320,
  [5508] = 5262,
  [5509] = 5267,
  [5510] = 5245,
  [5511] = 5511,
  [5512] = 5246,
  [5513] = 5333,
  [5514] = 5248,
  [5515] = 5455,
  [5516] = 5462,
  [5517] = 5517,
  [5518] = 5448,
  [5519] = 5351,
  [5520] = 5520,
  [5521] = 5521,
  [5522] = 5293,
  [5523] = 5306,
  [5524] = 5418,
  [5525] = 5376,
  [5526] = 5327,
  [5527] = 5422,
  [5528] = 5341,
  [5529] = 5529,
  [5530] = 2616,
  [5531] = 5531,
  [5532] = 5377,
  [5533] = 5466,
  [5534] = 5246,
  [5535] = 5535,
  [5536] = 5259,
  [5537] = 2645,
  [5538] = 5441,
  [5539] = 5539,
  [5540] = 5303,
  [5541] = 2640,
  [5542] = 5542,
  [5543] = 5517,
  [5544] = 5544,
  [5545] = 5360,
  [5546] = 5437,
  [5547] = 5547,
  [5548] = 5341,
  [5549] = 5373,
  [5550] = 5550,
  [5551] = 5551,
  [5552] = 5345,
  [5553] = 5313,
  [5554] = 5554,
  [5555] = 5257,
  [5556] = 5521,
  [5557] = 5261,
  [5558] = 5257,
  [5559] = 5559,
  [5560] = 5245,
  [5561] = 5393,
  [5562] = 5246,
  [5563] = 5261,
  [5564] = 5520,
  [5565] = 5378,
  [5566] = 5248,
  [5567] = 5274,
  [5568] = 5568,
  [5569] = 5401,
  [5570] = 5570,
  [5571] = 5440,
  [5572] = 5245,
  [5573] = 5328,
  [5574] = 5361,
  [5575] = 2625,
  [5576] = 5320,
  [5577] = 5434,
  [5578] = 5365,
  [5579] = 2626,
  [5580] = 5366,
  [5581] = 5274,
  [5582] = 5282,
  [5583] = 5258,
  [5584] = 5584,
  [5585] = 5585,
  [5586] = 5586,
  [5587] = 5587,
  [5588] = 5588,
  [5589] = 5589,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5592,
  [5593] = 5593,
  [5594] = 5594,
  [5595] = 5595,
  [5596] = 5586,
  [5597] = 5597,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 5600,
  [5601] = 5601,
  [5602] = 5602,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 5606,
  [5607] = 5607,
  [5608] = 5605,
  [5609] = 5597,
  [5610] = 5610,
  [5611] = 5611,
  [5612] = 5612,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5616,
  [5617] = 5617,
  [5618] = 5618,
  [5619] = 5619,
  [5620] = 5620,
  [5621] = 5621,
  [5622] = 5622,
  [5623] = 5623,
  [5624] = 5586,
  [5625] = 5625,
  [5626] = 5626,
  [5627] = 5598,
  [5628] = 5587,
  [5629] = 5629,
  [5630] = 5590,
  [5631] = 5589,
  [5632] = 5592,
  [5633] = 5633,
  [5634] = 5634,
  [5635] = 5635,
  [5636] = 5636,
  [5637] = 5637,
  [5638] = 5638,
  [5639] = 5594,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5642,
  [5643] = 5640,
  [5644] = 5644,
  [5645] = 5588,
  [5646] = 5646,
  [5647] = 5637,
  [5648] = 5620,
  [5649] = 5649,
  [5650] = 5650,
  [5651] = 5607,
  [5652] = 5652,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5601,
  [5662] = 5662,
  [5663] = 5663,
  [5664] = 5662,
  [5665] = 5590,
  [5666] = 5666,
  [5667] = 5667,
  [5668] = 5641,
  [5669] = 5656,
  [5670] = 5649,
  [5671] = 5671,
  [5672] = 5672,
  [5673] = 5673,
  [5674] = 5595,
  [5675] = 5675,
  [5676] = 5676,
  [5677] = 5677,
  [5678] = 5655,
  [5679] = 5593,
  [5680] = 5600,
  [5681] = 5635,
  [5682] = 5601,
  [5683] = 5683,
  [5684] = 5684,
  [5685] = 5601,
  [5686] = 5662,
  [5687] = 5687,
  [5688] = 5660,
  [5689] = 5642,
  [5690] = 5675,
  [5691] = 5650,
  [5692] = 5642,
  [5693] = 5644,
  [5694] = 5622,
  [5695] = 5586,
  [5696] = 5660,
  [5697] = 5653,
  [5698] = 5675,
  [5699] = 5657,
  [5700] = 5700,
  [5701] = 5672,
  [5702] = 5702,
  [5703] = 5593,
  [5704] = 5600,
  [5705] = 5705,
  [5706] = 5706,
  [5707] = 5707,
  [5708] = 5708,
  [5709] = 5709,
  [5710] = 5637,
  [5711] = 5711,
  [5712] = 5636,
  [5713] = 5659,
  [5714] = 5666,
  [5715] = 5715,
  [5716] = 5716,
  [5717] = 5602,
  [5718] = 5606,
  [5719] = 5673,
  [5720] = 5702,
  [5721] = 5598,
  [5722] = 5622,
  [5723] = 5660,
  [5724] = 5625,
  [5725] = 5642,
  [5726] = 5610,
  [5727] = 5633,
  [5728] = 5620,
  [5729] = 5677,
  [5730] = 5715,
  [5731] = 5684,
  [5732] = 5634,
  [5733] = 5602,
  [5734] = 5734,
  [5735] = 5637,
  [5736] = 5660,
  [5737] = 5660,
  [5738] = 5716,
  [5739] = 5593,
  [5740] = 5740,
  [5741] = 5741,
  [5742] = 5650,
  [5743] = 5600,
  [5744] = 5657,
  [5745] = 5635,
  [5746] = 5740,
  [5747] = 5607,
  [5748] = 5748,
  [5749] = 5653,
  [5750] = 5702,
  [5751] = 5751,
  [5752] = 5641,
  [5753] = 5646,
  [5754] = 5754,
  [5755] = 5755,
  [5756] = 5611,
  [5757] = 5649,
  [5758] = 5715,
  [5759] = 5593,
  [5760] = 5716,
  [5761] = 5761,
  [5762] = 5625,
  [5763] = 5600,
  [5764] = 5687,
  [5765] = 5765,
  [5766] = 5766,
  [5767] = 5709,
  [5768] = 5634,
  [5769] = 5618,
  [5770] = 5593,
  [5771] = 5600,
  [5772] = 5595,
  [5773] = 5610,
  [5774] = 5751,
  [5775] = 5614,
  [5776] = 5776,
  [5777] = 5611,
  [5778] = 5778,
  [5779] = 5779,
  [5780] = 5780,
  [5781] = 5611,
  [5782] = 5782,
  [5783] = 5783,
  [5784] = 5660,
  [5785] = 5676,
  [5786] = 5614,
  [5787] = 5619,
  [5788] = 5621,
  [5789] = 5687,
  [5790] = 5623,
  [5791] = 5602,
  [5792] = 5606,
  [5793] = 5683,
  [5794] = 5605,
  [5795] = 5626,
  [5796] = 5796,
  [5797] = 5587,
  [5798] = 5589,
  [5799] = 5592,
  [5800] = 5622,
  [5801] = 5586,
  [5802] = 5625,
  [5803] = 5765,
  [5804] = 5659,
  [5805] = 5598,
  [5806] = 5594,
  [5807] = 5614,
  [5808] = 5637,
  [5809] = 5610,
  [5810] = 5634,
  [5811] = 5761,
  [5812] = 5655,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5600,
  [5816] = 5620,
  [5817] = 5817,
  [5818] = 5606,
  [5819] = 5748,
  [5820] = 5666,
  [5821] = 5821,
  [5822] = 5653,
  [5823] = 5601,
  [5824] = 5659,
  [5825] = 5825,
  [5826] = 5666,
  [5827] = 5677,
  [5828] = 5635,
  [5829] = 5598,
  [5830] = 5830,
  [5831] = 5641,
  [5832] = 5832,
  [5833] = 5646,
  [5834] = 5834,
  [5835] = 5677,
  [5836] = 5754,
  [5837] = 5684,
  [5838] = 5838,
  [5839] = 5649,
  [5840] = 5650,
  [5841] = 5610,
  [5842] = 5662,
  [5843] = 5602,
  [5844] = 5606,
  [5845] = 5655,
  [5846] = 5657,
  [5847] = 5622,
  [5848] = 5586,
  [5849] = 5625,
  [5850] = 5702,
  [5851] = 5715,
  [5852] = 5716,
  [5853] = 5619,
  [5854] = 5618,
  [5855] = 5602,
  [5856] = 5606,
  [5857] = 5634,
  [5858] = 5649,
  [5859] = 5605,
  [5860] = 5687,
  [5861] = 5675,
  [5862] = 5622,
  [5863] = 5586,
  [5864] = 5625,
  [5865] = 5618,
  [5866] = 5621,
  [5867] = 5656,
  [5868] = 5868,
  [5869] = 5604,
  [5870] = 5623,
  [5871] = 5708,
  [5872] = 5626,
  [5873] = 5711,
  [5874] = 5874,
  [5875] = 5587,
  [5876] = 5740,
  [5877] = 5589,
  [5878] = 5592,
  [5879] = 5634,
  [5880] = 5779,
  [5881] = 5611,
  [5882] = 5882,
  [5883] = 5883,
  [5884] = 5625,
  [5885] = 5605,
  [5886] = 5614,
  [5887] = 5619,
  [5888] = 5621,
  [5889] = 5889,
  [5890] = 5602,
  [5891] = 5606,
  [5892] = 5607,
  [5893] = 5606,
  [5894] = 5894,
  [5895] = 5605,
  [5896] = 5638,
  [5897] = 5700,
  [5898] = 5622,
  [5899] = 5635,
  [5900] = 5586,
  [5901] = 5625,
  [5902] = 5902,
  [5903] = 5590,
  [5904] = 5594,
  [5905] = 5601,
  [5906] = 5623,
  [5907] = 5626,
  [5908] = 5598,
  [5909] = 5587,
  [5910] = 5634,
  [5911] = 5642,
  [5912] = 5595,
  [5913] = 5667,
  [5914] = 5610,
  [5915] = 5641,
  [5916] = 5637,
  [5917] = 5683,
  [5918] = 5602,
  [5919] = 5667,
  [5920] = 5672,
  [5921] = 5653,
  [5922] = 5641,
  [5923] = 5659,
  [5924] = 5766,
  [5925] = 5589,
  [5926] = 5592,
  [5927] = 5594,
  [5928] = 5708,
  [5929] = 5666,
  [5930] = 5605,
  [5931] = 5667,
  [5932] = 5655,
  [5933] = 5933,
  [5934] = 5646,
  [5935] = 5711,
  [5936] = 5601,
  [5937] = 5618,
  [5938] = 5677,
  [5939] = 5649,
  [5940] = 5684,
  [5941] = 5605,
  [5942] = 5667,
  [5943] = 5650,
  [5944] = 5605,
  [5945] = 5684,
  [5946] = 5662,
  [5947] = 5675,
  [5948] = 5657,
  [5949] = 5662,
  [5950] = 5702,
  [5951] = 5951,
  [5952] = 5637,
  [5953] = 5951,
  [5954] = 5591,
  [5955] = 5955,
  [5956] = 5715,
  [5957] = 5716,
  [5958] = 5707,
  [5959] = 5602,
  [5960] = 5613,
  [5961] = 5675,
  [5962] = 5667,
  [5963] = 5641,
  [5964] = 5606,
  [5965] = 5965,
  [5966] = 5646,
  [5967] = 5817,
  [5968] = 5622,
  [5969] = 5586,
  [5970] = 5625,
  [5971] = 5642,
  [5972] = 5634,
  [5973] = 5687,
  [5974] = 5595,
  [5975] = 5975,
  [5976] = 5642,
  [5977] = 5965,
  [5978] = 5978,
  [5979] = 5619,
  [5980] = 5634,
  [5981] = 5649,
  [5982] = 5982,
  [5983] = 5654,
  [5984] = 5984,
  [5985] = 5622,
  [5986] = 5618,
  [5987] = 5778,
  [5988] = 5988,
  [5989] = 5613,
  [5990] = 5990,
  [5991] = 5621,
  [5992] = 5623,
  [5993] = 5667,
  [5994] = 5994,
  [5995] = 5978,
  [5996] = 5626,
  [5997] = 5593,
};

static TSCharacterRange extras_character_set_1[] = {
  {'\t', '\r'}, {' ', ' '}, {0xa0, 0xa0}, {0x1680, 0x1680}, {0x2000, 0x200b}, {0x2028, 0x2029}, {0x202f, 0x202f}, {0x205f, 0x2060},
  {0x3000, 0x3000}, {0xfeff, 0xfeff},
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f}, {0x1681, 0x1fff},
  {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'\\', '\\'}, {'_', '_'}, {'a', 'z'}, {0x7f, 0x9f}, {0xa1, 0x167f},
  {0x1681, 0x1fff}, {0x200c, 0x2027}, {0x202a, 0x202e}, {0x2030, 0x205e}, {0x2061, 0x2fff}, {0x3001, 0xfefe}, {0xff00, 0x10ffff},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(150);
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '#', 10,
        '$', 311,
        '%', 251,
        '&', 230,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 153,
        '+', 243,
        ',', 161,
        '-', 247,
        '.', 183,
        '/', 296,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 256,
        '=', 157,
        '>', 179,
        '?', 317,
        '@', 314,
        '[', 169,
        '\\', 104,
        ']', 170,
        '^', 233,
        '`', 294,
        '{', 160,
        '|', 236,
        '}', 162,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(147);
      if (lookahead > '@') ADVANCE(312);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '<') ADVANCE(174);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(173);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(39);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(146);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(297);
      if (lookahead != 0) ADVANCE(298);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '#', 87,
        '%', 251,
        '&', 230,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 153,
        '+', 242,
        ',', 161,
        '-', 246,
        '.', 183,
        '/', 249,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 258,
        '=', 157,
        '>', 179,
        '?', 317,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 233,
        '`', 294,
        '{', 159,
        '|', 235,
        '}', 162,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(3);
      if (lookahead > '#') ADVANCE(312);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '#', 87,
        '%', 251,
        '&', 230,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 153,
        '+', 242,
        ',', 161,
        '-', 246,
        '.', 183,
        '/', 249,
        '0', 301,
        ':', 168,
        '<', 258,
        '=', 157,
        '>', 179,
        '?', 317,
        '@', 314,
        '[', 169,
        '\\', 106,
        '^', 233,
        '`', 294,
        '{', 160,
        '|', 235,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(4);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '#', 87,
        '%', 251,
        '&', 230,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 153,
        '+', 242,
        ',', 161,
        '-', 246,
        '.', 184,
        '/', 249,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 257,
        '=', 157,
        '>', 179,
        '?', 317,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 233,
        '`', 294,
        '{', 160,
        '|', 236,
        '}', 162,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(5);
      if (lookahead > '#' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '%', 251,
        '&', 230,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 153,
        '+', 242,
        ',', 161,
        '-', 246,
        '.', 182,
        '/', 249,
        ':', 168,
        ';', 166,
        '<', 257,
        '=', 157,
        '>', 179,
        '?', 317,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 233,
        '`', 294,
        '{', 159,
        '|', 235,
        '}', 162,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(6);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 164,
        '%', 250,
        '&', 231,
        '(', 165,
        ')', 167,
        '*', 154,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 182,
        '/', 248,
        ':', 168,
        ';', 166,
        '<', 259,
        '=', 156,
        '>', 180,
        '?', 318,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 232,
        '`', 294,
        '{', 159,
        '|', 238,
        '}', 162,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(7);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 164,
        '%', 250,
        '&', 231,
        '(', 165,
        ')', 167,
        '*', 154,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 182,
        '/', 248,
        ':', 168,
        ';', 166,
        '<', 259,
        '=', 82,
        '>', 180,
        '?', 36,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 232,
        '`', 294,
        '{', 159,
        '|', 237,
        '}', 162,
      );
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(299);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '`' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 164,
        '%', 250,
        '&', 231,
        '(', 165,
        ')', 167,
        '*', 154,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 182,
        '/', 248,
        ':', 168,
        ';', 166,
        '<', 259,
        '=', 82,
        '>', 180,
        '?', 36,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 232,
        '`', 294,
        '{', 159,
        '|', 237,
        '}', 162,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(9);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(151);
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(313);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 163,
        '"', 187,
        '#', 87,
        '&', 229,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 152,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 35,
        '/', 248,
        '0', 301,
        '<', 261,
        '?', 315,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '`', 294,
        '{', 160,
        '|', 234,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(11);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 163,
        '"', 187,
        '#', 87,
        '&', 229,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 152,
        '+', 240,
        ',', 161,
        '-', 244,
        '.', 183,
        '/', 29,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 254,
        '=', 158,
        '>', 178,
        '?', 315,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '`', 294,
        '{', 160,
        '|', 239,
        '}', 162,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(12);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 163,
        '"', 187,
        '#', 87,
        '&', 229,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 152,
        '+', 240,
        ',', 161,
        '-', 244,
        '.', 183,
        '/', 29,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 254,
        '=', 158,
        '>', 178,
        '?', 315,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '{', 159,
        '|', 239,
        '}', 162,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(13);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 163,
        '"', 187,
        '#', 87,
        '&', 229,
        '\'', 188,
        '(', 165,
        ')', 167,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 183,
        '/', 248,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 261,
        '=', 158,
        '>', 178,
        '?', 316,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '`', 294,
        '{', 159,
        '|', 239,
        '}', 162,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(14);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(312);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '"', 187,
        '&', 229,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 152,
        ',', 161,
        '.', 182,
        '/', 29,
        ':', 168,
        ';', 166,
        '<', 254,
        '=', 158,
        '>', 178,
        '?', 316,
        '[', 169,
        '\\', 106,
        ']', 170,
        '{', 159,
        '|', 239,
        '}', 162,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(15);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(312);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '"', 187,
        '&', 229,
        '\'', 188,
        '(', 165,
        '*', 152,
        '+', 240,
        '-', 244,
        '.', 122,
        '/', 30,
        '0', 301,
        '<', 254,
        '>', 178,
        '?', 315,
        '[', 169,
        '\\', 106,
        '`', 294,
        '{', 160,
        '|', 234,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(16);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(310);
      if (lookahead > '~') ADVANCE(312);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(187);
      if (lookahead == '&') ADVANCE(21);
      if (lookahead == '/') ADVANCE(190);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(189);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(187);
      if (lookahead == '/') ADVANCE(29);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(18);
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(187);
      if (lookahead == '/') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(18);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(276);
      if (lookahead != 0) ADVANCE(278);
      END_STATE();
    case 20:
      if (lookahead == '#') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      END_STATE();
    case 21:
      if (lookahead == '#') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 22:
      if (lookahead == '#') ADVANCE(118);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(81);
      if (lookahead != 0) ADVANCE(197);
      END_STATE();
    case 23:
      if (lookahead == '$') ADVANCE(108);
      if (lookahead == '&') ADVANCE(20);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '<') ADVANCE(255);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == '`') ADVANCE(294);
      if (lookahead == '{') ADVANCE(159);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(24);
      END_STATE();
    case 24:
      if (lookahead == '$') ADVANCE(108);
      if (lookahead == '&') ADVANCE(20);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '<') ADVANCE(255);
      if (lookahead == '`') ADVANCE(294);
      if (lookahead == '{') ADVANCE(159);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(24);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '&', 229,
        '(', 165,
        '+', 85,
        ',', 161,
        '-', 86,
        '.', 182,
        '/', 30,
        ':', 168,
        '<', 254,
        '=', 155,
        '>', 178,
        '?', 42,
        '[', 169,
        '\\', 106,
        '{', 159,
        '|', 234,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(25);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(310);
      if (lookahead > '~') ADVANCE(312);
      END_STATE();
    case 26:
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '/') ADVANCE(196);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(195);
      if (lookahead != 0) ADVANCE(197);
      END_STATE();
    case 27:
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '/') ADVANCE(29);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(27);
      END_STATE();
    case 28:
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '/') ADVANCE(279);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(27);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(282);
      if (lookahead != 0) ADVANCE(284);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(32);
      if (lookahead == '/') ADVANCE(293);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(32);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '>') ADVANCE(186);
      END_STATE();
    case 31:
      if (lookahead == '*') ADVANCE(31);
      if (lookahead == '/') ADVANCE(290);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 32:
      if (lookahead == '*') ADVANCE(31);
      if (lookahead != 0) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 34:
      if (lookahead == '*') ADVANCE(198);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      if (lookahead != 0) ADVANCE(199);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 36:
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == '?') ADVANCE(268);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(218);
      END_STATE();
    case 38:
      if (lookahead == '/') ADVANCE(296);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 39:
      if (lookahead == '/') ADVANCE(29);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(39);
      END_STATE();
    case 40:
      if (lookahead == ':') ADVANCE(320);
      END_STATE();
    case 41:
      if (lookahead == ':') ADVANCE(319);
      END_STATE();
    case 42:
      if (lookahead == ':') ADVANCE(321);
      END_STATE();
    case 43:
      if (lookahead == ';') ADVANCE(177);
      END_STATE();
    case 44:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(43);
      END_STATE();
    case 45:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(44);
      END_STATE();
    case 46:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(45);
      END_STATE();
    case 47:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(46);
      END_STATE();
    case 48:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 49:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 52:
      if (lookahead == ';') ADVANCE(177);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 53:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(43);
      END_STATE();
    case 54:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(53);
      END_STATE();
    case 55:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 56:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(61);
      END_STATE();
    case 63:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 64:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(63);
      END_STATE();
    case 65:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 66:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 68:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 70:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 72:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(71);
      END_STATE();
    case 73:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 74:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 76:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(75);
      END_STATE();
    case 77:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 78:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(77);
      END_STATE();
    case 79:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 80:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(79);
      END_STATE();
    case 81:
      if (lookahead == ';') ADVANCE(177);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 82:
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 83:
      if (lookahead == '>') ADVANCE(175);
      END_STATE();
    case 84:
      if (lookahead == '>') ADVANCE(176);
      END_STATE();
    case 85:
      if (lookahead == '?') ADVANCE(40);
      END_STATE();
    case 86:
      if (lookahead == '?') ADVANCE(41);
      END_STATE();
    case 87:
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_1, 14, lookahead)) ADVANCE(313);
      END_STATE();
    case 88:
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == ']') ADVANCE(298);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(88);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(102);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(89);
      END_STATE();
    case 96:
      if (lookahead == 'l') ADVANCE(90);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(99);
      END_STATE();
    case 98:
      if (lookahead == 'm') ADVANCE(100);
      END_STATE();
    case 99:
      if (lookahead == 'p') ADVANCE(95);
      END_STATE();
    case 100:
      if (lookahead == 'p') ADVANCE(96);
      END_STATE();
    case 101:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(93);
      END_STATE();
    case 103:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 104:
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(135);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(289);
      if (lookahead != 0) ADVANCE(285);
      END_STATE();
    case 105:
      if (lookahead == 'u') ADVANCE(110);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(111);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == 'x') ADVANCE(135);
      if (lookahead == '\r' ||
          lookahead == '?') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(289);
      if (lookahead != 0) ADVANCE(285);
      END_STATE();
    case 108:
      if (lookahead == '{') ADVANCE(295);
      END_STATE();
    case 109:
      if (lookahead == '{') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(140);
      END_STATE();
    case 110:
      if (lookahead == '{') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(141);
      END_STATE();
    case 111:
      if (lookahead == '{') ADVANCE(134);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(142);
      END_STATE();
    case 112:
      if (lookahead == '{') ADVANCE(136);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 113:
      if (lookahead == '}') ADVANCE(312);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 114:
      if (lookahead == '}') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 115:
      if (lookahead == '}') ADVANCE(285);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 116:
      if (lookahead == '}') ADVANCE(286);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 117:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(308);
      END_STATE();
    case 118:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(47);
      END_STATE();
    case 119:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(304);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(305);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(303);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(308);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(312);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(313);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(285);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(306);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(114);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(113);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(115);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 140:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 141:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(138);
      END_STATE();
    case 142:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(139);
      END_STATE();
    case 143:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(191);
      END_STATE();
    case 144:
      if (lookahead != 0 &&
          lookahead != '#' &&
          (lookahead < 'A' || 'Z' < lookahead) &&
          (lookahead < 'a' || 'z' < lookahead)) ADVANCE(197);
      END_STATE();
    case 145:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(88);
      END_STATE();
    case 146:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(298);
      END_STATE();
    case 147:
      if (eof) ADVANCE(150);
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '#', 10,
        '$', 311,
        '%', 251,
        '&', 230,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 153,
        '+', 243,
        ',', 161,
        '-', 247,
        '.', 183,
        '/', 249,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 256,
        '=', 157,
        '>', 179,
        '?', 317,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 233,
        '`', 294,
        '{', 160,
        '|', 236,
        '}', 162,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(147);
      if (lookahead > '@') ADVANCE(312);
      END_STATE();
    case 148:
      if (eof) ADVANCE(150);
      ADVANCE_MAP(
        '!', 164,
        '"', 187,
        '#', 87,
        '%', 250,
        '&', 231,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 154,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 184,
        '/', 248,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 260,
        '=', 156,
        '>', 180,
        '?', 36,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '^', 232,
        '`', 294,
        '{', 159,
        '|', 237,
        '}', 162,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(148);
      if (lookahead > '#') ADVANCE(312);
      END_STATE();
    case 149:
      if (eof) ADVANCE(150);
      ADVANCE_MAP(
        '!', 163,
        '"', 187,
        '#', 10,
        '&', 229,
        '\'', 188,
        '(', 165,
        ')', 167,
        '*', 152,
        '+', 241,
        ',', 161,
        '-', 245,
        '.', 183,
        '/', 248,
        '0', 301,
        ':', 168,
        ';', 166,
        '<', 261,
        '=', 158,
        '>', 178,
        '?', 315,
        '@', 314,
        '[', 169,
        '\\', 106,
        ']', 170,
        '`', 294,
        '{', 159,
        '|', 239,
        '}', 162,
        '~', 270,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(149);
      if (lookahead > '#' &&
          (lookahead < '%' || '@' < lookahead) &&
          (lookahead < '[' || '^' < lookahead)) ADVANCE(312);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(253);
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(252);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(263);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(263);
      if (lookahead == '>') ADVANCE(201);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(201);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(322);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(265);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(32);
      if (lookahead == '/') ADVANCE(293);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(172);
      if (lookahead == '<') ADVANCE(174);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n') ADVANCE(173);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(171);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(103);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_glimmer_opening_tag);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_glimmer_closing_tag);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_html_character_reference);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(267);
      if (lookahead == '>') ADVANCE(223);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(267);
      if (lookahead == '>') ADVANCE(224);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(21);
      if (lookahead == '/') ADVANCE(190);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead == '*') ADVANCE(193);
      if (lookahead == '/') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(33);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead == '/') ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(193);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(33);
      if (lookahead == '*') ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_unescaped_double_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(291);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(191);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '/') ADVANCE(196);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(195);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(197);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '*') ADVANCE(199);
      if (lookahead == '/') ADVANCE(200);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(197);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(197);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(34);
      if (lookahead == '*') ADVANCE(198);
      if (lookahead == '/') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(34);
      if (lookahead == '*') ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_unescaped_single_jsx_string_fragment);
      if (lookahead == '&') ADVANCE(292);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != '\'') ADVANCE(200);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(215);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(216);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(211);
      if (lookahead == '>') ADVANCE(226);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(225);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(212);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(213);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(220);
      if (lookahead == '=') ADVANCE(209);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(219);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(208);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(210);
      if (lookahead == '|') ADVANCE(222);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(210);
      if (lookahead == '|') ADVANCE(222);
      if (lookahead == '}') ADVANCE(323);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(221);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(221);
      if (lookahead == '}') ADVANCE(323);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(323);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(271);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(271);
      if (lookahead == '=') ADVANCE(203);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(271);
      if (lookahead == '=') ADVANCE(203);
      if (lookahead == '?') ADVANCE(40);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(272);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(272);
      if (lookahead == '=') ADVANCE(204);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(272);
      if (lookahead == '=') ADVANCE(204);
      if (lookahead == '?') ADVANCE(41);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(32);
      if (lookahead == '/') ADVANCE(293);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(32);
      if (lookahead == '/') ADVANCE(293);
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(207);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(214);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(185);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '/') ADVANCE(185);
      if (lookahead == '<') ADVANCE(228);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(228);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(228);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(227);
      if (lookahead == '=') ADVANCE(262);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(227);
      if (lookahead == '=') ADVANCE(262);
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(264);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(266);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(217);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(275);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(274);
      if (lookahead == '/') ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(274);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(273);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(276);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(278);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(281);
      if (lookahead == '/') ADVANCE(283);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(284);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(280);
      if (lookahead == '/') ADVANCE(284);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(279);
      if ((set_contains(extras_character_set_1, 10, lookahead)) &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(282);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(284);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(284);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(283);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(284);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(106);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(312);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\n' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(285);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(285);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(288);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(191);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      if (lookahead != 0) ADVANCE(194);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == 0x2028 ||
          lookahead == 0x2029) ADVANCE(197);
      if (lookahead == '#' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != 0x2028 &&
          lookahead != 0x2029) ADVANCE(293);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(39);
      if (lookahead == '/') ADVANCE(29);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(146);
      if (set_contains(extras_character_set_1, 10, lookahead)) ADVANCE(297);
      if (lookahead != 0) ADVANCE(298);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(146);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(298);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(106);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(299);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(312);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 309,
        '0', 303,
        '_', 123,
        'n', 300,
        'B', 119,
        'b', 119,
        'E', 117,
        'e', 117,
        'O', 120,
        'o', 120,
        'X', 128,
        'x', 128,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(309);
      if (lookahead == '_') ADVANCE(121);
      if (lookahead == 'n') ADVANCE(300);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(123);
      if (lookahead == 'n') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(119);
      if (lookahead == 'n') ADVANCE(300);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(120);
      if (lookahead == 'n') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(128);
      if (lookahead == 'n') ADVANCE(300);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(306);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(122);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(308);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(307);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(310);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(312);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == '{') ADVANCE(295);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(312);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(106);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(312);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(105);
      if (set_contains(sym_identifier_character_set_2, 15, lookahead)) ADVANCE(313);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(202);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == '?') ADVANCE(269);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(202);
      if (lookahead == '?') ADVANCE(268);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_PLUS_QMARK_COLON);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'g', 7,
        'i', 8,
        'k', 9,
        'l', 10,
        'm', 11,
        'n', 12,
        'o', 13,
        'p', 14,
        'r', 15,
        's', 16,
        't', 17,
        'u', 18,
        'v', 19,
        'w', 20,
        'y', 21,
      );
      if (set_contains(extras_character_set_1, 10, lookahead)) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'c') ADVANCE(23);
      if (lookahead == 'n') ADVANCE(24);
      if (lookahead == 's') ADVANCE(25);
      if (lookahead == 'w') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'r') ADVANCE(28);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'l') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(32);
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(36);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      if (lookahead == 'u') ADVANCE(41);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(42);
      if (lookahead == 'l') ADVANCE(43);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(44);
      if (lookahead == 'm') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(50);
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'u') ADVANCE(54);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(55);
      if (lookahead == 'f') ADVANCE(56);
      if (lookahead == 'v') ADVANCE(57);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(58);
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(61);
      if (lookahead == 'e') ADVANCE(62);
      if (lookahead == 't') ADVANCE(63);
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      if (lookahead == 'y') ADVANCE(66);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(67);
      if (lookahead == 'h') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 'y') ADVANCE(70);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(75);
      if (lookahead == 'i') ADVANCE(76);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(77);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 23:
      if (lookahead == 'c') ADVANCE(79);
      END_STATE();
    case 24:
      if (lookahead == 'y') ADVANCE(80);
      END_STATE();
    case 25:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == 'y') ADVANCE(82);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 27:
      if (lookahead == 'o') ADVANCE(84);
      END_STATE();
    case 28:
      if (lookahead == 'e') ADVANCE(85);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(86);
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(88);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(89);
      END_STATE();
    case 32:
      if (lookahead == 'b') ADVANCE(90);
      if (lookahead == 'c') ADVANCE(91);
      if (lookahead == 'f') ADVANCE(92);
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 34:
      if (lookahead == 's') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(96);
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(98);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(99);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 41:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 43:
      if (lookahead == 'o') ADVANCE(104);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(105);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(106);
      if (lookahead == 's') ADVANCE(107);
      if (lookahead == 't') ADVANCE(108);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 48:
      if (lookahead == 'y') ADVANCE(109);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'm') ADVANCE(113);
      END_STATE();
    case 53:
      if (lookahead == 'v') ADVANCE(114);
      if (lookahead == 'w') ADVANCE(115);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(116);
      if (lookahead == 'm') ADVANCE(117);
      END_STATE();
    case 55:
      if (lookahead == 'j') ADVANCE(118);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(119);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(120);
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 59:
      if (lookahead == 'b') ADVANCE(122);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(123);
      if (lookahead == 'q') ADVANCE(124);
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(127);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(128);
      if (lookahead == 'r') ADVANCE(129);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(131);
      END_STATE();
    case 66:
      if (lookahead == 'm') ADVANCE(132);
      END_STATE();
    case 67:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 'r') ADVANCE(135);
      END_STATE();
    case 69:
      if (lookahead == 'u') ADVANCE(136);
      if (lookahead == 'y') ADVANCE(137);
      END_STATE();
    case 70:
      if (lookahead == 'p') ADVANCE(138);
      END_STATE();
    case 71:
      if (lookahead == 'd') ADVANCE(139);
      if (lookahead == 'i') ADVANCE(140);
      if (lookahead == 'k') ADVANCE(141);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 73:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(144);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(145);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(146);
      END_STATE();
    case 77:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 78:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(149);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(150);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 87:
      if (lookahead == 'c') ADVANCE(156);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(157);
      END_STATE();
    case 89:
      if (lookahead == 's') ADVANCE(158);
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 90:
      if (lookahead == 'u') ADVANCE(160);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(161);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(162);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 95:
      if (lookahead == 'm') ADVANCE(165);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 97:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 98:
      if (lookahead == 's') ADVANCE(168);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(169);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 101:
      if (lookahead == 'm') ADVANCE(170);
      END_STATE();
    case 102:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(172);
      END_STATE();
    case 105:
      if (lookahead == 'l') ADVANCE(173);
      if (lookahead == 'o') ADVANCE(174);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 107:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 109:
      if (lookahead == 'o') ADVANCE(178);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 111:
      if (lookahead == 'a') ADVANCE(179);
      END_STATE();
    case 112:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(183);
      END_STATE();
    case 117:
      if (lookahead == 'b') ADVANCE(184);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(186);
      END_STATE();
    case 120:
      if (lookahead == 'v') ADVANCE(187);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(189);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 124:
      if (lookahead == 'u') ADVANCE(191);
      END_STATE();
    case 125:
      if (lookahead == 'u') ADVANCE(192);
      END_STATE();
    case 126:
      if (lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 128:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 129:
      if (lookahead == 'i') ADVANCE(195);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 132:
      if (lookahead == 'b') ADVANCE(198);
      END_STATE();
    case 133:
      if (lookahead == 'g') ADVANCE(199);
      END_STATE();
    case 134:
      if (lookahead == 's') ADVANCE(200);
      END_STATE();
    case 135:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(204);
      END_STATE();
    case 140:
      if (lookahead == 'q') ADVANCE(205);
      END_STATE();
    case 141:
      if (lookahead == 'n') ADVANCE(206);
      END_STATE();
    case 142:
      if (lookahead == 'n') ADVANCE(207);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(208);
      END_STATE();
    case 145:
      if (lookahead == 'l') ADVANCE(209);
      END_STATE();
    case 146:
      if (lookahead == 'h') ADVANCE(210);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(211);
      END_STATE();
    case 148:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(213);
      END_STATE();
    case 150:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(215);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(216);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(217);
      END_STATE();
    case 154:
      if (lookahead == 'k') ADVANCE(218);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 156:
      if (lookahead == 'h') ADVANCE(219);
      END_STATE();
    case 157:
      if (lookahead == 's') ADVANCE(220);
      END_STATE();
    case 158:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 160:
      if (lookahead == 'g') ADVANCE(223);
      END_STATE();
    case 161:
      if (lookahead == 'a') ADVANCE(224);
      END_STATE();
    case 162:
      if (lookahead == 'u') ADVANCE(225);
      END_STATE();
    case 163:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(227);
      END_STATE();
    case 167:
      if (lookahead == 'n') ADVANCE(228);
      END_STATE();
    case 168:
      if (lookahead == 'e') ADVANCE(229);
      END_STATE();
    case 169:
      if (lookahead == 'l') ADVANCE(230);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 171:
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 172:
      if (lookahead == 'a') ADVANCE(232);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 174:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(236);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 178:
      if (lookahead == 'f') ADVANCE(238);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 180:
      if (lookahead == 'l') ADVANCE(239);
      END_STATE();
    case 181:
      if (lookahead == 's') ADVANCE(240);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(241);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 184:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(243);
      END_STATE();
    case 186:
      if (lookahead == 'r') ADVANCE(244);
      END_STATE();
    case 187:
      if (lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 188:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 190:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(249);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(250);
      END_STATE();
    case 193:
      if (lookahead == 's') ADVANCE(251);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(252);
      END_STATE();
    case 195:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 196:
      if (lookahead == 'r') ADVANCE(254);
      END_STATE();
    case 197:
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 198:
      if (lookahead == 'o') ADVANCE(256);
      END_STATE();
    case 199:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 201:
      if (lookahead == 'w') ADVANCE(258);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 204:
      if (lookahead == 'f') ADVANCE(260);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(261);
      END_STATE();
    case 206:
      if (lookahead == 'o') ADVANCE(262);
      END_STATE();
    case 207:
      if (lookahead == 'g') ADVANCE(263);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 209:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 211:
      if (lookahead == 'd') ADVANCE(265);
      END_STATE();
    case 212:
      if (lookahead == 'a') ADVANCE(266);
      END_STATE();
    case 213:
      if (lookahead == 's') ADVANCE(267);
      END_STATE();
    case 214:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 217:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(270);
      END_STATE();
    case 223:
      if (lookahead == 'g') ADVANCE(271);
      END_STATE();
    case 224:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 225:
      if (lookahead == 'l') ADVANCE(273);
      END_STATE();
    case 226:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 227:
      if (lookahead == 't') ADVANCE(275);
      END_STATE();
    case 228:
      if (lookahead == 'd') ADVANCE(276);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 230:
      if (lookahead == 'l') ADVANCE(277);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(278);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(279);
      END_STATE();
    case 233:
      if (lookahead == 'm') ADVANCE(280);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(281);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 237:
      if (lookahead == 'f') ADVANCE(283);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 240:
      if (lookahead == 'p') ADVANCE(285);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 242:
      if (lookahead == 'r') ADVANCE(286);
      END_STATE();
    case 243:
      if (lookahead == 't') ADVANCE(287);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(288);
      END_STATE();
    case 245:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 246:
      if (lookahead == 'c') ADVANCE(290);
      END_STATE();
    case 247:
      if (lookahead == 'c') ADVANCE(291);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 249:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(294);
      END_STATE();
    case 251:
      if (lookahead == 'f') ADVANCE(295);
      END_STATE();
    case 252:
      if (lookahead == 'c') ADVANCE(296);
      END_STATE();
    case 253:
      if (lookahead == 'g') ADVANCE(297);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 255:
      if (lookahead == 'h') ADVANCE(298);
      END_STATE();
    case 256:
      if (lookahead == 'l') ADVANCE(299);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 259:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 260:
      if (lookahead == 'i') ADVANCE(302);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 262:
      if (lookahead == 'w') ADVANCE(304);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 266:
      if (lookahead == 'c') ADVANCE(305);
      END_STATE();
    case 267:
      if (lookahead == 'o') ADVANCE(306);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == 's') ADVANCE(307);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 270:
      if (lookahead == 'u') ADVANCE(309);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(311);
      END_STATE();
    case 273:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 276:
      if (lookahead == 's') ADVANCE(313);
      END_STATE();
    case 277:
      if (lookahead == 'y') ADVANCE(314);
      END_STATE();
    case 278:
      if (lookahead == 'o') ADVANCE(315);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 282:
      if (lookahead == 'c') ADVANCE(317);
      END_STATE();
    case 283:
      if (lookahead == 'a') ADVANCE(318);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 285:
      if (lookahead == 'a') ADVANCE(319);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 288:
      if (lookahead == 'd') ADVANCE(320);
      END_STATE();
    case 289:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 290:
      if (lookahead == 't') ADVANCE(322);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 292:
      if (lookahead == 'l') ADVANCE(323);
      END_STATE();
    case 293:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 295:
      if (lookahead == 'i') ADVANCE(325);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_unique);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(327);
      END_STATE();
    case 305:
      if (lookahead == 't') ADVANCE(328);
      END_STATE();
    case 306:
      if (lookahead == 'r') ADVANCE(329);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 309:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 310:
      if (lookahead == 'r') ADVANCE(331);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 316:
      if (lookahead == 'n') ADVANCE(333);
      END_STATE();
    case 317:
      if (lookahead == 'e') ADVANCE(334);
      END_STATE();
    case 318:
      if (lookahead == 'c') ADVANCE(335);
      END_STATE();
    case 319:
      if (lookahead == 'c') ADVANCE(336);
      END_STATE();
    case 320:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 322:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 323:
      if (lookahead == 'y') ADVANCE(339);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 325:
      if (lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 326:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_accessor);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 334:
      if (lookahead == 'o') ADVANCE(343);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 338:
      if (lookahead == 'd') ADVANCE(346);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 340:
      if (lookahead == 's') ADVANCE(347);
      END_STATE();
    case 341:
      if (lookahead == 'd') ADVANCE(348);
      END_STATE();
    case 342:
      if (lookahead == 's') ADVANCE(349);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(350);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_satisfies);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 149, .external_lex_state = 2},
  [2] = {.lex_state = 4, .external_lex_state = 3},
  [3] = {.lex_state = 4, .external_lex_state = 3},
  [4] = {.lex_state = 149, .external_lex_state = 2},
  [5] = {.lex_state = 149, .external_lex_state = 2},
  [6] = {.lex_state = 149, .external_lex_state = 2},
  [7] = {.lex_state = 149, .external_lex_state = 2},
  [8] = {.lex_state = 149, .external_lex_state = 2},
  [9] = {.lex_state = 149, .external_lex_state = 2},
  [10] = {.lex_state = 149, .external_lex_state = 2},
  [11] = {.lex_state = 149, .external_lex_state = 2},
  [12] = {.lex_state = 149, .external_lex_state = 2},
  [13] = {.lex_state = 149, .external_lex_state = 2},
  [14] = {.lex_state = 149, .external_lex_state = 2},
  [15] = {.lex_state = 149, .external_lex_state = 2},
  [16] = {.lex_state = 149, .external_lex_state = 2},
  [17] = {.lex_state = 149, .external_lex_state = 2},
  [18] = {.lex_state = 149, .external_lex_state = 2},
  [19] = {.lex_state = 149, .external_lex_state = 2},
  [20] = {.lex_state = 149, .external_lex_state = 2},
  [21] = {.lex_state = 149, .external_lex_state = 2},
  [22] = {.lex_state = 149, .external_lex_state = 2},
  [23] = {.lex_state = 149, .external_lex_state = 2},
  [24] = {.lex_state = 149, .external_lex_state = 2},
  [25] = {.lex_state = 149, .external_lex_state = 2},
  [26] = {.lex_state = 149, .external_lex_state = 2},
  [27] = {.lex_state = 149, .external_lex_state = 2},
  [28] = {.lex_state = 149, .external_lex_state = 2},
  [29] = {.lex_state = 149, .external_lex_state = 2},
  [30] = {.lex_state = 149, .external_lex_state = 2},
  [31] = {.lex_state = 149, .external_lex_state = 2},
  [32] = {.lex_state = 149, .external_lex_state = 2},
  [33] = {.lex_state = 149, .external_lex_state = 2},
  [34] = {.lex_state = 149, .external_lex_state = 2},
  [35] = {.lex_state = 149, .external_lex_state = 2},
  [36] = {.lex_state = 149, .external_lex_state = 2},
  [37] = {.lex_state = 149, .external_lex_state = 2},
  [38] = {.lex_state = 149, .external_lex_state = 2},
  [39] = {.lex_state = 149, .external_lex_state = 2},
  [40] = {.lex_state = 149, .external_lex_state = 2},
  [41] = {.lex_state = 149, .external_lex_state = 2},
  [42] = {.lex_state = 149, .external_lex_state = 2},
  [43] = {.lex_state = 149, .external_lex_state = 2},
  [44] = {.lex_state = 149, .external_lex_state = 2},
  [45] = {.lex_state = 149, .external_lex_state = 2},
  [46] = {.lex_state = 149, .external_lex_state = 2},
  [47] = {.lex_state = 149, .external_lex_state = 2},
  [48] = {.lex_state = 149, .external_lex_state = 2},
  [49] = {.lex_state = 149, .external_lex_state = 2},
  [50] = {.lex_state = 149, .external_lex_state = 2},
  [51] = {.lex_state = 149, .external_lex_state = 2},
  [52] = {.lex_state = 11, .external_lex_state = 2},
  [53] = {.lex_state = 149, .external_lex_state = 2},
  [54] = {.lex_state = 149, .external_lex_state = 2},
  [55] = {.lex_state = 149, .external_lex_state = 2},
  [56] = {.lex_state = 149, .external_lex_state = 2},
  [57] = {.lex_state = 149, .external_lex_state = 2},
  [58] = {.lex_state = 149, .external_lex_state = 2},
  [59] = {.lex_state = 149, .external_lex_state = 2},
  [60] = {.lex_state = 149, .external_lex_state = 2},
  [61] = {.lex_state = 149, .external_lex_state = 2},
  [62] = {.lex_state = 11, .external_lex_state = 2},
  [63] = {.lex_state = 11, .external_lex_state = 2},
  [64] = {.lex_state = 11, .external_lex_state = 2},
  [65] = {.lex_state = 11, .external_lex_state = 2},
  [66] = {.lex_state = 149, .external_lex_state = 2},
  [67] = {.lex_state = 11, .external_lex_state = 2},
  [68] = {.lex_state = 11, .external_lex_state = 2},
  [69] = {.lex_state = 11, .external_lex_state = 2},
  [70] = {.lex_state = 11, .external_lex_state = 2},
  [71] = {.lex_state = 11, .external_lex_state = 2},
  [72] = {.lex_state = 149, .external_lex_state = 2},
  [73] = {.lex_state = 149, .external_lex_state = 2},
  [74] = {.lex_state = 149, .external_lex_state = 2},
  [75] = {.lex_state = 149, .external_lex_state = 2},
  [76] = {.lex_state = 149, .external_lex_state = 2},
  [77] = {.lex_state = 149, .external_lex_state = 2},
  [78] = {.lex_state = 149, .external_lex_state = 2},
  [79] = {.lex_state = 149, .external_lex_state = 2},
  [80] = {.lex_state = 149, .external_lex_state = 2},
  [81] = {.lex_state = 149, .external_lex_state = 2},
  [82] = {.lex_state = 149, .external_lex_state = 2},
  [83] = {.lex_state = 149, .external_lex_state = 2},
  [84] = {.lex_state = 149, .external_lex_state = 2},
  [85] = {.lex_state = 149, .external_lex_state = 2},
  [86] = {.lex_state = 149, .external_lex_state = 2},
  [87] = {.lex_state = 3, .external_lex_state = 4},
  [88] = {.lex_state = 3, .external_lex_state = 4},
  [89] = {.lex_state = 3, .external_lex_state = 4},
  [90] = {.lex_state = 3, .external_lex_state = 3},
  [91] = {.lex_state = 3, .external_lex_state = 3},
  [92] = {.lex_state = 3, .external_lex_state = 3},
  [93] = {.lex_state = 11, .external_lex_state = 2},
  [94] = {.lex_state = 11, .external_lex_state = 2},
  [95] = {.lex_state = 3, .external_lex_state = 3},
  [96] = {.lex_state = 3, .external_lex_state = 3},
  [97] = {.lex_state = 3, .external_lex_state = 3},
  [98] = {.lex_state = 3, .external_lex_state = 3},
  [99] = {.lex_state = 3, .external_lex_state = 3},
  [100] = {.lex_state = 11, .external_lex_state = 2},
  [101] = {.lex_state = 11, .external_lex_state = 2},
  [102] = {.lex_state = 3, .external_lex_state = 3},
  [103] = {.lex_state = 3, .external_lex_state = 3},
  [104] = {.lex_state = 11, .external_lex_state = 2},
  [105] = {.lex_state = 3, .external_lex_state = 3},
  [106] = {.lex_state = 11, .external_lex_state = 2},
  [107] = {.lex_state = 3, .external_lex_state = 3},
  [108] = {.lex_state = 11, .external_lex_state = 2},
  [109] = {.lex_state = 11, .external_lex_state = 2},
  [110] = {.lex_state = 3, .external_lex_state = 3},
  [111] = {.lex_state = 3, .external_lex_state = 3},
  [112] = {.lex_state = 3, .external_lex_state = 4},
  [113] = {.lex_state = 3, .external_lex_state = 4},
  [114] = {.lex_state = 3, .external_lex_state = 3},
  [115] = {.lex_state = 3, .external_lex_state = 4},
  [116] = {.lex_state = 3, .external_lex_state = 4},
  [117] = {.lex_state = 3, .external_lex_state = 4},
  [118] = {.lex_state = 3, .external_lex_state = 4},
  [119] = {.lex_state = 3, .external_lex_state = 3},
  [120] = {.lex_state = 3, .external_lex_state = 4},
  [121] = {.lex_state = 3, .external_lex_state = 4},
  [122] = {.lex_state = 3, .external_lex_state = 4},
  [123] = {.lex_state = 3, .external_lex_state = 3},
  [124] = {.lex_state = 3, .external_lex_state = 3},
  [125] = {.lex_state = 3, .external_lex_state = 3},
  [126] = {.lex_state = 3, .external_lex_state = 3},
  [127] = {.lex_state = 3, .external_lex_state = 3},
  [128] = {.lex_state = 3, .external_lex_state = 3},
  [129] = {.lex_state = 3, .external_lex_state = 3},
  [130] = {.lex_state = 3, .external_lex_state = 3},
  [131] = {.lex_state = 3, .external_lex_state = 3},
  [132] = {.lex_state = 3, .external_lex_state = 3},
  [133] = {.lex_state = 3, .external_lex_state = 3},
  [134] = {.lex_state = 3, .external_lex_state = 4},
  [135] = {.lex_state = 3, .external_lex_state = 4},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 3, .external_lex_state = 3},
  [139] = {.lex_state = 3, .external_lex_state = 3},
  [140] = {.lex_state = 3, .external_lex_state = 4},
  [141] = {.lex_state = 3, .external_lex_state = 3},
  [142] = {.lex_state = 3, .external_lex_state = 3},
  [143] = {.lex_state = 3, .external_lex_state = 3},
  [144] = {.lex_state = 3, .external_lex_state = 3},
  [145] = {.lex_state = 3, .external_lex_state = 3},
  [146] = {.lex_state = 3, .external_lex_state = 3},
  [147] = {.lex_state = 3, .external_lex_state = 3},
  [148] = {.lex_state = 3, .external_lex_state = 3},
  [149] = {.lex_state = 3, .external_lex_state = 3},
  [150] = {.lex_state = 3, .external_lex_state = 3},
  [151] = {.lex_state = 3, .external_lex_state = 3},
  [152] = {.lex_state = 3, .external_lex_state = 3},
  [153] = {.lex_state = 3, .external_lex_state = 3},
  [154] = {.lex_state = 3, .external_lex_state = 3},
  [155] = {.lex_state = 3, .external_lex_state = 3},
  [156] = {.lex_state = 3, .external_lex_state = 3},
  [157] = {.lex_state = 3, .external_lex_state = 3},
  [158] = {.lex_state = 11, .external_lex_state = 2},
  [159] = {.lex_state = 3, .external_lex_state = 3},
  [160] = {.lex_state = 3, .external_lex_state = 3},
  [161] = {.lex_state = 11, .external_lex_state = 2},
  [162] = {.lex_state = 11, .external_lex_state = 2},
  [163] = {.lex_state = 11, .external_lex_state = 2},
  [164] = {.lex_state = 11, .external_lex_state = 2},
  [165] = {.lex_state = 11, .external_lex_state = 2},
  [166] = {.lex_state = 11, .external_lex_state = 2},
  [167] = {.lex_state = 11, .external_lex_state = 2},
  [168] = {.lex_state = 11, .external_lex_state = 2},
  [169] = {.lex_state = 11, .external_lex_state = 2},
  [170] = {.lex_state = 11, .external_lex_state = 2},
  [171] = {.lex_state = 11, .external_lex_state = 2},
  [172] = {.lex_state = 11, .external_lex_state = 2},
  [173] = {.lex_state = 148, .external_lex_state = 3},
  [174] = {.lex_state = 148, .external_lex_state = 4},
  [175] = {.lex_state = 148, .external_lex_state = 4},
  [176] = {.lex_state = 148, .external_lex_state = 4},
  [177] = {.lex_state = 148, .external_lex_state = 3},
  [178] = {.lex_state = 148, .external_lex_state = 3},
  [179] = {.lex_state = 148, .external_lex_state = 3},
  [180] = {.lex_state = 148, .external_lex_state = 3},
  [181] = {.lex_state = 148, .external_lex_state = 3},
  [182] = {.lex_state = 5, .external_lex_state = 3},
  [183] = {.lex_state = 149, .external_lex_state = 2},
  [184] = {.lex_state = 149, .external_lex_state = 2},
  [185] = {.lex_state = 149, .external_lex_state = 2},
  [186] = {.lex_state = 149, .external_lex_state = 2},
  [187] = {.lex_state = 149, .external_lex_state = 2},
  [188] = {.lex_state = 149, .external_lex_state = 2},
  [189] = {.lex_state = 149, .external_lex_state = 2},
  [190] = {.lex_state = 149, .external_lex_state = 2},
  [191] = {.lex_state = 5, .external_lex_state = 4},
  [192] = {.lex_state = 5, .external_lex_state = 4},
  [193] = {.lex_state = 5, .external_lex_state = 3},
  [194] = {.lex_state = 5, .external_lex_state = 3},
  [195] = {.lex_state = 5, .external_lex_state = 3},
  [196] = {.lex_state = 5, .external_lex_state = 4},
  [197] = {.lex_state = 5, .external_lex_state = 3},
  [198] = {.lex_state = 5, .external_lex_state = 3},
  [199] = {.lex_state = 5, .external_lex_state = 3},
  [200] = {.lex_state = 5, .external_lex_state = 3},
  [201] = {.lex_state = 5, .external_lex_state = 3},
  [202] = {.lex_state = 5, .external_lex_state = 3},
  [203] = {.lex_state = 5, .external_lex_state = 3},
  [204] = {.lex_state = 149, .external_lex_state = 2},
  [205] = {.lex_state = 149, .external_lex_state = 2},
  [206] = {.lex_state = 149, .external_lex_state = 2},
  [207] = {.lex_state = 149, .external_lex_state = 2},
  [208] = {.lex_state = 149, .external_lex_state = 2},
  [209] = {.lex_state = 149, .external_lex_state = 2},
  [210] = {.lex_state = 149, .external_lex_state = 2},
  [211] = {.lex_state = 149, .external_lex_state = 2},
  [212] = {.lex_state = 149, .external_lex_state = 2},
  [213] = {.lex_state = 149, .external_lex_state = 2},
  [214] = {.lex_state = 149, .external_lex_state = 2},
  [215] = {.lex_state = 149, .external_lex_state = 2},
  [216] = {.lex_state = 149, .external_lex_state = 2},
  [217] = {.lex_state = 149, .external_lex_state = 2},
  [218] = {.lex_state = 149, .external_lex_state = 2},
  [219] = {.lex_state = 149, .external_lex_state = 2},
  [220] = {.lex_state = 149, .external_lex_state = 2},
  [221] = {.lex_state = 149, .external_lex_state = 2},
  [222] = {.lex_state = 149, .external_lex_state = 2},
  [223] = {.lex_state = 149, .external_lex_state = 2},
  [224] = {.lex_state = 148, .external_lex_state = 4},
  [225] = {.lex_state = 148, .external_lex_state = 4},
  [226] = {.lex_state = 149, .external_lex_state = 5},
  [227] = {.lex_state = 148, .external_lex_state = 4},
  [228] = {.lex_state = 149, .external_lex_state = 2},
  [229] = {.lex_state = 148, .external_lex_state = 4},
  [230] = {.lex_state = 149, .external_lex_state = 2},
  [231] = {.lex_state = 149, .external_lex_state = 2},
  [232] = {.lex_state = 148, .external_lex_state = 4},
  [233] = {.lex_state = 149, .external_lex_state = 2},
  [234] = {.lex_state = 148, .external_lex_state = 4},
  [235] = {.lex_state = 148, .external_lex_state = 4},
  [236] = {.lex_state = 149, .external_lex_state = 2},
  [237] = {.lex_state = 148, .external_lex_state = 4},
  [238] = {.lex_state = 148, .external_lex_state = 4},
  [239] = {.lex_state = 148, .external_lex_state = 4},
  [240] = {.lex_state = 148, .external_lex_state = 4},
  [241] = {.lex_state = 148, .external_lex_state = 4},
  [242] = {.lex_state = 149, .external_lex_state = 2},
  [243] = {.lex_state = 148, .external_lex_state = 4},
  [244] = {.lex_state = 149, .external_lex_state = 2},
  [245] = {.lex_state = 148, .external_lex_state = 4},
  [246] = {.lex_state = 148, .external_lex_state = 4},
  [247] = {.lex_state = 149, .external_lex_state = 2},
  [248] = {.lex_state = 148, .external_lex_state = 4},
  [249] = {.lex_state = 148, .external_lex_state = 4},
  [250] = {.lex_state = 148, .external_lex_state = 4},
  [251] = {.lex_state = 148, .external_lex_state = 4},
  [252] = {.lex_state = 148, .external_lex_state = 4},
  [253] = {.lex_state = 148, .external_lex_state = 4},
  [254] = {.lex_state = 148, .external_lex_state = 4},
  [255] = {.lex_state = 148, .external_lex_state = 4},
  [256] = {.lex_state = 148, .external_lex_state = 4},
  [257] = {.lex_state = 148, .external_lex_state = 4},
  [258] = {.lex_state = 149, .external_lex_state = 2},
  [259] = {.lex_state = 149, .external_lex_state = 2},
  [260] = {.lex_state = 148, .external_lex_state = 4},
  [261] = {.lex_state = 148, .external_lex_state = 4},
  [262] = {.lex_state = 148, .external_lex_state = 4},
  [263] = {.lex_state = 149, .external_lex_state = 2},
  [264] = {.lex_state = 148, .external_lex_state = 4},
  [265] = {.lex_state = 149, .external_lex_state = 2},
  [266] = {.lex_state = 149, .external_lex_state = 2},
  [267] = {.lex_state = 149, .external_lex_state = 2},
  [268] = {.lex_state = 149, .external_lex_state = 2},
  [269] = {.lex_state = 149, .external_lex_state = 2},
  [270] = {.lex_state = 149, .external_lex_state = 2},
  [271] = {.lex_state = 149, .external_lex_state = 2},
  [272] = {.lex_state = 149, .external_lex_state = 2},
  [273] = {.lex_state = 149, .external_lex_state = 2},
  [274] = {.lex_state = 149, .external_lex_state = 2},
  [275] = {.lex_state = 149, .external_lex_state = 2},
  [276] = {.lex_state = 149, .external_lex_state = 2},
  [277] = {.lex_state = 149, .external_lex_state = 2},
  [278] = {.lex_state = 149, .external_lex_state = 2},
  [279] = {.lex_state = 149, .external_lex_state = 2},
  [280] = {.lex_state = 149, .external_lex_state = 2},
  [281] = {.lex_state = 149, .external_lex_state = 2},
  [282] = {.lex_state = 149, .external_lex_state = 2},
  [283] = {.lex_state = 149, .external_lex_state = 2},
  [284] = {.lex_state = 149, .external_lex_state = 2},
  [285] = {.lex_state = 3, .external_lex_state = 3},
  [286] = {.lex_state = 149, .external_lex_state = 2},
  [287] = {.lex_state = 149, .external_lex_state = 2},
  [288] = {.lex_state = 149, .external_lex_state = 2},
  [289] = {.lex_state = 149, .external_lex_state = 2},
  [290] = {.lex_state = 149, .external_lex_state = 2},
  [291] = {.lex_state = 149, .external_lex_state = 2},
  [292] = {.lex_state = 149, .external_lex_state = 2},
  [293] = {.lex_state = 149, .external_lex_state = 2},
  [294] = {.lex_state = 149, .external_lex_state = 2},
  [295] = {.lex_state = 3, .external_lex_state = 3},
  [296] = {.lex_state = 149, .external_lex_state = 2},
  [297] = {.lex_state = 149, .external_lex_state = 2},
  [298] = {.lex_state = 149, .external_lex_state = 2},
  [299] = {.lex_state = 149, .external_lex_state = 2},
  [300] = {.lex_state = 3, .external_lex_state = 3},
  [301] = {.lex_state = 149, .external_lex_state = 2},
  [302] = {.lex_state = 149, .external_lex_state = 2},
  [303] = {.lex_state = 149, .external_lex_state = 2},
  [304] = {.lex_state = 149, .external_lex_state = 2},
  [305] = {.lex_state = 3, .external_lex_state = 3},
  [306] = {.lex_state = 149, .external_lex_state = 2},
  [307] = {.lex_state = 149, .external_lex_state = 2},
  [308] = {.lex_state = 149, .external_lex_state = 2},
  [309] = {.lex_state = 149, .external_lex_state = 5},
  [310] = {.lex_state = 149, .external_lex_state = 2},
  [311] = {.lex_state = 149, .external_lex_state = 2},
  [312] = {.lex_state = 149, .external_lex_state = 2},
  [313] = {.lex_state = 149, .external_lex_state = 2},
  [314] = {.lex_state = 149, .external_lex_state = 2},
  [315] = {.lex_state = 149, .external_lex_state = 2},
  [316] = {.lex_state = 149, .external_lex_state = 2},
  [317] = {.lex_state = 149, .external_lex_state = 2},
  [318] = {.lex_state = 149, .external_lex_state = 2},
  [319] = {.lex_state = 149, .external_lex_state = 2},
  [320] = {.lex_state = 149, .external_lex_state = 2},
  [321] = {.lex_state = 149, .external_lex_state = 2},
  [322] = {.lex_state = 149, .external_lex_state = 2},
  [323] = {.lex_state = 149, .external_lex_state = 2},
  [324] = {.lex_state = 149, .external_lex_state = 2},
  [325] = {.lex_state = 149, .external_lex_state = 2},
  [326] = {.lex_state = 149, .external_lex_state = 2},
  [327] = {.lex_state = 149, .external_lex_state = 2},
  [328] = {.lex_state = 149, .external_lex_state = 2},
  [329] = {.lex_state = 149, .external_lex_state = 2},
  [330] = {.lex_state = 149, .external_lex_state = 2},
  [331] = {.lex_state = 149, .external_lex_state = 2},
  [332] = {.lex_state = 149, .external_lex_state = 2},
  [333] = {.lex_state = 149, .external_lex_state = 2},
  [334] = {.lex_state = 149, .external_lex_state = 2},
  [335] = {.lex_state = 149, .external_lex_state = 2},
  [336] = {.lex_state = 149, .external_lex_state = 2},
  [337] = {.lex_state = 149, .external_lex_state = 2},
  [338] = {.lex_state = 149, .external_lex_state = 2},
  [339] = {.lex_state = 149, .external_lex_state = 2},
  [340] = {.lex_state = 149, .external_lex_state = 2},
  [341] = {.lex_state = 149, .external_lex_state = 2},
  [342] = {.lex_state = 149, .external_lex_state = 2},
  [343] = {.lex_state = 149, .external_lex_state = 2},
  [344] = {.lex_state = 149, .external_lex_state = 2},
  [345] = {.lex_state = 149, .external_lex_state = 2},
  [346] = {.lex_state = 149, .external_lex_state = 2},
  [347] = {.lex_state = 149, .external_lex_state = 2},
  [348] = {.lex_state = 149, .external_lex_state = 2},
  [349] = {.lex_state = 149, .external_lex_state = 2},
  [350] = {.lex_state = 149, .external_lex_state = 2},
  [351] = {.lex_state = 149, .external_lex_state = 2},
  [352] = {.lex_state = 149, .external_lex_state = 2},
  [353] = {.lex_state = 149, .external_lex_state = 2},
  [354] = {.lex_state = 149, .external_lex_state = 2},
  [355] = {.lex_state = 149, .external_lex_state = 2},
  [356] = {.lex_state = 149, .external_lex_state = 2},
  [357] = {.lex_state = 149, .external_lex_state = 2},
  [358] = {.lex_state = 149, .external_lex_state = 2},
  [359] = {.lex_state = 149, .external_lex_state = 2},
  [360] = {.lex_state = 149, .external_lex_state = 2},
  [361] = {.lex_state = 149, .external_lex_state = 2},
  [362] = {.lex_state = 149, .external_lex_state = 2},
  [363] = {.lex_state = 149, .external_lex_state = 2},
  [364] = {.lex_state = 149, .external_lex_state = 2},
  [365] = {.lex_state = 149, .external_lex_state = 2},
  [366] = {.lex_state = 149, .external_lex_state = 2},
  [367] = {.lex_state = 149, .external_lex_state = 2},
  [368] = {.lex_state = 149, .external_lex_state = 2},
  [369] = {.lex_state = 149, .external_lex_state = 2},
  [370] = {.lex_state = 149, .external_lex_state = 2},
  [371] = {.lex_state = 149, .external_lex_state = 2},
  [372] = {.lex_state = 149, .external_lex_state = 2},
  [373] = {.lex_state = 149, .external_lex_state = 2},
  [374] = {.lex_state = 149, .external_lex_state = 2},
  [375] = {.lex_state = 149, .external_lex_state = 2},
  [376] = {.lex_state = 149, .external_lex_state = 2},
  [377] = {.lex_state = 149, .external_lex_state = 2},
  [378] = {.lex_state = 149, .external_lex_state = 2},
  [379] = {.lex_state = 149, .external_lex_state = 2},
  [380] = {.lex_state = 149, .external_lex_state = 2},
  [381] = {.lex_state = 149, .external_lex_state = 2},
  [382] = {.lex_state = 149, .external_lex_state = 2},
  [383] = {.lex_state = 149, .external_lex_state = 2},
  [384] = {.lex_state = 149, .external_lex_state = 2},
  [385] = {.lex_state = 149, .external_lex_state = 2},
  [386] = {.lex_state = 149, .external_lex_state = 2},
  [387] = {.lex_state = 149, .external_lex_state = 2},
  [388] = {.lex_state = 149, .external_lex_state = 2},
  [389] = {.lex_state = 149, .external_lex_state = 2},
  [390] = {.lex_state = 149, .external_lex_state = 2},
  [391] = {.lex_state = 149, .external_lex_state = 2},
  [392] = {.lex_state = 149, .external_lex_state = 2},
  [393] = {.lex_state = 149, .external_lex_state = 2},
  [394] = {.lex_state = 149, .external_lex_state = 2},
  [395] = {.lex_state = 149, .external_lex_state = 2},
  [396] = {.lex_state = 149, .external_lex_state = 2},
  [397] = {.lex_state = 149, .external_lex_state = 2},
  [398] = {.lex_state = 149, .external_lex_state = 2},
  [399] = {.lex_state = 149, .external_lex_state = 2},
  [400] = {.lex_state = 149, .external_lex_state = 2},
  [401] = {.lex_state = 149, .external_lex_state = 2},
  [402] = {.lex_state = 149, .external_lex_state = 2},
  [403] = {.lex_state = 149, .external_lex_state = 2},
  [404] = {.lex_state = 149, .external_lex_state = 2},
  [405] = {.lex_state = 149, .external_lex_state = 2},
  [406] = {.lex_state = 149, .external_lex_state = 2},
  [407] = {.lex_state = 149, .external_lex_state = 2},
  [408] = {.lex_state = 149, .external_lex_state = 2},
  [409] = {.lex_state = 149, .external_lex_state = 2},
  [410] = {.lex_state = 149, .external_lex_state = 2},
  [411] = {.lex_state = 149, .external_lex_state = 2},
  [412] = {.lex_state = 149, .external_lex_state = 2},
  [413] = {.lex_state = 149, .external_lex_state = 2},
  [414] = {.lex_state = 149, .external_lex_state = 2},
  [415] = {.lex_state = 149, .external_lex_state = 2},
  [416] = {.lex_state = 149, .external_lex_state = 2},
  [417] = {.lex_state = 149, .external_lex_state = 2},
  [418] = {.lex_state = 149, .external_lex_state = 2},
  [419] = {.lex_state = 149, .external_lex_state = 2},
  [420] = {.lex_state = 149, .external_lex_state = 2},
  [421] = {.lex_state = 149, .external_lex_state = 2},
  [422] = {.lex_state = 149, .external_lex_state = 2},
  [423] = {.lex_state = 149, .external_lex_state = 2},
  [424] = {.lex_state = 149, .external_lex_state = 2},
  [425] = {.lex_state = 149, .external_lex_state = 2},
  [426] = {.lex_state = 149, .external_lex_state = 2},
  [427] = {.lex_state = 149, .external_lex_state = 2},
  [428] = {.lex_state = 149, .external_lex_state = 2},
  [429] = {.lex_state = 149, .external_lex_state = 2},
  [430] = {.lex_state = 149, .external_lex_state = 2},
  [431] = {.lex_state = 149, .external_lex_state = 2},
  [432] = {.lex_state = 149, .external_lex_state = 2},
  [433] = {.lex_state = 149, .external_lex_state = 2},
  [434] = {.lex_state = 149, .external_lex_state = 2},
  [435] = {.lex_state = 149, .external_lex_state = 2},
  [436] = {.lex_state = 149, .external_lex_state = 2},
  [437] = {.lex_state = 149, .external_lex_state = 2},
  [438] = {.lex_state = 149, .external_lex_state = 2},
  [439] = {.lex_state = 149, .external_lex_state = 2},
  [440] = {.lex_state = 149, .external_lex_state = 2},
  [441] = {.lex_state = 149, .external_lex_state = 2},
  [442] = {.lex_state = 149, .external_lex_state = 2},
  [443] = {.lex_state = 149, .external_lex_state = 2},
  [444] = {.lex_state = 149, .external_lex_state = 2},
  [445] = {.lex_state = 149, .external_lex_state = 2},
  [446] = {.lex_state = 149, .external_lex_state = 2},
  [447] = {.lex_state = 149, .external_lex_state = 2},
  [448] = {.lex_state = 149, .external_lex_state = 2},
  [449] = {.lex_state = 149, .external_lex_state = 2},
  [450] = {.lex_state = 149, .external_lex_state = 2},
  [451] = {.lex_state = 149, .external_lex_state = 2},
  [452] = {.lex_state = 149, .external_lex_state = 2},
  [453] = {.lex_state = 149, .external_lex_state = 2},
  [454] = {.lex_state = 149, .external_lex_state = 2},
  [455] = {.lex_state = 149, .external_lex_state = 2},
  [456] = {.lex_state = 149, .external_lex_state = 2},
  [457] = {.lex_state = 149, .external_lex_state = 2},
  [458] = {.lex_state = 149, .external_lex_state = 2},
  [459] = {.lex_state = 149, .external_lex_state = 2},
  [460] = {.lex_state = 149, .external_lex_state = 2},
  [461] = {.lex_state = 149, .external_lex_state = 2},
  [462] = {.lex_state = 149, .external_lex_state = 2},
  [463] = {.lex_state = 149, .external_lex_state = 2},
  [464] = {.lex_state = 149, .external_lex_state = 2},
  [465] = {.lex_state = 149, .external_lex_state = 2},
  [466] = {.lex_state = 149, .external_lex_state = 2},
  [467] = {.lex_state = 149, .external_lex_state = 2},
  [468] = {.lex_state = 149, .external_lex_state = 2},
  [469] = {.lex_state = 149, .external_lex_state = 2},
  [470] = {.lex_state = 149, .external_lex_state = 2},
  [471] = {.lex_state = 149, .external_lex_state = 2},
  [472] = {.lex_state = 149, .external_lex_state = 2},
  [473] = {.lex_state = 149, .external_lex_state = 2},
  [474] = {.lex_state = 149, .external_lex_state = 2},
  [475] = {.lex_state = 149, .external_lex_state = 2},
  [476] = {.lex_state = 149, .external_lex_state = 2},
  [477] = {.lex_state = 149, .external_lex_state = 2},
  [478] = {.lex_state = 149, .external_lex_state = 2},
  [479] = {.lex_state = 149, .external_lex_state = 2},
  [480] = {.lex_state = 149, .external_lex_state = 2},
  [481] = {.lex_state = 149, .external_lex_state = 2},
  [482] = {.lex_state = 149, .external_lex_state = 2},
  [483] = {.lex_state = 149, .external_lex_state = 2},
  [484] = {.lex_state = 149, .external_lex_state = 2},
  [485] = {.lex_state = 149, .external_lex_state = 2},
  [486] = {.lex_state = 149, .external_lex_state = 2},
  [487] = {.lex_state = 149, .external_lex_state = 2},
  [488] = {.lex_state = 149, .external_lex_state = 2},
  [489] = {.lex_state = 149, .external_lex_state = 2},
  [490] = {.lex_state = 149, .external_lex_state = 2},
  [491] = {.lex_state = 149, .external_lex_state = 2},
  [492] = {.lex_state = 149, .external_lex_state = 2},
  [493] = {.lex_state = 149, .external_lex_state = 2},
  [494] = {.lex_state = 149, .external_lex_state = 2},
  [495] = {.lex_state = 149, .external_lex_state = 2},
  [496] = {.lex_state = 149, .external_lex_state = 2},
  [497] = {.lex_state = 149, .external_lex_state = 2},
  [498] = {.lex_state = 149, .external_lex_state = 2},
  [499] = {.lex_state = 149, .external_lex_state = 2},
  [500] = {.lex_state = 149, .external_lex_state = 2},
  [501] = {.lex_state = 149, .external_lex_state = 2},
  [502] = {.lex_state = 149, .external_lex_state = 2},
  [503] = {.lex_state = 149, .external_lex_state = 2},
  [504] = {.lex_state = 149, .external_lex_state = 2},
  [505] = {.lex_state = 149, .external_lex_state = 2},
  [506] = {.lex_state = 149, .external_lex_state = 2},
  [507] = {.lex_state = 149, .external_lex_state = 2},
  [508] = {.lex_state = 149, .external_lex_state = 2},
  [509] = {.lex_state = 149, .external_lex_state = 2},
  [510] = {.lex_state = 149, .external_lex_state = 2},
  [511] = {.lex_state = 149, .external_lex_state = 2},
  [512] = {.lex_state = 149, .external_lex_state = 2},
  [513] = {.lex_state = 149, .external_lex_state = 2},
  [514] = {.lex_state = 149, .external_lex_state = 2},
  [515] = {.lex_state = 149, .external_lex_state = 2},
  [516] = {.lex_state = 149, .external_lex_state = 2},
  [517] = {.lex_state = 149, .external_lex_state = 2},
  [518] = {.lex_state = 149, .external_lex_state = 2},
  [519] = {.lex_state = 149, .external_lex_state = 2},
  [520] = {.lex_state = 149, .external_lex_state = 2},
  [521] = {.lex_state = 149, .external_lex_state = 2},
  [522] = {.lex_state = 149, .external_lex_state = 2},
  [523] = {.lex_state = 149, .external_lex_state = 2},
  [524] = {.lex_state = 149, .external_lex_state = 2},
  [525] = {.lex_state = 149, .external_lex_state = 2},
  [526] = {.lex_state = 149, .external_lex_state = 2},
  [527] = {.lex_state = 149, .external_lex_state = 2},
  [528] = {.lex_state = 149, .external_lex_state = 2},
  [529] = {.lex_state = 149, .external_lex_state = 2},
  [530] = {.lex_state = 149, .external_lex_state = 2},
  [531] = {.lex_state = 149, .external_lex_state = 2},
  [532] = {.lex_state = 149, .external_lex_state = 2},
  [533] = {.lex_state = 149, .external_lex_state = 2},
  [534] = {.lex_state = 149, .external_lex_state = 2},
  [535] = {.lex_state = 149, .external_lex_state = 2},
  [536] = {.lex_state = 149, .external_lex_state = 2},
  [537] = {.lex_state = 149, .external_lex_state = 2},
  [538] = {.lex_state = 149, .external_lex_state = 2},
  [539] = {.lex_state = 149, .external_lex_state = 2},
  [540] = {.lex_state = 149, .external_lex_state = 2},
  [541] = {.lex_state = 149, .external_lex_state = 2},
  [542] = {.lex_state = 149, .external_lex_state = 2},
  [543] = {.lex_state = 149, .external_lex_state = 2},
  [544] = {.lex_state = 149, .external_lex_state = 2},
  [545] = {.lex_state = 149, .external_lex_state = 2},
  [546] = {.lex_state = 149, .external_lex_state = 2},
  [547] = {.lex_state = 149, .external_lex_state = 2},
  [548] = {.lex_state = 149, .external_lex_state = 2},
  [549] = {.lex_state = 149, .external_lex_state = 2},
  [550] = {.lex_state = 149, .external_lex_state = 2},
  [551] = {.lex_state = 149, .external_lex_state = 2},
  [552] = {.lex_state = 149, .external_lex_state = 2},
  [553] = {.lex_state = 149, .external_lex_state = 2},
  [554] = {.lex_state = 149, .external_lex_state = 2},
  [555] = {.lex_state = 149, .external_lex_state = 2},
  [556] = {.lex_state = 149, .external_lex_state = 2},
  [557] = {.lex_state = 149, .external_lex_state = 2},
  [558] = {.lex_state = 149, .external_lex_state = 2},
  [559] = {.lex_state = 149, .external_lex_state = 2},
  [560] = {.lex_state = 149, .external_lex_state = 2},
  [561] = {.lex_state = 149, .external_lex_state = 2},
  [562] = {.lex_state = 149, .external_lex_state = 2},
  [563] = {.lex_state = 149, .external_lex_state = 2},
  [564] = {.lex_state = 149, .external_lex_state = 2},
  [565] = {.lex_state = 149, .external_lex_state = 2},
  [566] = {.lex_state = 149, .external_lex_state = 2},
  [567] = {.lex_state = 149, .external_lex_state = 2},
  [568] = {.lex_state = 149, .external_lex_state = 2},
  [569] = {.lex_state = 149, .external_lex_state = 2},
  [570] = {.lex_state = 149, .external_lex_state = 2},
  [571] = {.lex_state = 149, .external_lex_state = 2},
  [572] = {.lex_state = 149, .external_lex_state = 2},
  [573] = {.lex_state = 149, .external_lex_state = 2},
  [574] = {.lex_state = 149, .external_lex_state = 2},
  [575] = {.lex_state = 149, .external_lex_state = 2},
  [576] = {.lex_state = 149, .external_lex_state = 2},
  [577] = {.lex_state = 149, .external_lex_state = 2},
  [578] = {.lex_state = 149, .external_lex_state = 2},
  [579] = {.lex_state = 149, .external_lex_state = 2},
  [580] = {.lex_state = 149, .external_lex_state = 2},
  [581] = {.lex_state = 149, .external_lex_state = 2},
  [582] = {.lex_state = 149, .external_lex_state = 2},
  [583] = {.lex_state = 149, .external_lex_state = 2},
  [584] = {.lex_state = 149, .external_lex_state = 2},
  [585] = {.lex_state = 149, .external_lex_state = 2},
  [586] = {.lex_state = 149, .external_lex_state = 2},
  [587] = {.lex_state = 149, .external_lex_state = 2},
  [588] = {.lex_state = 149, .external_lex_state = 2},
  [589] = {.lex_state = 149, .external_lex_state = 2},
  [590] = {.lex_state = 149, .external_lex_state = 2},
  [591] = {.lex_state = 149, .external_lex_state = 2},
  [592] = {.lex_state = 149, .external_lex_state = 2},
  [593] = {.lex_state = 149, .external_lex_state = 2},
  [594] = {.lex_state = 149, .external_lex_state = 2},
  [595] = {.lex_state = 149, .external_lex_state = 2},
  [596] = {.lex_state = 149, .external_lex_state = 2},
  [597] = {.lex_state = 149, .external_lex_state = 2},
  [598] = {.lex_state = 149, .external_lex_state = 2},
  [599] = {.lex_state = 149, .external_lex_state = 2},
  [600] = {.lex_state = 149, .external_lex_state = 2},
  [601] = {.lex_state = 149, .external_lex_state = 2},
  [602] = {.lex_state = 149, .external_lex_state = 2},
  [603] = {.lex_state = 149, .external_lex_state = 2},
  [604] = {.lex_state = 149, .external_lex_state = 2},
  [605] = {.lex_state = 149, .external_lex_state = 2},
  [606] = {.lex_state = 149, .external_lex_state = 2},
  [607] = {.lex_state = 149, .external_lex_state = 2},
  [608] = {.lex_state = 149, .external_lex_state = 2},
  [609] = {.lex_state = 149, .external_lex_state = 2},
  [610] = {.lex_state = 149, .external_lex_state = 2},
  [611] = {.lex_state = 149, .external_lex_state = 2},
  [612] = {.lex_state = 149, .external_lex_state = 2},
  [613] = {.lex_state = 149, .external_lex_state = 2},
  [614] = {.lex_state = 149, .external_lex_state = 2},
  [615] = {.lex_state = 149, .external_lex_state = 2},
  [616] = {.lex_state = 149, .external_lex_state = 2},
  [617] = {.lex_state = 149, .external_lex_state = 2},
  [618] = {.lex_state = 149, .external_lex_state = 2},
  [619] = {.lex_state = 149, .external_lex_state = 2},
  [620] = {.lex_state = 149, .external_lex_state = 2},
  [621] = {.lex_state = 149, .external_lex_state = 2},
  [622] = {.lex_state = 149, .external_lex_state = 2},
  [623] = {.lex_state = 149, .external_lex_state = 2},
  [624] = {.lex_state = 149, .external_lex_state = 2},
  [625] = {.lex_state = 149, .external_lex_state = 2},
  [626] = {.lex_state = 149, .external_lex_state = 2},
  [627] = {.lex_state = 149, .external_lex_state = 2},
  [628] = {.lex_state = 149, .external_lex_state = 2},
  [629] = {.lex_state = 149, .external_lex_state = 2},
  [630] = {.lex_state = 149, .external_lex_state = 2},
  [631] = {.lex_state = 149, .external_lex_state = 2},
  [632] = {.lex_state = 149, .external_lex_state = 2},
  [633] = {.lex_state = 149, .external_lex_state = 2},
  [634] = {.lex_state = 149, .external_lex_state = 2},
  [635] = {.lex_state = 149, .external_lex_state = 2},
  [636] = {.lex_state = 149, .external_lex_state = 2},
  [637] = {.lex_state = 149, .external_lex_state = 2},
  [638] = {.lex_state = 149, .external_lex_state = 2},
  [639] = {.lex_state = 149, .external_lex_state = 2},
  [640] = {.lex_state = 149, .external_lex_state = 2},
  [641] = {.lex_state = 149, .external_lex_state = 2},
  [642] = {.lex_state = 149, .external_lex_state = 2},
  [643] = {.lex_state = 149, .external_lex_state = 2},
  [644] = {.lex_state = 149, .external_lex_state = 2},
  [645] = {.lex_state = 149, .external_lex_state = 2},
  [646] = {.lex_state = 149, .external_lex_state = 2},
  [647] = {.lex_state = 149, .external_lex_state = 2},
  [648] = {.lex_state = 149, .external_lex_state = 2},
  [649] = {.lex_state = 149, .external_lex_state = 2},
  [650] = {.lex_state = 149, .external_lex_state = 2},
  [651] = {.lex_state = 149, .external_lex_state = 2},
  [652] = {.lex_state = 149, .external_lex_state = 2},
  [653] = {.lex_state = 149, .external_lex_state = 2},
  [654] = {.lex_state = 149, .external_lex_state = 2},
  [655] = {.lex_state = 149, .external_lex_state = 2},
  [656] = {.lex_state = 149, .external_lex_state = 2},
  [657] = {.lex_state = 149, .external_lex_state = 2},
  [658] = {.lex_state = 6, .external_lex_state = 4},
  [659] = {.lex_state = 6, .external_lex_state = 4},
  [660] = {.lex_state = 6, .external_lex_state = 4},
  [661] = {.lex_state = 5, .external_lex_state = 4},
  [662] = {.lex_state = 5, .external_lex_state = 4},
  [663] = {.lex_state = 5, .external_lex_state = 4},
  [664] = {.lex_state = 5, .external_lex_state = 4},
  [665] = {.lex_state = 5, .external_lex_state = 4},
  [666] = {.lex_state = 5, .external_lex_state = 4},
  [667] = {.lex_state = 6, .external_lex_state = 4},
  [668] = {.lex_state = 6, .external_lex_state = 4},
  [669] = {.lex_state = 6, .external_lex_state = 4},
  [670] = {.lex_state = 5, .external_lex_state = 4},
  [671] = {.lex_state = 5, .external_lex_state = 4},
  [672] = {.lex_state = 5, .external_lex_state = 4},
  [673] = {.lex_state = 5, .external_lex_state = 4},
  [674] = {.lex_state = 5, .external_lex_state = 4},
  [675] = {.lex_state = 5, .external_lex_state = 4},
  [676] = {.lex_state = 5, .external_lex_state = 4},
  [677] = {.lex_state = 149, .external_lex_state = 2},
  [678] = {.lex_state = 149, .external_lex_state = 2},
  [679] = {.lex_state = 5, .external_lex_state = 4},
  [680] = {.lex_state = 5, .external_lex_state = 4},
  [681] = {.lex_state = 5, .external_lex_state = 4},
  [682] = {.lex_state = 149, .external_lex_state = 2},
  [683] = {.lex_state = 5, .external_lex_state = 4},
  [684] = {.lex_state = 149, .external_lex_state = 2},
  [685] = {.lex_state = 149, .external_lex_state = 2},
  [686] = {.lex_state = 5, .external_lex_state = 4},
  [687] = {.lex_state = 149, .external_lex_state = 2},
  [688] = {.lex_state = 149, .external_lex_state = 2},
  [689] = {.lex_state = 5, .external_lex_state = 4},
  [690] = {.lex_state = 5, .external_lex_state = 4},
  [691] = {.lex_state = 5, .external_lex_state = 4},
  [692] = {.lex_state = 5, .external_lex_state = 4},
  [693] = {.lex_state = 5, .external_lex_state = 4},
  [694] = {.lex_state = 5, .external_lex_state = 4},
  [695] = {.lex_state = 5, .external_lex_state = 4},
  [696] = {.lex_state = 5, .external_lex_state = 4},
  [697] = {.lex_state = 5, .external_lex_state = 4},
  [698] = {.lex_state = 5, .external_lex_state = 3},
  [699] = {.lex_state = 5, .external_lex_state = 3},
  [700] = {.lex_state = 5, .external_lex_state = 3},
  [701] = {.lex_state = 5, .external_lex_state = 3},
  [702] = {.lex_state = 5, .external_lex_state = 3},
  [703] = {.lex_state = 5, .external_lex_state = 3},
  [704] = {.lex_state = 5, .external_lex_state = 4},
  [705] = {.lex_state = 5, .external_lex_state = 4},
  [706] = {.lex_state = 5, .external_lex_state = 4},
  [707] = {.lex_state = 5, .external_lex_state = 4},
  [708] = {.lex_state = 5, .external_lex_state = 4},
  [709] = {.lex_state = 5, .external_lex_state = 4},
  [710] = {.lex_state = 5, .external_lex_state = 4},
  [711] = {.lex_state = 149, .external_lex_state = 2},
  [712] = {.lex_state = 5, .external_lex_state = 3},
  [713] = {.lex_state = 149, .external_lex_state = 5},
  [714] = {.lex_state = 5, .external_lex_state = 3},
  [715] = {.lex_state = 6, .external_lex_state = 3},
  [716] = {.lex_state = 6, .external_lex_state = 3},
  [717] = {.lex_state = 149, .external_lex_state = 5},
  [718] = {.lex_state = 5, .external_lex_state = 4},
  [719] = {.lex_state = 5, .external_lex_state = 3},
  [720] = {.lex_state = 5, .external_lex_state = 4},
  [721] = {.lex_state = 149, .external_lex_state = 5},
  [722] = {.lex_state = 149, .external_lex_state = 5},
  [723] = {.lex_state = 5, .external_lex_state = 3},
  [724] = {.lex_state = 149, .external_lex_state = 5},
  [725] = {.lex_state = 149, .external_lex_state = 5},
  [726] = {.lex_state = 149, .external_lex_state = 5},
  [727] = {.lex_state = 149, .external_lex_state = 5},
  [728] = {.lex_state = 5, .external_lex_state = 3},
  [729] = {.lex_state = 5, .external_lex_state = 3},
  [730] = {.lex_state = 5, .external_lex_state = 4},
  [731] = {.lex_state = 5, .external_lex_state = 4},
  [732] = {.lex_state = 5, .external_lex_state = 4},
  [733] = {.lex_state = 149, .external_lex_state = 2},
  [734] = {.lex_state = 149, .external_lex_state = 2},
  [735] = {.lex_state = 5, .external_lex_state = 3},
  [736] = {.lex_state = 5, .external_lex_state = 3},
  [737] = {.lex_state = 5, .external_lex_state = 3},
  [738] = {.lex_state = 149, .external_lex_state = 2},
  [739] = {.lex_state = 149, .external_lex_state = 2},
  [740] = {.lex_state = 5, .external_lex_state = 3},
  [741] = {.lex_state = 5, .external_lex_state = 3},
  [742] = {.lex_state = 5, .external_lex_state = 3},
  [743] = {.lex_state = 5, .external_lex_state = 3},
  [744] = {.lex_state = 149, .external_lex_state = 2},
  [745] = {.lex_state = 149, .external_lex_state = 2},
  [746] = {.lex_state = 5, .external_lex_state = 3},
  [747] = {.lex_state = 149, .external_lex_state = 2},
  [748] = {.lex_state = 149, .external_lex_state = 5},
  [749] = {.lex_state = 5, .external_lex_state = 3},
  [750] = {.lex_state = 149, .external_lex_state = 2},
  [751] = {.lex_state = 149, .external_lex_state = 2},
  [752] = {.lex_state = 5, .external_lex_state = 3},
  [753] = {.lex_state = 149, .external_lex_state = 5},
  [754] = {.lex_state = 5, .external_lex_state = 3},
  [755] = {.lex_state = 149, .external_lex_state = 5},
  [756] = {.lex_state = 149, .external_lex_state = 2},
  [757] = {.lex_state = 149, .external_lex_state = 5},
  [758] = {.lex_state = 149, .external_lex_state = 5},
  [759] = {.lex_state = 5, .external_lex_state = 3},
  [760] = {.lex_state = 149, .external_lex_state = 5},
  [761] = {.lex_state = 149, .external_lex_state = 5},
  [762] = {.lex_state = 149, .external_lex_state = 5},
  [763] = {.lex_state = 5, .external_lex_state = 3},
  [764] = {.lex_state = 149, .external_lex_state = 5},
  [765] = {.lex_state = 149, .external_lex_state = 5},
  [766] = {.lex_state = 5, .external_lex_state = 3},
  [767] = {.lex_state = 149, .external_lex_state = 2},
  [768] = {.lex_state = 149, .external_lex_state = 5},
  [769] = {.lex_state = 149, .external_lex_state = 5},
  [770] = {.lex_state = 149, .external_lex_state = 2},
  [771] = {.lex_state = 5, .external_lex_state = 3},
  [772] = {.lex_state = 149, .external_lex_state = 2},
  [773] = {.lex_state = 149, .external_lex_state = 5},
  [774] = {.lex_state = 149, .external_lex_state = 5},
  [775] = {.lex_state = 5, .external_lex_state = 3},
  [776] = {.lex_state = 149, .external_lex_state = 5},
  [777] = {.lex_state = 5, .external_lex_state = 3},
  [778] = {.lex_state = 149, .external_lex_state = 2},
  [779] = {.lex_state = 149, .external_lex_state = 2},
  [780] = {.lex_state = 149, .external_lex_state = 2},
  [781] = {.lex_state = 149, .external_lex_state = 2},
  [782] = {.lex_state = 149, .external_lex_state = 2},
  [783] = {.lex_state = 149, .external_lex_state = 2},
  [784] = {.lex_state = 149, .external_lex_state = 2},
  [785] = {.lex_state = 149, .external_lex_state = 2},
  [786] = {.lex_state = 12, .external_lex_state = 2},
  [787] = {.lex_state = 149, .external_lex_state = 2},
  [788] = {.lex_state = 149, .external_lex_state = 2},
  [789] = {.lex_state = 149, .external_lex_state = 2},
  [790] = {.lex_state = 149, .external_lex_state = 2},
  [791] = {.lex_state = 149, .external_lex_state = 2},
  [792] = {.lex_state = 12, .external_lex_state = 2},
  [793] = {.lex_state = 149, .external_lex_state = 2},
  [794] = {.lex_state = 149, .external_lex_state = 2},
  [795] = {.lex_state = 149, .external_lex_state = 2},
  [796] = {.lex_state = 149, .external_lex_state = 2},
  [797] = {.lex_state = 149, .external_lex_state = 2},
  [798] = {.lex_state = 149, .external_lex_state = 2},
  [799] = {.lex_state = 149, .external_lex_state = 2},
  [800] = {.lex_state = 149, .external_lex_state = 2},
  [801] = {.lex_state = 149, .external_lex_state = 2},
  [802] = {.lex_state = 149, .external_lex_state = 2},
  [803] = {.lex_state = 149, .external_lex_state = 2},
  [804] = {.lex_state = 149, .external_lex_state = 2},
  [805] = {.lex_state = 149, .external_lex_state = 2},
  [806] = {.lex_state = 12, .external_lex_state = 2},
  [807] = {.lex_state = 149, .external_lex_state = 2},
  [808] = {.lex_state = 149, .external_lex_state = 2},
  [809] = {.lex_state = 149, .external_lex_state = 2},
  [810] = {.lex_state = 149, .external_lex_state = 2},
  [811] = {.lex_state = 149, .external_lex_state = 2},
  [812] = {.lex_state = 149, .external_lex_state = 2},
  [813] = {.lex_state = 149, .external_lex_state = 2},
  [814] = {.lex_state = 149, .external_lex_state = 2},
  [815] = {.lex_state = 149, .external_lex_state = 2},
  [816] = {.lex_state = 149, .external_lex_state = 2},
  [817] = {.lex_state = 12, .external_lex_state = 2},
  [818] = {.lex_state = 149, .external_lex_state = 2},
  [819] = {.lex_state = 149, .external_lex_state = 2},
  [820] = {.lex_state = 149, .external_lex_state = 2},
  [821] = {.lex_state = 12, .external_lex_state = 2},
  [822] = {.lex_state = 149, .external_lex_state = 2},
  [823] = {.lex_state = 149, .external_lex_state = 2},
  [824] = {.lex_state = 149, .external_lex_state = 2},
  [825] = {.lex_state = 149, .external_lex_state = 2},
  [826] = {.lex_state = 149, .external_lex_state = 2},
  [827] = {.lex_state = 149, .external_lex_state = 2},
  [828] = {.lex_state = 149, .external_lex_state = 2},
  [829] = {.lex_state = 149, .external_lex_state = 2},
  [830] = {.lex_state = 149, .external_lex_state = 2},
  [831] = {.lex_state = 149, .external_lex_state = 2},
  [832] = {.lex_state = 149, .external_lex_state = 2},
  [833] = {.lex_state = 149, .external_lex_state = 2},
  [834] = {.lex_state = 149, .external_lex_state = 2},
  [835] = {.lex_state = 149, .external_lex_state = 2},
  [836] = {.lex_state = 149, .external_lex_state = 2},
  [837] = {.lex_state = 149, .external_lex_state = 2},
  [838] = {.lex_state = 149, .external_lex_state = 2},
  [839] = {.lex_state = 149, .external_lex_state = 2},
  [840] = {.lex_state = 149, .external_lex_state = 2},
  [841] = {.lex_state = 149, .external_lex_state = 2},
  [842] = {.lex_state = 149, .external_lex_state = 2},
  [843] = {.lex_state = 149, .external_lex_state = 2},
  [844] = {.lex_state = 149, .external_lex_state = 2},
  [845] = {.lex_state = 149, .external_lex_state = 2},
  [846] = {.lex_state = 149, .external_lex_state = 2},
  [847] = {.lex_state = 149, .external_lex_state = 2},
  [848] = {.lex_state = 149, .external_lex_state = 2},
  [849] = {.lex_state = 149, .external_lex_state = 2},
  [850] = {.lex_state = 149, .external_lex_state = 2},
  [851] = {.lex_state = 149, .external_lex_state = 2},
  [852] = {.lex_state = 149, .external_lex_state = 2},
  [853] = {.lex_state = 149, .external_lex_state = 2},
  [854] = {.lex_state = 149, .external_lex_state = 2},
  [855] = {.lex_state = 149, .external_lex_state = 2},
  [856] = {.lex_state = 149, .external_lex_state = 2},
  [857] = {.lex_state = 149, .external_lex_state = 2},
  [858] = {.lex_state = 149, .external_lex_state = 2},
  [859] = {.lex_state = 149, .external_lex_state = 2},
  [860] = {.lex_state = 149, .external_lex_state = 2},
  [861] = {.lex_state = 149, .external_lex_state = 2},
  [862] = {.lex_state = 149, .external_lex_state = 2},
  [863] = {.lex_state = 149, .external_lex_state = 2},
  [864] = {.lex_state = 149, .external_lex_state = 2},
  [865] = {.lex_state = 149, .external_lex_state = 2},
  [866] = {.lex_state = 149, .external_lex_state = 2},
  [867] = {.lex_state = 149, .external_lex_state = 2},
  [868] = {.lex_state = 149, .external_lex_state = 2},
  [869] = {.lex_state = 149, .external_lex_state = 2},
  [870] = {.lex_state = 149, .external_lex_state = 2},
  [871] = {.lex_state = 149, .external_lex_state = 2},
  [872] = {.lex_state = 149, .external_lex_state = 2},
  [873] = {.lex_state = 149, .external_lex_state = 2},
  [874] = {.lex_state = 149, .external_lex_state = 2},
  [875] = {.lex_state = 149, .external_lex_state = 2},
  [876] = {.lex_state = 149, .external_lex_state = 2},
  [877] = {.lex_state = 149, .external_lex_state = 2},
  [878] = {.lex_state = 149, .external_lex_state = 2},
  [879] = {.lex_state = 149, .external_lex_state = 2},
  [880] = {.lex_state = 149, .external_lex_state = 2},
  [881] = {.lex_state = 149, .external_lex_state = 2},
  [882] = {.lex_state = 149, .external_lex_state = 2},
  [883] = {.lex_state = 149, .external_lex_state = 2},
  [884] = {.lex_state = 149, .external_lex_state = 2},
  [885] = {.lex_state = 149, .external_lex_state = 2},
  [886] = {.lex_state = 149, .external_lex_state = 2},
  [887] = {.lex_state = 149, .external_lex_state = 2},
  [888] = {.lex_state = 149, .external_lex_state = 2},
  [889] = {.lex_state = 149, .external_lex_state = 2},
  [890] = {.lex_state = 149, .external_lex_state = 2},
  [891] = {.lex_state = 149, .external_lex_state = 2},
  [892] = {.lex_state = 149, .external_lex_state = 2},
  [893] = {.lex_state = 149, .external_lex_state = 2},
  [894] = {.lex_state = 149, .external_lex_state = 2},
  [895] = {.lex_state = 149, .external_lex_state = 2},
  [896] = {.lex_state = 149, .external_lex_state = 2},
  [897] = {.lex_state = 149, .external_lex_state = 2},
  [898] = {.lex_state = 149, .external_lex_state = 2},
  [899] = {.lex_state = 149, .external_lex_state = 2},
  [900] = {.lex_state = 149, .external_lex_state = 2},
  [901] = {.lex_state = 149, .external_lex_state = 2},
  [902] = {.lex_state = 149, .external_lex_state = 2},
  [903] = {.lex_state = 149, .external_lex_state = 2},
  [904] = {.lex_state = 149, .external_lex_state = 2},
  [905] = {.lex_state = 149, .external_lex_state = 2},
  [906] = {.lex_state = 12, .external_lex_state = 2},
  [907] = {.lex_state = 12, .external_lex_state = 2},
  [908] = {.lex_state = 12, .external_lex_state = 2},
  [909] = {.lex_state = 12, .external_lex_state = 2},
  [910] = {.lex_state = 12, .external_lex_state = 2},
  [911] = {.lex_state = 12, .external_lex_state = 2},
  [912] = {.lex_state = 12, .external_lex_state = 2},
  [913] = {.lex_state = 12, .external_lex_state = 2},
  [914] = {.lex_state = 12, .external_lex_state = 2},
  [915] = {.lex_state = 12, .external_lex_state = 2},
  [916] = {.lex_state = 12, .external_lex_state = 2},
  [917] = {.lex_state = 149, .external_lex_state = 2},
  [918] = {.lex_state = 149, .external_lex_state = 2},
  [919] = {.lex_state = 149, .external_lex_state = 2},
  [920] = {.lex_state = 149, .external_lex_state = 2},
  [921] = {.lex_state = 149, .external_lex_state = 2},
  [922] = {.lex_state = 149, .external_lex_state = 2},
  [923] = {.lex_state = 149, .external_lex_state = 2},
  [924] = {.lex_state = 149, .external_lex_state = 2},
  [925] = {.lex_state = 149, .external_lex_state = 2},
  [926] = {.lex_state = 149, .external_lex_state = 2},
  [927] = {.lex_state = 149, .external_lex_state = 2},
  [928] = {.lex_state = 149, .external_lex_state = 2},
  [929] = {.lex_state = 149, .external_lex_state = 2},
  [930] = {.lex_state = 149, .external_lex_state = 2},
  [931] = {.lex_state = 12, .external_lex_state = 2},
  [932] = {.lex_state = 12, .external_lex_state = 2},
  [933] = {.lex_state = 12, .external_lex_state = 2},
  [934] = {.lex_state = 12, .external_lex_state = 2},
  [935] = {.lex_state = 12, .external_lex_state = 2},
  [936] = {.lex_state = 12, .external_lex_state = 2},
  [937] = {.lex_state = 12, .external_lex_state = 2},
  [938] = {.lex_state = 12, .external_lex_state = 2},
  [939] = {.lex_state = 12, .external_lex_state = 2},
  [940] = {.lex_state = 12, .external_lex_state = 2},
  [941] = {.lex_state = 12, .external_lex_state = 2},
  [942] = {.lex_state = 12, .external_lex_state = 2},
  [943] = {.lex_state = 12, .external_lex_state = 2},
  [944] = {.lex_state = 12, .external_lex_state = 2},
  [945] = {.lex_state = 12, .external_lex_state = 2},
  [946] = {.lex_state = 12, .external_lex_state = 2},
  [947] = {.lex_state = 12, .external_lex_state = 2},
  [948] = {.lex_state = 14, .external_lex_state = 2},
  [949] = {.lex_state = 14, .external_lex_state = 2},
  [950] = {.lex_state = 14, .external_lex_state = 2},
  [951] = {.lex_state = 12, .external_lex_state = 2},
  [952] = {.lex_state = 12, .external_lex_state = 2},
  [953] = {.lex_state = 16, .external_lex_state = 2},
  [954] = {.lex_state = 12, .external_lex_state = 2},
  [955] = {.lex_state = 12, .external_lex_state = 2},
  [956] = {.lex_state = 12, .external_lex_state = 2},
  [957] = {.lex_state = 12, .external_lex_state = 2},
  [958] = {.lex_state = 12, .external_lex_state = 2},
  [959] = {.lex_state = 12, .external_lex_state = 2},
  [960] = {.lex_state = 12, .external_lex_state = 2},
  [961] = {.lex_state = 12, .external_lex_state = 2},
  [962] = {.lex_state = 12, .external_lex_state = 2},
  [963] = {.lex_state = 12, .external_lex_state = 2},
  [964] = {.lex_state = 12, .external_lex_state = 2},
  [965] = {.lex_state = 12, .external_lex_state = 2},
  [966] = {.lex_state = 12, .external_lex_state = 2},
  [967] = {.lex_state = 12, .external_lex_state = 2},
  [968] = {.lex_state = 12, .external_lex_state = 2},
  [969] = {.lex_state = 12, .external_lex_state = 2},
  [970] = {.lex_state = 12, .external_lex_state = 2},
  [971] = {.lex_state = 12, .external_lex_state = 2},
  [972] = {.lex_state = 12, .external_lex_state = 2},
  [973] = {.lex_state = 12, .external_lex_state = 2},
  [974] = {.lex_state = 12, .external_lex_state = 2},
  [975] = {.lex_state = 12, .external_lex_state = 2},
  [976] = {.lex_state = 12, .external_lex_state = 2},
  [977] = {.lex_state = 12, .external_lex_state = 2},
  [978] = {.lex_state = 12, .external_lex_state = 2},
  [979] = {.lex_state = 12, .external_lex_state = 2},
  [980] = {.lex_state = 12, .external_lex_state = 2},
  [981] = {.lex_state = 12, .external_lex_state = 2},
  [982] = {.lex_state = 12, .external_lex_state = 2},
  [983] = {.lex_state = 12, .external_lex_state = 2},
  [984] = {.lex_state = 12, .external_lex_state = 2},
  [985] = {.lex_state = 12, .external_lex_state = 2},
  [986] = {.lex_state = 12, .external_lex_state = 2},
  [987] = {.lex_state = 12, .external_lex_state = 2},
  [988] = {.lex_state = 12, .external_lex_state = 2},
  [989] = {.lex_state = 12, .external_lex_state = 2},
  [990] = {.lex_state = 12, .external_lex_state = 2},
  [991] = {.lex_state = 12, .external_lex_state = 2},
  [992] = {.lex_state = 12, .external_lex_state = 2},
  [993] = {.lex_state = 12, .external_lex_state = 2},
  [994] = {.lex_state = 12, .external_lex_state = 2},
  [995] = {.lex_state = 12, .external_lex_state = 2},
  [996] = {.lex_state = 12, .external_lex_state = 2},
  [997] = {.lex_state = 12, .external_lex_state = 2},
  [998] = {.lex_state = 12, .external_lex_state = 2},
  [999] = {.lex_state = 12, .external_lex_state = 2},
  [1000] = {.lex_state = 12, .external_lex_state = 2},
  [1001] = {.lex_state = 12, .external_lex_state = 2},
  [1002] = {.lex_state = 12, .external_lex_state = 2},
  [1003] = {.lex_state = 12, .external_lex_state = 2},
  [1004] = {.lex_state = 12, .external_lex_state = 2},
  [1005] = {.lex_state = 12, .external_lex_state = 2},
  [1006] = {.lex_state = 12, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 12, .external_lex_state = 2},
  [1009] = {.lex_state = 12, .external_lex_state = 2},
  [1010] = {.lex_state = 12, .external_lex_state = 2},
  [1011] = {.lex_state = 12, .external_lex_state = 2},
  [1012] = {.lex_state = 12, .external_lex_state = 2},
  [1013] = {.lex_state = 12, .external_lex_state = 2},
  [1014] = {.lex_state = 12, .external_lex_state = 2},
  [1015] = {.lex_state = 12, .external_lex_state = 2},
  [1016] = {.lex_state = 12, .external_lex_state = 2},
  [1017] = {.lex_state = 12, .external_lex_state = 2},
  [1018] = {.lex_state = 12, .external_lex_state = 2},
  [1019] = {.lex_state = 12, .external_lex_state = 2},
  [1020] = {.lex_state = 12, .external_lex_state = 2},
  [1021] = {.lex_state = 12, .external_lex_state = 2},
  [1022] = {.lex_state = 12, .external_lex_state = 2},
  [1023] = {.lex_state = 12, .external_lex_state = 2},
  [1024] = {.lex_state = 12, .external_lex_state = 2},
  [1025] = {.lex_state = 12, .external_lex_state = 2},
  [1026] = {.lex_state = 12, .external_lex_state = 2},
  [1027] = {.lex_state = 12, .external_lex_state = 2},
  [1028] = {.lex_state = 12, .external_lex_state = 2},
  [1029] = {.lex_state = 12, .external_lex_state = 2},
  [1030] = {.lex_state = 12, .external_lex_state = 2},
  [1031] = {.lex_state = 12, .external_lex_state = 2},
  [1032] = {.lex_state = 12, .external_lex_state = 2},
  [1033] = {.lex_state = 12, .external_lex_state = 2},
  [1034] = {.lex_state = 12, .external_lex_state = 2},
  [1035] = {.lex_state = 12, .external_lex_state = 2},
  [1036] = {.lex_state = 12, .external_lex_state = 2},
  [1037] = {.lex_state = 12, .external_lex_state = 2},
  [1038] = {.lex_state = 12, .external_lex_state = 2},
  [1039] = {.lex_state = 12, .external_lex_state = 2},
  [1040] = {.lex_state = 12, .external_lex_state = 2},
  [1041] = {.lex_state = 12, .external_lex_state = 2},
  [1042] = {.lex_state = 12, .external_lex_state = 2},
  [1043] = {.lex_state = 12, .external_lex_state = 2},
  [1044] = {.lex_state = 12, .external_lex_state = 2},
  [1045] = {.lex_state = 12, .external_lex_state = 2},
  [1046] = {.lex_state = 12, .external_lex_state = 2},
  [1047] = {.lex_state = 12, .external_lex_state = 2},
  [1048] = {.lex_state = 12, .external_lex_state = 2},
  [1049] = {.lex_state = 12, .external_lex_state = 2},
  [1050] = {.lex_state = 12, .external_lex_state = 2},
  [1051] = {.lex_state = 12, .external_lex_state = 2},
  [1052] = {.lex_state = 12, .external_lex_state = 2},
  [1053] = {.lex_state = 12, .external_lex_state = 2},
  [1054] = {.lex_state = 12, .external_lex_state = 2},
  [1055] = {.lex_state = 12, .external_lex_state = 2},
  [1056] = {.lex_state = 12, .external_lex_state = 2},
  [1057] = {.lex_state = 12, .external_lex_state = 2},
  [1058] = {.lex_state = 12, .external_lex_state = 2},
  [1059] = {.lex_state = 12, .external_lex_state = 2},
  [1060] = {.lex_state = 12, .external_lex_state = 2},
  [1061] = {.lex_state = 12, .external_lex_state = 2},
  [1062] = {.lex_state = 12, .external_lex_state = 2},
  [1063] = {.lex_state = 12, .external_lex_state = 2},
  [1064] = {.lex_state = 12, .external_lex_state = 2},
  [1065] = {.lex_state = 12, .external_lex_state = 2},
  [1066] = {.lex_state = 12, .external_lex_state = 2},
  [1067] = {.lex_state = 12, .external_lex_state = 2},
  [1068] = {.lex_state = 12, .external_lex_state = 2},
  [1069] = {.lex_state = 12, .external_lex_state = 2},
  [1070] = {.lex_state = 12, .external_lex_state = 2},
  [1071] = {.lex_state = 12, .external_lex_state = 2},
  [1072] = {.lex_state = 12, .external_lex_state = 2},
  [1073] = {.lex_state = 12, .external_lex_state = 2},
  [1074] = {.lex_state = 12, .external_lex_state = 2},
  [1075] = {.lex_state = 12, .external_lex_state = 2},
  [1076] = {.lex_state = 12, .external_lex_state = 2},
  [1077] = {.lex_state = 12, .external_lex_state = 2},
  [1078] = {.lex_state = 12, .external_lex_state = 2},
  [1079] = {.lex_state = 12, .external_lex_state = 2},
  [1080] = {.lex_state = 12, .external_lex_state = 2},
  [1081] = {.lex_state = 12, .external_lex_state = 2},
  [1082] = {.lex_state = 12, .external_lex_state = 2},
  [1083] = {.lex_state = 12, .external_lex_state = 2},
  [1084] = {.lex_state = 12, .external_lex_state = 2},
  [1085] = {.lex_state = 12, .external_lex_state = 2},
  [1086] = {.lex_state = 12, .external_lex_state = 2},
  [1087] = {.lex_state = 12, .external_lex_state = 2},
  [1088] = {.lex_state = 12, .external_lex_state = 2},
  [1089] = {.lex_state = 12, .external_lex_state = 2},
  [1090] = {.lex_state = 12, .external_lex_state = 2},
  [1091] = {.lex_state = 12, .external_lex_state = 2},
  [1092] = {.lex_state = 12, .external_lex_state = 2},
  [1093] = {.lex_state = 12, .external_lex_state = 2},
  [1094] = {.lex_state = 12, .external_lex_state = 2},
  [1095] = {.lex_state = 12, .external_lex_state = 2},
  [1096] = {.lex_state = 12, .external_lex_state = 2},
  [1097] = {.lex_state = 12, .external_lex_state = 2},
  [1098] = {.lex_state = 12, .external_lex_state = 2},
  [1099] = {.lex_state = 12, .external_lex_state = 2},
  [1100] = {.lex_state = 12, .external_lex_state = 2},
  [1101] = {.lex_state = 12, .external_lex_state = 2},
  [1102] = {.lex_state = 12, .external_lex_state = 2},
  [1103] = {.lex_state = 12, .external_lex_state = 2},
  [1104] = {.lex_state = 12, .external_lex_state = 2},
  [1105] = {.lex_state = 12, .external_lex_state = 2},
  [1106] = {.lex_state = 12, .external_lex_state = 2},
  [1107] = {.lex_state = 12, .external_lex_state = 2},
  [1108] = {.lex_state = 12, .external_lex_state = 2},
  [1109] = {.lex_state = 12, .external_lex_state = 2},
  [1110] = {.lex_state = 12, .external_lex_state = 2},
  [1111] = {.lex_state = 12, .external_lex_state = 2},
  [1112] = {.lex_state = 12, .external_lex_state = 2},
  [1113] = {.lex_state = 12, .external_lex_state = 2},
  [1114] = {.lex_state = 12, .external_lex_state = 2},
  [1115] = {.lex_state = 12, .external_lex_state = 2},
  [1116] = {.lex_state = 12, .external_lex_state = 2},
  [1117] = {.lex_state = 12, .external_lex_state = 2},
  [1118] = {.lex_state = 12, .external_lex_state = 2},
  [1119] = {.lex_state = 12, .external_lex_state = 2},
  [1120] = {.lex_state = 12, .external_lex_state = 2},
  [1121] = {.lex_state = 12, .external_lex_state = 2},
  [1122] = {.lex_state = 12, .external_lex_state = 2},
  [1123] = {.lex_state = 12, .external_lex_state = 2},
  [1124] = {.lex_state = 12, .external_lex_state = 2},
  [1125] = {.lex_state = 13, .external_lex_state = 2},
  [1126] = {.lex_state = 13, .external_lex_state = 2},
  [1127] = {.lex_state = 13, .external_lex_state = 2},
  [1128] = {.lex_state = 13, .external_lex_state = 2},
  [1129] = {.lex_state = 13, .external_lex_state = 2},
  [1130] = {.lex_state = 13, .external_lex_state = 2},
  [1131] = {.lex_state = 13, .external_lex_state = 2},
  [1132] = {.lex_state = 13, .external_lex_state = 2},
  [1133] = {.lex_state = 13, .external_lex_state = 2},
  [1134] = {.lex_state = 13, .external_lex_state = 2},
  [1135] = {.lex_state = 13, .external_lex_state = 2},
  [1136] = {.lex_state = 13, .external_lex_state = 2},
  [1137] = {.lex_state = 5, .external_lex_state = 4},
  [1138] = {.lex_state = 5, .external_lex_state = 4},
  [1139] = {.lex_state = 5, .external_lex_state = 4},
  [1140] = {.lex_state = 6, .external_lex_state = 4},
  [1141] = {.lex_state = 5, .external_lex_state = 4},
  [1142] = {.lex_state = 5, .external_lex_state = 4},
  [1143] = {.lex_state = 5, .external_lex_state = 4},
  [1144] = {.lex_state = 6, .external_lex_state = 4},
  [1145] = {.lex_state = 6, .external_lex_state = 4},
  [1146] = {.lex_state = 5, .external_lex_state = 3},
  [1147] = {.lex_state = 5, .external_lex_state = 3},
  [1148] = {.lex_state = 5, .external_lex_state = 3},
  [1149] = {.lex_state = 5, .external_lex_state = 3},
  [1150] = {.lex_state = 5, .external_lex_state = 3},
  [1151] = {.lex_state = 13, .external_lex_state = 2},
  [1152] = {.lex_state = 13, .external_lex_state = 2},
  [1153] = {.lex_state = 5, .external_lex_state = 4},
  [1154] = {.lex_state = 5, .external_lex_state = 4},
  [1155] = {.lex_state = 5, .external_lex_state = 4},
  [1156] = {.lex_state = 6, .external_lex_state = 4},
  [1157] = {.lex_state = 5, .external_lex_state = 4},
  [1158] = {.lex_state = 5, .external_lex_state = 4},
  [1159] = {.lex_state = 6, .external_lex_state = 4},
  [1160] = {.lex_state = 5, .external_lex_state = 4},
  [1161] = {.lex_state = 5, .external_lex_state = 4},
  [1162] = {.lex_state = 5, .external_lex_state = 4},
  [1163] = {.lex_state = 5, .external_lex_state = 4},
  [1164] = {.lex_state = 5, .external_lex_state = 4},
  [1165] = {.lex_state = 5, .external_lex_state = 3},
  [1166] = {.lex_state = 6, .external_lex_state = 4},
  [1167] = {.lex_state = 6, .external_lex_state = 3},
  [1168] = {.lex_state = 5, .external_lex_state = 4},
  [1169] = {.lex_state = 6, .external_lex_state = 3},
  [1170] = {.lex_state = 6, .external_lex_state = 3},
  [1171] = {.lex_state = 6, .external_lex_state = 3},
  [1172] = {.lex_state = 6, .external_lex_state = 3},
  [1173] = {.lex_state = 6, .external_lex_state = 3},
  [1174] = {.lex_state = 6, .external_lex_state = 3},
  [1175] = {.lex_state = 6, .external_lex_state = 3},
  [1176] = {.lex_state = 6, .external_lex_state = 3},
  [1177] = {.lex_state = 6, .external_lex_state = 3},
  [1178] = {.lex_state = 5, .external_lex_state = 3},
  [1179] = {.lex_state = 5, .external_lex_state = 4},
  [1180] = {.lex_state = 6, .external_lex_state = 3},
  [1181] = {.lex_state = 5, .external_lex_state = 3},
  [1182] = {.lex_state = 5, .external_lex_state = 3},
  [1183] = {.lex_state = 6, .external_lex_state = 3},
  [1184] = {.lex_state = 5, .external_lex_state = 4},
  [1185] = {.lex_state = 5, .external_lex_state = 4},
  [1186] = {.lex_state = 5, .external_lex_state = 3},
  [1187] = {.lex_state = 5, .external_lex_state = 3},
  [1188] = {.lex_state = 5, .external_lex_state = 3},
  [1189] = {.lex_state = 5, .external_lex_state = 4},
  [1190] = {.lex_state = 5, .external_lex_state = 4},
  [1191] = {.lex_state = 5, .external_lex_state = 4},
  [1192] = {.lex_state = 5, .external_lex_state = 4},
  [1193] = {.lex_state = 5, .external_lex_state = 3},
  [1194] = {.lex_state = 6, .external_lex_state = 4},
  [1195] = {.lex_state = 5, .external_lex_state = 4},
  [1196] = {.lex_state = 6, .external_lex_state = 3},
  [1197] = {.lex_state = 5, .external_lex_state = 3},
  [1198] = {.lex_state = 5, .external_lex_state = 4},
  [1199] = {.lex_state = 5, .external_lex_state = 4},
  [1200] = {.lex_state = 6, .external_lex_state = 3},
  [1201] = {.lex_state = 6, .external_lex_state = 3},
  [1202] = {.lex_state = 5, .external_lex_state = 4},
  [1203] = {.lex_state = 5, .external_lex_state = 4},
  [1204] = {.lex_state = 5, .external_lex_state = 4},
  [1205] = {.lex_state = 5, .external_lex_state = 3},
  [1206] = {.lex_state = 5, .external_lex_state = 4},
  [1207] = {.lex_state = 6, .external_lex_state = 4},
  [1208] = {.lex_state = 5, .external_lex_state = 4},
  [1209] = {.lex_state = 5, .external_lex_state = 4},
  [1210] = {.lex_state = 5, .external_lex_state = 3},
  [1211] = {.lex_state = 5, .external_lex_state = 3},
  [1212] = {.lex_state = 5, .external_lex_state = 4},
  [1213] = {.lex_state = 149, .external_lex_state = 2},
  [1214] = {.lex_state = 5, .external_lex_state = 4},
  [1215] = {.lex_state = 5, .external_lex_state = 3},
  [1216] = {.lex_state = 5, .external_lex_state = 3},
  [1217] = {.lex_state = 5, .external_lex_state = 3},
  [1218] = {.lex_state = 5, .external_lex_state = 3},
  [1219] = {.lex_state = 5, .external_lex_state = 3},
  [1220] = {.lex_state = 5, .external_lex_state = 3},
  [1221] = {.lex_state = 5, .external_lex_state = 3},
  [1222] = {.lex_state = 5, .external_lex_state = 3},
  [1223] = {.lex_state = 5, .external_lex_state = 3},
  [1224] = {.lex_state = 5, .external_lex_state = 3},
  [1225] = {.lex_state = 5, .external_lex_state = 3},
  [1226] = {.lex_state = 5, .external_lex_state = 3},
  [1227] = {.lex_state = 5, .external_lex_state = 3},
  [1228] = {.lex_state = 5, .external_lex_state = 3},
  [1229] = {.lex_state = 5, .external_lex_state = 3},
  [1230] = {.lex_state = 5, .external_lex_state = 3},
  [1231] = {.lex_state = 149, .external_lex_state = 2},
  [1232] = {.lex_state = 149, .external_lex_state = 2},
  [1233] = {.lex_state = 5, .external_lex_state = 3},
  [1234] = {.lex_state = 5, .external_lex_state = 3},
  [1235] = {.lex_state = 5, .external_lex_state = 3},
  [1236] = {.lex_state = 5, .external_lex_state = 4},
  [1237] = {.lex_state = 5, .external_lex_state = 4},
  [1238] = {.lex_state = 149, .external_lex_state = 2},
  [1239] = {.lex_state = 5, .external_lex_state = 4},
  [1240] = {.lex_state = 5, .external_lex_state = 4},
  [1241] = {.lex_state = 5, .external_lex_state = 3},
  [1242] = {.lex_state = 6, .external_lex_state = 3},
  [1243] = {.lex_state = 5, .external_lex_state = 3},
  [1244] = {.lex_state = 5, .external_lex_state = 3},
  [1245] = {.lex_state = 5, .external_lex_state = 3},
  [1246] = {.lex_state = 5, .external_lex_state = 3},
  [1247] = {.lex_state = 5, .external_lex_state = 3},
  [1248] = {.lex_state = 149, .external_lex_state = 2},
  [1249] = {.lex_state = 5, .external_lex_state = 3},
  [1250] = {.lex_state = 6, .external_lex_state = 3},
  [1251] = {.lex_state = 5, .external_lex_state = 3},
  [1252] = {.lex_state = 5, .external_lex_state = 3},
  [1253] = {.lex_state = 5, .external_lex_state = 3},
  [1254] = {.lex_state = 5, .external_lex_state = 3},
  [1255] = {.lex_state = 5, .external_lex_state = 3},
  [1256] = {.lex_state = 149, .external_lex_state = 2},
  [1257] = {.lex_state = 5, .external_lex_state = 3},
  [1258] = {.lex_state = 5, .external_lex_state = 4},
  [1259] = {.lex_state = 5, .external_lex_state = 4},
  [1260] = {.lex_state = 5, .external_lex_state = 3},
  [1261] = {.lex_state = 5, .external_lex_state = 3},
  [1262] = {.lex_state = 5, .external_lex_state = 3},
  [1263] = {.lex_state = 5, .external_lex_state = 3},
  [1264] = {.lex_state = 5, .external_lex_state = 4},
  [1265] = {.lex_state = 149, .external_lex_state = 2},
  [1266] = {.lex_state = 5, .external_lex_state = 3},
  [1267] = {.lex_state = 149, .external_lex_state = 2},
  [1268] = {.lex_state = 5, .external_lex_state = 4},
  [1269] = {.lex_state = 5, .external_lex_state = 4},
  [1270] = {.lex_state = 5, .external_lex_state = 3},
  [1271] = {.lex_state = 5, .external_lex_state = 3},
  [1272] = {.lex_state = 5, .external_lex_state = 3},
  [1273] = {.lex_state = 5, .external_lex_state = 4},
  [1274] = {.lex_state = 5, .external_lex_state = 3},
  [1275] = {.lex_state = 5, .external_lex_state = 3},
  [1276] = {.lex_state = 5, .external_lex_state = 4},
  [1277] = {.lex_state = 5, .external_lex_state = 4},
  [1278] = {.lex_state = 5, .external_lex_state = 4},
  [1279] = {.lex_state = 5, .external_lex_state = 3},
  [1280] = {.lex_state = 149, .external_lex_state = 2},
  [1281] = {.lex_state = 6, .external_lex_state = 3},
  [1282] = {.lex_state = 5, .external_lex_state = 3},
  [1283] = {.lex_state = 5, .external_lex_state = 4},
  [1284] = {.lex_state = 5, .external_lex_state = 3},
  [1285] = {.lex_state = 5, .external_lex_state = 4},
  [1286] = {.lex_state = 5, .external_lex_state = 3},
  [1287] = {.lex_state = 5, .external_lex_state = 4},
  [1288] = {.lex_state = 5, .external_lex_state = 4},
  [1289] = {.lex_state = 5, .external_lex_state = 3},
  [1290] = {.lex_state = 5, .external_lex_state = 4},
  [1291] = {.lex_state = 5, .external_lex_state = 3},
  [1292] = {.lex_state = 5, .external_lex_state = 3},
  [1293] = {.lex_state = 5, .external_lex_state = 4},
  [1294] = {.lex_state = 5, .external_lex_state = 4},
  [1295] = {.lex_state = 5, .external_lex_state = 3},
  [1296] = {.lex_state = 5, .external_lex_state = 4},
  [1297] = {.lex_state = 5, .external_lex_state = 4},
  [1298] = {.lex_state = 5, .external_lex_state = 4},
  [1299] = {.lex_state = 5, .external_lex_state = 4},
  [1300] = {.lex_state = 5, .external_lex_state = 3},
  [1301] = {.lex_state = 5, .external_lex_state = 4},
  [1302] = {.lex_state = 5, .external_lex_state = 4},
  [1303] = {.lex_state = 5, .external_lex_state = 4},
  [1304] = {.lex_state = 5, .external_lex_state = 4},
  [1305] = {.lex_state = 5, .external_lex_state = 4},
  [1306] = {.lex_state = 5, .external_lex_state = 4},
  [1307] = {.lex_state = 5, .external_lex_state = 3},
  [1308] = {.lex_state = 5, .external_lex_state = 4},
  [1309] = {.lex_state = 5, .external_lex_state = 4},
  [1310] = {.lex_state = 5, .external_lex_state = 4},
  [1311] = {.lex_state = 5, .external_lex_state = 4},
  [1312] = {.lex_state = 5, .external_lex_state = 4},
  [1313] = {.lex_state = 5, .external_lex_state = 3},
  [1314] = {.lex_state = 5, .external_lex_state = 4},
  [1315] = {.lex_state = 5, .external_lex_state = 4},
  [1316] = {.lex_state = 5, .external_lex_state = 3},
  [1317] = {.lex_state = 5, .external_lex_state = 4},
  [1318] = {.lex_state = 5, .external_lex_state = 3},
  [1319] = {.lex_state = 5, .external_lex_state = 4},
  [1320] = {.lex_state = 6, .external_lex_state = 3},
  [1321] = {.lex_state = 5, .external_lex_state = 3},
  [1322] = {.lex_state = 5, .external_lex_state = 3},
  [1323] = {.lex_state = 5, .external_lex_state = 3},
  [1324] = {.lex_state = 5, .external_lex_state = 4},
  [1325] = {.lex_state = 5, .external_lex_state = 4},
  [1326] = {.lex_state = 5, .external_lex_state = 4},
  [1327] = {.lex_state = 5, .external_lex_state = 3},
  [1328] = {.lex_state = 5, .external_lex_state = 3},
  [1329] = {.lex_state = 6, .external_lex_state = 3},
  [1330] = {.lex_state = 5, .external_lex_state = 4},
  [1331] = {.lex_state = 5, .external_lex_state = 3},
  [1332] = {.lex_state = 5, .external_lex_state = 3},
  [1333] = {.lex_state = 6, .external_lex_state = 3},
  [1334] = {.lex_state = 5, .external_lex_state = 3},
  [1335] = {.lex_state = 5, .external_lex_state = 3},
  [1336] = {.lex_state = 5, .external_lex_state = 4},
  [1337] = {.lex_state = 5, .external_lex_state = 3},
  [1338] = {.lex_state = 6, .external_lex_state = 3},
  [1339] = {.lex_state = 5, .external_lex_state = 3},
  [1340] = {.lex_state = 5, .external_lex_state = 3},
  [1341] = {.lex_state = 6, .external_lex_state = 3},
  [1342] = {.lex_state = 5, .external_lex_state = 4},
  [1343] = {.lex_state = 5, .external_lex_state = 3},
  [1344] = {.lex_state = 5, .external_lex_state = 3},
  [1345] = {.lex_state = 5, .external_lex_state = 4},
  [1346] = {.lex_state = 12, .external_lex_state = 2},
  [1347] = {.lex_state = 5, .external_lex_state = 3},
  [1348] = {.lex_state = 5, .external_lex_state = 3},
  [1349] = {.lex_state = 5, .external_lex_state = 3},
  [1350] = {.lex_state = 5, .external_lex_state = 4},
  [1351] = {.lex_state = 12, .external_lex_state = 2},
  [1352] = {.lex_state = 12, .external_lex_state = 2},
  [1353] = {.lex_state = 5, .external_lex_state = 4},
  [1354] = {.lex_state = 5, .external_lex_state = 3},
  [1355] = {.lex_state = 12, .external_lex_state = 2},
  [1356] = {.lex_state = 5, .external_lex_state = 3},
  [1357] = {.lex_state = 5, .external_lex_state = 3},
  [1358] = {.lex_state = 5, .external_lex_state = 4},
  [1359] = {.lex_state = 12, .external_lex_state = 2},
  [1360] = {.lex_state = 5, .external_lex_state = 3},
  [1361] = {.lex_state = 5, .external_lex_state = 3},
  [1362] = {.lex_state = 5, .external_lex_state = 3},
  [1363] = {.lex_state = 5, .external_lex_state = 3},
  [1364] = {.lex_state = 5, .external_lex_state = 3},
  [1365] = {.lex_state = 6, .external_lex_state = 3},
  [1366] = {.lex_state = 5, .external_lex_state = 3},
  [1367] = {.lex_state = 12, .external_lex_state = 2},
  [1368] = {.lex_state = 5, .external_lex_state = 3},
  [1369] = {.lex_state = 5, .external_lex_state = 3},
  [1370] = {.lex_state = 5, .external_lex_state = 3},
  [1371] = {.lex_state = 5, .external_lex_state = 3},
  [1372] = {.lex_state = 5, .external_lex_state = 3},
  [1373] = {.lex_state = 5, .external_lex_state = 4},
  [1374] = {.lex_state = 5, .external_lex_state = 3},
  [1375] = {.lex_state = 5, .external_lex_state = 3},
  [1376] = {.lex_state = 5, .external_lex_state = 3},
  [1377] = {.lex_state = 5, .external_lex_state = 3},
  [1378] = {.lex_state = 5, .external_lex_state = 3},
  [1379] = {.lex_state = 5, .external_lex_state = 3},
  [1380] = {.lex_state = 5, .external_lex_state = 3},
  [1381] = {.lex_state = 5, .external_lex_state = 3},
  [1382] = {.lex_state = 5, .external_lex_state = 3},
  [1383] = {.lex_state = 5, .external_lex_state = 3},
  [1384] = {.lex_state = 5, .external_lex_state = 3},
  [1385] = {.lex_state = 12, .external_lex_state = 2},
  [1386] = {.lex_state = 12, .external_lex_state = 2},
  [1387] = {.lex_state = 5, .external_lex_state = 3},
  [1388] = {.lex_state = 12, .external_lex_state = 2},
  [1389] = {.lex_state = 12, .external_lex_state = 2},
  [1390] = {.lex_state = 5, .external_lex_state = 3},
  [1391] = {.lex_state = 12, .external_lex_state = 2},
  [1392] = {.lex_state = 12, .external_lex_state = 2},
  [1393] = {.lex_state = 5, .external_lex_state = 3},
  [1394] = {.lex_state = 5, .external_lex_state = 3},
  [1395] = {.lex_state = 12, .external_lex_state = 2},
  [1396] = {.lex_state = 12, .external_lex_state = 2},
  [1397] = {.lex_state = 12, .external_lex_state = 2},
  [1398] = {.lex_state = 5, .external_lex_state = 3},
  [1399] = {.lex_state = 5, .external_lex_state = 3},
  [1400] = {.lex_state = 5, .external_lex_state = 3},
  [1401] = {.lex_state = 5, .external_lex_state = 3},
  [1402] = {.lex_state = 12, .external_lex_state = 2},
  [1403] = {.lex_state = 12, .external_lex_state = 2},
  [1404] = {.lex_state = 5, .external_lex_state = 3},
  [1405] = {.lex_state = 12, .external_lex_state = 2},
  [1406] = {.lex_state = 5, .external_lex_state = 3},
  [1407] = {.lex_state = 5, .external_lex_state = 3},
  [1408] = {.lex_state = 5, .external_lex_state = 3},
  [1409] = {.lex_state = 5, .external_lex_state = 3},
  [1410] = {.lex_state = 5, .external_lex_state = 3},
  [1411] = {.lex_state = 5, .external_lex_state = 3},
  [1412] = {.lex_state = 12, .external_lex_state = 2},
  [1413] = {.lex_state = 5, .external_lex_state = 3},
  [1414] = {.lex_state = 5, .external_lex_state = 3},
  [1415] = {.lex_state = 5, .external_lex_state = 3},
  [1416] = {.lex_state = 5, .external_lex_state = 3},
  [1417] = {.lex_state = 12, .external_lex_state = 2},
  [1418] = {.lex_state = 12, .external_lex_state = 2},
  [1419] = {.lex_state = 5, .external_lex_state = 3},
  [1420] = {.lex_state = 12, .external_lex_state = 2},
  [1421] = {.lex_state = 12, .external_lex_state = 2},
  [1422] = {.lex_state = 12, .external_lex_state = 2},
  [1423] = {.lex_state = 5, .external_lex_state = 3},
  [1424] = {.lex_state = 5, .external_lex_state = 3},
  [1425] = {.lex_state = 5, .external_lex_state = 3},
  [1426] = {.lex_state = 5, .external_lex_state = 3},
  [1427] = {.lex_state = 5, .external_lex_state = 3},
  [1428] = {.lex_state = 5, .external_lex_state = 3},
  [1429] = {.lex_state = 5, .external_lex_state = 3},
  [1430] = {.lex_state = 5, .external_lex_state = 3},
  [1431] = {.lex_state = 5, .external_lex_state = 3},
  [1432] = {.lex_state = 5, .external_lex_state = 3},
  [1433] = {.lex_state = 12, .external_lex_state = 2},
  [1434] = {.lex_state = 12, .external_lex_state = 2},
  [1435] = {.lex_state = 12, .external_lex_state = 2},
  [1436] = {.lex_state = 12, .external_lex_state = 2},
  [1437] = {.lex_state = 12, .external_lex_state = 2},
  [1438] = {.lex_state = 12, .external_lex_state = 2},
  [1439] = {.lex_state = 12, .external_lex_state = 2},
  [1440] = {.lex_state = 12, .external_lex_state = 2},
  [1441] = {.lex_state = 12, .external_lex_state = 2},
  [1442] = {.lex_state = 13, .external_lex_state = 5},
  [1443] = {.lex_state = 12, .external_lex_state = 2},
  [1444] = {.lex_state = 13, .external_lex_state = 5},
  [1445] = {.lex_state = 12, .external_lex_state = 2},
  [1446] = {.lex_state = 12, .external_lex_state = 2},
  [1447] = {.lex_state = 12, .external_lex_state = 2},
  [1448] = {.lex_state = 13, .external_lex_state = 5},
  [1449] = {.lex_state = 12, .external_lex_state = 2},
  [1450] = {.lex_state = 12, .external_lex_state = 2},
  [1451] = {.lex_state = 12, .external_lex_state = 2},
  [1452] = {.lex_state = 13, .external_lex_state = 5},
  [1453] = {.lex_state = 12, .external_lex_state = 2},
  [1454] = {.lex_state = 13, .external_lex_state = 5},
  [1455] = {.lex_state = 12, .external_lex_state = 2},
  [1456] = {.lex_state = 149, .external_lex_state = 2},
  [1457] = {.lex_state = 149, .external_lex_state = 2},
  [1458] = {.lex_state = 149, .external_lex_state = 2},
  [1459] = {.lex_state = 149, .external_lex_state = 2},
  [1460] = {.lex_state = 7, .external_lex_state = 3},
  [1461] = {.lex_state = 149, .external_lex_state = 2},
  [1462] = {.lex_state = 149, .external_lex_state = 2},
  [1463] = {.lex_state = 13, .external_lex_state = 5},
  [1464] = {.lex_state = 7, .external_lex_state = 4},
  [1465] = {.lex_state = 13, .external_lex_state = 5},
  [1466] = {.lex_state = 7, .external_lex_state = 3},
  [1467] = {.lex_state = 7, .external_lex_state = 3},
  [1468] = {.lex_state = 7, .external_lex_state = 4},
  [1469] = {.lex_state = 7, .external_lex_state = 3},
  [1470] = {.lex_state = 7, .external_lex_state = 3},
  [1471] = {.lex_state = 7, .external_lex_state = 3},
  [1472] = {.lex_state = 7, .external_lex_state = 3},
  [1473] = {.lex_state = 7, .external_lex_state = 4},
  [1474] = {.lex_state = 7, .external_lex_state = 3},
  [1475] = {.lex_state = 7, .external_lex_state = 3},
  [1476] = {.lex_state = 7, .external_lex_state = 3},
  [1477] = {.lex_state = 7, .external_lex_state = 3},
  [1478] = {.lex_state = 7, .external_lex_state = 3},
  [1479] = {.lex_state = 7, .external_lex_state = 3},
  [1480] = {.lex_state = 7, .external_lex_state = 3},
  [1481] = {.lex_state = 7, .external_lex_state = 3},
  [1482] = {.lex_state = 7, .external_lex_state = 3},
  [1483] = {.lex_state = 149, .external_lex_state = 2},
  [1484] = {.lex_state = 7, .external_lex_state = 3},
  [1485] = {.lex_state = 7, .external_lex_state = 3},
  [1486] = {.lex_state = 7, .external_lex_state = 3},
  [1487] = {.lex_state = 7, .external_lex_state = 3},
  [1488] = {.lex_state = 7, .external_lex_state = 3},
  [1489] = {.lex_state = 7, .external_lex_state = 3},
  [1490] = {.lex_state = 7, .external_lex_state = 3},
  [1491] = {.lex_state = 7, .external_lex_state = 3},
  [1492] = {.lex_state = 7, .external_lex_state = 3},
  [1493] = {.lex_state = 7, .external_lex_state = 3},
  [1494] = {.lex_state = 7, .external_lex_state = 3},
  [1495] = {.lex_state = 7, .external_lex_state = 3},
  [1496] = {.lex_state = 7, .external_lex_state = 3},
  [1497] = {.lex_state = 7, .external_lex_state = 4},
  [1498] = {.lex_state = 7, .external_lex_state = 3},
  [1499] = {.lex_state = 7, .external_lex_state = 3},
  [1500] = {.lex_state = 7, .external_lex_state = 3},
  [1501] = {.lex_state = 7, .external_lex_state = 3},
  [1502] = {.lex_state = 7, .external_lex_state = 3},
  [1503] = {.lex_state = 7, .external_lex_state = 3},
  [1504] = {.lex_state = 7, .external_lex_state = 3},
  [1505] = {.lex_state = 7, .external_lex_state = 3},
  [1506] = {.lex_state = 7, .external_lex_state = 4},
  [1507] = {.lex_state = 7, .external_lex_state = 3},
  [1508] = {.lex_state = 7, .external_lex_state = 3},
  [1509] = {.lex_state = 7, .external_lex_state = 3},
  [1510] = {.lex_state = 7, .external_lex_state = 4},
  [1511] = {.lex_state = 7, .external_lex_state = 3},
  [1512] = {.lex_state = 7, .external_lex_state = 4},
  [1513] = {.lex_state = 7, .external_lex_state = 3},
  [1514] = {.lex_state = 7, .external_lex_state = 3},
  [1515] = {.lex_state = 7, .external_lex_state = 3},
  [1516] = {.lex_state = 7, .external_lex_state = 3},
  [1517] = {.lex_state = 7, .external_lex_state = 3},
  [1518] = {.lex_state = 7, .external_lex_state = 3},
  [1519] = {.lex_state = 7, .external_lex_state = 3},
  [1520] = {.lex_state = 7, .external_lex_state = 3},
  [1521] = {.lex_state = 7, .external_lex_state = 3},
  [1522] = {.lex_state = 7, .external_lex_state = 3},
  [1523] = {.lex_state = 7, .external_lex_state = 3},
  [1524] = {.lex_state = 7, .external_lex_state = 3},
  [1525] = {.lex_state = 7, .external_lex_state = 3},
  [1526] = {.lex_state = 7, .external_lex_state = 3},
  [1527] = {.lex_state = 7, .external_lex_state = 3},
  [1528] = {.lex_state = 7, .external_lex_state = 3},
  [1529] = {.lex_state = 7, .external_lex_state = 3},
  [1530] = {.lex_state = 7, .external_lex_state = 3},
  [1531] = {.lex_state = 7, .external_lex_state = 3},
  [1532] = {.lex_state = 7, .external_lex_state = 3},
  [1533] = {.lex_state = 7, .external_lex_state = 3},
  [1534] = {.lex_state = 7, .external_lex_state = 3},
  [1535] = {.lex_state = 7, .external_lex_state = 3},
  [1536] = {.lex_state = 7, .external_lex_state = 3},
  [1537] = {.lex_state = 7, .external_lex_state = 3},
  [1538] = {.lex_state = 7, .external_lex_state = 3},
  [1539] = {.lex_state = 7, .external_lex_state = 3},
  [1540] = {.lex_state = 7, .external_lex_state = 3},
  [1541] = {.lex_state = 7, .external_lex_state = 3},
  [1542] = {.lex_state = 7, .external_lex_state = 3},
  [1543] = {.lex_state = 7, .external_lex_state = 3},
  [1544] = {.lex_state = 7, .external_lex_state = 3},
  [1545] = {.lex_state = 7, .external_lex_state = 3},
  [1546] = {.lex_state = 7, .external_lex_state = 3},
  [1547] = {.lex_state = 7, .external_lex_state = 3},
  [1548] = {.lex_state = 7, .external_lex_state = 3},
  [1549] = {.lex_state = 7, .external_lex_state = 3},
  [1550] = {.lex_state = 7, .external_lex_state = 3},
  [1551] = {.lex_state = 7, .external_lex_state = 3},
  [1552] = {.lex_state = 7, .external_lex_state = 3},
  [1553] = {.lex_state = 7, .external_lex_state = 3},
  [1554] = {.lex_state = 7, .external_lex_state = 3},
  [1555] = {.lex_state = 7, .external_lex_state = 3},
  [1556] = {.lex_state = 7, .external_lex_state = 3},
  [1557] = {.lex_state = 7, .external_lex_state = 3},
  [1558] = {.lex_state = 7, .external_lex_state = 3},
  [1559] = {.lex_state = 7, .external_lex_state = 3},
  [1560] = {.lex_state = 7, .external_lex_state = 3},
  [1561] = {.lex_state = 7, .external_lex_state = 3},
  [1562] = {.lex_state = 7, .external_lex_state = 3},
  [1563] = {.lex_state = 7, .external_lex_state = 3},
  [1564] = {.lex_state = 7, .external_lex_state = 3},
  [1565] = {.lex_state = 7, .external_lex_state = 3},
  [1566] = {.lex_state = 7, .external_lex_state = 3},
  [1567] = {.lex_state = 7, .external_lex_state = 3},
  [1568] = {.lex_state = 7, .external_lex_state = 3},
  [1569] = {.lex_state = 7, .external_lex_state = 3},
  [1570] = {.lex_state = 7, .external_lex_state = 3},
  [1571] = {.lex_state = 7, .external_lex_state = 3},
  [1572] = {.lex_state = 7, .external_lex_state = 3},
  [1573] = {.lex_state = 7, .external_lex_state = 3},
  [1574] = {.lex_state = 7, .external_lex_state = 3},
  [1575] = {.lex_state = 7, .external_lex_state = 3},
  [1576] = {.lex_state = 7, .external_lex_state = 3},
  [1577] = {.lex_state = 7, .external_lex_state = 3},
  [1578] = {.lex_state = 7, .external_lex_state = 3},
  [1579] = {.lex_state = 7, .external_lex_state = 3},
  [1580] = {.lex_state = 7, .external_lex_state = 3},
  [1581] = {.lex_state = 7, .external_lex_state = 3},
  [1582] = {.lex_state = 7, .external_lex_state = 3},
  [1583] = {.lex_state = 7, .external_lex_state = 3},
  [1584] = {.lex_state = 7, .external_lex_state = 3},
  [1585] = {.lex_state = 7, .external_lex_state = 3},
  [1586] = {.lex_state = 7, .external_lex_state = 3},
  [1587] = {.lex_state = 7, .external_lex_state = 3},
  [1588] = {.lex_state = 7, .external_lex_state = 3},
  [1589] = {.lex_state = 7, .external_lex_state = 3},
  [1590] = {.lex_state = 7, .external_lex_state = 3},
  [1591] = {.lex_state = 7, .external_lex_state = 3},
  [1592] = {.lex_state = 7, .external_lex_state = 3},
  [1593] = {.lex_state = 7, .external_lex_state = 3},
  [1594] = {.lex_state = 7, .external_lex_state = 3},
  [1595] = {.lex_state = 7, .external_lex_state = 3},
  [1596] = {.lex_state = 7, .external_lex_state = 3},
  [1597] = {.lex_state = 7, .external_lex_state = 3},
  [1598] = {.lex_state = 7, .external_lex_state = 3},
  [1599] = {.lex_state = 7, .external_lex_state = 3},
  [1600] = {.lex_state = 7, .external_lex_state = 3},
  [1601] = {.lex_state = 7, .external_lex_state = 3},
  [1602] = {.lex_state = 7, .external_lex_state = 3},
  [1603] = {.lex_state = 7, .external_lex_state = 3},
  [1604] = {.lex_state = 7, .external_lex_state = 3},
  [1605] = {.lex_state = 7, .external_lex_state = 3},
  [1606] = {.lex_state = 7, .external_lex_state = 3},
  [1607] = {.lex_state = 7, .external_lex_state = 3},
  [1608] = {.lex_state = 7, .external_lex_state = 4},
  [1609] = {.lex_state = 7, .external_lex_state = 3},
  [1610] = {.lex_state = 7, .external_lex_state = 3},
  [1611] = {.lex_state = 7, .external_lex_state = 3},
  [1612] = {.lex_state = 12, .external_lex_state = 5},
  [1613] = {.lex_state = 7, .external_lex_state = 3},
  [1614] = {.lex_state = 7, .external_lex_state = 3},
  [1615] = {.lex_state = 7, .external_lex_state = 3},
  [1616] = {.lex_state = 12, .external_lex_state = 5},
  [1617] = {.lex_state = 7, .external_lex_state = 3},
  [1618] = {.lex_state = 7, .external_lex_state = 3},
  [1619] = {.lex_state = 7, .external_lex_state = 3},
  [1620] = {.lex_state = 7, .external_lex_state = 3},
  [1621] = {.lex_state = 7, .external_lex_state = 3},
  [1622] = {.lex_state = 7, .external_lex_state = 3},
  [1623] = {.lex_state = 7, .external_lex_state = 3},
  [1624] = {.lex_state = 7, .external_lex_state = 3},
  [1625] = {.lex_state = 7, .external_lex_state = 3},
  [1626] = {.lex_state = 7, .external_lex_state = 3},
  [1627] = {.lex_state = 7, .external_lex_state = 3},
  [1628] = {.lex_state = 7, .external_lex_state = 4},
  [1629] = {.lex_state = 7, .external_lex_state = 3},
  [1630] = {.lex_state = 7, .external_lex_state = 3},
  [1631] = {.lex_state = 7, .external_lex_state = 3},
  [1632] = {.lex_state = 7, .external_lex_state = 3},
  [1633] = {.lex_state = 7, .external_lex_state = 3},
  [1634] = {.lex_state = 7, .external_lex_state = 3},
  [1635] = {.lex_state = 7, .external_lex_state = 3},
  [1636] = {.lex_state = 7, .external_lex_state = 3},
  [1637] = {.lex_state = 7, .external_lex_state = 3},
  [1638] = {.lex_state = 7, .external_lex_state = 3},
  [1639] = {.lex_state = 7, .external_lex_state = 3},
  [1640] = {.lex_state = 7, .external_lex_state = 3},
  [1641] = {.lex_state = 7, .external_lex_state = 3},
  [1642] = {.lex_state = 7, .external_lex_state = 3},
  [1643] = {.lex_state = 7, .external_lex_state = 3},
  [1644] = {.lex_state = 7, .external_lex_state = 3},
  [1645] = {.lex_state = 7, .external_lex_state = 3},
  [1646] = {.lex_state = 7, .external_lex_state = 3},
  [1647] = {.lex_state = 7, .external_lex_state = 3},
  [1648] = {.lex_state = 7, .external_lex_state = 3},
  [1649] = {.lex_state = 7, .external_lex_state = 3},
  [1650] = {.lex_state = 7, .external_lex_state = 3},
  [1651] = {.lex_state = 7, .external_lex_state = 3},
  [1652] = {.lex_state = 7, .external_lex_state = 3},
  [1653] = {.lex_state = 7, .external_lex_state = 3},
  [1654] = {.lex_state = 7, .external_lex_state = 3},
  [1655] = {.lex_state = 12, .external_lex_state = 5},
  [1656] = {.lex_state = 12, .external_lex_state = 5},
  [1657] = {.lex_state = 7, .external_lex_state = 3},
  [1658] = {.lex_state = 7, .external_lex_state = 3},
  [1659] = {.lex_state = 7, .external_lex_state = 3},
  [1660] = {.lex_state = 7, .external_lex_state = 3},
  [1661] = {.lex_state = 7, .external_lex_state = 3},
  [1662] = {.lex_state = 7, .external_lex_state = 3},
  [1663] = {.lex_state = 7, .external_lex_state = 3},
  [1664] = {.lex_state = 7, .external_lex_state = 3},
  [1665] = {.lex_state = 7, .external_lex_state = 3},
  [1666] = {.lex_state = 7, .external_lex_state = 3},
  [1667] = {.lex_state = 7, .external_lex_state = 3},
  [1668] = {.lex_state = 7, .external_lex_state = 3},
  [1669] = {.lex_state = 7, .external_lex_state = 3},
  [1670] = {.lex_state = 7, .external_lex_state = 3},
  [1671] = {.lex_state = 7, .external_lex_state = 3},
  [1672] = {.lex_state = 7, .external_lex_state = 3},
  [1673] = {.lex_state = 7, .external_lex_state = 3},
  [1674] = {.lex_state = 7, .external_lex_state = 3},
  [1675] = {.lex_state = 7, .external_lex_state = 3},
  [1676] = {.lex_state = 7, .external_lex_state = 3},
  [1677] = {.lex_state = 7, .external_lex_state = 3},
  [1678] = {.lex_state = 7, .external_lex_state = 4},
  [1679] = {.lex_state = 7, .external_lex_state = 4},
  [1680] = {.lex_state = 7, .external_lex_state = 3},
  [1681] = {.lex_state = 7, .external_lex_state = 3},
  [1682] = {.lex_state = 7, .external_lex_state = 3},
  [1683] = {.lex_state = 7, .external_lex_state = 3},
  [1684] = {.lex_state = 7, .external_lex_state = 3},
  [1685] = {.lex_state = 7, .external_lex_state = 3},
  [1686] = {.lex_state = 7, .external_lex_state = 3},
  [1687] = {.lex_state = 7, .external_lex_state = 3},
  [1688] = {.lex_state = 7, .external_lex_state = 3},
  [1689] = {.lex_state = 7, .external_lex_state = 3},
  [1690] = {.lex_state = 7, .external_lex_state = 3},
  [1691] = {.lex_state = 7, .external_lex_state = 3},
  [1692] = {.lex_state = 7, .external_lex_state = 3},
  [1693] = {.lex_state = 7, .external_lex_state = 3},
  [1694] = {.lex_state = 12, .external_lex_state = 5},
  [1695] = {.lex_state = 7, .external_lex_state = 3},
  [1696] = {.lex_state = 7, .external_lex_state = 3},
  [1697] = {.lex_state = 7, .external_lex_state = 3},
  [1698] = {.lex_state = 7, .external_lex_state = 3},
  [1699] = {.lex_state = 7, .external_lex_state = 3},
  [1700] = {.lex_state = 7, .external_lex_state = 3},
  [1701] = {.lex_state = 7, .external_lex_state = 3},
  [1702] = {.lex_state = 7, .external_lex_state = 3},
  [1703] = {.lex_state = 7, .external_lex_state = 3},
  [1704] = {.lex_state = 7, .external_lex_state = 3},
  [1705] = {.lex_state = 7, .external_lex_state = 3},
  [1706] = {.lex_state = 7, .external_lex_state = 3},
  [1707] = {.lex_state = 7, .external_lex_state = 3},
  [1708] = {.lex_state = 7, .external_lex_state = 3},
  [1709] = {.lex_state = 7, .external_lex_state = 3},
  [1710] = {.lex_state = 7, .external_lex_state = 3},
  [1711] = {.lex_state = 7, .external_lex_state = 3},
  [1712] = {.lex_state = 7, .external_lex_state = 3},
  [1713] = {.lex_state = 7, .external_lex_state = 3},
  [1714] = {.lex_state = 7, .external_lex_state = 3},
  [1715] = {.lex_state = 7, .external_lex_state = 3},
  [1716] = {.lex_state = 7, .external_lex_state = 3},
  [1717] = {.lex_state = 7, .external_lex_state = 3},
  [1718] = {.lex_state = 7, .external_lex_state = 3},
  [1719] = {.lex_state = 7, .external_lex_state = 3},
  [1720] = {.lex_state = 7, .external_lex_state = 3},
  [1721] = {.lex_state = 7, .external_lex_state = 3},
  [1722] = {.lex_state = 7, .external_lex_state = 3},
  [1723] = {.lex_state = 7, .external_lex_state = 3},
  [1724] = {.lex_state = 7, .external_lex_state = 3},
  [1725] = {.lex_state = 7, .external_lex_state = 3},
  [1726] = {.lex_state = 7, .external_lex_state = 3},
  [1727] = {.lex_state = 7, .external_lex_state = 3},
  [1728] = {.lex_state = 7, .external_lex_state = 4},
  [1729] = {.lex_state = 7, .external_lex_state = 3},
  [1730] = {.lex_state = 7, .external_lex_state = 4},
  [1731] = {.lex_state = 7, .external_lex_state = 4},
  [1732] = {.lex_state = 7, .external_lex_state = 3},
  [1733] = {.lex_state = 7, .external_lex_state = 4},
  [1734] = {.lex_state = 12, .external_lex_state = 5},
  [1735] = {.lex_state = 12, .external_lex_state = 5},
  [1736] = {.lex_state = 12, .external_lex_state = 5},
  [1737] = {.lex_state = 7, .external_lex_state = 4},
  [1738] = {.lex_state = 12, .external_lex_state = 5},
  [1739] = {.lex_state = 7, .external_lex_state = 3},
  [1740] = {.lex_state = 12, .external_lex_state = 5},
  [1741] = {.lex_state = 7, .external_lex_state = 4},
  [1742] = {.lex_state = 7, .external_lex_state = 4},
  [1743] = {.lex_state = 12, .external_lex_state = 5},
  [1744] = {.lex_state = 7, .external_lex_state = 4},
  [1745] = {.lex_state = 12, .external_lex_state = 5},
  [1746] = {.lex_state = 7, .external_lex_state = 4},
  [1747] = {.lex_state = 7, .external_lex_state = 4},
  [1748] = {.lex_state = 12, .external_lex_state = 5},
  [1749] = {.lex_state = 13, .external_lex_state = 5},
  [1750] = {.lex_state = 12, .external_lex_state = 5},
  [1751] = {.lex_state = 7, .external_lex_state = 3},
  [1752] = {.lex_state = 12, .external_lex_state = 5},
  [1753] = {.lex_state = 12, .external_lex_state = 5},
  [1754] = {.lex_state = 7, .external_lex_state = 3},
  [1755] = {.lex_state = 7, .external_lex_state = 4},
  [1756] = {.lex_state = 12, .external_lex_state = 5},
  [1757] = {.lex_state = 7, .external_lex_state = 4},
  [1758] = {.lex_state = 7, .external_lex_state = 4},
  [1759] = {.lex_state = 7, .external_lex_state = 3},
  [1760] = {.lex_state = 7, .external_lex_state = 4},
  [1761] = {.lex_state = 7, .external_lex_state = 4},
  [1762] = {.lex_state = 7, .external_lex_state = 3},
  [1763] = {.lex_state = 7, .external_lex_state = 4},
  [1764] = {.lex_state = 7, .external_lex_state = 3},
  [1765] = {.lex_state = 7, .external_lex_state = 3},
  [1766] = {.lex_state = 7, .external_lex_state = 4},
  [1767] = {.lex_state = 7, .external_lex_state = 4},
  [1768] = {.lex_state = 7, .external_lex_state = 4},
  [1769] = {.lex_state = 7, .external_lex_state = 4},
  [1770] = {.lex_state = 8, .external_lex_state = 3},
  [1771] = {.lex_state = 7, .external_lex_state = 4},
  [1772] = {.lex_state = 7, .external_lex_state = 4},
  [1773] = {.lex_state = 7, .external_lex_state = 4},
  [1774] = {.lex_state = 7, .external_lex_state = 4},
  [1775] = {.lex_state = 7, .external_lex_state = 4},
  [1776] = {.lex_state = 7, .external_lex_state = 4},
  [1777] = {.lex_state = 7, .external_lex_state = 4},
  [1778] = {.lex_state = 7, .external_lex_state = 4},
  [1779] = {.lex_state = 7, .external_lex_state = 4},
  [1780] = {.lex_state = 7, .external_lex_state = 4},
  [1781] = {.lex_state = 7, .external_lex_state = 4},
  [1782] = {.lex_state = 7, .external_lex_state = 4},
  [1783] = {.lex_state = 7, .external_lex_state = 4},
  [1784] = {.lex_state = 7, .external_lex_state = 4},
  [1785] = {.lex_state = 7, .external_lex_state = 4},
  [1786] = {.lex_state = 7, .external_lex_state = 4},
  [1787] = {.lex_state = 12, .external_lex_state = 5},
  [1788] = {.lex_state = 7, .external_lex_state = 4},
  [1789] = {.lex_state = 7, .external_lex_state = 4},
  [1790] = {.lex_state = 7, .external_lex_state = 4},
  [1791] = {.lex_state = 7, .external_lex_state = 4},
  [1792] = {.lex_state = 7, .external_lex_state = 4},
  [1793] = {.lex_state = 12, .external_lex_state = 5},
  [1794] = {.lex_state = 7, .external_lex_state = 3},
  [1795] = {.lex_state = 7, .external_lex_state = 4},
  [1796] = {.lex_state = 7, .external_lex_state = 3},
  [1797] = {.lex_state = 7, .external_lex_state = 3},
  [1798] = {.lex_state = 7, .external_lex_state = 3},
  [1799] = {.lex_state = 7, .external_lex_state = 3},
  [1800] = {.lex_state = 7, .external_lex_state = 3},
  [1801] = {.lex_state = 7, .external_lex_state = 4},
  [1802] = {.lex_state = 7, .external_lex_state = 4},
  [1803] = {.lex_state = 7, .external_lex_state = 3},
  [1804] = {.lex_state = 7, .external_lex_state = 3},
  [1805] = {.lex_state = 12, .external_lex_state = 5},
  [1806] = {.lex_state = 7, .external_lex_state = 4},
  [1807] = {.lex_state = 7, .external_lex_state = 4},
  [1808] = {.lex_state = 7, .external_lex_state = 4},
  [1809] = {.lex_state = 7, .external_lex_state = 4},
  [1810] = {.lex_state = 7, .external_lex_state = 4},
  [1811] = {.lex_state = 7, .external_lex_state = 4},
  [1812] = {.lex_state = 7, .external_lex_state = 3},
  [1813] = {.lex_state = 7, .external_lex_state = 4},
  [1814] = {.lex_state = 7, .external_lex_state = 4},
  [1815] = {.lex_state = 7, .external_lex_state = 4},
  [1816] = {.lex_state = 7, .external_lex_state = 4},
  [1817] = {.lex_state = 12, .external_lex_state = 5},
  [1818] = {.lex_state = 12, .external_lex_state = 5},
  [1819] = {.lex_state = 7, .external_lex_state = 4},
  [1820] = {.lex_state = 7, .external_lex_state = 3},
  [1821] = {.lex_state = 7, .external_lex_state = 4},
  [1822] = {.lex_state = 7, .external_lex_state = 4},
  [1823] = {.lex_state = 12, .external_lex_state = 5},
  [1824] = {.lex_state = 7, .external_lex_state = 3},
  [1825] = {.lex_state = 7, .external_lex_state = 4},
  [1826] = {.lex_state = 7, .external_lex_state = 4},
  [1827] = {.lex_state = 7, .external_lex_state = 4},
  [1828] = {.lex_state = 7, .external_lex_state = 4},
  [1829] = {.lex_state = 7, .external_lex_state = 4},
  [1830] = {.lex_state = 7, .external_lex_state = 4},
  [1831] = {.lex_state = 7, .external_lex_state = 4},
  [1832] = {.lex_state = 7, .external_lex_state = 4},
  [1833] = {.lex_state = 7, .external_lex_state = 4},
  [1834] = {.lex_state = 7, .external_lex_state = 4},
  [1835] = {.lex_state = 7, .external_lex_state = 4},
  [1836] = {.lex_state = 7, .external_lex_state = 4},
  [1837] = {.lex_state = 7, .external_lex_state = 4},
  [1838] = {.lex_state = 7, .external_lex_state = 4},
  [1839] = {.lex_state = 7, .external_lex_state = 4},
  [1840] = {.lex_state = 7, .external_lex_state = 4},
  [1841] = {.lex_state = 7, .external_lex_state = 4},
  [1842] = {.lex_state = 7, .external_lex_state = 4},
  [1843] = {.lex_state = 7, .external_lex_state = 4},
  [1844] = {.lex_state = 7, .external_lex_state = 4},
  [1845] = {.lex_state = 7, .external_lex_state = 4},
  [1846] = {.lex_state = 7, .external_lex_state = 4},
  [1847] = {.lex_state = 7, .external_lex_state = 4},
  [1848] = {.lex_state = 7, .external_lex_state = 4},
  [1849] = {.lex_state = 7, .external_lex_state = 4},
  [1850] = {.lex_state = 12, .external_lex_state = 5},
  [1851] = {.lex_state = 7, .external_lex_state = 4},
  [1852] = {.lex_state = 7, .external_lex_state = 4},
  [1853] = {.lex_state = 12, .external_lex_state = 5},
  [1854] = {.lex_state = 7, .external_lex_state = 4},
  [1855] = {.lex_state = 7, .external_lex_state = 4},
  [1856] = {.lex_state = 7, .external_lex_state = 4},
  [1857] = {.lex_state = 7, .external_lex_state = 4},
  [1858] = {.lex_state = 7, .external_lex_state = 4},
  [1859] = {.lex_state = 7, .external_lex_state = 4},
  [1860] = {.lex_state = 7, .external_lex_state = 4},
  [1861] = {.lex_state = 7, .external_lex_state = 4},
  [1862] = {.lex_state = 7, .external_lex_state = 4},
  [1863] = {.lex_state = 7, .external_lex_state = 4},
  [1864] = {.lex_state = 7, .external_lex_state = 4},
  [1865] = {.lex_state = 7, .external_lex_state = 4},
  [1866] = {.lex_state = 7, .external_lex_state = 4},
  [1867] = {.lex_state = 7, .external_lex_state = 4},
  [1868] = {.lex_state = 7, .external_lex_state = 4},
  [1869] = {.lex_state = 7, .external_lex_state = 4},
  [1870] = {.lex_state = 7, .external_lex_state = 4},
  [1871] = {.lex_state = 7, .external_lex_state = 4},
  [1872] = {.lex_state = 7, .external_lex_state = 4},
  [1873] = {.lex_state = 7, .external_lex_state = 4},
  [1874] = {.lex_state = 7, .external_lex_state = 4},
  [1875] = {.lex_state = 7, .external_lex_state = 4},
  [1876] = {.lex_state = 7, .external_lex_state = 4},
  [1877] = {.lex_state = 7, .external_lex_state = 4},
  [1878] = {.lex_state = 7, .external_lex_state = 4},
  [1879] = {.lex_state = 7, .external_lex_state = 4},
  [1880] = {.lex_state = 7, .external_lex_state = 4},
  [1881] = {.lex_state = 7, .external_lex_state = 4},
  [1882] = {.lex_state = 7, .external_lex_state = 4},
  [1883] = {.lex_state = 7, .external_lex_state = 4},
  [1884] = {.lex_state = 7, .external_lex_state = 4},
  [1885] = {.lex_state = 7, .external_lex_state = 4},
  [1886] = {.lex_state = 7, .external_lex_state = 4},
  [1887] = {.lex_state = 7, .external_lex_state = 4},
  [1888] = {.lex_state = 7, .external_lex_state = 4},
  [1889] = {.lex_state = 7, .external_lex_state = 4},
  [1890] = {.lex_state = 7, .external_lex_state = 4},
  [1891] = {.lex_state = 7, .external_lex_state = 4},
  [1892] = {.lex_state = 7, .external_lex_state = 4},
  [1893] = {.lex_state = 7, .external_lex_state = 4},
  [1894] = {.lex_state = 7, .external_lex_state = 4},
  [1895] = {.lex_state = 7, .external_lex_state = 4},
  [1896] = {.lex_state = 7, .external_lex_state = 4},
  [1897] = {.lex_state = 7, .external_lex_state = 4},
  [1898] = {.lex_state = 7, .external_lex_state = 4},
  [1899] = {.lex_state = 7, .external_lex_state = 4},
  [1900] = {.lex_state = 7, .external_lex_state = 4},
  [1901] = {.lex_state = 7, .external_lex_state = 4},
  [1902] = {.lex_state = 7, .external_lex_state = 4},
  [1903] = {.lex_state = 7, .external_lex_state = 4},
  [1904] = {.lex_state = 7, .external_lex_state = 4},
  [1905] = {.lex_state = 7, .external_lex_state = 4},
  [1906] = {.lex_state = 7, .external_lex_state = 4},
  [1907] = {.lex_state = 7, .external_lex_state = 4},
  [1908] = {.lex_state = 7, .external_lex_state = 4},
  [1909] = {.lex_state = 7, .external_lex_state = 4},
  [1910] = {.lex_state = 12, .external_lex_state = 2},
  [1911] = {.lex_state = 7, .external_lex_state = 4},
  [1912] = {.lex_state = 7, .external_lex_state = 4},
  [1913] = {.lex_state = 7, .external_lex_state = 3},
  [1914] = {.lex_state = 7, .external_lex_state = 4},
  [1915] = {.lex_state = 7, .external_lex_state = 4},
  [1916] = {.lex_state = 7, .external_lex_state = 4},
  [1917] = {.lex_state = 7, .external_lex_state = 3},
  [1918] = {.lex_state = 7, .external_lex_state = 4},
  [1919] = {.lex_state = 7, .external_lex_state = 3},
  [1920] = {.lex_state = 7, .external_lex_state = 4},
  [1921] = {.lex_state = 7, .external_lex_state = 4},
  [1922] = {.lex_state = 7, .external_lex_state = 4},
  [1923] = {.lex_state = 7, .external_lex_state = 4},
  [1924] = {.lex_state = 7, .external_lex_state = 4},
  [1925] = {.lex_state = 7, .external_lex_state = 4},
  [1926] = {.lex_state = 7, .external_lex_state = 4},
  [1927] = {.lex_state = 7, .external_lex_state = 4},
  [1928] = {.lex_state = 7, .external_lex_state = 4},
  [1929] = {.lex_state = 12, .external_lex_state = 2},
  [1930] = {.lex_state = 7, .external_lex_state = 4},
  [1931] = {.lex_state = 7, .external_lex_state = 3},
  [1932] = {.lex_state = 7, .external_lex_state = 3},
  [1933] = {.lex_state = 7, .external_lex_state = 3},
  [1934] = {.lex_state = 7, .external_lex_state = 4},
  [1935] = {.lex_state = 7, .external_lex_state = 4},
  [1936] = {.lex_state = 7, .external_lex_state = 4},
  [1937] = {.lex_state = 7, .external_lex_state = 4},
  [1938] = {.lex_state = 7, .external_lex_state = 3},
  [1939] = {.lex_state = 7, .external_lex_state = 4},
  [1940] = {.lex_state = 12, .external_lex_state = 5},
  [1941] = {.lex_state = 12, .external_lex_state = 5},
  [1942] = {.lex_state = 7, .external_lex_state = 4},
  [1943] = {.lex_state = 12, .external_lex_state = 5},
  [1944] = {.lex_state = 12, .external_lex_state = 5},
  [1945] = {.lex_state = 7, .external_lex_state = 4},
  [1946] = {.lex_state = 12, .external_lex_state = 5},
  [1947] = {.lex_state = 12, .external_lex_state = 2},
  [1948] = {.lex_state = 7, .external_lex_state = 3},
  [1949] = {.lex_state = 7, .external_lex_state = 3},
  [1950] = {.lex_state = 7, .external_lex_state = 3},
  [1951] = {.lex_state = 7, .external_lex_state = 3},
  [1952] = {.lex_state = 7, .external_lex_state = 4},
  [1953] = {.lex_state = 7, .external_lex_state = 4},
  [1954] = {.lex_state = 7, .external_lex_state = 4},
  [1955] = {.lex_state = 12, .external_lex_state = 2},
  [1956] = {.lex_state = 7, .external_lex_state = 3},
  [1957] = {.lex_state = 7, .external_lex_state = 3},
  [1958] = {.lex_state = 7, .external_lex_state = 4},
  [1959] = {.lex_state = 7, .external_lex_state = 4},
  [1960] = {.lex_state = 7, .external_lex_state = 4},
  [1961] = {.lex_state = 7, .external_lex_state = 4},
  [1962] = {.lex_state = 7, .external_lex_state = 4},
  [1963] = {.lex_state = 7, .external_lex_state = 4},
  [1964] = {.lex_state = 7, .external_lex_state = 4},
  [1965] = {.lex_state = 149, .external_lex_state = 2},
  [1966] = {.lex_state = 7, .external_lex_state = 4},
  [1967] = {.lex_state = 7, .external_lex_state = 4},
  [1968] = {.lex_state = 7, .external_lex_state = 4},
  [1969] = {.lex_state = 7, .external_lex_state = 4},
  [1970] = {.lex_state = 7, .external_lex_state = 4},
  [1971] = {.lex_state = 12, .external_lex_state = 5},
  [1972] = {.lex_state = 7, .external_lex_state = 4},
  [1973] = {.lex_state = 7, .external_lex_state = 4},
  [1974] = {.lex_state = 7, .external_lex_state = 4},
  [1975] = {.lex_state = 7, .external_lex_state = 4},
  [1976] = {.lex_state = 7, .external_lex_state = 4},
  [1977] = {.lex_state = 7, .external_lex_state = 4},
  [1978] = {.lex_state = 7, .external_lex_state = 4},
  [1979] = {.lex_state = 7, .external_lex_state = 4},
  [1980] = {.lex_state = 7, .external_lex_state = 4},
  [1981] = {.lex_state = 7, .external_lex_state = 4},
  [1982] = {.lex_state = 7, .external_lex_state = 4},
  [1983] = {.lex_state = 7, .external_lex_state = 4},
  [1984] = {.lex_state = 7, .external_lex_state = 4},
  [1985] = {.lex_state = 7, .external_lex_state = 4},
  [1986] = {.lex_state = 149, .external_lex_state = 2},
  [1987] = {.lex_state = 7, .external_lex_state = 4},
  [1988] = {.lex_state = 12, .external_lex_state = 5},
  [1989] = {.lex_state = 7, .external_lex_state = 4},
  [1990] = {.lex_state = 7, .external_lex_state = 4},
  [1991] = {.lex_state = 7, .external_lex_state = 4},
  [1992] = {.lex_state = 12, .external_lex_state = 2},
  [1993] = {.lex_state = 7, .external_lex_state = 4},
  [1994] = {.lex_state = 7, .external_lex_state = 4},
  [1995] = {.lex_state = 7, .external_lex_state = 4},
  [1996] = {.lex_state = 7, .external_lex_state = 4},
  [1997] = {.lex_state = 7, .external_lex_state = 4},
  [1998] = {.lex_state = 7, .external_lex_state = 4},
  [1999] = {.lex_state = 7, .external_lex_state = 4},
  [2000] = {.lex_state = 7, .external_lex_state = 4},
  [2001] = {.lex_state = 7, .external_lex_state = 4},
  [2002] = {.lex_state = 7, .external_lex_state = 4},
  [2003] = {.lex_state = 7, .external_lex_state = 4},
  [2004] = {.lex_state = 7, .external_lex_state = 4},
  [2005] = {.lex_state = 7, .external_lex_state = 4},
  [2006] = {.lex_state = 7, .external_lex_state = 4},
  [2007] = {.lex_state = 7, .external_lex_state = 4},
  [2008] = {.lex_state = 7, .external_lex_state = 4},
  [2009] = {.lex_state = 7, .external_lex_state = 4},
  [2010] = {.lex_state = 7, .external_lex_state = 4},
  [2011] = {.lex_state = 7, .external_lex_state = 4},
  [2012] = {.lex_state = 7, .external_lex_state = 4},
  [2013] = {.lex_state = 12, .external_lex_state = 5},
  [2014] = {.lex_state = 12, .external_lex_state = 5},
  [2015] = {.lex_state = 7, .external_lex_state = 4},
  [2016] = {.lex_state = 12, .external_lex_state = 5},
  [2017] = {.lex_state = 7, .external_lex_state = 3},
  [2018] = {.lex_state = 7, .external_lex_state = 3},
  [2019] = {.lex_state = 7, .external_lex_state = 4},
  [2020] = {.lex_state = 7, .external_lex_state = 4},
  [2021] = {.lex_state = 12, .external_lex_state = 5},
  [2022] = {.lex_state = 7, .external_lex_state = 4},
  [2023] = {.lex_state = 12, .external_lex_state = 5},
  [2024] = {.lex_state = 7, .external_lex_state = 4},
  [2025] = {.lex_state = 12, .external_lex_state = 2},
  [2026] = {.lex_state = 12, .external_lex_state = 5},
  [2027] = {.lex_state = 7, .external_lex_state = 4},
  [2028] = {.lex_state = 7, .external_lex_state = 4},
  [2029] = {.lex_state = 7, .external_lex_state = 4},
  [2030] = {.lex_state = 7, .external_lex_state = 4},
  [2031] = {.lex_state = 7, .external_lex_state = 3},
  [2032] = {.lex_state = 7, .external_lex_state = 3},
  [2033] = {.lex_state = 7, .external_lex_state = 3},
  [2034] = {.lex_state = 7, .external_lex_state = 3},
  [2035] = {.lex_state = 7, .external_lex_state = 3},
  [2036] = {.lex_state = 7, .external_lex_state = 3},
  [2037] = {.lex_state = 7, .external_lex_state = 3},
  [2038] = {.lex_state = 7, .external_lex_state = 3},
  [2039] = {.lex_state = 7, .external_lex_state = 3},
  [2040] = {.lex_state = 7, .external_lex_state = 3},
  [2041] = {.lex_state = 7, .external_lex_state = 3},
  [2042] = {.lex_state = 7, .external_lex_state = 3},
  [2043] = {.lex_state = 7, .external_lex_state = 3},
  [2044] = {.lex_state = 7, .external_lex_state = 3},
  [2045] = {.lex_state = 7, .external_lex_state = 3},
  [2046] = {.lex_state = 7, .external_lex_state = 3},
  [2047] = {.lex_state = 7, .external_lex_state = 3},
  [2048] = {.lex_state = 7, .external_lex_state = 3},
  [2049] = {.lex_state = 7, .external_lex_state = 3},
  [2050] = {.lex_state = 7, .external_lex_state = 3},
  [2051] = {.lex_state = 7, .external_lex_state = 3},
  [2052] = {.lex_state = 7, .external_lex_state = 3},
  [2053] = {.lex_state = 7, .external_lex_state = 3},
  [2054] = {.lex_state = 7, .external_lex_state = 3},
  [2055] = {.lex_state = 7, .external_lex_state = 3},
  [2056] = {.lex_state = 7, .external_lex_state = 3},
  [2057] = {.lex_state = 7, .external_lex_state = 3},
  [2058] = {.lex_state = 7, .external_lex_state = 3},
  [2059] = {.lex_state = 7, .external_lex_state = 3},
  [2060] = {.lex_state = 7, .external_lex_state = 4},
  [2061] = {.lex_state = 7, .external_lex_state = 4},
  [2062] = {.lex_state = 7, .external_lex_state = 4},
  [2063] = {.lex_state = 7, .external_lex_state = 3},
  [2064] = {.lex_state = 7, .external_lex_state = 3},
  [2065] = {.lex_state = 7, .external_lex_state = 3},
  [2066] = {.lex_state = 7, .external_lex_state = 4},
  [2067] = {.lex_state = 7, .external_lex_state = 4},
  [2068] = {.lex_state = 7, .external_lex_state = 4},
  [2069] = {.lex_state = 12, .external_lex_state = 5},
  [2070] = {.lex_state = 7, .external_lex_state = 3},
  [2071] = {.lex_state = 7, .external_lex_state = 4},
  [2072] = {.lex_state = 7, .external_lex_state = 3},
  [2073] = {.lex_state = 12, .external_lex_state = 5},
  [2074] = {.lex_state = 12, .external_lex_state = 5},
  [2075] = {.lex_state = 7, .external_lex_state = 3},
  [2076] = {.lex_state = 7, .external_lex_state = 4},
  [2077] = {.lex_state = 7, .external_lex_state = 3},
  [2078] = {.lex_state = 7, .external_lex_state = 3},
  [2079] = {.lex_state = 7, .external_lex_state = 4},
  [2080] = {.lex_state = 7, .external_lex_state = 4},
  [2081] = {.lex_state = 7, .external_lex_state = 4},
  [2082] = {.lex_state = 12, .external_lex_state = 5},
  [2083] = {.lex_state = 7, .external_lex_state = 3},
  [2084] = {.lex_state = 12, .external_lex_state = 5},
  [2085] = {.lex_state = 12, .external_lex_state = 2},
  [2086] = {.lex_state = 12, .external_lex_state = 5},
  [2087] = {.lex_state = 12, .external_lex_state = 2},
  [2088] = {.lex_state = 7, .external_lex_state = 3},
  [2089] = {.lex_state = 7, .external_lex_state = 4},
  [2090] = {.lex_state = 7, .external_lex_state = 4},
  [2091] = {.lex_state = 12, .external_lex_state = 2},
  [2092] = {.lex_state = 7, .external_lex_state = 3},
  [2093] = {.lex_state = 12, .external_lex_state = 5},
  [2094] = {.lex_state = 12, .external_lex_state = 2},
  [2095] = {.lex_state = 12, .external_lex_state = 2},
  [2096] = {.lex_state = 7, .external_lex_state = 4},
  [2097] = {.lex_state = 12, .external_lex_state = 2},
  [2098] = {.lex_state = 12, .external_lex_state = 5},
  [2099] = {.lex_state = 12, .external_lex_state = 5},
  [2100] = {.lex_state = 7, .external_lex_state = 4},
  [2101] = {.lex_state = 12, .external_lex_state = 5},
  [2102] = {.lex_state = 12, .external_lex_state = 5},
  [2103] = {.lex_state = 7, .external_lex_state = 4},
  [2104] = {.lex_state = 7, .external_lex_state = 4},
  [2105] = {.lex_state = 7, .external_lex_state = 4},
  [2106] = {.lex_state = 12, .external_lex_state = 5},
  [2107] = {.lex_state = 12, .external_lex_state = 5},
  [2108] = {.lex_state = 12, .external_lex_state = 5},
  [2109] = {.lex_state = 7, .external_lex_state = 3},
  [2110] = {.lex_state = 7, .external_lex_state = 3},
  [2111] = {.lex_state = 12, .external_lex_state = 5},
  [2112] = {.lex_state = 12, .external_lex_state = 5},
  [2113] = {.lex_state = 12, .external_lex_state = 5},
  [2114] = {.lex_state = 12, .external_lex_state = 5},
  [2115] = {.lex_state = 12, .external_lex_state = 5},
  [2116] = {.lex_state = 7, .external_lex_state = 4},
  [2117] = {.lex_state = 12, .external_lex_state = 5},
  [2118] = {.lex_state = 12, .external_lex_state = 5},
  [2119] = {.lex_state = 12, .external_lex_state = 5},
  [2120] = {.lex_state = 7, .external_lex_state = 4},
  [2121] = {.lex_state = 7, .external_lex_state = 4},
  [2122] = {.lex_state = 7, .external_lex_state = 4},
  [2123] = {.lex_state = 7, .external_lex_state = 4},
  [2124] = {.lex_state = 7, .external_lex_state = 4},
  [2125] = {.lex_state = 7, .external_lex_state = 3},
  [2126] = {.lex_state = 7, .external_lex_state = 4},
  [2127] = {.lex_state = 7, .external_lex_state = 4},
  [2128] = {.lex_state = 7, .external_lex_state = 4},
  [2129] = {.lex_state = 7, .external_lex_state = 3},
  [2130] = {.lex_state = 7, .external_lex_state = 4},
  [2131] = {.lex_state = 7, .external_lex_state = 4},
  [2132] = {.lex_state = 7, .external_lex_state = 4},
  [2133] = {.lex_state = 7, .external_lex_state = 4},
  [2134] = {.lex_state = 7, .external_lex_state = 4},
  [2135] = {.lex_state = 7, .external_lex_state = 4},
  [2136] = {.lex_state = 7, .external_lex_state = 4},
  [2137] = {.lex_state = 7, .external_lex_state = 4},
  [2138] = {.lex_state = 7, .external_lex_state = 4},
  [2139] = {.lex_state = 7, .external_lex_state = 4},
  [2140] = {.lex_state = 7, .external_lex_state = 4},
  [2141] = {.lex_state = 7, .external_lex_state = 4},
  [2142] = {.lex_state = 7, .external_lex_state = 4},
  [2143] = {.lex_state = 7, .external_lex_state = 4},
  [2144] = {.lex_state = 7, .external_lex_state = 4},
  [2145] = {.lex_state = 7, .external_lex_state = 3},
  [2146] = {.lex_state = 7, .external_lex_state = 4},
  [2147] = {.lex_state = 7, .external_lex_state = 3},
  [2148] = {.lex_state = 7, .external_lex_state = 4},
  [2149] = {.lex_state = 7, .external_lex_state = 4},
  [2150] = {.lex_state = 7, .external_lex_state = 4},
  [2151] = {.lex_state = 7, .external_lex_state = 4},
  [2152] = {.lex_state = 7, .external_lex_state = 4},
  [2153] = {.lex_state = 7, .external_lex_state = 4},
  [2154] = {.lex_state = 7, .external_lex_state = 4},
  [2155] = {.lex_state = 7, .external_lex_state = 4},
  [2156] = {.lex_state = 7, .external_lex_state = 4},
  [2157] = {.lex_state = 7, .external_lex_state = 4},
  [2158] = {.lex_state = 7, .external_lex_state = 4},
  [2159] = {.lex_state = 7, .external_lex_state = 3},
  [2160] = {.lex_state = 7, .external_lex_state = 4},
  [2161] = {.lex_state = 7, .external_lex_state = 4},
  [2162] = {.lex_state = 7, .external_lex_state = 4},
  [2163] = {.lex_state = 7, .external_lex_state = 4},
  [2164] = {.lex_state = 7, .external_lex_state = 4},
  [2165] = {.lex_state = 7, .external_lex_state = 4},
  [2166] = {.lex_state = 7, .external_lex_state = 4},
  [2167] = {.lex_state = 7, .external_lex_state = 3},
  [2168] = {.lex_state = 7, .external_lex_state = 4},
  [2169] = {.lex_state = 12, .external_lex_state = 5},
  [2170] = {.lex_state = 7, .external_lex_state = 4},
  [2171] = {.lex_state = 7, .external_lex_state = 4},
  [2172] = {.lex_state = 7, .external_lex_state = 4},
  [2173] = {.lex_state = 7, .external_lex_state = 3},
  [2174] = {.lex_state = 7, .external_lex_state = 3},
  [2175] = {.lex_state = 7, .external_lex_state = 4},
  [2176] = {.lex_state = 8, .external_lex_state = 4},
  [2177] = {.lex_state = 7, .external_lex_state = 4},
  [2178] = {.lex_state = 7, .external_lex_state = 3},
  [2179] = {.lex_state = 7, .external_lex_state = 4},
  [2180] = {.lex_state = 7, .external_lex_state = 4},
  [2181] = {.lex_state = 7, .external_lex_state = 4},
  [2182] = {.lex_state = 7, .external_lex_state = 3},
  [2183] = {.lex_state = 7, .external_lex_state = 4},
  [2184] = {.lex_state = 7, .external_lex_state = 4},
  [2185] = {.lex_state = 7, .external_lex_state = 3},
  [2186] = {.lex_state = 7, .external_lex_state = 4},
  [2187] = {.lex_state = 7, .external_lex_state = 4},
  [2188] = {.lex_state = 7, .external_lex_state = 4},
  [2189] = {.lex_state = 7, .external_lex_state = 4},
  [2190] = {.lex_state = 7, .external_lex_state = 3},
  [2191] = {.lex_state = 7, .external_lex_state = 4},
  [2192] = {.lex_state = 7, .external_lex_state = 4},
  [2193] = {.lex_state = 7, .external_lex_state = 4},
  [2194] = {.lex_state = 7, .external_lex_state = 4},
  [2195] = {.lex_state = 7, .external_lex_state = 4},
  [2196] = {.lex_state = 7, .external_lex_state = 3},
  [2197] = {.lex_state = 7, .external_lex_state = 3},
  [2198] = {.lex_state = 7, .external_lex_state = 3},
  [2199] = {.lex_state = 7, .external_lex_state = 3},
  [2200] = {.lex_state = 7, .external_lex_state = 3},
  [2201] = {.lex_state = 7, .external_lex_state = 3},
  [2202] = {.lex_state = 7, .external_lex_state = 3},
  [2203] = {.lex_state = 7, .external_lex_state = 3},
  [2204] = {.lex_state = 7, .external_lex_state = 3},
  [2205] = {.lex_state = 7, .external_lex_state = 3},
  [2206] = {.lex_state = 7, .external_lex_state = 3},
  [2207] = {.lex_state = 7, .external_lex_state = 4},
  [2208] = {.lex_state = 7, .external_lex_state = 4},
  [2209] = {.lex_state = 7, .external_lex_state = 4},
  [2210] = {.lex_state = 7, .external_lex_state = 4},
  [2211] = {.lex_state = 7, .external_lex_state = 3},
  [2212] = {.lex_state = 12, .external_lex_state = 5},
  [2213] = {.lex_state = 7, .external_lex_state = 4},
  [2214] = {.lex_state = 7, .external_lex_state = 4},
  [2215] = {.lex_state = 12, .external_lex_state = 5},
  [2216] = {.lex_state = 7, .external_lex_state = 3},
  [2217] = {.lex_state = 12, .external_lex_state = 5},
  [2218] = {.lex_state = 7, .external_lex_state = 4},
  [2219] = {.lex_state = 7, .external_lex_state = 4},
  [2220] = {.lex_state = 7, .external_lex_state = 3},
  [2221] = {.lex_state = 7, .external_lex_state = 4},
  [2222] = {.lex_state = 7, .external_lex_state = 4},
  [2223] = {.lex_state = 7, .external_lex_state = 4},
  [2224] = {.lex_state = 7, .external_lex_state = 3},
  [2225] = {.lex_state = 7, .external_lex_state = 4},
  [2226] = {.lex_state = 7, .external_lex_state = 4},
  [2227] = {.lex_state = 12, .external_lex_state = 2},
  [2228] = {.lex_state = 7, .external_lex_state = 4},
  [2229] = {.lex_state = 12, .external_lex_state = 2},
  [2230] = {.lex_state = 12, .external_lex_state = 5},
  [2231] = {.lex_state = 7, .external_lex_state = 4},
  [2232] = {.lex_state = 7, .external_lex_state = 4},
  [2233] = {.lex_state = 7, .external_lex_state = 3},
  [2234] = {.lex_state = 7, .external_lex_state = 3},
  [2235] = {.lex_state = 12, .external_lex_state = 5},
  [2236] = {.lex_state = 12, .external_lex_state = 5},
  [2237] = {.lex_state = 7, .external_lex_state = 3},
  [2238] = {.lex_state = 7, .external_lex_state = 3},
  [2239] = {.lex_state = 7, .external_lex_state = 3},
  [2240] = {.lex_state = 12, .external_lex_state = 5},
  [2241] = {.lex_state = 7, .external_lex_state = 3},
  [2242] = {.lex_state = 12, .external_lex_state = 5},
  [2243] = {.lex_state = 7, .external_lex_state = 3},
  [2244] = {.lex_state = 7, .external_lex_state = 3},
  [2245] = {.lex_state = 7, .external_lex_state = 3},
  [2246] = {.lex_state = 12, .external_lex_state = 5},
  [2247] = {.lex_state = 12, .external_lex_state = 5},
  [2248] = {.lex_state = 12, .external_lex_state = 5},
  [2249] = {.lex_state = 7, .external_lex_state = 3},
  [2250] = {.lex_state = 7, .external_lex_state = 3},
  [2251] = {.lex_state = 7, .external_lex_state = 3},
  [2252] = {.lex_state = 7, .external_lex_state = 3},
  [2253] = {.lex_state = 7, .external_lex_state = 3},
  [2254] = {.lex_state = 7, .external_lex_state = 3},
  [2255] = {.lex_state = 7, .external_lex_state = 3},
  [2256] = {.lex_state = 7, .external_lex_state = 3},
  [2257] = {.lex_state = 7, .external_lex_state = 3},
  [2258] = {.lex_state = 7, .external_lex_state = 3},
  [2259] = {.lex_state = 7, .external_lex_state = 3},
  [2260] = {.lex_state = 7, .external_lex_state = 3},
  [2261] = {.lex_state = 7, .external_lex_state = 3},
  [2262] = {.lex_state = 7, .external_lex_state = 3},
  [2263] = {.lex_state = 7, .external_lex_state = 3},
  [2264] = {.lex_state = 7, .external_lex_state = 3},
  [2265] = {.lex_state = 7, .external_lex_state = 3},
  [2266] = {.lex_state = 7, .external_lex_state = 3},
  [2267] = {.lex_state = 7, .external_lex_state = 3},
  [2268] = {.lex_state = 7, .external_lex_state = 3},
  [2269] = {.lex_state = 7, .external_lex_state = 3},
  [2270] = {.lex_state = 7, .external_lex_state = 3},
  [2271] = {.lex_state = 7, .external_lex_state = 3},
  [2272] = {.lex_state = 7, .external_lex_state = 3},
  [2273] = {.lex_state = 7, .external_lex_state = 3},
  [2274] = {.lex_state = 7, .external_lex_state = 4},
  [2275] = {.lex_state = 7, .external_lex_state = 4},
  [2276] = {.lex_state = 7, .external_lex_state = 3},
  [2277] = {.lex_state = 7, .external_lex_state = 4},
  [2278] = {.lex_state = 149, .external_lex_state = 2},
  [2279] = {.lex_state = 7, .external_lex_state = 3},
  [2280] = {.lex_state = 7, .external_lex_state = 3},
  [2281] = {.lex_state = 7, .external_lex_state = 3},
  [2282] = {.lex_state = 7, .external_lex_state = 3},
  [2283] = {.lex_state = 7, .external_lex_state = 4},
  [2284] = {.lex_state = 7, .external_lex_state = 4},
  [2285] = {.lex_state = 7, .external_lex_state = 4},
  [2286] = {.lex_state = 7, .external_lex_state = 4},
  [2287] = {.lex_state = 7, .external_lex_state = 3},
  [2288] = {.lex_state = 7, .external_lex_state = 4},
  [2289] = {.lex_state = 12, .external_lex_state = 5},
  [2290] = {.lex_state = 12, .external_lex_state = 5},
  [2291] = {.lex_state = 7, .external_lex_state = 4},
  [2292] = {.lex_state = 12, .external_lex_state = 2},
  [2293] = {.lex_state = 7, .external_lex_state = 4},
  [2294] = {.lex_state = 12, .external_lex_state = 2},
  [2295] = {.lex_state = 12, .external_lex_state = 5},
  [2296] = {.lex_state = 7, .external_lex_state = 3},
  [2297] = {.lex_state = 12, .external_lex_state = 5},
  [2298] = {.lex_state = 7, .external_lex_state = 4},
  [2299] = {.lex_state = 7, .external_lex_state = 4},
  [2300] = {.lex_state = 7, .external_lex_state = 4},
  [2301] = {.lex_state = 7, .external_lex_state = 4},
  [2302] = {.lex_state = 7, .external_lex_state = 4},
  [2303] = {.lex_state = 7, .external_lex_state = 4},
  [2304] = {.lex_state = 7, .external_lex_state = 3},
  [2305] = {.lex_state = 7, .external_lex_state = 4},
  [2306] = {.lex_state = 7, .external_lex_state = 3},
  [2307] = {.lex_state = 7, .external_lex_state = 3},
  [2308] = {.lex_state = 7, .external_lex_state = 3},
  [2309] = {.lex_state = 12, .external_lex_state = 5},
  [2310] = {.lex_state = 7, .external_lex_state = 3},
  [2311] = {.lex_state = 7, .external_lex_state = 3},
  [2312] = {.lex_state = 7, .external_lex_state = 3},
  [2313] = {.lex_state = 12, .external_lex_state = 5},
  [2314] = {.lex_state = 12, .external_lex_state = 5},
  [2315] = {.lex_state = 7, .external_lex_state = 3},
  [2316] = {.lex_state = 7, .external_lex_state = 3},
  [2317] = {.lex_state = 7, .external_lex_state = 3},
  [2318] = {.lex_state = 7, .external_lex_state = 3},
  [2319] = {.lex_state = 7, .external_lex_state = 4},
  [2320] = {.lex_state = 7, .external_lex_state = 4},
  [2321] = {.lex_state = 7, .external_lex_state = 4},
  [2322] = {.lex_state = 7, .external_lex_state = 4},
  [2323] = {.lex_state = 7, .external_lex_state = 4},
  [2324] = {.lex_state = 7, .external_lex_state = 4},
  [2325] = {.lex_state = 7, .external_lex_state = 4},
  [2326] = {.lex_state = 7, .external_lex_state = 4},
  [2327] = {.lex_state = 7, .external_lex_state = 4},
  [2328] = {.lex_state = 7, .external_lex_state = 4},
  [2329] = {.lex_state = 7, .external_lex_state = 4},
  [2330] = {.lex_state = 7, .external_lex_state = 3},
  [2331] = {.lex_state = 12, .external_lex_state = 5},
  [2332] = {.lex_state = 7, .external_lex_state = 3},
  [2333] = {.lex_state = 7, .external_lex_state = 3},
  [2334] = {.lex_state = 12, .external_lex_state = 2},
  [2335] = {.lex_state = 7, .external_lex_state = 3},
  [2336] = {.lex_state = 12, .external_lex_state = 2},
  [2337] = {.lex_state = 149, .external_lex_state = 2},
  [2338] = {.lex_state = 7, .external_lex_state = 4},
  [2339] = {.lex_state = 7, .external_lex_state = 4},
  [2340] = {.lex_state = 8, .external_lex_state = 4},
  [2341] = {.lex_state = 7, .external_lex_state = 4},
  [2342] = {.lex_state = 7, .external_lex_state = 3},
  [2343] = {.lex_state = 12, .external_lex_state = 5},
  [2344] = {.lex_state = 12, .external_lex_state = 5},
  [2345] = {.lex_state = 12, .external_lex_state = 5},
  [2346] = {.lex_state = 7, .external_lex_state = 3},
  [2347] = {.lex_state = 7, .external_lex_state = 3},
  [2348] = {.lex_state = 7, .external_lex_state = 3},
  [2349] = {.lex_state = 7, .external_lex_state = 3},
  [2350] = {.lex_state = 7, .external_lex_state = 4},
  [2351] = {.lex_state = 7, .external_lex_state = 3},
  [2352] = {.lex_state = 7, .external_lex_state = 3},
  [2353] = {.lex_state = 7, .external_lex_state = 3},
  [2354] = {.lex_state = 7, .external_lex_state = 4},
  [2355] = {.lex_state = 7, .external_lex_state = 4},
  [2356] = {.lex_state = 7, .external_lex_state = 3},
  [2357] = {.lex_state = 7, .external_lex_state = 3},
  [2358] = {.lex_state = 12, .external_lex_state = 5},
  [2359] = {.lex_state = 7, .external_lex_state = 3},
  [2360] = {.lex_state = 7, .external_lex_state = 3},
  [2361] = {.lex_state = 7, .external_lex_state = 3},
  [2362] = {.lex_state = 7, .external_lex_state = 3},
  [2363] = {.lex_state = 7, .external_lex_state = 3},
  [2364] = {.lex_state = 7, .external_lex_state = 3},
  [2365] = {.lex_state = 7, .external_lex_state = 3},
  [2366] = {.lex_state = 7, .external_lex_state = 3},
  [2367] = {.lex_state = 7, .external_lex_state = 3},
  [2368] = {.lex_state = 7, .external_lex_state = 3},
  [2369] = {.lex_state = 7, .external_lex_state = 3},
  [2370] = {.lex_state = 7, .external_lex_state = 3},
  [2371] = {.lex_state = 7, .external_lex_state = 3},
  [2372] = {.lex_state = 7, .external_lex_state = 3},
  [2373] = {.lex_state = 7, .external_lex_state = 3},
  [2374] = {.lex_state = 7, .external_lex_state = 3},
  [2375] = {.lex_state = 12, .external_lex_state = 2},
  [2376] = {.lex_state = 7, .external_lex_state = 3},
  [2377] = {.lex_state = 7, .external_lex_state = 4},
  [2378] = {.lex_state = 12, .external_lex_state = 2},
  [2379] = {.lex_state = 7, .external_lex_state = 4},
  [2380] = {.lex_state = 7, .external_lex_state = 3},
  [2381] = {.lex_state = 7, .external_lex_state = 3},
  [2382] = {.lex_state = 12, .external_lex_state = 5},
  [2383] = {.lex_state = 7, .external_lex_state = 3},
  [2384] = {.lex_state = 7, .external_lex_state = 3},
  [2385] = {.lex_state = 7, .external_lex_state = 3},
  [2386] = {.lex_state = 12, .external_lex_state = 2},
  [2387] = {.lex_state = 7, .external_lex_state = 4},
  [2388] = {.lex_state = 7, .external_lex_state = 3},
  [2389] = {.lex_state = 7, .external_lex_state = 3},
  [2390] = {.lex_state = 12, .external_lex_state = 5},
  [2391] = {.lex_state = 7, .external_lex_state = 3},
  [2392] = {.lex_state = 12, .external_lex_state = 5},
  [2393] = {.lex_state = 12, .external_lex_state = 5},
  [2394] = {.lex_state = 7, .external_lex_state = 3},
  [2395] = {.lex_state = 12, .external_lex_state = 5},
  [2396] = {.lex_state = 149, .external_lex_state = 2},
  [2397] = {.lex_state = 12, .external_lex_state = 5},
  [2398] = {.lex_state = 12, .external_lex_state = 5},
  [2399] = {.lex_state = 12, .external_lex_state = 5},
  [2400] = {.lex_state = 12, .external_lex_state = 2},
  [2401] = {.lex_state = 12, .external_lex_state = 5},
  [2402] = {.lex_state = 7, .external_lex_state = 3},
  [2403] = {.lex_state = 12, .external_lex_state = 5},
  [2404] = {.lex_state = 7, .external_lex_state = 3},
  [2405] = {.lex_state = 12, .external_lex_state = 2},
  [2406] = {.lex_state = 12, .external_lex_state = 5},
  [2407] = {.lex_state = 12, .external_lex_state = 5},
  [2408] = {.lex_state = 7, .external_lex_state = 3},
  [2409] = {.lex_state = 12, .external_lex_state = 5},
  [2410] = {.lex_state = 12, .external_lex_state = 5},
  [2411] = {.lex_state = 7, .external_lex_state = 4},
  [2412] = {.lex_state = 7, .external_lex_state = 4},
  [2413] = {.lex_state = 7, .external_lex_state = 4},
  [2414] = {.lex_state = 12, .external_lex_state = 5},
  [2415] = {.lex_state = 12, .external_lex_state = 5},
  [2416] = {.lex_state = 7, .external_lex_state = 4},
  [2417] = {.lex_state = 12, .external_lex_state = 5},
  [2418] = {.lex_state = 12, .external_lex_state = 5},
  [2419] = {.lex_state = 7, .external_lex_state = 4},
  [2420] = {.lex_state = 12, .external_lex_state = 5},
  [2421] = {.lex_state = 12, .external_lex_state = 5},
  [2422] = {.lex_state = 7, .external_lex_state = 3},
  [2423] = {.lex_state = 7, .external_lex_state = 3},
  [2424] = {.lex_state = 7, .external_lex_state = 3},
  [2425] = {.lex_state = 12, .external_lex_state = 2},
  [2426] = {.lex_state = 12, .external_lex_state = 2},
  [2427] = {.lex_state = 149, .external_lex_state = 2},
  [2428] = {.lex_state = 12, .external_lex_state = 5},
  [2429] = {.lex_state = 7, .external_lex_state = 3},
  [2430] = {.lex_state = 8, .external_lex_state = 3},
  [2431] = {.lex_state = 7, .external_lex_state = 4},
  [2432] = {.lex_state = 7, .external_lex_state = 3},
  [2433] = {.lex_state = 7, .external_lex_state = 4},
  [2434] = {.lex_state = 7, .external_lex_state = 3},
  [2435] = {.lex_state = 7, .external_lex_state = 3},
  [2436] = {.lex_state = 7, .external_lex_state = 3},
  [2437] = {.lex_state = 7, .external_lex_state = 3},
  [2438] = {.lex_state = 7, .external_lex_state = 3},
  [2439] = {.lex_state = 7, .external_lex_state = 3},
  [2440] = {.lex_state = 7, .external_lex_state = 3},
  [2441] = {.lex_state = 7, .external_lex_state = 3},
  [2442] = {.lex_state = 7, .external_lex_state = 3},
  [2443] = {.lex_state = 7, .external_lex_state = 3},
  [2444] = {.lex_state = 7, .external_lex_state = 3},
  [2445] = {.lex_state = 7, .external_lex_state = 3},
  [2446] = {.lex_state = 7, .external_lex_state = 3},
  [2447] = {.lex_state = 7, .external_lex_state = 3},
  [2448] = {.lex_state = 7, .external_lex_state = 3},
  [2449] = {.lex_state = 7, .external_lex_state = 3},
  [2450] = {.lex_state = 7, .external_lex_state = 3},
  [2451] = {.lex_state = 7, .external_lex_state = 3},
  [2452] = {.lex_state = 7, .external_lex_state = 3},
  [2453] = {.lex_state = 7, .external_lex_state = 3},
  [2454] = {.lex_state = 7, .external_lex_state = 3},
  [2455] = {.lex_state = 7, .external_lex_state = 3},
  [2456] = {.lex_state = 7, .external_lex_state = 3},
  [2457] = {.lex_state = 7, .external_lex_state = 3},
  [2458] = {.lex_state = 7, .external_lex_state = 3},
  [2459] = {.lex_state = 7, .external_lex_state = 3},
  [2460] = {.lex_state = 7, .external_lex_state = 4},
  [2461] = {.lex_state = 12, .external_lex_state = 5},
  [2462] = {.lex_state = 12, .external_lex_state = 5},
  [2463] = {.lex_state = 7, .external_lex_state = 4},
  [2464] = {.lex_state = 12, .external_lex_state = 5},
  [2465] = {.lex_state = 7, .external_lex_state = 3},
  [2466] = {.lex_state = 7, .external_lex_state = 3},
  [2467] = {.lex_state = 7, .external_lex_state = 3},
  [2468] = {.lex_state = 7, .external_lex_state = 3},
  [2469] = {.lex_state = 7, .external_lex_state = 3},
  [2470] = {.lex_state = 7, .external_lex_state = 3},
  [2471] = {.lex_state = 7, .external_lex_state = 3},
  [2472] = {.lex_state = 7, .external_lex_state = 3},
  [2473] = {.lex_state = 7, .external_lex_state = 3},
  [2474] = {.lex_state = 7, .external_lex_state = 3},
  [2475] = {.lex_state = 7, .external_lex_state = 3},
  [2476] = {.lex_state = 7, .external_lex_state = 3},
  [2477] = {.lex_state = 7, .external_lex_state = 3},
  [2478] = {.lex_state = 7, .external_lex_state = 3},
  [2479] = {.lex_state = 7, .external_lex_state = 3},
  [2480] = {.lex_state = 7, .external_lex_state = 3},
  [2481] = {.lex_state = 12, .external_lex_state = 2},
  [2482] = {.lex_state = 7, .external_lex_state = 3},
  [2483] = {.lex_state = 7, .external_lex_state = 3},
  [2484] = {.lex_state = 7, .external_lex_state = 3},
  [2485] = {.lex_state = 7, .external_lex_state = 3},
  [2486] = {.lex_state = 149, .external_lex_state = 5},
  [2487] = {.lex_state = 149, .external_lex_state = 5},
  [2488] = {.lex_state = 7, .external_lex_state = 3},
  [2489] = {.lex_state = 7, .external_lex_state = 3},
  [2490] = {.lex_state = 7, .external_lex_state = 3},
  [2491] = {.lex_state = 7, .external_lex_state = 3},
  [2492] = {.lex_state = 7, .external_lex_state = 3},
  [2493] = {.lex_state = 149, .external_lex_state = 2},
  [2494] = {.lex_state = 7, .external_lex_state = 3},
  [2495] = {.lex_state = 149, .external_lex_state = 2},
  [2496] = {.lex_state = 12, .external_lex_state = 5},
  [2497] = {.lex_state = 7, .external_lex_state = 3},
  [2498] = {.lex_state = 149, .external_lex_state = 2},
  [2499] = {.lex_state = 7, .external_lex_state = 3},
  [2500] = {.lex_state = 12, .external_lex_state = 5},
  [2501] = {.lex_state = 7, .external_lex_state = 3},
  [2502] = {.lex_state = 7, .external_lex_state = 3},
  [2503] = {.lex_state = 7, .external_lex_state = 3},
  [2504] = {.lex_state = 7, .external_lex_state = 3},
  [2505] = {.lex_state = 7, .external_lex_state = 3},
  [2506] = {.lex_state = 7, .external_lex_state = 3},
  [2507] = {.lex_state = 7, .external_lex_state = 3},
  [2508] = {.lex_state = 7, .external_lex_state = 3},
  [2509] = {.lex_state = 7, .external_lex_state = 3},
  [2510] = {.lex_state = 7, .external_lex_state = 3},
  [2511] = {.lex_state = 7, .external_lex_state = 3},
  [2512] = {.lex_state = 7, .external_lex_state = 3},
  [2513] = {.lex_state = 7, .external_lex_state = 3},
  [2514] = {.lex_state = 7, .external_lex_state = 3},
  [2515] = {.lex_state = 7, .external_lex_state = 3},
  [2516] = {.lex_state = 7, .external_lex_state = 3},
  [2517] = {.lex_state = 7, .external_lex_state = 3},
  [2518] = {.lex_state = 7, .external_lex_state = 3},
  [2519] = {.lex_state = 7, .external_lex_state = 3},
  [2520] = {.lex_state = 7, .external_lex_state = 3},
  [2521] = {.lex_state = 7, .external_lex_state = 3},
  [2522] = {.lex_state = 7, .external_lex_state = 3},
  [2523] = {.lex_state = 7, .external_lex_state = 3},
  [2524] = {.lex_state = 7, .external_lex_state = 3},
  [2525] = {.lex_state = 7, .external_lex_state = 3},
  [2526] = {.lex_state = 7, .external_lex_state = 3},
  [2527] = {.lex_state = 7, .external_lex_state = 3},
  [2528] = {.lex_state = 7, .external_lex_state = 3},
  [2529] = {.lex_state = 7, .external_lex_state = 3},
  [2530] = {.lex_state = 7, .external_lex_state = 3},
  [2531] = {.lex_state = 12, .external_lex_state = 2},
  [2532] = {.lex_state = 12, .external_lex_state = 2},
  [2533] = {.lex_state = 12, .external_lex_state = 2},
  [2534] = {.lex_state = 12, .external_lex_state = 2},
  [2535] = {.lex_state = 12, .external_lex_state = 2},
  [2536] = {.lex_state = 7, .external_lex_state = 3},
  [2537] = {.lex_state = 7, .external_lex_state = 3},
  [2538] = {.lex_state = 7, .external_lex_state = 3},
  [2539] = {.lex_state = 7, .external_lex_state = 3},
  [2540] = {.lex_state = 7, .external_lex_state = 3},
  [2541] = {.lex_state = 149, .external_lex_state = 5},
  [2542] = {.lex_state = 149, .external_lex_state = 5},
  [2543] = {.lex_state = 149, .external_lex_state = 5},
  [2544] = {.lex_state = 149, .external_lex_state = 5},
  [2545] = {.lex_state = 7, .external_lex_state = 3},
  [2546] = {.lex_state = 7, .external_lex_state = 3},
  [2547] = {.lex_state = 7, .external_lex_state = 3},
  [2548] = {.lex_state = 7, .external_lex_state = 3},
  [2549] = {.lex_state = 7, .external_lex_state = 3},
  [2550] = {.lex_state = 7, .external_lex_state = 3},
  [2551] = {.lex_state = 7, .external_lex_state = 3},
  [2552] = {.lex_state = 7, .external_lex_state = 3},
  [2553] = {.lex_state = 7, .external_lex_state = 3},
  [2554] = {.lex_state = 7, .external_lex_state = 3},
  [2555] = {.lex_state = 7, .external_lex_state = 4},
  [2556] = {.lex_state = 7, .external_lex_state = 3},
  [2557] = {.lex_state = 149, .external_lex_state = 5},
  [2558] = {.lex_state = 149, .external_lex_state = 5},
  [2559] = {.lex_state = 149, .external_lex_state = 5},
  [2560] = {.lex_state = 149, .external_lex_state = 5},
  [2561] = {.lex_state = 7, .external_lex_state = 3},
  [2562] = {.lex_state = 7, .external_lex_state = 3},
  [2563] = {.lex_state = 7, .external_lex_state = 3},
  [2564] = {.lex_state = 7, .external_lex_state = 3},
  [2565] = {.lex_state = 7, .external_lex_state = 3},
  [2566] = {.lex_state = 12, .external_lex_state = 2},
  [2567] = {.lex_state = 149, .external_lex_state = 5},
  [2568] = {.lex_state = 8, .external_lex_state = 3},
  [2569] = {.lex_state = 149, .external_lex_state = 5},
  [2570] = {.lex_state = 149, .external_lex_state = 5},
  [2571] = {.lex_state = 149, .external_lex_state = 5},
  [2572] = {.lex_state = 149, .external_lex_state = 5},
  [2573] = {.lex_state = 149, .external_lex_state = 5},
  [2574] = {.lex_state = 149, .external_lex_state = 5},
  [2575] = {.lex_state = 12, .external_lex_state = 2},
  [2576] = {.lex_state = 12, .external_lex_state = 2},
  [2577] = {.lex_state = 12, .external_lex_state = 2},
  [2578] = {.lex_state = 149, .external_lex_state = 5},
  [2579] = {.lex_state = 12, .external_lex_state = 2},
  [2580] = {.lex_state = 12, .external_lex_state = 2},
  [2581] = {.lex_state = 12, .external_lex_state = 2},
  [2582] = {.lex_state = 12, .external_lex_state = 2},
  [2583] = {.lex_state = 149, .external_lex_state = 5},
  [2584] = {.lex_state = 7, .external_lex_state = 3},
  [2585] = {.lex_state = 12, .external_lex_state = 2},
  [2586] = {.lex_state = 149, .external_lex_state = 5},
  [2587] = {.lex_state = 149, .external_lex_state = 5},
  [2588] = {.lex_state = 12, .external_lex_state = 2},
  [2589] = {.lex_state = 12, .external_lex_state = 2},
  [2590] = {.lex_state = 149, .external_lex_state = 5},
  [2591] = {.lex_state = 149, .external_lex_state = 5},
  [2592] = {.lex_state = 7, .external_lex_state = 3},
  [2593] = {.lex_state = 149, .external_lex_state = 5},
  [2594] = {.lex_state = 12, .external_lex_state = 2},
  [2595] = {.lex_state = 12, .external_lex_state = 2},
  [2596] = {.lex_state = 7, .external_lex_state = 3},
  [2597] = {.lex_state = 12, .external_lex_state = 2},
  [2598] = {.lex_state = 12, .external_lex_state = 2},
  [2599] = {.lex_state = 149, .external_lex_state = 5},
  [2600] = {.lex_state = 149, .external_lex_state = 5},
  [2601] = {.lex_state = 7, .external_lex_state = 3},
  [2602] = {.lex_state = 7, .external_lex_state = 3},
  [2603] = {.lex_state = 12, .external_lex_state = 2},
  [2604] = {.lex_state = 12, .external_lex_state = 5},
  [2605] = {.lex_state = 7, .external_lex_state = 3},
  [2606] = {.lex_state = 12, .external_lex_state = 5},
  [2607] = {.lex_state = 12, .external_lex_state = 5},
  [2608] = {.lex_state = 7, .external_lex_state = 3},
  [2609] = {.lex_state = 12, .external_lex_state = 2},
  [2610] = {.lex_state = 12, .external_lex_state = 5},
  [2611] = {.lex_state = 12, .external_lex_state = 5},
  [2612] = {.lex_state = 12, .external_lex_state = 5},
  [2613] = {.lex_state = 12, .external_lex_state = 5},
  [2614] = {.lex_state = 12, .external_lex_state = 5},
  [2615] = {.lex_state = 12, .external_lex_state = 5},
  [2616] = {.lex_state = 12, .external_lex_state = 5},
  [2617] = {.lex_state = 12, .external_lex_state = 5},
  [2618] = {.lex_state = 12, .external_lex_state = 5},
  [2619] = {.lex_state = 7, .external_lex_state = 3},
  [2620] = {.lex_state = 12, .external_lex_state = 5},
  [2621] = {.lex_state = 12, .external_lex_state = 5},
  [2622] = {.lex_state = 12, .external_lex_state = 5},
  [2623] = {.lex_state = 12, .external_lex_state = 5},
  [2624] = {.lex_state = 12, .external_lex_state = 5},
  [2625] = {.lex_state = 12, .external_lex_state = 5},
  [2626] = {.lex_state = 12, .external_lex_state = 5},
  [2627] = {.lex_state = 7, .external_lex_state = 3},
  [2628] = {.lex_state = 12, .external_lex_state = 5},
  [2629] = {.lex_state = 12, .external_lex_state = 5},
  [2630] = {.lex_state = 12, .external_lex_state = 5},
  [2631] = {.lex_state = 12, .external_lex_state = 5},
  [2632] = {.lex_state = 12, .external_lex_state = 5},
  [2633] = {.lex_state = 12, .external_lex_state = 5},
  [2634] = {.lex_state = 12, .external_lex_state = 5},
  [2635] = {.lex_state = 7, .external_lex_state = 3},
  [2636] = {.lex_state = 12, .external_lex_state = 5},
  [2637] = {.lex_state = 12, .external_lex_state = 5},
  [2638] = {.lex_state = 7, .external_lex_state = 3},
  [2639] = {.lex_state = 12, .external_lex_state = 5},
  [2640] = {.lex_state = 12, .external_lex_state = 5},
  [2641] = {.lex_state = 12, .external_lex_state = 5},
  [2642] = {.lex_state = 12, .external_lex_state = 5},
  [2643] = {.lex_state = 7, .external_lex_state = 3},
  [2644] = {.lex_state = 12, .external_lex_state = 5},
  [2645] = {.lex_state = 12, .external_lex_state = 5},
  [2646] = {.lex_state = 12, .external_lex_state = 5},
  [2647] = {.lex_state = 12, .external_lex_state = 5},
  [2648] = {.lex_state = 7, .external_lex_state = 3},
  [2649] = {.lex_state = 12, .external_lex_state = 5},
  [2650] = {.lex_state = 12, .external_lex_state = 5},
  [2651] = {.lex_state = 12, .external_lex_state = 5},
  [2652] = {.lex_state = 12, .external_lex_state = 5},
  [2653] = {.lex_state = 12, .external_lex_state = 5},
  [2654] = {.lex_state = 12, .external_lex_state = 5},
  [2655] = {.lex_state = 12, .external_lex_state = 5},
  [2656] = {.lex_state = 12, .external_lex_state = 5},
  [2657] = {.lex_state = 12, .external_lex_state = 5},
  [2658] = {.lex_state = 12, .external_lex_state = 5},
  [2659] = {.lex_state = 12, .external_lex_state = 2},
  [2660] = {.lex_state = 12, .external_lex_state = 5},
  [2661] = {.lex_state = 7, .external_lex_state = 3},
  [2662] = {.lex_state = 12, .external_lex_state = 5},
  [2663] = {.lex_state = 12, .external_lex_state = 5},
  [2664] = {.lex_state = 12, .external_lex_state = 5},
  [2665] = {.lex_state = 7, .external_lex_state = 3},
  [2666] = {.lex_state = 12, .external_lex_state = 5},
  [2667] = {.lex_state = 12, .external_lex_state = 2},
  [2668] = {.lex_state = 12, .external_lex_state = 5},
  [2669] = {.lex_state = 7, .external_lex_state = 3},
  [2670] = {.lex_state = 12, .external_lex_state = 2},
  [2671] = {.lex_state = 12, .external_lex_state = 2},
  [2672] = {.lex_state = 12, .external_lex_state = 2},
  [2673] = {.lex_state = 12, .external_lex_state = 2},
  [2674] = {.lex_state = 12, .external_lex_state = 2},
  [2675] = {.lex_state = 12, .external_lex_state = 2},
  [2676] = {.lex_state = 12, .external_lex_state = 2},
  [2677] = {.lex_state = 12, .external_lex_state = 2},
  [2678] = {.lex_state = 12, .external_lex_state = 2},
  [2679] = {.lex_state = 12, .external_lex_state = 2},
  [2680] = {.lex_state = 12, .external_lex_state = 2},
  [2681] = {.lex_state = 12, .external_lex_state = 2},
  [2682] = {.lex_state = 149, .external_lex_state = 2},
  [2683] = {.lex_state = 12, .external_lex_state = 2},
  [2684] = {.lex_state = 149, .external_lex_state = 2},
  [2685] = {.lex_state = 12, .external_lex_state = 2},
  [2686] = {.lex_state = 12, .external_lex_state = 2},
  [2687] = {.lex_state = 12, .external_lex_state = 2},
  [2688] = {.lex_state = 12, .external_lex_state = 2},
  [2689] = {.lex_state = 12, .external_lex_state = 2},
  [2690] = {.lex_state = 12, .external_lex_state = 2},
  [2691] = {.lex_state = 12, .external_lex_state = 2},
  [2692] = {.lex_state = 12, .external_lex_state = 2},
  [2693] = {.lex_state = 12, .external_lex_state = 2},
  [2694] = {.lex_state = 149, .external_lex_state = 2},
  [2695] = {.lex_state = 12, .external_lex_state = 2},
  [2696] = {.lex_state = 12, .external_lex_state = 2},
  [2697] = {.lex_state = 12, .external_lex_state = 2},
  [2698] = {.lex_state = 12, .external_lex_state = 2},
  [2699] = {.lex_state = 12, .external_lex_state = 2},
  [2700] = {.lex_state = 12, .external_lex_state = 2},
  [2701] = {.lex_state = 12, .external_lex_state = 2},
  [2702] = {.lex_state = 149, .external_lex_state = 2},
  [2703] = {.lex_state = 12, .external_lex_state = 2},
  [2704] = {.lex_state = 12, .external_lex_state = 2},
  [2705] = {.lex_state = 149, .external_lex_state = 2},
  [2706] = {.lex_state = 12, .external_lex_state = 2},
  [2707] = {.lex_state = 12, .external_lex_state = 2},
  [2708] = {.lex_state = 12, .external_lex_state = 2},
  [2709] = {.lex_state = 12, .external_lex_state = 2},
  [2710] = {.lex_state = 12, .external_lex_state = 2},
  [2711] = {.lex_state = 12, .external_lex_state = 2},
  [2712] = {.lex_state = 12, .external_lex_state = 2},
  [2713] = {.lex_state = 12, .external_lex_state = 2},
  [2714] = {.lex_state = 12, .external_lex_state = 2},
  [2715] = {.lex_state = 12, .external_lex_state = 2},
  [2716] = {.lex_state = 12, .external_lex_state = 2},
  [2717] = {.lex_state = 12, .external_lex_state = 2},
  [2718] = {.lex_state = 12, .external_lex_state = 2},
  [2719] = {.lex_state = 12, .external_lex_state = 2},
  [2720] = {.lex_state = 12, .external_lex_state = 2},
  [2721] = {.lex_state = 12, .external_lex_state = 2},
  [2722] = {.lex_state = 12, .external_lex_state = 2},
  [2723] = {.lex_state = 12, .external_lex_state = 2},
  [2724] = {.lex_state = 149, .external_lex_state = 2},
  [2725] = {.lex_state = 149, .external_lex_state = 2},
  [2726] = {.lex_state = 149, .external_lex_state = 2},
  [2727] = {.lex_state = 149, .external_lex_state = 2},
  [2728] = {.lex_state = 149, .external_lex_state = 2},
  [2729] = {.lex_state = 149, .external_lex_state = 2},
  [2730] = {.lex_state = 149, .external_lex_state = 2},
  [2731] = {.lex_state = 149, .external_lex_state = 2},
  [2732] = {.lex_state = 149, .external_lex_state = 2},
  [2733] = {.lex_state = 149, .external_lex_state = 2},
  [2734] = {.lex_state = 149, .external_lex_state = 2},
  [2735] = {.lex_state = 149, .external_lex_state = 2},
  [2736] = {.lex_state = 149, .external_lex_state = 2},
  [2737] = {.lex_state = 149, .external_lex_state = 2},
  [2738] = {.lex_state = 149, .external_lex_state = 2},
  [2739] = {.lex_state = 149, .external_lex_state = 2},
  [2740] = {.lex_state = 149, .external_lex_state = 2},
  [2741] = {.lex_state = 149, .external_lex_state = 2},
  [2742] = {.lex_state = 149, .external_lex_state = 2},
  [2743] = {.lex_state = 149, .external_lex_state = 2},
  [2744] = {.lex_state = 149, .external_lex_state = 2},
  [2745] = {.lex_state = 149, .external_lex_state = 2},
  [2746] = {.lex_state = 149, .external_lex_state = 2},
  [2747] = {.lex_state = 149, .external_lex_state = 2},
  [2748] = {.lex_state = 149, .external_lex_state = 2},
  [2749] = {.lex_state = 149, .external_lex_state = 2},
  [2750] = {.lex_state = 149, .external_lex_state = 2},
  [2751] = {.lex_state = 149, .external_lex_state = 2},
  [2752] = {.lex_state = 149, .external_lex_state = 2},
  [2753] = {.lex_state = 149, .external_lex_state = 2},
  [2754] = {.lex_state = 149, .external_lex_state = 2},
  [2755] = {.lex_state = 149, .external_lex_state = 2},
  [2756] = {.lex_state = 149, .external_lex_state = 2},
  [2757] = {.lex_state = 149, .external_lex_state = 2},
  [2758] = {.lex_state = 149, .external_lex_state = 2},
  [2759] = {.lex_state = 149, .external_lex_state = 2},
  [2760] = {.lex_state = 149, .external_lex_state = 2},
  [2761] = {.lex_state = 149, .external_lex_state = 2},
  [2762] = {.lex_state = 149, .external_lex_state = 2},
  [2763] = {.lex_state = 149, .external_lex_state = 2},
  [2764] = {.lex_state = 149, .external_lex_state = 2},
  [2765] = {.lex_state = 12, .external_lex_state = 2},
  [2766] = {.lex_state = 149, .external_lex_state = 2},
  [2767] = {.lex_state = 149, .external_lex_state = 2},
  [2768] = {.lex_state = 149, .external_lex_state = 2},
  [2769] = {.lex_state = 149, .external_lex_state = 2},
  [2770] = {.lex_state = 149, .external_lex_state = 2},
  [2771] = {.lex_state = 149, .external_lex_state = 2},
  [2772] = {.lex_state = 149, .external_lex_state = 2},
  [2773] = {.lex_state = 149, .external_lex_state = 2},
  [2774] = {.lex_state = 149, .external_lex_state = 2},
  [2775] = {.lex_state = 149, .external_lex_state = 2},
  [2776] = {.lex_state = 149, .external_lex_state = 2},
  [2777] = {.lex_state = 149, .external_lex_state = 2},
  [2778] = {.lex_state = 149, .external_lex_state = 2},
  [2779] = {.lex_state = 149, .external_lex_state = 2},
  [2780] = {.lex_state = 149, .external_lex_state = 2},
  [2781] = {.lex_state = 149, .external_lex_state = 2},
  [2782] = {.lex_state = 149, .external_lex_state = 2},
  [2783] = {.lex_state = 149, .external_lex_state = 2},
  [2784] = {.lex_state = 149, .external_lex_state = 2},
  [2785] = {.lex_state = 149, .external_lex_state = 2},
  [2786] = {.lex_state = 149, .external_lex_state = 2},
  [2787] = {.lex_state = 149, .external_lex_state = 2},
  [2788] = {.lex_state = 149, .external_lex_state = 2},
  [2789] = {.lex_state = 149, .external_lex_state = 2},
  [2790] = {.lex_state = 149, .external_lex_state = 2},
  [2791] = {.lex_state = 149, .external_lex_state = 2},
  [2792] = {.lex_state = 149, .external_lex_state = 2},
  [2793] = {.lex_state = 149, .external_lex_state = 2},
  [2794] = {.lex_state = 149, .external_lex_state = 2},
  [2795] = {.lex_state = 149, .external_lex_state = 2},
  [2796] = {.lex_state = 149, .external_lex_state = 2},
  [2797] = {.lex_state = 149, .external_lex_state = 2},
  [2798] = {.lex_state = 149, .external_lex_state = 2},
  [2799] = {.lex_state = 149, .external_lex_state = 2},
  [2800] = {.lex_state = 149, .external_lex_state = 2},
  [2801] = {.lex_state = 149, .external_lex_state = 2},
  [2802] = {.lex_state = 149, .external_lex_state = 2},
  [2803] = {.lex_state = 149, .external_lex_state = 2},
  [2804] = {.lex_state = 149, .external_lex_state = 2},
  [2805] = {.lex_state = 149, .external_lex_state = 2},
  [2806] = {.lex_state = 149, .external_lex_state = 2},
  [2807] = {.lex_state = 149, .external_lex_state = 2},
  [2808] = {.lex_state = 149, .external_lex_state = 2},
  [2809] = {.lex_state = 149, .external_lex_state = 2},
  [2810] = {.lex_state = 149, .external_lex_state = 2},
  [2811] = {.lex_state = 149, .external_lex_state = 2},
  [2812] = {.lex_state = 149, .external_lex_state = 2},
  [2813] = {.lex_state = 149, .external_lex_state = 2},
  [2814] = {.lex_state = 149, .external_lex_state = 2},
  [2815] = {.lex_state = 149, .external_lex_state = 2},
  [2816] = {.lex_state = 149, .external_lex_state = 2},
  [2817] = {.lex_state = 149, .external_lex_state = 2},
  [2818] = {.lex_state = 149, .external_lex_state = 2},
  [2819] = {.lex_state = 149, .external_lex_state = 2},
  [2820] = {.lex_state = 149, .external_lex_state = 2},
  [2821] = {.lex_state = 149, .external_lex_state = 2},
  [2822] = {.lex_state = 149, .external_lex_state = 2},
  [2823] = {.lex_state = 149, .external_lex_state = 2},
  [2824] = {.lex_state = 149, .external_lex_state = 2},
  [2825] = {.lex_state = 149, .external_lex_state = 2},
  [2826] = {.lex_state = 149, .external_lex_state = 2},
  [2827] = {.lex_state = 149, .external_lex_state = 2},
  [2828] = {.lex_state = 149, .external_lex_state = 2},
  [2829] = {.lex_state = 149, .external_lex_state = 2},
  [2830] = {.lex_state = 149, .external_lex_state = 2},
  [2831] = {.lex_state = 149, .external_lex_state = 2},
  [2832] = {.lex_state = 149, .external_lex_state = 2},
  [2833] = {.lex_state = 15, .external_lex_state = 2},
  [2834] = {.lex_state = 15, .external_lex_state = 2},
  [2835] = {.lex_state = 15, .external_lex_state = 2},
  [2836] = {.lex_state = 15, .external_lex_state = 2},
  [2837] = {.lex_state = 15, .external_lex_state = 2},
  [2838] = {.lex_state = 15, .external_lex_state = 2},
  [2839] = {.lex_state = 15, .external_lex_state = 2},
  [2840] = {.lex_state = 15, .external_lex_state = 2},
  [2841] = {.lex_state = 15, .external_lex_state = 2},
  [2842] = {.lex_state = 15, .external_lex_state = 2},
  [2843] = {.lex_state = 15, .external_lex_state = 2},
  [2844] = {.lex_state = 15, .external_lex_state = 2},
  [2845] = {.lex_state = 15, .external_lex_state = 2},
  [2846] = {.lex_state = 15, .external_lex_state = 2},
  [2847] = {.lex_state = 15, .external_lex_state = 2},
  [2848] = {.lex_state = 15, .external_lex_state = 2},
  [2849] = {.lex_state = 15, .external_lex_state = 2},
  [2850] = {.lex_state = 15, .external_lex_state = 2},
  [2851] = {.lex_state = 15, .external_lex_state = 2},
  [2852] = {.lex_state = 15, .external_lex_state = 2},
  [2853] = {.lex_state = 15, .external_lex_state = 2},
  [2854] = {.lex_state = 15, .external_lex_state = 2},
  [2855] = {.lex_state = 15, .external_lex_state = 2},
  [2856] = {.lex_state = 15, .external_lex_state = 2},
  [2857] = {.lex_state = 15, .external_lex_state = 2},
  [2858] = {.lex_state = 15, .external_lex_state = 2},
  [2859] = {.lex_state = 15, .external_lex_state = 2},
  [2860] = {.lex_state = 15, .external_lex_state = 2},
  [2861] = {.lex_state = 15, .external_lex_state = 2},
  [2862] = {.lex_state = 15, .external_lex_state = 2},
  [2863] = {.lex_state = 15, .external_lex_state = 2},
  [2864] = {.lex_state = 15, .external_lex_state = 2},
  [2865] = {.lex_state = 15, .external_lex_state = 2},
  [2866] = {.lex_state = 15, .external_lex_state = 2},
  [2867] = {.lex_state = 15, .external_lex_state = 2},
  [2868] = {.lex_state = 15, .external_lex_state = 2},
  [2869] = {.lex_state = 15, .external_lex_state = 2},
  [2870] = {.lex_state = 13, .external_lex_state = 2},
  [2871] = {.lex_state = 13, .external_lex_state = 5},
  [2872] = {.lex_state = 25, .external_lex_state = 2},
  [2873] = {.lex_state = 25, .external_lex_state = 2},
  [2874] = {.lex_state = 13, .external_lex_state = 5},
  [2875] = {.lex_state = 149, .external_lex_state = 2},
  [2876] = {.lex_state = 15, .external_lex_state = 5},
  [2877] = {.lex_state = 149, .external_lex_state = 2},
  [2878] = {.lex_state = 14, .external_lex_state = 2},
  [2879] = {.lex_state = 13, .external_lex_state = 2},
  [2880] = {.lex_state = 149, .external_lex_state = 2},
  [2881] = {.lex_state = 149, .external_lex_state = 2},
  [2882] = {.lex_state = 15, .external_lex_state = 5},
  [2883] = {.lex_state = 14, .external_lex_state = 2},
  [2884] = {.lex_state = 13, .external_lex_state = 2},
  [2885] = {.lex_state = 13, .external_lex_state = 2},
  [2886] = {.lex_state = 14, .external_lex_state = 2},
  [2887] = {.lex_state = 14, .external_lex_state = 2},
  [2888] = {.lex_state = 149, .external_lex_state = 2},
  [2889] = {.lex_state = 13, .external_lex_state = 2},
  [2890] = {.lex_state = 15, .external_lex_state = 5},
  [2891] = {.lex_state = 14, .external_lex_state = 2},
  [2892] = {.lex_state = 15, .external_lex_state = 2},
  [2893] = {.lex_state = 149, .external_lex_state = 2},
  [2894] = {.lex_state = 149, .external_lex_state = 2},
  [2895] = {.lex_state = 149, .external_lex_state = 2},
  [2896] = {.lex_state = 149, .external_lex_state = 2},
  [2897] = {.lex_state = 149, .external_lex_state = 2},
  [2898] = {.lex_state = 149, .external_lex_state = 2},
  [2899] = {.lex_state = 149, .external_lex_state = 2},
  [2900] = {.lex_state = 149, .external_lex_state = 2},
  [2901] = {.lex_state = 149, .external_lex_state = 2},
  [2902] = {.lex_state = 149, .external_lex_state = 2},
  [2903] = {.lex_state = 15, .external_lex_state = 5},
  [2904] = {.lex_state = 149, .external_lex_state = 2},
  [2905] = {.lex_state = 149, .external_lex_state = 2},
  [2906] = {.lex_state = 15, .external_lex_state = 5},
  [2907] = {.lex_state = 15, .external_lex_state = 5},
  [2908] = {.lex_state = 149, .external_lex_state = 2},
  [2909] = {.lex_state = 15, .external_lex_state = 5},
  [2910] = {.lex_state = 15, .external_lex_state = 5},
  [2911] = {.lex_state = 15, .external_lex_state = 5},
  [2912] = {.lex_state = 15, .external_lex_state = 5},
  [2913] = {.lex_state = 15, .external_lex_state = 5},
  [2914] = {.lex_state = 15, .external_lex_state = 5},
  [2915] = {.lex_state = 15, .external_lex_state = 5},
  [2916] = {.lex_state = 15, .external_lex_state = 5},
  [2917] = {.lex_state = 15, .external_lex_state = 5},
  [2918] = {.lex_state = 15, .external_lex_state = 5},
  [2919] = {.lex_state = 149, .external_lex_state = 2},
  [2920] = {.lex_state = 149, .external_lex_state = 2},
  [2921] = {.lex_state = 149, .external_lex_state = 2},
  [2922] = {.lex_state = 149, .external_lex_state = 2},
  [2923] = {.lex_state = 15, .external_lex_state = 5},
  [2924] = {.lex_state = 149, .external_lex_state = 2},
  [2925] = {.lex_state = 4, .external_lex_state = 2},
  [2926] = {.lex_state = 149, .external_lex_state = 2},
  [2927] = {.lex_state = 15, .external_lex_state = 5},
  [2928] = {.lex_state = 15, .external_lex_state = 5},
  [2929] = {.lex_state = 15, .external_lex_state = 5},
  [2930] = {.lex_state = 15, .external_lex_state = 5},
  [2931] = {.lex_state = 15, .external_lex_state = 5},
  [2932] = {.lex_state = 15, .external_lex_state = 5},
  [2933] = {.lex_state = 15, .external_lex_state = 5},
  [2934] = {.lex_state = 15, .external_lex_state = 5},
  [2935] = {.lex_state = 15, .external_lex_state = 5},
  [2936] = {.lex_state = 15, .external_lex_state = 5},
  [2937] = {.lex_state = 15, .external_lex_state = 5},
  [2938] = {.lex_state = 15, .external_lex_state = 5},
  [2939] = {.lex_state = 15, .external_lex_state = 5},
  [2940] = {.lex_state = 15, .external_lex_state = 5},
  [2941] = {.lex_state = 15, .external_lex_state = 5},
  [2942] = {.lex_state = 15, .external_lex_state = 5},
  [2943] = {.lex_state = 15, .external_lex_state = 5},
  [2944] = {.lex_state = 15, .external_lex_state = 5},
  [2945] = {.lex_state = 15, .external_lex_state = 5},
  [2946] = {.lex_state = 15, .external_lex_state = 5},
  [2947] = {.lex_state = 13, .external_lex_state = 5},
  [2948] = {.lex_state = 149, .external_lex_state = 2},
  [2949] = {.lex_state = 4, .external_lex_state = 2},
  [2950] = {.lex_state = 149, .external_lex_state = 2},
  [2951] = {.lex_state = 149, .external_lex_state = 2},
  [2952] = {.lex_state = 149, .external_lex_state = 2},
  [2953] = {.lex_state = 149, .external_lex_state = 2},
  [2954] = {.lex_state = 149, .external_lex_state = 2},
  [2955] = {.lex_state = 149, .external_lex_state = 2},
  [2956] = {.lex_state = 149, .external_lex_state = 2},
  [2957] = {.lex_state = 4, .external_lex_state = 2},
  [2958] = {.lex_state = 149, .external_lex_state = 2},
  [2959] = {.lex_state = 149, .external_lex_state = 2},
  [2960] = {.lex_state = 149, .external_lex_state = 2},
  [2961] = {.lex_state = 149, .external_lex_state = 2},
  [2962] = {.lex_state = 149, .external_lex_state = 2},
  [2963] = {.lex_state = 149, .external_lex_state = 2},
  [2964] = {.lex_state = 149, .external_lex_state = 2},
  [2965] = {.lex_state = 149, .external_lex_state = 2},
  [2966] = {.lex_state = 149, .external_lex_state = 2},
  [2967] = {.lex_state = 149, .external_lex_state = 2},
  [2968] = {.lex_state = 149, .external_lex_state = 2},
  [2969] = {.lex_state = 149, .external_lex_state = 2},
  [2970] = {.lex_state = 149, .external_lex_state = 2},
  [2971] = {.lex_state = 4, .external_lex_state = 2},
  [2972] = {.lex_state = 149, .external_lex_state = 2},
  [2973] = {.lex_state = 149, .external_lex_state = 2},
  [2974] = {.lex_state = 149, .external_lex_state = 2},
  [2975] = {.lex_state = 149, .external_lex_state = 2},
  [2976] = {.lex_state = 4, .external_lex_state = 2},
  [2977] = {.lex_state = 149, .external_lex_state = 2},
  [2978] = {.lex_state = 149, .external_lex_state = 2},
  [2979] = {.lex_state = 149, .external_lex_state = 2},
  [2980] = {.lex_state = 149, .external_lex_state = 2},
  [2981] = {.lex_state = 149, .external_lex_state = 2},
  [2982] = {.lex_state = 15, .external_lex_state = 6},
  [2983] = {.lex_state = 4, .external_lex_state = 2},
  [2984] = {.lex_state = 15, .external_lex_state = 6},
  [2985] = {.lex_state = 15, .external_lex_state = 6},
  [2986] = {.lex_state = 4, .external_lex_state = 2},
  [2987] = {.lex_state = 149, .external_lex_state = 2},
  [2988] = {.lex_state = 149, .external_lex_state = 2},
  [2989] = {.lex_state = 149, .external_lex_state = 2},
  [2990] = {.lex_state = 149, .external_lex_state = 2},
  [2991] = {.lex_state = 4, .external_lex_state = 2},
  [2992] = {.lex_state = 149, .external_lex_state = 2},
  [2993] = {.lex_state = 149, .external_lex_state = 2},
  [2994] = {.lex_state = 4, .external_lex_state = 2},
  [2995] = {.lex_state = 149, .external_lex_state = 2},
  [2996] = {.lex_state = 149, .external_lex_state = 2},
  [2997] = {.lex_state = 149, .external_lex_state = 2},
  [2998] = {.lex_state = 149, .external_lex_state = 2},
  [2999] = {.lex_state = 149, .external_lex_state = 2},
  [3000] = {.lex_state = 149, .external_lex_state = 2},
  [3001] = {.lex_state = 149, .external_lex_state = 2},
  [3002] = {.lex_state = 149, .external_lex_state = 2},
  [3003] = {.lex_state = 149, .external_lex_state = 2},
  [3004] = {.lex_state = 12, .external_lex_state = 5},
  [3005] = {.lex_state = 12, .external_lex_state = 5},
  [3006] = {.lex_state = 149, .external_lex_state = 2},
  [3007] = {.lex_state = 149, .external_lex_state = 2},
  [3008] = {.lex_state = 149, .external_lex_state = 2},
  [3009] = {.lex_state = 12, .external_lex_state = 5},
  [3010] = {.lex_state = 12, .external_lex_state = 5},
  [3011] = {.lex_state = 12, .external_lex_state = 5},
  [3012] = {.lex_state = 12, .external_lex_state = 5},
  [3013] = {.lex_state = 12, .external_lex_state = 5},
  [3014] = {.lex_state = 149, .external_lex_state = 2},
  [3015] = {.lex_state = 25, .external_lex_state = 2},
  [3016] = {.lex_state = 12, .external_lex_state = 5},
  [3017] = {.lex_state = 12, .external_lex_state = 5},
  [3018] = {.lex_state = 12, .external_lex_state = 5},
  [3019] = {.lex_state = 149, .external_lex_state = 2},
  [3020] = {.lex_state = 12, .external_lex_state = 5},
  [3021] = {.lex_state = 149, .external_lex_state = 2},
  [3022] = {.lex_state = 12, .external_lex_state = 5},
  [3023] = {.lex_state = 12, .external_lex_state = 5},
  [3024] = {.lex_state = 12, .external_lex_state = 5},
  [3025] = {.lex_state = 12, .external_lex_state = 5},
  [3026] = {.lex_state = 149, .external_lex_state = 2},
  [3027] = {.lex_state = 12, .external_lex_state = 5},
  [3028] = {.lex_state = 12, .external_lex_state = 5},
  [3029] = {.lex_state = 149, .external_lex_state = 2},
  [3030] = {.lex_state = 12, .external_lex_state = 5},
  [3031] = {.lex_state = 12, .external_lex_state = 5},
  [3032] = {.lex_state = 12, .external_lex_state = 5},
  [3033] = {.lex_state = 12, .external_lex_state = 5},
  [3034] = {.lex_state = 12, .external_lex_state = 5},
  [3035] = {.lex_state = 149, .external_lex_state = 2},
  [3036] = {.lex_state = 149, .external_lex_state = 2},
  [3037] = {.lex_state = 12, .external_lex_state = 5},
  [3038] = {.lex_state = 12, .external_lex_state = 5},
  [3039] = {.lex_state = 12, .external_lex_state = 5},
  [3040] = {.lex_state = 12, .external_lex_state = 5},
  [3041] = {.lex_state = 149, .external_lex_state = 2},
  [3042] = {.lex_state = 13, .external_lex_state = 5},
  [3043] = {.lex_state = 12, .external_lex_state = 5},
  [3044] = {.lex_state = 149, .external_lex_state = 5},
  [3045] = {.lex_state = 12, .external_lex_state = 5},
  [3046] = {.lex_state = 15, .external_lex_state = 6},
  [3047] = {.lex_state = 12, .external_lex_state = 5},
  [3048] = {.lex_state = 14, .external_lex_state = 5},
  [3049] = {.lex_state = 14, .external_lex_state = 5},
  [3050] = {.lex_state = 12, .external_lex_state = 5},
  [3051] = {.lex_state = 149, .external_lex_state = 2},
  [3052] = {.lex_state = 14, .external_lex_state = 5},
  [3053] = {.lex_state = 149, .external_lex_state = 2},
  [3054] = {.lex_state = 149, .external_lex_state = 2},
  [3055] = {.lex_state = 13, .external_lex_state = 6},
  [3056] = {.lex_state = 12, .external_lex_state = 5},
  [3057] = {.lex_state = 13, .external_lex_state = 5},
  [3058] = {.lex_state = 12, .external_lex_state = 5},
  [3059] = {.lex_state = 14, .external_lex_state = 5},
  [3060] = {.lex_state = 14, .external_lex_state = 5},
  [3061] = {.lex_state = 149, .external_lex_state = 5},
  [3062] = {.lex_state = 149, .external_lex_state = 5},
  [3063] = {.lex_state = 149, .external_lex_state = 2},
  [3064] = {.lex_state = 149, .external_lex_state = 2},
  [3065] = {.lex_state = 13, .external_lex_state = 5},
  [3066] = {.lex_state = 14, .external_lex_state = 5},
  [3067] = {.lex_state = 149, .external_lex_state = 2},
  [3068] = {.lex_state = 149, .external_lex_state = 5},
  [3069] = {.lex_state = 149, .external_lex_state = 5},
  [3070] = {.lex_state = 12, .external_lex_state = 5},
  [3071] = {.lex_state = 149, .external_lex_state = 5},
  [3072] = {.lex_state = 25, .external_lex_state = 2},
  [3073] = {.lex_state = 25, .external_lex_state = 2},
  [3074] = {.lex_state = 15, .external_lex_state = 6},
  [3075] = {.lex_state = 149, .external_lex_state = 2},
  [3076] = {.lex_state = 12, .external_lex_state = 5},
  [3077] = {.lex_state = 12, .external_lex_state = 5},
  [3078] = {.lex_state = 15, .external_lex_state = 6},
  [3079] = {.lex_state = 15, .external_lex_state = 6},
  [3080] = {.lex_state = 15, .external_lex_state = 6},
  [3081] = {.lex_state = 15, .external_lex_state = 6},
  [3082] = {.lex_state = 15, .external_lex_state = 6},
  [3083] = {.lex_state = 15, .external_lex_state = 6},
  [3084] = {.lex_state = 12, .external_lex_state = 5},
  [3085] = {.lex_state = 15, .external_lex_state = 6},
  [3086] = {.lex_state = 15, .external_lex_state = 6},
  [3087] = {.lex_state = 15, .external_lex_state = 6},
  [3088] = {.lex_state = 15, .external_lex_state = 6},
  [3089] = {.lex_state = 15, .external_lex_state = 6},
  [3090] = {.lex_state = 15, .external_lex_state = 6},
  [3091] = {.lex_state = 14, .external_lex_state = 5},
  [3092] = {.lex_state = 149, .external_lex_state = 2},
  [3093] = {.lex_state = 12, .external_lex_state = 5},
  [3094] = {.lex_state = 15, .external_lex_state = 6},
  [3095] = {.lex_state = 15, .external_lex_state = 6},
  [3096] = {.lex_state = 15, .external_lex_state = 6},
  [3097] = {.lex_state = 15, .external_lex_state = 6},
  [3098] = {.lex_state = 15, .external_lex_state = 6},
  [3099] = {.lex_state = 15, .external_lex_state = 6},
  [3100] = {.lex_state = 15, .external_lex_state = 6},
  [3101] = {.lex_state = 14, .external_lex_state = 5},
  [3102] = {.lex_state = 15, .external_lex_state = 6},
  [3103] = {.lex_state = 15, .external_lex_state = 6},
  [3104] = {.lex_state = 15, .external_lex_state = 6},
  [3105] = {.lex_state = 15, .external_lex_state = 6},
  [3106] = {.lex_state = 15, .external_lex_state = 6},
  [3107] = {.lex_state = 15, .external_lex_state = 6},
  [3108] = {.lex_state = 13, .external_lex_state = 5},
  [3109] = {.lex_state = 149, .external_lex_state = 5},
  [3110] = {.lex_state = 15, .external_lex_state = 6},
  [3111] = {.lex_state = 15, .external_lex_state = 6},
  [3112] = {.lex_state = 15, .external_lex_state = 6},
  [3113] = {.lex_state = 15, .external_lex_state = 6},
  [3114] = {.lex_state = 15, .external_lex_state = 6},
  [3115] = {.lex_state = 12, .external_lex_state = 5},
  [3116] = {.lex_state = 149, .external_lex_state = 2},
  [3117] = {.lex_state = 149, .external_lex_state = 2},
  [3118] = {.lex_state = 15, .external_lex_state = 6},
  [3119] = {.lex_state = 15, .external_lex_state = 6},
  [3120] = {.lex_state = 12, .external_lex_state = 5},
  [3121] = {.lex_state = 12, .external_lex_state = 5},
  [3122] = {.lex_state = 25, .external_lex_state = 2},
  [3123] = {.lex_state = 12, .external_lex_state = 5},
  [3124] = {.lex_state = 12, .external_lex_state = 5},
  [3125] = {.lex_state = 12, .external_lex_state = 5},
  [3126] = {.lex_state = 12, .external_lex_state = 5},
  [3127] = {.lex_state = 12, .external_lex_state = 5},
  [3128] = {.lex_state = 149, .external_lex_state = 5},
  [3129] = {.lex_state = 12, .external_lex_state = 5},
  [3130] = {.lex_state = 12, .external_lex_state = 5},
  [3131] = {.lex_state = 12, .external_lex_state = 5},
  [3132] = {.lex_state = 12, .external_lex_state = 5},
  [3133] = {.lex_state = 149, .external_lex_state = 5},
  [3134] = {.lex_state = 12, .external_lex_state = 5},
  [3135] = {.lex_state = 149, .external_lex_state = 5},
  [3136] = {.lex_state = 12, .external_lex_state = 5},
  [3137] = {.lex_state = 149, .external_lex_state = 5},
  [3138] = {.lex_state = 149, .external_lex_state = 2},
  [3139] = {.lex_state = 149, .external_lex_state = 5},
  [3140] = {.lex_state = 15, .external_lex_state = 2},
  [3141] = {.lex_state = 149, .external_lex_state = 5},
  [3142] = {.lex_state = 25, .external_lex_state = 2},
  [3143] = {.lex_state = 12, .external_lex_state = 5},
  [3144] = {.lex_state = 12, .external_lex_state = 5},
  [3145] = {.lex_state = 12, .external_lex_state = 5},
  [3146] = {.lex_state = 12, .external_lex_state = 5},
  [3147] = {.lex_state = 12, .external_lex_state = 5},
  [3148] = {.lex_state = 12, .external_lex_state = 5},
  [3149] = {.lex_state = 12, .external_lex_state = 2},
  [3150] = {.lex_state = 15, .external_lex_state = 2},
  [3151] = {.lex_state = 12, .external_lex_state = 5},
  [3152] = {.lex_state = 12, .external_lex_state = 5},
  [3153] = {.lex_state = 12, .external_lex_state = 5},
  [3154] = {.lex_state = 12, .external_lex_state = 5},
  [3155] = {.lex_state = 149, .external_lex_state = 5},
  [3156] = {.lex_state = 149, .external_lex_state = 5},
  [3157] = {.lex_state = 15, .external_lex_state = 2},
  [3158] = {.lex_state = 12, .external_lex_state = 5},
  [3159] = {.lex_state = 12, .external_lex_state = 2},
  [3160] = {.lex_state = 12, .external_lex_state = 5},
  [3161] = {.lex_state = 12, .external_lex_state = 5},
  [3162] = {.lex_state = 12, .external_lex_state = 5},
  [3163] = {.lex_state = 12, .external_lex_state = 5},
  [3164] = {.lex_state = 12, .external_lex_state = 5},
  [3165] = {.lex_state = 12, .external_lex_state = 5},
  [3166] = {.lex_state = 25, .external_lex_state = 2},
  [3167] = {.lex_state = 12, .external_lex_state = 5},
  [3168] = {.lex_state = 13, .external_lex_state = 6},
  [3169] = {.lex_state = 149, .external_lex_state = 6},
  [3170] = {.lex_state = 149, .external_lex_state = 2},
  [3171] = {.lex_state = 12, .external_lex_state = 5},
  [3172] = {.lex_state = 149, .external_lex_state = 5},
  [3173] = {.lex_state = 12, .external_lex_state = 2},
  [3174] = {.lex_state = 12, .external_lex_state = 5},
  [3175] = {.lex_state = 12, .external_lex_state = 5},
  [3176] = {.lex_state = 149, .external_lex_state = 5},
  [3177] = {.lex_state = 12, .external_lex_state = 5},
  [3178] = {.lex_state = 12, .external_lex_state = 5},
  [3179] = {.lex_state = 12, .external_lex_state = 5},
  [3180] = {.lex_state = 12, .external_lex_state = 5},
  [3181] = {.lex_state = 25, .external_lex_state = 2},
  [3182] = {.lex_state = 12, .external_lex_state = 5},
  [3183] = {.lex_state = 149, .external_lex_state = 5},
  [3184] = {.lex_state = 149, .external_lex_state = 5},
  [3185] = {.lex_state = 149, .external_lex_state = 5},
  [3186] = {.lex_state = 149, .external_lex_state = 5},
  [3187] = {.lex_state = 13, .external_lex_state = 6},
  [3188] = {.lex_state = 149, .external_lex_state = 5},
  [3189] = {.lex_state = 149, .external_lex_state = 5},
  [3190] = {.lex_state = 23, .external_lex_state = 7},
  [3191] = {.lex_state = 149, .external_lex_state = 5},
  [3192] = {.lex_state = 149, .external_lex_state = 5},
  [3193] = {.lex_state = 23, .external_lex_state = 7},
  [3194] = {.lex_state = 23, .external_lex_state = 7},
  [3195] = {.lex_state = 149, .external_lex_state = 5},
  [3196] = {.lex_state = 23, .external_lex_state = 7},
  [3197] = {.lex_state = 23, .external_lex_state = 7},
  [3198] = {.lex_state = 149, .external_lex_state = 5},
  [3199] = {.lex_state = 149, .external_lex_state = 5},
  [3200] = {.lex_state = 149, .external_lex_state = 5},
  [3201] = {.lex_state = 149, .external_lex_state = 5},
  [3202] = {.lex_state = 149, .external_lex_state = 5},
  [3203] = {.lex_state = 149, .external_lex_state = 5},
  [3204] = {.lex_state = 149, .external_lex_state = 5},
  [3205] = {.lex_state = 149, .external_lex_state = 5},
  [3206] = {.lex_state = 149, .external_lex_state = 5},
  [3207] = {.lex_state = 149, .external_lex_state = 5},
  [3208] = {.lex_state = 149, .external_lex_state = 5},
  [3209] = {.lex_state = 149, .external_lex_state = 5},
  [3210] = {.lex_state = 149, .external_lex_state = 5},
  [3211] = {.lex_state = 149, .external_lex_state = 5},
  [3212] = {.lex_state = 149, .external_lex_state = 5},
  [3213] = {.lex_state = 12, .external_lex_state = 5},
  [3214] = {.lex_state = 23, .external_lex_state = 7},
  [3215] = {.lex_state = 12, .external_lex_state = 5},
  [3216] = {.lex_state = 149, .external_lex_state = 5},
  [3217] = {.lex_state = 149, .external_lex_state = 5},
  [3218] = {.lex_state = 149, .external_lex_state = 5},
  [3219] = {.lex_state = 149, .external_lex_state = 5},
  [3220] = {.lex_state = 149, .external_lex_state = 5},
  [3221] = {.lex_state = 149, .external_lex_state = 5},
  [3222] = {.lex_state = 13, .external_lex_state = 6},
  [3223] = {.lex_state = 149, .external_lex_state = 5},
  [3224] = {.lex_state = 149, .external_lex_state = 5},
  [3225] = {.lex_state = 149, .external_lex_state = 5},
  [3226] = {.lex_state = 149, .external_lex_state = 5},
  [3227] = {.lex_state = 14, .external_lex_state = 6},
  [3228] = {.lex_state = 149, .external_lex_state = 5},
  [3229] = {.lex_state = 149, .external_lex_state = 5},
  [3230] = {.lex_state = 23, .external_lex_state = 7},
  [3231] = {.lex_state = 149, .external_lex_state = 5},
  [3232] = {.lex_state = 14, .external_lex_state = 6},
  [3233] = {.lex_state = 14, .external_lex_state = 6},
  [3234] = {.lex_state = 149, .external_lex_state = 5},
  [3235] = {.lex_state = 14, .external_lex_state = 6},
  [3236] = {.lex_state = 12, .external_lex_state = 2},
  [3237] = {.lex_state = 12, .external_lex_state = 5},
  [3238] = {.lex_state = 14, .external_lex_state = 6},
  [3239] = {.lex_state = 14, .external_lex_state = 6},
  [3240] = {.lex_state = 14, .external_lex_state = 6},
  [3241] = {.lex_state = 149, .external_lex_state = 2},
  [3242] = {.lex_state = 149, .external_lex_state = 6},
  [3243] = {.lex_state = 149, .external_lex_state = 6},
  [3244] = {.lex_state = 149, .external_lex_state = 6},
  [3245] = {.lex_state = 149, .external_lex_state = 6},
  [3246] = {.lex_state = 149, .external_lex_state = 6},
  [3247] = {.lex_state = 149, .external_lex_state = 6},
  [3248] = {.lex_state = 14, .external_lex_state = 6},
  [3249] = {.lex_state = 149, .external_lex_state = 5},
  [3250] = {.lex_state = 149, .external_lex_state = 5},
  [3251] = {.lex_state = 149, .external_lex_state = 5},
  [3252] = {.lex_state = 149, .external_lex_state = 5},
  [3253] = {.lex_state = 13, .external_lex_state = 6},
  [3254] = {.lex_state = 149, .external_lex_state = 5},
  [3255] = {.lex_state = 149, .external_lex_state = 5},
  [3256] = {.lex_state = 149, .external_lex_state = 5},
  [3257] = {.lex_state = 149, .external_lex_state = 5},
  [3258] = {.lex_state = 149, .external_lex_state = 5},
  [3259] = {.lex_state = 149, .external_lex_state = 5},
  [3260] = {.lex_state = 149, .external_lex_state = 5},
  [3261] = {.lex_state = 149, .external_lex_state = 5},
  [3262] = {.lex_state = 149, .external_lex_state = 5},
  [3263] = {.lex_state = 23, .external_lex_state = 7},
  [3264] = {.lex_state = 149, .external_lex_state = 2},
  [3265] = {.lex_state = 149, .external_lex_state = 6},
  [3266] = {.lex_state = 13, .external_lex_state = 2},
  [3267] = {.lex_state = 23, .external_lex_state = 7},
  [3268] = {.lex_state = 13, .external_lex_state = 2},
  [3269] = {.lex_state = 13, .external_lex_state = 2},
  [3270] = {.lex_state = 25, .external_lex_state = 2},
  [3271] = {.lex_state = 149, .external_lex_state = 6},
  [3272] = {.lex_state = 13, .external_lex_state = 2},
  [3273] = {.lex_state = 12, .external_lex_state = 2},
  [3274] = {.lex_state = 149, .external_lex_state = 6},
  [3275] = {.lex_state = 149, .external_lex_state = 2},
  [3276] = {.lex_state = 149, .external_lex_state = 5},
  [3277] = {.lex_state = 12, .external_lex_state = 5},
  [3278] = {.lex_state = 25, .external_lex_state = 2},
  [3279] = {.lex_state = 13, .external_lex_state = 2},
  [3280] = {.lex_state = 25, .external_lex_state = 2},
  [3281] = {.lex_state = 13, .external_lex_state = 2},
  [3282] = {.lex_state = 149, .external_lex_state = 6},
  [3283] = {.lex_state = 149, .external_lex_state = 5},
  [3284] = {.lex_state = 149, .external_lex_state = 5},
  [3285] = {.lex_state = 13, .external_lex_state = 2},
  [3286] = {.lex_state = 149, .external_lex_state = 2},
  [3287] = {.lex_state = 13, .external_lex_state = 2},
  [3288] = {.lex_state = 13, .external_lex_state = 2},
  [3289] = {.lex_state = 149, .external_lex_state = 6},
  [3290] = {.lex_state = 13, .external_lex_state = 2},
  [3291] = {.lex_state = 13, .external_lex_state = 2},
  [3292] = {.lex_state = 149, .external_lex_state = 6},
  [3293] = {.lex_state = 149, .external_lex_state = 2},
  [3294] = {.lex_state = 149, .external_lex_state = 6},
  [3295] = {.lex_state = 25, .external_lex_state = 2},
  [3296] = {.lex_state = 149, .external_lex_state = 6},
  [3297] = {.lex_state = 149, .external_lex_state = 5},
  [3298] = {.lex_state = 149, .external_lex_state = 5},
  [3299] = {.lex_state = 149, .external_lex_state = 2},
  [3300] = {.lex_state = 149, .external_lex_state = 6},
  [3301] = {.lex_state = 149, .external_lex_state = 5},
  [3302] = {.lex_state = 149, .external_lex_state = 5},
  [3303] = {.lex_state = 149, .external_lex_state = 5},
  [3304] = {.lex_state = 149, .external_lex_state = 5},
  [3305] = {.lex_state = 149, .external_lex_state = 5},
  [3306] = {.lex_state = 13, .external_lex_state = 2},
  [3307] = {.lex_state = 13, .external_lex_state = 2},
  [3308] = {.lex_state = 149, .external_lex_state = 5},
  [3309] = {.lex_state = 149, .external_lex_state = 5},
  [3310] = {.lex_state = 25, .external_lex_state = 2},
  [3311] = {.lex_state = 13, .external_lex_state = 2},
  [3312] = {.lex_state = 149, .external_lex_state = 5},
  [3313] = {.lex_state = 13, .external_lex_state = 2},
  [3314] = {.lex_state = 25, .external_lex_state = 2},
  [3315] = {.lex_state = 25, .external_lex_state = 2},
  [3316] = {.lex_state = 13, .external_lex_state = 2},
  [3317] = {.lex_state = 12, .external_lex_state = 2},
  [3318] = {.lex_state = 149, .external_lex_state = 5},
  [3319] = {.lex_state = 25, .external_lex_state = 2},
  [3320] = {.lex_state = 149, .external_lex_state = 5},
  [3321] = {.lex_state = 149, .external_lex_state = 6},
  [3322] = {.lex_state = 25, .external_lex_state = 2},
  [3323] = {.lex_state = 25, .external_lex_state = 2},
  [3324] = {.lex_state = 149, .external_lex_state = 5},
  [3325] = {.lex_state = 25, .external_lex_state = 2},
  [3326] = {.lex_state = 149, .external_lex_state = 5},
  [3327] = {.lex_state = 25, .external_lex_state = 2},
  [3328] = {.lex_state = 149, .external_lex_state = 2},
  [3329] = {.lex_state = 149, .external_lex_state = 6},
  [3330] = {.lex_state = 149, .external_lex_state = 6},
  [3331] = {.lex_state = 25, .external_lex_state = 2},
  [3332] = {.lex_state = 25, .external_lex_state = 2},
  [3333] = {.lex_state = 25, .external_lex_state = 2},
  [3334] = {.lex_state = 149, .external_lex_state = 5},
  [3335] = {.lex_state = 149, .external_lex_state = 6},
  [3336] = {.lex_state = 25, .external_lex_state = 2},
  [3337] = {.lex_state = 13, .external_lex_state = 2},
  [3338] = {.lex_state = 25, .external_lex_state = 2},
  [3339] = {.lex_state = 149, .external_lex_state = 6},
  [3340] = {.lex_state = 149, .external_lex_state = 2},
  [3341] = {.lex_state = 149, .external_lex_state = 6},
  [3342] = {.lex_state = 149, .external_lex_state = 6},
  [3343] = {.lex_state = 149, .external_lex_state = 5},
  [3344] = {.lex_state = 13, .external_lex_state = 2},
  [3345] = {.lex_state = 149, .external_lex_state = 5},
  [3346] = {.lex_state = 149, .external_lex_state = 5},
  [3347] = {.lex_state = 149, .external_lex_state = 6},
  [3348] = {.lex_state = 149, .external_lex_state = 2},
  [3349] = {.lex_state = 25, .external_lex_state = 2},
  [3350] = {.lex_state = 25, .external_lex_state = 2},
  [3351] = {.lex_state = 12, .external_lex_state = 2},
  [3352] = {.lex_state = 149, .external_lex_state = 6},
  [3353] = {.lex_state = 149, .external_lex_state = 6},
  [3354] = {.lex_state = 149, .external_lex_state = 5},
  [3355] = {.lex_state = 149, .external_lex_state = 5},
  [3356] = {.lex_state = 149, .external_lex_state = 5},
  [3357] = {.lex_state = 149, .external_lex_state = 5},
  [3358] = {.lex_state = 149, .external_lex_state = 5},
  [3359] = {.lex_state = 25, .external_lex_state = 2},
  [3360] = {.lex_state = 25, .external_lex_state = 2},
  [3361] = {.lex_state = 25, .external_lex_state = 2},
  [3362] = {.lex_state = 25, .external_lex_state = 2},
  [3363] = {.lex_state = 25, .external_lex_state = 2},
  [3364] = {.lex_state = 149, .external_lex_state = 5},
  [3365] = {.lex_state = 25, .external_lex_state = 2},
  [3366] = {.lex_state = 149, .external_lex_state = 5},
  [3367] = {.lex_state = 149, .external_lex_state = 5},
  [3368] = {.lex_state = 13, .external_lex_state = 2},
  [3369] = {.lex_state = 149, .external_lex_state = 6},
  [3370] = {.lex_state = 25, .external_lex_state = 2},
  [3371] = {.lex_state = 149, .external_lex_state = 6},
  [3372] = {.lex_state = 13, .external_lex_state = 2},
  [3373] = {.lex_state = 25, .external_lex_state = 2},
  [3374] = {.lex_state = 13, .external_lex_state = 2},
  [3375] = {.lex_state = 149, .external_lex_state = 5},
  [3376] = {.lex_state = 149, .external_lex_state = 6},
  [3377] = {.lex_state = 13, .external_lex_state = 2},
  [3378] = {.lex_state = 13, .external_lex_state = 2},
  [3379] = {.lex_state = 149, .external_lex_state = 2},
  [3380] = {.lex_state = 149, .external_lex_state = 5},
  [3381] = {.lex_state = 149, .external_lex_state = 5},
  [3382] = {.lex_state = 149, .external_lex_state = 6},
  [3383] = {.lex_state = 149, .external_lex_state = 5},
  [3384] = {.lex_state = 13, .external_lex_state = 2},
  [3385] = {.lex_state = 149, .external_lex_state = 6},
  [3386] = {.lex_state = 149, .external_lex_state = 5},
  [3387] = {.lex_state = 149, .external_lex_state = 6},
  [3388] = {.lex_state = 149, .external_lex_state = 5},
  [3389] = {.lex_state = 149, .external_lex_state = 6},
  [3390] = {.lex_state = 149, .external_lex_state = 6},
  [3391] = {.lex_state = 149, .external_lex_state = 6},
  [3392] = {.lex_state = 149, .external_lex_state = 6},
  [3393] = {.lex_state = 149, .external_lex_state = 6},
  [3394] = {.lex_state = 149, .external_lex_state = 6},
  [3395] = {.lex_state = 149, .external_lex_state = 6},
  [3396] = {.lex_state = 13, .external_lex_state = 2},
  [3397] = {.lex_state = 13, .external_lex_state = 2},
  [3398] = {.lex_state = 149, .external_lex_state = 5},
  [3399] = {.lex_state = 149, .external_lex_state = 2},
  [3400] = {.lex_state = 149, .external_lex_state = 5},
  [3401] = {.lex_state = 25, .external_lex_state = 2},
  [3402] = {.lex_state = 149, .external_lex_state = 6},
  [3403] = {.lex_state = 25, .external_lex_state = 2},
  [3404] = {.lex_state = 25, .external_lex_state = 2},
  [3405] = {.lex_state = 13, .external_lex_state = 2},
  [3406] = {.lex_state = 149, .external_lex_state = 6},
  [3407] = {.lex_state = 25, .external_lex_state = 2},
  [3408] = {.lex_state = 149, .external_lex_state = 5},
  [3409] = {.lex_state = 149, .external_lex_state = 6},
  [3410] = {.lex_state = 149, .external_lex_state = 2},
  [3411] = {.lex_state = 149, .external_lex_state = 5},
  [3412] = {.lex_state = 149, .external_lex_state = 6},
  [3413] = {.lex_state = 149, .external_lex_state = 5},
  [3414] = {.lex_state = 149, .external_lex_state = 5},
  [3415] = {.lex_state = 149, .external_lex_state = 5},
  [3416] = {.lex_state = 149, .external_lex_state = 6},
  [3417] = {.lex_state = 149, .external_lex_state = 6},
  [3418] = {.lex_state = 149, .external_lex_state = 6},
  [3419] = {.lex_state = 149, .external_lex_state = 5},
  [3420] = {.lex_state = 149, .external_lex_state = 5},
  [3421] = {.lex_state = 149, .external_lex_state = 6},
  [3422] = {.lex_state = 149, .external_lex_state = 5},
  [3423] = {.lex_state = 149, .external_lex_state = 5},
  [3424] = {.lex_state = 149, .external_lex_state = 5},
  [3425] = {.lex_state = 149, .external_lex_state = 5},
  [3426] = {.lex_state = 149, .external_lex_state = 6},
  [3427] = {.lex_state = 149, .external_lex_state = 6},
  [3428] = {.lex_state = 149, .external_lex_state = 6},
  [3429] = {.lex_state = 13, .external_lex_state = 2},
  [3430] = {.lex_state = 13, .external_lex_state = 2},
  [3431] = {.lex_state = 25, .external_lex_state = 2},
  [3432] = {.lex_state = 25, .external_lex_state = 2},
  [3433] = {.lex_state = 149, .external_lex_state = 6},
  [3434] = {.lex_state = 149, .external_lex_state = 6},
  [3435] = {.lex_state = 149, .external_lex_state = 6},
  [3436] = {.lex_state = 25, .external_lex_state = 2},
  [3437] = {.lex_state = 25, .external_lex_state = 2},
  [3438] = {.lex_state = 149, .external_lex_state = 6},
  [3439] = {.lex_state = 149, .external_lex_state = 5},
  [3440] = {.lex_state = 149, .external_lex_state = 6},
  [3441] = {.lex_state = 25, .external_lex_state = 2},
  [3442] = {.lex_state = 149, .external_lex_state = 5},
  [3443] = {.lex_state = 149, .external_lex_state = 5},
  [3444] = {.lex_state = 25, .external_lex_state = 2},
  [3445] = {.lex_state = 149, .external_lex_state = 5},
  [3446] = {.lex_state = 13, .external_lex_state = 2},
  [3447] = {.lex_state = 149, .external_lex_state = 5},
  [3448] = {.lex_state = 25, .external_lex_state = 2},
  [3449] = {.lex_state = 13, .external_lex_state = 2},
  [3450] = {.lex_state = 149, .external_lex_state = 2},
  [3451] = {.lex_state = 149, .external_lex_state = 6},
  [3452] = {.lex_state = 149, .external_lex_state = 6},
  [3453] = {.lex_state = 12, .external_lex_state = 2},
  [3454] = {.lex_state = 12, .external_lex_state = 2},
  [3455] = {.lex_state = 149, .external_lex_state = 6},
  [3456] = {.lex_state = 149, .external_lex_state = 6},
  [3457] = {.lex_state = 149, .external_lex_state = 6},
  [3458] = {.lex_state = 149, .external_lex_state = 6},
  [3459] = {.lex_state = 149, .external_lex_state = 6},
  [3460] = {.lex_state = 149, .external_lex_state = 6},
  [3461] = {.lex_state = 149, .external_lex_state = 6},
  [3462] = {.lex_state = 12, .external_lex_state = 2},
  [3463] = {.lex_state = 25, .external_lex_state = 2},
  [3464] = {.lex_state = 25, .external_lex_state = 2},
  [3465] = {.lex_state = 25, .external_lex_state = 2},
  [3466] = {.lex_state = 149, .external_lex_state = 6},
  [3467] = {.lex_state = 149, .external_lex_state = 6},
  [3468] = {.lex_state = 149, .external_lex_state = 2},
  [3469] = {.lex_state = 149, .external_lex_state = 2},
  [3470] = {.lex_state = 12, .external_lex_state = 2},
  [3471] = {.lex_state = 149, .external_lex_state = 6},
  [3472] = {.lex_state = 149, .external_lex_state = 6},
  [3473] = {.lex_state = 149, .external_lex_state = 6},
  [3474] = {.lex_state = 149, .external_lex_state = 5},
  [3475] = {.lex_state = 149, .external_lex_state = 6},
  [3476] = {.lex_state = 149, .external_lex_state = 2},
  [3477] = {.lex_state = 149, .external_lex_state = 5},
  [3478] = {.lex_state = 12, .external_lex_state = 2},
  [3479] = {.lex_state = 149, .external_lex_state = 5},
  [3480] = {.lex_state = 13, .external_lex_state = 2},
  [3481] = {.lex_state = 149, .external_lex_state = 6},
  [3482] = {.lex_state = 25, .external_lex_state = 2},
  [3483] = {.lex_state = 25, .external_lex_state = 2},
  [3484] = {.lex_state = 23, .external_lex_state = 8},
  [3485] = {.lex_state = 149, .external_lex_state = 2},
  [3486] = {.lex_state = 14, .external_lex_state = 2},
  [3487] = {.lex_state = 23, .external_lex_state = 8},
  [3488] = {.lex_state = 149, .external_lex_state = 5},
  [3489] = {.lex_state = 149, .external_lex_state = 5},
  [3490] = {.lex_state = 16, .external_lex_state = 2},
  [3491] = {.lex_state = 149, .external_lex_state = 2},
  [3492] = {.lex_state = 23, .external_lex_state = 8},
  [3493] = {.lex_state = 23, .external_lex_state = 8},
  [3494] = {.lex_state = 149, .external_lex_state = 5},
  [3495] = {.lex_state = 16, .external_lex_state = 2},
  [3496] = {.lex_state = 23, .external_lex_state = 8},
  [3497] = {.lex_state = 149, .external_lex_state = 5},
  [3498] = {.lex_state = 149, .external_lex_state = 2},
  [3499] = {.lex_state = 149, .external_lex_state = 2},
  [3500] = {.lex_state = 149, .external_lex_state = 2},
  [3501] = {.lex_state = 149, .external_lex_state = 2},
  [3502] = {.lex_state = 14, .external_lex_state = 2},
  [3503] = {.lex_state = 25, .external_lex_state = 2},
  [3504] = {.lex_state = 149, .external_lex_state = 2},
  [3505] = {.lex_state = 149, .external_lex_state = 5},
  [3506] = {.lex_state = 149, .external_lex_state = 2},
  [3507] = {.lex_state = 149, .external_lex_state = 6},
  [3508] = {.lex_state = 149, .external_lex_state = 2},
  [3509] = {.lex_state = 14, .external_lex_state = 2},
  [3510] = {.lex_state = 149, .external_lex_state = 2},
  [3511] = {.lex_state = 23, .external_lex_state = 8},
  [3512] = {.lex_state = 149, .external_lex_state = 2},
  [3513] = {.lex_state = 149, .external_lex_state = 2},
  [3514] = {.lex_state = 23, .external_lex_state = 8},
  [3515] = {.lex_state = 25, .external_lex_state = 2},
  [3516] = {.lex_state = 25, .external_lex_state = 2},
  [3517] = {.lex_state = 25, .external_lex_state = 2},
  [3518] = {.lex_state = 149, .external_lex_state = 2},
  [3519] = {.lex_state = 149, .external_lex_state = 5},
  [3520] = {.lex_state = 25, .external_lex_state = 2},
  [3521] = {.lex_state = 23, .external_lex_state = 8},
  [3522] = {.lex_state = 25, .external_lex_state = 2},
  [3523] = {.lex_state = 25, .external_lex_state = 2},
  [3524] = {.lex_state = 25, .external_lex_state = 2},
  [3525] = {.lex_state = 25, .external_lex_state = 2},
  [3526] = {.lex_state = 149, .external_lex_state = 5},
  [3527] = {.lex_state = 149, .external_lex_state = 5},
  [3528] = {.lex_state = 12, .external_lex_state = 2},
  [3529] = {.lex_state = 149, .external_lex_state = 5},
  [3530] = {.lex_state = 149, .external_lex_state = 5},
  [3531] = {.lex_state = 149, .external_lex_state = 5},
  [3532] = {.lex_state = 149, .external_lex_state = 2},
  [3533] = {.lex_state = 149, .external_lex_state = 5},
  [3534] = {.lex_state = 149, .external_lex_state = 2},
  [3535] = {.lex_state = 149, .external_lex_state = 5},
  [3536] = {.lex_state = 149, .external_lex_state = 2},
  [3537] = {.lex_state = 149, .external_lex_state = 2},
  [3538] = {.lex_state = 149, .external_lex_state = 5},
  [3539] = {.lex_state = 149, .external_lex_state = 5},
  [3540] = {.lex_state = 25, .external_lex_state = 2},
  [3541] = {.lex_state = 149, .external_lex_state = 5},
  [3542] = {.lex_state = 149, .external_lex_state = 5},
  [3543] = {.lex_state = 149, .external_lex_state = 5},
  [3544] = {.lex_state = 149, .external_lex_state = 2},
  [3545] = {.lex_state = 149, .external_lex_state = 2},
  [3546] = {.lex_state = 149, .external_lex_state = 2},
  [3547] = {.lex_state = 149, .external_lex_state = 5},
  [3548] = {.lex_state = 12, .external_lex_state = 2},
  [3549] = {.lex_state = 149, .external_lex_state = 5},
  [3550] = {.lex_state = 149, .external_lex_state = 5},
  [3551] = {.lex_state = 149, .external_lex_state = 5},
  [3552] = {.lex_state = 15, .external_lex_state = 2},
  [3553] = {.lex_state = 149, .external_lex_state = 5},
  [3554] = {.lex_state = 149, .external_lex_state = 2},
  [3555] = {.lex_state = 149, .external_lex_state = 5},
  [3556] = {.lex_state = 149, .external_lex_state = 5},
  [3557] = {.lex_state = 149, .external_lex_state = 5},
  [3558] = {.lex_state = 149, .external_lex_state = 5},
  [3559] = {.lex_state = 12, .external_lex_state = 2},
  [3560] = {.lex_state = 149, .external_lex_state = 5},
  [3561] = {.lex_state = 149, .external_lex_state = 5},
  [3562] = {.lex_state = 149, .external_lex_state = 5},
  [3563] = {.lex_state = 149, .external_lex_state = 5},
  [3564] = {.lex_state = 149, .external_lex_state = 5},
  [3565] = {.lex_state = 149, .external_lex_state = 2},
  [3566] = {.lex_state = 149, .external_lex_state = 5},
  [3567] = {.lex_state = 15, .external_lex_state = 2},
  [3568] = {.lex_state = 149, .external_lex_state = 5},
  [3569] = {.lex_state = 12, .external_lex_state = 2},
  [3570] = {.lex_state = 149, .external_lex_state = 5},
  [3571] = {.lex_state = 149, .external_lex_state = 5},
  [3572] = {.lex_state = 149, .external_lex_state = 5},
  [3573] = {.lex_state = 149, .external_lex_state = 5},
  [3574] = {.lex_state = 149, .external_lex_state = 5},
  [3575] = {.lex_state = 149, .external_lex_state = 5},
  [3576] = {.lex_state = 149, .external_lex_state = 5},
  [3577] = {.lex_state = 149, .external_lex_state = 5},
  [3578] = {.lex_state = 149, .external_lex_state = 5},
  [3579] = {.lex_state = 15, .external_lex_state = 2},
  [3580] = {.lex_state = 149, .external_lex_state = 5},
  [3581] = {.lex_state = 149, .external_lex_state = 5},
  [3582] = {.lex_state = 149, .external_lex_state = 5},
  [3583] = {.lex_state = 149, .external_lex_state = 5},
  [3584] = {.lex_state = 149, .external_lex_state = 5},
  [3585] = {.lex_state = 149, .external_lex_state = 5},
  [3586] = {.lex_state = 149, .external_lex_state = 5},
  [3587] = {.lex_state = 149, .external_lex_state = 5},
  [3588] = {.lex_state = 149, .external_lex_state = 5},
  [3589] = {.lex_state = 149, .external_lex_state = 5},
  [3590] = {.lex_state = 149, .external_lex_state = 5},
  [3591] = {.lex_state = 149, .external_lex_state = 5},
  [3592] = {.lex_state = 15, .external_lex_state = 2},
  [3593] = {.lex_state = 149, .external_lex_state = 5},
  [3594] = {.lex_state = 149, .external_lex_state = 2},
  [3595] = {.lex_state = 149, .external_lex_state = 2},
  [3596] = {.lex_state = 149, .external_lex_state = 2},
  [3597] = {.lex_state = 149, .external_lex_state = 5},
  [3598] = {.lex_state = 149, .external_lex_state = 5},
  [3599] = {.lex_state = 149, .external_lex_state = 5},
  [3600] = {.lex_state = 149, .external_lex_state = 5},
  [3601] = {.lex_state = 149, .external_lex_state = 5},
  [3602] = {.lex_state = 149, .external_lex_state = 5},
  [3603] = {.lex_state = 15, .external_lex_state = 2},
  [3604] = {.lex_state = 149, .external_lex_state = 5},
  [3605] = {.lex_state = 149, .external_lex_state = 5},
  [3606] = {.lex_state = 149, .external_lex_state = 2},
  [3607] = {.lex_state = 12, .external_lex_state = 2},
  [3608] = {.lex_state = 149, .external_lex_state = 5},
  [3609] = {.lex_state = 149, .external_lex_state = 5},
  [3610] = {.lex_state = 149, .external_lex_state = 2},
  [3611] = {.lex_state = 149, .external_lex_state = 2},
  [3612] = {.lex_state = 149, .external_lex_state = 2},
  [3613] = {.lex_state = 15, .external_lex_state = 2},
  [3614] = {.lex_state = 149, .external_lex_state = 5},
  [3615] = {.lex_state = 149, .external_lex_state = 5},
  [3616] = {.lex_state = 149, .external_lex_state = 2},
  [3617] = {.lex_state = 149, .external_lex_state = 5},
  [3618] = {.lex_state = 149, .external_lex_state = 5},
  [3619] = {.lex_state = 149, .external_lex_state = 5},
  [3620] = {.lex_state = 149, .external_lex_state = 2},
  [3621] = {.lex_state = 149, .external_lex_state = 2},
  [3622] = {.lex_state = 149, .external_lex_state = 2},
  [3623] = {.lex_state = 149, .external_lex_state = 2},
  [3624] = {.lex_state = 149, .external_lex_state = 2},
  [3625] = {.lex_state = 149, .external_lex_state = 2},
  [3626] = {.lex_state = 149, .external_lex_state = 2},
  [3627] = {.lex_state = 149, .external_lex_state = 2},
  [3628] = {.lex_state = 149, .external_lex_state = 5},
  [3629] = {.lex_state = 149, .external_lex_state = 5},
  [3630] = {.lex_state = 149, .external_lex_state = 2},
  [3631] = {.lex_state = 149, .external_lex_state = 5},
  [3632] = {.lex_state = 149, .external_lex_state = 2},
  [3633] = {.lex_state = 149, .external_lex_state = 5},
  [3634] = {.lex_state = 149, .external_lex_state = 2},
  [3635] = {.lex_state = 149, .external_lex_state = 5},
  [3636] = {.lex_state = 149, .external_lex_state = 5},
  [3637] = {.lex_state = 149, .external_lex_state = 5},
  [3638] = {.lex_state = 149, .external_lex_state = 5},
  [3639] = {.lex_state = 12, .external_lex_state = 2},
  [3640] = {.lex_state = 12, .external_lex_state = 2},
  [3641] = {.lex_state = 149, .external_lex_state = 5},
  [3642] = {.lex_state = 149, .external_lex_state = 5},
  [3643] = {.lex_state = 149, .external_lex_state = 2},
  [3644] = {.lex_state = 149, .external_lex_state = 5},
  [3645] = {.lex_state = 149, .external_lex_state = 2},
  [3646] = {.lex_state = 12, .external_lex_state = 2},
  [3647] = {.lex_state = 149, .external_lex_state = 5},
  [3648] = {.lex_state = 15, .external_lex_state = 2},
  [3649] = {.lex_state = 149, .external_lex_state = 2},
  [3650] = {.lex_state = 149, .external_lex_state = 5},
  [3651] = {.lex_state = 149, .external_lex_state = 5},
  [3652] = {.lex_state = 12, .external_lex_state = 2},
  [3653] = {.lex_state = 12, .external_lex_state = 2},
  [3654] = {.lex_state = 149, .external_lex_state = 2},
  [3655] = {.lex_state = 149, .external_lex_state = 5},
  [3656] = {.lex_state = 149, .external_lex_state = 5},
  [3657] = {.lex_state = 149, .external_lex_state = 5},
  [3658] = {.lex_state = 149, .external_lex_state = 2},
  [3659] = {.lex_state = 15, .external_lex_state = 2},
  [3660] = {.lex_state = 149, .external_lex_state = 5},
  [3661] = {.lex_state = 149, .external_lex_state = 5},
  [3662] = {.lex_state = 149, .external_lex_state = 2},
  [3663] = {.lex_state = 149, .external_lex_state = 2},
  [3664] = {.lex_state = 149, .external_lex_state = 2},
  [3665] = {.lex_state = 149, .external_lex_state = 5},
  [3666] = {.lex_state = 149, .external_lex_state = 2},
  [3667] = {.lex_state = 149, .external_lex_state = 2},
  [3668] = {.lex_state = 149, .external_lex_state = 2},
  [3669] = {.lex_state = 149, .external_lex_state = 2},
  [3670] = {.lex_state = 15, .external_lex_state = 2},
  [3671] = {.lex_state = 149, .external_lex_state = 5},
  [3672] = {.lex_state = 149, .external_lex_state = 5},
  [3673] = {.lex_state = 149, .external_lex_state = 2},
  [3674] = {.lex_state = 149, .external_lex_state = 2},
  [3675] = {.lex_state = 149, .external_lex_state = 2},
  [3676] = {.lex_state = 149, .external_lex_state = 2},
  [3677] = {.lex_state = 149, .external_lex_state = 5},
  [3678] = {.lex_state = 149, .external_lex_state = 5},
  [3679] = {.lex_state = 12, .external_lex_state = 2},
  [3680] = {.lex_state = 149, .external_lex_state = 5},
  [3681] = {.lex_state = 12, .external_lex_state = 2},
  [3682] = {.lex_state = 12, .external_lex_state = 2},
  [3683] = {.lex_state = 149, .external_lex_state = 5},
  [3684] = {.lex_state = 149, .external_lex_state = 5},
  [3685] = {.lex_state = 149, .external_lex_state = 5},
  [3686] = {.lex_state = 149, .external_lex_state = 5},
  [3687] = {.lex_state = 149, .external_lex_state = 5},
  [3688] = {.lex_state = 149, .external_lex_state = 5},
  [3689] = {.lex_state = 149, .external_lex_state = 5},
  [3690] = {.lex_state = 149, .external_lex_state = 2},
  [3691] = {.lex_state = 149, .external_lex_state = 5},
  [3692] = {.lex_state = 149, .external_lex_state = 5},
  [3693] = {.lex_state = 149, .external_lex_state = 5},
  [3694] = {.lex_state = 149, .external_lex_state = 5},
  [3695] = {.lex_state = 149, .external_lex_state = 5},
  [3696] = {.lex_state = 149, .external_lex_state = 5},
  [3697] = {.lex_state = 149, .external_lex_state = 2},
  [3698] = {.lex_state = 149, .external_lex_state = 2},
  [3699] = {.lex_state = 149, .external_lex_state = 5},
  [3700] = {.lex_state = 149, .external_lex_state = 5},
  [3701] = {.lex_state = 149, .external_lex_state = 5},
  [3702] = {.lex_state = 149, .external_lex_state = 5},
  [3703] = {.lex_state = 149, .external_lex_state = 5},
  [3704] = {.lex_state = 149, .external_lex_state = 5},
  [3705] = {.lex_state = 149, .external_lex_state = 5},
  [3706] = {.lex_state = 149, .external_lex_state = 5},
  [3707] = {.lex_state = 149, .external_lex_state = 2},
  [3708] = {.lex_state = 149, .external_lex_state = 5},
  [3709] = {.lex_state = 149, .external_lex_state = 5},
  [3710] = {.lex_state = 149, .external_lex_state = 5},
  [3711] = {.lex_state = 149, .external_lex_state = 2},
  [3712] = {.lex_state = 149, .external_lex_state = 5},
  [3713] = {.lex_state = 149, .external_lex_state = 5},
  [3714] = {.lex_state = 15, .external_lex_state = 2},
  [3715] = {.lex_state = 149, .external_lex_state = 2},
  [3716] = {.lex_state = 149, .external_lex_state = 2},
  [3717] = {.lex_state = 149, .external_lex_state = 2},
  [3718] = {.lex_state = 12, .external_lex_state = 2},
  [3719] = {.lex_state = 149, .external_lex_state = 5},
  [3720] = {.lex_state = 15, .external_lex_state = 2},
  [3721] = {.lex_state = 149, .external_lex_state = 5},
  [3722] = {.lex_state = 12, .external_lex_state = 2},
  [3723] = {.lex_state = 149, .external_lex_state = 5},
  [3724] = {.lex_state = 149, .external_lex_state = 5},
  [3725] = {.lex_state = 12, .external_lex_state = 2},
  [3726] = {.lex_state = 149, .external_lex_state = 5},
  [3727] = {.lex_state = 149, .external_lex_state = 5},
  [3728] = {.lex_state = 149, .external_lex_state = 5},
  [3729] = {.lex_state = 149, .external_lex_state = 5},
  [3730] = {.lex_state = 149, .external_lex_state = 2},
  [3731] = {.lex_state = 149, .external_lex_state = 5},
  [3732] = {.lex_state = 12, .external_lex_state = 2},
  [3733] = {.lex_state = 149, .external_lex_state = 5},
  [3734] = {.lex_state = 149, .external_lex_state = 2},
  [3735] = {.lex_state = 149, .external_lex_state = 5},
  [3736] = {.lex_state = 149, .external_lex_state = 5},
  [3737] = {.lex_state = 149, .external_lex_state = 5},
  [3738] = {.lex_state = 149, .external_lex_state = 5},
  [3739] = {.lex_state = 149, .external_lex_state = 5},
  [3740] = {.lex_state = 149, .external_lex_state = 2},
  [3741] = {.lex_state = 149, .external_lex_state = 5},
  [3742] = {.lex_state = 12, .external_lex_state = 2},
  [3743] = {.lex_state = 149, .external_lex_state = 5},
  [3744] = {.lex_state = 149, .external_lex_state = 5},
  [3745] = {.lex_state = 149, .external_lex_state = 2},
  [3746] = {.lex_state = 12, .external_lex_state = 2},
  [3747] = {.lex_state = 149, .external_lex_state = 5},
  [3748] = {.lex_state = 149, .external_lex_state = 5},
  [3749] = {.lex_state = 149, .external_lex_state = 5},
  [3750] = {.lex_state = 149, .external_lex_state = 5},
  [3751] = {.lex_state = 15, .external_lex_state = 2},
  [3752] = {.lex_state = 149, .external_lex_state = 5},
  [3753] = {.lex_state = 15, .external_lex_state = 2},
  [3754] = {.lex_state = 149, .external_lex_state = 5},
  [3755] = {.lex_state = 149, .external_lex_state = 5},
  [3756] = {.lex_state = 149, .external_lex_state = 5},
  [3757] = {.lex_state = 149, .external_lex_state = 5},
  [3758] = {.lex_state = 149, .external_lex_state = 5},
  [3759] = {.lex_state = 15, .external_lex_state = 2},
  [3760] = {.lex_state = 15, .external_lex_state = 2},
  [3761] = {.lex_state = 149, .external_lex_state = 5},
  [3762] = {.lex_state = 12, .external_lex_state = 2},
  [3763] = {.lex_state = 149, .external_lex_state = 5},
  [3764] = {.lex_state = 149, .external_lex_state = 5},
  [3765] = {.lex_state = 149, .external_lex_state = 2},
  [3766] = {.lex_state = 149, .external_lex_state = 5},
  [3767] = {.lex_state = 149, .external_lex_state = 5},
  [3768] = {.lex_state = 149, .external_lex_state = 5},
  [3769] = {.lex_state = 149, .external_lex_state = 5},
  [3770] = {.lex_state = 149, .external_lex_state = 5},
  [3771] = {.lex_state = 15, .external_lex_state = 2},
  [3772] = {.lex_state = 12, .external_lex_state = 2},
  [3773] = {.lex_state = 149, .external_lex_state = 2},
  [3774] = {.lex_state = 25, .external_lex_state = 2},
  [3775] = {.lex_state = 12, .external_lex_state = 2},
  [3776] = {.lex_state = 149, .external_lex_state = 2},
  [3777] = {.lex_state = 12, .external_lex_state = 2},
  [3778] = {.lex_state = 12, .external_lex_state = 2},
  [3779] = {.lex_state = 149, .external_lex_state = 5},
  [3780] = {.lex_state = 149, .external_lex_state = 6},
  [3781] = {.lex_state = 12, .external_lex_state = 2},
  [3782] = {.lex_state = 149, .external_lex_state = 2},
  [3783] = {.lex_state = 149, .external_lex_state = 2},
  [3784] = {.lex_state = 12, .external_lex_state = 2},
  [3785] = {.lex_state = 149, .external_lex_state = 6},
  [3786] = {.lex_state = 12, .external_lex_state = 2},
  [3787] = {.lex_state = 149, .external_lex_state = 5},
  [3788] = {.lex_state = 149, .external_lex_state = 6},
  [3789] = {.lex_state = 149, .external_lex_state = 6},
  [3790] = {.lex_state = 12, .external_lex_state = 2},
  [3791] = {.lex_state = 149, .external_lex_state = 5},
  [3792] = {.lex_state = 149, .external_lex_state = 6},
  [3793] = {.lex_state = 149, .external_lex_state = 2},
  [3794] = {.lex_state = 149, .external_lex_state = 6},
  [3795] = {.lex_state = 12, .external_lex_state = 2},
  [3796] = {.lex_state = 149, .external_lex_state = 5},
  [3797] = {.lex_state = 23, .external_lex_state = 8},
  [3798] = {.lex_state = 149, .external_lex_state = 2},
  [3799] = {.lex_state = 149, .external_lex_state = 2},
  [3800] = {.lex_state = 12, .external_lex_state = 2},
  [3801] = {.lex_state = 16, .external_lex_state = 2},
  [3802] = {.lex_state = 149, .external_lex_state = 2},
  [3803] = {.lex_state = 149, .external_lex_state = 2},
  [3804] = {.lex_state = 12, .external_lex_state = 2},
  [3805] = {.lex_state = 12, .external_lex_state = 2},
  [3806] = {.lex_state = 149, .external_lex_state = 2},
  [3807] = {.lex_state = 12, .external_lex_state = 2},
  [3808] = {.lex_state = 149, .external_lex_state = 2},
  [3809] = {.lex_state = 149, .external_lex_state = 2},
  [3810] = {.lex_state = 149, .external_lex_state = 2},
  [3811] = {.lex_state = 149, .external_lex_state = 6},
  [3812] = {.lex_state = 149, .external_lex_state = 2},
  [3813] = {.lex_state = 149, .external_lex_state = 2},
  [3814] = {.lex_state = 149, .external_lex_state = 6},
  [3815] = {.lex_state = 12, .external_lex_state = 2},
  [3816] = {.lex_state = 12, .external_lex_state = 2},
  [3817] = {.lex_state = 149, .external_lex_state = 2},
  [3818] = {.lex_state = 149, .external_lex_state = 5},
  [3819] = {.lex_state = 25, .external_lex_state = 2},
  [3820] = {.lex_state = 149, .external_lex_state = 2},
  [3821] = {.lex_state = 12, .external_lex_state = 2},
  [3822] = {.lex_state = 149, .external_lex_state = 2},
  [3823] = {.lex_state = 12, .external_lex_state = 2},
  [3824] = {.lex_state = 12, .external_lex_state = 2},
  [3825] = {.lex_state = 12, .external_lex_state = 2},
  [3826] = {.lex_state = 149, .external_lex_state = 5},
  [3827] = {.lex_state = 149, .external_lex_state = 6},
  [3828] = {.lex_state = 149, .external_lex_state = 5},
  [3829] = {.lex_state = 12, .external_lex_state = 2},
  [3830] = {.lex_state = 149, .external_lex_state = 2},
  [3831] = {.lex_state = 12, .external_lex_state = 2},
  [3832] = {.lex_state = 149, .external_lex_state = 2},
  [3833] = {.lex_state = 149, .external_lex_state = 2},
  [3834] = {.lex_state = 149, .external_lex_state = 2},
  [3835] = {.lex_state = 149, .external_lex_state = 6},
  [3836] = {.lex_state = 149, .external_lex_state = 5},
  [3837] = {.lex_state = 149, .external_lex_state = 5},
  [3838] = {.lex_state = 149, .external_lex_state = 5},
  [3839] = {.lex_state = 12, .external_lex_state = 2},
  [3840] = {.lex_state = 12, .external_lex_state = 2},
  [3841] = {.lex_state = 149, .external_lex_state = 2},
  [3842] = {.lex_state = 149, .external_lex_state = 5},
  [3843] = {.lex_state = 149, .external_lex_state = 6},
  [3844] = {.lex_state = 23, .external_lex_state = 8},
  [3845] = {.lex_state = 12, .external_lex_state = 2},
  [3846] = {.lex_state = 149, .external_lex_state = 2},
  [3847] = {.lex_state = 149, .external_lex_state = 2},
  [3848] = {.lex_state = 149, .external_lex_state = 2},
  [3849] = {.lex_state = 149, .external_lex_state = 2},
  [3850] = {.lex_state = 12, .external_lex_state = 2},
  [3851] = {.lex_state = 16, .external_lex_state = 2},
  [3852] = {.lex_state = 149, .external_lex_state = 5},
  [3853] = {.lex_state = 149, .external_lex_state = 5},
  [3854] = {.lex_state = 149, .external_lex_state = 5},
  [3855] = {.lex_state = 149, .external_lex_state = 6},
  [3856] = {.lex_state = 149, .external_lex_state = 5},
  [3857] = {.lex_state = 25, .external_lex_state = 2},
  [3858] = {.lex_state = 149, .external_lex_state = 2},
  [3859] = {.lex_state = 149, .external_lex_state = 6},
  [3860] = {.lex_state = 149, .external_lex_state = 6},
  [3861] = {.lex_state = 149, .external_lex_state = 2},
  [3862] = {.lex_state = 149, .external_lex_state = 6},
  [3863] = {.lex_state = 149, .external_lex_state = 2},
  [3864] = {.lex_state = 12, .external_lex_state = 2},
  [3865] = {.lex_state = 149, .external_lex_state = 5},
  [3866] = {.lex_state = 12, .external_lex_state = 2},
  [3867] = {.lex_state = 149, .external_lex_state = 5},
  [3868] = {.lex_state = 149, .external_lex_state = 5},
  [3869] = {.lex_state = 149, .external_lex_state = 6},
  [3870] = {.lex_state = 149, .external_lex_state = 2},
  [3871] = {.lex_state = 12, .external_lex_state = 2},
  [3872] = {.lex_state = 149, .external_lex_state = 5},
  [3873] = {.lex_state = 149, .external_lex_state = 2},
  [3874] = {.lex_state = 149, .external_lex_state = 5},
  [3875] = {.lex_state = 12, .external_lex_state = 2},
  [3876] = {.lex_state = 12, .external_lex_state = 2},
  [3877] = {.lex_state = 149, .external_lex_state = 2},
  [3878] = {.lex_state = 149, .external_lex_state = 2},
  [3879] = {.lex_state = 149, .external_lex_state = 2},
  [3880] = {.lex_state = 12, .external_lex_state = 2},
  [3881] = {.lex_state = 12, .external_lex_state = 2},
  [3882] = {.lex_state = 12, .external_lex_state = 2},
  [3883] = {.lex_state = 149, .external_lex_state = 2},
  [3884] = {.lex_state = 149, .external_lex_state = 2},
  [3885] = {.lex_state = 149, .external_lex_state = 5},
  [3886] = {.lex_state = 12, .external_lex_state = 2},
  [3887] = {.lex_state = 149, .external_lex_state = 5},
  [3888] = {.lex_state = 149, .external_lex_state = 6},
  [3889] = {.lex_state = 23, .external_lex_state = 8},
  [3890] = {.lex_state = 149, .external_lex_state = 6},
  [3891] = {.lex_state = 149, .external_lex_state = 5},
  [3892] = {.lex_state = 149, .external_lex_state = 2},
  [3893] = {.lex_state = 12, .external_lex_state = 2},
  [3894] = {.lex_state = 12, .external_lex_state = 2},
  [3895] = {.lex_state = 149, .external_lex_state = 2},
  [3896] = {.lex_state = 149, .external_lex_state = 6},
  [3897] = {.lex_state = 12, .external_lex_state = 2},
  [3898] = {.lex_state = 149, .external_lex_state = 2},
  [3899] = {.lex_state = 149, .external_lex_state = 6},
  [3900] = {.lex_state = 12, .external_lex_state = 2},
  [3901] = {.lex_state = 12, .external_lex_state = 2},
  [3902] = {.lex_state = 149, .external_lex_state = 5},
  [3903] = {.lex_state = 12, .external_lex_state = 2},
  [3904] = {.lex_state = 149, .external_lex_state = 6},
  [3905] = {.lex_state = 25, .external_lex_state = 2},
  [3906] = {.lex_state = 149, .external_lex_state = 6},
  [3907] = {.lex_state = 149, .external_lex_state = 5},
  [3908] = {.lex_state = 149, .external_lex_state = 6},
  [3909] = {.lex_state = 149, .external_lex_state = 5},
  [3910] = {.lex_state = 23, .external_lex_state = 8},
  [3911] = {.lex_state = 149, .external_lex_state = 2},
  [3912] = {.lex_state = 149, .external_lex_state = 5},
  [3913] = {.lex_state = 23, .external_lex_state = 8},
  [3914] = {.lex_state = 12, .external_lex_state = 2},
  [3915] = {.lex_state = 149, .external_lex_state = 5},
  [3916] = {.lex_state = 149, .external_lex_state = 2},
  [3917] = {.lex_state = 149, .external_lex_state = 6},
  [3918] = {.lex_state = 149, .external_lex_state = 2},
  [3919] = {.lex_state = 12, .external_lex_state = 2},
  [3920] = {.lex_state = 12, .external_lex_state = 2},
  [3921] = {.lex_state = 25, .external_lex_state = 2},
  [3922] = {.lex_state = 12, .external_lex_state = 2},
  [3923] = {.lex_state = 12, .external_lex_state = 2},
  [3924] = {.lex_state = 12, .external_lex_state = 2},
  [3925] = {.lex_state = 12, .external_lex_state = 2},
  [3926] = {.lex_state = 12, .external_lex_state = 2},
  [3927] = {.lex_state = 149, .external_lex_state = 2},
  [3928] = {.lex_state = 149, .external_lex_state = 6},
  [3929] = {.lex_state = 149, .external_lex_state = 5},
  [3930] = {.lex_state = 12, .external_lex_state = 2},
  [3931] = {.lex_state = 149, .external_lex_state = 6},
  [3932] = {.lex_state = 149, .external_lex_state = 2},
  [3933] = {.lex_state = 12, .external_lex_state = 2},
  [3934] = {.lex_state = 149, .external_lex_state = 5},
  [3935] = {.lex_state = 149, .external_lex_state = 5},
  [3936] = {.lex_state = 149, .external_lex_state = 5},
  [3937] = {.lex_state = 149, .external_lex_state = 2},
  [3938] = {.lex_state = 149, .external_lex_state = 2},
  [3939] = {.lex_state = 149, .external_lex_state = 5},
  [3940] = {.lex_state = 149, .external_lex_state = 5},
  [3941] = {.lex_state = 149, .external_lex_state = 5},
  [3942] = {.lex_state = 12, .external_lex_state = 2},
  [3943] = {.lex_state = 149, .external_lex_state = 5},
  [3944] = {.lex_state = 12, .external_lex_state = 2},
  [3945] = {.lex_state = 149, .external_lex_state = 5},
  [3946] = {.lex_state = 149, .external_lex_state = 6},
  [3947] = {.lex_state = 23, .external_lex_state = 9},
  [3948] = {.lex_state = 149, .external_lex_state = 5},
  [3949] = {.lex_state = 149, .external_lex_state = 5},
  [3950] = {.lex_state = 149, .external_lex_state = 5},
  [3951] = {.lex_state = 149, .external_lex_state = 5},
  [3952] = {.lex_state = 149, .external_lex_state = 5},
  [3953] = {.lex_state = 149, .external_lex_state = 5},
  [3954] = {.lex_state = 23, .external_lex_state = 7},
  [3955] = {.lex_state = 25, .external_lex_state = 2},
  [3956] = {.lex_state = 149, .external_lex_state = 5},
  [3957] = {.lex_state = 149, .external_lex_state = 5},
  [3958] = {.lex_state = 149, .external_lex_state = 5},
  [3959] = {.lex_state = 149, .external_lex_state = 5},
  [3960] = {.lex_state = 149, .external_lex_state = 5},
  [3961] = {.lex_state = 149, .external_lex_state = 5},
  [3962] = {.lex_state = 23, .external_lex_state = 7},
  [3963] = {.lex_state = 149, .external_lex_state = 5},
  [3964] = {.lex_state = 149, .external_lex_state = 5},
  [3965] = {.lex_state = 149, .external_lex_state = 2},
  [3966] = {.lex_state = 149, .external_lex_state = 5},
  [3967] = {.lex_state = 149, .external_lex_state = 5},
  [3968] = {.lex_state = 4, .external_lex_state = 2},
  [3969] = {.lex_state = 149, .external_lex_state = 5},
  [3970] = {.lex_state = 25, .external_lex_state = 2},
  [3971] = {.lex_state = 149, .external_lex_state = 2},
  [3972] = {.lex_state = 149, .external_lex_state = 5},
  [3973] = {.lex_state = 149, .external_lex_state = 6},
  [3974] = {.lex_state = 149, .external_lex_state = 6},
  [3975] = {.lex_state = 149, .external_lex_state = 6},
  [3976] = {.lex_state = 149, .external_lex_state = 5},
  [3977] = {.lex_state = 12, .external_lex_state = 2},
  [3978] = {.lex_state = 149, .external_lex_state = 5},
  [3979] = {.lex_state = 149, .external_lex_state = 5},
  [3980] = {.lex_state = 12, .external_lex_state = 2},
  [3981] = {.lex_state = 149, .external_lex_state = 6},
  [3982] = {.lex_state = 149, .external_lex_state = 5},
  [3983] = {.lex_state = 149, .external_lex_state = 5},
  [3984] = {.lex_state = 149, .external_lex_state = 5},
  [3985] = {.lex_state = 149, .external_lex_state = 5},
  [3986] = {.lex_state = 149, .external_lex_state = 5},
  [3987] = {.lex_state = 149, .external_lex_state = 5},
  [3988] = {.lex_state = 149, .external_lex_state = 5},
  [3989] = {.lex_state = 149, .external_lex_state = 5},
  [3990] = {.lex_state = 149, .external_lex_state = 2},
  [3991] = {.lex_state = 149, .external_lex_state = 5},
  [3992] = {.lex_state = 149, .external_lex_state = 5},
  [3993] = {.lex_state = 149, .external_lex_state = 5},
  [3994] = {.lex_state = 149, .external_lex_state = 2},
  [3995] = {.lex_state = 149, .external_lex_state = 5},
  [3996] = {.lex_state = 149, .external_lex_state = 5},
  [3997] = {.lex_state = 149, .external_lex_state = 5},
  [3998] = {.lex_state = 149, .external_lex_state = 5},
  [3999] = {.lex_state = 149, .external_lex_state = 5},
  [4000] = {.lex_state = 149, .external_lex_state = 5},
  [4001] = {.lex_state = 149, .external_lex_state = 5},
  [4002] = {.lex_state = 16, .external_lex_state = 2},
  [4003] = {.lex_state = 149, .external_lex_state = 5},
  [4004] = {.lex_state = 23, .external_lex_state = 7},
  [4005] = {.lex_state = 149, .external_lex_state = 5},
  [4006] = {.lex_state = 149, .external_lex_state = 2},
  [4007] = {.lex_state = 149, .external_lex_state = 5},
  [4008] = {.lex_state = 149, .external_lex_state = 2},
  [4009] = {.lex_state = 149, .external_lex_state = 5},
  [4010] = {.lex_state = 23, .external_lex_state = 7},
  [4011] = {.lex_state = 149, .external_lex_state = 5},
  [4012] = {.lex_state = 23, .external_lex_state = 7},
  [4013] = {.lex_state = 149, .external_lex_state = 5},
  [4014] = {.lex_state = 23, .external_lex_state = 7},
  [4015] = {.lex_state = 23, .external_lex_state = 9},
  [4016] = {.lex_state = 23, .external_lex_state = 7},
  [4017] = {.lex_state = 149, .external_lex_state = 5},
  [4018] = {.lex_state = 149, .external_lex_state = 6},
  [4019] = {.lex_state = 149, .external_lex_state = 5},
  [4020] = {.lex_state = 149, .external_lex_state = 5},
  [4021] = {.lex_state = 4, .external_lex_state = 2},
  [4022] = {.lex_state = 149, .external_lex_state = 5},
  [4023] = {.lex_state = 149, .external_lex_state = 2},
  [4024] = {.lex_state = 149, .external_lex_state = 5},
  [4025] = {.lex_state = 149, .external_lex_state = 5},
  [4026] = {.lex_state = 149, .external_lex_state = 5},
  [4027] = {.lex_state = 149, .external_lex_state = 5},
  [4028] = {.lex_state = 23, .external_lex_state = 7},
  [4029] = {.lex_state = 149, .external_lex_state = 5},
  [4030] = {.lex_state = 149, .external_lex_state = 2},
  [4031] = {.lex_state = 149, .external_lex_state = 5},
  [4032] = {.lex_state = 149, .external_lex_state = 2},
  [4033] = {.lex_state = 149, .external_lex_state = 2},
  [4034] = {.lex_state = 149, .external_lex_state = 5},
  [4035] = {.lex_state = 149, .external_lex_state = 5},
  [4036] = {.lex_state = 149, .external_lex_state = 6},
  [4037] = {.lex_state = 149, .external_lex_state = 5},
  [4038] = {.lex_state = 149, .external_lex_state = 5},
  [4039] = {.lex_state = 149, .external_lex_state = 5},
  [4040] = {.lex_state = 149, .external_lex_state = 5},
  [4041] = {.lex_state = 149, .external_lex_state = 5},
  [4042] = {.lex_state = 23, .external_lex_state = 9},
  [4043] = {.lex_state = 15, .external_lex_state = 2},
  [4044] = {.lex_state = 149, .external_lex_state = 6},
  [4045] = {.lex_state = 23, .external_lex_state = 7},
  [4046] = {.lex_state = 149, .external_lex_state = 5},
  [4047] = {.lex_state = 149, .external_lex_state = 2},
  [4048] = {.lex_state = 149, .external_lex_state = 2},
  [4049] = {.lex_state = 149, .external_lex_state = 2},
  [4050] = {.lex_state = 149, .external_lex_state = 5},
  [4051] = {.lex_state = 149, .external_lex_state = 5},
  [4052] = {.lex_state = 25, .external_lex_state = 2},
  [4053] = {.lex_state = 149, .external_lex_state = 6},
  [4054] = {.lex_state = 149, .external_lex_state = 5},
  [4055] = {.lex_state = 149, .external_lex_state = 5},
  [4056] = {.lex_state = 149, .external_lex_state = 5},
  [4057] = {.lex_state = 12, .external_lex_state = 2},
  [4058] = {.lex_state = 149, .external_lex_state = 5},
  [4059] = {.lex_state = 149, .external_lex_state = 5},
  [4060] = {.lex_state = 149, .external_lex_state = 5},
  [4061] = {.lex_state = 149, .external_lex_state = 5},
  [4062] = {.lex_state = 149, .external_lex_state = 5},
  [4063] = {.lex_state = 149, .external_lex_state = 5},
  [4064] = {.lex_state = 149, .external_lex_state = 5},
  [4065] = {.lex_state = 149, .external_lex_state = 5},
  [4066] = {.lex_state = 149, .external_lex_state = 5},
  [4067] = {.lex_state = 149, .external_lex_state = 2},
  [4068] = {.lex_state = 149, .external_lex_state = 5},
  [4069] = {.lex_state = 149, .external_lex_state = 5},
  [4070] = {.lex_state = 149, .external_lex_state = 5},
  [4071] = {.lex_state = 149, .external_lex_state = 5},
  [4072] = {.lex_state = 149, .external_lex_state = 2},
  [4073] = {.lex_state = 149, .external_lex_state = 5},
  [4074] = {.lex_state = 149, .external_lex_state = 5},
  [4075] = {.lex_state = 149, .external_lex_state = 5},
  [4076] = {.lex_state = 149, .external_lex_state = 5},
  [4077] = {.lex_state = 149, .external_lex_state = 5},
  [4078] = {.lex_state = 149, .external_lex_state = 2},
  [4079] = {.lex_state = 12, .external_lex_state = 2},
  [4080] = {.lex_state = 149, .external_lex_state = 5},
  [4081] = {.lex_state = 149, .external_lex_state = 5},
  [4082] = {.lex_state = 12, .external_lex_state = 2},
  [4083] = {.lex_state = 149, .external_lex_state = 2},
  [4084] = {.lex_state = 12, .external_lex_state = 2},
  [4085] = {.lex_state = 149, .external_lex_state = 5},
  [4086] = {.lex_state = 12, .external_lex_state = 2},
  [4087] = {.lex_state = 149, .external_lex_state = 5},
  [4088] = {.lex_state = 149, .external_lex_state = 5},
  [4089] = {.lex_state = 149, .external_lex_state = 5},
  [4090] = {.lex_state = 149, .external_lex_state = 5},
  [4091] = {.lex_state = 149, .external_lex_state = 5},
  [4092] = {.lex_state = 149, .external_lex_state = 5},
  [4093] = {.lex_state = 149, .external_lex_state = 5},
  [4094] = {.lex_state = 149, .external_lex_state = 5},
  [4095] = {.lex_state = 149, .external_lex_state = 5},
  [4096] = {.lex_state = 149, .external_lex_state = 5},
  [4097] = {.lex_state = 149, .external_lex_state = 5},
  [4098] = {.lex_state = 149, .external_lex_state = 5},
  [4099] = {.lex_state = 149, .external_lex_state = 5},
  [4100] = {.lex_state = 149, .external_lex_state = 5},
  [4101] = {.lex_state = 149, .external_lex_state = 5},
  [4102] = {.lex_state = 149, .external_lex_state = 5},
  [4103] = {.lex_state = 149, .external_lex_state = 2},
  [4104] = {.lex_state = 149, .external_lex_state = 5},
  [4105] = {.lex_state = 149, .external_lex_state = 2},
  [4106] = {.lex_state = 149, .external_lex_state = 2},
  [4107] = {.lex_state = 149, .external_lex_state = 5},
  [4108] = {.lex_state = 149, .external_lex_state = 5},
  [4109] = {.lex_state = 149, .external_lex_state = 2},
  [4110] = {.lex_state = 23, .external_lex_state = 7},
  [4111] = {.lex_state = 23, .external_lex_state = 7},
  [4112] = {.lex_state = 149, .external_lex_state = 5},
  [4113] = {.lex_state = 12, .external_lex_state = 2},
  [4114] = {.lex_state = 149, .external_lex_state = 5},
  [4115] = {.lex_state = 12, .external_lex_state = 2},
  [4116] = {.lex_state = 149, .external_lex_state = 5},
  [4117] = {.lex_state = 149, .external_lex_state = 5},
  [4118] = {.lex_state = 149, .external_lex_state = 5},
  [4119] = {.lex_state = 16, .external_lex_state = 2},
  [4120] = {.lex_state = 149, .external_lex_state = 5},
  [4121] = {.lex_state = 149, .external_lex_state = 5},
  [4122] = {.lex_state = 149, .external_lex_state = 5},
  [4123] = {.lex_state = 149, .external_lex_state = 5},
  [4124] = {.lex_state = 149, .external_lex_state = 5},
  [4125] = {.lex_state = 149, .external_lex_state = 5},
  [4126] = {.lex_state = 23, .external_lex_state = 9},
  [4127] = {.lex_state = 149, .external_lex_state = 6},
  [4128] = {.lex_state = 149, .external_lex_state = 5},
  [4129] = {.lex_state = 149, .external_lex_state = 5},
  [4130] = {.lex_state = 149, .external_lex_state = 5},
  [4131] = {.lex_state = 149, .external_lex_state = 5},
  [4132] = {.lex_state = 149, .external_lex_state = 2},
  [4133] = {.lex_state = 149, .external_lex_state = 5},
  [4134] = {.lex_state = 149, .external_lex_state = 5},
  [4135] = {.lex_state = 149, .external_lex_state = 5},
  [4136] = {.lex_state = 23, .external_lex_state = 9},
  [4137] = {.lex_state = 149, .external_lex_state = 6},
  [4138] = {.lex_state = 149, .external_lex_state = 5},
  [4139] = {.lex_state = 149, .external_lex_state = 5},
  [4140] = {.lex_state = 149, .external_lex_state = 2},
  [4141] = {.lex_state = 12, .external_lex_state = 2},
  [4142] = {.lex_state = 149, .external_lex_state = 5},
  [4143] = {.lex_state = 149, .external_lex_state = 5},
  [4144] = {.lex_state = 149, .external_lex_state = 5},
  [4145] = {.lex_state = 12, .external_lex_state = 2},
  [4146] = {.lex_state = 149, .external_lex_state = 6},
  [4147] = {.lex_state = 149, .external_lex_state = 2},
  [4148] = {.lex_state = 149, .external_lex_state = 5},
  [4149] = {.lex_state = 12, .external_lex_state = 2},
  [4150] = {.lex_state = 16, .external_lex_state = 2},
  [4151] = {.lex_state = 23, .external_lex_state = 9},
  [4152] = {.lex_state = 149, .external_lex_state = 5},
  [4153] = {.lex_state = 149, .external_lex_state = 5},
  [4154] = {.lex_state = 12, .external_lex_state = 2},
  [4155] = {.lex_state = 149, .external_lex_state = 5},
  [4156] = {.lex_state = 149, .external_lex_state = 5},
  [4157] = {.lex_state = 149, .external_lex_state = 5},
  [4158] = {.lex_state = 149, .external_lex_state = 5},
  [4159] = {.lex_state = 149, .external_lex_state = 5},
  [4160] = {.lex_state = 149, .external_lex_state = 5},
  [4161] = {.lex_state = 12, .external_lex_state = 2},
  [4162] = {.lex_state = 149, .external_lex_state = 5},
  [4163] = {.lex_state = 149, .external_lex_state = 5},
  [4164] = {.lex_state = 149, .external_lex_state = 5},
  [4165] = {.lex_state = 23, .external_lex_state = 9},
  [4166] = {.lex_state = 149, .external_lex_state = 5},
  [4167] = {.lex_state = 149, .external_lex_state = 5},
  [4168] = {.lex_state = 149, .external_lex_state = 5},
  [4169] = {.lex_state = 149, .external_lex_state = 5},
  [4170] = {.lex_state = 149, .external_lex_state = 5},
  [4171] = {.lex_state = 149, .external_lex_state = 5},
  [4172] = {.lex_state = 149, .external_lex_state = 5},
  [4173] = {.lex_state = 149, .external_lex_state = 5},
  [4174] = {.lex_state = 12, .external_lex_state = 2},
  [4175] = {.lex_state = 12, .external_lex_state = 2},
  [4176] = {.lex_state = 149, .external_lex_state = 5},
  [4177] = {.lex_state = 149, .external_lex_state = 5},
  [4178] = {.lex_state = 23, .external_lex_state = 9},
  [4179] = {.lex_state = 149, .external_lex_state = 5},
  [4180] = {.lex_state = 23, .external_lex_state = 9},
  [4181] = {.lex_state = 149, .external_lex_state = 5},
  [4182] = {.lex_state = 12, .external_lex_state = 2},
  [4183] = {.lex_state = 149, .external_lex_state = 5},
  [4184] = {.lex_state = 149, .external_lex_state = 5},
  [4185] = {.lex_state = 149, .external_lex_state = 5},
  [4186] = {.lex_state = 149, .external_lex_state = 5},
  [4187] = {.lex_state = 149, .external_lex_state = 5},
  [4188] = {.lex_state = 149, .external_lex_state = 5},
  [4189] = {.lex_state = 149, .external_lex_state = 5},
  [4190] = {.lex_state = 149, .external_lex_state = 5},
  [4191] = {.lex_state = 149, .external_lex_state = 5},
  [4192] = {.lex_state = 149, .external_lex_state = 5},
  [4193] = {.lex_state = 149, .external_lex_state = 5},
  [4194] = {.lex_state = 12, .external_lex_state = 2},
  [4195] = {.lex_state = 149, .external_lex_state = 5},
  [4196] = {.lex_state = 149, .external_lex_state = 5},
  [4197] = {.lex_state = 149, .external_lex_state = 5},
  [4198] = {.lex_state = 149, .external_lex_state = 5},
  [4199] = {.lex_state = 149, .external_lex_state = 5},
  [4200] = {.lex_state = 149, .external_lex_state = 2},
  [4201] = {.lex_state = 149, .external_lex_state = 5},
  [4202] = {.lex_state = 12, .external_lex_state = 2},
  [4203] = {.lex_state = 149, .external_lex_state = 6},
  [4204] = {.lex_state = 149, .external_lex_state = 2},
  [4205] = {.lex_state = 149, .external_lex_state = 2},
  [4206] = {.lex_state = 149, .external_lex_state = 5},
  [4207] = {.lex_state = 12, .external_lex_state = 2},
  [4208] = {.lex_state = 149, .external_lex_state = 5},
  [4209] = {.lex_state = 149, .external_lex_state = 2},
  [4210] = {.lex_state = 12, .external_lex_state = 2},
  [4211] = {.lex_state = 149, .external_lex_state = 5},
  [4212] = {.lex_state = 149, .external_lex_state = 5},
  [4213] = {.lex_state = 149, .external_lex_state = 5},
  [4214] = {.lex_state = 12, .external_lex_state = 2},
  [4215] = {.lex_state = 23, .external_lex_state = 7},
  [4216] = {.lex_state = 23, .external_lex_state = 7},
  [4217] = {.lex_state = 149, .external_lex_state = 2},
  [4218] = {.lex_state = 12, .external_lex_state = 2},
  [4219] = {.lex_state = 149, .external_lex_state = 5},
  [4220] = {.lex_state = 149, .external_lex_state = 5},
  [4221] = {.lex_state = 12, .external_lex_state = 2},
  [4222] = {.lex_state = 149, .external_lex_state = 5},
  [4223] = {.lex_state = 149, .external_lex_state = 5},
  [4224] = {.lex_state = 149, .external_lex_state = 5},
  [4225] = {.lex_state = 12, .external_lex_state = 2},
  [4226] = {.lex_state = 12, .external_lex_state = 2},
  [4227] = {.lex_state = 149, .external_lex_state = 5},
  [4228] = {.lex_state = 149, .external_lex_state = 5},
  [4229] = {.lex_state = 149, .external_lex_state = 5},
  [4230] = {.lex_state = 149, .external_lex_state = 5},
  [4231] = {.lex_state = 149, .external_lex_state = 5},
  [4232] = {.lex_state = 149, .external_lex_state = 5},
  [4233] = {.lex_state = 149, .external_lex_state = 5},
  [4234] = {.lex_state = 23, .external_lex_state = 7},
  [4235] = {.lex_state = 23, .external_lex_state = 7},
  [4236] = {.lex_state = 149, .external_lex_state = 5},
  [4237] = {.lex_state = 149, .external_lex_state = 5},
  [4238] = {.lex_state = 12, .external_lex_state = 2},
  [4239] = {.lex_state = 12, .external_lex_state = 2},
  [4240] = {.lex_state = 149, .external_lex_state = 5},
  [4241] = {.lex_state = 12, .external_lex_state = 2},
  [4242] = {.lex_state = 12, .external_lex_state = 2},
  [4243] = {.lex_state = 23, .external_lex_state = 7},
  [4244] = {.lex_state = 23, .external_lex_state = 7},
  [4245] = {.lex_state = 149, .external_lex_state = 5},
  [4246] = {.lex_state = 149, .external_lex_state = 5},
  [4247] = {.lex_state = 149, .external_lex_state = 5},
  [4248] = {.lex_state = 12, .external_lex_state = 2},
  [4249] = {.lex_state = 149, .external_lex_state = 5},
  [4250] = {.lex_state = 12, .external_lex_state = 2},
  [4251] = {.lex_state = 12, .external_lex_state = 2},
  [4252] = {.lex_state = 149, .external_lex_state = 5},
  [4253] = {.lex_state = 149, .external_lex_state = 5},
  [4254] = {.lex_state = 149, .external_lex_state = 5},
  [4255] = {.lex_state = 149, .external_lex_state = 5},
  [4256] = {.lex_state = 149, .external_lex_state = 5},
  [4257] = {.lex_state = 12, .external_lex_state = 2},
  [4258] = {.lex_state = 149, .external_lex_state = 5},
  [4259] = {.lex_state = 149, .external_lex_state = 5},
  [4260] = {.lex_state = 23, .external_lex_state = 7},
  [4261] = {.lex_state = 23, .external_lex_state = 7},
  [4262] = {.lex_state = 23, .external_lex_state = 7},
  [4263] = {.lex_state = 23, .external_lex_state = 7},
  [4264] = {.lex_state = 12, .external_lex_state = 2},
  [4265] = {.lex_state = 23, .external_lex_state = 7},
  [4266] = {.lex_state = 23, .external_lex_state = 7},
  [4267] = {.lex_state = 149, .external_lex_state = 5},
  [4268] = {.lex_state = 12, .external_lex_state = 2},
  [4269] = {.lex_state = 149, .external_lex_state = 5},
  [4270] = {.lex_state = 12, .external_lex_state = 2},
  [4271] = {.lex_state = 12, .external_lex_state = 2},
  [4272] = {.lex_state = 149, .external_lex_state = 5},
  [4273] = {.lex_state = 12, .external_lex_state = 2},
  [4274] = {.lex_state = 149, .external_lex_state = 5},
  [4275] = {.lex_state = 23, .external_lex_state = 7},
  [4276] = {.lex_state = 23, .external_lex_state = 7},
  [4277] = {.lex_state = 149, .external_lex_state = 5},
  [4278] = {.lex_state = 149, .external_lex_state = 5},
  [4279] = {.lex_state = 149, .external_lex_state = 5},
  [4280] = {.lex_state = 149, .external_lex_state = 5},
  [4281] = {.lex_state = 149, .external_lex_state = 5},
  [4282] = {.lex_state = 149, .external_lex_state = 5},
  [4283] = {.lex_state = 149, .external_lex_state = 5},
  [4284] = {.lex_state = 149, .external_lex_state = 5},
  [4285] = {.lex_state = 149, .external_lex_state = 5},
  [4286] = {.lex_state = 25, .external_lex_state = 2},
  [4287] = {.lex_state = 149, .external_lex_state = 5},
  [4288] = {.lex_state = 149, .external_lex_state = 5},
  [4289] = {.lex_state = 149, .external_lex_state = 5},
  [4290] = {.lex_state = 149, .external_lex_state = 5},
  [4291] = {.lex_state = 149, .external_lex_state = 5},
  [4292] = {.lex_state = 149, .external_lex_state = 5},
  [4293] = {.lex_state = 23, .external_lex_state = 7},
  [4294] = {.lex_state = 23, .external_lex_state = 7},
  [4295] = {.lex_state = 149, .external_lex_state = 5},
  [4296] = {.lex_state = 12, .external_lex_state = 2},
  [4297] = {.lex_state = 149, .external_lex_state = 5},
  [4298] = {.lex_state = 149, .external_lex_state = 5},
  [4299] = {.lex_state = 149, .external_lex_state = 5},
  [4300] = {.lex_state = 149, .external_lex_state = 5},
  [4301] = {.lex_state = 149, .external_lex_state = 5},
  [4302] = {.lex_state = 12, .external_lex_state = 2},
  [4303] = {.lex_state = 149, .external_lex_state = 5},
  [4304] = {.lex_state = 12, .external_lex_state = 2},
  [4305] = {.lex_state = 149, .external_lex_state = 2},
  [4306] = {.lex_state = 149, .external_lex_state = 2},
  [4307] = {.lex_state = 149, .external_lex_state = 5},
  [4308] = {.lex_state = 149, .external_lex_state = 5},
  [4309] = {.lex_state = 149, .external_lex_state = 2},
  [4310] = {.lex_state = 23, .external_lex_state = 9},
  [4311] = {.lex_state = 149, .external_lex_state = 2},
  [4312] = {.lex_state = 149, .external_lex_state = 5},
  [4313] = {.lex_state = 149, .external_lex_state = 5},
  [4314] = {.lex_state = 149, .external_lex_state = 2},
  [4315] = {.lex_state = 12, .external_lex_state = 2},
  [4316] = {.lex_state = 12, .external_lex_state = 2},
  [4317] = {.lex_state = 149, .external_lex_state = 5},
  [4318] = {.lex_state = 149, .external_lex_state = 5},
  [4319] = {.lex_state = 149, .external_lex_state = 5},
  [4320] = {.lex_state = 12, .external_lex_state = 2},
  [4321] = {.lex_state = 12, .external_lex_state = 2},
  [4322] = {.lex_state = 149, .external_lex_state = 5},
  [4323] = {.lex_state = 149, .external_lex_state = 5},
  [4324] = {.lex_state = 25, .external_lex_state = 2},
  [4325] = {.lex_state = 25, .external_lex_state = 2},
  [4326] = {.lex_state = 23, .external_lex_state = 7},
  [4327] = {.lex_state = 23, .external_lex_state = 7},
  [4328] = {.lex_state = 149, .external_lex_state = 2},
  [4329] = {.lex_state = 12, .external_lex_state = 2},
  [4330] = {.lex_state = 25, .external_lex_state = 2},
  [4331] = {.lex_state = 25, .external_lex_state = 2},
  [4332] = {.lex_state = 149, .external_lex_state = 5},
  [4333] = {.lex_state = 149, .external_lex_state = 5},
  [4334] = {.lex_state = 12, .external_lex_state = 2},
  [4335] = {.lex_state = 149, .external_lex_state = 5},
  [4336] = {.lex_state = 149, .external_lex_state = 5},
  [4337] = {.lex_state = 149, .external_lex_state = 5},
  [4338] = {.lex_state = 25, .external_lex_state = 2},
  [4339] = {.lex_state = 25, .external_lex_state = 2},
  [4340] = {.lex_state = 149, .external_lex_state = 5},
  [4341] = {.lex_state = 149, .external_lex_state = 5},
  [4342] = {.lex_state = 25, .external_lex_state = 2},
  [4343] = {.lex_state = 25, .external_lex_state = 2},
  [4344] = {.lex_state = 149, .external_lex_state = 5},
  [4345] = {.lex_state = 149, .external_lex_state = 5},
  [4346] = {.lex_state = 149, .external_lex_state = 2},
  [4347] = {.lex_state = 149, .external_lex_state = 5},
  [4348] = {.lex_state = 12, .external_lex_state = 2},
  [4349] = {.lex_state = 149, .external_lex_state = 5},
  [4350] = {.lex_state = 149, .external_lex_state = 5},
  [4351] = {.lex_state = 149, .external_lex_state = 5},
  [4352] = {.lex_state = 12, .external_lex_state = 2},
  [4353] = {.lex_state = 149, .external_lex_state = 2},
  [4354] = {.lex_state = 149, .external_lex_state = 2},
  [4355] = {.lex_state = 25, .external_lex_state = 2},
  [4356] = {.lex_state = 25, .external_lex_state = 2},
  [4357] = {.lex_state = 25, .external_lex_state = 2},
  [4358] = {.lex_state = 25, .external_lex_state = 2},
  [4359] = {.lex_state = 25, .external_lex_state = 2},
  [4360] = {.lex_state = 25, .external_lex_state = 2},
  [4361] = {.lex_state = 149, .external_lex_state = 5},
  [4362] = {.lex_state = 149, .external_lex_state = 2},
  [4363] = {.lex_state = 149, .external_lex_state = 5},
  [4364] = {.lex_state = 149, .external_lex_state = 2},
  [4365] = {.lex_state = 149, .external_lex_state = 5},
  [4366] = {.lex_state = 25, .external_lex_state = 2},
  [4367] = {.lex_state = 149, .external_lex_state = 2},
  [4368] = {.lex_state = 149, .external_lex_state = 2},
  [4369] = {.lex_state = 25, .external_lex_state = 2},
  [4370] = {.lex_state = 149, .external_lex_state = 5},
  [4371] = {.lex_state = 12, .external_lex_state = 2},
  [4372] = {.lex_state = 149, .external_lex_state = 2},
  [4373] = {.lex_state = 149, .external_lex_state = 5},
  [4374] = {.lex_state = 149, .external_lex_state = 5},
  [4375] = {.lex_state = 149, .external_lex_state = 5},
  [4376] = {.lex_state = 149, .external_lex_state = 5},
  [4377] = {.lex_state = 149, .external_lex_state = 2},
  [4378] = {.lex_state = 149, .external_lex_state = 5},
  [4379] = {.lex_state = 25, .external_lex_state = 2},
  [4380] = {.lex_state = 25, .external_lex_state = 2},
  [4381] = {.lex_state = 149, .external_lex_state = 5},
  [4382] = {.lex_state = 12, .external_lex_state = 2},
  [4383] = {.lex_state = 149, .external_lex_state = 5},
  [4384] = {.lex_state = 149, .external_lex_state = 5},
  [4385] = {.lex_state = 149, .external_lex_state = 5},
  [4386] = {.lex_state = 149, .external_lex_state = 5},
  [4387] = {.lex_state = 149, .external_lex_state = 5},
  [4388] = {.lex_state = 149, .external_lex_state = 5},
  [4389] = {.lex_state = 149, .external_lex_state = 5},
  [4390] = {.lex_state = 149, .external_lex_state = 2},
  [4391] = {.lex_state = 149, .external_lex_state = 5},
  [4392] = {.lex_state = 149, .external_lex_state = 5},
  [4393] = {.lex_state = 12, .external_lex_state = 2},
  [4394] = {.lex_state = 149, .external_lex_state = 2},
  [4395] = {.lex_state = 149, .external_lex_state = 2},
  [4396] = {.lex_state = 149, .external_lex_state = 2},
  [4397] = {.lex_state = 12, .external_lex_state = 2},
  [4398] = {.lex_state = 149, .external_lex_state = 5},
  [4399] = {.lex_state = 12, .external_lex_state = 2},
  [4400] = {.lex_state = 149, .external_lex_state = 5},
  [4401] = {.lex_state = 149, .external_lex_state = 5},
  [4402] = {.lex_state = 149, .external_lex_state = 2},
  [4403] = {.lex_state = 149, .external_lex_state = 5},
  [4404] = {.lex_state = 149, .external_lex_state = 5},
  [4405] = {.lex_state = 149, .external_lex_state = 5},
  [4406] = {.lex_state = 16, .external_lex_state = 2},
  [4407] = {.lex_state = 149, .external_lex_state = 5},
  [4408] = {.lex_state = 149, .external_lex_state = 5},
  [4409] = {.lex_state = 149, .external_lex_state = 5},
  [4410] = {.lex_state = 149, .external_lex_state = 5},
  [4411] = {.lex_state = 149, .external_lex_state = 5},
  [4412] = {.lex_state = 149, .external_lex_state = 5},
  [4413] = {.lex_state = 149, .external_lex_state = 5},
  [4414] = {.lex_state = 149, .external_lex_state = 5},
  [4415] = {.lex_state = 149, .external_lex_state = 5},
  [4416] = {.lex_state = 149, .external_lex_state = 5},
  [4417] = {.lex_state = 149, .external_lex_state = 5},
  [4418] = {.lex_state = 149, .external_lex_state = 5},
  [4419] = {.lex_state = 12, .external_lex_state = 2},
  [4420] = {.lex_state = 149, .external_lex_state = 5},
  [4421] = {.lex_state = 149, .external_lex_state = 5},
  [4422] = {.lex_state = 149, .external_lex_state = 5},
  [4423] = {.lex_state = 149, .external_lex_state = 5},
  [4424] = {.lex_state = 149, .external_lex_state = 5},
  [4425] = {.lex_state = 149, .external_lex_state = 5},
  [4426] = {.lex_state = 149, .external_lex_state = 2},
  [4427] = {.lex_state = 149, .external_lex_state = 5},
  [4428] = {.lex_state = 12, .external_lex_state = 2},
  [4429] = {.lex_state = 149, .external_lex_state = 5},
  [4430] = {.lex_state = 149, .external_lex_state = 5},
  [4431] = {.lex_state = 149, .external_lex_state = 5},
  [4432] = {.lex_state = 149, .external_lex_state = 5},
  [4433] = {.lex_state = 149, .external_lex_state = 5},
  [4434] = {.lex_state = 149, .external_lex_state = 5},
  [4435] = {.lex_state = 12, .external_lex_state = 2},
  [4436] = {.lex_state = 149, .external_lex_state = 5},
  [4437] = {.lex_state = 149, .external_lex_state = 5},
  [4438] = {.lex_state = 149, .external_lex_state = 5},
  [4439] = {.lex_state = 149, .external_lex_state = 5},
  [4440] = {.lex_state = 149, .external_lex_state = 5},
  [4441] = {.lex_state = 149, .external_lex_state = 5},
  [4442] = {.lex_state = 149, .external_lex_state = 5},
  [4443] = {.lex_state = 149, .external_lex_state = 5},
  [4444] = {.lex_state = 149, .external_lex_state = 5},
  [4445] = {.lex_state = 12, .external_lex_state = 2},
  [4446] = {.lex_state = 149, .external_lex_state = 5},
  [4447] = {.lex_state = 149, .external_lex_state = 5},
  [4448] = {.lex_state = 12, .external_lex_state = 2},
  [4449] = {.lex_state = 149, .external_lex_state = 5},
  [4450] = {.lex_state = 12, .external_lex_state = 2},
  [4451] = {.lex_state = 23, .external_lex_state = 9},
  [4452] = {.lex_state = 12, .external_lex_state = 2},
  [4453] = {.lex_state = 149, .external_lex_state = 5},
  [4454] = {.lex_state = 149, .external_lex_state = 6},
  [4455] = {.lex_state = 149, .external_lex_state = 5},
  [4456] = {.lex_state = 149, .external_lex_state = 5},
  [4457] = {.lex_state = 149, .external_lex_state = 5},
  [4458] = {.lex_state = 149, .external_lex_state = 5},
  [4459] = {.lex_state = 149, .external_lex_state = 5},
  [4460] = {.lex_state = 15, .external_lex_state = 2},
  [4461] = {.lex_state = 149, .external_lex_state = 5},
  [4462] = {.lex_state = 149, .external_lex_state = 5},
  [4463] = {.lex_state = 149, .external_lex_state = 5},
  [4464] = {.lex_state = 25, .external_lex_state = 2},
  [4465] = {.lex_state = 149, .external_lex_state = 5},
  [4466] = {.lex_state = 12, .external_lex_state = 2},
  [4467] = {.lex_state = 149, .external_lex_state = 5},
  [4468] = {.lex_state = 28, .external_lex_state = 10},
  [4469] = {.lex_state = 149, .external_lex_state = 2},
  [4470] = {.lex_state = 149, .external_lex_state = 5},
  [4471] = {.lex_state = 149, .external_lex_state = 5},
  [4472] = {.lex_state = 149, .external_lex_state = 2},
  [4473] = {.lex_state = 149, .external_lex_state = 2},
  [4474] = {.lex_state = 4, .external_lex_state = 2},
  [4475] = {.lex_state = 149, .external_lex_state = 2},
  [4476] = {.lex_state = 12, .external_lex_state = 2},
  [4477] = {.lex_state = 149, .external_lex_state = 5},
  [4478] = {.lex_state = 19, .external_lex_state = 10},
  [4479] = {.lex_state = 149, .external_lex_state = 2},
  [4480] = {.lex_state = 17, .external_lex_state = 2},
  [4481] = {.lex_state = 28, .external_lex_state = 10},
  [4482] = {.lex_state = 149, .external_lex_state = 2},
  [4483] = {.lex_state = 12, .external_lex_state = 2},
  [4484] = {.lex_state = 149, .external_lex_state = 2},
  [4485] = {.lex_state = 15, .external_lex_state = 2},
  [4486] = {.lex_state = 12, .external_lex_state = 2},
  [4487] = {.lex_state = 19, .external_lex_state = 10},
  [4488] = {.lex_state = 12, .external_lex_state = 2},
  [4489] = {.lex_state = 28, .external_lex_state = 10},
  [4490] = {.lex_state = 12, .external_lex_state = 2},
  [4491] = {.lex_state = 149, .external_lex_state = 5},
  [4492] = {.lex_state = 19, .external_lex_state = 10},
  [4493] = {.lex_state = 26, .external_lex_state = 2},
  [4494] = {.lex_state = 28, .external_lex_state = 10},
  [4495] = {.lex_state = 149, .external_lex_state = 5},
  [4496] = {.lex_state = 149, .external_lex_state = 2},
  [4497] = {.lex_state = 12, .external_lex_state = 2},
  [4498] = {.lex_state = 12, .external_lex_state = 2},
  [4499] = {.lex_state = 28, .external_lex_state = 10},
  [4500] = {.lex_state = 149, .external_lex_state = 2},
  [4501] = {.lex_state = 149, .external_lex_state = 2},
  [4502] = {.lex_state = 12, .external_lex_state = 2},
  [4503] = {.lex_state = 149, .external_lex_state = 2},
  [4504] = {.lex_state = 149, .external_lex_state = 2},
  [4505] = {.lex_state = 12, .external_lex_state = 2},
  [4506] = {.lex_state = 23, .external_lex_state = 8},
  [4507] = {.lex_state = 149, .external_lex_state = 2},
  [4508] = {.lex_state = 149, .external_lex_state = 2},
  [4509] = {.lex_state = 149, .external_lex_state = 5},
  [4510] = {.lex_state = 149, .external_lex_state = 2},
  [4511] = {.lex_state = 12, .external_lex_state = 2},
  [4512] = {.lex_state = 149, .external_lex_state = 2},
  [4513] = {.lex_state = 149, .external_lex_state = 2},
  [4514] = {.lex_state = 19, .external_lex_state = 10},
  [4515] = {.lex_state = 28, .external_lex_state = 10},
  [4516] = {.lex_state = 149, .external_lex_state = 2},
  [4517] = {.lex_state = 149, .external_lex_state = 2},
  [4518] = {.lex_state = 149, .external_lex_state = 5},
  [4519] = {.lex_state = 149, .external_lex_state = 5},
  [4520] = {.lex_state = 149, .external_lex_state = 2},
  [4521] = {.lex_state = 149, .external_lex_state = 5},
  [4522] = {.lex_state = 149, .external_lex_state = 2},
  [4523] = {.lex_state = 12, .external_lex_state = 2},
  [4524] = {.lex_state = 19, .external_lex_state = 10},
  [4525] = {.lex_state = 12, .external_lex_state = 2},
  [4526] = {.lex_state = 12, .external_lex_state = 2},
  [4527] = {.lex_state = 149, .external_lex_state = 2},
  [4528] = {.lex_state = 149, .external_lex_state = 2},
  [4529] = {.lex_state = 28, .external_lex_state = 10},
  [4530] = {.lex_state = 149, .external_lex_state = 2},
  [4531] = {.lex_state = 149, .external_lex_state = 2},
  [4532] = {.lex_state = 19, .external_lex_state = 10},
  [4533] = {.lex_state = 17, .external_lex_state = 2},
  [4534] = {.lex_state = 26, .external_lex_state = 2},
  [4535] = {.lex_state = 149, .external_lex_state = 2},
  [4536] = {.lex_state = 19, .external_lex_state = 10},
  [4537] = {.lex_state = 28, .external_lex_state = 10},
  [4538] = {.lex_state = 19, .external_lex_state = 10},
  [4539] = {.lex_state = 12, .external_lex_state = 2},
  [4540] = {.lex_state = 149, .external_lex_state = 2},
  [4541] = {.lex_state = 19, .external_lex_state = 10},
  [4542] = {.lex_state = 149, .external_lex_state = 2},
  [4543] = {.lex_state = 4, .external_lex_state = 2},
  [4544] = {.lex_state = 149, .external_lex_state = 5},
  [4545] = {.lex_state = 4, .external_lex_state = 2},
  [4546] = {.lex_state = 149, .external_lex_state = 2},
  [4547] = {.lex_state = 149, .external_lex_state = 2},
  [4548] = {.lex_state = 19, .external_lex_state = 10},
  [4549] = {.lex_state = 19, .external_lex_state = 10},
  [4550] = {.lex_state = 149, .external_lex_state = 2},
  [4551] = {.lex_state = 28, .external_lex_state = 10},
  [4552] = {.lex_state = 19, .external_lex_state = 10},
  [4553] = {.lex_state = 28, .external_lex_state = 10},
  [4554] = {.lex_state = 28, .external_lex_state = 10},
  [4555] = {.lex_state = 149, .external_lex_state = 2},
  [4556] = {.lex_state = 149, .external_lex_state = 2},
  [4557] = {.lex_state = 28, .external_lex_state = 10},
  [4558] = {.lex_state = 149, .external_lex_state = 5},
  [4559] = {.lex_state = 149, .external_lex_state = 5},
  [4560] = {.lex_state = 149, .external_lex_state = 2},
  [4561] = {.lex_state = 149, .external_lex_state = 2},
  [4562] = {.lex_state = 149, .external_lex_state = 2},
  [4563] = {.lex_state = 19, .external_lex_state = 10},
  [4564] = {.lex_state = 28, .external_lex_state = 10},
  [4565] = {.lex_state = 149, .external_lex_state = 5},
  [4566] = {.lex_state = 149, .external_lex_state = 6},
  [4567] = {.lex_state = 149, .external_lex_state = 2},
  [4568] = {.lex_state = 149, .external_lex_state = 2},
  [4569] = {.lex_state = 149, .external_lex_state = 2},
  [4570] = {.lex_state = 12, .external_lex_state = 2},
  [4571] = {.lex_state = 19, .external_lex_state = 10},
  [4572] = {.lex_state = 149, .external_lex_state = 2},
  [4573] = {.lex_state = 12, .external_lex_state = 2},
  [4574] = {.lex_state = 4, .external_lex_state = 2},
  [4575] = {.lex_state = 149, .external_lex_state = 2},
  [4576] = {.lex_state = 149, .external_lex_state = 2},
  [4577] = {.lex_state = 149, .external_lex_state = 2},
  [4578] = {.lex_state = 149, .external_lex_state = 2},
  [4579] = {.lex_state = 15, .external_lex_state = 2},
  [4580] = {.lex_state = 149, .external_lex_state = 5},
  [4581] = {.lex_state = 12, .external_lex_state = 2},
  [4582] = {.lex_state = 149, .external_lex_state = 2},
  [4583] = {.lex_state = 149, .external_lex_state = 2},
  [4584] = {.lex_state = 19, .external_lex_state = 10},
  [4585] = {.lex_state = 149, .external_lex_state = 2},
  [4586] = {.lex_state = 28, .external_lex_state = 10},
  [4587] = {.lex_state = 149, .external_lex_state = 2},
  [4588] = {.lex_state = 12, .external_lex_state = 2},
  [4589] = {.lex_state = 149, .external_lex_state = 2},
  [4590] = {.lex_state = 149, .external_lex_state = 2},
  [4591] = {.lex_state = 149, .external_lex_state = 2},
  [4592] = {.lex_state = 149, .external_lex_state = 5},
  [4593] = {.lex_state = 149, .external_lex_state = 2},
  [4594] = {.lex_state = 12, .external_lex_state = 2},
  [4595] = {.lex_state = 12, .external_lex_state = 2},
  [4596] = {.lex_state = 23, .external_lex_state = 8},
  [4597] = {.lex_state = 12, .external_lex_state = 2},
  [4598] = {.lex_state = 12, .external_lex_state = 2},
  [4599] = {.lex_state = 149, .external_lex_state = 2},
  [4600] = {.lex_state = 28, .external_lex_state = 10},
  [4601] = {.lex_state = 12, .external_lex_state = 2},
  [4602] = {.lex_state = 149, .external_lex_state = 5},
  [4603] = {.lex_state = 149, .external_lex_state = 2},
  [4604] = {.lex_state = 149, .external_lex_state = 2},
  [4605] = {.lex_state = 17, .external_lex_state = 2},
  [4606] = {.lex_state = 26, .external_lex_state = 2},
  [4607] = {.lex_state = 149, .external_lex_state = 2},
  [4608] = {.lex_state = 149, .external_lex_state = 5},
  [4609] = {.lex_state = 149, .external_lex_state = 2},
  [4610] = {.lex_state = 149, .external_lex_state = 2},
  [4611] = {.lex_state = 4, .external_lex_state = 2},
  [4612] = {.lex_state = 149, .external_lex_state = 5},
  [4613] = {.lex_state = 4, .external_lex_state = 2},
  [4614] = {.lex_state = 149, .external_lex_state = 5},
  [4615] = {.lex_state = 149, .external_lex_state = 2},
  [4616] = {.lex_state = 149, .external_lex_state = 2},
  [4617] = {.lex_state = 149, .external_lex_state = 2},
  [4618] = {.lex_state = 149, .external_lex_state = 2},
  [4619] = {.lex_state = 149, .external_lex_state = 2},
  [4620] = {.lex_state = 149, .external_lex_state = 5},
  [4621] = {.lex_state = 149, .external_lex_state = 2},
  [4622] = {.lex_state = 149, .external_lex_state = 5},
  [4623] = {.lex_state = 149, .external_lex_state = 2},
  [4624] = {.lex_state = 149, .external_lex_state = 2},
  [4625] = {.lex_state = 149, .external_lex_state = 2},
  [4626] = {.lex_state = 149, .external_lex_state = 5},
  [4627] = {.lex_state = 149, .external_lex_state = 5},
  [4628] = {.lex_state = 149, .external_lex_state = 5},
  [4629] = {.lex_state = 4, .external_lex_state = 2},
  [4630] = {.lex_state = 149, .external_lex_state = 5},
  [4631] = {.lex_state = 149, .external_lex_state = 5},
  [4632] = {.lex_state = 149, .external_lex_state = 5},
  [4633] = {.lex_state = 149, .external_lex_state = 2},
  [4634] = {.lex_state = 149, .external_lex_state = 5},
  [4635] = {.lex_state = 149, .external_lex_state = 2},
  [4636] = {.lex_state = 149, .external_lex_state = 2},
  [4637] = {.lex_state = 149, .external_lex_state = 2},
  [4638] = {.lex_state = 149, .external_lex_state = 5},
  [4639] = {.lex_state = 149, .external_lex_state = 5},
  [4640] = {.lex_state = 149, .external_lex_state = 5},
  [4641] = {.lex_state = 149, .external_lex_state = 2},
  [4642] = {.lex_state = 149, .external_lex_state = 5},
  [4643] = {.lex_state = 149, .external_lex_state = 5},
  [4644] = {.lex_state = 149, .external_lex_state = 5},
  [4645] = {.lex_state = 149, .external_lex_state = 2},
  [4646] = {.lex_state = 149, .external_lex_state = 2},
  [4647] = {.lex_state = 149, .external_lex_state = 2},
  [4648] = {.lex_state = 149, .external_lex_state = 2},
  [4649] = {.lex_state = 149, .external_lex_state = 5},
  [4650] = {.lex_state = 149, .external_lex_state = 2},
  [4651] = {.lex_state = 1, .external_lex_state = 2},
  [4652] = {.lex_state = 149, .external_lex_state = 2},
  [4653] = {.lex_state = 149, .external_lex_state = 5},
  [4654] = {.lex_state = 149, .external_lex_state = 5},
  [4655] = {.lex_state = 149, .external_lex_state = 5},
  [4656] = {.lex_state = 149, .external_lex_state = 2},
  [4657] = {.lex_state = 149, .external_lex_state = 5},
  [4658] = {.lex_state = 4, .external_lex_state = 2},
  [4659] = {.lex_state = 149, .external_lex_state = 5},
  [4660] = {.lex_state = 149, .external_lex_state = 5},
  [4661] = {.lex_state = 149, .external_lex_state = 5},
  [4662] = {.lex_state = 149, .external_lex_state = 2},
  [4663] = {.lex_state = 149, .external_lex_state = 2},
  [4664] = {.lex_state = 149, .external_lex_state = 5},
  [4665] = {.lex_state = 149, .external_lex_state = 5},
  [4666] = {.lex_state = 149, .external_lex_state = 5},
  [4667] = {.lex_state = 149, .external_lex_state = 5},
  [4668] = {.lex_state = 149, .external_lex_state = 2},
  [4669] = {.lex_state = 149, .external_lex_state = 5},
  [4670] = {.lex_state = 149, .external_lex_state = 2},
  [4671] = {.lex_state = 149, .external_lex_state = 2},
  [4672] = {.lex_state = 149, .external_lex_state = 5},
  [4673] = {.lex_state = 149, .external_lex_state = 2},
  [4674] = {.lex_state = 149, .external_lex_state = 5},
  [4675] = {.lex_state = 149, .external_lex_state = 5},
  [4676] = {.lex_state = 149, .external_lex_state = 5},
  [4677] = {.lex_state = 149, .external_lex_state = 2},
  [4678] = {.lex_state = 149, .external_lex_state = 2},
  [4679] = {.lex_state = 149, .external_lex_state = 2},
  [4680] = {.lex_state = 149, .external_lex_state = 2},
  [4681] = {.lex_state = 149, .external_lex_state = 2},
  [4682] = {.lex_state = 149, .external_lex_state = 2},
  [4683] = {.lex_state = 149, .external_lex_state = 5},
  [4684] = {.lex_state = 149, .external_lex_state = 5},
  [4685] = {.lex_state = 149, .external_lex_state = 2},
  [4686] = {.lex_state = 149, .external_lex_state = 2},
  [4687] = {.lex_state = 149, .external_lex_state = 2},
  [4688] = {.lex_state = 149, .external_lex_state = 2},
  [4689] = {.lex_state = 149, .external_lex_state = 2},
  [4690] = {.lex_state = 149, .external_lex_state = 2},
  [4691] = {.lex_state = 149, .external_lex_state = 5},
  [4692] = {.lex_state = 149, .external_lex_state = 2},
  [4693] = {.lex_state = 149, .external_lex_state = 2},
  [4694] = {.lex_state = 149, .external_lex_state = 5},
  [4695] = {.lex_state = 149, .external_lex_state = 2},
  [4696] = {.lex_state = 149, .external_lex_state = 2},
  [4697] = {.lex_state = 149, .external_lex_state = 5},
  [4698] = {.lex_state = 149, .external_lex_state = 5},
  [4699] = {.lex_state = 149, .external_lex_state = 2},
  [4700] = {.lex_state = 149, .external_lex_state = 2},
  [4701] = {.lex_state = 149, .external_lex_state = 5},
  [4702] = {.lex_state = 149, .external_lex_state = 5},
  [4703] = {.lex_state = 149, .external_lex_state = 5},
  [4704] = {.lex_state = 149, .external_lex_state = 5},
  [4705] = {.lex_state = 149, .external_lex_state = 2},
  [4706] = {.lex_state = 149, .external_lex_state = 2},
  [4707] = {.lex_state = 149, .external_lex_state = 5},
  [4708] = {.lex_state = 149, .external_lex_state = 5},
  [4709] = {.lex_state = 149, .external_lex_state = 5},
  [4710] = {.lex_state = 149, .external_lex_state = 5},
  [4711] = {.lex_state = 149, .external_lex_state = 5},
  [4712] = {.lex_state = 149, .external_lex_state = 5},
  [4713] = {.lex_state = 149, .external_lex_state = 2},
  [4714] = {.lex_state = 149, .external_lex_state = 5},
  [4715] = {.lex_state = 149, .external_lex_state = 2},
  [4716] = {.lex_state = 149, .external_lex_state = 2},
  [4717] = {.lex_state = 149, .external_lex_state = 5},
  [4718] = {.lex_state = 4, .external_lex_state = 2},
  [4719] = {.lex_state = 149, .external_lex_state = 5},
  [4720] = {.lex_state = 149, .external_lex_state = 5},
  [4721] = {.lex_state = 149, .external_lex_state = 2},
  [4722] = {.lex_state = 149, .external_lex_state = 5},
  [4723] = {.lex_state = 149, .external_lex_state = 2},
  [4724] = {.lex_state = 149, .external_lex_state = 5},
  [4725] = {.lex_state = 149, .external_lex_state = 5},
  [4726] = {.lex_state = 149, .external_lex_state = 5},
  [4727] = {.lex_state = 149, .external_lex_state = 5},
  [4728] = {.lex_state = 149, .external_lex_state = 5},
  [4729] = {.lex_state = 149, .external_lex_state = 5},
  [4730] = {.lex_state = 149, .external_lex_state = 2},
  [4731] = {.lex_state = 149, .external_lex_state = 5},
  [4732] = {.lex_state = 149, .external_lex_state = 2},
  [4733] = {.lex_state = 149, .external_lex_state = 5},
  [4734] = {.lex_state = 149, .external_lex_state = 5},
  [4735] = {.lex_state = 149, .external_lex_state = 5},
  [4736] = {.lex_state = 149, .external_lex_state = 2},
  [4737] = {.lex_state = 149, .external_lex_state = 2},
  [4738] = {.lex_state = 149, .external_lex_state = 5},
  [4739] = {.lex_state = 149, .external_lex_state = 5},
  [4740] = {.lex_state = 149, .external_lex_state = 5},
  [4741] = {.lex_state = 149, .external_lex_state = 5},
  [4742] = {.lex_state = 149, .external_lex_state = 2},
  [4743] = {.lex_state = 149, .external_lex_state = 5},
  [4744] = {.lex_state = 149, .external_lex_state = 5},
  [4745] = {.lex_state = 149, .external_lex_state = 5},
  [4746] = {.lex_state = 149, .external_lex_state = 5},
  [4747] = {.lex_state = 149, .external_lex_state = 2},
  [4748] = {.lex_state = 149, .external_lex_state = 5},
  [4749] = {.lex_state = 149, .external_lex_state = 2},
  [4750] = {.lex_state = 149, .external_lex_state = 2},
  [4751] = {.lex_state = 149, .external_lex_state = 5},
  [4752] = {.lex_state = 149, .external_lex_state = 5},
  [4753] = {.lex_state = 149, .external_lex_state = 5},
  [4754] = {.lex_state = 149, .external_lex_state = 5},
  [4755] = {.lex_state = 149, .external_lex_state = 5},
  [4756] = {.lex_state = 149, .external_lex_state = 2},
  [4757] = {.lex_state = 149, .external_lex_state = 5},
  [4758] = {.lex_state = 149, .external_lex_state = 5},
  [4759] = {.lex_state = 149, .external_lex_state = 5},
  [4760] = {.lex_state = 149, .external_lex_state = 2},
  [4761] = {.lex_state = 149, .external_lex_state = 5},
  [4762] = {.lex_state = 149, .external_lex_state = 2},
  [4763] = {.lex_state = 149, .external_lex_state = 5},
  [4764] = {.lex_state = 149, .external_lex_state = 2},
  [4765] = {.lex_state = 149, .external_lex_state = 2},
  [4766] = {.lex_state = 149, .external_lex_state = 5},
  [4767] = {.lex_state = 149, .external_lex_state = 5},
  [4768] = {.lex_state = 149, .external_lex_state = 5},
  [4769] = {.lex_state = 149, .external_lex_state = 5},
  [4770] = {.lex_state = 149, .external_lex_state = 5},
  [4771] = {.lex_state = 149, .external_lex_state = 5},
  [4772] = {.lex_state = 149, .external_lex_state = 5},
  [4773] = {.lex_state = 149, .external_lex_state = 5},
  [4774] = {.lex_state = 149, .external_lex_state = 5},
  [4775] = {.lex_state = 149, .external_lex_state = 5},
  [4776] = {.lex_state = 149, .external_lex_state = 5},
  [4777] = {.lex_state = 149, .external_lex_state = 2},
  [4778] = {.lex_state = 149, .external_lex_state = 5},
  [4779] = {.lex_state = 149, .external_lex_state = 5},
  [4780] = {.lex_state = 149, .external_lex_state = 5},
  [4781] = {.lex_state = 149, .external_lex_state = 5},
  [4782] = {.lex_state = 149, .external_lex_state = 5},
  [4783] = {.lex_state = 149, .external_lex_state = 5},
  [4784] = {.lex_state = 149, .external_lex_state = 5},
  [4785] = {.lex_state = 149, .external_lex_state = 5},
  [4786] = {.lex_state = 149, .external_lex_state = 5},
  [4787] = {.lex_state = 149, .external_lex_state = 5},
  [4788] = {.lex_state = 149, .external_lex_state = 5},
  [4789] = {.lex_state = 149, .external_lex_state = 5},
  [4790] = {.lex_state = 149, .external_lex_state = 5},
  [4791] = {.lex_state = 4, .external_lex_state = 2},
  [4792] = {.lex_state = 149, .external_lex_state = 5},
  [4793] = {.lex_state = 149, .external_lex_state = 5},
  [4794] = {.lex_state = 149, .external_lex_state = 2},
  [4795] = {.lex_state = 149, .external_lex_state = 5},
  [4796] = {.lex_state = 149, .external_lex_state = 5},
  [4797] = {.lex_state = 149, .external_lex_state = 2},
  [4798] = {.lex_state = 149, .external_lex_state = 5},
  [4799] = {.lex_state = 149, .external_lex_state = 5},
  [4800] = {.lex_state = 149, .external_lex_state = 5},
  [4801] = {.lex_state = 149, .external_lex_state = 2},
  [4802] = {.lex_state = 149, .external_lex_state = 2},
  [4803] = {.lex_state = 149, .external_lex_state = 2},
  [4804] = {.lex_state = 149, .external_lex_state = 5},
  [4805] = {.lex_state = 149, .external_lex_state = 5},
  [4806] = {.lex_state = 149, .external_lex_state = 5},
  [4807] = {.lex_state = 149, .external_lex_state = 5},
  [4808] = {.lex_state = 149, .external_lex_state = 5},
  [4809] = {.lex_state = 149, .external_lex_state = 5},
  [4810] = {.lex_state = 149, .external_lex_state = 5},
  [4811] = {.lex_state = 149, .external_lex_state = 5},
  [4812] = {.lex_state = 149, .external_lex_state = 5},
  [4813] = {.lex_state = 149, .external_lex_state = 5},
  [4814] = {.lex_state = 149, .external_lex_state = 5},
  [4815] = {.lex_state = 149, .external_lex_state = 5},
  [4816] = {.lex_state = 149, .external_lex_state = 2},
  [4817] = {.lex_state = 149, .external_lex_state = 5},
  [4818] = {.lex_state = 149, .external_lex_state = 5},
  [4819] = {.lex_state = 149, .external_lex_state = 5},
  [4820] = {.lex_state = 149, .external_lex_state = 5},
  [4821] = {.lex_state = 149, .external_lex_state = 5},
  [4822] = {.lex_state = 149, .external_lex_state = 5},
  [4823] = {.lex_state = 149, .external_lex_state = 5},
  [4824] = {.lex_state = 149, .external_lex_state = 5},
  [4825] = {.lex_state = 149, .external_lex_state = 5},
  [4826] = {.lex_state = 149, .external_lex_state = 5},
  [4827] = {.lex_state = 149, .external_lex_state = 2},
  [4828] = {.lex_state = 149, .external_lex_state = 5},
  [4829] = {.lex_state = 149, .external_lex_state = 2},
  [4830] = {.lex_state = 149, .external_lex_state = 2},
  [4831] = {.lex_state = 149, .external_lex_state = 2},
  [4832] = {.lex_state = 149, .external_lex_state = 5},
  [4833] = {.lex_state = 149, .external_lex_state = 5},
  [4834] = {.lex_state = 149, .external_lex_state = 2},
  [4835] = {.lex_state = 149, .external_lex_state = 5},
  [4836] = {.lex_state = 149, .external_lex_state = 5},
  [4837] = {.lex_state = 149, .external_lex_state = 5},
  [4838] = {.lex_state = 149, .external_lex_state = 2},
  [4839] = {.lex_state = 149, .external_lex_state = 5},
  [4840] = {.lex_state = 149, .external_lex_state = 5},
  [4841] = {.lex_state = 149, .external_lex_state = 2},
  [4842] = {.lex_state = 149, .external_lex_state = 5},
  [4843] = {.lex_state = 4, .external_lex_state = 2},
  [4844] = {.lex_state = 149, .external_lex_state = 2},
  [4845] = {.lex_state = 149, .external_lex_state = 5},
  [4846] = {.lex_state = 149, .external_lex_state = 5},
  [4847] = {.lex_state = 149, .external_lex_state = 5},
  [4848] = {.lex_state = 149, .external_lex_state = 5},
  [4849] = {.lex_state = 149, .external_lex_state = 5},
  [4850] = {.lex_state = 149, .external_lex_state = 5},
  [4851] = {.lex_state = 149, .external_lex_state = 5},
  [4852] = {.lex_state = 149, .external_lex_state = 5},
  [4853] = {.lex_state = 149, .external_lex_state = 5},
  [4854] = {.lex_state = 149, .external_lex_state = 2},
  [4855] = {.lex_state = 149, .external_lex_state = 5},
  [4856] = {.lex_state = 149, .external_lex_state = 2},
  [4857] = {.lex_state = 149, .external_lex_state = 5},
  [4858] = {.lex_state = 149, .external_lex_state = 5},
  [4859] = {.lex_state = 149, .external_lex_state = 5},
  [4860] = {.lex_state = 149, .external_lex_state = 5},
  [4861] = {.lex_state = 149, .external_lex_state = 5},
  [4862] = {.lex_state = 149, .external_lex_state = 5},
  [4863] = {.lex_state = 149, .external_lex_state = 5},
  [4864] = {.lex_state = 149, .external_lex_state = 5},
  [4865] = {.lex_state = 149, .external_lex_state = 5},
  [4866] = {.lex_state = 4, .external_lex_state = 2},
  [4867] = {.lex_state = 149, .external_lex_state = 5},
  [4868] = {.lex_state = 149, .external_lex_state = 2},
  [4869] = {.lex_state = 149, .external_lex_state = 5},
  [4870] = {.lex_state = 149, .external_lex_state = 2},
  [4871] = {.lex_state = 149, .external_lex_state = 5},
  [4872] = {.lex_state = 149, .external_lex_state = 2},
  [4873] = {.lex_state = 149, .external_lex_state = 5},
  [4874] = {.lex_state = 149, .external_lex_state = 5},
  [4875] = {.lex_state = 149, .external_lex_state = 2},
  [4876] = {.lex_state = 149, .external_lex_state = 2},
  [4877] = {.lex_state = 149, .external_lex_state = 5},
  [4878] = {.lex_state = 149, .external_lex_state = 5},
  [4879] = {.lex_state = 149, .external_lex_state = 2},
  [4880] = {.lex_state = 149, .external_lex_state = 5},
  [4881] = {.lex_state = 149, .external_lex_state = 5},
  [4882] = {.lex_state = 149, .external_lex_state = 5},
  [4883] = {.lex_state = 149, .external_lex_state = 5},
  [4884] = {.lex_state = 149, .external_lex_state = 5},
  [4885] = {.lex_state = 149, .external_lex_state = 5},
  [4886] = {.lex_state = 149, .external_lex_state = 5},
  [4887] = {.lex_state = 149, .external_lex_state = 5},
  [4888] = {.lex_state = 149, .external_lex_state = 5},
  [4889] = {.lex_state = 149, .external_lex_state = 5},
  [4890] = {.lex_state = 149, .external_lex_state = 5},
  [4891] = {.lex_state = 149, .external_lex_state = 5},
  [4892] = {.lex_state = 149, .external_lex_state = 5},
  [4893] = {.lex_state = 149, .external_lex_state = 5},
  [4894] = {.lex_state = 149, .external_lex_state = 5},
  [4895] = {.lex_state = 149, .external_lex_state = 2},
  [4896] = {.lex_state = 149, .external_lex_state = 5},
  [4897] = {.lex_state = 149, .external_lex_state = 2},
  [4898] = {.lex_state = 149, .external_lex_state = 2},
  [4899] = {.lex_state = 149, .external_lex_state = 2},
  [4900] = {.lex_state = 149, .external_lex_state = 2},
  [4901] = {.lex_state = 149, .external_lex_state = 5},
  [4902] = {.lex_state = 149, .external_lex_state = 2},
  [4903] = {.lex_state = 149, .external_lex_state = 2},
  [4904] = {.lex_state = 149, .external_lex_state = 2},
  [4905] = {.lex_state = 149, .external_lex_state = 2},
  [4906] = {.lex_state = 149, .external_lex_state = 2},
  [4907] = {.lex_state = 149, .external_lex_state = 2},
  [4908] = {.lex_state = 149, .external_lex_state = 5},
  [4909] = {.lex_state = 149, .external_lex_state = 2},
  [4910] = {.lex_state = 149, .external_lex_state = 5},
  [4911] = {.lex_state = 149, .external_lex_state = 5},
  [4912] = {.lex_state = 149, .external_lex_state = 2},
  [4913] = {.lex_state = 149, .external_lex_state = 5},
  [4914] = {.lex_state = 1, .external_lex_state = 2},
  [4915] = {.lex_state = 149, .external_lex_state = 5},
  [4916] = {.lex_state = 149, .external_lex_state = 5},
  [4917] = {.lex_state = 149, .external_lex_state = 5},
  [4918] = {.lex_state = 149, .external_lex_state = 5},
  [4919] = {.lex_state = 149, .external_lex_state = 5},
  [4920] = {.lex_state = 149, .external_lex_state = 5},
  [4921] = {.lex_state = 149, .external_lex_state = 5},
  [4922] = {.lex_state = 149, .external_lex_state = 2},
  [4923] = {.lex_state = 149, .external_lex_state = 5},
  [4924] = {.lex_state = 149, .external_lex_state = 5},
  [4925] = {.lex_state = 149, .external_lex_state = 2},
  [4926] = {.lex_state = 149, .external_lex_state = 5},
  [4927] = {.lex_state = 149, .external_lex_state = 5},
  [4928] = {.lex_state = 149, .external_lex_state = 5},
  [4929] = {.lex_state = 149, .external_lex_state = 2},
  [4930] = {.lex_state = 149, .external_lex_state = 2},
  [4931] = {.lex_state = 149, .external_lex_state = 5},
  [4932] = {.lex_state = 4, .external_lex_state = 2},
  [4933] = {.lex_state = 149, .external_lex_state = 2},
  [4934] = {.lex_state = 149, .external_lex_state = 2},
  [4935] = {.lex_state = 149, .external_lex_state = 2},
  [4936] = {.lex_state = 149, .external_lex_state = 5},
  [4937] = {.lex_state = 149, .external_lex_state = 5},
  [4938] = {.lex_state = 149, .external_lex_state = 2},
  [4939] = {.lex_state = 149, .external_lex_state = 5},
  [4940] = {.lex_state = 149, .external_lex_state = 2},
  [4941] = {.lex_state = 149, .external_lex_state = 5},
  [4942] = {.lex_state = 149, .external_lex_state = 2},
  [4943] = {.lex_state = 149, .external_lex_state = 5},
  [4944] = {.lex_state = 149, .external_lex_state = 5},
  [4945] = {.lex_state = 149, .external_lex_state = 5},
  [4946] = {.lex_state = 149, .external_lex_state = 5},
  [4947] = {.lex_state = 149, .external_lex_state = 5},
  [4948] = {.lex_state = 149, .external_lex_state = 5},
  [4949] = {.lex_state = 149, .external_lex_state = 5},
  [4950] = {.lex_state = 149, .external_lex_state = 5},
  [4951] = {.lex_state = 149, .external_lex_state = 5},
  [4952] = {.lex_state = 149, .external_lex_state = 5},
  [4953] = {.lex_state = 149, .external_lex_state = 5},
  [4954] = {.lex_state = 149, .external_lex_state = 5},
  [4955] = {.lex_state = 149, .external_lex_state = 5},
  [4956] = {.lex_state = 149, .external_lex_state = 5},
  [4957] = {.lex_state = 149, .external_lex_state = 2},
  [4958] = {.lex_state = 149, .external_lex_state = 2},
  [4959] = {.lex_state = 149, .external_lex_state = 5},
  [4960] = {.lex_state = 149, .external_lex_state = 5},
  [4961] = {.lex_state = 149, .external_lex_state = 5},
  [4962] = {.lex_state = 149, .external_lex_state = 5},
  [4963] = {.lex_state = 149, .external_lex_state = 5},
  [4964] = {.lex_state = 149, .external_lex_state = 5},
  [4965] = {.lex_state = 149, .external_lex_state = 5},
  [4966] = {.lex_state = 149, .external_lex_state = 5},
  [4967] = {.lex_state = 149, .external_lex_state = 5},
  [4968] = {.lex_state = 149, .external_lex_state = 5},
  [4969] = {.lex_state = 149, .external_lex_state = 5},
  [4970] = {.lex_state = 149, .external_lex_state = 5},
  [4971] = {.lex_state = 149, .external_lex_state = 5},
  [4972] = {.lex_state = 149, .external_lex_state = 5},
  [4973] = {.lex_state = 149, .external_lex_state = 5},
  [4974] = {.lex_state = 149, .external_lex_state = 5},
  [4975] = {.lex_state = 149, .external_lex_state = 5},
  [4976] = {.lex_state = 149, .external_lex_state = 5},
  [4977] = {.lex_state = 149, .external_lex_state = 2},
  [4978] = {.lex_state = 149, .external_lex_state = 5},
  [4979] = {.lex_state = 149, .external_lex_state = 5},
  [4980] = {.lex_state = 149, .external_lex_state = 2},
  [4981] = {.lex_state = 149, .external_lex_state = 2},
  [4982] = {.lex_state = 149, .external_lex_state = 5},
  [4983] = {.lex_state = 149, .external_lex_state = 2},
  [4984] = {.lex_state = 149, .external_lex_state = 2},
  [4985] = {.lex_state = 149, .external_lex_state = 5},
  [4986] = {.lex_state = 149, .external_lex_state = 2},
  [4987] = {.lex_state = 149, .external_lex_state = 5},
  [4988] = {.lex_state = 149, .external_lex_state = 5},
  [4989] = {.lex_state = 149, .external_lex_state = 5},
  [4990] = {.lex_state = 149, .external_lex_state = 5},
  [4991] = {.lex_state = 149, .external_lex_state = 5},
  [4992] = {.lex_state = 149, .external_lex_state = 5},
  [4993] = {.lex_state = 149, .external_lex_state = 5},
  [4994] = {.lex_state = 149, .external_lex_state = 5},
  [4995] = {.lex_state = 149, .external_lex_state = 5},
  [4996] = {.lex_state = 149, .external_lex_state = 5},
  [4997] = {.lex_state = 149, .external_lex_state = 5},
  [4998] = {.lex_state = 149, .external_lex_state = 5},
  [4999] = {.lex_state = 149, .external_lex_state = 5},
  [5000] = {.lex_state = 149, .external_lex_state = 5},
  [5001] = {.lex_state = 149, .external_lex_state = 2},
  [5002] = {.lex_state = 149, .external_lex_state = 2},
  [5003] = {.lex_state = 149, .external_lex_state = 5},
  [5004] = {.lex_state = 149, .external_lex_state = 5},
  [5005] = {.lex_state = 149, .external_lex_state = 2},
  [5006] = {.lex_state = 149, .external_lex_state = 2},
  [5007] = {.lex_state = 149, .external_lex_state = 5},
  [5008] = {.lex_state = 149, .external_lex_state = 5},
  [5009] = {.lex_state = 149, .external_lex_state = 2},
  [5010] = {.lex_state = 149, .external_lex_state = 5},
  [5011] = {.lex_state = 149, .external_lex_state = 5},
  [5012] = {.lex_state = 149, .external_lex_state = 5},
  [5013] = {.lex_state = 149, .external_lex_state = 2},
  [5014] = {.lex_state = 149, .external_lex_state = 5},
  [5015] = {.lex_state = 149, .external_lex_state = 5},
  [5016] = {.lex_state = 149, .external_lex_state = 5},
  [5017] = {.lex_state = 149, .external_lex_state = 5},
  [5018] = {.lex_state = 149, .external_lex_state = 5},
  [5019] = {.lex_state = 149, .external_lex_state = 2},
  [5020] = {.lex_state = 149, .external_lex_state = 2},
  [5021] = {.lex_state = 149, .external_lex_state = 5},
  [5022] = {.lex_state = 149, .external_lex_state = 5},
  [5023] = {.lex_state = 149, .external_lex_state = 5},
  [5024] = {.lex_state = 149, .external_lex_state = 5},
  [5025] = {.lex_state = 149, .external_lex_state = 5},
  [5026] = {.lex_state = 149, .external_lex_state = 5},
  [5027] = {.lex_state = 149, .external_lex_state = 5},
  [5028] = {.lex_state = 149, .external_lex_state = 5},
  [5029] = {.lex_state = 149, .external_lex_state = 5},
  [5030] = {.lex_state = 149, .external_lex_state = 5},
  [5031] = {.lex_state = 149, .external_lex_state = 2},
  [5032] = {.lex_state = 149, .external_lex_state = 5},
  [5033] = {.lex_state = 149, .external_lex_state = 5},
  [5034] = {.lex_state = 149, .external_lex_state = 5},
  [5035] = {.lex_state = 149, .external_lex_state = 5},
  [5036] = {.lex_state = 149, .external_lex_state = 5},
  [5037] = {.lex_state = 149, .external_lex_state = 2},
  [5038] = {.lex_state = 149, .external_lex_state = 5},
  [5039] = {.lex_state = 149, .external_lex_state = 5},
  [5040] = {.lex_state = 149, .external_lex_state = 5},
  [5041] = {.lex_state = 12, .external_lex_state = 2},
  [5042] = {.lex_state = 149, .external_lex_state = 5},
  [5043] = {.lex_state = 149, .external_lex_state = 5},
  [5044] = {.lex_state = 149, .external_lex_state = 5},
  [5045] = {.lex_state = 149, .external_lex_state = 2},
  [5046] = {.lex_state = 4, .external_lex_state = 2},
  [5047] = {.lex_state = 149, .external_lex_state = 2},
  [5048] = {.lex_state = 149, .external_lex_state = 2},
  [5049] = {.lex_state = 149, .external_lex_state = 5},
  [5050] = {.lex_state = 149, .external_lex_state = 5},
  [5051] = {.lex_state = 149, .external_lex_state = 5},
  [5052] = {.lex_state = 149, .external_lex_state = 5},
  [5053] = {.lex_state = 149, .external_lex_state = 5},
  [5054] = {.lex_state = 149, .external_lex_state = 5},
  [5055] = {.lex_state = 149, .external_lex_state = 5},
  [5056] = {.lex_state = 149, .external_lex_state = 5},
  [5057] = {.lex_state = 149, .external_lex_state = 5},
  [5058] = {.lex_state = 149, .external_lex_state = 5},
  [5059] = {.lex_state = 149, .external_lex_state = 5},
  [5060] = {.lex_state = 149, .external_lex_state = 5},
  [5061] = {.lex_state = 149, .external_lex_state = 5},
  [5062] = {.lex_state = 149, .external_lex_state = 5},
  [5063] = {.lex_state = 149, .external_lex_state = 5},
  [5064] = {.lex_state = 149, .external_lex_state = 5},
  [5065] = {.lex_state = 149, .external_lex_state = 2},
  [5066] = {.lex_state = 149, .external_lex_state = 5},
  [5067] = {.lex_state = 149, .external_lex_state = 5},
  [5068] = {.lex_state = 149, .external_lex_state = 5},
  [5069] = {.lex_state = 149, .external_lex_state = 5},
  [5070] = {.lex_state = 149, .external_lex_state = 2},
  [5071] = {.lex_state = 149, .external_lex_state = 5},
  [5072] = {.lex_state = 4, .external_lex_state = 2},
  [5073] = {.lex_state = 149, .external_lex_state = 5},
  [5074] = {.lex_state = 149, .external_lex_state = 5},
  [5075] = {.lex_state = 149, .external_lex_state = 5},
  [5076] = {.lex_state = 4, .external_lex_state = 2},
  [5077] = {.lex_state = 149, .external_lex_state = 5},
  [5078] = {.lex_state = 149, .external_lex_state = 5},
  [5079] = {.lex_state = 149, .external_lex_state = 5},
  [5080] = {.lex_state = 149, .external_lex_state = 5},
  [5081] = {.lex_state = 149, .external_lex_state = 5},
  [5082] = {.lex_state = 149, .external_lex_state = 5},
  [5083] = {.lex_state = 149, .external_lex_state = 5},
  [5084] = {.lex_state = 149, .external_lex_state = 5},
  [5085] = {.lex_state = 149, .external_lex_state = 5},
  [5086] = {.lex_state = 149, .external_lex_state = 5},
  [5087] = {.lex_state = 149, .external_lex_state = 5},
  [5088] = {.lex_state = 149, .external_lex_state = 2},
  [5089] = {.lex_state = 149, .external_lex_state = 5},
  [5090] = {.lex_state = 149, .external_lex_state = 5},
  [5091] = {.lex_state = 149, .external_lex_state = 2},
  [5092] = {.lex_state = 149, .external_lex_state = 5},
  [5093] = {.lex_state = 149, .external_lex_state = 2},
  [5094] = {.lex_state = 149, .external_lex_state = 5},
  [5095] = {.lex_state = 149, .external_lex_state = 5},
  [5096] = {.lex_state = 149, .external_lex_state = 5},
  [5097] = {.lex_state = 149, .external_lex_state = 5},
  [5098] = {.lex_state = 149, .external_lex_state = 5},
  [5099] = {.lex_state = 149, .external_lex_state = 5},
  [5100] = {.lex_state = 149, .external_lex_state = 5},
  [5101] = {.lex_state = 149, .external_lex_state = 5},
  [5102] = {.lex_state = 149, .external_lex_state = 5},
  [5103] = {.lex_state = 149, .external_lex_state = 5},
  [5104] = {.lex_state = 149, .external_lex_state = 5},
  [5105] = {.lex_state = 149, .external_lex_state = 2},
  [5106] = {.lex_state = 149, .external_lex_state = 5},
  [5107] = {.lex_state = 149, .external_lex_state = 5},
  [5108] = {.lex_state = 149, .external_lex_state = 5},
  [5109] = {.lex_state = 149, .external_lex_state = 5},
  [5110] = {.lex_state = 149, .external_lex_state = 5},
  [5111] = {.lex_state = 149, .external_lex_state = 5},
  [5112] = {.lex_state = 149, .external_lex_state = 5},
  [5113] = {.lex_state = 149, .external_lex_state = 2},
  [5114] = {.lex_state = 149, .external_lex_state = 5},
  [5115] = {.lex_state = 149, .external_lex_state = 5},
  [5116] = {.lex_state = 149, .external_lex_state = 5},
  [5117] = {.lex_state = 149, .external_lex_state = 5},
  [5118] = {.lex_state = 149, .external_lex_state = 5},
  [5119] = {.lex_state = 149, .external_lex_state = 2},
  [5120] = {.lex_state = 149, .external_lex_state = 5},
  [5121] = {.lex_state = 149, .external_lex_state = 5},
  [5122] = {.lex_state = 149, .external_lex_state = 5},
  [5123] = {.lex_state = 149, .external_lex_state = 5},
  [5124] = {.lex_state = 149, .external_lex_state = 5},
  [5125] = {.lex_state = 149, .external_lex_state = 5},
  [5126] = {.lex_state = 149, .external_lex_state = 5},
  [5127] = {.lex_state = 149, .external_lex_state = 5},
  [5128] = {.lex_state = 149, .external_lex_state = 5},
  [5129] = {.lex_state = 149, .external_lex_state = 5},
  [5130] = {.lex_state = 149, .external_lex_state = 5},
  [5131] = {.lex_state = 149, .external_lex_state = 5},
  [5132] = {.lex_state = 149, .external_lex_state = 5},
  [5133] = {.lex_state = 149, .external_lex_state = 5},
  [5134] = {.lex_state = 149, .external_lex_state = 5},
  [5135] = {.lex_state = 149, .external_lex_state = 5},
  [5136] = {.lex_state = 149, .external_lex_state = 5},
  [5137] = {.lex_state = 149, .external_lex_state = 5},
  [5138] = {.lex_state = 149, .external_lex_state = 5},
  [5139] = {.lex_state = 149, .external_lex_state = 5},
  [5140] = {.lex_state = 149, .external_lex_state = 5},
  [5141] = {.lex_state = 149, .external_lex_state = 5},
  [5142] = {.lex_state = 149, .external_lex_state = 5},
  [5143] = {.lex_state = 149, .external_lex_state = 5},
  [5144] = {.lex_state = 149, .external_lex_state = 5},
  [5145] = {.lex_state = 149, .external_lex_state = 5},
  [5146] = {.lex_state = 149, .external_lex_state = 5},
  [5147] = {.lex_state = 149, .external_lex_state = 5},
  [5148] = {.lex_state = 149, .external_lex_state = 2},
  [5149] = {.lex_state = 149, .external_lex_state = 2},
  [5150] = {.lex_state = 149, .external_lex_state = 2},
  [5151] = {.lex_state = 149, .external_lex_state = 5},
  [5152] = {.lex_state = 149, .external_lex_state = 5},
  [5153] = {.lex_state = 149, .external_lex_state = 2},
  [5154] = {.lex_state = 149, .external_lex_state = 5},
  [5155] = {.lex_state = 149, .external_lex_state = 2},
  [5156] = {.lex_state = 12, .external_lex_state = 2},
  [5157] = {.lex_state = 149, .external_lex_state = 2},
  [5158] = {.lex_state = 149, .external_lex_state = 2},
  [5159] = {.lex_state = 149, .external_lex_state = 5},
  [5160] = {.lex_state = 149, .external_lex_state = 2},
  [5161] = {.lex_state = 149, .external_lex_state = 5},
  [5162] = {.lex_state = 1, .external_lex_state = 2},
  [5163] = {.lex_state = 149, .external_lex_state = 2},
  [5164] = {.lex_state = 4, .external_lex_state = 2},
  [5165] = {.lex_state = 149, .external_lex_state = 5},
  [5166] = {.lex_state = 4, .external_lex_state = 2},
  [5167] = {.lex_state = 149, .external_lex_state = 5},
  [5168] = {.lex_state = 1, .external_lex_state = 2},
  [5169] = {.lex_state = 149, .external_lex_state = 2},
  [5170] = {.lex_state = 149, .external_lex_state = 5},
  [5171] = {.lex_state = 149, .external_lex_state = 2},
  [5172] = {.lex_state = 149, .external_lex_state = 5},
  [5173] = {.lex_state = 149, .external_lex_state = 2},
  [5174] = {.lex_state = 149, .external_lex_state = 5},
  [5175] = {.lex_state = 149, .external_lex_state = 2},
  [5176] = {.lex_state = 149, .external_lex_state = 5},
  [5177] = {.lex_state = 149, .external_lex_state = 5},
  [5178] = {.lex_state = 149, .external_lex_state = 5},
  [5179] = {.lex_state = 149, .external_lex_state = 2},
  [5180] = {.lex_state = 149, .external_lex_state = 2},
  [5181] = {.lex_state = 149, .external_lex_state = 2},
  [5182] = {.lex_state = 149, .external_lex_state = 5},
  [5183] = {.lex_state = 149, .external_lex_state = 2},
  [5184] = {.lex_state = 149, .external_lex_state = 2},
  [5185] = {.lex_state = 149, .external_lex_state = 5},
  [5186] = {.lex_state = 149, .external_lex_state = 5},
  [5187] = {.lex_state = 149, .external_lex_state = 2},
  [5188] = {.lex_state = 149, .external_lex_state = 2},
  [5189] = {.lex_state = 149, .external_lex_state = 2},
  [5190] = {.lex_state = 149, .external_lex_state = 2},
  [5191] = {.lex_state = 149, .external_lex_state = 2},
  [5192] = {.lex_state = 149, .external_lex_state = 5},
  [5193] = {.lex_state = 149, .external_lex_state = 5},
  [5194] = {.lex_state = 149, .external_lex_state = 5},
  [5195] = {.lex_state = 149, .external_lex_state = 5},
  [5196] = {.lex_state = 149, .external_lex_state = 2},
  [5197] = {.lex_state = 149, .external_lex_state = 5},
  [5198] = {.lex_state = 12, .external_lex_state = 2},
  [5199] = {.lex_state = 149, .external_lex_state = 2},
  [5200] = {.lex_state = 149, .external_lex_state = 2},
  [5201] = {.lex_state = 1, .external_lex_state = 2},
  [5202] = {.lex_state = 149, .external_lex_state = 5},
  [5203] = {.lex_state = 149, .external_lex_state = 2},
  [5204] = {.lex_state = 149, .external_lex_state = 5},
  [5205] = {.lex_state = 149, .external_lex_state = 2},
  [5206] = {.lex_state = 149, .external_lex_state = 5},
  [5207] = {.lex_state = 149, .external_lex_state = 5},
  [5208] = {.lex_state = 149, .external_lex_state = 5},
  [5209] = {.lex_state = 149, .external_lex_state = 5},
  [5210] = {.lex_state = 149, .external_lex_state = 5},
  [5211] = {.lex_state = 149, .external_lex_state = 2},
  [5212] = {.lex_state = 149, .external_lex_state = 2},
  [5213] = {.lex_state = 149, .external_lex_state = 5},
  [5214] = {.lex_state = 149, .external_lex_state = 5},
  [5215] = {.lex_state = 149, .external_lex_state = 5},
  [5216] = {.lex_state = 149, .external_lex_state = 2},
  [5217] = {.lex_state = 149, .external_lex_state = 5},
  [5218] = {.lex_state = 23, .external_lex_state = 9},
  [5219] = {.lex_state = 149, .external_lex_state = 5},
  [5220] = {.lex_state = 149, .external_lex_state = 2},
  [5221] = {.lex_state = 149, .external_lex_state = 5},
  [5222] = {.lex_state = 149, .external_lex_state = 5},
  [5223] = {.lex_state = 149, .external_lex_state = 5},
  [5224] = {.lex_state = 149, .external_lex_state = 5},
  [5225] = {.lex_state = 149, .external_lex_state = 5},
  [5226] = {.lex_state = 149, .external_lex_state = 5},
  [5227] = {.lex_state = 149, .external_lex_state = 2},
  [5228] = {.lex_state = 149, .external_lex_state = 5},
  [5229] = {.lex_state = 149, .external_lex_state = 2},
  [5230] = {.lex_state = 149, .external_lex_state = 5},
  [5231] = {.lex_state = 149, .external_lex_state = 5},
  [5232] = {.lex_state = 149, .external_lex_state = 2},
  [5233] = {.lex_state = 149, .external_lex_state = 2},
  [5234] = {.lex_state = 149, .external_lex_state = 2},
  [5235] = {.lex_state = 149, .external_lex_state = 2},
  [5236] = {.lex_state = 149, .external_lex_state = 2},
  [5237] = {.lex_state = 149, .external_lex_state = 2},
  [5238] = {.lex_state = 149, .external_lex_state = 2},
  [5239] = {.lex_state = 149, .external_lex_state = 2},
  [5240] = {.lex_state = 149, .external_lex_state = 2},
  [5241] = {.lex_state = 149, .external_lex_state = 2},
  [5242] = {.lex_state = 149, .external_lex_state = 2},
  [5243] = {.lex_state = 149, .external_lex_state = 2},
  [5244] = {.lex_state = 149, .external_lex_state = 2},
  [5245] = {.lex_state = 149, .external_lex_state = 2},
  [5246] = {.lex_state = 149, .external_lex_state = 2},
  [5247] = {.lex_state = 149, .external_lex_state = 2},
  [5248] = {.lex_state = 149, .external_lex_state = 2},
  [5249] = {.lex_state = 149, .external_lex_state = 2},
  [5250] = {.lex_state = 149, .external_lex_state = 2},
  [5251] = {.lex_state = 149, .external_lex_state = 2},
  [5252] = {.lex_state = 149, .external_lex_state = 2},
  [5253] = {.lex_state = 149, .external_lex_state = 2},
  [5254] = {.lex_state = 149, .external_lex_state = 2},
  [5255] = {.lex_state = 149, .external_lex_state = 2},
  [5256] = {.lex_state = 149, .external_lex_state = 5},
  [5257] = {.lex_state = 149, .external_lex_state = 2},
  [5258] = {.lex_state = 149, .external_lex_state = 2},
  [5259] = {.lex_state = 149, .external_lex_state = 2},
  [5260] = {.lex_state = 149, .external_lex_state = 2},
  [5261] = {.lex_state = 149, .external_lex_state = 2},
  [5262] = {.lex_state = 149, .external_lex_state = 2},
  [5263] = {.lex_state = 149, .external_lex_state = 2},
  [5264] = {.lex_state = 149, .external_lex_state = 2},
  [5265] = {.lex_state = 149, .external_lex_state = 5},
  [5266] = {.lex_state = 149, .external_lex_state = 2},
  [5267] = {.lex_state = 149, .external_lex_state = 2},
  [5268] = {.lex_state = 149, .external_lex_state = 2},
  [5269] = {.lex_state = 149, .external_lex_state = 5},
  [5270] = {.lex_state = 149, .external_lex_state = 2},
  [5271] = {.lex_state = 149, .external_lex_state = 2},
  [5272] = {.lex_state = 149, .external_lex_state = 2},
  [5273] = {.lex_state = 149, .external_lex_state = 2},
  [5274] = {.lex_state = 149, .external_lex_state = 2},
  [5275] = {.lex_state = 149, .external_lex_state = 2},
  [5276] = {.lex_state = 149, .external_lex_state = 2},
  [5277] = {.lex_state = 149, .external_lex_state = 2},
  [5278] = {.lex_state = 149, .external_lex_state = 2},
  [5279] = {.lex_state = 149, .external_lex_state = 2},
  [5280] = {.lex_state = 149, .external_lex_state = 2},
  [5281] = {.lex_state = 149, .external_lex_state = 2},
  [5282] = {.lex_state = 149, .external_lex_state = 2},
  [5283] = {.lex_state = 149, .external_lex_state = 2},
  [5284] = {.lex_state = 149, .external_lex_state = 2},
  [5285] = {.lex_state = 149, .external_lex_state = 2},
  [5286] = {.lex_state = 149, .external_lex_state = 2},
  [5287] = {.lex_state = 149, .external_lex_state = 2},
  [5288] = {.lex_state = 149, .external_lex_state = 2},
  [5289] = {.lex_state = 149, .external_lex_state = 2},
  [5290] = {.lex_state = 149, .external_lex_state = 2},
  [5291] = {.lex_state = 149, .external_lex_state = 2},
  [5292] = {.lex_state = 149, .external_lex_state = 2},
  [5293] = {.lex_state = 149, .external_lex_state = 2},
  [5294] = {.lex_state = 149, .external_lex_state = 2},
  [5295] = {.lex_state = 149, .external_lex_state = 2},
  [5296] = {.lex_state = 149, .external_lex_state = 2},
  [5297] = {.lex_state = 149, .external_lex_state = 2},
  [5298] = {.lex_state = 149, .external_lex_state = 2},
  [5299] = {.lex_state = 149, .external_lex_state = 2},
  [5300] = {.lex_state = 16, .external_lex_state = 2},
  [5301] = {.lex_state = 149, .external_lex_state = 2},
  [5302] = {.lex_state = 149, .external_lex_state = 2},
  [5303] = {.lex_state = 149, .external_lex_state = 2},
  [5304] = {.lex_state = 149, .external_lex_state = 2},
  [5305] = {.lex_state = 149, .external_lex_state = 2},
  [5306] = {.lex_state = 149, .external_lex_state = 2},
  [5307] = {.lex_state = 149, .external_lex_state = 2},
  [5308] = {.lex_state = 149, .external_lex_state = 2},
  [5309] = {.lex_state = 149, .external_lex_state = 2},
  [5310] = {.lex_state = 149, .external_lex_state = 2},
  [5311] = {.lex_state = 149, .external_lex_state = 5},
  [5312] = {.lex_state = 149, .external_lex_state = 2},
  [5313] = {.lex_state = 149, .external_lex_state = 2},
  [5314] = {.lex_state = 149, .external_lex_state = 2},
  [5315] = {.lex_state = 149, .external_lex_state = 2},
  [5316] = {.lex_state = 149, .external_lex_state = 2},
  [5317] = {.lex_state = 149, .external_lex_state = 2},
  [5318] = {.lex_state = 149, .external_lex_state = 2},
  [5319] = {.lex_state = 149, .external_lex_state = 5},
  [5320] = {.lex_state = 149, .external_lex_state = 2},
  [5321] = {.lex_state = 149, .external_lex_state = 2},
  [5322] = {.lex_state = 149, .external_lex_state = 2},
  [5323] = {.lex_state = 149, .external_lex_state = 2},
  [5324] = {.lex_state = 149, .external_lex_state = 2},
  [5325] = {.lex_state = 149, .external_lex_state = 2},
  [5326] = {.lex_state = 149, .external_lex_state = 2},
  [5327] = {.lex_state = 149, .external_lex_state = 2},
  [5328] = {.lex_state = 149, .external_lex_state = 2},
  [5329] = {.lex_state = 149, .external_lex_state = 5},
  [5330] = {.lex_state = 149, .external_lex_state = 2},
  [5331] = {.lex_state = 149, .external_lex_state = 2},
  [5332] = {.lex_state = 149, .external_lex_state = 5},
  [5333] = {.lex_state = 149, .external_lex_state = 2},
  [5334] = {.lex_state = 149, .external_lex_state = 2},
  [5335] = {.lex_state = 149, .external_lex_state = 2},
  [5336] = {.lex_state = 149, .external_lex_state = 2},
  [5337] = {.lex_state = 149, .external_lex_state = 2},
  [5338] = {.lex_state = 149, .external_lex_state = 2},
  [5339] = {.lex_state = 149, .external_lex_state = 2},
  [5340] = {.lex_state = 149, .external_lex_state = 2},
  [5341] = {.lex_state = 149, .external_lex_state = 2},
  [5342] = {.lex_state = 149, .external_lex_state = 2},
  [5343] = {.lex_state = 149, .external_lex_state = 2},
  [5344] = {.lex_state = 149, .external_lex_state = 5},
  [5345] = {.lex_state = 149, .external_lex_state = 2},
  [5346] = {.lex_state = 149, .external_lex_state = 2},
  [5347] = {.lex_state = 149, .external_lex_state = 2},
  [5348] = {.lex_state = 149, .external_lex_state = 2},
  [5349] = {.lex_state = 149, .external_lex_state = 2},
  [5350] = {.lex_state = 149, .external_lex_state = 2},
  [5351] = {.lex_state = 149, .external_lex_state = 2},
  [5352] = {.lex_state = 149, .external_lex_state = 2},
  [5353] = {.lex_state = 149, .external_lex_state = 2},
  [5354] = {.lex_state = 149, .external_lex_state = 2},
  [5355] = {.lex_state = 149, .external_lex_state = 2},
  [5356] = {.lex_state = 149, .external_lex_state = 2},
  [5357] = {.lex_state = 149, .external_lex_state = 2},
  [5358] = {.lex_state = 149, .external_lex_state = 2},
  [5359] = {.lex_state = 149, .external_lex_state = 2},
  [5360] = {.lex_state = 149, .external_lex_state = 2},
  [5361] = {.lex_state = 149, .external_lex_state = 2},
  [5362] = {.lex_state = 149, .external_lex_state = 2},
  [5363] = {.lex_state = 149, .external_lex_state = 2},
  [5364] = {.lex_state = 149, .external_lex_state = 2},
  [5365] = {.lex_state = 149, .external_lex_state = 2},
  [5366] = {.lex_state = 149, .external_lex_state = 2},
  [5367] = {.lex_state = 149, .external_lex_state = 2},
  [5368] = {.lex_state = 149, .external_lex_state = 2},
  [5369] = {.lex_state = 149, .external_lex_state = 2},
  [5370] = {.lex_state = 149, .external_lex_state = 2},
  [5371] = {.lex_state = 149, .external_lex_state = 2},
  [5372] = {.lex_state = 149, .external_lex_state = 2},
  [5373] = {.lex_state = 149, .external_lex_state = 2},
  [5374] = {.lex_state = 149, .external_lex_state = 2},
  [5375] = {.lex_state = 149, .external_lex_state = 2},
  [5376] = {.lex_state = 149, .external_lex_state = 2},
  [5377] = {.lex_state = 149, .external_lex_state = 2},
  [5378] = {.lex_state = 149, .external_lex_state = 2},
  [5379] = {.lex_state = 149, .external_lex_state = 2},
  [5380] = {.lex_state = 149, .external_lex_state = 2},
  [5381] = {.lex_state = 149, .external_lex_state = 2},
  [5382] = {.lex_state = 149, .external_lex_state = 2},
  [5383] = {.lex_state = 149, .external_lex_state = 2},
  [5384] = {.lex_state = 149, .external_lex_state = 2},
  [5385] = {.lex_state = 149, .external_lex_state = 2},
  [5386] = {.lex_state = 149, .external_lex_state = 2},
  [5387] = {.lex_state = 149, .external_lex_state = 2},
  [5388] = {.lex_state = 149, .external_lex_state = 2},
  [5389] = {.lex_state = 149, .external_lex_state = 2},
  [5390] = {.lex_state = 149, .external_lex_state = 2},
  [5391] = {.lex_state = 149, .external_lex_state = 2},
  [5392] = {.lex_state = 149, .external_lex_state = 2},
  [5393] = {.lex_state = 149, .external_lex_state = 2},
  [5394] = {.lex_state = 149, .external_lex_state = 2},
  [5395] = {.lex_state = 149, .external_lex_state = 2},
  [5396] = {.lex_state = 149, .external_lex_state = 2},
  [5397] = {.lex_state = 149, .external_lex_state = 2},
  [5398] = {.lex_state = 149, .external_lex_state = 2},
  [5399] = {.lex_state = 149, .external_lex_state = 2},
  [5400] = {.lex_state = 149, .external_lex_state = 2},
  [5401] = {.lex_state = 149, .external_lex_state = 2},
  [5402] = {.lex_state = 149, .external_lex_state = 2},
  [5403] = {.lex_state = 149, .external_lex_state = 5},
  [5404] = {.lex_state = 149, .external_lex_state = 2},
  [5405] = {.lex_state = 149, .external_lex_state = 2},
  [5406] = {.lex_state = 149, .external_lex_state = 2},
  [5407] = {.lex_state = 149, .external_lex_state = 2},
  [5408] = {.lex_state = 149, .external_lex_state = 2},
  [5409] = {.lex_state = 149, .external_lex_state = 2},
  [5410] = {.lex_state = 149, .external_lex_state = 2},
  [5411] = {.lex_state = 149, .external_lex_state = 2},
  [5412] = {.lex_state = 149, .external_lex_state = 2},
  [5413] = {.lex_state = 149, .external_lex_state = 2},
  [5414] = {.lex_state = 149, .external_lex_state = 2},
  [5415] = {.lex_state = 149, .external_lex_state = 2},
  [5416] = {.lex_state = 149, .external_lex_state = 2},
  [5417] = {.lex_state = 149, .external_lex_state = 2},
  [5418] = {.lex_state = 149, .external_lex_state = 2},
  [5419] = {.lex_state = 149, .external_lex_state = 2},
  [5420] = {.lex_state = 149, .external_lex_state = 2},
  [5421] = {.lex_state = 149, .external_lex_state = 2},
  [5422] = {.lex_state = 149, .external_lex_state = 2},
  [5423] = {.lex_state = 149, .external_lex_state = 2},
  [5424] = {.lex_state = 149, .external_lex_state = 2},
  [5425] = {.lex_state = 149, .external_lex_state = 2},
  [5426] = {.lex_state = 149, .external_lex_state = 2},
  [5427] = {.lex_state = 149, .external_lex_state = 2},
  [5428] = {.lex_state = 149, .external_lex_state = 2},
  [5429] = {.lex_state = 149, .external_lex_state = 2},
  [5430] = {.lex_state = 149, .external_lex_state = 5},
  [5431] = {.lex_state = 149, .external_lex_state = 2},
  [5432] = {.lex_state = 149, .external_lex_state = 2},
  [5433] = {.lex_state = 149, .external_lex_state = 2},
  [5434] = {.lex_state = 149, .external_lex_state = 2},
  [5435] = {.lex_state = 149, .external_lex_state = 2},
  [5436] = {.lex_state = 149, .external_lex_state = 2},
  [5437] = {.lex_state = 149, .external_lex_state = 2},
  [5438] = {.lex_state = 149, .external_lex_state = 5},
  [5439] = {.lex_state = 149, .external_lex_state = 2},
  [5440] = {.lex_state = 149, .external_lex_state = 5},
  [5441] = {.lex_state = 149, .external_lex_state = 2},
  [5442] = {.lex_state = 149, .external_lex_state = 2},
  [5443] = {.lex_state = 149, .external_lex_state = 2},
  [5444] = {.lex_state = 149, .external_lex_state = 2},
  [5445] = {.lex_state = 149, .external_lex_state = 2},
  [5446] = {.lex_state = 149, .external_lex_state = 2},
  [5447] = {.lex_state = 149, .external_lex_state = 2},
  [5448] = {.lex_state = 149, .external_lex_state = 2},
  [5449] = {.lex_state = 149, .external_lex_state = 5},
  [5450] = {.lex_state = 149, .external_lex_state = 2},
  [5451] = {.lex_state = 149, .external_lex_state = 2},
  [5452] = {.lex_state = 149, .external_lex_state = 2},
  [5453] = {.lex_state = 149, .external_lex_state = 2},
  [5454] = {.lex_state = 149, .external_lex_state = 5},
  [5455] = {.lex_state = 149, .external_lex_state = 2},
  [5456] = {.lex_state = 149, .external_lex_state = 2},
  [5457] = {.lex_state = 149, .external_lex_state = 2},
  [5458] = {.lex_state = 149, .external_lex_state = 2},
  [5459] = {.lex_state = 149, .external_lex_state = 2},
  [5460] = {.lex_state = 149, .external_lex_state = 5},
  [5461] = {.lex_state = 149, .external_lex_state = 2},
  [5462] = {.lex_state = 149, .external_lex_state = 5},
  [5463] = {.lex_state = 149, .external_lex_state = 2},
  [5464] = {.lex_state = 149, .external_lex_state = 2},
  [5465] = {.lex_state = 149, .external_lex_state = 5},
  [5466] = {.lex_state = 149, .external_lex_state = 2},
  [5467] = {.lex_state = 149, .external_lex_state = 5},
  [5468] = {.lex_state = 149, .external_lex_state = 2},
  [5469] = {.lex_state = 149, .external_lex_state = 2},
  [5470] = {.lex_state = 149, .external_lex_state = 5},
  [5471] = {.lex_state = 149, .external_lex_state = 2},
  [5472] = {.lex_state = 149, .external_lex_state = 2},
  [5473] = {.lex_state = 149, .external_lex_state = 5},
  [5474] = {.lex_state = 149, .external_lex_state = 2},
  [5475] = {.lex_state = 149, .external_lex_state = 5},
  [5476] = {.lex_state = 149, .external_lex_state = 2},
  [5477] = {.lex_state = 149, .external_lex_state = 5},
  [5478] = {.lex_state = 149, .external_lex_state = 2},
  [5479] = {.lex_state = 149, .external_lex_state = 2},
  [5480] = {.lex_state = 149, .external_lex_state = 2},
  [5481] = {.lex_state = 149, .external_lex_state = 5},
  [5482] = {.lex_state = 149, .external_lex_state = 2},
  [5483] = {.lex_state = 149, .external_lex_state = 5},
  [5484] = {.lex_state = 149, .external_lex_state = 2},
  [5485] = {.lex_state = 149, .external_lex_state = 5},
  [5486] = {.lex_state = 149, .external_lex_state = 2},
  [5487] = {.lex_state = 149, .external_lex_state = 2},
  [5488] = {.lex_state = 149, .external_lex_state = 2},
  [5489] = {.lex_state = 149, .external_lex_state = 2},
  [5490] = {.lex_state = 149, .external_lex_state = 2},
  [5491] = {.lex_state = 149, .external_lex_state = 2},
  [5492] = {.lex_state = 149, .external_lex_state = 2},
  [5493] = {.lex_state = 149, .external_lex_state = 2},
  [5494] = {.lex_state = 149, .external_lex_state = 2},
  [5495] = {.lex_state = 149, .external_lex_state = 2},
  [5496] = {.lex_state = 149, .external_lex_state = 2},
  [5497] = {.lex_state = 149, .external_lex_state = 2},
  [5498] = {.lex_state = 149, .external_lex_state = 2},
  [5499] = {.lex_state = 149, .external_lex_state = 2},
  [5500] = {.lex_state = 149, .external_lex_state = 2},
  [5501] = {.lex_state = 149, .external_lex_state = 2},
  [5502] = {.lex_state = 149, .external_lex_state = 5},
  [5503] = {.lex_state = 149, .external_lex_state = 2},
  [5504] = {.lex_state = 149, .external_lex_state = 2},
  [5505] = {.lex_state = 149, .external_lex_state = 2},
  [5506] = {.lex_state = 149, .external_lex_state = 2},
  [5507] = {.lex_state = 149, .external_lex_state = 2},
  [5508] = {.lex_state = 149, .external_lex_state = 2},
  [5509] = {.lex_state = 149, .external_lex_state = 2},
  [5510] = {.lex_state = 149, .external_lex_state = 2},
  [5511] = {.lex_state = 149, .external_lex_state = 2},
  [5512] = {.lex_state = 149, .external_lex_state = 2},
  [5513] = {.lex_state = 149, .external_lex_state = 2},
  [5514] = {.lex_state = 149, .external_lex_state = 2},
  [5515] = {.lex_state = 149, .external_lex_state = 2},
  [5516] = {.lex_state = 149, .external_lex_state = 5},
  [5517] = {.lex_state = 149, .external_lex_state = 2},
  [5518] = {.lex_state = 149, .external_lex_state = 2},
  [5519] = {.lex_state = 149, .external_lex_state = 2},
  [5520] = {.lex_state = 149, .external_lex_state = 2},
  [5521] = {.lex_state = 149, .external_lex_state = 2},
  [5522] = {.lex_state = 149, .external_lex_state = 2},
  [5523] = {.lex_state = 149, .external_lex_state = 2},
  [5524] = {.lex_state = 149, .external_lex_state = 2},
  [5525] = {.lex_state = 149, .external_lex_state = 2},
  [5526] = {.lex_state = 149, .external_lex_state = 2},
  [5527] = {.lex_state = 149, .external_lex_state = 2},
  [5528] = {.lex_state = 149, .external_lex_state = 2},
  [5529] = {.lex_state = 149, .external_lex_state = 2},
  [5530] = {.lex_state = 149, .external_lex_state = 2},
  [5531] = {.lex_state = 149, .external_lex_state = 2},
  [5532] = {.lex_state = 149, .external_lex_state = 2},
  [5533] = {.lex_state = 149, .external_lex_state = 2},
  [5534] = {.lex_state = 149, .external_lex_state = 2},
  [5535] = {.lex_state = 149, .external_lex_state = 2},
  [5536] = {.lex_state = 149, .external_lex_state = 2},
  [5537] = {.lex_state = 149, .external_lex_state = 2},
  [5538] = {.lex_state = 149, .external_lex_state = 2},
  [5539] = {.lex_state = 149, .external_lex_state = 2},
  [5540] = {.lex_state = 149, .external_lex_state = 2},
  [5541] = {.lex_state = 149, .external_lex_state = 2},
  [5542] = {.lex_state = 149, .external_lex_state = 2},
  [5543] = {.lex_state = 149, .external_lex_state = 2},
  [5544] = {.lex_state = 149, .external_lex_state = 2},
  [5545] = {.lex_state = 149, .external_lex_state = 2},
  [5546] = {.lex_state = 149, .external_lex_state = 2},
  [5547] = {.lex_state = 149, .external_lex_state = 2},
  [5548] = {.lex_state = 149, .external_lex_state = 2},
  [5549] = {.lex_state = 149, .external_lex_state = 2},
  [5550] = {.lex_state = 149, .external_lex_state = 2},
  [5551] = {.lex_state = 149, .external_lex_state = 2},
  [5552] = {.lex_state = 149, .external_lex_state = 2},
  [5553] = {.lex_state = 149, .external_lex_state = 2},
  [5554] = {.lex_state = 149, .external_lex_state = 2},
  [5555] = {.lex_state = 149, .external_lex_state = 2},
  [5556] = {.lex_state = 149, .external_lex_state = 2},
  [5557] = {.lex_state = 149, .external_lex_state = 2},
  [5558] = {.lex_state = 149, .external_lex_state = 2},
  [5559] = {.lex_state = 149, .external_lex_state = 2},
  [5560] = {.lex_state = 149, .external_lex_state = 2},
  [5561] = {.lex_state = 149, .external_lex_state = 2},
  [5562] = {.lex_state = 149, .external_lex_state = 2},
  [5563] = {.lex_state = 149, .external_lex_state = 2},
  [5564] = {.lex_state = 149, .external_lex_state = 2},
  [5565] = {.lex_state = 149, .external_lex_state = 2},
  [5566] = {.lex_state = 149, .external_lex_state = 2},
  [5567] = {.lex_state = 149, .external_lex_state = 2},
  [5568] = {.lex_state = 149, .external_lex_state = 2},
  [5569] = {.lex_state = 149, .external_lex_state = 2},
  [5570] = {.lex_state = 149, .external_lex_state = 2},
  [5571] = {.lex_state = 149, .external_lex_state = 5},
  [5572] = {.lex_state = 149, .external_lex_state = 2},
  [5573] = {.lex_state = 149, .external_lex_state = 2},
  [5574] = {.lex_state = 149, .external_lex_state = 2},
  [5575] = {.lex_state = 149, .external_lex_state = 2},
  [5576] = {.lex_state = 149, .external_lex_state = 2},
  [5577] = {.lex_state = 149, .external_lex_state = 2},
  [5578] = {.lex_state = 149, .external_lex_state = 2},
  [5579] = {.lex_state = 149, .external_lex_state = 2},
  [5580] = {.lex_state = 149, .external_lex_state = 2},
  [5581] = {.lex_state = 149, .external_lex_state = 2},
  [5582] = {.lex_state = 149, .external_lex_state = 2},
  [5583] = {.lex_state = 149, .external_lex_state = 2},
  [5584] = {.lex_state = 149, .external_lex_state = 2},
  [5585] = {.lex_state = 149, .external_lex_state = 2},
  [5586] = {.lex_state = 149, .external_lex_state = 2},
  [5587] = {.lex_state = 149, .external_lex_state = 2},
  [5588] = {.lex_state = 149, .external_lex_state = 2},
  [5589] = {.lex_state = 149, .external_lex_state = 2},
  [5590] = {.lex_state = 149, .external_lex_state = 2},
  [5591] = {.lex_state = 149, .external_lex_state = 2},
  [5592] = {.lex_state = 149, .external_lex_state = 2},
  [5593] = {.lex_state = 149, .external_lex_state = 2},
  [5594] = {.lex_state = 149, .external_lex_state = 2},
  [5595] = {.lex_state = 38, .external_lex_state = 2},
  [5596] = {.lex_state = 149, .external_lex_state = 2},
  [5597] = {.lex_state = 149, .external_lex_state = 2},
  [5598] = {.lex_state = 149, .external_lex_state = 2},
  [5599] = {.lex_state = 149, .external_lex_state = 2},
  [5600] = {.lex_state = 149, .external_lex_state = 2},
  [5601] = {.lex_state = 149, .external_lex_state = 2},
  [5602] = {.lex_state = 149, .external_lex_state = 2},
  [5603] = {.lex_state = 149, .external_lex_state = 2},
  [5604] = {.lex_state = 149, .external_lex_state = 2},
  [5605] = {.lex_state = 149, .external_lex_state = 2},
  [5606] = {.lex_state = 149, .external_lex_state = 2},
  [5607] = {.lex_state = 149, .external_lex_state = 2},
  [5608] = {.lex_state = 149, .external_lex_state = 2},
  [5609] = {.lex_state = 149, .external_lex_state = 2},
  [5610] = {.lex_state = 149, .external_lex_state = 2},
  [5611] = {.lex_state = 149, .external_lex_state = 2},
  [5612] = {.lex_state = 149, .external_lex_state = 2},
  [5613] = {.lex_state = 149, .external_lex_state = 2},
  [5614] = {.lex_state = 149, .external_lex_state = 2},
  [5615] = {.lex_state = 149, .external_lex_state = 2},
  [5616] = {.lex_state = 149, .external_lex_state = 2},
  [5617] = {.lex_state = 149, .external_lex_state = 2},
  [5618] = {.lex_state = 149, .external_lex_state = 2},
  [5619] = {.lex_state = 149, .external_lex_state = 2},
  [5620] = {.lex_state = 149, .external_lex_state = 2},
  [5621] = {.lex_state = 149, .external_lex_state = 2},
  [5622] = {.lex_state = 149, .external_lex_state = 2},
  [5623] = {.lex_state = 149, .external_lex_state = 2},
  [5624] = {.lex_state = 149, .external_lex_state = 2},
  [5625] = {.lex_state = 149, .external_lex_state = 2},
  [5626] = {.lex_state = 149, .external_lex_state = 2},
  [5627] = {.lex_state = 149, .external_lex_state = 2},
  [5628] = {.lex_state = 149, .external_lex_state = 2},
  [5629] = {.lex_state = 149, .external_lex_state = 2},
  [5630] = {.lex_state = 149, .external_lex_state = 2},
  [5631] = {.lex_state = 149, .external_lex_state = 2},
  [5632] = {.lex_state = 149, .external_lex_state = 2},
  [5633] = {.lex_state = 149, .external_lex_state = 2},
  [5634] = {.lex_state = 149, .external_lex_state = 2},
  [5635] = {.lex_state = 149, .external_lex_state = 2},
  [5636] = {.lex_state = 149, .external_lex_state = 2},
  [5637] = {.lex_state = 149, .external_lex_state = 2},
  [5638] = {.lex_state = 149, .external_lex_state = 2},
  [5639] = {.lex_state = 149, .external_lex_state = 2},
  [5640] = {.lex_state = 149, .external_lex_state = 2},
  [5641] = {.lex_state = 149, .external_lex_state = 2},
  [5642] = {.lex_state = 149, .external_lex_state = 2},
  [5643] = {.lex_state = 149, .external_lex_state = 2},
  [5644] = {.lex_state = 149, .external_lex_state = 2},
  [5645] = {.lex_state = 149, .external_lex_state = 2},
  [5646] = {.lex_state = 149, .external_lex_state = 2},
  [5647] = {.lex_state = 149, .external_lex_state = 2},
  [5648] = {.lex_state = 149, .external_lex_state = 2},
  [5649] = {.lex_state = 149, .external_lex_state = 2},
  [5650] = {.lex_state = 149, .external_lex_state = 2},
  [5651] = {.lex_state = 149, .external_lex_state = 2},
  [5652] = {.lex_state = 149, .external_lex_state = 2},
  [5653] = {.lex_state = 149, .external_lex_state = 2},
  [5654] = {.lex_state = 149, .external_lex_state = 2},
  [5655] = {.lex_state = 149, .external_lex_state = 2},
  [5656] = {.lex_state = 149, .external_lex_state = 2},
  [5657] = {.lex_state = 149, .external_lex_state = 2},
  [5658] = {.lex_state = 149, .external_lex_state = 2},
  [5659] = {.lex_state = 149, .external_lex_state = 2},
  [5660] = {.lex_state = 149, .external_lex_state = 2},
  [5661] = {.lex_state = 149, .external_lex_state = 2},
  [5662] = {.lex_state = 149, .external_lex_state = 2},
  [5663] = {.lex_state = 149, .external_lex_state = 2},
  [5664] = {.lex_state = 149, .external_lex_state = 2},
  [5665] = {.lex_state = 149, .external_lex_state = 2},
  [5666] = {.lex_state = 149, .external_lex_state = 2},
  [5667] = {.lex_state = 149, .external_lex_state = 2},
  [5668] = {.lex_state = 149, .external_lex_state = 2},
  [5669] = {.lex_state = 149, .external_lex_state = 2},
  [5670] = {.lex_state = 149, .external_lex_state = 2},
  [5671] = {.lex_state = 149, .external_lex_state = 2},
  [5672] = {.lex_state = 149, .external_lex_state = 2},
  [5673] = {.lex_state = 149, .external_lex_state = 2},
  [5674] = {.lex_state = 38, .external_lex_state = 2},
  [5675] = {.lex_state = 149, .external_lex_state = 2},
  [5676] = {.lex_state = 149, .external_lex_state = 2},
  [5677] = {.lex_state = 149, .external_lex_state = 2},
  [5678] = {.lex_state = 149, .external_lex_state = 2},
  [5679] = {.lex_state = 149, .external_lex_state = 2},
  [5680] = {.lex_state = 149, .external_lex_state = 2},
  [5681] = {.lex_state = 149, .external_lex_state = 2},
  [5682] = {.lex_state = 149, .external_lex_state = 2},
  [5683] = {.lex_state = 149, .external_lex_state = 2},
  [5684] = {.lex_state = 149, .external_lex_state = 2},
  [5685] = {.lex_state = 149, .external_lex_state = 2},
  [5686] = {.lex_state = 149, .external_lex_state = 2},
  [5687] = {.lex_state = 2, .external_lex_state = 11},
  [5688] = {.lex_state = 149, .external_lex_state = 2},
  [5689] = {.lex_state = 149, .external_lex_state = 2},
  [5690] = {.lex_state = 149, .external_lex_state = 2},
  [5691] = {.lex_state = 149, .external_lex_state = 2},
  [5692] = {.lex_state = 149, .external_lex_state = 2},
  [5693] = {.lex_state = 149, .external_lex_state = 2},
  [5694] = {.lex_state = 149, .external_lex_state = 2},
  [5695] = {.lex_state = 149, .external_lex_state = 2},
  [5696] = {.lex_state = 149, .external_lex_state = 2},
  [5697] = {.lex_state = 149, .external_lex_state = 2},
  [5698] = {.lex_state = 149, .external_lex_state = 2},
  [5699] = {.lex_state = 149, .external_lex_state = 2},
  [5700] = {.lex_state = 149, .external_lex_state = 2},
  [5701] = {.lex_state = 149, .external_lex_state = 2},
  [5702] = {.lex_state = 149, .external_lex_state = 2},
  [5703] = {.lex_state = 149, .external_lex_state = 2},
  [5704] = {.lex_state = 149, .external_lex_state = 2},
  [5705] = {.lex_state = 149, .external_lex_state = 2},
  [5706] = {.lex_state = 149, .external_lex_state = 2},
  [5707] = {.lex_state = 149, .external_lex_state = 2},
  [5708] = {.lex_state = 149, .external_lex_state = 2},
  [5709] = {.lex_state = 149, .external_lex_state = 2},
  [5710] = {.lex_state = 149, .external_lex_state = 2},
  [5711] = {.lex_state = 149, .external_lex_state = 2},
  [5712] = {.lex_state = 149, .external_lex_state = 2},
  [5713] = {.lex_state = 149, .external_lex_state = 2},
  [5714] = {.lex_state = 149, .external_lex_state = 2},
  [5715] = {.lex_state = 149, .external_lex_state = 2},
  [5716] = {.lex_state = 149, .external_lex_state = 2},
  [5717] = {.lex_state = 149, .external_lex_state = 2},
  [5718] = {.lex_state = 149, .external_lex_state = 2},
  [5719] = {.lex_state = 149, .external_lex_state = 2},
  [5720] = {.lex_state = 149, .external_lex_state = 2},
  [5721] = {.lex_state = 149, .external_lex_state = 2},
  [5722] = {.lex_state = 149, .external_lex_state = 2},
  [5723] = {.lex_state = 149, .external_lex_state = 2},
  [5724] = {.lex_state = 149, .external_lex_state = 2},
  [5725] = {.lex_state = 149, .external_lex_state = 2},
  [5726] = {.lex_state = 149, .external_lex_state = 2},
  [5727] = {.lex_state = 149, .external_lex_state = 2},
  [5728] = {.lex_state = 149, .external_lex_state = 2},
  [5729] = {.lex_state = 149, .external_lex_state = 2},
  [5730] = {.lex_state = 149, .external_lex_state = 2},
  [5731] = {.lex_state = 149, .external_lex_state = 2},
  [5732] = {.lex_state = 149, .external_lex_state = 2},
  [5733] = {.lex_state = 149, .external_lex_state = 2},
  [5734] = {.lex_state = 149, .external_lex_state = 2},
  [5735] = {.lex_state = 149, .external_lex_state = 2},
  [5736] = {.lex_state = 149, .external_lex_state = 2},
  [5737] = {.lex_state = 149, .external_lex_state = 2},
  [5738] = {.lex_state = 149, .external_lex_state = 2},
  [5739] = {.lex_state = 149, .external_lex_state = 2},
  [5740] = {.lex_state = 149, .external_lex_state = 2},
  [5741] = {.lex_state = 149, .external_lex_state = 2},
  [5742] = {.lex_state = 149, .external_lex_state = 2},
  [5743] = {.lex_state = 149, .external_lex_state = 2},
  [5744] = {.lex_state = 149, .external_lex_state = 2},
  [5745] = {.lex_state = 149, .external_lex_state = 2},
  [5746] = {.lex_state = 149, .external_lex_state = 2},
  [5747] = {.lex_state = 149, .external_lex_state = 2},
  [5748] = {.lex_state = 149, .external_lex_state = 2},
  [5749] = {.lex_state = 149, .external_lex_state = 2},
  [5750] = {.lex_state = 149, .external_lex_state = 2},
  [5751] = {.lex_state = 149, .external_lex_state = 2},
  [5752] = {.lex_state = 149, .external_lex_state = 2},
  [5753] = {.lex_state = 149, .external_lex_state = 2},
  [5754] = {.lex_state = 149, .external_lex_state = 2},
  [5755] = {.lex_state = 149, .external_lex_state = 2},
  [5756] = {.lex_state = 149, .external_lex_state = 2},
  [5757] = {.lex_state = 149, .external_lex_state = 2},
  [5758] = {.lex_state = 149, .external_lex_state = 2},
  [5759] = {.lex_state = 149, .external_lex_state = 2},
  [5760] = {.lex_state = 149, .external_lex_state = 2},
  [5761] = {.lex_state = 149, .external_lex_state = 2},
  [5762] = {.lex_state = 149, .external_lex_state = 2},
  [5763] = {.lex_state = 149, .external_lex_state = 2},
  [5764] = {.lex_state = 2, .external_lex_state = 11},
  [5765] = {.lex_state = 149, .external_lex_state = 2},
  [5766] = {.lex_state = 149, .external_lex_state = 2},
  [5767] = {.lex_state = 149, .external_lex_state = 2},
  [5768] = {.lex_state = 149, .external_lex_state = 2},
  [5769] = {.lex_state = 149, .external_lex_state = 2},
  [5770] = {.lex_state = 149, .external_lex_state = 2},
  [5771] = {.lex_state = 149, .external_lex_state = 2},
  [5772] = {.lex_state = 38, .external_lex_state = 2},
  [5773] = {.lex_state = 149, .external_lex_state = 2},
  [5774] = {.lex_state = 149, .external_lex_state = 2},
  [5775] = {.lex_state = 149, .external_lex_state = 2},
  [5776] = {.lex_state = 149, .external_lex_state = 2},
  [5777] = {.lex_state = 149, .external_lex_state = 2},
  [5778] = {.lex_state = 149, .external_lex_state = 2},
  [5779] = {.lex_state = 149, .external_lex_state = 2},
  [5780] = {.lex_state = 149, .external_lex_state = 2},
  [5781] = {.lex_state = 149, .external_lex_state = 2},
  [5782] = {.lex_state = 149, .external_lex_state = 2},
  [5783] = {.lex_state = 149, .external_lex_state = 2},
  [5784] = {.lex_state = 149, .external_lex_state = 2},
  [5785] = {.lex_state = 149, .external_lex_state = 2},
  [5786] = {.lex_state = 149, .external_lex_state = 2},
  [5787] = {.lex_state = 149, .external_lex_state = 2},
  [5788] = {.lex_state = 149, .external_lex_state = 2},
  [5789] = {.lex_state = 2, .external_lex_state = 11},
  [5790] = {.lex_state = 149, .external_lex_state = 2},
  [5791] = {.lex_state = 149, .external_lex_state = 2},
  [5792] = {.lex_state = 149, .external_lex_state = 2},
  [5793] = {.lex_state = 149, .external_lex_state = 2},
  [5794] = {.lex_state = 149, .external_lex_state = 2},
  [5795] = {.lex_state = 149, .external_lex_state = 2},
  [5796] = {.lex_state = 149, .external_lex_state = 2},
  [5797] = {.lex_state = 149, .external_lex_state = 2},
  [5798] = {.lex_state = 149, .external_lex_state = 2},
  [5799] = {.lex_state = 149, .external_lex_state = 2},
  [5800] = {.lex_state = 149, .external_lex_state = 2},
  [5801] = {.lex_state = 149, .external_lex_state = 2},
  [5802] = {.lex_state = 149, .external_lex_state = 2},
  [5803] = {.lex_state = 149, .external_lex_state = 2},
  [5804] = {.lex_state = 149, .external_lex_state = 2},
  [5805] = {.lex_state = 149, .external_lex_state = 2},
  [5806] = {.lex_state = 149, .external_lex_state = 2},
  [5807] = {.lex_state = 149, .external_lex_state = 2},
  [5808] = {.lex_state = 149, .external_lex_state = 2},
  [5809] = {.lex_state = 149, .external_lex_state = 2},
  [5810] = {.lex_state = 149, .external_lex_state = 2},
  [5811] = {.lex_state = 149, .external_lex_state = 2},
  [5812] = {.lex_state = 149, .external_lex_state = 2},
  [5813] = {.lex_state = 149, .external_lex_state = 2},
  [5814] = {.lex_state = 149, .external_lex_state = 2},
  [5815] = {.lex_state = 149, .external_lex_state = 2},
  [5816] = {.lex_state = 149, .external_lex_state = 2},
  [5817] = {.lex_state = 149, .external_lex_state = 2},
  [5818] = {.lex_state = 149, .external_lex_state = 2},
  [5819] = {.lex_state = 149, .external_lex_state = 2},
  [5820] = {.lex_state = 149, .external_lex_state = 2},
  [5821] = {.lex_state = 149, .external_lex_state = 2},
  [5822] = {.lex_state = 149, .external_lex_state = 2},
  [5823] = {.lex_state = 149, .external_lex_state = 2},
  [5824] = {.lex_state = 149, .external_lex_state = 2},
  [5825] = {.lex_state = 149, .external_lex_state = 2},
  [5826] = {.lex_state = 149, .external_lex_state = 2},
  [5827] = {.lex_state = 149, .external_lex_state = 2},
  [5828] = {.lex_state = 149, .external_lex_state = 2},
  [5829] = {.lex_state = 149, .external_lex_state = 2},
  [5830] = {.lex_state = 149, .external_lex_state = 2},
  [5831] = {.lex_state = 149, .external_lex_state = 2},
  [5832] = {.lex_state = 149, .external_lex_state = 2},
  [5833] = {.lex_state = 149, .external_lex_state = 2},
  [5834] = {.lex_state = 149, .external_lex_state = 2},
  [5835] = {.lex_state = 149, .external_lex_state = 2},
  [5836] = {.lex_state = 149, .external_lex_state = 2},
  [5837] = {.lex_state = 149, .external_lex_state = 2},
  [5838] = {.lex_state = 149, .external_lex_state = 2},
  [5839] = {.lex_state = 149, .external_lex_state = 2},
  [5840] = {.lex_state = 149, .external_lex_state = 2},
  [5841] = {.lex_state = 149, .external_lex_state = 2},
  [5842] = {.lex_state = 149, .external_lex_state = 2},
  [5843] = {.lex_state = 149, .external_lex_state = 2},
  [5844] = {.lex_state = 149, .external_lex_state = 2},
  [5845] = {.lex_state = 149, .external_lex_state = 2},
  [5846] = {.lex_state = 149, .external_lex_state = 2},
  [5847] = {.lex_state = 149, .external_lex_state = 2},
  [5848] = {.lex_state = 149, .external_lex_state = 2},
  [5849] = {.lex_state = 149, .external_lex_state = 2},
  [5850] = {.lex_state = 149, .external_lex_state = 2},
  [5851] = {.lex_state = 149, .external_lex_state = 2},
  [5852] = {.lex_state = 149, .external_lex_state = 2},
  [5853] = {.lex_state = 149, .external_lex_state = 2},
  [5854] = {.lex_state = 149, .external_lex_state = 2},
  [5855] = {.lex_state = 149, .external_lex_state = 2},
  [5856] = {.lex_state = 149, .external_lex_state = 2},
  [5857] = {.lex_state = 149, .external_lex_state = 2},
  [5858] = {.lex_state = 149, .external_lex_state = 2},
  [5859] = {.lex_state = 149, .external_lex_state = 2},
  [5860] = {.lex_state = 2, .external_lex_state = 11},
  [5861] = {.lex_state = 149, .external_lex_state = 2},
  [5862] = {.lex_state = 149, .external_lex_state = 2},
  [5863] = {.lex_state = 149, .external_lex_state = 2},
  [5864] = {.lex_state = 149, .external_lex_state = 2},
  [5865] = {.lex_state = 149, .external_lex_state = 2},
  [5866] = {.lex_state = 149, .external_lex_state = 2},
  [5867] = {.lex_state = 149, .external_lex_state = 2},
  [5868] = {.lex_state = 149, .external_lex_state = 2},
  [5869] = {.lex_state = 149, .external_lex_state = 2},
  [5870] = {.lex_state = 149, .external_lex_state = 2},
  [5871] = {.lex_state = 149, .external_lex_state = 2},
  [5872] = {.lex_state = 149, .external_lex_state = 2},
  [5873] = {.lex_state = 149, .external_lex_state = 2},
  [5874] = {.lex_state = 149, .external_lex_state = 2},
  [5875] = {.lex_state = 149, .external_lex_state = 2},
  [5876] = {.lex_state = 149, .external_lex_state = 2},
  [5877] = {.lex_state = 149, .external_lex_state = 2},
  [5878] = {.lex_state = 149, .external_lex_state = 2},
  [5879] = {.lex_state = 149, .external_lex_state = 2},
  [5880] = {.lex_state = 149, .external_lex_state = 2},
  [5881] = {.lex_state = 149, .external_lex_state = 2},
  [5882] = {.lex_state = 149, .external_lex_state = 2},
  [5883] = {.lex_state = 149, .external_lex_state = 2},
  [5884] = {.lex_state = 149, .external_lex_state = 2},
  [5885] = {.lex_state = 149, .external_lex_state = 2},
  [5886] = {.lex_state = 149, .external_lex_state = 2},
  [5887] = {.lex_state = 149, .external_lex_state = 2},
  [5888] = {.lex_state = 149, .external_lex_state = 2},
  [5889] = {.lex_state = 149, .external_lex_state = 2},
  [5890] = {.lex_state = 149, .external_lex_state = 2},
  [5891] = {.lex_state = 149, .external_lex_state = 2},
  [5892] = {.lex_state = 149, .external_lex_state = 2},
  [5893] = {.lex_state = 149, .external_lex_state = 2},
  [5894] = {.lex_state = 149, .external_lex_state = 2},
  [5895] = {.lex_state = 149, .external_lex_state = 2},
  [5896] = {.lex_state = 149, .external_lex_state = 2},
  [5897] = {.lex_state = 149, .external_lex_state = 2},
  [5898] = {.lex_state = 149, .external_lex_state = 2},
  [5899] = {.lex_state = 149, .external_lex_state = 2},
  [5900] = {.lex_state = 149, .external_lex_state = 2},
  [5901] = {.lex_state = 149, .external_lex_state = 2},
  [5902] = {.lex_state = 149, .external_lex_state = 2},
  [5903] = {.lex_state = 149, .external_lex_state = 2},
  [5904] = {.lex_state = 149, .external_lex_state = 2},
  [5905] = {.lex_state = 149, .external_lex_state = 2},
  [5906] = {.lex_state = 149, .external_lex_state = 2},
  [5907] = {.lex_state = 149, .external_lex_state = 2},
  [5908] = {.lex_state = 149, .external_lex_state = 2},
  [5909] = {.lex_state = 149, .external_lex_state = 2},
  [5910] = {.lex_state = 149, .external_lex_state = 2},
  [5911] = {.lex_state = 149, .external_lex_state = 2},
  [5912] = {.lex_state = 38, .external_lex_state = 2},
  [5913] = {.lex_state = 149, .external_lex_state = 2},
  [5914] = {.lex_state = 149, .external_lex_state = 2},
  [5915] = {.lex_state = 149, .external_lex_state = 2},
  [5916] = {.lex_state = 149, .external_lex_state = 2},
  [5917] = {.lex_state = 149, .external_lex_state = 2},
  [5918] = {.lex_state = 149, .external_lex_state = 2},
  [5919] = {.lex_state = 149, .external_lex_state = 2},
  [5920] = {.lex_state = 149, .external_lex_state = 2},
  [5921] = {.lex_state = 149, .external_lex_state = 2},
  [5922] = {.lex_state = 149, .external_lex_state = 2},
  [5923] = {.lex_state = 149, .external_lex_state = 2},
  [5924] = {.lex_state = 149, .external_lex_state = 2},
  [5925] = {.lex_state = 149, .external_lex_state = 2},
  [5926] = {.lex_state = 149, .external_lex_state = 2},
  [5927] = {.lex_state = 149, .external_lex_state = 2},
  [5928] = {.lex_state = 149, .external_lex_state = 2},
  [5929] = {.lex_state = 149, .external_lex_state = 2},
  [5930] = {.lex_state = 149, .external_lex_state = 2},
  [5931] = {.lex_state = 149, .external_lex_state = 2},
  [5932] = {.lex_state = 149, .external_lex_state = 2},
  [5933] = {.lex_state = 149, .external_lex_state = 2},
  [5934] = {.lex_state = 149, .external_lex_state = 2},
  [5935] = {.lex_state = 149, .external_lex_state = 2},
  [5936] = {.lex_state = 149, .external_lex_state = 2},
  [5937] = {.lex_state = 149, .external_lex_state = 2},
  [5938] = {.lex_state = 149, .external_lex_state = 2},
  [5939] = {.lex_state = 149, .external_lex_state = 2},
  [5940] = {.lex_state = 149, .external_lex_state = 2},
  [5941] = {.lex_state = 149, .external_lex_state = 2},
  [5942] = {.lex_state = 149, .external_lex_state = 2},
  [5943] = {.lex_state = 149, .external_lex_state = 2},
  [5944] = {.lex_state = 149, .external_lex_state = 2},
  [5945] = {.lex_state = 149, .external_lex_state = 2},
  [5946] = {.lex_state = 149, .external_lex_state = 2},
  [5947] = {.lex_state = 149, .external_lex_state = 2},
  [5948] = {.lex_state = 149, .external_lex_state = 2},
  [5949] = {.lex_state = 149, .external_lex_state = 2},
  [5950] = {.lex_state = 149, .external_lex_state = 2},
  [5951] = {.lex_state = 149, .external_lex_state = 2},
  [5952] = {.lex_state = 149, .external_lex_state = 2},
  [5953] = {.lex_state = 149, .external_lex_state = 2},
  [5954] = {.lex_state = 149, .external_lex_state = 2},
  [5955] = {.lex_state = 149, .external_lex_state = 2},
  [5956] = {.lex_state = 149, .external_lex_state = 2},
  [5957] = {.lex_state = 149, .external_lex_state = 2},
  [5958] = {.lex_state = 149, .external_lex_state = 2},
  [5959] = {.lex_state = 149, .external_lex_state = 2},
  [5960] = {.lex_state = 149, .external_lex_state = 2},
  [5961] = {.lex_state = 149, .external_lex_state = 2},
  [5962] = {.lex_state = 149, .external_lex_state = 2},
  [5963] = {.lex_state = 149, .external_lex_state = 2},
  [5964] = {.lex_state = 149, .external_lex_state = 2},
  [5965] = {.lex_state = 149, .external_lex_state = 2},
  [5966] = {.lex_state = 149, .external_lex_state = 2},
  [5967] = {.lex_state = 149, .external_lex_state = 2},
  [5968] = {.lex_state = 149, .external_lex_state = 2},
  [5969] = {.lex_state = 149, .external_lex_state = 2},
  [5970] = {.lex_state = 149, .external_lex_state = 2},
  [5971] = {.lex_state = 149, .external_lex_state = 2},
  [5972] = {.lex_state = 149, .external_lex_state = 2},
  [5973] = {.lex_state = 2, .external_lex_state = 11},
  [5974] = {.lex_state = 38, .external_lex_state = 2},
  [5975] = {.lex_state = 149, .external_lex_state = 2},
  [5976] = {.lex_state = 149, .external_lex_state = 2},
  [5977] = {.lex_state = 149, .external_lex_state = 2},
  [5978] = {.lex_state = 149, .external_lex_state = 2},
  [5979] = {.lex_state = 149, .external_lex_state = 2},
  [5980] = {.lex_state = 149, .external_lex_state = 2},
  [5981] = {.lex_state = 149, .external_lex_state = 2},
  [5982] = {.lex_state = 149, .external_lex_state = 2},
  [5983] = {.lex_state = 149, .external_lex_state = 2},
  [5984] = {.lex_state = 149, .external_lex_state = 2},
  [5985] = {.lex_state = 149, .external_lex_state = 2},
  [5986] = {.lex_state = 149, .external_lex_state = 2},
  [5987] = {.lex_state = 149, .external_lex_state = 2},
  [5988] = {.lex_state = 149, .external_lex_state = 2},
  [5989] = {.lex_state = 149, .external_lex_state = 2},
  [5990] = {.lex_state = 149, .external_lex_state = 2},
  [5991] = {.lex_state = 149, .external_lex_state = 2},
  [5992] = {.lex_state = 149, .external_lex_state = 2},
  [5993] = {.lex_state = 149, .external_lex_state = 2},
  [5994] = {.lex_state = 149, .external_lex_state = 2},
  [5995] = {.lex_state = 149, .external_lex_state = 2},
  [5996] = {.lex_state = 149, .external_lex_state = 2},
  [5997] = {.lex_state = 149, .external_lex_state = 2},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym_glimmer_opening_tag] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_accessor] = ACTIONS(1),
    [anon_sym_satisfies] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_PLUS_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unique] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
    [sym_html_comment] = ACTIONS(5),
    [sym_jsx_text] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(5783),
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(16),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [sym_hash_bang_line] = ACTIONS(11),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [2] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [3] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(197),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(205),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [4] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5874),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5874),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5874),
    [sym_spread_element] = STATE(5019),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2225),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(5019),
    [sym_pair] = STATE(5019),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3559),
    [sym_computed_property_name] = STATE(3559),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_accessibility_modifier] = STATE(2724),
    [sym_override_modifier] = STATE(2755),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [aux_sym_object_repeat1] = STATE(5031),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_namespace] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(245),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(251),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(261),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(267),
    [anon_sym_private] = ACTIONS(267),
    [anon_sym_protected] = ACTIONS(267),
    [anon_sym_override] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(271),
    [anon_sym_any] = ACTIONS(273),
    [anon_sym_number] = ACTIONS(273),
    [anon_sym_boolean] = ACTIONS(273),
    [anon_sym_string] = ACTIONS(273),
    [anon_sym_symbol] = ACTIONS(273),
    [anon_sym_object] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [5] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5874),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5874),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5874),
    [sym_spread_element] = STATE(4829),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2225),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3559),
    [sym_computed_property_name] = STATE(3559),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_accessibility_modifier] = STATE(2724),
    [sym_override_modifier] = STATE(2755),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_export] = ACTIONS(277),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(279),
    [anon_sym_namespace] = ACTIONS(281),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(285),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(287),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(289),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(291),
    [anon_sym_readonly] = ACTIONS(293),
    [anon_sym_get] = ACTIONS(295),
    [anon_sym_set] = ACTIONS(295),
    [anon_sym_declare] = ACTIONS(297),
    [anon_sym_public] = ACTIONS(299),
    [anon_sym_private] = ACTIONS(299),
    [anon_sym_protected] = ACTIONS(299),
    [anon_sym_override] = ACTIONS(301),
    [anon_sym_module] = ACTIONS(303),
    [anon_sym_any] = ACTIONS(305),
    [anon_sym_number] = ACTIONS(305),
    [anon_sym_boolean] = ACTIONS(305),
    [anon_sym_string] = ACTIONS(305),
    [anon_sym_symbol] = ACTIONS(305),
    [anon_sym_object] = ACTIONS(305),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [6] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5874),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5874),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5874),
    [sym_spread_element] = STATE(5019),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2225),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(5019),
    [sym_pair] = STATE(5019),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3559),
    [sym_computed_property_name] = STATE(3559),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_accessibility_modifier] = STATE(2724),
    [sym_override_modifier] = STATE(2755),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [aux_sym_object_repeat1] = STATE(5031),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_namespace] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(307),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(245),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(251),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(261),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(267),
    [anon_sym_private] = ACTIONS(267),
    [anon_sym_protected] = ACTIONS(267),
    [anon_sym_override] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(271),
    [anon_sym_any] = ACTIONS(273),
    [anon_sym_number] = ACTIONS(273),
    [anon_sym_boolean] = ACTIONS(273),
    [anon_sym_string] = ACTIONS(273),
    [anon_sym_symbol] = ACTIONS(273),
    [anon_sym_object] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [7] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5874),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5874),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5874),
    [sym_spread_element] = STATE(5019),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2225),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(5019),
    [sym_pair] = STATE(5019),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3559),
    [sym_computed_property_name] = STATE(3559),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_accessibility_modifier] = STATE(2724),
    [sym_override_modifier] = STATE(2755),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [aux_sym_object_repeat1] = STATE(5031),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(231),
    [anon_sym_export] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(237),
    [anon_sym_namespace] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(309),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(245),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(249),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(251),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(259),
    [anon_sym_readonly] = ACTIONS(261),
    [anon_sym_get] = ACTIONS(263),
    [anon_sym_set] = ACTIONS(263),
    [anon_sym_declare] = ACTIONS(265),
    [anon_sym_public] = ACTIONS(267),
    [anon_sym_private] = ACTIONS(267),
    [anon_sym_protected] = ACTIONS(267),
    [anon_sym_override] = ACTIONS(269),
    [anon_sym_module] = ACTIONS(271),
    [anon_sym_any] = ACTIONS(273),
    [anon_sym_number] = ACTIONS(273),
    [anon_sym_boolean] = ACTIONS(273),
    [anon_sym_string] = ACTIONS(273),
    [anon_sym_symbol] = ACTIONS(273),
    [anon_sym_object] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [8] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5874),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5874),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5874),
    [sym_spread_element] = STATE(4829),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2225),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3559),
    [sym_computed_property_name] = STATE(3559),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_accessibility_modifier] = STATE(2724),
    [sym_override_modifier] = STATE(2755),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(311),
    [anon_sym_export] = ACTIONS(313),
    [anon_sym_STAR] = ACTIONS(235),
    [anon_sym_type] = ACTIONS(315),
    [anon_sym_namespace] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_COMMA] = ACTIONS(241),
    [anon_sym_RBRACE] = ACTIONS(283),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(319),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(247),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(321),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(323),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(255),
    [sym_private_property_identifier] = ACTIONS(257),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(325),
    [anon_sym_readonly] = ACTIONS(327),
    [anon_sym_get] = ACTIONS(329),
    [anon_sym_set] = ACTIONS(329),
    [anon_sym_declare] = ACTIONS(331),
    [anon_sym_public] = ACTIONS(333),
    [anon_sym_private] = ACTIONS(333),
    [anon_sym_protected] = ACTIONS(333),
    [anon_sym_override] = ACTIONS(335),
    [anon_sym_module] = ACTIONS(337),
    [anon_sym_any] = ACTIONS(339),
    [anon_sym_number] = ACTIONS(339),
    [anon_sym_boolean] = ACTIONS(339),
    [anon_sym_string] = ACTIONS(339),
    [anon_sym_symbol] = ACTIONS(339),
    [anon_sym_object] = ACTIONS(339),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [9] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [ts_builtin_sym_end] = ACTIONS(341),
    [sym_identifier] = ACTIONS(343),
    [anon_sym_export] = ACTIONS(346),
    [anon_sym_default] = ACTIONS(349),
    [anon_sym_type] = ACTIONS(351),
    [anon_sym_namespace] = ACTIONS(354),
    [anon_sym_LBRACE] = ACTIONS(357),
    [anon_sym_RBRACE] = ACTIONS(341),
    [anon_sym_typeof] = ACTIONS(360),
    [anon_sym_import] = ACTIONS(363),
    [anon_sym_with] = ACTIONS(366),
    [anon_sym_var] = ACTIONS(369),
    [anon_sym_let] = ACTIONS(372),
    [anon_sym_const] = ACTIONS(375),
    [anon_sym_BANG] = ACTIONS(378),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_switch] = ACTIONS(384),
    [anon_sym_for] = ACTIONS(387),
    [anon_sym_LPAREN] = ACTIONS(390),
    [anon_sym_SEMI] = ACTIONS(393),
    [anon_sym_await] = ACTIONS(396),
    [anon_sym_while] = ACTIONS(399),
    [anon_sym_do] = ACTIONS(402),
    [anon_sym_try] = ACTIONS(405),
    [anon_sym_break] = ACTIONS(408),
    [anon_sym_continue] = ACTIONS(411),
    [anon_sym_debugger] = ACTIONS(414),
    [anon_sym_return] = ACTIONS(417),
    [anon_sym_throw] = ACTIONS(420),
    [anon_sym_case] = ACTIONS(349),
    [anon_sym_yield] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(426),
    [sym_glimmer_opening_tag] = ACTIONS(429),
    [anon_sym_DQUOTE] = ACTIONS(432),
    [anon_sym_SQUOTE] = ACTIONS(435),
    [anon_sym_class] = ACTIONS(438),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(444),
    [anon_sym_new] = ACTIONS(447),
    [anon_sym_using] = ACTIONS(450),
    [anon_sym_PLUS] = ACTIONS(360),
    [anon_sym_DASH] = ACTIONS(360),
    [anon_sym_SLASH] = ACTIONS(453),
    [anon_sym_LT] = ACTIONS(456),
    [anon_sym_TILDE] = ACTIONS(378),
    [anon_sym_void] = ACTIONS(360),
    [anon_sym_delete] = ACTIONS(360),
    [anon_sym_PLUS_PLUS] = ACTIONS(459),
    [anon_sym_DASH_DASH] = ACTIONS(459),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(462),
    [sym_number] = ACTIONS(465),
    [sym_private_property_identifier] = ACTIONS(468),
    [sym_this] = ACTIONS(471),
    [sym_super] = ACTIONS(471),
    [sym_true] = ACTIONS(471),
    [sym_false] = ACTIONS(471),
    [sym_null] = ACTIONS(471),
    [sym_undefined] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(477),
    [anon_sym_static] = ACTIONS(480),
    [anon_sym_readonly] = ACTIONS(480),
    [anon_sym_get] = ACTIONS(480),
    [anon_sym_set] = ACTIONS(480),
    [anon_sym_declare] = ACTIONS(483),
    [anon_sym_public] = ACTIONS(480),
    [anon_sym_private] = ACTIONS(480),
    [anon_sym_protected] = ACTIONS(480),
    [anon_sym_override] = ACTIONS(480),
    [anon_sym_module] = ACTIONS(486),
    [anon_sym_any] = ACTIONS(480),
    [anon_sym_number] = ACTIONS(480),
    [anon_sym_boolean] = ACTIONS(480),
    [anon_sym_string] = ACTIONS(480),
    [anon_sym_symbol] = ACTIONS(480),
    [anon_sym_object] = ACTIONS(480),
    [anon_sym_abstract] = ACTIONS(489),
    [anon_sym_interface] = ACTIONS(492),
    [anon_sym_enum] = ACTIONS(495),
    [sym_html_comment] = ACTIONS(5),
  },
  [10] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(13),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(498),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(500),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(498),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [11] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(12),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(502),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(504),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(502),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [12] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(506),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(508),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [13] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_default] = ACTIONS(510),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(512),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_case] = ACTIONS(510),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [14] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(17),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(514),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [15] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [ts_builtin_sym_end] = ACTIONS(516),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [16] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [17] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(520),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [18] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(15),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(15),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [ts_builtin_sym_end] = ACTIONS(518),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [19] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(522),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [20] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(19),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(19),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(524),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [21] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(22),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(526),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [22] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(528),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [23] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(24),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [24] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(532),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [25] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [26] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(25),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(536),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [27] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(538),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [28] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(30),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(30),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(540),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [29] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(27),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(27),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(542),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [30] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(9),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [31] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(871),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [32] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(5187),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [33] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(805),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [34] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(767),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [35] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(842),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [36] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(856),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [37] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(891),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [38] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(899),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [39] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(782),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [40] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(791),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [41] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(793),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [42] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(794),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [43] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(800),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [44] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(781),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [45] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(801),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [46] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(801),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [47] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(805),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [48] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(4760),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [49] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(856),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [50] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(781),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [51] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(804),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [52] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(630),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [53] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(842),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [54] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(891),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [55] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(899),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [56] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(782),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [57] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(791),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [58] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(793),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [59] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(794),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [60] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(800),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [61] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(804),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [62] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(672),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [63] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(674),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [64] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5179),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(5196),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(676),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [65] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(678),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [66] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(871),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3782),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(13),
    [anon_sym_type] = ACTIONS(15),
    [anon_sym_namespace] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(25),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(75),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(79),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(101),
    [anon_sym_readonly] = ACTIONS(101),
    [anon_sym_get] = ACTIONS(101),
    [anon_sym_set] = ACTIONS(101),
    [anon_sym_declare] = ACTIONS(103),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_private] = ACTIONS(101),
    [anon_sym_protected] = ACTIONS(101),
    [anon_sym_override] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_any] = ACTIONS(101),
    [anon_sym_number] = ACTIONS(101),
    [anon_sym_boolean] = ACTIONS(101),
    [anon_sym_string] = ACTIONS(101),
    [anon_sym_symbol] = ACTIONS(101),
    [anon_sym_object] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [67] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(680),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [68] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5179),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(5196),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(682),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [69] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(684),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [70] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(686),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [71] = {
    [sym_import] = STATE(3753),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4390),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(4105),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5211),
    [sym_optional_tuple_parameter] = STATE(5211),
    [sym_optional_type] = STATE(5211),
    [sym_rest_type] = STATE(5211),
    [sym__tuple_type_member] = STATE(5211),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5561),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(608),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(616),
    [anon_sym_COMMA] = ACTIONS(688),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [anon_sym_RBRACK] = ACTIONS(690),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(634),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(638),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(658),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(660),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(664),
    [anon_sym_number] = ACTIONS(664),
    [anon_sym_boolean] = ACTIONS(664),
    [anon_sym_string] = ACTIONS(664),
    [anon_sym_symbol] = ACTIONS(664),
    [anon_sym_object] = ACTIONS(664),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [72] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(801),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [73] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(805),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [74] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(856),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [75] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(781),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [76] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(804),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [77] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(871),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [78] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(842),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [79] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(891),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [80] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(899),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [81] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(782),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [82] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(791),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [83] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(793),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [84] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(794),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [85] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(800),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3873),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(582),
    [anon_sym_type] = ACTIONS(584),
    [anon_sym_namespace] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(588),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(592),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(594),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(596),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(598),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(602),
    [anon_sym_readonly] = ACTIONS(602),
    [anon_sym_get] = ACTIONS(602),
    [anon_sym_set] = ACTIONS(602),
    [anon_sym_declare] = ACTIONS(604),
    [anon_sym_public] = ACTIONS(602),
    [anon_sym_private] = ACTIONS(602),
    [anon_sym_protected] = ACTIONS(602),
    [anon_sym_override] = ACTIONS(602),
    [anon_sym_module] = ACTIONS(606),
    [anon_sym_any] = ACTIONS(602),
    [anon_sym_number] = ACTIONS(602),
    [anon_sym_boolean] = ACTIONS(602),
    [anon_sym_string] = ACTIONS(602),
    [anon_sym_symbol] = ACTIONS(602),
    [anon_sym_object] = ACTIONS(602),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [86] = {
    [sym_export_statement] = STATE(892),
    [sym_declaration] = STATE(892),
    [sym_import] = STATE(3760),
    [sym_import_statement] = STATE(892),
    [sym_statement] = STATE(5616),
    [sym_expression_statement] = STATE(892),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_statement_block] = STATE(892),
    [sym_if_statement] = STATE(892),
    [sym_switch_statement] = STATE(892),
    [sym_for_statement] = STATE(892),
    [sym_for_in_statement] = STATE(892),
    [sym_while_statement] = STATE(892),
    [sym_do_statement] = STATE(892),
    [sym_try_statement] = STATE(892),
    [sym_with_statement] = STATE(892),
    [sym_break_statement] = STATE(892),
    [sym_continue_statement] = STATE(892),
    [sym_debugger_statement] = STATE(892),
    [sym_return_statement] = STATE(892),
    [sym_throw_statement] = STATE(892),
    [sym_empty_statement] = STATE(892),
    [sym_labeled_statement] = STATE(892),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1930),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5311),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(3822),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(548),
    [anon_sym_type] = ACTIONS(550),
    [anon_sym_namespace] = ACTIONS(552),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(558),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(560),
    [anon_sym_switch] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(562),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(564),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_try] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_debugger] = ACTIONS(57),
    [anon_sym_return] = ACTIONS(59),
    [anon_sym_throw] = ACTIONS(61),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(568),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(572),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_readonly] = ACTIONS(574),
    [anon_sym_get] = ACTIONS(574),
    [anon_sym_set] = ACTIONS(574),
    [anon_sym_declare] = ACTIONS(576),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_override] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(578),
    [anon_sym_any] = ACTIONS(574),
    [anon_sym_number] = ACTIONS(574),
    [anon_sym_boolean] = ACTIONS(574),
    [anon_sym_string] = ACTIONS(574),
    [anon_sym_symbol] = ACTIONS(574),
    [anon_sym_object] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [87] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [88] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [89] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [90] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4353),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(751),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [91] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4354),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(757),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [92] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4200),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [93] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1820),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5747),
    [sym_string] = STATE(2088),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4562),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_typeof] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(769),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(779),
    [sym_number] = ACTIONS(781),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(783),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(787),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(791),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(795),
    [anon_sym_private] = ACTIONS(795),
    [anon_sym_protected] = ACTIONS(795),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(799),
    [anon_sym_number] = ACTIONS(799),
    [anon_sym_boolean] = ACTIONS(799),
    [anon_sym_string] = ACTIONS(799),
    [anon_sym_symbol] = ACTIONS(799),
    [anon_sym_object] = ACTIONS(799),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [94] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1759),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5607),
    [sym_string] = STATE(2088),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4562),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_typeof] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(769),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(779),
    [sym_number] = ACTIONS(781),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(783),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(787),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(791),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(795),
    [anon_sym_private] = ACTIONS(795),
    [anon_sym_protected] = ACTIONS(795),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(799),
    [anon_sym_number] = ACTIONS(799),
    [anon_sym_boolean] = ACTIONS(799),
    [anon_sym_string] = ACTIONS(799),
    [anon_sym_symbol] = ACTIONS(799),
    [anon_sym_object] = ACTIONS(799),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [95] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4204),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [96] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [97] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4209),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [98] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [99] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4364),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(136),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(738),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(136),
    [anon_sym_DASH] = ACTIONS(136),
    [anon_sym_SLASH] = ACTIONS(177),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(188),
    [anon_sym_DASH_DASH] = ACTIONS(188),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(746),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(807),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [100] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1820),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5747),
    [sym_string] = STATE(2088),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4484),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(761),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_typeof] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(769),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(779),
    [sym_number] = ACTIONS(781),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(783),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(787),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(791),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(795),
    [anon_sym_private] = ACTIONS(795),
    [anon_sym_protected] = ACTIONS(795),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(799),
    [anon_sym_number] = ACTIONS(799),
    [anon_sym_boolean] = ACTIONS(799),
    [anon_sym_string] = ACTIONS(799),
    [anon_sym_symbol] = ACTIONS(799),
    [anon_sym_object] = ACTIONS(799),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [101] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4562),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [102] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(128),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [103] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [104] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4589),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [105] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(855),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(857),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [106] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4503),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [107] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [108] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4604),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [109] = {
    [sym_import] = STATE(3552),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4484),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(113),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(126),
    [anon_sym_typeof] = ACTIONS(130),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(145),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(163),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(203),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(811),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(209),
    [anon_sym_number] = ACTIONS(209),
    [anon_sym_boolean] = ACTIONS(209),
    [anon_sym_string] = ACTIONS(209),
    [anon_sym_symbol] = ACTIONS(209),
    [anon_sym_object] = ACTIONS(209),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [110] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [111] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [112] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_export] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(869),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(873),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(863),
    [anon_sym_readonly] = ACTIONS(863),
    [anon_sym_get] = ACTIONS(863),
    [anon_sym_set] = ACTIONS(863),
    [anon_sym_declare] = ACTIONS(863),
    [anon_sym_public] = ACTIONS(863),
    [anon_sym_private] = ACTIONS(863),
    [anon_sym_protected] = ACTIONS(863),
    [anon_sym_override] = ACTIONS(863),
    [anon_sym_module] = ACTIONS(863),
    [anon_sym_any] = ACTIONS(863),
    [anon_sym_number] = ACTIONS(863),
    [anon_sym_boolean] = ACTIONS(863),
    [anon_sym_string] = ACTIONS(863),
    [anon_sym_symbol] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(863),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [113] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [114] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [115] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [116] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [117] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [118] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [119] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [120] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [121] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(861),
    [anon_sym_export] = ACTIONS(863),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(863),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(869),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(873),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(863),
    [anon_sym_readonly] = ACTIONS(863),
    [anon_sym_get] = ACTIONS(863),
    [anon_sym_set] = ACTIONS(863),
    [anon_sym_declare] = ACTIONS(863),
    [anon_sym_public] = ACTIONS(863),
    [anon_sym_private] = ACTIONS(863),
    [anon_sym_protected] = ACTIONS(863),
    [anon_sym_override] = ACTIONS(863),
    [anon_sym_module] = ACTIONS(863),
    [anon_sym_any] = ACTIONS(863),
    [anon_sym_number] = ACTIONS(863),
    [anon_sym_boolean] = ACTIONS(863),
    [anon_sym_string] = ACTIONS(863),
    [anon_sym_symbol] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(863),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [122] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(692),
    [anon_sym_export] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(698),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(713),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(694),
    [anon_sym_readonly] = ACTIONS(694),
    [anon_sym_get] = ACTIONS(694),
    [anon_sym_set] = ACTIONS(694),
    [anon_sym_declare] = ACTIONS(694),
    [anon_sym_public] = ACTIONS(694),
    [anon_sym_private] = ACTIONS(694),
    [anon_sym_protected] = ACTIONS(694),
    [anon_sym_override] = ACTIONS(694),
    [anon_sym_module] = ACTIONS(694),
    [anon_sym_any] = ACTIONS(694),
    [anon_sym_number] = ACTIONS(694),
    [anon_sym_boolean] = ACTIONS(694),
    [anon_sym_string] = ACTIONS(694),
    [anon_sym_symbol] = ACTIONS(694),
    [anon_sym_object] = ACTIONS(694),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [123] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_RBRACE] = ACTIONS(885),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(885),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [124] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(890),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(899),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(903),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_declare] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_override] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_any] = ACTIONS(890),
    [anon_sym_number] = ACTIONS(890),
    [anon_sym_boolean] = ACTIONS(890),
    [anon_sym_string] = ACTIONS(890),
    [anon_sym_symbol] = ACTIONS(890),
    [anon_sym_object] = ACTIONS(890),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [125] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(885),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [126] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(905),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [127] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [128] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(914),
    [anon_sym_EQ] = ACTIONS(916),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(914),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(914),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [129] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(912),
    [anon_sym_export] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(914),
    [anon_sym_EQ] = ACTIONS(916),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(918),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(920),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_readonly] = ACTIONS(914),
    [anon_sym_get] = ACTIONS(914),
    [anon_sym_set] = ACTIONS(914),
    [anon_sym_declare] = ACTIONS(914),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_override] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(914),
    [anon_sym_any] = ACTIONS(914),
    [anon_sym_number] = ACTIONS(914),
    [anon_sym_boolean] = ACTIONS(914),
    [anon_sym_string] = ACTIONS(914),
    [anon_sym_symbol] = ACTIONS(914),
    [anon_sym_object] = ACTIONS(914),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [130] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(890),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(930),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(899),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(903),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_declare] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_override] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_any] = ACTIONS(890),
    [anon_sym_number] = ACTIONS(890),
    [anon_sym_boolean] = ACTIONS(890),
    [anon_sym_string] = ACTIONS(890),
    [anon_sym_symbol] = ACTIONS(890),
    [anon_sym_object] = ACTIONS(890),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [131] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(890),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(899),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(903),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_declare] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_override] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_any] = ACTIONS(890),
    [anon_sym_number] = ACTIONS(890),
    [anon_sym_boolean] = ACTIONS(890),
    [anon_sym_string] = ACTIONS(890),
    [anon_sym_symbol] = ACTIONS(890),
    [anon_sym_object] = ACTIONS(890),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [132] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4395),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5565),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [133] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(934),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(934),
    [anon_sym_EQ] = ACTIONS(936),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(938),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(934),
    [anon_sym_readonly] = ACTIONS(934),
    [anon_sym_get] = ACTIONS(934),
    [anon_sym_set] = ACTIONS(934),
    [anon_sym_declare] = ACTIONS(934),
    [anon_sym_public] = ACTIONS(934),
    [anon_sym_private] = ACTIONS(934),
    [anon_sym_protected] = ACTIONS(934),
    [anon_sym_override] = ACTIONS(934),
    [anon_sym_module] = ACTIONS(934),
    [anon_sym_any] = ACTIONS(934),
    [anon_sym_number] = ACTIONS(934),
    [anon_sym_boolean] = ACTIONS(934),
    [anon_sym_string] = ACTIONS(934),
    [anon_sym_symbol] = ACTIONS(934),
    [anon_sym_object] = ACTIONS(934),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [134] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(944),
    [anon_sym_export] = ACTIONS(946),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(946),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(946),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(952),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(956),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_readonly] = ACTIONS(946),
    [anon_sym_get] = ACTIONS(946),
    [anon_sym_set] = ACTIONS(946),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_override] = ACTIONS(946),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(946),
    [anon_sym_number] = ACTIONS(946),
    [anon_sym_boolean] = ACTIONS(946),
    [anon_sym_string] = ACTIONS(946),
    [anon_sym_symbol] = ACTIONS(946),
    [anon_sym_object] = ACTIONS(946),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [135] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [136] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4048),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5474),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(839),
    [anon_sym_export] = ACTIONS(841),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(841),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(843),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(849),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(851),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_readonly] = ACTIONS(841),
    [anon_sym_get] = ACTIONS(841),
    [anon_sym_set] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_override] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_any] = ACTIONS(841),
    [anon_sym_number] = ACTIONS(841),
    [anon_sym_boolean] = ACTIONS(841),
    [anon_sym_string] = ACTIONS(841),
    [anon_sym_symbol] = ACTIONS(841),
    [anon_sym_object] = ACTIONS(841),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [137] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [138] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(890),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(226),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(899),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(903),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_declare] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_override] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_any] = ACTIONS(890),
    [anon_sym_number] = ACTIONS(890),
    [anon_sym_boolean] = ACTIONS(890),
    [anon_sym_string] = ACTIONS(890),
    [anon_sym_symbol] = ACTIONS(890),
    [anon_sym_object] = ACTIONS(890),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [139] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(932),
    [anon_sym_export] = ACTIONS(934),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(934),
    [anon_sym_EQ] = ACTIONS(936),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(938),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(934),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(940),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(942),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(934),
    [anon_sym_readonly] = ACTIONS(934),
    [anon_sym_get] = ACTIONS(934),
    [anon_sym_set] = ACTIONS(934),
    [anon_sym_declare] = ACTIONS(934),
    [anon_sym_public] = ACTIONS(934),
    [anon_sym_private] = ACTIONS(934),
    [anon_sym_protected] = ACTIONS(934),
    [anon_sym_override] = ACTIONS(934),
    [anon_sym_module] = ACTIONS(934),
    [anon_sym_any] = ACTIONS(934),
    [anon_sym_number] = ACTIONS(934),
    [anon_sym_boolean] = ACTIONS(934),
    [anon_sym_string] = ACTIONS(934),
    [anon_sym_symbol] = ACTIONS(934),
    [anon_sym_object] = ACTIONS(934),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [140] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1317),
    [sym_expression] = STATE(2592),
    [sym_primary_expression] = STATE(1628),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(2605),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1317),
    [sym_subscript_expression] = STATE(1317),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1317),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(944),
    [anon_sym_export] = ACTIONS(946),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(946),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(950),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(946),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(709),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(952),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(956),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(723),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_readonly] = ACTIONS(946),
    [anon_sym_get] = ACTIONS(946),
    [anon_sym_set] = ACTIONS(946),
    [anon_sym_declare] = ACTIONS(946),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_override] = ACTIONS(946),
    [anon_sym_module] = ACTIONS(946),
    [anon_sym_any] = ACTIONS(946),
    [anon_sym_number] = ACTIONS(946),
    [anon_sym_boolean] = ACTIONS(946),
    [anon_sym_string] = ACTIONS(946),
    [anon_sym_symbol] = ACTIONS(946),
    [anon_sym_object] = ACTIONS(946),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [141] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(962),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(964),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(968),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(970),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(960),
    [anon_sym_readonly] = ACTIONS(960),
    [anon_sym_get] = ACTIONS(960),
    [anon_sym_set] = ACTIONS(960),
    [anon_sym_declare] = ACTIONS(960),
    [anon_sym_public] = ACTIONS(960),
    [anon_sym_private] = ACTIONS(960),
    [anon_sym_protected] = ACTIONS(960),
    [anon_sym_override] = ACTIONS(960),
    [anon_sym_module] = ACTIONS(960),
    [anon_sym_any] = ACTIONS(960),
    [anon_sym_number] = ACTIONS(960),
    [anon_sym_boolean] = ACTIONS(960),
    [anon_sym_string] = ACTIONS(960),
    [anon_sym_symbol] = ACTIONS(960),
    [anon_sym_object] = ACTIONS(960),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [142] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [143] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(968),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [144] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(890),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(899),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(903),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_declare] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_override] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_any] = ACTIONS(890),
    [anon_sym_number] = ACTIONS(890),
    [anon_sym_boolean] = ACTIONS(890),
    [anon_sym_string] = ACTIONS(890),
    [anon_sym_symbol] = ACTIONS(890),
    [anon_sym_object] = ACTIONS(890),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [145] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(905),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [146] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(888),
    [anon_sym_export] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(890),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(161),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(899),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(903),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(890),
    [anon_sym_readonly] = ACTIONS(890),
    [anon_sym_get] = ACTIONS(890),
    [anon_sym_set] = ACTIONS(890),
    [anon_sym_declare] = ACTIONS(890),
    [anon_sym_public] = ACTIONS(890),
    [anon_sym_private] = ACTIONS(890),
    [anon_sym_protected] = ACTIONS(890),
    [anon_sym_override] = ACTIONS(890),
    [anon_sym_module] = ACTIONS(890),
    [anon_sym_any] = ACTIONS(890),
    [anon_sym_number] = ACTIONS(890),
    [anon_sym_boolean] = ACTIONS(890),
    [anon_sym_string] = ACTIONS(890),
    [anon_sym_symbol] = ACTIONS(890),
    [anon_sym_object] = ACTIONS(890),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [147] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(958),
    [anon_sym_export] = ACTIONS(960),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(960),
    [anon_sym_EQ] = ACTIONS(962),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(964),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(968),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(970),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(960),
    [anon_sym_readonly] = ACTIONS(960),
    [anon_sym_get] = ACTIONS(960),
    [anon_sym_set] = ACTIONS(960),
    [anon_sym_declare] = ACTIONS(960),
    [anon_sym_public] = ACTIONS(960),
    [anon_sym_private] = ACTIONS(960),
    [anon_sym_protected] = ACTIONS(960),
    [anon_sym_override] = ACTIONS(960),
    [anon_sym_module] = ACTIONS(960),
    [anon_sym_any] = ACTIONS(960),
    [anon_sym_number] = ACTIONS(960),
    [anon_sym_boolean] = ACTIONS(960),
    [anon_sym_string] = ACTIONS(960),
    [anon_sym_symbol] = ACTIONS(960),
    [anon_sym_object] = ACTIONS(960),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [148] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [149] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [150] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(976),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [151] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(978),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [152] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [153] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4106),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5378),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [154] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(980),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [155] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [156] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(984),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [157] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(986),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [158] = {
    [sym_import] = STATE(3751),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2432),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5503),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5618),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1958),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4032),
    [sym_pattern] = STATE(4827),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3284),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5393),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(988),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_typeof] = ACTIONS(994),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(998),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1000),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1002),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(1008),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(1010),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1012),
    [sym_number] = ACTIONS(1014),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1016),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1018),
    [sym_false] = ACTIONS(1018),
    [sym_null] = ACTIONS(1018),
    [sym_undefined] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(1022),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(1026),
    [anon_sym_number] = ACTIONS(1026),
    [anon_sym_boolean] = ACTIONS(1026),
    [anon_sym_string] = ACTIONS(1026),
    [anon_sym_symbol] = ACTIONS(1026),
    [anon_sym_object] = ACTIONS(1026),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [159] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [160] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1460),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_EQ] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(829),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [161] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2220),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5706),
    [sym_string] = STATE(2088),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5048),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(4507),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1044),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_typeof] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1052),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1056),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(779),
    [sym_number] = ACTIONS(781),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1058),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_null] = ACTIONS(785),
    [sym_undefined] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1062),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1064),
    [anon_sym_number] = ACTIONS(1064),
    [anon_sym_boolean] = ACTIONS(1064),
    [anon_sym_string] = ACTIONS(1064),
    [anon_sym_symbol] = ACTIONS(1064),
    [anon_sym_object] = ACTIONS(1064),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [162] = {
    [sym_import] = STATE(3579),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1773),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(1982),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3812),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1066),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_typeof] = ACTIONS(1074),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1082),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(1086),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [sym_number] = ACTIONS(1090),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(1092),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1094),
    [sym_false] = ACTIONS(1094),
    [sym_null] = ACTIONS(1094),
    [sym_undefined] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1098),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1100),
    [anon_sym_number] = ACTIONS(1100),
    [anon_sym_boolean] = ACTIONS(1100),
    [anon_sym_string] = ACTIONS(1100),
    [anon_sym_symbol] = ACTIONS(1100),
    [anon_sym_object] = ACTIONS(1100),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [163] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1700),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1720),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1102),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1106),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1056),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [sym_number] = ACTIONS(1114),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1116),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1118),
    [sym_false] = ACTIONS(1118),
    [sym_null] = ACTIONS(1118),
    [sym_undefined] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1062),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1122),
    [anon_sym_number] = ACTIONS(1122),
    [anon_sym_boolean] = ACTIONS(1122),
    [anon_sym_string] = ACTIONS(1122),
    [anon_sym_symbol] = ACTIONS(1122),
    [anon_sym_object] = ACTIONS(1122),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [164] = {
    [sym_import] = STATE(3567),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2254),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1931),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1124),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_typeof] = ACTIONS(1132),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1144),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1150),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_number] = ACTIONS(1158),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(1162),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [sym_null] = ACTIONS(1164),
    [sym_undefined] = ACTIONS(1166),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1168),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1170),
    [anon_sym_number] = ACTIONS(1170),
    [anon_sym_boolean] = ACTIONS(1170),
    [anon_sym_string] = ACTIONS(1170),
    [anon_sym_symbol] = ACTIONS(1170),
    [anon_sym_object] = ACTIONS(1170),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [165] = {
    [sym_import] = STATE(3714),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2478),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1931),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1172),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_typeof] = ACTIONS(1178),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1188),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1194),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_number] = ACTIONS(1158),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(1162),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [sym_null] = ACTIONS(1164),
    [sym_undefined] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1204),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1206),
    [anon_sym_number] = ACTIONS(1206),
    [anon_sym_boolean] = ACTIONS(1206),
    [anon_sym_string] = ACTIONS(1206),
    [anon_sym_symbol] = ACTIONS(1206),
    [anon_sym_object] = ACTIONS(1206),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [166] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2018),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(4305),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(4305),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(4305),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2237),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1332),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4306),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(1214),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(628),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1216),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(644),
    [anon_sym_DASH] = ACTIONS(644),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(648),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(191),
    [sym_number] = ACTIONS(193),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(656),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(201),
    [sym_false] = ACTIONS(201),
    [sym_null] = ACTIONS(201),
    [sym_undefined] = ACTIONS(1220),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1222),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1224),
    [anon_sym_number] = ACTIONS(1224),
    [anon_sym_boolean] = ACTIONS(1224),
    [anon_sym_string] = ACTIONS(1224),
    [anon_sym_symbol] = ACTIONS(1224),
    [anon_sym_object] = ACTIONS(1224),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [167] = {
    [sym_import] = STATE(3567),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3654),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3654),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1387),
    [sym_subscript_expression] = STATE(1387),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3654),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(2502),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1387),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4306),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1226),
    [anon_sym_export] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1228),
    [anon_sym_namespace] = ACTIONS(1230),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_typeof] = ACTIONS(1234),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1228),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1238),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [sym_number] = ACTIONS(1246),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1248),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1250),
    [sym_false] = ACTIONS(1250),
    [sym_null] = ACTIONS(1250),
    [sym_undefined] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_readonly] = ACTIONS(1254),
    [anon_sym_get] = ACTIONS(1228),
    [anon_sym_set] = ACTIONS(1228),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1228),
    [anon_sym_public] = ACTIONS(1228),
    [anon_sym_private] = ACTIONS(1228),
    [anon_sym_protected] = ACTIONS(1228),
    [anon_sym_override] = ACTIONS(1228),
    [anon_sym_module] = ACTIONS(1228),
    [anon_sym_any] = ACTIONS(1256),
    [anon_sym_number] = ACTIONS(1256),
    [anon_sym_boolean] = ACTIONS(1256),
    [anon_sym_string] = ACTIONS(1256),
    [anon_sym_symbol] = ACTIONS(1256),
    [anon_sym_object] = ACTIONS(1256),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [168] = {
    [sym_import] = STATE(3579),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(1982),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3812),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1258),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_typeof] = ACTIONS(1264),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1078),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1274),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1278),
    [anon_sym_DASH] = ACTIONS(1278),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1280),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1088),
    [sym_number] = ACTIONS(1090),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(1092),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1094),
    [sym_false] = ACTIONS(1094),
    [sym_null] = ACTIONS(1094),
    [sym_undefined] = ACTIONS(1288),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1290),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1292),
    [anon_sym_number] = ACTIONS(1292),
    [anon_sym_boolean] = ACTIONS(1292),
    [anon_sym_string] = ACTIONS(1292),
    [anon_sym_symbol] = ACTIONS(1292),
    [anon_sym_object] = ACTIONS(1292),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [169] = {
    [sym_import] = STATE(3603),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2036),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1720),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1294),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1104),
    [anon_sym_typeof] = ACTIONS(1300),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1310),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1314),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1316),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [sym_number] = ACTIONS(1114),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(1116),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1118),
    [sym_false] = ACTIONS(1118),
    [sym_null] = ACTIONS(1118),
    [sym_undefined] = ACTIONS(1324),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1326),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1328),
    [anon_sym_number] = ACTIONS(1328),
    [anon_sym_boolean] = ACTIONS(1328),
    [anon_sym_string] = ACTIONS(1328),
    [anon_sym_symbol] = ACTIONS(1328),
    [anon_sym_object] = ACTIONS(1328),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [170] = {
    [sym_import] = STATE(3567),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2439),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1931),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1330),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_typeof] = ACTIONS(1338),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1348),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1354),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_number] = ACTIONS(1158),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(1162),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [sym_null] = ACTIONS(1164),
    [sym_undefined] = ACTIONS(1362),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1364),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1366),
    [anon_sym_number] = ACTIONS(1366),
    [anon_sym_boolean] = ACTIONS(1366),
    [anon_sym_string] = ACTIONS(1366),
    [anon_sym_symbol] = ACTIONS(1366),
    [anon_sym_object] = ACTIONS(1366),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [171] = {
    [sym_import] = STATE(3648),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2144),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2413),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3812),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1368),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_typeof] = ACTIONS(1376),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1388),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1394),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1400),
    [sym_number] = ACTIONS(1402),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(1406),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(1408),
    [sym_false] = ACTIONS(1408),
    [sym_null] = ACTIONS(1408),
    [sym_undefined] = ACTIONS(1410),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1412),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1414),
    [anon_sym_number] = ACTIONS(1414),
    [anon_sym_boolean] = ACTIONS(1414),
    [anon_sym_string] = ACTIONS(1414),
    [anon_sym_symbol] = ACTIONS(1414),
    [anon_sym_object] = ACTIONS(1414),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [172] = {
    [sym_import] = STATE(3567),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2511),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_nested_identifier] = STATE(5937),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1931),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(4033),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5407),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1416),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_typeof] = ACTIONS(1418),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(139),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1420),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(184),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1156),
    [sym_number] = ACTIONS(1158),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1162),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [sym_null] = ACTIONS(1164),
    [sym_undefined] = ACTIONS(1424),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(1426),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(1428),
    [anon_sym_number] = ACTIONS(1428),
    [anon_sym_boolean] = ACTIONS(1428),
    [anon_sym_string] = ACTIONS(1428),
    [anon_sym_symbol] = ACTIONS(1428),
    [anon_sym_object] = ACTIONS(1428),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [173] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1693),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_RPAREN] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1436),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [174] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1763),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__automatic_semicolon] = ACTIONS(1436),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [175] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1855),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1282),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__automatic_semicolon] = ACTIONS(1436),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [176] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2209),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(1436),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__automatic_semicolon] = ACTIONS(1436),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [177] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2058),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1436),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1318),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [anon_sym_satisfies] = ACTIONS(1434),
    [anon_sym_implements] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [178] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2281),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_COLON] = ACTIONS(1436),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [179] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2467),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_of] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [180] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2383),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1436),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [181] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2547),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(1496),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_as] = ACTIONS(1434),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(186),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_in] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1434),
    [anon_sym_DOT] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_QMARK_DOT] = ACTIONS(1436),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_PIPE_PIPE] = ACTIONS(1436),
    [anon_sym_GT_GT] = ACTIONS(1434),
    [anon_sym_GT_GT_GT] = ACTIONS(1436),
    [anon_sym_LT_LT] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_CARET] = ACTIONS(1436),
    [anon_sym_PIPE] = ACTIONS(1434),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_PERCENT] = ACTIONS(1436),
    [anon_sym_STAR_STAR] = ACTIONS(1436),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_LT_EQ] = ACTIONS(1436),
    [anon_sym_EQ_EQ] = ACTIONS(1434),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1436),
    [anon_sym_BANG_EQ] = ACTIONS(1434),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1436),
    [anon_sym_GT_EQ] = ACTIONS(1436),
    [anon_sym_QMARK_QMARK] = ACTIONS(1436),
    [anon_sym_instanceof] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_satisfies] = ACTIONS(1434),
    [sym__ternary_qmark] = ACTIONS(1436),
    [sym_html_comment] = ACTIONS(5),
  },
  [182] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [183] = {
    [sym_declaration] = STATE(795),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4217),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [184] = {
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4217),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [185] = {
    [sym_declaration] = STATE(795),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4217),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1542),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1544),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [186] = {
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(2377),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4217),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(1536),
    [anon_sym_function] = ACTIONS(570),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1542),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1544),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [187] = {
    [sym_declaration] = STATE(832),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2416),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4078),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1548),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [188] = {
    [sym_declaration] = STATE(4060),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(4422),
    [sym_lexical_declaration] = STATE(4422),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2379),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(4422),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(4422),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(4422),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(4422),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(4422),
    [sym_abstract_class_declaration] = STATE(4422),
    [sym_module] = STATE(4422),
    [sym_internal_module] = STATE(2411),
    [sym_import_alias] = STATE(4422),
    [sym_interface_declaration] = STATE(4422),
    [sym_enum_declaration] = STATE(4422),
    [sym_type_alias_declaration] = STATE(4422),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4311),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1550),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1552),
    [anon_sym_var] = ACTIONS(1554),
    [anon_sym_let] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1560),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(1564),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1566),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1568),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(1570),
    [anon_sym_interface] = ACTIONS(1572),
    [anon_sym_enum] = ACTIONS(1574),
    [sym_html_comment] = ACTIONS(5),
  },
  [189] = {
    [sym_declaration] = STATE(4456),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(4422),
    [sym_lexical_declaration] = STATE(4422),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2463),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(4422),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(4422),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(4422),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(4422),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(4422),
    [sym_abstract_class_declaration] = STATE(4422),
    [sym_module] = STATE(4422),
    [sym_internal_module] = STATE(2411),
    [sym_import_alias] = STATE(4422),
    [sym_interface_declaration] = STATE(4422),
    [sym_enum_declaration] = STATE(4422),
    [sym_type_alias_declaration] = STATE(4422),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4311),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1550),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1552),
    [anon_sym_var] = ACTIONS(1554),
    [anon_sym_let] = ACTIONS(1556),
    [anon_sym_const] = ACTIONS(1558),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(1560),
    [anon_sym_async] = ACTIONS(1562),
    [anon_sym_function] = ACTIONS(1564),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1566),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1568),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(1570),
    [anon_sym_interface] = ACTIONS(1572),
    [anon_sym_enum] = ACTIONS(1574),
    [sym_html_comment] = ACTIONS(5),
  },
  [190] = {
    [sym_declaration] = STATE(795),
    [sym_import] = STATE(3760),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2387),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_class_declaration] = STATE(789),
    [sym_function_expression] = STATE(2080),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function] = STATE(2080),
    [sym_generator_function_declaration] = STATE(789),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_function_signature] = STATE(789),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(257),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4078),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1530),
    [anon_sym_namespace] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(1532),
    [anon_sym_var] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(1534),
    [anon_sym_const] = ACTIONS(31),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(73),
    [anon_sym_async] = ACTIONS(1548),
    [anon_sym_function] = ACTIONS(77),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1538),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1540),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_abstract] = ACTIONS(107),
    [anon_sym_interface] = ACTIONS(109),
    [anon_sym_enum] = ACTIONS(111),
    [sym_html_comment] = ACTIONS(5),
  },
  [191] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [192] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [193] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [194] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [195] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3206),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(1578),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1594),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1596),
    [anon_sym_PLUS] = ACTIONS(1598),
    [anon_sym_DASH] = ACTIONS(1598),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1610),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [196] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [197] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3667),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(1614),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(1616),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(1620),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [198] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(916),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [199] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(936),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [200] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [201] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [202] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(962),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(968),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [203] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(117),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(171),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(1516),
    [anon_sym_DASH] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1518),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_void] = ACTIONS(219),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(207),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [204] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1759),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5607),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1626),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(795),
    [anon_sym_private] = ACTIONS(795),
    [anon_sym_protected] = ACTIONS(795),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [205] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1820),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5747),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1626),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(1630),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(795),
    [anon_sym_private] = ACTIONS(795),
    [anon_sym_protected] = ACTIONS(795),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [206] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1632),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [207] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4652),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4652),
    [sym_optional_parameter] = STATE(4652),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [208] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5119),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5119),
    [sym_optional_parameter] = STATE(5119),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1640),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [209] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1642),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [210] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1644),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [211] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1646),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [212] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1648),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [213] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(4879),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(4879),
    [sym_optional_parameter] = STATE(4879),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1650),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [214] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1652),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [215] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1656),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [216] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2317),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5179),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(5196),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1658),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [217] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1660),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [218] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2216),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5179),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(5196),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1658),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [219] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1662),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [220] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1664),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [221] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2129),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(4897),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4906),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1666),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [222] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1668),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_RBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_QMARK] = ACTIONS(1668),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [223] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym__formal_parameter] = STATE(5550),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4314),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(294),
    [sym_override_modifier] = STATE(306),
    [sym_required_parameter] = STATE(5550),
    [sym_optional_parameter] = STATE(5550),
    [sym__parameter_name] = STATE(3554),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(266),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1636),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1638),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [224] = {
    [sym_statement_block] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_as] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_in] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_glimmer_opening_tag] = ACTIONS(1672),
    [anon_sym_GT] = ACTIONS(1674),
    [anon_sym_DOT] = ACTIONS(1678),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_QMARK_DOT] = ACTIONS(1672),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_using] = ACTIONS(1674),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1674),
    [anon_sym_GT_GT_GT] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PERCENT] = ACTIONS(1672),
    [anon_sym_STAR_STAR] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_QMARK_QMARK] = ACTIONS(1672),
    [anon_sym_instanceof] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [sym_number] = ACTIONS(1672),
    [sym_private_property_identifier] = ACTIONS(1672),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_satisfies] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [sym__automatic_semicolon] = ACTIONS(1672),
    [sym__ternary_qmark] = ACTIONS(1672),
    [sym_html_comment] = ACTIONS(5),
  },
  [225] = {
    [sym_statement_block] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_as] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_in] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_glimmer_opening_tag] = ACTIONS(1672),
    [anon_sym_GT] = ACTIONS(1674),
    [anon_sym_DOT] = ACTIONS(1674),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_QMARK_DOT] = ACTIONS(1672),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_using] = ACTIONS(1674),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1674),
    [anon_sym_GT_GT_GT] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PERCENT] = ACTIONS(1672),
    [anon_sym_STAR_STAR] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_QMARK_QMARK] = ACTIONS(1672),
    [anon_sym_instanceof] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [sym_number] = ACTIONS(1672),
    [sym_private_property_identifier] = ACTIONS(1672),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_satisfies] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [sym__automatic_semicolon] = ACTIONS(1672),
    [sym__ternary_qmark] = ACTIONS(1672),
    [sym_html_comment] = ACTIONS(5),
  },
  [226] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_RBRACE] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(1668),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1670),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [anon_sym_extends] = ACTIONS(1670),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1668),
    [sym__automatic_semicolon] = ACTIONS(1668),
    [sym_html_comment] = ACTIONS(5),
  },
  [227] = {
    [sym_statement_block] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_as] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1676),
    [anon_sym_COMMA] = ACTIONS(1672),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_in] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_glimmer_opening_tag] = ACTIONS(1672),
    [anon_sym_GT] = ACTIONS(1674),
    [anon_sym_DOT] = ACTIONS(1680),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_QMARK_DOT] = ACTIONS(1672),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_using] = ACTIONS(1674),
    [anon_sym_AMP_AMP] = ACTIONS(1672),
    [anon_sym_PIPE_PIPE] = ACTIONS(1672),
    [anon_sym_GT_GT] = ACTIONS(1674),
    [anon_sym_GT_GT_GT] = ACTIONS(1672),
    [anon_sym_LT_LT] = ACTIONS(1672),
    [anon_sym_AMP] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_PERCENT] = ACTIONS(1672),
    [anon_sym_STAR_STAR] = ACTIONS(1672),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_LT_EQ] = ACTIONS(1672),
    [anon_sym_EQ_EQ] = ACTIONS(1674),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1672),
    [anon_sym_BANG_EQ] = ACTIONS(1674),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1672),
    [anon_sym_GT_EQ] = ACTIONS(1672),
    [anon_sym_QMARK_QMARK] = ACTIONS(1672),
    [anon_sym_instanceof] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [sym_number] = ACTIONS(1672),
    [sym_private_property_identifier] = ACTIONS(1672),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_satisfies] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [sym__automatic_semicolon] = ACTIONS(1672),
    [sym__ternary_qmark] = ACTIONS(1672),
    [sym_html_comment] = ACTIONS(5),
  },
  [228] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2505),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5203),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5203),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5203),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1369),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_mapped_type_clause] = STATE(5612),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_export] = ACTIONS(1684),
    [anon_sym_type] = ACTIONS(1684),
    [anon_sym_namespace] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1684),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1696),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1698),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1684),
    [anon_sym_readonly] = ACTIONS(1684),
    [anon_sym_get] = ACTIONS(1684),
    [anon_sym_set] = ACTIONS(1684),
    [anon_sym_declare] = ACTIONS(1684),
    [anon_sym_public] = ACTIONS(1684),
    [anon_sym_private] = ACTIONS(1684),
    [anon_sym_protected] = ACTIONS(1684),
    [anon_sym_override] = ACTIONS(1684),
    [anon_sym_module] = ACTIONS(1684),
    [anon_sym_any] = ACTIONS(1684),
    [anon_sym_number] = ACTIONS(1684),
    [anon_sym_boolean] = ACTIONS(1684),
    [anon_sym_string] = ACTIONS(1684),
    [anon_sym_symbol] = ACTIONS(1684),
    [anon_sym_object] = ACTIONS(1684),
    [sym_html_comment] = ACTIONS(5),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_EQ] = ACTIONS(1708),
    [anon_sym_as] = ACTIONS(1706),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_in] = ACTIONS(1706),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [sym_glimmer_opening_tag] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1706),
    [anon_sym_DOT] = ACTIONS(1706),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_QMARK_DOT] = ACTIONS(1710),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_using] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1710),
    [anon_sym_PIPE_PIPE] = ACTIONS(1710),
    [anon_sym_GT_GT] = ACTIONS(1706),
    [anon_sym_GT_GT_GT] = ACTIONS(1710),
    [anon_sym_LT_LT] = ACTIONS(1710),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_CARET] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_PERCENT] = ACTIONS(1710),
    [anon_sym_STAR_STAR] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1710),
    [anon_sym_EQ_EQ] = ACTIONS(1706),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1710),
    [anon_sym_BANG_EQ] = ACTIONS(1706),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1710),
    [anon_sym_GT_EQ] = ACTIONS(1710),
    [anon_sym_QMARK_QMARK] = ACTIONS(1710),
    [anon_sym_instanceof] = ACTIONS(1706),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [sym_number] = ACTIONS(1702),
    [sym_private_property_identifier] = ACTIONS(1702),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_satisfies] = ACTIONS(1706),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [sym__automatic_semicolon] = ACTIONS(1712),
    [sym__ternary_qmark] = ACTIONS(1710),
    [sym_html_comment] = ACTIONS(5),
  },
  [230] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2173),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5450),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5148),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(5149),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1714),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1717),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [231] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5203),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5203),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1369),
    [sym_subscript_expression] = STATE(1369),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5203),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1369),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(1721),
    [anon_sym_export] = ACTIONS(1723),
    [anon_sym_type] = ACTIONS(1723),
    [anon_sym_namespace] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1688),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1723),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1729),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1700),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1723),
    [anon_sym_readonly] = ACTIONS(1723),
    [anon_sym_get] = ACTIONS(1723),
    [anon_sym_set] = ACTIONS(1723),
    [anon_sym_declare] = ACTIONS(1723),
    [anon_sym_public] = ACTIONS(1723),
    [anon_sym_private] = ACTIONS(1723),
    [anon_sym_protected] = ACTIONS(1723),
    [anon_sym_override] = ACTIONS(1723),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_any] = ACTIONS(1723),
    [anon_sym_number] = ACTIONS(1723),
    [anon_sym_boolean] = ACTIONS(1723),
    [anon_sym_string] = ACTIONS(1723),
    [anon_sym_symbol] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1723),
    [sym_html_comment] = ACTIONS(5),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [sym_identifier] = ACTIONS(1733),
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_STAR] = ACTIONS(1733),
    [anon_sym_default] = ACTIONS(1733),
    [anon_sym_type] = ACTIONS(1733),
    [anon_sym_as] = ACTIONS(1733),
    [anon_sym_namespace] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_in] = ACTIONS(1733),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_case] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [sym_glimmer_opening_tag] = ACTIONS(1731),
    [anon_sym_GT] = ACTIONS(1733),
    [anon_sym_DOT] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1731),
    [anon_sym_SQUOTE] = ACTIONS(1731),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_QMARK_DOT] = ACTIONS(1731),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_using] = ACTIONS(1733),
    [anon_sym_AMP_AMP] = ACTIONS(1731),
    [anon_sym_PIPE_PIPE] = ACTIONS(1731),
    [anon_sym_GT_GT] = ACTIONS(1733),
    [anon_sym_GT_GT_GT] = ACTIONS(1731),
    [anon_sym_LT_LT] = ACTIONS(1731),
    [anon_sym_AMP] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1731),
    [anon_sym_PIPE] = ACTIONS(1733),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1733),
    [anon_sym_PERCENT] = ACTIONS(1731),
    [anon_sym_STAR_STAR] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1733),
    [anon_sym_LT_EQ] = ACTIONS(1731),
    [anon_sym_EQ_EQ] = ACTIONS(1733),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1731),
    [anon_sym_BANG_EQ] = ACTIONS(1733),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1731),
    [anon_sym_GT_EQ] = ACTIONS(1731),
    [anon_sym_QMARK_QMARK] = ACTIONS(1731),
    [anon_sym_instanceof] = ACTIONS(1733),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_number] = ACTIONS(1731),
    [sym_private_property_identifier] = ACTIONS(1731),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_static] = ACTIONS(1733),
    [anon_sym_readonly] = ACTIONS(1733),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
    [anon_sym_declare] = ACTIONS(1733),
    [anon_sym_public] = ACTIONS(1733),
    [anon_sym_private] = ACTIONS(1733),
    [anon_sym_protected] = ACTIONS(1733),
    [anon_sym_override] = ACTIONS(1733),
    [anon_sym_module] = ACTIONS(1733),
    [anon_sym_any] = ACTIONS(1733),
    [anon_sym_number] = ACTIONS(1733),
    [anon_sym_boolean] = ACTIONS(1733),
    [anon_sym_string] = ACTIONS(1733),
    [anon_sym_symbol] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1733),
    [anon_sym_abstract] = ACTIONS(1733),
    [anon_sym_satisfies] = ACTIONS(1733),
    [anon_sym_interface] = ACTIONS(1733),
    [anon_sym_enum] = ACTIONS(1733),
    [sym__automatic_semicolon] = ACTIONS(1731),
    [sym__ternary_qmark] = ACTIONS(1731),
    [sym_html_comment] = ACTIONS(5),
  },
  [233] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2173),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5450),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5148),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(5149),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1714),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1714),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(1735),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_export] = ACTIONS(1737),
    [anon_sym_STAR] = ACTIONS(1737),
    [anon_sym_default] = ACTIONS(1737),
    [anon_sym_type] = ACTIONS(1737),
    [anon_sym_as] = ACTIONS(1737),
    [anon_sym_namespace] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_typeof] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1737),
    [anon_sym_with] = ACTIONS(1737),
    [anon_sym_var] = ACTIONS(1737),
    [anon_sym_let] = ACTIONS(1737),
    [anon_sym_const] = ACTIONS(1737),
    [anon_sym_BANG] = ACTIONS(1737),
    [anon_sym_else] = ACTIONS(1737),
    [anon_sym_if] = ACTIONS(1737),
    [anon_sym_switch] = ACTIONS(1737),
    [anon_sym_for] = ACTIONS(1737),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_await] = ACTIONS(1737),
    [anon_sym_in] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1737),
    [anon_sym_do] = ACTIONS(1737),
    [anon_sym_try] = ACTIONS(1737),
    [anon_sym_break] = ACTIONS(1737),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_debugger] = ACTIONS(1737),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_throw] = ACTIONS(1737),
    [anon_sym_case] = ACTIONS(1737),
    [anon_sym_yield] = ACTIONS(1737),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [sym_glimmer_opening_tag] = ACTIONS(1735),
    [anon_sym_GT] = ACTIONS(1737),
    [anon_sym_DOT] = ACTIONS(1737),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [anon_sym_SQUOTE] = ACTIONS(1735),
    [anon_sym_class] = ACTIONS(1737),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1737),
    [anon_sym_QMARK_DOT] = ACTIONS(1735),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_using] = ACTIONS(1737),
    [anon_sym_AMP_AMP] = ACTIONS(1735),
    [anon_sym_PIPE_PIPE] = ACTIONS(1735),
    [anon_sym_GT_GT] = ACTIONS(1737),
    [anon_sym_GT_GT_GT] = ACTIONS(1735),
    [anon_sym_LT_LT] = ACTIONS(1735),
    [anon_sym_AMP] = ACTIONS(1737),
    [anon_sym_CARET] = ACTIONS(1735),
    [anon_sym_PIPE] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_PERCENT] = ACTIONS(1735),
    [anon_sym_STAR_STAR] = ACTIONS(1735),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_LT_EQ] = ACTIONS(1735),
    [anon_sym_EQ_EQ] = ACTIONS(1737),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1735),
    [anon_sym_BANG_EQ] = ACTIONS(1737),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1735),
    [anon_sym_GT_EQ] = ACTIONS(1735),
    [anon_sym_QMARK_QMARK] = ACTIONS(1735),
    [anon_sym_instanceof] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1735),
    [anon_sym_void] = ACTIONS(1737),
    [anon_sym_delete] = ACTIONS(1737),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1735),
    [sym_number] = ACTIONS(1735),
    [sym_private_property_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1737),
    [sym_super] = ACTIONS(1737),
    [sym_true] = ACTIONS(1737),
    [sym_false] = ACTIONS(1737),
    [sym_null] = ACTIONS(1737),
    [sym_undefined] = ACTIONS(1737),
    [anon_sym_AT] = ACTIONS(1735),
    [anon_sym_static] = ACTIONS(1737),
    [anon_sym_readonly] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1737),
    [anon_sym_set] = ACTIONS(1737),
    [anon_sym_declare] = ACTIONS(1737),
    [anon_sym_public] = ACTIONS(1737),
    [anon_sym_private] = ACTIONS(1737),
    [anon_sym_protected] = ACTIONS(1737),
    [anon_sym_override] = ACTIONS(1737),
    [anon_sym_module] = ACTIONS(1737),
    [anon_sym_any] = ACTIONS(1737),
    [anon_sym_number] = ACTIONS(1737),
    [anon_sym_boolean] = ACTIONS(1737),
    [anon_sym_string] = ACTIONS(1737),
    [anon_sym_symbol] = ACTIONS(1737),
    [anon_sym_object] = ACTIONS(1737),
    [anon_sym_abstract] = ACTIONS(1737),
    [anon_sym_satisfies] = ACTIONS(1737),
    [anon_sym_interface] = ACTIONS(1737),
    [anon_sym_enum] = ACTIONS(1737),
    [sym__automatic_semicolon] = ACTIONS(1735),
    [sym__ternary_qmark] = ACTIONS(1735),
    [sym_html_comment] = ACTIONS(5),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_STAR] = ACTIONS(1741),
    [anon_sym_default] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_as] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(1741),
    [anon_sym_import] = ACTIONS(1741),
    [anon_sym_with] = ACTIONS(1741),
    [anon_sym_var] = ACTIONS(1741),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(1741),
    [anon_sym_BANG] = ACTIONS(1741),
    [anon_sym_else] = ACTIONS(1741),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_switch] = ACTIONS(1741),
    [anon_sym_for] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1741),
    [anon_sym_in] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1741),
    [anon_sym_do] = ACTIONS(1741),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_break] = ACTIONS(1741),
    [anon_sym_continue] = ACTIONS(1741),
    [anon_sym_debugger] = ACTIONS(1741),
    [anon_sym_return] = ACTIONS(1741),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_case] = ACTIONS(1741),
    [anon_sym_yield] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [sym_glimmer_opening_tag] = ACTIONS(1739),
    [anon_sym_GT] = ACTIONS(1741),
    [anon_sym_DOT] = ACTIONS(1741),
    [anon_sym_DQUOTE] = ACTIONS(1739),
    [anon_sym_SQUOTE] = ACTIONS(1739),
    [anon_sym_class] = ACTIONS(1741),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_function] = ACTIONS(1741),
    [anon_sym_QMARK_DOT] = ACTIONS(1739),
    [anon_sym_new] = ACTIONS(1741),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_AMP_AMP] = ACTIONS(1739),
    [anon_sym_PIPE_PIPE] = ACTIONS(1739),
    [anon_sym_GT_GT] = ACTIONS(1741),
    [anon_sym_GT_GT_GT] = ACTIONS(1739),
    [anon_sym_LT_LT] = ACTIONS(1739),
    [anon_sym_AMP] = ACTIONS(1741),
    [anon_sym_CARET] = ACTIONS(1739),
    [anon_sym_PIPE] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_PERCENT] = ACTIONS(1739),
    [anon_sym_STAR_STAR] = ACTIONS(1739),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_LT_EQ] = ACTIONS(1739),
    [anon_sym_EQ_EQ] = ACTIONS(1741),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1739),
    [anon_sym_BANG_EQ] = ACTIONS(1741),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1739),
    [anon_sym_GT_EQ] = ACTIONS(1739),
    [anon_sym_QMARK_QMARK] = ACTIONS(1739),
    [anon_sym_instanceof] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [sym_number] = ACTIONS(1739),
    [sym_private_property_identifier] = ACTIONS(1739),
    [sym_this] = ACTIONS(1741),
    [sym_super] = ACTIONS(1741),
    [sym_true] = ACTIONS(1741),
    [sym_false] = ACTIONS(1741),
    [sym_null] = ACTIONS(1741),
    [sym_undefined] = ACTIONS(1741),
    [anon_sym_AT] = ACTIONS(1739),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
    [anon_sym_object] = ACTIONS(1741),
    [anon_sym_abstract] = ACTIONS(1741),
    [anon_sym_satisfies] = ACTIONS(1741),
    [anon_sym_interface] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1741),
    [sym__automatic_semicolon] = ACTIONS(1739),
    [sym__ternary_qmark] = ACTIONS(1739),
    [sym_html_comment] = ACTIONS(5),
  },
  [236] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2173),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5450),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_spread_element] = STATE(5148),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(5149),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1714),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [sym_identifier] = ACTIONS(1749),
    [anon_sym_export] = ACTIONS(1749),
    [anon_sym_STAR] = ACTIONS(1751),
    [anon_sym_default] = ACTIONS(1749),
    [anon_sym_type] = ACTIONS(1749),
    [anon_sym_as] = ACTIONS(1751),
    [anon_sym_namespace] = ACTIONS(1749),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1753),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_typeof] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1749),
    [anon_sym_with] = ACTIONS(1749),
    [anon_sym_var] = ACTIONS(1749),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(1749),
    [anon_sym_else] = ACTIONS(1749),
    [anon_sym_if] = ACTIONS(1749),
    [anon_sym_switch] = ACTIONS(1749),
    [anon_sym_for] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_await] = ACTIONS(1749),
    [anon_sym_in] = ACTIONS(1751),
    [anon_sym_while] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1749),
    [anon_sym_try] = ACTIONS(1749),
    [anon_sym_break] = ACTIONS(1749),
    [anon_sym_continue] = ACTIONS(1749),
    [anon_sym_debugger] = ACTIONS(1749),
    [anon_sym_return] = ACTIONS(1749),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_case] = ACTIONS(1749),
    [anon_sym_yield] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_glimmer_opening_tag] = ACTIONS(1747),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_DOT] = ACTIONS(1751),
    [anon_sym_DQUOTE] = ACTIONS(1747),
    [anon_sym_SQUOTE] = ACTIONS(1747),
    [anon_sym_class] = ACTIONS(1749),
    [anon_sym_async] = ACTIONS(1749),
    [anon_sym_function] = ACTIONS(1749),
    [anon_sym_QMARK_DOT] = ACTIONS(1753),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_using] = ACTIONS(1749),
    [anon_sym_AMP_AMP] = ACTIONS(1753),
    [anon_sym_PIPE_PIPE] = ACTIONS(1753),
    [anon_sym_GT_GT] = ACTIONS(1751),
    [anon_sym_GT_GT_GT] = ACTIONS(1753),
    [anon_sym_LT_LT] = ACTIONS(1753),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_CARET] = ACTIONS(1753),
    [anon_sym_PIPE] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_PERCENT] = ACTIONS(1753),
    [anon_sym_STAR_STAR] = ACTIONS(1753),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_LT_EQ] = ACTIONS(1753),
    [anon_sym_EQ_EQ] = ACTIONS(1751),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1753),
    [anon_sym_BANG_EQ] = ACTIONS(1751),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1753),
    [anon_sym_GT_EQ] = ACTIONS(1753),
    [anon_sym_QMARK_QMARK] = ACTIONS(1753),
    [anon_sym_instanceof] = ACTIONS(1751),
    [anon_sym_TILDE] = ACTIONS(1747),
    [anon_sym_void] = ACTIONS(1749),
    [anon_sym_delete] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1747),
    [sym_number] = ACTIONS(1747),
    [sym_private_property_identifier] = ACTIONS(1747),
    [sym_this] = ACTIONS(1749),
    [sym_super] = ACTIONS(1749),
    [sym_true] = ACTIONS(1749),
    [sym_false] = ACTIONS(1749),
    [sym_null] = ACTIONS(1749),
    [sym_undefined] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_static] = ACTIONS(1749),
    [anon_sym_readonly] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1749),
    [anon_sym_set] = ACTIONS(1749),
    [anon_sym_declare] = ACTIONS(1749),
    [anon_sym_public] = ACTIONS(1749),
    [anon_sym_private] = ACTIONS(1749),
    [anon_sym_protected] = ACTIONS(1749),
    [anon_sym_override] = ACTIONS(1749),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_any] = ACTIONS(1749),
    [anon_sym_number] = ACTIONS(1749),
    [anon_sym_boolean] = ACTIONS(1749),
    [anon_sym_string] = ACTIONS(1749),
    [anon_sym_symbol] = ACTIONS(1749),
    [anon_sym_object] = ACTIONS(1749),
    [anon_sym_abstract] = ACTIONS(1749),
    [anon_sym_satisfies] = ACTIONS(1751),
    [anon_sym_interface] = ACTIONS(1749),
    [anon_sym_enum] = ACTIONS(1749),
    [sym__automatic_semicolon] = ACTIONS(1755),
    [sym__ternary_qmark] = ACTIONS(1753),
    [sym_html_comment] = ACTIONS(5),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_STAR] = ACTIONS(1761),
    [anon_sym_default] = ACTIONS(1759),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_as] = ACTIONS(1761),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_COMMA] = ACTIONS(1763),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_typeof] = ACTIONS(1759),
    [anon_sym_import] = ACTIONS(1759),
    [anon_sym_with] = ACTIONS(1759),
    [anon_sym_var] = ACTIONS(1759),
    [anon_sym_let] = ACTIONS(1759),
    [anon_sym_const] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(1759),
    [anon_sym_else] = ACTIONS(1759),
    [anon_sym_if] = ACTIONS(1759),
    [anon_sym_switch] = ACTIONS(1759),
    [anon_sym_for] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_await] = ACTIONS(1759),
    [anon_sym_in] = ACTIONS(1761),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1759),
    [anon_sym_try] = ACTIONS(1759),
    [anon_sym_break] = ACTIONS(1759),
    [anon_sym_continue] = ACTIONS(1759),
    [anon_sym_debugger] = ACTIONS(1759),
    [anon_sym_return] = ACTIONS(1759),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1759),
    [anon_sym_yield] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [sym_glimmer_opening_tag] = ACTIONS(1757),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_DQUOTE] = ACTIONS(1757),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_class] = ACTIONS(1759),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1759),
    [anon_sym_QMARK_DOT] = ACTIONS(1763),
    [anon_sym_new] = ACTIONS(1759),
    [anon_sym_using] = ACTIONS(1759),
    [anon_sym_AMP_AMP] = ACTIONS(1763),
    [anon_sym_PIPE_PIPE] = ACTIONS(1763),
    [anon_sym_GT_GT] = ACTIONS(1761),
    [anon_sym_GT_GT_GT] = ACTIONS(1763),
    [anon_sym_LT_LT] = ACTIONS(1763),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_CARET] = ACTIONS(1763),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_PERCENT] = ACTIONS(1763),
    [anon_sym_STAR_STAR] = ACTIONS(1763),
    [anon_sym_LT] = ACTIONS(1759),
    [anon_sym_LT_EQ] = ACTIONS(1763),
    [anon_sym_EQ_EQ] = ACTIONS(1761),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1763),
    [anon_sym_BANG_EQ] = ACTIONS(1761),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1763),
    [anon_sym_GT_EQ] = ACTIONS(1763),
    [anon_sym_QMARK_QMARK] = ACTIONS(1763),
    [anon_sym_instanceof] = ACTIONS(1761),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1759),
    [anon_sym_delete] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1757),
    [sym_number] = ACTIONS(1757),
    [sym_private_property_identifier] = ACTIONS(1757),
    [sym_this] = ACTIONS(1759),
    [sym_super] = ACTIONS(1759),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [sym_null] = ACTIONS(1759),
    [sym_undefined] = ACTIONS(1759),
    [anon_sym_AT] = ACTIONS(1757),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_abstract] = ACTIONS(1759),
    [anon_sym_satisfies] = ACTIONS(1761),
    [anon_sym_interface] = ACTIONS(1759),
    [anon_sym_enum] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(1765),
    [sym__ternary_qmark] = ACTIONS(1763),
    [sym_html_comment] = ACTIONS(5),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_STAR] = ACTIONS(1771),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_as] = ACTIONS(1771),
    [anon_sym_namespace] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(1773),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1769),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_in] = ACTIONS(1771),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_glimmer_opening_tag] = ACTIONS(1767),
    [anon_sym_GT] = ACTIONS(1771),
    [anon_sym_DOT] = ACTIONS(1771),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_QMARK_DOT] = ACTIONS(1773),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_using] = ACTIONS(1769),
    [anon_sym_AMP_AMP] = ACTIONS(1773),
    [anon_sym_PIPE_PIPE] = ACTIONS(1773),
    [anon_sym_GT_GT] = ACTIONS(1771),
    [anon_sym_GT_GT_GT] = ACTIONS(1773),
    [anon_sym_LT_LT] = ACTIONS(1773),
    [anon_sym_AMP] = ACTIONS(1771),
    [anon_sym_CARET] = ACTIONS(1773),
    [anon_sym_PIPE] = ACTIONS(1771),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_PERCENT] = ACTIONS(1773),
    [anon_sym_STAR_STAR] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_LT_EQ] = ACTIONS(1773),
    [anon_sym_EQ_EQ] = ACTIONS(1771),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1773),
    [anon_sym_BANG_EQ] = ACTIONS(1771),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1773),
    [anon_sym_GT_EQ] = ACTIONS(1773),
    [anon_sym_QMARK_QMARK] = ACTIONS(1773),
    [anon_sym_instanceof] = ACTIONS(1771),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_object] = ACTIONS(1769),
    [anon_sym_abstract] = ACTIONS(1769),
    [anon_sym_satisfies] = ACTIONS(1771),
    [anon_sym_interface] = ACTIONS(1769),
    [anon_sym_enum] = ACTIONS(1769),
    [sym__automatic_semicolon] = ACTIONS(1775),
    [sym__ternary_qmark] = ACTIONS(1773),
    [sym_html_comment] = ACTIONS(5),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_default] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_as] = ACTIONS(1781),
    [anon_sym_namespace] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1779),
    [anon_sym_import] = ACTIONS(1779),
    [anon_sym_with] = ACTIONS(1779),
    [anon_sym_var] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(1779),
    [anon_sym_else] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_switch] = ACTIONS(1779),
    [anon_sym_for] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_in] = ACTIONS(1781),
    [anon_sym_while] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1779),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_break] = ACTIONS(1779),
    [anon_sym_continue] = ACTIONS(1779),
    [anon_sym_debugger] = ACTIONS(1779),
    [anon_sym_return] = ACTIONS(1779),
    [anon_sym_throw] = ACTIONS(1779),
    [anon_sym_case] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(1777),
    [anon_sym_GT] = ACTIONS(1781),
    [anon_sym_DOT] = ACTIONS(1781),
    [anon_sym_DQUOTE] = ACTIONS(1777),
    [anon_sym_SQUOTE] = ACTIONS(1777),
    [anon_sym_class] = ACTIONS(1779),
    [anon_sym_async] = ACTIONS(1779),
    [anon_sym_function] = ACTIONS(1779),
    [anon_sym_QMARK_DOT] = ACTIONS(1783),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(1779),
    [anon_sym_AMP_AMP] = ACTIONS(1783),
    [anon_sym_PIPE_PIPE] = ACTIONS(1783),
    [anon_sym_GT_GT] = ACTIONS(1781),
    [anon_sym_GT_GT_GT] = ACTIONS(1783),
    [anon_sym_LT_LT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1781),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1781),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1779),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_STAR_STAR] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1779),
    [anon_sym_LT_EQ] = ACTIONS(1783),
    [anon_sym_EQ_EQ] = ACTIONS(1781),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1783),
    [anon_sym_BANG_EQ] = ACTIONS(1781),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1783),
    [anon_sym_GT_EQ] = ACTIONS(1783),
    [anon_sym_QMARK_QMARK] = ACTIONS(1783),
    [anon_sym_instanceof] = ACTIONS(1781),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_void] = ACTIONS(1779),
    [anon_sym_delete] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [sym_private_property_identifier] = ACTIONS(1777),
    [sym_this] = ACTIONS(1779),
    [sym_super] = ACTIONS(1779),
    [sym_true] = ACTIONS(1779),
    [sym_false] = ACTIONS(1779),
    [sym_null] = ACTIONS(1779),
    [sym_undefined] = ACTIONS(1779),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_abstract] = ACTIONS(1779),
    [anon_sym_satisfies] = ACTIONS(1781),
    [anon_sym_interface] = ACTIONS(1779),
    [anon_sym_enum] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(1785),
    [sym__ternary_qmark] = ACTIONS(1783),
    [sym_html_comment] = ACTIONS(5),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym_identifier] = ACTIONS(1789),
    [anon_sym_export] = ACTIONS(1789),
    [anon_sym_STAR] = ACTIONS(1791),
    [anon_sym_default] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1789),
    [anon_sym_as] = ACTIONS(1791),
    [anon_sym_namespace] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1793),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(1789),
    [anon_sym_import] = ACTIONS(1789),
    [anon_sym_with] = ACTIONS(1789),
    [anon_sym_var] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1789),
    [anon_sym_const] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1789),
    [anon_sym_else] = ACTIONS(1789),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_switch] = ACTIONS(1789),
    [anon_sym_for] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_await] = ACTIONS(1789),
    [anon_sym_in] = ACTIONS(1791),
    [anon_sym_while] = ACTIONS(1789),
    [anon_sym_do] = ACTIONS(1789),
    [anon_sym_try] = ACTIONS(1789),
    [anon_sym_break] = ACTIONS(1789),
    [anon_sym_continue] = ACTIONS(1789),
    [anon_sym_debugger] = ACTIONS(1789),
    [anon_sym_return] = ACTIONS(1789),
    [anon_sym_throw] = ACTIONS(1789),
    [anon_sym_case] = ACTIONS(1789),
    [anon_sym_yield] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_glimmer_opening_tag] = ACTIONS(1787),
    [anon_sym_GT] = ACTIONS(1791),
    [anon_sym_DOT] = ACTIONS(1791),
    [anon_sym_DQUOTE] = ACTIONS(1787),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1789),
    [anon_sym_QMARK_DOT] = ACTIONS(1793),
    [anon_sym_new] = ACTIONS(1789),
    [anon_sym_using] = ACTIONS(1789),
    [anon_sym_AMP_AMP] = ACTIONS(1793),
    [anon_sym_PIPE_PIPE] = ACTIONS(1793),
    [anon_sym_GT_GT] = ACTIONS(1791),
    [anon_sym_GT_GT_GT] = ACTIONS(1793),
    [anon_sym_LT_LT] = ACTIONS(1793),
    [anon_sym_AMP] = ACTIONS(1791),
    [anon_sym_CARET] = ACTIONS(1793),
    [anon_sym_PIPE] = ACTIONS(1791),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_PERCENT] = ACTIONS(1793),
    [anon_sym_STAR_STAR] = ACTIONS(1793),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_LT_EQ] = ACTIONS(1793),
    [anon_sym_EQ_EQ] = ACTIONS(1791),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1793),
    [anon_sym_BANG_EQ] = ACTIONS(1791),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1793),
    [anon_sym_GT_EQ] = ACTIONS(1793),
    [anon_sym_QMARK_QMARK] = ACTIONS(1793),
    [anon_sym_instanceof] = ACTIONS(1791),
    [anon_sym_TILDE] = ACTIONS(1787),
    [anon_sym_void] = ACTIONS(1789),
    [anon_sym_delete] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1787),
    [anon_sym_DASH_DASH] = ACTIONS(1787),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1787),
    [sym_number] = ACTIONS(1787),
    [sym_private_property_identifier] = ACTIONS(1787),
    [sym_this] = ACTIONS(1789),
    [sym_super] = ACTIONS(1789),
    [sym_true] = ACTIONS(1789),
    [sym_false] = ACTIONS(1789),
    [sym_null] = ACTIONS(1789),
    [sym_undefined] = ACTIONS(1789),
    [anon_sym_AT] = ACTIONS(1787),
    [anon_sym_static] = ACTIONS(1789),
    [anon_sym_readonly] = ACTIONS(1789),
    [anon_sym_get] = ACTIONS(1789),
    [anon_sym_set] = ACTIONS(1789),
    [anon_sym_declare] = ACTIONS(1789),
    [anon_sym_public] = ACTIONS(1789),
    [anon_sym_private] = ACTIONS(1789),
    [anon_sym_protected] = ACTIONS(1789),
    [anon_sym_override] = ACTIONS(1789),
    [anon_sym_module] = ACTIONS(1789),
    [anon_sym_any] = ACTIONS(1789),
    [anon_sym_number] = ACTIONS(1789),
    [anon_sym_boolean] = ACTIONS(1789),
    [anon_sym_string] = ACTIONS(1789),
    [anon_sym_symbol] = ACTIONS(1789),
    [anon_sym_object] = ACTIONS(1789),
    [anon_sym_abstract] = ACTIONS(1789),
    [anon_sym_satisfies] = ACTIONS(1791),
    [anon_sym_interface] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1789),
    [sym__automatic_semicolon] = ACTIONS(1795),
    [sym__ternary_qmark] = ACTIONS(1793),
    [sym_html_comment] = ACTIONS(5),
  },
  [242] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_assignment_pattern] = STATE(4895),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4531),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_pattern_repeat1] = STATE(4907),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_RBRACK] = ACTIONS(1797),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [sym_identifier] = ACTIONS(1801),
    [anon_sym_export] = ACTIONS(1801),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_default] = ACTIONS(1801),
    [anon_sym_type] = ACTIONS(1801),
    [anon_sym_as] = ACTIONS(1803),
    [anon_sym_namespace] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1805),
    [anon_sym_RBRACE] = ACTIONS(1799),
    [anon_sym_typeof] = ACTIONS(1801),
    [anon_sym_import] = ACTIONS(1801),
    [anon_sym_with] = ACTIONS(1801),
    [anon_sym_var] = ACTIONS(1801),
    [anon_sym_let] = ACTIONS(1801),
    [anon_sym_const] = ACTIONS(1801),
    [anon_sym_BANG] = ACTIONS(1801),
    [anon_sym_else] = ACTIONS(1801),
    [anon_sym_if] = ACTIONS(1801),
    [anon_sym_switch] = ACTIONS(1801),
    [anon_sym_for] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [anon_sym_await] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(1803),
    [anon_sym_while] = ACTIONS(1801),
    [anon_sym_do] = ACTIONS(1801),
    [anon_sym_try] = ACTIONS(1801),
    [anon_sym_break] = ACTIONS(1801),
    [anon_sym_continue] = ACTIONS(1801),
    [anon_sym_debugger] = ACTIONS(1801),
    [anon_sym_return] = ACTIONS(1801),
    [anon_sym_throw] = ACTIONS(1801),
    [anon_sym_case] = ACTIONS(1801),
    [anon_sym_yield] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_glimmer_opening_tag] = ACTIONS(1799),
    [anon_sym_GT] = ACTIONS(1803),
    [anon_sym_DOT] = ACTIONS(1803),
    [anon_sym_DQUOTE] = ACTIONS(1799),
    [anon_sym_SQUOTE] = ACTIONS(1799),
    [anon_sym_class] = ACTIONS(1801),
    [anon_sym_async] = ACTIONS(1801),
    [anon_sym_function] = ACTIONS(1801),
    [anon_sym_QMARK_DOT] = ACTIONS(1805),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_using] = ACTIONS(1801),
    [anon_sym_AMP_AMP] = ACTIONS(1805),
    [anon_sym_PIPE_PIPE] = ACTIONS(1805),
    [anon_sym_GT_GT] = ACTIONS(1803),
    [anon_sym_GT_GT_GT] = ACTIONS(1805),
    [anon_sym_LT_LT] = ACTIONS(1805),
    [anon_sym_AMP] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_PIPE] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_PERCENT] = ACTIONS(1805),
    [anon_sym_STAR_STAR] = ACTIONS(1805),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_LT_EQ] = ACTIONS(1805),
    [anon_sym_EQ_EQ] = ACTIONS(1803),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1805),
    [anon_sym_GT_EQ] = ACTIONS(1805),
    [anon_sym_QMARK_QMARK] = ACTIONS(1805),
    [anon_sym_instanceof] = ACTIONS(1803),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_void] = ACTIONS(1801),
    [anon_sym_delete] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1799),
    [sym_number] = ACTIONS(1799),
    [sym_private_property_identifier] = ACTIONS(1799),
    [sym_this] = ACTIONS(1801),
    [sym_super] = ACTIONS(1801),
    [sym_true] = ACTIONS(1801),
    [sym_false] = ACTIONS(1801),
    [sym_null] = ACTIONS(1801),
    [sym_undefined] = ACTIONS(1801),
    [anon_sym_AT] = ACTIONS(1799),
    [anon_sym_static] = ACTIONS(1801),
    [anon_sym_readonly] = ACTIONS(1801),
    [anon_sym_get] = ACTIONS(1801),
    [anon_sym_set] = ACTIONS(1801),
    [anon_sym_declare] = ACTIONS(1801),
    [anon_sym_public] = ACTIONS(1801),
    [anon_sym_private] = ACTIONS(1801),
    [anon_sym_protected] = ACTIONS(1801),
    [anon_sym_override] = ACTIONS(1801),
    [anon_sym_module] = ACTIONS(1801),
    [anon_sym_any] = ACTIONS(1801),
    [anon_sym_number] = ACTIONS(1801),
    [anon_sym_boolean] = ACTIONS(1801),
    [anon_sym_string] = ACTIONS(1801),
    [anon_sym_symbol] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1801),
    [anon_sym_abstract] = ACTIONS(1801),
    [anon_sym_satisfies] = ACTIONS(1803),
    [anon_sym_interface] = ACTIONS(1801),
    [anon_sym_enum] = ACTIONS(1801),
    [sym__automatic_semicolon] = ACTIONS(1807),
    [sym__ternary_qmark] = ACTIONS(1805),
    [sym_html_comment] = ACTIONS(5),
  },
  [244] = {
    [sym_import] = STATE(3759),
    [sym_variable_declaration] = STATE(313),
    [sym_lexical_declaration] = STATE(313),
    [sym_empty_statement] = STATE(313),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(2335),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5020),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5020),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5020),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5613),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1347),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1817),
    [anon_sym_let] = ACTIONS(1819),
    [anon_sym_const] = ACTIONS(1821),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1827),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(1831),
    [sym_identifier] = ACTIONS(1833),
    [anon_sym_export] = ACTIONS(1833),
    [anon_sym_STAR] = ACTIONS(1835),
    [anon_sym_default] = ACTIONS(1833),
    [anon_sym_type] = ACTIONS(1833),
    [anon_sym_as] = ACTIONS(1835),
    [anon_sym_namespace] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(1831),
    [anon_sym_COMMA] = ACTIONS(1837),
    [anon_sym_RBRACE] = ACTIONS(1831),
    [anon_sym_typeof] = ACTIONS(1833),
    [anon_sym_import] = ACTIONS(1833),
    [anon_sym_with] = ACTIONS(1833),
    [anon_sym_var] = ACTIONS(1833),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_const] = ACTIONS(1833),
    [anon_sym_BANG] = ACTIONS(1833),
    [anon_sym_else] = ACTIONS(1833),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_switch] = ACTIONS(1833),
    [anon_sym_for] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1831),
    [anon_sym_await] = ACTIONS(1833),
    [anon_sym_in] = ACTIONS(1835),
    [anon_sym_while] = ACTIONS(1833),
    [anon_sym_do] = ACTIONS(1833),
    [anon_sym_try] = ACTIONS(1833),
    [anon_sym_break] = ACTIONS(1833),
    [anon_sym_continue] = ACTIONS(1833),
    [anon_sym_debugger] = ACTIONS(1833),
    [anon_sym_return] = ACTIONS(1833),
    [anon_sym_throw] = ACTIONS(1833),
    [anon_sym_case] = ACTIONS(1833),
    [anon_sym_yield] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [sym_glimmer_opening_tag] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1835),
    [anon_sym_DOT] = ACTIONS(1835),
    [anon_sym_DQUOTE] = ACTIONS(1831),
    [anon_sym_SQUOTE] = ACTIONS(1831),
    [anon_sym_class] = ACTIONS(1833),
    [anon_sym_async] = ACTIONS(1833),
    [anon_sym_function] = ACTIONS(1833),
    [anon_sym_QMARK_DOT] = ACTIONS(1837),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1833),
    [anon_sym_AMP_AMP] = ACTIONS(1837),
    [anon_sym_PIPE_PIPE] = ACTIONS(1837),
    [anon_sym_GT_GT] = ACTIONS(1835),
    [anon_sym_GT_GT_GT] = ACTIONS(1837),
    [anon_sym_LT_LT] = ACTIONS(1837),
    [anon_sym_AMP] = ACTIONS(1835),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_PIPE] = ACTIONS(1835),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_PERCENT] = ACTIONS(1837),
    [anon_sym_STAR_STAR] = ACTIONS(1837),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_LT_EQ] = ACTIONS(1837),
    [anon_sym_EQ_EQ] = ACTIONS(1835),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1835),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1837),
    [anon_sym_GT_EQ] = ACTIONS(1837),
    [anon_sym_QMARK_QMARK] = ACTIONS(1837),
    [anon_sym_instanceof] = ACTIONS(1835),
    [anon_sym_TILDE] = ACTIONS(1831),
    [anon_sym_void] = ACTIONS(1833),
    [anon_sym_delete] = ACTIONS(1833),
    [anon_sym_PLUS_PLUS] = ACTIONS(1831),
    [anon_sym_DASH_DASH] = ACTIONS(1831),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1831),
    [sym_number] = ACTIONS(1831),
    [sym_private_property_identifier] = ACTIONS(1831),
    [sym_this] = ACTIONS(1833),
    [sym_super] = ACTIONS(1833),
    [sym_true] = ACTIONS(1833),
    [sym_false] = ACTIONS(1833),
    [sym_null] = ACTIONS(1833),
    [sym_undefined] = ACTIONS(1833),
    [anon_sym_AT] = ACTIONS(1831),
    [anon_sym_static] = ACTIONS(1833),
    [anon_sym_readonly] = ACTIONS(1833),
    [anon_sym_get] = ACTIONS(1833),
    [anon_sym_set] = ACTIONS(1833),
    [anon_sym_declare] = ACTIONS(1833),
    [anon_sym_public] = ACTIONS(1833),
    [anon_sym_private] = ACTIONS(1833),
    [anon_sym_protected] = ACTIONS(1833),
    [anon_sym_override] = ACTIONS(1833),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_any] = ACTIONS(1833),
    [anon_sym_number] = ACTIONS(1833),
    [anon_sym_boolean] = ACTIONS(1833),
    [anon_sym_string] = ACTIONS(1833),
    [anon_sym_symbol] = ACTIONS(1833),
    [anon_sym_object] = ACTIONS(1833),
    [anon_sym_abstract] = ACTIONS(1833),
    [anon_sym_satisfies] = ACTIONS(1835),
    [anon_sym_interface] = ACTIONS(1833),
    [anon_sym_enum] = ACTIONS(1833),
    [sym__automatic_semicolon] = ACTIONS(1839),
    [sym__ternary_qmark] = ACTIONS(1837),
    [sym_html_comment] = ACTIONS(5),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_export] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1845),
    [anon_sym_default] = ACTIONS(1843),
    [anon_sym_type] = ACTIONS(1843),
    [anon_sym_as] = ACTIONS(1845),
    [anon_sym_namespace] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_COMMA] = ACTIONS(1847),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_typeof] = ACTIONS(1843),
    [anon_sym_import] = ACTIONS(1843),
    [anon_sym_with] = ACTIONS(1843),
    [anon_sym_var] = ACTIONS(1843),
    [anon_sym_let] = ACTIONS(1843),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_BANG] = ACTIONS(1843),
    [anon_sym_else] = ACTIONS(1843),
    [anon_sym_if] = ACTIONS(1843),
    [anon_sym_switch] = ACTIONS(1843),
    [anon_sym_for] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1843),
    [anon_sym_in] = ACTIONS(1845),
    [anon_sym_while] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1843),
    [anon_sym_try] = ACTIONS(1843),
    [anon_sym_break] = ACTIONS(1843),
    [anon_sym_continue] = ACTIONS(1843),
    [anon_sym_debugger] = ACTIONS(1843),
    [anon_sym_return] = ACTIONS(1843),
    [anon_sym_throw] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1843),
    [anon_sym_yield] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_glimmer_opening_tag] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_DOT] = ACTIONS(1845),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_class] = ACTIONS(1843),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1843),
    [anon_sym_QMARK_DOT] = ACTIONS(1847),
    [anon_sym_new] = ACTIONS(1843),
    [anon_sym_using] = ACTIONS(1843),
    [anon_sym_AMP_AMP] = ACTIONS(1847),
    [anon_sym_PIPE_PIPE] = ACTIONS(1847),
    [anon_sym_GT_GT] = ACTIONS(1845),
    [anon_sym_GT_GT_GT] = ACTIONS(1847),
    [anon_sym_LT_LT] = ACTIONS(1847),
    [anon_sym_AMP] = ACTIONS(1845),
    [anon_sym_CARET] = ACTIONS(1847),
    [anon_sym_PIPE] = ACTIONS(1845),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [anon_sym_STAR_STAR] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_EQ_EQ] = ACTIONS(1845),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1847),
    [anon_sym_BANG_EQ] = ACTIONS(1845),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_QMARK_QMARK] = ACTIONS(1847),
    [anon_sym_instanceof] = ACTIONS(1845),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_void] = ACTIONS(1843),
    [anon_sym_delete] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [sym_private_property_identifier] = ACTIONS(1841),
    [sym_this] = ACTIONS(1843),
    [sym_super] = ACTIONS(1843),
    [sym_true] = ACTIONS(1843),
    [sym_false] = ACTIONS(1843),
    [sym_null] = ACTIONS(1843),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_static] = ACTIONS(1843),
    [anon_sym_readonly] = ACTIONS(1843),
    [anon_sym_get] = ACTIONS(1843),
    [anon_sym_set] = ACTIONS(1843),
    [anon_sym_declare] = ACTIONS(1843),
    [anon_sym_public] = ACTIONS(1843),
    [anon_sym_private] = ACTIONS(1843),
    [anon_sym_protected] = ACTIONS(1843),
    [anon_sym_override] = ACTIONS(1843),
    [anon_sym_module] = ACTIONS(1843),
    [anon_sym_any] = ACTIONS(1843),
    [anon_sym_number] = ACTIONS(1843),
    [anon_sym_boolean] = ACTIONS(1843),
    [anon_sym_string] = ACTIONS(1843),
    [anon_sym_symbol] = ACTIONS(1843),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_abstract] = ACTIONS(1843),
    [anon_sym_satisfies] = ACTIONS(1845),
    [anon_sym_interface] = ACTIONS(1843),
    [anon_sym_enum] = ACTIONS(1843),
    [sym__automatic_semicolon] = ACTIONS(1849),
    [sym__ternary_qmark] = ACTIONS(1847),
    [sym_html_comment] = ACTIONS(5),
  },
  [247] = {
    [sym_import] = STATE(3759),
    [sym_variable_declaration] = STATE(314),
    [sym_lexical_declaration] = STATE(314),
    [sym_empty_statement] = STATE(314),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(2078),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5020),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5020),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5020),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5989),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1347),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1817),
    [anon_sym_let] = ACTIONS(1819),
    [anon_sym_const] = ACTIONS(1821),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1827),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_STAR] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_as] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1704),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_in] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [sym_glimmer_opening_tag] = ACTIONS(1702),
    [anon_sym_GT] = ACTIONS(1704),
    [anon_sym_DOT] = ACTIONS(1704),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_QMARK_DOT] = ACTIONS(1702),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_using] = ACTIONS(1704),
    [anon_sym_AMP_AMP] = ACTIONS(1702),
    [anon_sym_PIPE_PIPE] = ACTIONS(1702),
    [anon_sym_GT_GT] = ACTIONS(1704),
    [anon_sym_GT_GT_GT] = ACTIONS(1702),
    [anon_sym_LT_LT] = ACTIONS(1702),
    [anon_sym_AMP] = ACTIONS(1704),
    [anon_sym_CARET] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_PERCENT] = ACTIONS(1702),
    [anon_sym_STAR_STAR] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_LT_EQ] = ACTIONS(1702),
    [anon_sym_EQ_EQ] = ACTIONS(1704),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1702),
    [anon_sym_BANG_EQ] = ACTIONS(1704),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1702),
    [anon_sym_GT_EQ] = ACTIONS(1702),
    [anon_sym_QMARK_QMARK] = ACTIONS(1702),
    [anon_sym_instanceof] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [sym_number] = ACTIONS(1702),
    [sym_private_property_identifier] = ACTIONS(1702),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_satisfies] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [sym__automatic_semicolon] = ACTIONS(1851),
    [sym__ternary_qmark] = ACTIONS(1702),
    [sym_html_comment] = ACTIONS(5),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1855),
    [anon_sym_export] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_as] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_typeof] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_with] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_let] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_switch] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_debugger] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_throw] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_yield] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_glimmer_opening_tag] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_DQUOTE] = ACTIONS(1853),
    [anon_sym_SQUOTE] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_QMARK_DOT] = ACTIONS(1853),
    [anon_sym_new] = ACTIONS(1855),
    [anon_sym_using] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1855),
    [anon_sym_GT_GT_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_QMARK_QMARK] = ACTIONS(1853),
    [anon_sym_instanceof] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_void] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [sym_private_property_identifier] = ACTIONS(1853),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(1855),
    [sym_true] = ACTIONS(1855),
    [sym_false] = ACTIONS(1855),
    [sym_null] = ACTIONS(1855),
    [sym_undefined] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_static] = ACTIONS(1855),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1855),
    [anon_sym_set] = ACTIONS(1855),
    [anon_sym_declare] = ACTIONS(1855),
    [anon_sym_public] = ACTIONS(1855),
    [anon_sym_private] = ACTIONS(1855),
    [anon_sym_protected] = ACTIONS(1855),
    [anon_sym_override] = ACTIONS(1855),
    [anon_sym_module] = ACTIONS(1855),
    [anon_sym_any] = ACTIONS(1855),
    [anon_sym_number] = ACTIONS(1855),
    [anon_sym_boolean] = ACTIONS(1855),
    [anon_sym_string] = ACTIONS(1855),
    [anon_sym_symbol] = ACTIONS(1855),
    [anon_sym_object] = ACTIONS(1855),
    [anon_sym_abstract] = ACTIONS(1855),
    [anon_sym_satisfies] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1855),
    [sym__automatic_semicolon] = ACTIONS(1853),
    [sym__ternary_qmark] = ACTIONS(1853),
    [sym_html_comment] = ACTIONS(5),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1855),
    [anon_sym_export] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_as] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_typeof] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_with] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_let] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_switch] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_in] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_debugger] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_throw] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_yield] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_glimmer_opening_tag] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1855),
    [anon_sym_DOT] = ACTIONS(1855),
    [anon_sym_DQUOTE] = ACTIONS(1853),
    [anon_sym_SQUOTE] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_QMARK_DOT] = ACTIONS(1853),
    [anon_sym_new] = ACTIONS(1855),
    [anon_sym_using] = ACTIONS(1855),
    [anon_sym_AMP_AMP] = ACTIONS(1853),
    [anon_sym_PIPE_PIPE] = ACTIONS(1853),
    [anon_sym_GT_GT] = ACTIONS(1855),
    [anon_sym_GT_GT_GT] = ACTIONS(1853),
    [anon_sym_LT_LT] = ACTIONS(1853),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_PIPE] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_PERCENT] = ACTIONS(1853),
    [anon_sym_STAR_STAR] = ACTIONS(1853),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_LT_EQ] = ACTIONS(1853),
    [anon_sym_EQ_EQ] = ACTIONS(1855),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1853),
    [anon_sym_GT_EQ] = ACTIONS(1853),
    [anon_sym_QMARK_QMARK] = ACTIONS(1853),
    [anon_sym_instanceof] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_void] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [sym_private_property_identifier] = ACTIONS(1853),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(1855),
    [sym_true] = ACTIONS(1855),
    [sym_false] = ACTIONS(1855),
    [sym_null] = ACTIONS(1855),
    [sym_undefined] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_static] = ACTIONS(1855),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1855),
    [anon_sym_set] = ACTIONS(1855),
    [anon_sym_declare] = ACTIONS(1855),
    [anon_sym_public] = ACTIONS(1855),
    [anon_sym_private] = ACTIONS(1855),
    [anon_sym_protected] = ACTIONS(1855),
    [anon_sym_override] = ACTIONS(1855),
    [anon_sym_module] = ACTIONS(1855),
    [anon_sym_any] = ACTIONS(1855),
    [anon_sym_number] = ACTIONS(1855),
    [anon_sym_boolean] = ACTIONS(1855),
    [anon_sym_string] = ACTIONS(1855),
    [anon_sym_symbol] = ACTIONS(1855),
    [anon_sym_object] = ACTIONS(1855),
    [anon_sym_abstract] = ACTIONS(1855),
    [anon_sym_satisfies] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1855),
    [sym__automatic_semicolon] = ACTIONS(1857),
    [sym__ternary_qmark] = ACTIONS(1853),
    [sym_html_comment] = ACTIONS(5),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1861),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1863),
    [anon_sym_default] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_as] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_typeof] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1861),
    [anon_sym_with] = ACTIONS(1861),
    [anon_sym_var] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_else] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_switch] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_in] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_try] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_debugger] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_throw] = ACTIONS(1861),
    [anon_sym_case] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_glimmer_opening_tag] = ACTIONS(1859),
    [anon_sym_GT] = ACTIONS(1863),
    [anon_sym_DOT] = ACTIONS(1863),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [anon_sym_class] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_function] = ACTIONS(1861),
    [anon_sym_QMARK_DOT] = ACTIONS(1865),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_using] = ACTIONS(1861),
    [anon_sym_AMP_AMP] = ACTIONS(1865),
    [anon_sym_PIPE_PIPE] = ACTIONS(1865),
    [anon_sym_GT_GT] = ACTIONS(1863),
    [anon_sym_GT_GT_GT] = ACTIONS(1865),
    [anon_sym_LT_LT] = ACTIONS(1865),
    [anon_sym_AMP] = ACTIONS(1863),
    [anon_sym_CARET] = ACTIONS(1865),
    [anon_sym_PIPE] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1865),
    [anon_sym_STAR_STAR] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_EQ_EQ] = ACTIONS(1863),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1865),
    [anon_sym_BANG_EQ] = ACTIONS(1863),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_QMARK_QMARK] = ACTIONS(1865),
    [anon_sym_instanceof] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_void] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [sym_private_property_identifier] = ACTIONS(1859),
    [sym_this] = ACTIONS(1861),
    [sym_super] = ACTIONS(1861),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [sym_null] = ACTIONS(1861),
    [sym_undefined] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_abstract] = ACTIONS(1861),
    [anon_sym_satisfies] = ACTIONS(1863),
    [anon_sym_interface] = ACTIONS(1861),
    [anon_sym_enum] = ACTIONS(1861),
    [sym__automatic_semicolon] = ACTIONS(1867),
    [sym__ternary_qmark] = ACTIONS(1865),
    [sym_html_comment] = ACTIONS(5),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [sym_identifier] = ACTIONS(1871),
    [anon_sym_export] = ACTIONS(1871),
    [anon_sym_STAR] = ACTIONS(1871),
    [anon_sym_default] = ACTIONS(1871),
    [anon_sym_type] = ACTIONS(1871),
    [anon_sym_as] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(1869),
    [anon_sym_COMMA] = ACTIONS(1869),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_typeof] = ACTIONS(1871),
    [anon_sym_import] = ACTIONS(1871),
    [anon_sym_with] = ACTIONS(1871),
    [anon_sym_var] = ACTIONS(1871),
    [anon_sym_let] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1871),
    [anon_sym_else] = ACTIONS(1871),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_switch] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_await] = ACTIONS(1871),
    [anon_sym_in] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_do] = ACTIONS(1871),
    [anon_sym_try] = ACTIONS(1871),
    [anon_sym_break] = ACTIONS(1871),
    [anon_sym_continue] = ACTIONS(1871),
    [anon_sym_debugger] = ACTIONS(1871),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_case] = ACTIONS(1871),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1869),
    [sym_glimmer_opening_tag] = ACTIONS(1869),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1869),
    [anon_sym_SQUOTE] = ACTIONS(1869),
    [anon_sym_class] = ACTIONS(1871),
    [anon_sym_async] = ACTIONS(1871),
    [anon_sym_function] = ACTIONS(1871),
    [anon_sym_QMARK_DOT] = ACTIONS(1869),
    [anon_sym_new] = ACTIONS(1871),
    [anon_sym_using] = ACTIONS(1871),
    [anon_sym_AMP_AMP] = ACTIONS(1869),
    [anon_sym_PIPE_PIPE] = ACTIONS(1869),
    [anon_sym_GT_GT] = ACTIONS(1871),
    [anon_sym_GT_GT_GT] = ACTIONS(1869),
    [anon_sym_LT_LT] = ACTIONS(1869),
    [anon_sym_AMP] = ACTIONS(1871),
    [anon_sym_CARET] = ACTIONS(1869),
    [anon_sym_PIPE] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_STAR_STAR] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_EQ_EQ] = ACTIONS(1871),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1869),
    [anon_sym_BANG_EQ] = ACTIONS(1871),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_QMARK_QMARK] = ACTIONS(1869),
    [anon_sym_instanceof] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1869),
    [anon_sym_void] = ACTIONS(1871),
    [anon_sym_delete] = ACTIONS(1871),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1869),
    [sym_number] = ACTIONS(1869),
    [sym_private_property_identifier] = ACTIONS(1869),
    [sym_this] = ACTIONS(1871),
    [sym_super] = ACTIONS(1871),
    [sym_true] = ACTIONS(1871),
    [sym_false] = ACTIONS(1871),
    [sym_null] = ACTIONS(1871),
    [sym_undefined] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1869),
    [anon_sym_static] = ACTIONS(1871),
    [anon_sym_readonly] = ACTIONS(1871),
    [anon_sym_get] = ACTIONS(1871),
    [anon_sym_set] = ACTIONS(1871),
    [anon_sym_declare] = ACTIONS(1871),
    [anon_sym_public] = ACTIONS(1871),
    [anon_sym_private] = ACTIONS(1871),
    [anon_sym_protected] = ACTIONS(1871),
    [anon_sym_override] = ACTIONS(1871),
    [anon_sym_module] = ACTIONS(1871),
    [anon_sym_any] = ACTIONS(1871),
    [anon_sym_number] = ACTIONS(1871),
    [anon_sym_boolean] = ACTIONS(1871),
    [anon_sym_string] = ACTIONS(1871),
    [anon_sym_symbol] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1871),
    [anon_sym_abstract] = ACTIONS(1871),
    [anon_sym_satisfies] = ACTIONS(1871),
    [anon_sym_interface] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1871),
    [sym__automatic_semicolon] = ACTIONS(1869),
    [sym__ternary_qmark] = ACTIONS(1869),
    [sym_html_comment] = ACTIONS(5),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_export] = ACTIONS(1875),
    [anon_sym_STAR] = ACTIONS(1875),
    [anon_sym_default] = ACTIONS(1875),
    [anon_sym_type] = ACTIONS(1875),
    [anon_sym_as] = ACTIONS(1875),
    [anon_sym_namespace] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1873),
    [anon_sym_COMMA] = ACTIONS(1873),
    [anon_sym_RBRACE] = ACTIONS(1873),
    [anon_sym_typeof] = ACTIONS(1875),
    [anon_sym_import] = ACTIONS(1875),
    [anon_sym_with] = ACTIONS(1875),
    [anon_sym_var] = ACTIONS(1875),
    [anon_sym_let] = ACTIONS(1875),
    [anon_sym_const] = ACTIONS(1875),
    [anon_sym_BANG] = ACTIONS(1875),
    [anon_sym_else] = ACTIONS(1875),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_switch] = ACTIONS(1875),
    [anon_sym_for] = ACTIONS(1875),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_SEMI] = ACTIONS(1873),
    [anon_sym_await] = ACTIONS(1875),
    [anon_sym_in] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1875),
    [anon_sym_do] = ACTIONS(1875),
    [anon_sym_try] = ACTIONS(1875),
    [anon_sym_break] = ACTIONS(1875),
    [anon_sym_continue] = ACTIONS(1875),
    [anon_sym_debugger] = ACTIONS(1875),
    [anon_sym_return] = ACTIONS(1875),
    [anon_sym_throw] = ACTIONS(1875),
    [anon_sym_case] = ACTIONS(1875),
    [anon_sym_yield] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1873),
    [sym_glimmer_opening_tag] = ACTIONS(1873),
    [anon_sym_GT] = ACTIONS(1875),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [anon_sym_SQUOTE] = ACTIONS(1873),
    [anon_sym_class] = ACTIONS(1875),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1875),
    [anon_sym_QMARK_DOT] = ACTIONS(1873),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_using] = ACTIONS(1875),
    [anon_sym_AMP_AMP] = ACTIONS(1873),
    [anon_sym_PIPE_PIPE] = ACTIONS(1873),
    [anon_sym_GT_GT] = ACTIONS(1875),
    [anon_sym_GT_GT_GT] = ACTIONS(1873),
    [anon_sym_LT_LT] = ACTIONS(1873),
    [anon_sym_AMP] = ACTIONS(1875),
    [anon_sym_CARET] = ACTIONS(1873),
    [anon_sym_PIPE] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1875),
    [anon_sym_DASH] = ACTIONS(1875),
    [anon_sym_SLASH] = ACTIONS(1875),
    [anon_sym_PERCENT] = ACTIONS(1873),
    [anon_sym_STAR_STAR] = ACTIONS(1873),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_LT_EQ] = ACTIONS(1873),
    [anon_sym_EQ_EQ] = ACTIONS(1875),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1873),
    [anon_sym_BANG_EQ] = ACTIONS(1875),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1873),
    [anon_sym_GT_EQ] = ACTIONS(1873),
    [anon_sym_QMARK_QMARK] = ACTIONS(1873),
    [anon_sym_instanceof] = ACTIONS(1875),
    [anon_sym_TILDE] = ACTIONS(1873),
    [anon_sym_void] = ACTIONS(1875),
    [anon_sym_delete] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1873),
    [anon_sym_DASH_DASH] = ACTIONS(1873),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1873),
    [sym_number] = ACTIONS(1873),
    [sym_private_property_identifier] = ACTIONS(1873),
    [sym_this] = ACTIONS(1875),
    [sym_super] = ACTIONS(1875),
    [sym_true] = ACTIONS(1875),
    [sym_false] = ACTIONS(1875),
    [sym_null] = ACTIONS(1875),
    [sym_undefined] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(1873),
    [anon_sym_static] = ACTIONS(1875),
    [anon_sym_readonly] = ACTIONS(1875),
    [anon_sym_get] = ACTIONS(1875),
    [anon_sym_set] = ACTIONS(1875),
    [anon_sym_declare] = ACTIONS(1875),
    [anon_sym_public] = ACTIONS(1875),
    [anon_sym_private] = ACTIONS(1875),
    [anon_sym_protected] = ACTIONS(1875),
    [anon_sym_override] = ACTIONS(1875),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_any] = ACTIONS(1875),
    [anon_sym_number] = ACTIONS(1875),
    [anon_sym_boolean] = ACTIONS(1875),
    [anon_sym_string] = ACTIONS(1875),
    [anon_sym_symbol] = ACTIONS(1875),
    [anon_sym_object] = ACTIONS(1875),
    [anon_sym_abstract] = ACTIONS(1875),
    [anon_sym_satisfies] = ACTIONS(1875),
    [anon_sym_interface] = ACTIONS(1875),
    [anon_sym_enum] = ACTIONS(1875),
    [sym__automatic_semicolon] = ACTIONS(1873),
    [sym__ternary_qmark] = ACTIONS(1873),
    [sym_html_comment] = ACTIONS(5),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(1877),
    [sym_identifier] = ACTIONS(1879),
    [anon_sym_export] = ACTIONS(1879),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_default] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_as] = ACTIONS(1881),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1877),
    [anon_sym_COMMA] = ACTIONS(1883),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [anon_sym_typeof] = ACTIONS(1879),
    [anon_sym_import] = ACTIONS(1879),
    [anon_sym_with] = ACTIONS(1879),
    [anon_sym_var] = ACTIONS(1879),
    [anon_sym_let] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_BANG] = ACTIONS(1879),
    [anon_sym_else] = ACTIONS(1879),
    [anon_sym_if] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1879),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym_await] = ACTIONS(1879),
    [anon_sym_in] = ACTIONS(1881),
    [anon_sym_while] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1879),
    [anon_sym_break] = ACTIONS(1879),
    [anon_sym_continue] = ACTIONS(1879),
    [anon_sym_debugger] = ACTIONS(1879),
    [anon_sym_return] = ACTIONS(1879),
    [anon_sym_throw] = ACTIONS(1879),
    [anon_sym_case] = ACTIONS(1879),
    [anon_sym_yield] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [sym_glimmer_opening_tag] = ACTIONS(1877),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_DOT] = ACTIONS(1881),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [anon_sym_SQUOTE] = ACTIONS(1877),
    [anon_sym_class] = ACTIONS(1879),
    [anon_sym_async] = ACTIONS(1879),
    [anon_sym_function] = ACTIONS(1879),
    [anon_sym_QMARK_DOT] = ACTIONS(1883),
    [anon_sym_new] = ACTIONS(1879),
    [anon_sym_using] = ACTIONS(1879),
    [anon_sym_AMP_AMP] = ACTIONS(1883),
    [anon_sym_PIPE_PIPE] = ACTIONS(1883),
    [anon_sym_GT_GT] = ACTIONS(1881),
    [anon_sym_GT_GT_GT] = ACTIONS(1883),
    [anon_sym_LT_LT] = ACTIONS(1883),
    [anon_sym_AMP] = ACTIONS(1881),
    [anon_sym_CARET] = ACTIONS(1883),
    [anon_sym_PIPE] = ACTIONS(1881),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1879),
    [anon_sym_PERCENT] = ACTIONS(1883),
    [anon_sym_STAR_STAR] = ACTIONS(1883),
    [anon_sym_LT] = ACTIONS(1879),
    [anon_sym_LT_EQ] = ACTIONS(1883),
    [anon_sym_EQ_EQ] = ACTIONS(1881),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1883),
    [anon_sym_BANG_EQ] = ACTIONS(1881),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1883),
    [anon_sym_GT_EQ] = ACTIONS(1883),
    [anon_sym_QMARK_QMARK] = ACTIONS(1883),
    [anon_sym_instanceof] = ACTIONS(1881),
    [anon_sym_TILDE] = ACTIONS(1877),
    [anon_sym_void] = ACTIONS(1879),
    [anon_sym_delete] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1877),
    [anon_sym_DASH_DASH] = ACTIONS(1877),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1877),
    [sym_number] = ACTIONS(1877),
    [sym_private_property_identifier] = ACTIONS(1877),
    [sym_this] = ACTIONS(1879),
    [sym_super] = ACTIONS(1879),
    [sym_true] = ACTIONS(1879),
    [sym_false] = ACTIONS(1879),
    [sym_null] = ACTIONS(1879),
    [sym_undefined] = ACTIONS(1879),
    [anon_sym_AT] = ACTIONS(1877),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_readonly] = ACTIONS(1879),
    [anon_sym_get] = ACTIONS(1879),
    [anon_sym_set] = ACTIONS(1879),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1879),
    [anon_sym_private] = ACTIONS(1879),
    [anon_sym_protected] = ACTIONS(1879),
    [anon_sym_override] = ACTIONS(1879),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_any] = ACTIONS(1879),
    [anon_sym_number] = ACTIONS(1879),
    [anon_sym_boolean] = ACTIONS(1879),
    [anon_sym_string] = ACTIONS(1879),
    [anon_sym_symbol] = ACTIONS(1879),
    [anon_sym_object] = ACTIONS(1879),
    [anon_sym_abstract] = ACTIONS(1879),
    [anon_sym_satisfies] = ACTIONS(1881),
    [anon_sym_interface] = ACTIONS(1879),
    [anon_sym_enum] = ACTIONS(1879),
    [sym__automatic_semicolon] = ACTIONS(1885),
    [sym__ternary_qmark] = ACTIONS(1883),
    [sym_html_comment] = ACTIONS(5),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_export] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1891),
    [anon_sym_default] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_as] = ACTIONS(1891),
    [anon_sym_namespace] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_COMMA] = ACTIONS(1893),
    [anon_sym_RBRACE] = ACTIONS(1887),
    [anon_sym_typeof] = ACTIONS(1889),
    [anon_sym_import] = ACTIONS(1889),
    [anon_sym_with] = ACTIONS(1889),
    [anon_sym_var] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_switch] = ACTIONS(1889),
    [anon_sym_for] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_SEMI] = ACTIONS(1887),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_in] = ACTIONS(1891),
    [anon_sym_while] = ACTIONS(1889),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_try] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_debugger] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1889),
    [anon_sym_case] = ACTIONS(1889),
    [anon_sym_yield] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [sym_glimmer_opening_tag] = ACTIONS(1887),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_DOT] = ACTIONS(1891),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [anon_sym_SQUOTE] = ACTIONS(1887),
    [anon_sym_class] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_function] = ACTIONS(1889),
    [anon_sym_QMARK_DOT] = ACTIONS(1893),
    [anon_sym_new] = ACTIONS(1889),
    [anon_sym_using] = ACTIONS(1889),
    [anon_sym_AMP_AMP] = ACTIONS(1893),
    [anon_sym_PIPE_PIPE] = ACTIONS(1893),
    [anon_sym_GT_GT] = ACTIONS(1891),
    [anon_sym_GT_GT_GT] = ACTIONS(1893),
    [anon_sym_LT_LT] = ACTIONS(1893),
    [anon_sym_AMP] = ACTIONS(1891),
    [anon_sym_CARET] = ACTIONS(1893),
    [anon_sym_PIPE] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_SLASH] = ACTIONS(1889),
    [anon_sym_PERCENT] = ACTIONS(1893),
    [anon_sym_STAR_STAR] = ACTIONS(1893),
    [anon_sym_LT] = ACTIONS(1889),
    [anon_sym_LT_EQ] = ACTIONS(1893),
    [anon_sym_EQ_EQ] = ACTIONS(1891),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1893),
    [anon_sym_BANG_EQ] = ACTIONS(1891),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1893),
    [anon_sym_GT_EQ] = ACTIONS(1893),
    [anon_sym_QMARK_QMARK] = ACTIONS(1893),
    [anon_sym_instanceof] = ACTIONS(1891),
    [anon_sym_TILDE] = ACTIONS(1887),
    [anon_sym_void] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_DASH_DASH] = ACTIONS(1887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1887),
    [sym_number] = ACTIONS(1887),
    [sym_private_property_identifier] = ACTIONS(1887),
    [sym_this] = ACTIONS(1889),
    [sym_super] = ACTIONS(1889),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [sym_null] = ACTIONS(1889),
    [sym_undefined] = ACTIONS(1889),
    [anon_sym_AT] = ACTIONS(1887),
    [anon_sym_static] = ACTIONS(1889),
    [anon_sym_readonly] = ACTIONS(1889),
    [anon_sym_get] = ACTIONS(1889),
    [anon_sym_set] = ACTIONS(1889),
    [anon_sym_declare] = ACTIONS(1889),
    [anon_sym_public] = ACTIONS(1889),
    [anon_sym_private] = ACTIONS(1889),
    [anon_sym_protected] = ACTIONS(1889),
    [anon_sym_override] = ACTIONS(1889),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1889),
    [anon_sym_number] = ACTIONS(1889),
    [anon_sym_boolean] = ACTIONS(1889),
    [anon_sym_string] = ACTIONS(1889),
    [anon_sym_symbol] = ACTIONS(1889),
    [anon_sym_object] = ACTIONS(1889),
    [anon_sym_abstract] = ACTIONS(1889),
    [anon_sym_satisfies] = ACTIONS(1891),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_enum] = ACTIONS(1889),
    [sym__automatic_semicolon] = ACTIONS(1895),
    [sym__ternary_qmark] = ACTIONS(1893),
    [sym_html_comment] = ACTIONS(5),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(1897),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_export] = ACTIONS(1899),
    [anon_sym_STAR] = ACTIONS(1899),
    [anon_sym_default] = ACTIONS(1899),
    [anon_sym_type] = ACTIONS(1899),
    [anon_sym_as] = ACTIONS(1899),
    [anon_sym_namespace] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1897),
    [anon_sym_COMMA] = ACTIONS(1897),
    [anon_sym_RBRACE] = ACTIONS(1897),
    [anon_sym_typeof] = ACTIONS(1899),
    [anon_sym_import] = ACTIONS(1899),
    [anon_sym_with] = ACTIONS(1899),
    [anon_sym_var] = ACTIONS(1899),
    [anon_sym_let] = ACTIONS(1899),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1899),
    [anon_sym_if] = ACTIONS(1899),
    [anon_sym_switch] = ACTIONS(1899),
    [anon_sym_for] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1897),
    [anon_sym_await] = ACTIONS(1899),
    [anon_sym_in] = ACTIONS(1899),
    [anon_sym_while] = ACTIONS(1899),
    [anon_sym_do] = ACTIONS(1899),
    [anon_sym_try] = ACTIONS(1899),
    [anon_sym_break] = ACTIONS(1899),
    [anon_sym_continue] = ACTIONS(1899),
    [anon_sym_debugger] = ACTIONS(1899),
    [anon_sym_return] = ACTIONS(1899),
    [anon_sym_throw] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1899),
    [anon_sym_yield] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [sym_glimmer_opening_tag] = ACTIONS(1897),
    [anon_sym_GT] = ACTIONS(1899),
    [anon_sym_DOT] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [anon_sym_SQUOTE] = ACTIONS(1897),
    [anon_sym_class] = ACTIONS(1899),
    [anon_sym_async] = ACTIONS(1899),
    [anon_sym_function] = ACTIONS(1899),
    [anon_sym_QMARK_DOT] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_using] = ACTIONS(1899),
    [anon_sym_AMP_AMP] = ACTIONS(1897),
    [anon_sym_PIPE_PIPE] = ACTIONS(1897),
    [anon_sym_GT_GT] = ACTIONS(1899),
    [anon_sym_GT_GT_GT] = ACTIONS(1897),
    [anon_sym_LT_LT] = ACTIONS(1897),
    [anon_sym_AMP] = ACTIONS(1899),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_PIPE] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1899),
    [anon_sym_PERCENT] = ACTIONS(1897),
    [anon_sym_STAR_STAR] = ACTIONS(1897),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_LT_EQ] = ACTIONS(1897),
    [anon_sym_EQ_EQ] = ACTIONS(1899),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1897),
    [anon_sym_BANG_EQ] = ACTIONS(1899),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1897),
    [anon_sym_GT_EQ] = ACTIONS(1897),
    [anon_sym_QMARK_QMARK] = ACTIONS(1897),
    [anon_sym_instanceof] = ACTIONS(1899),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_void] = ACTIONS(1899),
    [anon_sym_delete] = ACTIONS(1899),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1897),
    [sym_number] = ACTIONS(1897),
    [sym_private_property_identifier] = ACTIONS(1897),
    [sym_this] = ACTIONS(1899),
    [sym_super] = ACTIONS(1899),
    [sym_true] = ACTIONS(1899),
    [sym_false] = ACTIONS(1899),
    [sym_null] = ACTIONS(1899),
    [sym_undefined] = ACTIONS(1899),
    [anon_sym_AT] = ACTIONS(1897),
    [anon_sym_static] = ACTIONS(1899),
    [anon_sym_readonly] = ACTIONS(1899),
    [anon_sym_get] = ACTIONS(1899),
    [anon_sym_set] = ACTIONS(1899),
    [anon_sym_declare] = ACTIONS(1899),
    [anon_sym_public] = ACTIONS(1899),
    [anon_sym_private] = ACTIONS(1899),
    [anon_sym_protected] = ACTIONS(1899),
    [anon_sym_override] = ACTIONS(1899),
    [anon_sym_module] = ACTIONS(1899),
    [anon_sym_any] = ACTIONS(1899),
    [anon_sym_number] = ACTIONS(1899),
    [anon_sym_boolean] = ACTIONS(1899),
    [anon_sym_string] = ACTIONS(1899),
    [anon_sym_symbol] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1899),
    [anon_sym_abstract] = ACTIONS(1899),
    [anon_sym_satisfies] = ACTIONS(1899),
    [anon_sym_interface] = ACTIONS(1899),
    [anon_sym_enum] = ACTIONS(1899),
    [sym__automatic_semicolon] = ACTIONS(1897),
    [sym__ternary_qmark] = ACTIONS(1897),
    [sym_html_comment] = ACTIONS(5),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1901),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1903),
    [anon_sym_STAR] = ACTIONS(1905),
    [anon_sym_default] = ACTIONS(1903),
    [anon_sym_type] = ACTIONS(1903),
    [anon_sym_as] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1901),
    [anon_sym_COMMA] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_typeof] = ACTIONS(1903),
    [anon_sym_import] = ACTIONS(1903),
    [anon_sym_with] = ACTIONS(1903),
    [anon_sym_var] = ACTIONS(1903),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(1903),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_for] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_in] = ACTIONS(1905),
    [anon_sym_while] = ACTIONS(1903),
    [anon_sym_do] = ACTIONS(1903),
    [anon_sym_try] = ACTIONS(1903),
    [anon_sym_break] = ACTIONS(1903),
    [anon_sym_continue] = ACTIONS(1903),
    [anon_sym_debugger] = ACTIONS(1903),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1903),
    [anon_sym_yield] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [sym_glimmer_opening_tag] = ACTIONS(1901),
    [anon_sym_GT] = ACTIONS(1905),
    [anon_sym_DOT] = ACTIONS(1905),
    [anon_sym_DQUOTE] = ACTIONS(1901),
    [anon_sym_SQUOTE] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1903),
    [anon_sym_async] = ACTIONS(1903),
    [anon_sym_function] = ACTIONS(1903),
    [anon_sym_QMARK_DOT] = ACTIONS(1907),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_using] = ACTIONS(1903),
    [anon_sym_AMP_AMP] = ACTIONS(1907),
    [anon_sym_PIPE_PIPE] = ACTIONS(1907),
    [anon_sym_GT_GT] = ACTIONS(1905),
    [anon_sym_GT_GT_GT] = ACTIONS(1907),
    [anon_sym_LT_LT] = ACTIONS(1907),
    [anon_sym_AMP] = ACTIONS(1905),
    [anon_sym_CARET] = ACTIONS(1907),
    [anon_sym_PIPE] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1903),
    [anon_sym_PERCENT] = ACTIONS(1907),
    [anon_sym_STAR_STAR] = ACTIONS(1907),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_LT_EQ] = ACTIONS(1907),
    [anon_sym_EQ_EQ] = ACTIONS(1905),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1907),
    [anon_sym_BANG_EQ] = ACTIONS(1905),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1907),
    [anon_sym_GT_EQ] = ACTIONS(1907),
    [anon_sym_QMARK_QMARK] = ACTIONS(1907),
    [anon_sym_instanceof] = ACTIONS(1905),
    [anon_sym_TILDE] = ACTIONS(1901),
    [anon_sym_void] = ACTIONS(1903),
    [anon_sym_delete] = ACTIONS(1903),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1901),
    [sym_number] = ACTIONS(1901),
    [sym_private_property_identifier] = ACTIONS(1901),
    [sym_this] = ACTIONS(1903),
    [sym_super] = ACTIONS(1903),
    [sym_true] = ACTIONS(1903),
    [sym_false] = ACTIONS(1903),
    [sym_null] = ACTIONS(1903),
    [sym_undefined] = ACTIONS(1903),
    [anon_sym_AT] = ACTIONS(1901),
    [anon_sym_static] = ACTIONS(1903),
    [anon_sym_readonly] = ACTIONS(1903),
    [anon_sym_get] = ACTIONS(1903),
    [anon_sym_set] = ACTIONS(1903),
    [anon_sym_declare] = ACTIONS(1903),
    [anon_sym_public] = ACTIONS(1903),
    [anon_sym_private] = ACTIONS(1903),
    [anon_sym_protected] = ACTIONS(1903),
    [anon_sym_override] = ACTIONS(1903),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_any] = ACTIONS(1903),
    [anon_sym_number] = ACTIONS(1903),
    [anon_sym_boolean] = ACTIONS(1903),
    [anon_sym_string] = ACTIONS(1903),
    [anon_sym_symbol] = ACTIONS(1903),
    [anon_sym_object] = ACTIONS(1903),
    [anon_sym_abstract] = ACTIONS(1903),
    [anon_sym_satisfies] = ACTIONS(1905),
    [anon_sym_interface] = ACTIONS(1903),
    [anon_sym_enum] = ACTIONS(1903),
    [sym__automatic_semicolon] = ACTIONS(1907),
    [sym__ternary_qmark] = ACTIONS(1907),
    [sym_html_comment] = ACTIONS(5),
  },
  [258] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1668),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [anon_sym_RBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [259] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_assignment_pattern] = STATE(5171),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4569),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_pattern_repeat1] = STATE(5199),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(1690),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_RBRACK] = ACTIONS(1694),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(1909),
    [sym_identifier] = ACTIONS(1911),
    [anon_sym_export] = ACTIONS(1911),
    [anon_sym_STAR] = ACTIONS(1911),
    [anon_sym_default] = ACTIONS(1911),
    [anon_sym_type] = ACTIONS(1911),
    [anon_sym_as] = ACTIONS(1911),
    [anon_sym_namespace] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(1911),
    [anon_sym_import] = ACTIONS(1911),
    [anon_sym_with] = ACTIONS(1911),
    [anon_sym_var] = ACTIONS(1911),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1911),
    [anon_sym_for] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1909),
    [anon_sym_await] = ACTIONS(1911),
    [anon_sym_in] = ACTIONS(1911),
    [anon_sym_while] = ACTIONS(1911),
    [anon_sym_do] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1911),
    [anon_sym_continue] = ACTIONS(1911),
    [anon_sym_debugger] = ACTIONS(1911),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym_yield] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [sym_glimmer_opening_tag] = ACTIONS(1909),
    [anon_sym_GT] = ACTIONS(1911),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1911),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_QMARK_DOT] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_using] = ACTIONS(1911),
    [anon_sym_AMP_AMP] = ACTIONS(1909),
    [anon_sym_PIPE_PIPE] = ACTIONS(1909),
    [anon_sym_GT_GT] = ACTIONS(1911),
    [anon_sym_GT_GT_GT] = ACTIONS(1909),
    [anon_sym_LT_LT] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym_CARET] = ACTIONS(1909),
    [anon_sym_PIPE] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1909),
    [anon_sym_STAR_STAR] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_LT_EQ] = ACTIONS(1909),
    [anon_sym_EQ_EQ] = ACTIONS(1911),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1909),
    [anon_sym_BANG_EQ] = ACTIONS(1911),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1909),
    [anon_sym_QMARK_QMARK] = ACTIONS(1909),
    [anon_sym_instanceof] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1909),
    [anon_sym_void] = ACTIONS(1911),
    [anon_sym_delete] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1909),
    [sym_number] = ACTIONS(1909),
    [sym_private_property_identifier] = ACTIONS(1909),
    [sym_this] = ACTIONS(1911),
    [sym_super] = ACTIONS(1911),
    [sym_true] = ACTIONS(1911),
    [sym_false] = ACTIONS(1911),
    [sym_null] = ACTIONS(1911),
    [sym_undefined] = ACTIONS(1911),
    [anon_sym_AT] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1911),
    [anon_sym_readonly] = ACTIONS(1911),
    [anon_sym_get] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(1911),
    [anon_sym_declare] = ACTIONS(1911),
    [anon_sym_public] = ACTIONS(1911),
    [anon_sym_private] = ACTIONS(1911),
    [anon_sym_protected] = ACTIONS(1911),
    [anon_sym_override] = ACTIONS(1911),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_any] = ACTIONS(1911),
    [anon_sym_number] = ACTIONS(1911),
    [anon_sym_boolean] = ACTIONS(1911),
    [anon_sym_string] = ACTIONS(1911),
    [anon_sym_symbol] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1911),
    [anon_sym_abstract] = ACTIONS(1911),
    [anon_sym_satisfies] = ACTIONS(1911),
    [anon_sym_interface] = ACTIONS(1911),
    [anon_sym_enum] = ACTIONS(1911),
    [sym__automatic_semicolon] = ACTIONS(1909),
    [sym__ternary_qmark] = ACTIONS(1909),
    [sym_html_comment] = ACTIONS(5),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_export] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1915),
    [anon_sym_type] = ACTIONS(1915),
    [anon_sym_as] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1913),
    [anon_sym_typeof] = ACTIONS(1915),
    [anon_sym_import] = ACTIONS(1915),
    [anon_sym_with] = ACTIONS(1915),
    [anon_sym_var] = ACTIONS(1915),
    [anon_sym_let] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1915),
    [anon_sym_if] = ACTIONS(1915),
    [anon_sym_switch] = ACTIONS(1915),
    [anon_sym_for] = ACTIONS(1915),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym_await] = ACTIONS(1915),
    [anon_sym_in] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1915),
    [anon_sym_do] = ACTIONS(1915),
    [anon_sym_try] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1915),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_debugger] = ACTIONS(1915),
    [anon_sym_return] = ACTIONS(1915),
    [anon_sym_throw] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1915),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [sym_glimmer_opening_tag] = ACTIONS(1913),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_DOT] = ACTIONS(1917),
    [anon_sym_DQUOTE] = ACTIONS(1913),
    [anon_sym_SQUOTE] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1915),
    [anon_sym_async] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1915),
    [anon_sym_QMARK_DOT] = ACTIONS(1919),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_using] = ACTIONS(1915),
    [anon_sym_AMP_AMP] = ACTIONS(1919),
    [anon_sym_PIPE_PIPE] = ACTIONS(1919),
    [anon_sym_GT_GT] = ACTIONS(1917),
    [anon_sym_GT_GT_GT] = ACTIONS(1919),
    [anon_sym_LT_LT] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1919),
    [anon_sym_PIPE] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1919),
    [anon_sym_STAR_STAR] = ACTIONS(1919),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1919),
    [anon_sym_EQ_EQ] = ACTIONS(1917),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1919),
    [anon_sym_GT_EQ] = ACTIONS(1919),
    [anon_sym_QMARK_QMARK] = ACTIONS(1919),
    [anon_sym_instanceof] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1913),
    [anon_sym_void] = ACTIONS(1915),
    [anon_sym_delete] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1913),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1913),
    [sym_number] = ACTIONS(1913),
    [sym_private_property_identifier] = ACTIONS(1913),
    [sym_this] = ACTIONS(1915),
    [sym_super] = ACTIONS(1915),
    [sym_true] = ACTIONS(1915),
    [sym_false] = ACTIONS(1915),
    [sym_null] = ACTIONS(1915),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1915),
    [anon_sym_readonly] = ACTIONS(1915),
    [anon_sym_get] = ACTIONS(1915),
    [anon_sym_set] = ACTIONS(1915),
    [anon_sym_declare] = ACTIONS(1915),
    [anon_sym_public] = ACTIONS(1915),
    [anon_sym_private] = ACTIONS(1915),
    [anon_sym_protected] = ACTIONS(1915),
    [anon_sym_override] = ACTIONS(1915),
    [anon_sym_module] = ACTIONS(1915),
    [anon_sym_any] = ACTIONS(1915),
    [anon_sym_number] = ACTIONS(1915),
    [anon_sym_boolean] = ACTIONS(1915),
    [anon_sym_string] = ACTIONS(1915),
    [anon_sym_symbol] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1915),
    [anon_sym_abstract] = ACTIONS(1915),
    [anon_sym_satisfies] = ACTIONS(1917),
    [anon_sym_interface] = ACTIONS(1915),
    [anon_sym_enum] = ACTIONS(1915),
    [sym__automatic_semicolon] = ACTIONS(1921),
    [sym__ternary_qmark] = ACTIONS(1919),
    [sym_html_comment] = ACTIONS(5),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_type] = ACTIONS(1925),
    [anon_sym_as] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_typeof] = ACTIONS(1925),
    [anon_sym_import] = ACTIONS(1925),
    [anon_sym_with] = ACTIONS(1925),
    [anon_sym_var] = ACTIONS(1925),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1925),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_LPAREN] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(1925),
    [anon_sym_in] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_debugger] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_yield] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [sym_glimmer_opening_tag] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1925),
    [anon_sym_DOT] = ACTIONS(1925),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1925),
    [anon_sym_QMARK_DOT] = ACTIONS(1923),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_AMP_AMP] = ACTIONS(1923),
    [anon_sym_PIPE_PIPE] = ACTIONS(1923),
    [anon_sym_GT_GT] = ACTIONS(1925),
    [anon_sym_GT_GT_GT] = ACTIONS(1923),
    [anon_sym_LT_LT] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1925),
    [anon_sym_CARET] = ACTIONS(1923),
    [anon_sym_PIPE] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_SLASH] = ACTIONS(1925),
    [anon_sym_PERCENT] = ACTIONS(1923),
    [anon_sym_STAR_STAR] = ACTIONS(1923),
    [anon_sym_LT] = ACTIONS(1925),
    [anon_sym_LT_EQ] = ACTIONS(1923),
    [anon_sym_EQ_EQ] = ACTIONS(1925),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1925),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1923),
    [anon_sym_GT_EQ] = ACTIONS(1923),
    [anon_sym_QMARK_QMARK] = ACTIONS(1923),
    [anon_sym_instanceof] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_void] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1923),
    [sym_number] = ACTIONS(1923),
    [sym_private_property_identifier] = ACTIONS(1923),
    [sym_this] = ACTIONS(1925),
    [sym_super] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_undefined] = ACTIONS(1925),
    [anon_sym_AT] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_readonly] = ACTIONS(1925),
    [anon_sym_get] = ACTIONS(1925),
    [anon_sym_set] = ACTIONS(1925),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1925),
    [anon_sym_private] = ACTIONS(1925),
    [anon_sym_protected] = ACTIONS(1925),
    [anon_sym_override] = ACTIONS(1925),
    [anon_sym_module] = ACTIONS(1925),
    [anon_sym_any] = ACTIONS(1925),
    [anon_sym_number] = ACTIONS(1925),
    [anon_sym_boolean] = ACTIONS(1925),
    [anon_sym_string] = ACTIONS(1925),
    [anon_sym_symbol] = ACTIONS(1925),
    [anon_sym_object] = ACTIONS(1925),
    [anon_sym_abstract] = ACTIONS(1925),
    [anon_sym_satisfies] = ACTIONS(1925),
    [anon_sym_interface] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [sym__automatic_semicolon] = ACTIONS(1923),
    [sym__ternary_qmark] = ACTIONS(1923),
    [sym_html_comment] = ACTIONS(5),
  },
  [263] = {
    [sym_import] = STATE(3759),
    [sym_variable_declaration] = STATE(312),
    [sym_lexical_declaration] = STATE(312),
    [sym_empty_statement] = STATE(312),
    [sym_parenthesized_expression] = STATE(1347),
    [sym_expression] = STATE(2353),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5020),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5020),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1347),
    [sym_subscript_expression] = STATE(1347),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5020),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5960),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1347),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1813),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(1817),
    [anon_sym_let] = ACTIONS(1819),
    [anon_sym_const] = ACTIONS(1821),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1825),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1827),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1829),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [anon_sym_object] = ACTIONS(1811),
    [sym_html_comment] = ACTIONS(5),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1929),
    [anon_sym_export] = ACTIONS(1929),
    [anon_sym_STAR] = ACTIONS(1929),
    [anon_sym_default] = ACTIONS(1929),
    [anon_sym_type] = ACTIONS(1929),
    [anon_sym_as] = ACTIONS(1929),
    [anon_sym_namespace] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_COMMA] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_typeof] = ACTIONS(1929),
    [anon_sym_import] = ACTIONS(1929),
    [anon_sym_with] = ACTIONS(1929),
    [anon_sym_var] = ACTIONS(1929),
    [anon_sym_let] = ACTIONS(1929),
    [anon_sym_const] = ACTIONS(1929),
    [anon_sym_BANG] = ACTIONS(1929),
    [anon_sym_else] = ACTIONS(1929),
    [anon_sym_if] = ACTIONS(1929),
    [anon_sym_switch] = ACTIONS(1929),
    [anon_sym_for] = ACTIONS(1929),
    [anon_sym_LPAREN] = ACTIONS(1927),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym_await] = ACTIONS(1929),
    [anon_sym_in] = ACTIONS(1929),
    [anon_sym_while] = ACTIONS(1929),
    [anon_sym_do] = ACTIONS(1929),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_break] = ACTIONS(1929),
    [anon_sym_continue] = ACTIONS(1929),
    [anon_sym_debugger] = ACTIONS(1929),
    [anon_sym_return] = ACTIONS(1929),
    [anon_sym_throw] = ACTIONS(1929),
    [anon_sym_case] = ACTIONS(1929),
    [anon_sym_yield] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [sym_glimmer_opening_tag] = ACTIONS(1927),
    [anon_sym_GT] = ACTIONS(1929),
    [anon_sym_DOT] = ACTIONS(1929),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_class] = ACTIONS(1929),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_function] = ACTIONS(1929),
    [anon_sym_QMARK_DOT] = ACTIONS(1927),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_using] = ACTIONS(1929),
    [anon_sym_AMP_AMP] = ACTIONS(1927),
    [anon_sym_PIPE_PIPE] = ACTIONS(1927),
    [anon_sym_GT_GT] = ACTIONS(1929),
    [anon_sym_GT_GT_GT] = ACTIONS(1927),
    [anon_sym_LT_LT] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1929),
    [anon_sym_CARET] = ACTIONS(1927),
    [anon_sym_PIPE] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(1929),
    [anon_sym_DASH] = ACTIONS(1929),
    [anon_sym_SLASH] = ACTIONS(1929),
    [anon_sym_PERCENT] = ACTIONS(1927),
    [anon_sym_STAR_STAR] = ACTIONS(1927),
    [anon_sym_LT] = ACTIONS(1929),
    [anon_sym_LT_EQ] = ACTIONS(1927),
    [anon_sym_EQ_EQ] = ACTIONS(1929),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1927),
    [anon_sym_BANG_EQ] = ACTIONS(1929),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1927),
    [anon_sym_GT_EQ] = ACTIONS(1927),
    [anon_sym_QMARK_QMARK] = ACTIONS(1927),
    [anon_sym_instanceof] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_void] = ACTIONS(1929),
    [anon_sym_delete] = ACTIONS(1929),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1927),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [sym_this] = ACTIONS(1929),
    [sym_super] = ACTIONS(1929),
    [sym_true] = ACTIONS(1929),
    [sym_false] = ACTIONS(1929),
    [sym_null] = ACTIONS(1929),
    [sym_undefined] = ACTIONS(1929),
    [anon_sym_AT] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1929),
    [anon_sym_readonly] = ACTIONS(1929),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_declare] = ACTIONS(1929),
    [anon_sym_public] = ACTIONS(1929),
    [anon_sym_private] = ACTIONS(1929),
    [anon_sym_protected] = ACTIONS(1929),
    [anon_sym_override] = ACTIONS(1929),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_any] = ACTIONS(1929),
    [anon_sym_number] = ACTIONS(1929),
    [anon_sym_boolean] = ACTIONS(1929),
    [anon_sym_string] = ACTIONS(1929),
    [anon_sym_symbol] = ACTIONS(1929),
    [anon_sym_object] = ACTIONS(1929),
    [anon_sym_abstract] = ACTIONS(1929),
    [anon_sym_satisfies] = ACTIONS(1929),
    [anon_sym_interface] = ACTIONS(1929),
    [anon_sym_enum] = ACTIONS(1929),
    [sym__automatic_semicolon] = ACTIONS(1927),
    [sym__ternary_qmark] = ACTIONS(1927),
    [sym_html_comment] = ACTIONS(5),
  },
  [265] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_assignment_pattern] = STATE(5450),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(5149),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [anon_sym_RBRACK] = ACTIONS(1931),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [266] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4394),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_accessibility_modifier] = STATE(293),
    [sym_override_modifier] = STATE(308),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(1238),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1935),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1937),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [267] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [268] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [269] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2465),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [270] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2145),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(4662),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4663),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1941),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [271] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2199),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(4715),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4716),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [272] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2196),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(4670),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4671),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [273] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2197),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(4699),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4700),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1949),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [274] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2173),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(5148),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1951),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1951),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [anon_sym_RBRACK] = ACTIONS(1951),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [275] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2056),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [276] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2185),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(5188),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(5189),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [277] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2190),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(4636),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4637),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [278] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [279] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [280] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1668),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1668),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_GT] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1668),
    [anon_sym_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [anon_sym_extends] = ACTIONS(1670),
    [sym_html_comment] = ACTIONS(5),
  },
  [281] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2244),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(4695),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [aux_sym_array_repeat1] = STATE(4696),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_COMMA] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(1957),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1943),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [282] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2182),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(5978),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5978),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(1959),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1961),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [283] = {
    [sym_import] = STATE(3613),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2465),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1963),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [284] = {
    [sym_import] = STATE(3771),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1967),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1971),
    [anon_sym_export] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(1971),
    [anon_sym_import] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [sym_glimmer_opening_tag] = ACTIONS(1973),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1973),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1971),
    [anon_sym_async] = ACTIONS(1971),
    [anon_sym_function] = ACTIONS(1971),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1971),
    [anon_sym_using] = ACTIONS(1971),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1971),
    [anon_sym_delete] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1973),
    [sym_number] = ACTIONS(1973),
    [sym_private_property_identifier] = ACTIONS(1973),
    [sym_this] = ACTIONS(1971),
    [sym_super] = ACTIONS(1971),
    [sym_true] = ACTIONS(1971),
    [sym_false] = ACTIONS(1971),
    [sym_null] = ACTIONS(1971),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1971),
    [anon_sym_readonly] = ACTIONS(1971),
    [anon_sym_get] = ACTIONS(1971),
    [anon_sym_set] = ACTIONS(1971),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(1971),
    [anon_sym_public] = ACTIONS(1971),
    [anon_sym_private] = ACTIONS(1971),
    [anon_sym_protected] = ACTIONS(1971),
    [anon_sym_override] = ACTIONS(1971),
    [anon_sym_module] = ACTIONS(1971),
    [anon_sym_any] = ACTIONS(1971),
    [anon_sym_number] = ACTIONS(1971),
    [anon_sym_boolean] = ACTIONS(1971),
    [anon_sym_string] = ACTIONS(1971),
    [anon_sym_symbol] = ACTIONS(1971),
    [anon_sym_object] = ACTIONS(1971),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [286] = {
    [sym_import] = STATE(3613),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1975),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [287] = {
    [sym_import] = STATE(3613),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1979),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [288] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_assignment_pattern] = STATE(5503),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4827),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(115),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [289] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2432),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3740),
    [sym_assignment_pattern] = STATE(5503),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3740),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1261),
    [sym_subscript_expression] = STATE(1261),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3740),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4827),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1261),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1622),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_type] = ACTIONS(610),
    [anon_sym_namespace] = ACTIONS(614),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(632),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1624),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1628),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_readonly] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [anon_sym_declare] = ACTIONS(610),
    [anon_sym_public] = ACTIONS(610),
    [anon_sym_private] = ACTIONS(610),
    [anon_sym_protected] = ACTIONS(610),
    [anon_sym_override] = ACTIONS(610),
    [anon_sym_module] = ACTIONS(610),
    [anon_sym_any] = ACTIONS(610),
    [anon_sym_number] = ACTIONS(610),
    [anon_sym_boolean] = ACTIONS(610),
    [anon_sym_string] = ACTIONS(610),
    [anon_sym_symbol] = ACTIONS(610),
    [anon_sym_object] = ACTIONS(610),
    [sym_html_comment] = ACTIONS(5),
  },
  [290] = {
    [sym_import] = STATE(3720),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2876),
    [sym__type_query_subscript_expression] = STATE(2890),
    [sym__type_query_call_expression] = STATE(3066),
    [sym__type_query_instantiation_expression] = STATE(3195),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1983),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [291] = {
    [sym_import] = STATE(3670),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2056),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1985),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [292] = {
    [sym_import] = STATE(3771),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1987),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [293] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4362),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_override_modifier] = STATE(315),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1989),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1991),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [294] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_override_modifier] = STATE(311),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1971),
    [anon_sym_export] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_LBRACE] = ACTIONS(1973),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(1971),
    [anon_sym_import] = ACTIONS(1971),
    [anon_sym_let] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(1971),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(1971),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [sym_glimmer_opening_tag] = ACTIONS(1973),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1973),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1971),
    [anon_sym_async] = ACTIONS(1971),
    [anon_sym_function] = ACTIONS(1971),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1971),
    [anon_sym_using] = ACTIONS(1971),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1973),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(1971),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(1973),
    [anon_sym_void] = ACTIONS(1971),
    [anon_sym_delete] = ACTIONS(1971),
    [anon_sym_PLUS_PLUS] = ACTIONS(1973),
    [anon_sym_DASH_DASH] = ACTIONS(1973),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1973),
    [sym_number] = ACTIONS(1973),
    [sym_private_property_identifier] = ACTIONS(1973),
    [sym_this] = ACTIONS(1971),
    [sym_super] = ACTIONS(1971),
    [sym_true] = ACTIONS(1971),
    [sym_false] = ACTIONS(1971),
    [sym_null] = ACTIONS(1971),
    [sym_undefined] = ACTIONS(1971),
    [anon_sym_AT] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1971),
    [anon_sym_readonly] = ACTIONS(1971),
    [anon_sym_get] = ACTIONS(1971),
    [anon_sym_set] = ACTIONS(1971),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(1971),
    [anon_sym_public] = ACTIONS(1971),
    [anon_sym_private] = ACTIONS(1971),
    [anon_sym_protected] = ACTIONS(1971),
    [anon_sym_override] = ACTIONS(1971),
    [anon_sym_module] = ACTIONS(1971),
    [anon_sym_any] = ACTIONS(1971),
    [anon_sym_number] = ACTIONS(1971),
    [anon_sym_boolean] = ACTIONS(1971),
    [anon_sym_string] = ACTIONS(1971),
    [anon_sym_symbol] = ACTIONS(1971),
    [anon_sym_object] = ACTIONS(1971),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [296] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2159),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_spread_element] = STATE(5995),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5995),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(1995),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1961),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [297] = {
    [sym_import] = STATE(3670),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1999),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [298] = {
    [sym_import] = STATE(3613),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2001),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [299] = {
    [sym_import] = STATE(3613),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2003),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(1999),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_typeof] = ACTIONS(2005),
    [anon_sym_import] = ACTIONS(2005),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_await] = ACTIONS(2005),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_yield] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [sym_glimmer_opening_tag] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2005),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_function] = ACTIONS(2005),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_using] = ACTIONS(2005),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2005),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_void] = ACTIONS(2005),
    [anon_sym_delete] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [sym_private_property_identifier] = ACTIONS(2007),
    [sym_this] = ACTIONS(2005),
    [sym_super] = ACTIONS(2005),
    [sym_true] = ACTIONS(2005),
    [sym_false] = ACTIONS(2005),
    [sym_null] = ACTIONS(2005),
    [sym_undefined] = ACTIONS(2005),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(2005),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [301] = {
    [sym_import] = STATE(3670),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1979),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [302] = {
    [sym_import] = STATE(3659),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2011),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [303] = {
    [sym_import] = STATE(3592),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [304] = {
    [sym_import] = STATE(3670),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym__type_query_member_expression] = STATE(2835),
    [sym__type_query_subscript_expression] = STATE(2834),
    [sym__type_query_call_expression] = STATE(2883),
    [sym__type_query_instantiation_expression] = STATE(2977),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2015),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_typeof] = ACTIONS(2005),
    [anon_sym_import] = ACTIONS(2005),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2005),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_await] = ACTIONS(2005),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_yield] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [sym_glimmer_opening_tag] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [anon_sym_class] = ACTIONS(2005),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_function] = ACTIONS(2005),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_using] = ACTIONS(2005),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2007),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2005),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2005),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_void] = ACTIONS(2005),
    [anon_sym_delete] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [sym_private_property_identifier] = ACTIONS(2007),
    [sym_this] = ACTIONS(2005),
    [sym_super] = ACTIONS(2005),
    [sym_true] = ACTIONS(2005),
    [sym_false] = ACTIONS(2005),
    [sym_null] = ACTIONS(2005),
    [sym_undefined] = ACTIONS(2005),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(2005),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [306] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4147),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(803),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [307] = {
    [sym_import] = STATE(3759),
    [sym_empty_statement] = STATE(323),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2203),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5672),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [308] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4372),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(2017),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2019),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [309] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1914),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5438),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_SEMI] = ACTIONS(2021),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym__automatic_semicolon] = ACTIONS(2021),
    [sym_html_comment] = ACTIONS(5),
  },
  [310] = {
    [sym_import] = STATE(3759),
    [sym_empty_statement] = STATE(318),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2316),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5701),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [311] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4353),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(751),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2023),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [312] = {
    [sym_import] = STATE(3759),
    [sym_empty_statement] = STATE(327),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2315),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5683),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [313] = {
    [sym_import] = STATE(3759),
    [sym_empty_statement] = STATE(317),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2356),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5793),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [314] = {
    [sym_import] = STATE(3759),
    [sym_empty_statement] = STATE(319),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2351),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5917),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [315] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3643),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3643),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1279),
    [sym_subscript_expression] = STATE(1279),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3643),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_pattern] = STATE(4205),
    [sym_rest_pattern] = STATE(3606),
    [sym_non_null_expression] = STATE(1279),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_export] = ACTIONS(115),
    [anon_sym_type] = ACTIONS(115),
    [anon_sym_namespace] = ACTIONS(124),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(115),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(169),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(2025),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(115),
    [anon_sym_readonly] = ACTIONS(2027),
    [anon_sym_get] = ACTIONS(115),
    [anon_sym_set] = ACTIONS(115),
    [anon_sym_declare] = ACTIONS(115),
    [anon_sym_public] = ACTIONS(115),
    [anon_sym_private] = ACTIONS(115),
    [anon_sym_protected] = ACTIONS(115),
    [anon_sym_override] = ACTIONS(115),
    [anon_sym_module] = ACTIONS(115),
    [anon_sym_any] = ACTIONS(115),
    [anon_sym_number] = ACTIONS(115),
    [anon_sym_boolean] = ACTIONS(115),
    [anon_sym_string] = ACTIONS(115),
    [anon_sym_symbol] = ACTIONS(115),
    [anon_sym_object] = ACTIONS(115),
    [sym_html_comment] = ACTIONS(5),
  },
  [316] = {
    [sym_import] = STATE(3759),
    [sym_empty_statement] = STATE(322),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2352),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5920),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(43),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [317] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2202),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5656),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2029),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [318] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2239),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5711),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [319] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2346),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5867),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [320] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2347),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5871),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [321] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2306),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5928),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2037),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [322] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2348),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5873),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2039),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [323] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2307),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5935),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2041),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [324] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2241),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5746),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [325] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2349),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5876),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [326] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1390),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5070),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5070),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1390),
    [sym_subscript_expression] = STATE(1390),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5070),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1390),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2047),
    [anon_sym_export] = ACTIONS(2049),
    [anon_sym_type] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2051),
    [anon_sym_LBRACE] = ACTIONS(1815),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_var] = ACTIONS(2053),
    [anon_sym_let] = ACTIONS(2055),
    [anon_sym_const] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1823),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2059),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2063),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_readonly] = ACTIONS(2049),
    [anon_sym_get] = ACTIONS(2049),
    [anon_sym_set] = ACTIONS(2049),
    [anon_sym_declare] = ACTIONS(2049),
    [anon_sym_public] = ACTIONS(2049),
    [anon_sym_private] = ACTIONS(2049),
    [anon_sym_protected] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_module] = ACTIONS(2049),
    [anon_sym_any] = ACTIONS(2049),
    [anon_sym_number] = ACTIONS(2049),
    [anon_sym_boolean] = ACTIONS(2049),
    [anon_sym_string] = ACTIONS(2049),
    [anon_sym_symbol] = ACTIONS(2049),
    [anon_sym_object] = ACTIONS(2049),
    [sym_html_comment] = ACTIONS(5),
  },
  [327] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2234),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5669),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2065),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [328] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2075),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5740),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [329] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2238),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5708),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [330] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2333),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5785),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [331] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1936),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_sequence_expression] = STATE(5454),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [332] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1696),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1702),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [333] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2506),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [334] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2304),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5902),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [335] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2434),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [336] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1724),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2438),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [337] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1696),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2451),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [338] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1657),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2453),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [339] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2454),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [340] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2455),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [341] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1724),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2510),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [342] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1696),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2523),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [343] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1657),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2525),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [344] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2526),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [345] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2527),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(2073),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [346] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2183),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1821),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [347] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1724),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1672),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [348] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2198),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5814),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [349] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2183),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2135),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [350] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2505),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_mapped_type_clause] = STATE(5612),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2079),
    [anon_sym_type] = ACTIONS(2079),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2079),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2083),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2079),
    [anon_sym_readonly] = ACTIONS(2079),
    [anon_sym_get] = ACTIONS(2079),
    [anon_sym_set] = ACTIONS(2079),
    [anon_sym_declare] = ACTIONS(2079),
    [anon_sym_public] = ACTIONS(2079),
    [anon_sym_private] = ACTIONS(2079),
    [anon_sym_protected] = ACTIONS(2079),
    [anon_sym_override] = ACTIONS(2079),
    [anon_sym_module] = ACTIONS(2079),
    [anon_sym_any] = ACTIONS(2079),
    [anon_sym_number] = ACTIONS(2079),
    [anon_sym_boolean] = ACTIONS(2079),
    [anon_sym_string] = ACTIONS(2079),
    [anon_sym_symbol] = ACTIONS(2079),
    [anon_sym_object] = ACTIONS(2079),
    [sym_html_comment] = ACTIONS(5),
  },
  [351] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2178),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5719),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [352] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2220),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5706),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [353] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1824),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5651),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [354] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2183),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [355] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2228),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2143),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [356] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2228),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1829),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [357] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2195),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1842),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [358] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2031),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [359] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1724),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2035),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [360] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2147),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5676),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [361] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1696),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2048),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [362] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1657),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2050),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [363] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2051),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [364] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2052),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [365] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2121),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1844),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [366] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2174),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5982),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [367] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2124),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1845),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [368] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2126),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1846),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [369] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2200),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5615),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [370] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1620),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [371] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2233),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5629),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [372] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2195),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2160),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [373] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2243),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5796),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [374] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2330),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5603),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [375] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2228),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1772),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [376] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2201),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5652),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [377] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2121),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1809),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [378] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2121),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2162),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [379] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2249),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [380] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2124),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2163),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [381] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1724),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2253),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [382] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1696),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2266),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [383] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1657),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2268),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [384] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2269),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [385] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2195),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1788),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [386] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2270),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [387] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2126),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2164),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [388] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2505),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_mapped_type_clause] = STATE(5882),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2087),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2095),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_object] = ACTIONS(2089),
    [sym_html_comment] = ACTIONS(5),
  },
  [389] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1699),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [390] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2124),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1856),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [391] = {
    [sym_import] = STATE(3760),
    [sym_statement_block] = STATE(2126),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1811),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [392] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1657),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1674),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [393] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2167),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5673),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [394] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1812),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5892),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [395] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2077),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym__extends_clause_single] = STATE(4856),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [396] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1642),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2469),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [397] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1724),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2477),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [398] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1696),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2367),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [399] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1657),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2369),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [400] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2370),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [401] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1619),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2371),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [402] = {
    [sym_import] = STATE(3759),
    [sym_statement_block] = STATE(1714),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1617),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [403] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2077),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym__extends_clause_single] = STATE(4572),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [404] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2224),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_sequence_expression] = STATE(5994),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [405] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [406] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1969),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [407] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1777),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [408] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1778),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [409] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1779),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [410] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1780),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [411] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1783),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [412] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1784),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [413] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1785),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [414] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1786),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [415] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2018),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(4305),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(4305),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1332),
    [sym_subscript_expression] = STATE(1332),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(4305),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1332),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(1210),
    [anon_sym_type] = ACTIONS(1210),
    [anon_sym_namespace] = ACTIONS(1212),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1216),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2099),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_readonly] = ACTIONS(1210),
    [anon_sym_get] = ACTIONS(1210),
    [anon_sym_set] = ACTIONS(1210),
    [anon_sym_declare] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_override] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_any] = ACTIONS(1210),
    [anon_sym_number] = ACTIONS(1210),
    [anon_sym_boolean] = ACTIONS(1210),
    [anon_sym_string] = ACTIONS(1210),
    [anon_sym_symbol] = ACTIONS(1210),
    [anon_sym_object] = ACTIONS(1210),
    [sym_html_comment] = ACTIONS(5),
  },
  [416] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1789),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [417] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1712),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [418] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1725),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [419] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1908),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [420] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2563),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [421] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1909),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [422] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [423] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1718),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [424] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1700),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [425] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1653),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [426] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1739),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [427] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [428] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1618),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [429] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [430] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1646),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [431] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1659),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [432] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1666),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [433] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1677),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [434] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1689),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [435] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1660),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [436] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1708),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [437] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1610),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [438] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2312),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [439] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1911),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [440] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1912),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [441] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1634),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [442] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1635),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [443] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2103),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [444] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(2338),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [445] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [446] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [447] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1680),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [448] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1916),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [449] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2072),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [450] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1760),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [451] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2484),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [452] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [453] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1813),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [454] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1814),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [455] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2105),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [456] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2018),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [457] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [458] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [459] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(3654),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(3654),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1257),
    [sym_subscript_expression] = STATE(1257),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(3654),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1257),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2111),
    [anon_sym_type] = ACTIONS(2111),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(733),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2111),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(1634),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2115),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2119),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2111),
    [anon_sym_readonly] = ACTIONS(2111),
    [anon_sym_get] = ACTIONS(2111),
    [anon_sym_set] = ACTIONS(2111),
    [anon_sym_declare] = ACTIONS(2111),
    [anon_sym_public] = ACTIONS(2111),
    [anon_sym_private] = ACTIONS(2111),
    [anon_sym_protected] = ACTIONS(2111),
    [anon_sym_override] = ACTIONS(2111),
    [anon_sym_module] = ACTIONS(2111),
    [anon_sym_any] = ACTIONS(2111),
    [anon_sym_number] = ACTIONS(2111),
    [anon_sym_boolean] = ACTIONS(2111),
    [anon_sym_string] = ACTIONS(2111),
    [anon_sym_symbol] = ACTIONS(2111),
    [anon_sym_object] = ACTIONS(2111),
    [sym_html_comment] = ACTIONS(5),
  },
  [460] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1806),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2121),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [461] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2107),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [462] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(2170),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [463] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(1726),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2123),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [464] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1425),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5972),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5972),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1425),
    [sym_subscript_expression] = STATE(1425),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5972),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1425),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2125),
    [anon_sym_export] = ACTIONS(2127),
    [anon_sym_type] = ACTIONS(2127),
    [anon_sym_namespace] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2127),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2131),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2135),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2127),
    [anon_sym_readonly] = ACTIONS(2127),
    [anon_sym_get] = ACTIONS(2127),
    [anon_sym_set] = ACTIONS(2127),
    [anon_sym_declare] = ACTIONS(2127),
    [anon_sym_public] = ACTIONS(2127),
    [anon_sym_private] = ACTIONS(2127),
    [anon_sym_protected] = ACTIONS(2127),
    [anon_sym_override] = ACTIONS(2127),
    [anon_sym_module] = ACTIONS(2127),
    [anon_sym_any] = ACTIONS(2127),
    [anon_sym_number] = ACTIONS(2127),
    [anon_sym_boolean] = ACTIONS(2127),
    [anon_sym_string] = ACTIONS(2127),
    [anon_sym_symbol] = ACTIONS(2127),
    [anon_sym_object] = ACTIONS(2127),
    [sym_html_comment] = ACTIONS(5),
  },
  [465] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1810),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [466] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2136),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [467] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2138),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [468] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2142),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [469] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2424),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [470] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2144),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [471] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2504),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [472] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2146),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [473] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2429),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [474] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2148),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [475] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2149),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [476] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2150),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [477] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2151),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [478] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2152),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [479] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2153),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [480] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2154),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [481] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2155),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [482] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2157),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [483] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2158),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [484] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2161),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [485] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2505),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [486] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2165),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [487] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2166),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [488] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2540),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [489] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2121),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [490] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1822),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [491] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2168),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [492] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2548),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [493] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2507),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [494] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2508),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [495] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2509),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [496] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2511),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [497] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2512),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [498] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2513),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [499] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2514),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [500] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2515),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [501] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2516),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [502] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2517),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [503] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2518),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [504] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2519),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [505] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2520),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [506] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2521),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [507] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2522),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [508] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2524),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [509] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [510] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5768),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5768),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1429),
    [sym_subscript_expression] = STATE(1429),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5768),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1429),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2139),
    [anon_sym_type] = ACTIONS(2139),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2139),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2143),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2147),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2139),
    [anon_sym_readonly] = ACTIONS(2139),
    [anon_sym_get] = ACTIONS(2139),
    [anon_sym_set] = ACTIONS(2139),
    [anon_sym_declare] = ACTIONS(2139),
    [anon_sym_public] = ACTIONS(2139),
    [anon_sym_private] = ACTIONS(2139),
    [anon_sym_protected] = ACTIONS(2139),
    [anon_sym_override] = ACTIONS(2139),
    [anon_sym_module] = ACTIONS(2139),
    [anon_sym_any] = ACTIONS(2139),
    [anon_sym_number] = ACTIONS(2139),
    [anon_sym_boolean] = ACTIONS(2139),
    [anon_sym_string] = ACTIONS(2139),
    [anon_sym_symbol] = ACTIONS(2139),
    [anon_sym_object] = ACTIONS(2139),
    [sym_html_comment] = ACTIONS(5),
  },
  [511] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2528),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [512] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2529),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [513] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2103),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [514] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2530),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [515] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2545),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [516] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1200),
    [sym_expression] = STATE(2546),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5944),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5944),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1200),
    [sym_subscript_expression] = STATE(1200),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5944),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1200),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(817),
    [anon_sym_export] = ACTIONS(819),
    [anon_sym_type] = ACTIONS(819),
    [anon_sym_namespace] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(819),
    [anon_sym_readonly] = ACTIONS(819),
    [anon_sym_get] = ACTIONS(819),
    [anon_sym_set] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [anon_sym_public] = ACTIONS(819),
    [anon_sym_private] = ACTIONS(819),
    [anon_sym_protected] = ACTIONS(819),
    [anon_sym_override] = ACTIONS(819),
    [anon_sym_module] = ACTIONS(819),
    [anon_sym_any] = ACTIONS(819),
    [anon_sym_number] = ACTIONS(819),
    [anon_sym_boolean] = ACTIONS(819),
    [anon_sym_string] = ACTIONS(819),
    [anon_sym_symbol] = ACTIONS(819),
    [anon_sym_object] = ACTIONS(819),
    [sym_html_comment] = ACTIONS(5),
  },
  [517] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1431),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5879),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5879),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1431),
    [sym_subscript_expression] = STATE(1431),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5879),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1431),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2151),
    [anon_sym_type] = ACTIONS(2151),
    [anon_sym_namespace] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2151),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2155),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2157),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2159),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2151),
    [anon_sym_readonly] = ACTIONS(2151),
    [anon_sym_get] = ACTIONS(2151),
    [anon_sym_set] = ACTIONS(2151),
    [anon_sym_declare] = ACTIONS(2151),
    [anon_sym_public] = ACTIONS(2151),
    [anon_sym_private] = ACTIONS(2151),
    [anon_sym_protected] = ACTIONS(2151),
    [anon_sym_override] = ACTIONS(2151),
    [anon_sym_module] = ACTIONS(2151),
    [anon_sym_any] = ACTIONS(2151),
    [anon_sym_number] = ACTIONS(2151),
    [anon_sym_boolean] = ACTIONS(2151),
    [anon_sym_string] = ACTIONS(2151),
    [anon_sym_symbol] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2151),
    [sym_html_comment] = ACTIONS(5),
  },
  [518] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1826),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [519] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1827),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [520] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [521] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1830),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [522] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2549),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [523] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1831),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [524] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1832),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [525] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1833),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [526] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1834),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [527] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1835),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [528] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2564),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [529] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1837),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [530] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1838),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [531] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1839),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [532] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1840),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [533] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1841),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [534] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1790),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [535] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1843),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [536] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1847),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [537] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1848),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [538] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(2121),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [539] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1849),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [540] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2468),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [541] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2250),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [542] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2251),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [543] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2252),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [544] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2254),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [545] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2255),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [546] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2256),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [547] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2257),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [548] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2258),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [549] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2259),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [550] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2260),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [551] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2261),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [552] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2262),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [553] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2263),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [554] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2264),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [555] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2265),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [556] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2267),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [557] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2271),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [558] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2272),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [559] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2103),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [560] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2273),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [561] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2279),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [562] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2280),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [563] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1427),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5732),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5732),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1427),
    [sym_subscript_expression] = STATE(1427),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5732),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1427),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2161),
    [anon_sym_export] = ACTIONS(2163),
    [anon_sym_type] = ACTIONS(2163),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2163),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2167),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2171),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2163),
    [anon_sym_readonly] = ACTIONS(2163),
    [anon_sym_get] = ACTIONS(2163),
    [anon_sym_set] = ACTIONS(2163),
    [anon_sym_declare] = ACTIONS(2163),
    [anon_sym_public] = ACTIONS(2163),
    [anon_sym_private] = ACTIONS(2163),
    [anon_sym_protected] = ACTIONS(2163),
    [anon_sym_override] = ACTIONS(2163),
    [anon_sym_module] = ACTIONS(2163),
    [anon_sym_any] = ACTIONS(2163),
    [anon_sym_number] = ACTIONS(2163),
    [anon_sym_boolean] = ACTIONS(2163),
    [anon_sym_string] = ACTIONS(2163),
    [anon_sym_symbol] = ACTIONS(2163),
    [anon_sym_object] = ACTIONS(2163),
    [sym_html_comment] = ACTIONS(5),
  },
  [564] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2550),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [565] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2470),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [566] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2471),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [567] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2474),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [568] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2478),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [569] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2479),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [570] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2480),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [571] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2422),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [572] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2423),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [573] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2360),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [574] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2361),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [575] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2362),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [576] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2363),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [577] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2364),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [578] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2365),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [579] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2366),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [580] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2368),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [581] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2372),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [582] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2373),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [583] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2103),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [584] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1852),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [585] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2374),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [586] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2380),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [587] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2381),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [588] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1426),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5857),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5857),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1426),
    [sym_subscript_expression] = STATE(1426),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5857),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1426),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2175),
    [anon_sym_type] = ACTIONS(2175),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2175),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2179),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2183),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2175),
    [anon_sym_readonly] = ACTIONS(2175),
    [anon_sym_get] = ACTIONS(2175),
    [anon_sym_set] = ACTIONS(2175),
    [anon_sym_declare] = ACTIONS(2175),
    [anon_sym_public] = ACTIONS(2175),
    [anon_sym_private] = ACTIONS(2175),
    [anon_sym_protected] = ACTIONS(2175),
    [anon_sym_override] = ACTIONS(2175),
    [anon_sym_module] = ACTIONS(2175),
    [anon_sym_any] = ACTIONS(2175),
    [anon_sym_number] = ACTIONS(2175),
    [anon_sym_boolean] = ACTIONS(2175),
    [anon_sym_string] = ACTIONS(2175),
    [anon_sym_symbol] = ACTIONS(2175),
    [anon_sym_object] = ACTIONS(2175),
    [sym_html_comment] = ACTIONS(5),
  },
  [589] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2551),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [590] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2435),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [591] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2436),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [592] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2437),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [593] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2439),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [594] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2440),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [595] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2441),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [596] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2442),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [597] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2443),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [598] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2444),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [599] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2445),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [600] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2446),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [601] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2447),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [602] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2448),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [603] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2449),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [604] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2450),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [605] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2452),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [606] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2456),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [607] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2457),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [608] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2465),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2103),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [609] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1771),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [610] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2458),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [611] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2465),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [612] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1414),
    [sym_expression] = STATE(2466),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5941),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5941),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5964),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1414),
    [sym_subscript_expression] = STATE(1414),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2983),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5941),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1414),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1480),
    [anon_sym_export] = ACTIONS(1332),
    [anon_sym_type] = ACTIONS(1332),
    [anon_sym_namespace] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(1356),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1342),
    [anon_sym_yield] = ACTIONS(1344),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1346),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1484),
    [anon_sym_using] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(972),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_void] = ACTIONS(1356),
    [anon_sym_delete] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1358),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1360),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1486),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1332),
    [anon_sym_readonly] = ACTIONS(1332),
    [anon_sym_get] = ACTIONS(1332),
    [anon_sym_set] = ACTIONS(1332),
    [anon_sym_declare] = ACTIONS(1332),
    [anon_sym_public] = ACTIONS(1332),
    [anon_sym_private] = ACTIONS(1332),
    [anon_sym_protected] = ACTIONS(1332),
    [anon_sym_override] = ACTIONS(1332),
    [anon_sym_module] = ACTIONS(1332),
    [anon_sym_any] = ACTIONS(1332),
    [anon_sym_number] = ACTIONS(1332),
    [anon_sym_boolean] = ACTIONS(1332),
    [anon_sym_string] = ACTIONS(1332),
    [anon_sym_symbol] = ACTIONS(1332),
    [anon_sym_object] = ACTIONS(1332),
    [sym_html_comment] = ACTIONS(5),
  },
  [613] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1430),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5980),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5980),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1430),
    [sym_subscript_expression] = STATE(1430),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5980),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1430),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2187),
    [anon_sym_type] = ACTIONS(2187),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2187),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2191),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2195),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2187),
    [anon_sym_readonly] = ACTIONS(2187),
    [anon_sym_get] = ACTIONS(2187),
    [anon_sym_set] = ACTIONS(2187),
    [anon_sym_declare] = ACTIONS(2187),
    [anon_sym_public] = ACTIONS(2187),
    [anon_sym_private] = ACTIONS(2187),
    [anon_sym_protected] = ACTIONS(2187),
    [anon_sym_override] = ACTIONS(2187),
    [anon_sym_module] = ACTIONS(2187),
    [anon_sym_any] = ACTIONS(2187),
    [anon_sym_number] = ACTIONS(2187),
    [anon_sym_boolean] = ACTIONS(2187),
    [anon_sym_string] = ACTIONS(2187),
    [anon_sym_symbol] = ACTIONS(2187),
    [anon_sym_object] = ACTIONS(2187),
    [sym_html_comment] = ACTIONS(5),
  },
  [614] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2554),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [615] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1773),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [616] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2207),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [617] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2208),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [618] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2210),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [619] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1271),
    [sym_expression] = STATE(2432),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5859),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5859),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5891),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1271),
    [sym_subscript_expression] = STATE(1271),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2925),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5859),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1271),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(1046),
    [anon_sym_type] = ACTIONS(1046),
    [anon_sym_namespace] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(650),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(622),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(624),
    [anon_sym_yield] = ACTIONS(626),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1054),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(636),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(622),
    [anon_sym_void] = ACTIONS(650),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_PLUS_PLUS] = ACTIONS(652),
    [anon_sym_DASH_DASH] = ACTIONS(652),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(654),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1440),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_readonly] = ACTIONS(1046),
    [anon_sym_get] = ACTIONS(1046),
    [anon_sym_set] = ACTIONS(1046),
    [anon_sym_declare] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_override] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_any] = ACTIONS(1046),
    [anon_sym_number] = ACTIONS(1046),
    [anon_sym_boolean] = ACTIONS(1046),
    [anon_sym_string] = ACTIONS(1046),
    [anon_sym_symbol] = ACTIONS(1046),
    [anon_sym_object] = ACTIONS(1046),
    [sym_html_comment] = ACTIONS(5),
  },
  [620] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2059),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [621] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2032),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [622] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2033),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [623] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2034),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [624] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2036),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [625] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2037),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [626] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2038),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [627] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2039),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [628] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2040),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [629] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2041),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [630] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2042),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [631] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2043),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [632] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2044),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [633] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2045),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [634] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2046),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [635] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2047),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [636] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2049),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [637] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2053),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [638] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2054),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [639] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2056),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(2103),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [640] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2055),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [641] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2056),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [642] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_expression] = STATE(2057),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5885),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5885),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5792),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1365),
    [sym_subscript_expression] = STATE(1365),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2991),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5885),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1365),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(1296),
    [anon_sym_type] = ACTIONS(1296),
    [anon_sym_namespace] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1318),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1296),
    [anon_sym_BANG] = ACTIONS(1302),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1304),
    [anon_sym_yield] = ACTIONS(1306),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1308),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1468),
    [anon_sym_using] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_SLASH] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1302),
    [anon_sym_void] = ACTIONS(1318),
    [anon_sym_delete] = ACTIONS(1318),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1322),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1470),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1296),
    [anon_sym_readonly] = ACTIONS(1296),
    [anon_sym_get] = ACTIONS(1296),
    [anon_sym_set] = ACTIONS(1296),
    [anon_sym_declare] = ACTIONS(1296),
    [anon_sym_public] = ACTIONS(1296),
    [anon_sym_private] = ACTIONS(1296),
    [anon_sym_protected] = ACTIONS(1296),
    [anon_sym_override] = ACTIONS(1296),
    [anon_sym_module] = ACTIONS(1296),
    [anon_sym_any] = ACTIONS(1296),
    [anon_sym_number] = ACTIONS(1296),
    [anon_sym_boolean] = ACTIONS(1296),
    [anon_sym_string] = ACTIONS(1296),
    [anon_sym_symbol] = ACTIONS(1296),
    [anon_sym_object] = ACTIONS(1296),
    [sym_html_comment] = ACTIONS(5),
  },
  [643] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2565),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [644] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1775),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [645] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1373),
    [sym_expression] = STATE(2433),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5608),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5608),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5606),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1373),
    [sym_subscript_expression] = STATE(1373),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2986),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5608),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1373),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(1370),
    [anon_sym_type] = ACTIONS(1370),
    [anon_sym_namespace] = ACTIONS(1372),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1396),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1370),
    [anon_sym_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1386),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1460),
    [anon_sym_using] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1378),
    [anon_sym_void] = ACTIONS(1396),
    [anon_sym_delete] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1398),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1404),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1462),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_readonly] = ACTIONS(1370),
    [anon_sym_get] = ACTIONS(1370),
    [anon_sym_set] = ACTIONS(1370),
    [anon_sym_declare] = ACTIONS(1370),
    [anon_sym_public] = ACTIONS(1370),
    [anon_sym_private] = ACTIONS(1370),
    [anon_sym_protected] = ACTIONS(1370),
    [anon_sym_override] = ACTIONS(1370),
    [anon_sym_module] = ACTIONS(1370),
    [anon_sym_any] = ACTIONS(1370),
    [anon_sym_number] = ACTIONS(1370),
    [anon_sym_boolean] = ACTIONS(1370),
    [anon_sym_string] = ACTIONS(1370),
    [anon_sym_symbol] = ACTIONS(1370),
    [anon_sym_object] = ACTIONS(1370),
    [sym_html_comment] = ACTIONS(5),
  },
  [646] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(2323),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [647] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1432),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5810),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5810),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1432),
    [sym_subscript_expression] = STATE(1432),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5810),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1432),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2199),
    [anon_sym_type] = ACTIONS(2199),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2203),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2207),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2199),
    [anon_sym_readonly] = ACTIONS(2199),
    [anon_sym_get] = ACTIONS(2199),
    [anon_sym_set] = ACTIONS(2199),
    [anon_sym_declare] = ACTIONS(2199),
    [anon_sym_public] = ACTIONS(2199),
    [anon_sym_private] = ACTIONS(2199),
    [anon_sym_protected] = ACTIONS(2199),
    [anon_sym_override] = ACTIONS(2199),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_any] = ACTIONS(2199),
    [anon_sym_number] = ACTIONS(2199),
    [anon_sym_boolean] = ACTIONS(2199),
    [anon_sym_string] = ACTIONS(2199),
    [anon_sym_symbol] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(2199),
    [sym_html_comment] = ACTIONS(5),
  },
  [648] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2561),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [649] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1758),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [650] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1854),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [651] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2282),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [652] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1413),
    [sym_expression] = STATE(2384),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5930),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5930),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5844),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1413),
    [sym_subscript_expression] = STATE(1413),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2976),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5930),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1413),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1488),
    [anon_sym_export] = ACTIONS(1174),
    [anon_sym_type] = ACTIONS(1174),
    [anon_sym_namespace] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1196),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1174),
    [anon_sym_BANG] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1182),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1186),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1492),
    [anon_sym_using] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1180),
    [anon_sym_void] = ACTIONS(1196),
    [anon_sym_delete] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1200),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1494),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1174),
    [anon_sym_readonly] = ACTIONS(1174),
    [anon_sym_get] = ACTIONS(1174),
    [anon_sym_set] = ACTIONS(1174),
    [anon_sym_declare] = ACTIONS(1174),
    [anon_sym_public] = ACTIONS(1174),
    [anon_sym_private] = ACTIONS(1174),
    [anon_sym_protected] = ACTIONS(1174),
    [anon_sym_override] = ACTIONS(1174),
    [anon_sym_module] = ACTIONS(1174),
    [anon_sym_any] = ACTIONS(1174),
    [anon_sym_number] = ACTIONS(1174),
    [anon_sym_boolean] = ACTIONS(1174),
    [anon_sym_string] = ACTIONS(1174),
    [anon_sym_symbol] = ACTIONS(1174),
    [anon_sym_object] = ACTIONS(1174),
    [sym_html_comment] = ACTIONS(5),
  },
  [653] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1424),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5634),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5634),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1424),
    [sym_subscript_expression] = STATE(1424),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5634),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1424),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2211),
    [anon_sym_type] = ACTIONS(2211),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2211),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2215),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2219),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2211),
    [anon_sym_readonly] = ACTIONS(2211),
    [anon_sym_get] = ACTIONS(2211),
    [anon_sym_set] = ACTIONS(2211),
    [anon_sym_declare] = ACTIONS(2211),
    [anon_sym_public] = ACTIONS(2211),
    [anon_sym_private] = ACTIONS(2211),
    [anon_sym_protected] = ACTIONS(2211),
    [anon_sym_override] = ACTIONS(2211),
    [anon_sym_module] = ACTIONS(2211),
    [anon_sym_any] = ACTIONS(2211),
    [anon_sym_number] = ACTIONS(2211),
    [anon_sym_boolean] = ACTIONS(2211),
    [anon_sym_string] = ACTIONS(2211),
    [anon_sym_symbol] = ACTIONS(2211),
    [anon_sym_object] = ACTIONS(2211),
    [sym_html_comment] = ACTIONS(5),
  },
  [654] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1336),
    [sym_expression] = STATE(1776),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5605),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5605),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5818),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1336),
    [sym_subscript_expression] = STATE(1336),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2949),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5605),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1336),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1442),
    [anon_sym_export] = ACTIONS(1068),
    [anon_sym_type] = ACTIONS(1068),
    [anon_sym_namespace] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(21),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(33),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(45),
    [anon_sym_yield] = ACTIONS(63),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1080),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1446),
    [anon_sym_using] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_SLASH] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(33),
    [anon_sym_void] = ACTIONS(21),
    [anon_sym_delete] = ACTIONS(21),
    [anon_sym_PLUS_PLUS] = ACTIONS(87),
    [anon_sym_DASH_DASH] = ACTIONS(87),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(93),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(97),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_readonly] = ACTIONS(1068),
    [anon_sym_get] = ACTIONS(1068),
    [anon_sym_set] = ACTIONS(1068),
    [anon_sym_declare] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_override] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_any] = ACTIONS(1068),
    [anon_sym_number] = ACTIONS(1068),
    [anon_sym_boolean] = ACTIONS(1068),
    [anon_sym_string] = ACTIONS(1068),
    [anon_sym_symbol] = ACTIONS(1068),
    [anon_sym_object] = ACTIONS(1068),
    [sym_html_comment] = ACTIONS(5),
  },
  [655] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1377),
    [sym_expression] = STATE(2556),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5794),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5794),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5718),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1377),
    [sym_subscript_expression] = STATE(1377),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2971),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5794),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1377),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(1472),
    [anon_sym_export] = ACTIONS(1126),
    [anon_sym_type] = ACTIONS(1126),
    [anon_sym_namespace] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_typeof] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(847),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(1142),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(1476),
    [anon_sym_using] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_void] = ACTIONS(1152),
    [anon_sym_delete] = ACTIONS(1152),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(1160),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(1478),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_readonly] = ACTIONS(1126),
    [anon_sym_get] = ACTIONS(1126),
    [anon_sym_set] = ACTIONS(1126),
    [anon_sym_declare] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_override] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_any] = ACTIONS(1126),
    [anon_sym_number] = ACTIONS(1126),
    [anon_sym_boolean] = ACTIONS(1126),
    [anon_sym_string] = ACTIONS(1126),
    [anon_sym_symbol] = ACTIONS(1126),
    [anon_sym_object] = ACTIONS(1126),
    [sym_html_comment] = ACTIONS(5),
  },
  [656] = {
    [sym_import] = STATE(3759),
    [sym_parenthesized_expression] = STATE(1428),
    [sym_expression] = STATE(2596),
    [sym_primary_expression] = STATE(1486),
    [sym_yield_expression] = STATE(1640),
    [sym_object] = STATE(1614),
    [sym_object_pattern] = STATE(5910),
    [sym_array] = STATE(1614),
    [sym_array_pattern] = STATE(5910),
    [sym_glimmer_template] = STATE(1640),
    [sym_jsx_element] = STATE(1640),
    [sym_jsx_opening_element] = STATE(3196),
    [sym_jsx_self_closing_element] = STATE(1640),
    [sym_class] = STATE(1614),
    [sym_function_expression] = STATE(1614),
    [sym_generator_function] = STATE(1614),
    [sym_arrow_function] = STATE(1614),
    [sym__call_signature] = STATE(5856),
    [sym_call_expression] = STATE(1614),
    [sym_new_expression] = STATE(1576),
    [sym_await_expression] = STATE(1640),
    [sym_member_expression] = STATE(1428),
    [sym_subscript_expression] = STATE(1428),
    [sym_assignment_expression] = STATE(1640),
    [sym__augmented_assignment_lhs] = STATE(2957),
    [sym_augmented_assignment_expression] = STATE(1640),
    [sym__destructuring_pattern] = STATE(5910),
    [sym_ternary_expression] = STATE(1640),
    [sym_binary_expression] = STATE(1640),
    [sym_unary_expression] = STATE(1640),
    [sym_update_expression] = STATE(1640),
    [sym_string] = STATE(1614),
    [sym_template_string] = STATE(1614),
    [sym_regex] = STATE(1614),
    [sym_meta_property] = STATE(1614),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1428),
    [sym_as_expression] = STATE(1640),
    [sym_satisfies_expression] = STATE(1640),
    [sym_instantiation_expression] = STATE(1640),
    [sym_internal_module] = STATE(1640),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4582),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2223),
    [anon_sym_type] = ACTIONS(2223),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_typeof] = ACTIONS(186),
    [anon_sym_import] = ACTIONS(132),
    [anon_sym_let] = ACTIONS(2223),
    [anon_sym_BANG] = ACTIONS(182),
    [anon_sym_LPAREN] = ACTIONS(825),
    [anon_sym_await] = ACTIONS(141),
    [anon_sym_yield] = ACTIONS(143),
    [anon_sym_LBRACK] = ACTIONS(827),
    [sym_glimmer_opening_tag] = ACTIONS(147),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_class] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(2227),
    [anon_sym_function] = ACTIONS(157),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_using] = ACTIONS(165),
    [anon_sym_PLUS] = ACTIONS(186),
    [anon_sym_DASH] = ACTIONS(186),
    [anon_sym_SLASH] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(180),
    [anon_sym_TILDE] = ACTIONS(182),
    [anon_sym_void] = ACTIONS(186),
    [anon_sym_delete] = ACTIONS(186),
    [anon_sym_PLUS_PLUS] = ACTIONS(721),
    [anon_sym_DASH_DASH] = ACTIONS(721),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(835),
    [sym_number] = ACTIONS(749),
    [sym_private_property_identifier] = ACTIONS(195),
    [sym_this] = ACTIONS(199),
    [sym_super] = ACTIONS(199),
    [sym_true] = ACTIONS(199),
    [sym_false] = ACTIONS(199),
    [sym_null] = ACTIONS(199),
    [sym_undefined] = ACTIONS(2231),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(2223),
    [anon_sym_readonly] = ACTIONS(2223),
    [anon_sym_get] = ACTIONS(2223),
    [anon_sym_set] = ACTIONS(2223),
    [anon_sym_declare] = ACTIONS(2223),
    [anon_sym_public] = ACTIONS(2223),
    [anon_sym_private] = ACTIONS(2223),
    [anon_sym_protected] = ACTIONS(2223),
    [anon_sym_override] = ACTIONS(2223),
    [anon_sym_module] = ACTIONS(2223),
    [anon_sym_any] = ACTIONS(2223),
    [anon_sym_number] = ACTIONS(2223),
    [anon_sym_boolean] = ACTIONS(2223),
    [anon_sym_string] = ACTIONS(2223),
    [anon_sym_symbol] = ACTIONS(2223),
    [anon_sym_object] = ACTIONS(2223),
    [sym_html_comment] = ACTIONS(5),
  },
  [657] = {
    [sym_import] = STATE(3760),
    [sym_parenthesized_expression] = STATE(1330),
    [sym_expression] = STATE(1836),
    [sym_primary_expression] = STATE(1801),
    [sym_yield_expression] = STATE(2062),
    [sym_object] = STATE(2080),
    [sym_object_pattern] = STATE(5895),
    [sym_array] = STATE(2080),
    [sym_array_pattern] = STATE(5895),
    [sym_glimmer_template] = STATE(2062),
    [sym_jsx_element] = STATE(2062),
    [sym_jsx_opening_element] = STATE(3197),
    [sym_jsx_self_closing_element] = STATE(2062),
    [sym_class] = STATE(2080),
    [sym_function_expression] = STATE(2080),
    [sym_generator_function] = STATE(2080),
    [sym_arrow_function] = STATE(2080),
    [sym__call_signature] = STATE(5893),
    [sym_call_expression] = STATE(2080),
    [sym_new_expression] = STATE(1939),
    [sym_await_expression] = STATE(2062),
    [sym_member_expression] = STATE(1330),
    [sym_subscript_expression] = STATE(1330),
    [sym_assignment_expression] = STATE(2062),
    [sym__augmented_assignment_lhs] = STATE(2994),
    [sym_augmented_assignment_expression] = STATE(2062),
    [sym__destructuring_pattern] = STATE(5895),
    [sym_ternary_expression] = STATE(2062),
    [sym_binary_expression] = STATE(2062),
    [sym_unary_expression] = STATE(2062),
    [sym_update_expression] = STATE(2062),
    [sym_string] = STATE(2080),
    [sym_template_string] = STATE(2080),
    [sym_regex] = STATE(2080),
    [sym_meta_property] = STATE(2080),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3849),
    [sym_non_null_expression] = STATE(1330),
    [sym_as_expression] = STATE(2062),
    [sym_satisfies_expression] = STATE(2062),
    [sym_instantiation_expression] = STATE(2062),
    [sym_internal_module] = STATE(2062),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_export_statement_repeat1] = STATE(4577),
    [sym_identifier] = ACTIONS(1448),
    [anon_sym_export] = ACTIONS(1260),
    [anon_sym_type] = ACTIONS(1260),
    [anon_sym_namespace] = ACTIONS(1262),
    [anon_sym_LBRACE] = ACTIONS(700),
    [anon_sym_typeof] = ACTIONS(1282),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_let] = ACTIONS(1260),
    [anon_sym_BANG] = ACTIONS(1266),
    [anon_sym_LPAREN] = ACTIONS(41),
    [anon_sym_await] = ACTIONS(1268),
    [anon_sym_yield] = ACTIONS(1270),
    [anon_sym_LBRACK] = ACTIONS(65),
    [sym_glimmer_opening_tag] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_class] = ACTIONS(711),
    [anon_sym_async] = ACTIONS(1272),
    [anon_sym_function] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(1452),
    [anon_sym_using] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1282),
    [anon_sym_DASH] = ACTIONS(1282),
    [anon_sym_SLASH] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_TILDE] = ACTIONS(1266),
    [anon_sym_void] = ACTIONS(1282),
    [anon_sym_delete] = ACTIONS(1282),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(89),
    [sym_number] = ACTIONS(91),
    [sym_private_property_identifier] = ACTIONS(1286),
    [sym_this] = ACTIONS(95),
    [sym_super] = ACTIONS(95),
    [sym_true] = ACTIONS(95),
    [sym_false] = ACTIONS(95),
    [sym_null] = ACTIONS(95),
    [sym_undefined] = ACTIONS(1454),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(1260),
    [anon_sym_readonly] = ACTIONS(1260),
    [anon_sym_get] = ACTIONS(1260),
    [anon_sym_set] = ACTIONS(1260),
    [anon_sym_declare] = ACTIONS(1260),
    [anon_sym_public] = ACTIONS(1260),
    [anon_sym_private] = ACTIONS(1260),
    [anon_sym_protected] = ACTIONS(1260),
    [anon_sym_override] = ACTIONS(1260),
    [anon_sym_module] = ACTIONS(1260),
    [anon_sym_any] = ACTIONS(1260),
    [anon_sym_number] = ACTIONS(1260),
    [anon_sym_boolean] = ACTIONS(1260),
    [anon_sym_string] = ACTIONS(1260),
    [anon_sym_symbol] = ACTIONS(1260),
    [anon_sym_object] = ACTIONS(1260),
    [sym_html_comment] = ACTIONS(5),
  },
  [658] = {
    [sym_namespace_export] = STATE(5382),
    [sym_export_clause] = STATE(4519),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_EQ] = ACTIONS(2239),
    [anon_sym_as] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [659] = {
    [sym_namespace_export] = STATE(5382),
    [sym_export_clause] = STATE(4519),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_EQ] = ACTIONS(2239),
    [anon_sym_as] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [660] = {
    [sym_namespace_export] = STATE(5382),
    [sym_export_clause] = STATE(4519),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_EQ] = ACTIONS(2239),
    [anon_sym_as] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [661] = {
    [sym__call_signature] = STATE(5884),
    [sym_string] = STATE(3922),
    [sym_formal_parameters] = STATE(3849),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2277),
    [anon_sym_export] = ACTIONS(2279),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2279),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(2279),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2279),
    [anon_sym_function] = ACTIONS(2295),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2279),
    [anon_sym_get] = ACTIONS(2303),
    [anon_sym_set] = ACTIONS(2303),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2279),
    [anon_sym_public] = ACTIONS(2279),
    [anon_sym_private] = ACTIONS(2279),
    [anon_sym_protected] = ACTIONS(2279),
    [anon_sym_override] = ACTIONS(2279),
    [anon_sym_module] = ACTIONS(2279),
    [anon_sym_any] = ACTIONS(2279),
    [anon_sym_number] = ACTIONS(2279),
    [anon_sym_boolean] = ACTIONS(2279),
    [anon_sym_string] = ACTIONS(2279),
    [anon_sym_symbol] = ACTIONS(2279),
    [anon_sym_object] = ACTIONS(2279),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [662] = {
    [sym__call_signature] = STATE(5884),
    [sym_string] = STATE(3922),
    [sym_formal_parameters] = STATE(3849),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2277),
    [anon_sym_export] = ACTIONS(2279),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2279),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2279),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2279),
    [anon_sym_function] = ACTIONS(2295),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2279),
    [anon_sym_get] = ACTIONS(2303),
    [anon_sym_set] = ACTIONS(2303),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2279),
    [anon_sym_public] = ACTIONS(2279),
    [anon_sym_private] = ACTIONS(2279),
    [anon_sym_protected] = ACTIONS(2279),
    [anon_sym_override] = ACTIONS(2279),
    [anon_sym_module] = ACTIONS(2279),
    [anon_sym_any] = ACTIONS(2279),
    [anon_sym_number] = ACTIONS(2279),
    [anon_sym_boolean] = ACTIONS(2279),
    [anon_sym_string] = ACTIONS(2279),
    [anon_sym_symbol] = ACTIONS(2279),
    [anon_sym_object] = ACTIONS(2279),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [663] = {
    [sym__call_signature] = STATE(5884),
    [sym_string] = STATE(3922),
    [sym_formal_parameters] = STATE(3849),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [sym_type_parameters] = STATE(5338),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2277),
    [anon_sym_export] = ACTIONS(2279),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2279),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2279),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2279),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2279),
    [anon_sym_function] = ACTIONS(2295),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2279),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2297),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2279),
    [anon_sym_readonly] = ACTIONS(2279),
    [anon_sym_get] = ACTIONS(2303),
    [anon_sym_set] = ACTIONS(2303),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2279),
    [anon_sym_public] = ACTIONS(2279),
    [anon_sym_private] = ACTIONS(2279),
    [anon_sym_protected] = ACTIONS(2279),
    [anon_sym_override] = ACTIONS(2279),
    [anon_sym_module] = ACTIONS(2279),
    [anon_sym_any] = ACTIONS(2279),
    [anon_sym_number] = ACTIONS(2279),
    [anon_sym_boolean] = ACTIONS(2279),
    [anon_sym_string] = ACTIONS(2279),
    [anon_sym_symbol] = ACTIONS(2279),
    [anon_sym_object] = ACTIONS(2279),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [664] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [665] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [666] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [667] = {
    [sym_namespace_export] = STATE(5382),
    [sym_export_clause] = STATE(4519),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2235),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_EQ] = ACTIONS(2311),
    [anon_sym_as] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [668] = {
    [sym_namespace_export] = STATE(5382),
    [sym_export_clause] = STATE(4519),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2313),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_EQ] = ACTIONS(2311),
    [anon_sym_as] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2269),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [669] = {
    [sym_namespace_export] = STATE(5382),
    [sym_export_clause] = STATE(4519),
    [sym_declaration] = STATE(854),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2315),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_EQ] = ACTIONS(2311),
    [anon_sym_as] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_LBRACE] = ACTIONS(2245),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2319),
    [anon_sym_module] = ACTIONS(2321),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [670] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [sym_override_modifier] = STATE(2768),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2327),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2331),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [671] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [sym_override_modifier] = STATE(2768),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2327),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2331),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [672] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [sym_override_modifier] = STATE(2768),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2327),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2331),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [673] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [674] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [675] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [676] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [677] = {
    [ts_builtin_sym_end] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1929),
    [anon_sym_export] = ACTIONS(1929),
    [anon_sym_default] = ACTIONS(1929),
    [anon_sym_type] = ACTIONS(1929),
    [anon_sym_EQ] = ACTIONS(1929),
    [anon_sym_namespace] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_COMMA] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_typeof] = ACTIONS(1929),
    [anon_sym_import] = ACTIONS(1929),
    [anon_sym_from] = ACTIONS(1929),
    [anon_sym_with] = ACTIONS(1929),
    [anon_sym_var] = ACTIONS(1929),
    [anon_sym_let] = ACTIONS(1929),
    [anon_sym_const] = ACTIONS(1929),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_else] = ACTIONS(1929),
    [anon_sym_if] = ACTIONS(1929),
    [anon_sym_switch] = ACTIONS(1929),
    [anon_sym_for] = ACTIONS(1929),
    [anon_sym_LPAREN] = ACTIONS(1927),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym_RPAREN] = ACTIONS(1927),
    [anon_sym_await] = ACTIONS(1929),
    [anon_sym_while] = ACTIONS(1929),
    [anon_sym_do] = ACTIONS(1929),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_break] = ACTIONS(1929),
    [anon_sym_continue] = ACTIONS(1929),
    [anon_sym_debugger] = ACTIONS(1929),
    [anon_sym_return] = ACTIONS(1929),
    [anon_sym_throw] = ACTIONS(1929),
    [anon_sym_COLON] = ACTIONS(1927),
    [anon_sym_case] = ACTIONS(1929),
    [anon_sym_yield] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_RBRACK] = ACTIONS(1927),
    [sym_glimmer_opening_tag] = ACTIONS(1927),
    [anon_sym_GT] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [anon_sym_class] = ACTIONS(1929),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_function] = ACTIONS(1929),
    [anon_sym_EQ_GT] = ACTIONS(1927),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_using] = ACTIONS(1929),
    [anon_sym_AMP] = ACTIONS(1927),
    [anon_sym_PIPE] = ACTIONS(1927),
    [anon_sym_PLUS] = ACTIONS(1929),
    [anon_sym_DASH] = ACTIONS(1929),
    [anon_sym_SLASH] = ACTIONS(1929),
    [anon_sym_LT] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_void] = ACTIONS(1929),
    [anon_sym_delete] = ACTIONS(1929),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1927),
    [sym_number] = ACTIONS(1927),
    [sym_private_property_identifier] = ACTIONS(1927),
    [sym_this] = ACTIONS(1929),
    [sym_super] = ACTIONS(1929),
    [sym_true] = ACTIONS(1929),
    [sym_false] = ACTIONS(1929),
    [sym_null] = ACTIONS(1929),
    [sym_undefined] = ACTIONS(1929),
    [anon_sym_AT] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1929),
    [anon_sym_readonly] = ACTIONS(1929),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_QMARK] = ACTIONS(1927),
    [anon_sym_declare] = ACTIONS(1929),
    [anon_sym_public] = ACTIONS(1929),
    [anon_sym_private] = ACTIONS(1929),
    [anon_sym_protected] = ACTIONS(1929),
    [anon_sym_override] = ACTIONS(1929),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_any] = ACTIONS(1929),
    [anon_sym_number] = ACTIONS(1929),
    [anon_sym_boolean] = ACTIONS(1929),
    [anon_sym_string] = ACTIONS(1929),
    [anon_sym_symbol] = ACTIONS(1929),
    [anon_sym_object] = ACTIONS(1929),
    [anon_sym_abstract] = ACTIONS(1929),
    [anon_sym_extends] = ACTIONS(1929),
    [anon_sym_interface] = ACTIONS(1929),
    [anon_sym_enum] = ACTIONS(1929),
    [sym_html_comment] = ACTIONS(5),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(1731),
    [sym_identifier] = ACTIONS(1733),
    [anon_sym_export] = ACTIONS(1733),
    [anon_sym_default] = ACTIONS(1733),
    [anon_sym_type] = ACTIONS(1733),
    [anon_sym_EQ] = ACTIONS(1733),
    [anon_sym_namespace] = ACTIONS(1733),
    [anon_sym_LBRACE] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(1731),
    [anon_sym_RBRACE] = ACTIONS(1731),
    [anon_sym_typeof] = ACTIONS(1733),
    [anon_sym_import] = ACTIONS(1733),
    [anon_sym_from] = ACTIONS(1733),
    [anon_sym_with] = ACTIONS(1733),
    [anon_sym_var] = ACTIONS(1733),
    [anon_sym_let] = ACTIONS(1733),
    [anon_sym_const] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1731),
    [anon_sym_else] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1733),
    [anon_sym_switch] = ACTIONS(1733),
    [anon_sym_for] = ACTIONS(1733),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym_RPAREN] = ACTIONS(1731),
    [anon_sym_await] = ACTIONS(1733),
    [anon_sym_while] = ACTIONS(1733),
    [anon_sym_do] = ACTIONS(1733),
    [anon_sym_try] = ACTIONS(1733),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1733),
    [anon_sym_debugger] = ACTIONS(1733),
    [anon_sym_return] = ACTIONS(1733),
    [anon_sym_throw] = ACTIONS(1733),
    [anon_sym_COLON] = ACTIONS(1731),
    [anon_sym_case] = ACTIONS(1733),
    [anon_sym_yield] = ACTIONS(1733),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym_RBRACK] = ACTIONS(1731),
    [sym_glimmer_opening_tag] = ACTIONS(1731),
    [anon_sym_GT] = ACTIONS(1731),
    [anon_sym_DQUOTE] = ACTIONS(1731),
    [anon_sym_SQUOTE] = ACTIONS(1731),
    [anon_sym_class] = ACTIONS(1733),
    [anon_sym_async] = ACTIONS(1733),
    [anon_sym_function] = ACTIONS(1733),
    [anon_sym_EQ_GT] = ACTIONS(1731),
    [anon_sym_new] = ACTIONS(1733),
    [anon_sym_using] = ACTIONS(1733),
    [anon_sym_AMP] = ACTIONS(1731),
    [anon_sym_PIPE] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1733),
    [anon_sym_SLASH] = ACTIONS(1733),
    [anon_sym_LT] = ACTIONS(1733),
    [anon_sym_TILDE] = ACTIONS(1731),
    [anon_sym_void] = ACTIONS(1733),
    [anon_sym_delete] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1731),
    [anon_sym_DASH_DASH] = ACTIONS(1731),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1731),
    [sym_number] = ACTIONS(1731),
    [sym_private_property_identifier] = ACTIONS(1731),
    [sym_this] = ACTIONS(1733),
    [sym_super] = ACTIONS(1733),
    [sym_true] = ACTIONS(1733),
    [sym_false] = ACTIONS(1733),
    [sym_null] = ACTIONS(1733),
    [sym_undefined] = ACTIONS(1733),
    [anon_sym_AT] = ACTIONS(1731),
    [anon_sym_static] = ACTIONS(1733),
    [anon_sym_readonly] = ACTIONS(1733),
    [anon_sym_get] = ACTIONS(1733),
    [anon_sym_set] = ACTIONS(1733),
    [anon_sym_QMARK] = ACTIONS(1731),
    [anon_sym_declare] = ACTIONS(1733),
    [anon_sym_public] = ACTIONS(1733),
    [anon_sym_private] = ACTIONS(1733),
    [anon_sym_protected] = ACTIONS(1733),
    [anon_sym_override] = ACTIONS(1733),
    [anon_sym_module] = ACTIONS(1733),
    [anon_sym_any] = ACTIONS(1733),
    [anon_sym_number] = ACTIONS(1733),
    [anon_sym_boolean] = ACTIONS(1733),
    [anon_sym_string] = ACTIONS(1733),
    [anon_sym_symbol] = ACTIONS(1733),
    [anon_sym_object] = ACTIONS(1733),
    [anon_sym_abstract] = ACTIONS(1733),
    [anon_sym_extends] = ACTIONS(1733),
    [anon_sym_interface] = ACTIONS(1733),
    [anon_sym_enum] = ACTIONS(1733),
    [sym_html_comment] = ACTIONS(5),
  },
  [679] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(2281),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2325),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2329),
    [anon_sym_set] = ACTIONS(2329),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [680] = {
    [sym_string] = STATE(3922),
    [sym__property_name] = STATE(3922),
    [sym_computed_property_name] = STATE(3922),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2301),
    [sym_private_property_identifier] = ACTIONS(2301),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(2323),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [681] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [682] = {
    [ts_builtin_sym_end] = ACTIONS(2333),
    [sym_identifier] = ACTIONS(2335),
    [anon_sym_export] = ACTIONS(2335),
    [anon_sym_default] = ACTIONS(2335),
    [anon_sym_type] = ACTIONS(2335),
    [anon_sym_EQ] = ACTIONS(2335),
    [anon_sym_namespace] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_COMMA] = ACTIONS(2333),
    [anon_sym_RBRACE] = ACTIONS(2333),
    [anon_sym_typeof] = ACTIONS(2335),
    [anon_sym_import] = ACTIONS(2335),
    [anon_sym_with] = ACTIONS(2335),
    [anon_sym_var] = ACTIONS(2335),
    [anon_sym_let] = ACTIONS(2335),
    [anon_sym_const] = ACTIONS(2335),
    [anon_sym_BANG] = ACTIONS(2333),
    [anon_sym_else] = ACTIONS(2335),
    [anon_sym_if] = ACTIONS(2335),
    [anon_sym_switch] = ACTIONS(2335),
    [anon_sym_for] = ACTIONS(2335),
    [anon_sym_LPAREN] = ACTIONS(2333),
    [anon_sym_SEMI] = ACTIONS(2333),
    [anon_sym_RPAREN] = ACTIONS(2333),
    [anon_sym_await] = ACTIONS(2335),
    [anon_sym_while] = ACTIONS(2335),
    [anon_sym_do] = ACTIONS(2335),
    [anon_sym_try] = ACTIONS(2335),
    [anon_sym_break] = ACTIONS(2335),
    [anon_sym_continue] = ACTIONS(2335),
    [anon_sym_debugger] = ACTIONS(2335),
    [anon_sym_return] = ACTIONS(2335),
    [anon_sym_throw] = ACTIONS(2335),
    [anon_sym_COLON] = ACTIONS(2333),
    [anon_sym_case] = ACTIONS(2335),
    [anon_sym_yield] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(2333),
    [anon_sym_RBRACK] = ACTIONS(2333),
    [sym_glimmer_opening_tag] = ACTIONS(2333),
    [anon_sym_GT] = ACTIONS(2333),
    [anon_sym_DQUOTE] = ACTIONS(2333),
    [anon_sym_SQUOTE] = ACTIONS(2333),
    [anon_sym_class] = ACTIONS(2335),
    [anon_sym_async] = ACTIONS(2335),
    [anon_sym_function] = ACTIONS(2335),
    [anon_sym_EQ_GT] = ACTIONS(2333),
    [anon_sym_new] = ACTIONS(2335),
    [anon_sym_using] = ACTIONS(2335),
    [anon_sym_AMP] = ACTIONS(2333),
    [anon_sym_PIPE] = ACTIONS(2333),
    [anon_sym_PLUS] = ACTIONS(2335),
    [anon_sym_DASH] = ACTIONS(2335),
    [anon_sym_SLASH] = ACTIONS(2335),
    [anon_sym_LT] = ACTIONS(2335),
    [anon_sym_TILDE] = ACTIONS(2333),
    [anon_sym_void] = ACTIONS(2335),
    [anon_sym_delete] = ACTIONS(2335),
    [anon_sym_PLUS_PLUS] = ACTIONS(2333),
    [anon_sym_DASH_DASH] = ACTIONS(2333),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2333),
    [sym_number] = ACTIONS(2333),
    [sym_private_property_identifier] = ACTIONS(2333),
    [sym_this] = ACTIONS(2335),
    [sym_super] = ACTIONS(2335),
    [sym_true] = ACTIONS(2335),
    [sym_false] = ACTIONS(2335),
    [sym_null] = ACTIONS(2335),
    [sym_undefined] = ACTIONS(2335),
    [anon_sym_AT] = ACTIONS(2333),
    [anon_sym_static] = ACTIONS(2335),
    [anon_sym_readonly] = ACTIONS(2335),
    [anon_sym_get] = ACTIONS(2335),
    [anon_sym_set] = ACTIONS(2335),
    [anon_sym_QMARK] = ACTIONS(2333),
    [anon_sym_declare] = ACTIONS(2335),
    [anon_sym_public] = ACTIONS(2335),
    [anon_sym_private] = ACTIONS(2335),
    [anon_sym_protected] = ACTIONS(2335),
    [anon_sym_override] = ACTIONS(2335),
    [anon_sym_module] = ACTIONS(2335),
    [anon_sym_any] = ACTIONS(2335),
    [anon_sym_number] = ACTIONS(2335),
    [anon_sym_boolean] = ACTIONS(2335),
    [anon_sym_string] = ACTIONS(2335),
    [anon_sym_symbol] = ACTIONS(2335),
    [anon_sym_object] = ACTIONS(2335),
    [anon_sym_abstract] = ACTIONS(2335),
    [anon_sym_extends] = ACTIONS(2335),
    [anon_sym_interface] = ACTIONS(2335),
    [anon_sym_enum] = ACTIONS(2335),
    [sym_html_comment] = ACTIONS(5),
  },
  [683] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [684] = {
    [ts_builtin_sym_end] = ACTIONS(2337),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_export] = ACTIONS(2339),
    [anon_sym_default] = ACTIONS(2339),
    [anon_sym_type] = ACTIONS(2339),
    [anon_sym_EQ] = ACTIONS(2339),
    [anon_sym_namespace] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(2337),
    [anon_sym_COMMA] = ACTIONS(2337),
    [anon_sym_RBRACE] = ACTIONS(2337),
    [anon_sym_typeof] = ACTIONS(2339),
    [anon_sym_import] = ACTIONS(2339),
    [anon_sym_with] = ACTIONS(2339),
    [anon_sym_var] = ACTIONS(2339),
    [anon_sym_let] = ACTIONS(2339),
    [anon_sym_const] = ACTIONS(2339),
    [anon_sym_BANG] = ACTIONS(2337),
    [anon_sym_else] = ACTIONS(2339),
    [anon_sym_if] = ACTIONS(2339),
    [anon_sym_switch] = ACTIONS(2339),
    [anon_sym_for] = ACTIONS(2339),
    [anon_sym_LPAREN] = ACTIONS(2337),
    [anon_sym_SEMI] = ACTIONS(2337),
    [anon_sym_RPAREN] = ACTIONS(2337),
    [anon_sym_await] = ACTIONS(2339),
    [anon_sym_while] = ACTIONS(2339),
    [anon_sym_do] = ACTIONS(2339),
    [anon_sym_try] = ACTIONS(2339),
    [anon_sym_break] = ACTIONS(2339),
    [anon_sym_continue] = ACTIONS(2339),
    [anon_sym_debugger] = ACTIONS(2339),
    [anon_sym_return] = ACTIONS(2339),
    [anon_sym_throw] = ACTIONS(2339),
    [anon_sym_COLON] = ACTIONS(2337),
    [anon_sym_case] = ACTIONS(2339),
    [anon_sym_yield] = ACTIONS(2339),
    [anon_sym_LBRACK] = ACTIONS(2337),
    [anon_sym_RBRACK] = ACTIONS(2337),
    [sym_glimmer_opening_tag] = ACTIONS(2337),
    [anon_sym_GT] = ACTIONS(2337),
    [anon_sym_DQUOTE] = ACTIONS(2337),
    [anon_sym_SQUOTE] = ACTIONS(2337),
    [anon_sym_class] = ACTIONS(2339),
    [anon_sym_async] = ACTIONS(2339),
    [anon_sym_function] = ACTIONS(2339),
    [anon_sym_EQ_GT] = ACTIONS(2337),
    [anon_sym_new] = ACTIONS(2339),
    [anon_sym_using] = ACTIONS(2339),
    [anon_sym_AMP] = ACTIONS(2337),
    [anon_sym_PIPE] = ACTIONS(2337),
    [anon_sym_PLUS] = ACTIONS(2339),
    [anon_sym_DASH] = ACTIONS(2339),
    [anon_sym_SLASH] = ACTIONS(2339),
    [anon_sym_LT] = ACTIONS(2339),
    [anon_sym_TILDE] = ACTIONS(2337),
    [anon_sym_void] = ACTIONS(2339),
    [anon_sym_delete] = ACTIONS(2339),
    [anon_sym_PLUS_PLUS] = ACTIONS(2337),
    [anon_sym_DASH_DASH] = ACTIONS(2337),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2337),
    [sym_number] = ACTIONS(2337),
    [sym_private_property_identifier] = ACTIONS(2337),
    [sym_this] = ACTIONS(2339),
    [sym_super] = ACTIONS(2339),
    [sym_true] = ACTIONS(2339),
    [sym_false] = ACTIONS(2339),
    [sym_null] = ACTIONS(2339),
    [sym_undefined] = ACTIONS(2339),
    [anon_sym_AT] = ACTIONS(2337),
    [anon_sym_static] = ACTIONS(2339),
    [anon_sym_readonly] = ACTIONS(2339),
    [anon_sym_get] = ACTIONS(2339),
    [anon_sym_set] = ACTIONS(2339),
    [anon_sym_QMARK] = ACTIONS(2337),
    [anon_sym_declare] = ACTIONS(2339),
    [anon_sym_public] = ACTIONS(2339),
    [anon_sym_private] = ACTIONS(2339),
    [anon_sym_protected] = ACTIONS(2339),
    [anon_sym_override] = ACTIONS(2339),
    [anon_sym_module] = ACTIONS(2339),
    [anon_sym_any] = ACTIONS(2339),
    [anon_sym_number] = ACTIONS(2339),
    [anon_sym_boolean] = ACTIONS(2339),
    [anon_sym_string] = ACTIONS(2339),
    [anon_sym_symbol] = ACTIONS(2339),
    [anon_sym_object] = ACTIONS(2339),
    [anon_sym_abstract] = ACTIONS(2339),
    [anon_sym_extends] = ACTIONS(2339),
    [anon_sym_interface] = ACTIONS(2339),
    [anon_sym_enum] = ACTIONS(2339),
    [sym_html_comment] = ACTIONS(5),
  },
  [685] = {
    [ts_builtin_sym_end] = ACTIONS(2341),
    [sym_identifier] = ACTIONS(2343),
    [anon_sym_export] = ACTIONS(2343),
    [anon_sym_default] = ACTIONS(2343),
    [anon_sym_type] = ACTIONS(2343),
    [anon_sym_EQ] = ACTIONS(2343),
    [anon_sym_namespace] = ACTIONS(2343),
    [anon_sym_LBRACE] = ACTIONS(2341),
    [anon_sym_COMMA] = ACTIONS(2341),
    [anon_sym_RBRACE] = ACTIONS(2341),
    [anon_sym_typeof] = ACTIONS(2343),
    [anon_sym_import] = ACTIONS(2343),
    [anon_sym_with] = ACTIONS(2343),
    [anon_sym_var] = ACTIONS(2343),
    [anon_sym_let] = ACTIONS(2343),
    [anon_sym_const] = ACTIONS(2343),
    [anon_sym_BANG] = ACTIONS(2341),
    [anon_sym_else] = ACTIONS(2343),
    [anon_sym_if] = ACTIONS(2343),
    [anon_sym_switch] = ACTIONS(2343),
    [anon_sym_for] = ACTIONS(2343),
    [anon_sym_LPAREN] = ACTIONS(2341),
    [anon_sym_SEMI] = ACTIONS(2341),
    [anon_sym_RPAREN] = ACTIONS(2341),
    [anon_sym_await] = ACTIONS(2343),
    [anon_sym_while] = ACTIONS(2343),
    [anon_sym_do] = ACTIONS(2343),
    [anon_sym_try] = ACTIONS(2343),
    [anon_sym_break] = ACTIONS(2343),
    [anon_sym_continue] = ACTIONS(2343),
    [anon_sym_debugger] = ACTIONS(2343),
    [anon_sym_return] = ACTIONS(2343),
    [anon_sym_throw] = ACTIONS(2343),
    [anon_sym_COLON] = ACTIONS(2341),
    [anon_sym_case] = ACTIONS(2343),
    [anon_sym_yield] = ACTIONS(2343),
    [anon_sym_LBRACK] = ACTIONS(2341),
    [anon_sym_RBRACK] = ACTIONS(2341),
    [sym_glimmer_opening_tag] = ACTIONS(2341),
    [anon_sym_GT] = ACTIONS(2341),
    [anon_sym_DQUOTE] = ACTIONS(2341),
    [anon_sym_SQUOTE] = ACTIONS(2341),
    [anon_sym_class] = ACTIONS(2343),
    [anon_sym_async] = ACTIONS(2343),
    [anon_sym_function] = ACTIONS(2343),
    [anon_sym_EQ_GT] = ACTIONS(2341),
    [anon_sym_new] = ACTIONS(2343),
    [anon_sym_using] = ACTIONS(2343),
    [anon_sym_AMP] = ACTIONS(2341),
    [anon_sym_PIPE] = ACTIONS(2341),
    [anon_sym_PLUS] = ACTIONS(2343),
    [anon_sym_DASH] = ACTIONS(2343),
    [anon_sym_SLASH] = ACTIONS(2343),
    [anon_sym_LT] = ACTIONS(2343),
    [anon_sym_TILDE] = ACTIONS(2341),
    [anon_sym_void] = ACTIONS(2343),
    [anon_sym_delete] = ACTIONS(2343),
    [anon_sym_PLUS_PLUS] = ACTIONS(2341),
    [anon_sym_DASH_DASH] = ACTIONS(2341),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2341),
    [sym_number] = ACTIONS(2341),
    [sym_private_property_identifier] = ACTIONS(2341),
    [sym_this] = ACTIONS(2343),
    [sym_super] = ACTIONS(2343),
    [sym_true] = ACTIONS(2343),
    [sym_false] = ACTIONS(2343),
    [sym_null] = ACTIONS(2343),
    [sym_undefined] = ACTIONS(2343),
    [anon_sym_AT] = ACTIONS(2341),
    [anon_sym_static] = ACTIONS(2343),
    [anon_sym_readonly] = ACTIONS(2343),
    [anon_sym_get] = ACTIONS(2343),
    [anon_sym_set] = ACTIONS(2343),
    [anon_sym_QMARK] = ACTIONS(2341),
    [anon_sym_declare] = ACTIONS(2343),
    [anon_sym_public] = ACTIONS(2343),
    [anon_sym_private] = ACTIONS(2343),
    [anon_sym_protected] = ACTIONS(2343),
    [anon_sym_override] = ACTIONS(2343),
    [anon_sym_module] = ACTIONS(2343),
    [anon_sym_any] = ACTIONS(2343),
    [anon_sym_number] = ACTIONS(2343),
    [anon_sym_boolean] = ACTIONS(2343),
    [anon_sym_string] = ACTIONS(2343),
    [anon_sym_symbol] = ACTIONS(2343),
    [anon_sym_object] = ACTIONS(2343),
    [anon_sym_abstract] = ACTIONS(2343),
    [anon_sym_extends] = ACTIONS(2343),
    [anon_sym_interface] = ACTIONS(2343),
    [anon_sym_enum] = ACTIONS(2343),
    [sym_html_comment] = ACTIONS(5),
  },
  [686] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2319),
    [anon_sym_module] = ACTIONS(2345),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [687] = {
    [ts_builtin_sym_end] = ACTIONS(2347),
    [sym_identifier] = ACTIONS(2349),
    [anon_sym_export] = ACTIONS(2349),
    [anon_sym_default] = ACTIONS(2349),
    [anon_sym_type] = ACTIONS(2349),
    [anon_sym_EQ] = ACTIONS(2349),
    [anon_sym_namespace] = ACTIONS(2349),
    [anon_sym_LBRACE] = ACTIONS(2347),
    [anon_sym_COMMA] = ACTIONS(2347),
    [anon_sym_RBRACE] = ACTIONS(2347),
    [anon_sym_typeof] = ACTIONS(2349),
    [anon_sym_import] = ACTIONS(2349),
    [anon_sym_with] = ACTIONS(2349),
    [anon_sym_var] = ACTIONS(2349),
    [anon_sym_let] = ACTIONS(2349),
    [anon_sym_const] = ACTIONS(2349),
    [anon_sym_BANG] = ACTIONS(2347),
    [anon_sym_else] = ACTIONS(2349),
    [anon_sym_if] = ACTIONS(2349),
    [anon_sym_switch] = ACTIONS(2349),
    [anon_sym_for] = ACTIONS(2349),
    [anon_sym_LPAREN] = ACTIONS(2347),
    [anon_sym_SEMI] = ACTIONS(2347),
    [anon_sym_RPAREN] = ACTIONS(2347),
    [anon_sym_await] = ACTIONS(2349),
    [anon_sym_while] = ACTIONS(2349),
    [anon_sym_do] = ACTIONS(2349),
    [anon_sym_try] = ACTIONS(2349),
    [anon_sym_break] = ACTIONS(2349),
    [anon_sym_continue] = ACTIONS(2349),
    [anon_sym_debugger] = ACTIONS(2349),
    [anon_sym_return] = ACTIONS(2349),
    [anon_sym_throw] = ACTIONS(2349),
    [anon_sym_COLON] = ACTIONS(2347),
    [anon_sym_case] = ACTIONS(2349),
    [anon_sym_yield] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(2347),
    [anon_sym_RBRACK] = ACTIONS(2347),
    [sym_glimmer_opening_tag] = ACTIONS(2347),
    [anon_sym_GT] = ACTIONS(2347),
    [anon_sym_DQUOTE] = ACTIONS(2347),
    [anon_sym_SQUOTE] = ACTIONS(2347),
    [anon_sym_class] = ACTIONS(2349),
    [anon_sym_async] = ACTIONS(2349),
    [anon_sym_function] = ACTIONS(2349),
    [anon_sym_EQ_GT] = ACTIONS(2347),
    [anon_sym_new] = ACTIONS(2349),
    [anon_sym_using] = ACTIONS(2349),
    [anon_sym_AMP] = ACTIONS(2347),
    [anon_sym_PIPE] = ACTIONS(2347),
    [anon_sym_PLUS] = ACTIONS(2349),
    [anon_sym_DASH] = ACTIONS(2349),
    [anon_sym_SLASH] = ACTIONS(2349),
    [anon_sym_LT] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2347),
    [anon_sym_void] = ACTIONS(2349),
    [anon_sym_delete] = ACTIONS(2349),
    [anon_sym_PLUS_PLUS] = ACTIONS(2347),
    [anon_sym_DASH_DASH] = ACTIONS(2347),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2347),
    [sym_number] = ACTIONS(2347),
    [sym_private_property_identifier] = ACTIONS(2347),
    [sym_this] = ACTIONS(2349),
    [sym_super] = ACTIONS(2349),
    [sym_true] = ACTIONS(2349),
    [sym_false] = ACTIONS(2349),
    [sym_null] = ACTIONS(2349),
    [sym_undefined] = ACTIONS(2349),
    [anon_sym_AT] = ACTIONS(2347),
    [anon_sym_static] = ACTIONS(2349),
    [anon_sym_readonly] = ACTIONS(2349),
    [anon_sym_get] = ACTIONS(2349),
    [anon_sym_set] = ACTIONS(2349),
    [anon_sym_QMARK] = ACTIONS(2347),
    [anon_sym_declare] = ACTIONS(2349),
    [anon_sym_public] = ACTIONS(2349),
    [anon_sym_private] = ACTIONS(2349),
    [anon_sym_protected] = ACTIONS(2349),
    [anon_sym_override] = ACTIONS(2349),
    [anon_sym_module] = ACTIONS(2349),
    [anon_sym_any] = ACTIONS(2349),
    [anon_sym_number] = ACTIONS(2349),
    [anon_sym_boolean] = ACTIONS(2349),
    [anon_sym_string] = ACTIONS(2349),
    [anon_sym_symbol] = ACTIONS(2349),
    [anon_sym_object] = ACTIONS(2349),
    [anon_sym_abstract] = ACTIONS(2349),
    [anon_sym_extends] = ACTIONS(2349),
    [anon_sym_interface] = ACTIONS(2349),
    [anon_sym_enum] = ACTIONS(2349),
    [sym_html_comment] = ACTIONS(5),
  },
  [688] = {
    [ts_builtin_sym_end] = ACTIONS(2351),
    [sym_identifier] = ACTIONS(2353),
    [anon_sym_export] = ACTIONS(2353),
    [anon_sym_default] = ACTIONS(2353),
    [anon_sym_type] = ACTIONS(2353),
    [anon_sym_EQ] = ACTIONS(2353),
    [anon_sym_namespace] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(2351),
    [anon_sym_COMMA] = ACTIONS(2351),
    [anon_sym_RBRACE] = ACTIONS(2351),
    [anon_sym_typeof] = ACTIONS(2353),
    [anon_sym_import] = ACTIONS(2353),
    [anon_sym_with] = ACTIONS(2353),
    [anon_sym_var] = ACTIONS(2353),
    [anon_sym_let] = ACTIONS(2353),
    [anon_sym_const] = ACTIONS(2353),
    [anon_sym_BANG] = ACTIONS(2351),
    [anon_sym_else] = ACTIONS(2353),
    [anon_sym_if] = ACTIONS(2353),
    [anon_sym_switch] = ACTIONS(2353),
    [anon_sym_for] = ACTIONS(2353),
    [anon_sym_LPAREN] = ACTIONS(2351),
    [anon_sym_SEMI] = ACTIONS(2351),
    [anon_sym_RPAREN] = ACTIONS(2351),
    [anon_sym_await] = ACTIONS(2353),
    [anon_sym_while] = ACTIONS(2353),
    [anon_sym_do] = ACTIONS(2353),
    [anon_sym_try] = ACTIONS(2353),
    [anon_sym_break] = ACTIONS(2353),
    [anon_sym_continue] = ACTIONS(2353),
    [anon_sym_debugger] = ACTIONS(2353),
    [anon_sym_return] = ACTIONS(2353),
    [anon_sym_throw] = ACTIONS(2353),
    [anon_sym_COLON] = ACTIONS(2351),
    [anon_sym_case] = ACTIONS(2353),
    [anon_sym_yield] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_RBRACK] = ACTIONS(2351),
    [sym_glimmer_opening_tag] = ACTIONS(2351),
    [anon_sym_GT] = ACTIONS(2351),
    [anon_sym_DQUOTE] = ACTIONS(2351),
    [anon_sym_SQUOTE] = ACTIONS(2351),
    [anon_sym_class] = ACTIONS(2353),
    [anon_sym_async] = ACTIONS(2353),
    [anon_sym_function] = ACTIONS(2353),
    [anon_sym_EQ_GT] = ACTIONS(2351),
    [anon_sym_new] = ACTIONS(2353),
    [anon_sym_using] = ACTIONS(2353),
    [anon_sym_AMP] = ACTIONS(2351),
    [anon_sym_PIPE] = ACTIONS(2351),
    [anon_sym_PLUS] = ACTIONS(2353),
    [anon_sym_DASH] = ACTIONS(2353),
    [anon_sym_SLASH] = ACTIONS(2353),
    [anon_sym_LT] = ACTIONS(2353),
    [anon_sym_TILDE] = ACTIONS(2351),
    [anon_sym_void] = ACTIONS(2353),
    [anon_sym_delete] = ACTIONS(2353),
    [anon_sym_PLUS_PLUS] = ACTIONS(2351),
    [anon_sym_DASH_DASH] = ACTIONS(2351),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2351),
    [sym_number] = ACTIONS(2351),
    [sym_private_property_identifier] = ACTIONS(2351),
    [sym_this] = ACTIONS(2353),
    [sym_super] = ACTIONS(2353),
    [sym_true] = ACTIONS(2353),
    [sym_false] = ACTIONS(2353),
    [sym_null] = ACTIONS(2353),
    [sym_undefined] = ACTIONS(2353),
    [anon_sym_AT] = ACTIONS(2351),
    [anon_sym_static] = ACTIONS(2353),
    [anon_sym_readonly] = ACTIONS(2353),
    [anon_sym_get] = ACTIONS(2353),
    [anon_sym_set] = ACTIONS(2353),
    [anon_sym_QMARK] = ACTIONS(2351),
    [anon_sym_declare] = ACTIONS(2353),
    [anon_sym_public] = ACTIONS(2353),
    [anon_sym_private] = ACTIONS(2353),
    [anon_sym_protected] = ACTIONS(2353),
    [anon_sym_override] = ACTIONS(2353),
    [anon_sym_module] = ACTIONS(2353),
    [anon_sym_any] = ACTIONS(2353),
    [anon_sym_number] = ACTIONS(2353),
    [anon_sym_boolean] = ACTIONS(2353),
    [anon_sym_string] = ACTIONS(2353),
    [anon_sym_symbol] = ACTIONS(2353),
    [anon_sym_object] = ACTIONS(2353),
    [anon_sym_abstract] = ACTIONS(2353),
    [anon_sym_extends] = ACTIONS(2353),
    [anon_sym_interface] = ACTIONS(2353),
    [anon_sym_enum] = ACTIONS(2353),
    [sym_html_comment] = ACTIONS(5),
  },
  [689] = {
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(1971),
    [anon_sym_export] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_type] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1973),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1971),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1971),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1973),
    [sym_private_property_identifier] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1971),
    [anon_sym_readonly] = ACTIONS(1971),
    [anon_sym_get] = ACTIONS(1971),
    [anon_sym_set] = ACTIONS(1971),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1971),
    [anon_sym_public] = ACTIONS(1971),
    [anon_sym_private] = ACTIONS(1971),
    [anon_sym_protected] = ACTIONS(1971),
    [anon_sym_override] = ACTIONS(1971),
    [anon_sym_module] = ACTIONS(1971),
    [anon_sym_any] = ACTIONS(1971),
    [anon_sym_number] = ACTIONS(1971),
    [anon_sym_boolean] = ACTIONS(1971),
    [anon_sym_string] = ACTIONS(1971),
    [anon_sym_symbol] = ACTIONS(1971),
    [anon_sym_object] = ACTIONS(1971),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [690] = {
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(1971),
    [anon_sym_export] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_type] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1973),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1971),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1971),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1973),
    [sym_private_property_identifier] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1971),
    [anon_sym_readonly] = ACTIONS(1971),
    [anon_sym_get] = ACTIONS(1971),
    [anon_sym_set] = ACTIONS(1971),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1971),
    [anon_sym_public] = ACTIONS(1971),
    [anon_sym_private] = ACTIONS(1971),
    [anon_sym_protected] = ACTIONS(1971),
    [anon_sym_override] = ACTIONS(1971),
    [anon_sym_module] = ACTIONS(1971),
    [anon_sym_any] = ACTIONS(1971),
    [anon_sym_number] = ACTIONS(1971),
    [anon_sym_boolean] = ACTIONS(1971),
    [anon_sym_string] = ACTIONS(1971),
    [anon_sym_symbol] = ACTIONS(1971),
    [anon_sym_object] = ACTIONS(1971),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [691] = {
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2007),
    [sym_private_property_identifier] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(2005),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [692] = {
    [sym_declaration] = STATE(4446),
    [sym_variable_declaration] = STATE(4422),
    [sym_lexical_declaration] = STATE(4422),
    [sym_class_declaration] = STATE(4422),
    [sym_function_declaration] = STATE(4422),
    [sym_generator_function_declaration] = STATE(4422),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(4422),
    [sym_ambient_declaration] = STATE(4422),
    [sym_abstract_class_declaration] = STATE(4422),
    [sym_module] = STATE(4422),
    [sym_internal_module] = STATE(4425),
    [sym_import_alias] = STATE(4422),
    [sym_interface_declaration] = STATE(4422),
    [sym_enum_declaration] = STATE(4422),
    [sym_type_alias_declaration] = STATE(4422),
    [aux_sym_export_statement_repeat1] = STATE(4377),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2355),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2357),
    [anon_sym_import] = ACTIONS(2359),
    [anon_sym_var] = ACTIONS(2361),
    [anon_sym_let] = ACTIONS(2363),
    [anon_sym_const] = ACTIONS(2365),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2367),
    [anon_sym_async] = ACTIONS(2369),
    [anon_sym_function] = ACTIONS(2371),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2373),
    [anon_sym_module] = ACTIONS(2375),
    [anon_sym_abstract] = ACTIONS(2377),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2379),
    [anon_sym_interface] = ACTIONS(2381),
    [anon_sym_enum] = ACTIONS(2383),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [693] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2317),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2319),
    [anon_sym_module] = ACTIONS(2345),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [694] = {
    [sym_declaration] = STATE(874),
    [sym_variable_declaration] = STATE(789),
    [sym_lexical_declaration] = STATE(789),
    [sym_class_declaration] = STATE(789),
    [sym_function_declaration] = STATE(789),
    [sym_generator_function_declaration] = STATE(789),
    [sym_decorator] = STATE(1267),
    [sym_function_signature] = STATE(789),
    [sym_ambient_declaration] = STATE(789),
    [sym_abstract_class_declaration] = STATE(789),
    [sym_module] = STATE(789),
    [sym_internal_module] = STATE(890),
    [sym_import_alias] = STATE(789),
    [sym_interface_declaration] = STATE(789),
    [sym_enum_declaration] = STATE(789),
    [sym_type_alias_declaration] = STATE(789),
    [aux_sym_export_statement_repeat1] = STATE(4426),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2305),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2243),
    [anon_sym_import] = ACTIONS(2247),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2251),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_function] = ACTIONS(2262),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(161),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_declare] = ACTIONS(2267),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_abstract] = ACTIONS(2271),
    [anon_sym_satisfies] = ACTIONS(161),
    [anon_sym_global] = ACTIONS(2309),
    [anon_sym_interface] = ACTIONS(2273),
    [anon_sym_enum] = ACTIONS(2275),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [695] = {
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2007),
    [sym_private_property_identifier] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(2005),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [696] = {
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(2007),
    [sym_private_property_identifier] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_object] = ACTIONS(2005),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [697] = {
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(1971),
    [anon_sym_export] = ACTIONS(1971),
    [anon_sym_STAR] = ACTIONS(1971),
    [anon_sym_type] = ACTIONS(1971),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(1971),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_let] = ACTIONS(1971),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(1973),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(122),
    [anon_sym_DQUOTE] = ACTIONS(1973),
    [anon_sym_SQUOTE] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1971),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(1971),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [sym_number] = ACTIONS(1973),
    [sym_private_property_identifier] = ACTIONS(1973),
    [anon_sym_static] = ACTIONS(1971),
    [anon_sym_readonly] = ACTIONS(1971),
    [anon_sym_get] = ACTIONS(1971),
    [anon_sym_set] = ACTIONS(1971),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_declare] = ACTIONS(1971),
    [anon_sym_public] = ACTIONS(1971),
    [anon_sym_private] = ACTIONS(1971),
    [anon_sym_protected] = ACTIONS(1971),
    [anon_sym_override] = ACTIONS(1971),
    [anon_sym_module] = ACTIONS(1971),
    [anon_sym_any] = ACTIONS(1971),
    [anon_sym_number] = ACTIONS(1971),
    [anon_sym_boolean] = ACTIONS(1971),
    [anon_sym_string] = ACTIONS(1971),
    [anon_sym_symbol] = ACTIONS(1971),
    [anon_sym_object] = ACTIONS(1971),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [698] = {
    [sym__call_signature] = STATE(5762),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [699] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [700] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_QMARK] = ACTIONS(857),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [701] = {
    [sym__call_signature] = STATE(5762),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [702] = {
    [sym__call_signature] = STATE(5762),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [703] = {
    [sym__call_signature] = STATE(5762),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_RBRACE] = ACTIONS(885),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [704] = {
    [sym__call_signature] = STATE(5884),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2403),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_declare] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_any] = ACTIONS(2403),
    [anon_sym_number] = ACTIONS(2403),
    [anon_sym_boolean] = ACTIONS(2403),
    [anon_sym_string] = ACTIONS(2403),
    [anon_sym_symbol] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [705] = {
    [sym__call_signature] = STATE(5884),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2403),
    [anon_sym_function] = ACTIONS(2407),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_declare] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_any] = ACTIONS(2403),
    [anon_sym_number] = ACTIONS(2403),
    [anon_sym_boolean] = ACTIONS(2403),
    [anon_sym_string] = ACTIONS(2403),
    [anon_sym_symbol] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [706] = {
    [sym__call_signature] = STATE(5884),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2403),
    [anon_sym_function] = ACTIONS(2407),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_declare] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_any] = ACTIONS(2403),
    [anon_sym_number] = ACTIONS(2403),
    [anon_sym_boolean] = ACTIONS(2403),
    [anon_sym_string] = ACTIONS(2403),
    [anon_sym_symbol] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [707] = {
    [sym__call_signature] = STATE(5884),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2403),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_declare] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_any] = ACTIONS(2403),
    [anon_sym_number] = ACTIONS(2403),
    [anon_sym_boolean] = ACTIONS(2403),
    [anon_sym_string] = ACTIONS(2403),
    [anon_sym_symbol] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [708] = {
    [sym__call_signature] = STATE(5884),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2401),
    [anon_sym_export] = ACTIONS(2403),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2403),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2403),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2403),
    [anon_sym_function] = ACTIONS(2295),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2403),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2403),
    [anon_sym_readonly] = ACTIONS(2403),
    [anon_sym_get] = ACTIONS(2403),
    [anon_sym_set] = ACTIONS(2403),
    [anon_sym_declare] = ACTIONS(2403),
    [anon_sym_public] = ACTIONS(2403),
    [anon_sym_private] = ACTIONS(2403),
    [anon_sym_protected] = ACTIONS(2403),
    [anon_sym_override] = ACTIONS(2403),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_any] = ACTIONS(2403),
    [anon_sym_number] = ACTIONS(2403),
    [anon_sym_boolean] = ACTIONS(2403),
    [anon_sym_string] = ACTIONS(2403),
    [anon_sym_symbol] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(2403),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [709] = {
    [sym__call_signature] = STATE(5901),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [710] = {
    [sym__call_signature] = STATE(5901),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2409),
    [anon_sym_export] = ACTIONS(2411),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2411),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2411),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2411),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2411),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2411),
    [anon_sym_readonly] = ACTIONS(2411),
    [anon_sym_get] = ACTIONS(2411),
    [anon_sym_set] = ACTIONS(2411),
    [anon_sym_declare] = ACTIONS(2411),
    [anon_sym_public] = ACTIONS(2411),
    [anon_sym_private] = ACTIONS(2411),
    [anon_sym_protected] = ACTIONS(2411),
    [anon_sym_override] = ACTIONS(2411),
    [anon_sym_module] = ACTIONS(2411),
    [anon_sym_any] = ACTIONS(2411),
    [anon_sym_number] = ACTIONS(2411),
    [anon_sym_boolean] = ACTIONS(2411),
    [anon_sym_string] = ACTIONS(2411),
    [anon_sym_symbol] = ACTIONS(2411),
    [anon_sym_object] = ACTIONS(2411),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [711] = {
    [sym_catch_clause] = STATE(744),
    [sym_finally_clause] = STATE(783),
    [ts_builtin_sym_end] = ACTIONS(2413),
    [sym_identifier] = ACTIONS(2415),
    [anon_sym_export] = ACTIONS(2415),
    [anon_sym_default] = ACTIONS(2415),
    [anon_sym_type] = ACTIONS(2415),
    [anon_sym_namespace] = ACTIONS(2415),
    [anon_sym_LBRACE] = ACTIONS(2413),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_typeof] = ACTIONS(2415),
    [anon_sym_import] = ACTIONS(2415),
    [anon_sym_with] = ACTIONS(2415),
    [anon_sym_var] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2415),
    [anon_sym_const] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2415),
    [anon_sym_if] = ACTIONS(2415),
    [anon_sym_switch] = ACTIONS(2415),
    [anon_sym_for] = ACTIONS(2415),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2413),
    [anon_sym_await] = ACTIONS(2415),
    [anon_sym_while] = ACTIONS(2415),
    [anon_sym_do] = ACTIONS(2415),
    [anon_sym_try] = ACTIONS(2415),
    [anon_sym_break] = ACTIONS(2415),
    [anon_sym_continue] = ACTIONS(2415),
    [anon_sym_debugger] = ACTIONS(2415),
    [anon_sym_return] = ACTIONS(2415),
    [anon_sym_throw] = ACTIONS(2415),
    [anon_sym_case] = ACTIONS(2415),
    [anon_sym_catch] = ACTIONS(2417),
    [anon_sym_finally] = ACTIONS(2419),
    [anon_sym_yield] = ACTIONS(2415),
    [anon_sym_LBRACK] = ACTIONS(2413),
    [sym_glimmer_opening_tag] = ACTIONS(2413),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE] = ACTIONS(2413),
    [anon_sym_class] = ACTIONS(2415),
    [anon_sym_async] = ACTIONS(2415),
    [anon_sym_function] = ACTIONS(2415),
    [anon_sym_new] = ACTIONS(2415),
    [anon_sym_using] = ACTIONS(2415),
    [anon_sym_PLUS] = ACTIONS(2415),
    [anon_sym_DASH] = ACTIONS(2415),
    [anon_sym_SLASH] = ACTIONS(2415),
    [anon_sym_LT] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2413),
    [anon_sym_void] = ACTIONS(2415),
    [anon_sym_delete] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2413),
    [anon_sym_DASH_DASH] = ACTIONS(2413),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2413),
    [sym_number] = ACTIONS(2413),
    [sym_private_property_identifier] = ACTIONS(2413),
    [sym_this] = ACTIONS(2415),
    [sym_super] = ACTIONS(2415),
    [sym_true] = ACTIONS(2415),
    [sym_false] = ACTIONS(2415),
    [sym_null] = ACTIONS(2415),
    [sym_undefined] = ACTIONS(2415),
    [anon_sym_AT] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2415),
    [anon_sym_readonly] = ACTIONS(2415),
    [anon_sym_get] = ACTIONS(2415),
    [anon_sym_set] = ACTIONS(2415),
    [anon_sym_declare] = ACTIONS(2415),
    [anon_sym_public] = ACTIONS(2415),
    [anon_sym_private] = ACTIONS(2415),
    [anon_sym_protected] = ACTIONS(2415),
    [anon_sym_override] = ACTIONS(2415),
    [anon_sym_module] = ACTIONS(2415),
    [anon_sym_any] = ACTIONS(2415),
    [anon_sym_number] = ACTIONS(2415),
    [anon_sym_boolean] = ACTIONS(2415),
    [anon_sym_string] = ACTIONS(2415),
    [anon_sym_symbol] = ACTIONS(2415),
    [anon_sym_object] = ACTIONS(2415),
    [anon_sym_abstract] = ACTIONS(2415),
    [anon_sym_interface] = ACTIONS(2415),
    [anon_sym_enum] = ACTIONS(2415),
    [sym_html_comment] = ACTIONS(5),
  },
  [712] = {
    [sym__call_signature] = STATE(5762),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2385),
    [anon_sym_export] = ACTIONS(2387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2387),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2387),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(905),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2387),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2387),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2387),
    [anon_sym_readonly] = ACTIONS(2387),
    [anon_sym_get] = ACTIONS(2387),
    [anon_sym_set] = ACTIONS(2387),
    [anon_sym_declare] = ACTIONS(2387),
    [anon_sym_public] = ACTIONS(2387),
    [anon_sym_private] = ACTIONS(2387),
    [anon_sym_protected] = ACTIONS(2387),
    [anon_sym_override] = ACTIONS(2387),
    [anon_sym_module] = ACTIONS(2387),
    [anon_sym_any] = ACTIONS(2387),
    [anon_sym_number] = ACTIONS(2387),
    [anon_sym_boolean] = ACTIONS(2387),
    [anon_sym_string] = ACTIONS(2387),
    [anon_sym_symbol] = ACTIONS(2387),
    [anon_sym_object] = ACTIONS(2387),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_catch] = ACTIONS(1704),
    [anon_sym_finally] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [sym_glimmer_opening_tag] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_using] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [sym_number] = ACTIONS(1702),
    [sym_private_property_identifier] = ACTIONS(1702),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [sym__automatic_semicolon] = ACTIONS(1712),
    [sym_html_comment] = ACTIONS(5),
  },
  [714] = {
    [sym__call_signature] = STATE(5849),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_object] = ACTIONS(2423),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [715] = {
    [sym__call_signature] = STATE(5802),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2425),
    [anon_sym_export] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(916),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2427),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2427),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2427),
    [anon_sym_readonly] = ACTIONS(2427),
    [anon_sym_get] = ACTIONS(2427),
    [anon_sym_set] = ACTIONS(2427),
    [anon_sym_declare] = ACTIONS(2427),
    [anon_sym_public] = ACTIONS(2427),
    [anon_sym_private] = ACTIONS(2427),
    [anon_sym_protected] = ACTIONS(2427),
    [anon_sym_override] = ACTIONS(2427),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_any] = ACTIONS(2427),
    [anon_sym_number] = ACTIONS(2427),
    [anon_sym_boolean] = ACTIONS(2427),
    [anon_sym_string] = ACTIONS(2427),
    [anon_sym_symbol] = ACTIONS(2427),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [716] = {
    [sym__call_signature] = STATE(5802),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2425),
    [anon_sym_export] = ACTIONS(2427),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2427),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2427),
    [anon_sym_LBRACE] = ACTIONS(161),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2427),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2427),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(922),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2427),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2427),
    [anon_sym_readonly] = ACTIONS(2427),
    [anon_sym_get] = ACTIONS(2427),
    [anon_sym_set] = ACTIONS(2427),
    [anon_sym_declare] = ACTIONS(2427),
    [anon_sym_public] = ACTIONS(2427),
    [anon_sym_private] = ACTIONS(2427),
    [anon_sym_protected] = ACTIONS(2427),
    [anon_sym_override] = ACTIONS(2427),
    [anon_sym_module] = ACTIONS(2427),
    [anon_sym_any] = ACTIONS(2427),
    [anon_sym_number] = ACTIONS(2427),
    [anon_sym_boolean] = ACTIONS(2427),
    [anon_sym_string] = ACTIONS(2427),
    [anon_sym_symbol] = ACTIONS(2427),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_satisfies] = ACTIONS(122),
    [anon_sym_implements] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1855),
    [anon_sym_export] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_typeof] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_with] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_let] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_switch] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_debugger] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_throw] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_catch] = ACTIONS(1855),
    [anon_sym_finally] = ACTIONS(1855),
    [anon_sym_yield] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_glimmer_opening_tag] = ACTIONS(1853),
    [anon_sym_DQUOTE] = ACTIONS(1853),
    [anon_sym_SQUOTE] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_new] = ACTIONS(1855),
    [anon_sym_using] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_void] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [sym_private_property_identifier] = ACTIONS(1853),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(1855),
    [sym_true] = ACTIONS(1855),
    [sym_false] = ACTIONS(1855),
    [sym_null] = ACTIONS(1855),
    [sym_undefined] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_static] = ACTIONS(1855),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1855),
    [anon_sym_set] = ACTIONS(1855),
    [anon_sym_declare] = ACTIONS(1855),
    [anon_sym_public] = ACTIONS(1855),
    [anon_sym_private] = ACTIONS(1855),
    [anon_sym_protected] = ACTIONS(1855),
    [anon_sym_override] = ACTIONS(1855),
    [anon_sym_module] = ACTIONS(1855),
    [anon_sym_any] = ACTIONS(1855),
    [anon_sym_number] = ACTIONS(1855),
    [anon_sym_boolean] = ACTIONS(1855),
    [anon_sym_string] = ACTIONS(1855),
    [anon_sym_symbol] = ACTIONS(1855),
    [anon_sym_object] = ACTIONS(1855),
    [anon_sym_abstract] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1855),
    [sym__automatic_semicolon] = ACTIONS(2429),
    [sym_html_comment] = ACTIONS(5),
  },
  [718] = {
    [sym__call_signature] = STATE(5625),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [719] = {
    [sym__call_signature] = STATE(5849),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(892),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_object] = ACTIONS(2423),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [720] = {
    [sym__call_signature] = STATE(5625),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2295),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_type] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_COMMA] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_typeof] = ACTIONS(1925),
    [anon_sym_import] = ACTIONS(1925),
    [anon_sym_with] = ACTIONS(1925),
    [anon_sym_var] = ACTIONS(1925),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_LPAREN] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_debugger] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_yield] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [sym_glimmer_opening_tag] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_SLASH] = ACTIONS(1925),
    [anon_sym_LT] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_void] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1923),
    [sym_number] = ACTIONS(1923),
    [sym_private_property_identifier] = ACTIONS(1923),
    [sym_this] = ACTIONS(1925),
    [sym_super] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_undefined] = ACTIONS(1925),
    [anon_sym_AT] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_readonly] = ACTIONS(1925),
    [anon_sym_get] = ACTIONS(1925),
    [anon_sym_set] = ACTIONS(1925),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1925),
    [anon_sym_private] = ACTIONS(1925),
    [anon_sym_protected] = ACTIONS(1925),
    [anon_sym_override] = ACTIONS(1925),
    [anon_sym_module] = ACTIONS(1925),
    [anon_sym_any] = ACTIONS(1925),
    [anon_sym_number] = ACTIONS(1925),
    [anon_sym_boolean] = ACTIONS(1925),
    [anon_sym_string] = ACTIONS(1925),
    [anon_sym_symbol] = ACTIONS(1925),
    [anon_sym_object] = ACTIONS(1925),
    [anon_sym_abstract] = ACTIONS(1925),
    [anon_sym_interface] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1923),
    [sym__automatic_semicolon] = ACTIONS(1923),
    [sym_html_comment] = ACTIONS(5),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_default] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_COMMA] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(1741),
    [anon_sym_import] = ACTIONS(1741),
    [anon_sym_with] = ACTIONS(1741),
    [anon_sym_var] = ACTIONS(1741),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(1741),
    [anon_sym_BANG] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(1741),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_switch] = ACTIONS(1741),
    [anon_sym_for] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1741),
    [anon_sym_do] = ACTIONS(1741),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_break] = ACTIONS(1741),
    [anon_sym_continue] = ACTIONS(1741),
    [anon_sym_debugger] = ACTIONS(1741),
    [anon_sym_return] = ACTIONS(1741),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_case] = ACTIONS(1741),
    [anon_sym_yield] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [sym_glimmer_opening_tag] = ACTIONS(1739),
    [anon_sym_DQUOTE] = ACTIONS(1739),
    [anon_sym_SQUOTE] = ACTIONS(1739),
    [anon_sym_class] = ACTIONS(1741),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_function] = ACTIONS(1741),
    [anon_sym_new] = ACTIONS(1741),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [sym_number] = ACTIONS(1739),
    [sym_private_property_identifier] = ACTIONS(1739),
    [sym_this] = ACTIONS(1741),
    [sym_super] = ACTIONS(1741),
    [sym_true] = ACTIONS(1741),
    [sym_false] = ACTIONS(1741),
    [sym_null] = ACTIONS(1741),
    [sym_undefined] = ACTIONS(1741),
    [anon_sym_AT] = ACTIONS(1739),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
    [anon_sym_object] = ACTIONS(1741),
    [anon_sym_abstract] = ACTIONS(1741),
    [anon_sym_interface] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1741),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1739),
    [sym__automatic_semicolon] = ACTIONS(1739),
    [sym_html_comment] = ACTIONS(5),
  },
  [723] = {
    [sym__call_signature] = STATE(5849),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_object] = ACTIONS(2423),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1855),
    [anon_sym_export] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_typeof] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_with] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_let] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_switch] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_debugger] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_throw] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_yield] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_glimmer_opening_tag] = ACTIONS(1853),
    [anon_sym_DQUOTE] = ACTIONS(1853),
    [anon_sym_SQUOTE] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_new] = ACTIONS(1855),
    [anon_sym_using] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_void] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [sym_private_property_identifier] = ACTIONS(1853),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(1855),
    [sym_true] = ACTIONS(1855),
    [sym_false] = ACTIONS(1855),
    [sym_null] = ACTIONS(1855),
    [sym_undefined] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_static] = ACTIONS(1855),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1855),
    [anon_sym_set] = ACTIONS(1855),
    [anon_sym_declare] = ACTIONS(1855),
    [anon_sym_public] = ACTIONS(1855),
    [anon_sym_private] = ACTIONS(1855),
    [anon_sym_protected] = ACTIONS(1855),
    [anon_sym_override] = ACTIONS(1855),
    [anon_sym_module] = ACTIONS(1855),
    [anon_sym_any] = ACTIONS(1855),
    [anon_sym_number] = ACTIONS(1855),
    [anon_sym_boolean] = ACTIONS(1855),
    [anon_sym_string] = ACTIONS(1855),
    [anon_sym_symbol] = ACTIONS(1855),
    [anon_sym_object] = ACTIONS(1855),
    [anon_sym_abstract] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1855),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1853),
    [sym__automatic_semicolon] = ACTIONS(1853),
    [sym_html_comment] = ACTIONS(5),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_export] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_namespace] = ACTIONS(1704),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_COMMA] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_typeof] = ACTIONS(1704),
    [anon_sym_import] = ACTIONS(1704),
    [anon_sym_with] = ACTIONS(1704),
    [anon_sym_var] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_else] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_switch] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_await] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_do] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_debugger] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_throw] = ACTIONS(1704),
    [anon_sym_case] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [sym_glimmer_opening_tag] = ACTIONS(1702),
    [anon_sym_DQUOTE] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1702),
    [anon_sym_class] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_function] = ACTIONS(1704),
    [anon_sym_new] = ACTIONS(1704),
    [anon_sym_using] = ACTIONS(1704),
    [anon_sym_PLUS] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1704),
    [anon_sym_SLASH] = ACTIONS(1704),
    [anon_sym_LT] = ACTIONS(1704),
    [anon_sym_TILDE] = ACTIONS(1702),
    [anon_sym_void] = ACTIONS(1704),
    [anon_sym_delete] = ACTIONS(1704),
    [anon_sym_PLUS_PLUS] = ACTIONS(1702),
    [anon_sym_DASH_DASH] = ACTIONS(1702),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1702),
    [sym_number] = ACTIONS(1702),
    [sym_private_property_identifier] = ACTIONS(1702),
    [sym_this] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_true] = ACTIONS(1704),
    [sym_false] = ACTIONS(1704),
    [sym_null] = ACTIONS(1704),
    [sym_undefined] = ACTIONS(1704),
    [anon_sym_AT] = ACTIONS(1702),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_readonly] = ACTIONS(1704),
    [anon_sym_get] = ACTIONS(1704),
    [anon_sym_set] = ACTIONS(1704),
    [anon_sym_declare] = ACTIONS(1704),
    [anon_sym_public] = ACTIONS(1704),
    [anon_sym_private] = ACTIONS(1704),
    [anon_sym_protected] = ACTIONS(1704),
    [anon_sym_override] = ACTIONS(1704),
    [anon_sym_module] = ACTIONS(1704),
    [anon_sym_any] = ACTIONS(1704),
    [anon_sym_number] = ACTIONS(1704),
    [anon_sym_boolean] = ACTIONS(1704),
    [anon_sym_string] = ACTIONS(1704),
    [anon_sym_symbol] = ACTIONS(1704),
    [anon_sym_object] = ACTIONS(1704),
    [anon_sym_abstract] = ACTIONS(1704),
    [anon_sym_interface] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1702),
    [sym__automatic_semicolon] = ACTIONS(2435),
    [sym_html_comment] = ACTIONS(5),
  },
  [726] = {
    [ts_builtin_sym_end] = ACTIONS(1735),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_export] = ACTIONS(1737),
    [anon_sym_default] = ACTIONS(1737),
    [anon_sym_type] = ACTIONS(1737),
    [anon_sym_namespace] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_typeof] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1737),
    [anon_sym_with] = ACTIONS(1737),
    [anon_sym_var] = ACTIONS(1737),
    [anon_sym_let] = ACTIONS(1737),
    [anon_sym_const] = ACTIONS(1737),
    [anon_sym_BANG] = ACTIONS(1735),
    [anon_sym_else] = ACTIONS(1737),
    [anon_sym_if] = ACTIONS(1737),
    [anon_sym_switch] = ACTIONS(1737),
    [anon_sym_for] = ACTIONS(1737),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_await] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1737),
    [anon_sym_do] = ACTIONS(1737),
    [anon_sym_try] = ACTIONS(1737),
    [anon_sym_break] = ACTIONS(1737),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_debugger] = ACTIONS(1737),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_throw] = ACTIONS(1737),
    [anon_sym_case] = ACTIONS(1737),
    [anon_sym_yield] = ACTIONS(1737),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [sym_glimmer_opening_tag] = ACTIONS(1735),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [anon_sym_SQUOTE] = ACTIONS(1735),
    [anon_sym_class] = ACTIONS(1737),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_using] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1735),
    [anon_sym_void] = ACTIONS(1737),
    [anon_sym_delete] = ACTIONS(1737),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1735),
    [sym_number] = ACTIONS(1735),
    [sym_private_property_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1737),
    [sym_super] = ACTIONS(1737),
    [sym_true] = ACTIONS(1737),
    [sym_false] = ACTIONS(1737),
    [sym_null] = ACTIONS(1737),
    [sym_undefined] = ACTIONS(1737),
    [anon_sym_AT] = ACTIONS(1735),
    [anon_sym_static] = ACTIONS(1737),
    [anon_sym_readonly] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1737),
    [anon_sym_set] = ACTIONS(1737),
    [anon_sym_declare] = ACTIONS(1737),
    [anon_sym_public] = ACTIONS(1737),
    [anon_sym_private] = ACTIONS(1737),
    [anon_sym_protected] = ACTIONS(1737),
    [anon_sym_override] = ACTIONS(1737),
    [anon_sym_module] = ACTIONS(1737),
    [anon_sym_any] = ACTIONS(1737),
    [anon_sym_number] = ACTIONS(1737),
    [anon_sym_boolean] = ACTIONS(1737),
    [anon_sym_string] = ACTIONS(1737),
    [anon_sym_symbol] = ACTIONS(1737),
    [anon_sym_object] = ACTIONS(1737),
    [anon_sym_abstract] = ACTIONS(1737),
    [anon_sym_interface] = ACTIONS(1737),
    [anon_sym_enum] = ACTIONS(1737),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1735),
    [sym__automatic_semicolon] = ACTIONS(1735),
    [sym_html_comment] = ACTIONS(5),
  },
  [727] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1855),
    [anon_sym_export] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_typeof] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_with] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_let] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_switch] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_debugger] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_throw] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_yield] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_glimmer_opening_tag] = ACTIONS(1853),
    [anon_sym_DQUOTE] = ACTIONS(1853),
    [anon_sym_SQUOTE] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_new] = ACTIONS(1855),
    [anon_sym_using] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_void] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [sym_private_property_identifier] = ACTIONS(1853),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(1855),
    [sym_true] = ACTIONS(1855),
    [sym_false] = ACTIONS(1855),
    [sym_null] = ACTIONS(1855),
    [sym_undefined] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_static] = ACTIONS(1855),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1855),
    [anon_sym_set] = ACTIONS(1855),
    [anon_sym_declare] = ACTIONS(1855),
    [anon_sym_public] = ACTIONS(1855),
    [anon_sym_private] = ACTIONS(1855),
    [anon_sym_protected] = ACTIONS(1855),
    [anon_sym_override] = ACTIONS(1855),
    [anon_sym_module] = ACTIONS(1855),
    [anon_sym_any] = ACTIONS(1855),
    [anon_sym_number] = ACTIONS(1855),
    [anon_sym_boolean] = ACTIONS(1855),
    [anon_sym_string] = ACTIONS(1855),
    [anon_sym_symbol] = ACTIONS(1855),
    [anon_sym_object] = ACTIONS(1855),
    [anon_sym_abstract] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1855),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1853),
    [sym__automatic_semicolon] = ACTIONS(2437),
    [sym_html_comment] = ACTIONS(5),
  },
  [728] = {
    [sym__call_signature] = STATE(5724),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(936),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2441),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2441),
    [anon_sym_readonly] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_declare] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_module] = ACTIONS(2441),
    [anon_sym_any] = ACTIONS(2441),
    [anon_sym_number] = ACTIONS(2441),
    [anon_sym_boolean] = ACTIONS(2441),
    [anon_sym_string] = ACTIONS(2441),
    [anon_sym_symbol] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [729] = {
    [sym__call_signature] = STATE(5724),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2439),
    [anon_sym_export] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_let] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2441),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(910),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2441),
    [anon_sym_readonly] = ACTIONS(2441),
    [anon_sym_get] = ACTIONS(2441),
    [anon_sym_set] = ACTIONS(2441),
    [anon_sym_declare] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_override] = ACTIONS(2441),
    [anon_sym_module] = ACTIONS(2441),
    [anon_sym_any] = ACTIONS(2441),
    [anon_sym_number] = ACTIONS(2441),
    [anon_sym_boolean] = ACTIONS(2441),
    [anon_sym_string] = ACTIONS(2441),
    [anon_sym_symbol] = ACTIONS(2441),
    [anon_sym_object] = ACTIONS(2441),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [730] = {
    [sym__call_signature] = STATE(5625),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2407),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [731] = {
    [sym__call_signature] = STATE(5625),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2443),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [732] = {
    [sym__call_signature] = STATE(5625),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2431),
    [anon_sym_export] = ACTIONS(2433),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2433),
    [anon_sym_EQ] = ACTIONS(948),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2433),
    [anon_sym_let] = ACTIONS(2433),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2433),
    [anon_sym_function] = ACTIONS(2405),
    [anon_sym_EQ_GT] = ACTIONS(954),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_readonly] = ACTIONS(2433),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_override] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_any] = ACTIONS(2433),
    [anon_sym_number] = ACTIONS(2433),
    [anon_sym_boolean] = ACTIONS(2433),
    [anon_sym_string] = ACTIONS(2433),
    [anon_sym_symbol] = ACTIONS(2433),
    [anon_sym_object] = ACTIONS(2433),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [733] = {
    [ts_builtin_sym_end] = ACTIONS(1853),
    [sym_identifier] = ACTIONS(1855),
    [anon_sym_export] = ACTIONS(1855),
    [anon_sym_default] = ACTIONS(1855),
    [anon_sym_type] = ACTIONS(1855),
    [anon_sym_namespace] = ACTIONS(1855),
    [anon_sym_LBRACE] = ACTIONS(1853),
    [anon_sym_COMMA] = ACTIONS(1853),
    [anon_sym_RBRACE] = ACTIONS(1853),
    [anon_sym_typeof] = ACTIONS(1855),
    [anon_sym_import] = ACTIONS(1855),
    [anon_sym_with] = ACTIONS(1855),
    [anon_sym_var] = ACTIONS(1855),
    [anon_sym_let] = ACTIONS(1855),
    [anon_sym_const] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1853),
    [anon_sym_else] = ACTIONS(1855),
    [anon_sym_if] = ACTIONS(1855),
    [anon_sym_switch] = ACTIONS(1855),
    [anon_sym_for] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1853),
    [anon_sym_SEMI] = ACTIONS(1853),
    [anon_sym_await] = ACTIONS(1855),
    [anon_sym_while] = ACTIONS(1855),
    [anon_sym_do] = ACTIONS(1855),
    [anon_sym_try] = ACTIONS(1855),
    [anon_sym_break] = ACTIONS(1855),
    [anon_sym_continue] = ACTIONS(1855),
    [anon_sym_debugger] = ACTIONS(1855),
    [anon_sym_return] = ACTIONS(1855),
    [anon_sym_throw] = ACTIONS(1855),
    [anon_sym_case] = ACTIONS(1855),
    [anon_sym_catch] = ACTIONS(1855),
    [anon_sym_finally] = ACTIONS(1855),
    [anon_sym_yield] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1853),
    [sym_glimmer_opening_tag] = ACTIONS(1853),
    [anon_sym_DQUOTE] = ACTIONS(1853),
    [anon_sym_SQUOTE] = ACTIONS(1853),
    [anon_sym_class] = ACTIONS(1855),
    [anon_sym_async] = ACTIONS(1855),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_new] = ACTIONS(1855),
    [anon_sym_using] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1855),
    [anon_sym_SLASH] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1853),
    [anon_sym_void] = ACTIONS(1855),
    [anon_sym_delete] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1853),
    [anon_sym_DASH_DASH] = ACTIONS(1853),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1853),
    [sym_number] = ACTIONS(1853),
    [sym_private_property_identifier] = ACTIONS(1853),
    [sym_this] = ACTIONS(1855),
    [sym_super] = ACTIONS(1855),
    [sym_true] = ACTIONS(1855),
    [sym_false] = ACTIONS(1855),
    [sym_null] = ACTIONS(1855),
    [sym_undefined] = ACTIONS(1855),
    [anon_sym_AT] = ACTIONS(1853),
    [anon_sym_static] = ACTIONS(1855),
    [anon_sym_readonly] = ACTIONS(1855),
    [anon_sym_get] = ACTIONS(1855),
    [anon_sym_set] = ACTIONS(1855),
    [anon_sym_declare] = ACTIONS(1855),
    [anon_sym_public] = ACTIONS(1855),
    [anon_sym_private] = ACTIONS(1855),
    [anon_sym_protected] = ACTIONS(1855),
    [anon_sym_override] = ACTIONS(1855),
    [anon_sym_module] = ACTIONS(1855),
    [anon_sym_any] = ACTIONS(1855),
    [anon_sym_number] = ACTIONS(1855),
    [anon_sym_boolean] = ACTIONS(1855),
    [anon_sym_string] = ACTIONS(1855),
    [anon_sym_symbol] = ACTIONS(1855),
    [anon_sym_object] = ACTIONS(1855),
    [anon_sym_abstract] = ACTIONS(1855),
    [anon_sym_interface] = ACTIONS(1855),
    [anon_sym_enum] = ACTIONS(1855),
    [sym_html_comment] = ACTIONS(5),
  },
  [734] = {
    [ts_builtin_sym_end] = ACTIONS(1735),
    [sym_identifier] = ACTIONS(1737),
    [anon_sym_export] = ACTIONS(1737),
    [anon_sym_default] = ACTIONS(1737),
    [anon_sym_type] = ACTIONS(1737),
    [anon_sym_namespace] = ACTIONS(1737),
    [anon_sym_LBRACE] = ACTIONS(1735),
    [anon_sym_COMMA] = ACTIONS(1735),
    [anon_sym_RBRACE] = ACTIONS(1735),
    [anon_sym_typeof] = ACTIONS(1737),
    [anon_sym_import] = ACTIONS(1737),
    [anon_sym_with] = ACTIONS(1737),
    [anon_sym_var] = ACTIONS(1737),
    [anon_sym_let] = ACTIONS(1737),
    [anon_sym_const] = ACTIONS(1737),
    [anon_sym_BANG] = ACTIONS(1735),
    [anon_sym_else] = ACTIONS(1737),
    [anon_sym_if] = ACTIONS(1737),
    [anon_sym_switch] = ACTIONS(1737),
    [anon_sym_for] = ACTIONS(1737),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_SEMI] = ACTIONS(1735),
    [anon_sym_await] = ACTIONS(1737),
    [anon_sym_while] = ACTIONS(1737),
    [anon_sym_do] = ACTIONS(1737),
    [anon_sym_try] = ACTIONS(1737),
    [anon_sym_break] = ACTIONS(1737),
    [anon_sym_continue] = ACTIONS(1737),
    [anon_sym_debugger] = ACTIONS(1737),
    [anon_sym_return] = ACTIONS(1737),
    [anon_sym_throw] = ACTIONS(1737),
    [anon_sym_case] = ACTIONS(1737),
    [anon_sym_catch] = ACTIONS(1737),
    [anon_sym_finally] = ACTIONS(1737),
    [anon_sym_yield] = ACTIONS(1737),
    [anon_sym_LBRACK] = ACTIONS(1735),
    [sym_glimmer_opening_tag] = ACTIONS(1735),
    [anon_sym_DQUOTE] = ACTIONS(1735),
    [anon_sym_SQUOTE] = ACTIONS(1735),
    [anon_sym_class] = ACTIONS(1737),
    [anon_sym_async] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1737),
    [anon_sym_new] = ACTIONS(1737),
    [anon_sym_using] = ACTIONS(1737),
    [anon_sym_PLUS] = ACTIONS(1737),
    [anon_sym_DASH] = ACTIONS(1737),
    [anon_sym_SLASH] = ACTIONS(1737),
    [anon_sym_LT] = ACTIONS(1737),
    [anon_sym_TILDE] = ACTIONS(1735),
    [anon_sym_void] = ACTIONS(1737),
    [anon_sym_delete] = ACTIONS(1737),
    [anon_sym_PLUS_PLUS] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1735),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1735),
    [sym_number] = ACTIONS(1735),
    [sym_private_property_identifier] = ACTIONS(1735),
    [sym_this] = ACTIONS(1737),
    [sym_super] = ACTIONS(1737),
    [sym_true] = ACTIONS(1737),
    [sym_false] = ACTIONS(1737),
    [sym_null] = ACTIONS(1737),
    [sym_undefined] = ACTIONS(1737),
    [anon_sym_AT] = ACTIONS(1735),
    [anon_sym_static] = ACTIONS(1737),
    [anon_sym_readonly] = ACTIONS(1737),
    [anon_sym_get] = ACTIONS(1737),
    [anon_sym_set] = ACTIONS(1737),
    [anon_sym_declare] = ACTIONS(1737),
    [anon_sym_public] = ACTIONS(1737),
    [anon_sym_private] = ACTIONS(1737),
    [anon_sym_protected] = ACTIONS(1737),
    [anon_sym_override] = ACTIONS(1737),
    [anon_sym_module] = ACTIONS(1737),
    [anon_sym_any] = ACTIONS(1737),
    [anon_sym_number] = ACTIONS(1737),
    [anon_sym_boolean] = ACTIONS(1737),
    [anon_sym_string] = ACTIONS(1737),
    [anon_sym_symbol] = ACTIONS(1737),
    [anon_sym_object] = ACTIONS(1737),
    [anon_sym_abstract] = ACTIONS(1737),
    [anon_sym_interface] = ACTIONS(1737),
    [anon_sym_enum] = ACTIONS(1737),
    [sym_html_comment] = ACTIONS(5),
  },
  [735] = {
    [sym__call_signature] = STATE(5849),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(930),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_object] = ACTIONS(2423),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [736] = {
    [sym__call_signature] = STATE(5849),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(928),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_object] = ACTIONS(2423),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [737] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(905),
    [anon_sym_of] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [738] = {
    [sym_statement_block] = STATE(869),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_glimmer_opening_tag] = ACTIONS(1672),
    [anon_sym_DOT] = ACTIONS(2447),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_using] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [sym_number] = ACTIONS(1672),
    [sym_private_property_identifier] = ACTIONS(1672),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [sym_html_comment] = ACTIONS(5),
  },
  [739] = {
    [sym_statement_block] = STATE(869),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_glimmer_opening_tag] = ACTIONS(1672),
    [anon_sym_DOT] = ACTIONS(2449),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_using] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [sym_number] = ACTIONS(1672),
    [sym_private_property_identifier] = ACTIONS(1672),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [sym_html_comment] = ACTIONS(5),
  },
  [740] = {
    [sym__call_signature] = STATE(5849),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2421),
    [anon_sym_export] = ACTIONS(2423),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2423),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2423),
    [anon_sym_let] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2423),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(901),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2423),
    [anon_sym_readonly] = ACTIONS(2423),
    [anon_sym_get] = ACTIONS(2423),
    [anon_sym_set] = ACTIONS(2423),
    [anon_sym_declare] = ACTIONS(2423),
    [anon_sym_public] = ACTIONS(2423),
    [anon_sym_private] = ACTIONS(2423),
    [anon_sym_protected] = ACTIONS(2423),
    [anon_sym_override] = ACTIONS(2423),
    [anon_sym_module] = ACTIONS(2423),
    [anon_sym_any] = ACTIONS(2423),
    [anon_sym_number] = ACTIONS(2423),
    [anon_sym_boolean] = ACTIONS(2423),
    [anon_sym_string] = ACTIONS(2423),
    [anon_sym_symbol] = ACTIONS(2423),
    [anon_sym_object] = ACTIONS(2423),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [741] = {
    [sym__call_signature] = STATE(5970),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2451),
    [anon_sym_export] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2453),
    [anon_sym_EQ] = ACTIONS(962),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_let] = ACTIONS(2453),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2453),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(968),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_readonly] = ACTIONS(2453),
    [anon_sym_get] = ACTIONS(2453),
    [anon_sym_set] = ACTIONS(2453),
    [anon_sym_declare] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_override] = ACTIONS(2453),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_any] = ACTIONS(2453),
    [anon_sym_number] = ACTIONS(2453),
    [anon_sym_boolean] = ACTIONS(2453),
    [anon_sym_string] = ACTIONS(2453),
    [anon_sym_symbol] = ACTIONS(2453),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [742] = {
    [sym__call_signature] = STATE(5970),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2451),
    [anon_sym_export] = ACTIONS(2453),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2453),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2453),
    [anon_sym_let] = ACTIONS(2453),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2453),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(968),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_readonly] = ACTIONS(2453),
    [anon_sym_get] = ACTIONS(2453),
    [anon_sym_set] = ACTIONS(2453),
    [anon_sym_declare] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_override] = ACTIONS(2453),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_any] = ACTIONS(2453),
    [anon_sym_number] = ACTIONS(2453),
    [anon_sym_boolean] = ACTIONS(2453),
    [anon_sym_string] = ACTIONS(2453),
    [anon_sym_symbol] = ACTIONS(2453),
    [anon_sym_object] = ACTIONS(2453),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [743] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [744] = {
    [sym_finally_clause] = STATE(905),
    [ts_builtin_sym_end] = ACTIONS(2455),
    [sym_identifier] = ACTIONS(2457),
    [anon_sym_export] = ACTIONS(2457),
    [anon_sym_default] = ACTIONS(2457),
    [anon_sym_type] = ACTIONS(2457),
    [anon_sym_namespace] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [anon_sym_typeof] = ACTIONS(2457),
    [anon_sym_import] = ACTIONS(2457),
    [anon_sym_with] = ACTIONS(2457),
    [anon_sym_var] = ACTIONS(2457),
    [anon_sym_let] = ACTIONS(2457),
    [anon_sym_const] = ACTIONS(2457),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_switch] = ACTIONS(2457),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(2455),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym_await] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_do] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_break] = ACTIONS(2457),
    [anon_sym_continue] = ACTIONS(2457),
    [anon_sym_debugger] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_case] = ACTIONS(2457),
    [anon_sym_finally] = ACTIONS(2419),
    [anon_sym_yield] = ACTIONS(2457),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [sym_glimmer_opening_tag] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2455),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_class] = ACTIONS(2457),
    [anon_sym_async] = ACTIONS(2457),
    [anon_sym_function] = ACTIONS(2457),
    [anon_sym_new] = ACTIONS(2457),
    [anon_sym_using] = ACTIONS(2457),
    [anon_sym_PLUS] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2457),
    [anon_sym_SLASH] = ACTIONS(2457),
    [anon_sym_LT] = ACTIONS(2457),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_void] = ACTIONS(2457),
    [anon_sym_delete] = ACTIONS(2457),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2455),
    [sym_number] = ACTIONS(2455),
    [sym_private_property_identifier] = ACTIONS(2455),
    [sym_this] = ACTIONS(2457),
    [sym_super] = ACTIONS(2457),
    [sym_true] = ACTIONS(2457),
    [sym_false] = ACTIONS(2457),
    [sym_null] = ACTIONS(2457),
    [sym_undefined] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2455),
    [anon_sym_static] = ACTIONS(2457),
    [anon_sym_readonly] = ACTIONS(2457),
    [anon_sym_get] = ACTIONS(2457),
    [anon_sym_set] = ACTIONS(2457),
    [anon_sym_declare] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_override] = ACTIONS(2457),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_any] = ACTIONS(2457),
    [anon_sym_number] = ACTIONS(2457),
    [anon_sym_boolean] = ACTIONS(2457),
    [anon_sym_string] = ACTIONS(2457),
    [anon_sym_symbol] = ACTIONS(2457),
    [anon_sym_object] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_interface] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [sym_html_comment] = ACTIONS(5),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2459),
    [sym_identifier] = ACTIONS(2461),
    [anon_sym_export] = ACTIONS(2461),
    [anon_sym_default] = ACTIONS(2461),
    [anon_sym_type] = ACTIONS(2461),
    [anon_sym_namespace] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2459),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [anon_sym_typeof] = ACTIONS(2461),
    [anon_sym_import] = ACTIONS(2461),
    [anon_sym_with] = ACTIONS(2461),
    [anon_sym_var] = ACTIONS(2461),
    [anon_sym_let] = ACTIONS(2461),
    [anon_sym_const] = ACTIONS(2461),
    [anon_sym_BANG] = ACTIONS(2459),
    [anon_sym_else] = ACTIONS(2461),
    [anon_sym_if] = ACTIONS(2461),
    [anon_sym_switch] = ACTIONS(2461),
    [anon_sym_for] = ACTIONS(2461),
    [anon_sym_LPAREN] = ACTIONS(2459),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_RPAREN] = ACTIONS(2459),
    [anon_sym_await] = ACTIONS(2461),
    [anon_sym_while] = ACTIONS(2461),
    [anon_sym_do] = ACTIONS(2461),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_break] = ACTIONS(2461),
    [anon_sym_continue] = ACTIONS(2461),
    [anon_sym_debugger] = ACTIONS(2461),
    [anon_sym_return] = ACTIONS(2461),
    [anon_sym_throw] = ACTIONS(2461),
    [anon_sym_case] = ACTIONS(2461),
    [anon_sym_yield] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [sym_glimmer_opening_tag] = ACTIONS(2459),
    [anon_sym_DQUOTE] = ACTIONS(2459),
    [anon_sym_SQUOTE] = ACTIONS(2459),
    [anon_sym_class] = ACTIONS(2461),
    [anon_sym_async] = ACTIONS(2461),
    [anon_sym_function] = ACTIONS(2461),
    [anon_sym_new] = ACTIONS(2461),
    [anon_sym_using] = ACTIONS(2461),
    [anon_sym_PLUS] = ACTIONS(2461),
    [anon_sym_DASH] = ACTIONS(2461),
    [anon_sym_SLASH] = ACTIONS(2461),
    [anon_sym_LT] = ACTIONS(2461),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_void] = ACTIONS(2461),
    [anon_sym_delete] = ACTIONS(2461),
    [anon_sym_PLUS_PLUS] = ACTIONS(2459),
    [anon_sym_DASH_DASH] = ACTIONS(2459),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2459),
    [sym_number] = ACTIONS(2459),
    [sym_private_property_identifier] = ACTIONS(2459),
    [sym_this] = ACTIONS(2461),
    [sym_super] = ACTIONS(2461),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [sym_null] = ACTIONS(2461),
    [sym_undefined] = ACTIONS(2461),
    [anon_sym_AT] = ACTIONS(2459),
    [anon_sym_static] = ACTIONS(2461),
    [anon_sym_readonly] = ACTIONS(2461),
    [anon_sym_get] = ACTIONS(2461),
    [anon_sym_set] = ACTIONS(2461),
    [anon_sym_declare] = ACTIONS(2461),
    [anon_sym_public] = ACTIONS(2461),
    [anon_sym_private] = ACTIONS(2461),
    [anon_sym_protected] = ACTIONS(2461),
    [anon_sym_override] = ACTIONS(2461),
    [anon_sym_module] = ACTIONS(2461),
    [anon_sym_any] = ACTIONS(2461),
    [anon_sym_number] = ACTIONS(2461),
    [anon_sym_boolean] = ACTIONS(2461),
    [anon_sym_string] = ACTIONS(2461),
    [anon_sym_symbol] = ACTIONS(2461),
    [anon_sym_object] = ACTIONS(2461),
    [anon_sym_abstract] = ACTIONS(2461),
    [anon_sym_interface] = ACTIONS(2461),
    [anon_sym_enum] = ACTIONS(2461),
    [sym_html_comment] = ACTIONS(5),
  },
  [746] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [747] = {
    [sym_statement_block] = STATE(869),
    [ts_builtin_sym_end] = ACTIONS(1672),
    [sym_identifier] = ACTIONS(1674),
    [anon_sym_export] = ACTIONS(1674),
    [anon_sym_default] = ACTIONS(1674),
    [anon_sym_type] = ACTIONS(1674),
    [anon_sym_namespace] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(2445),
    [anon_sym_RBRACE] = ACTIONS(1672),
    [anon_sym_typeof] = ACTIONS(1674),
    [anon_sym_import] = ACTIONS(1674),
    [anon_sym_with] = ACTIONS(1674),
    [anon_sym_var] = ACTIONS(1674),
    [anon_sym_let] = ACTIONS(1674),
    [anon_sym_const] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1672),
    [anon_sym_else] = ACTIONS(1674),
    [anon_sym_if] = ACTIONS(1674),
    [anon_sym_switch] = ACTIONS(1674),
    [anon_sym_for] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1672),
    [anon_sym_await] = ACTIONS(1674),
    [anon_sym_while] = ACTIONS(1674),
    [anon_sym_do] = ACTIONS(1674),
    [anon_sym_try] = ACTIONS(1674),
    [anon_sym_break] = ACTIONS(1674),
    [anon_sym_continue] = ACTIONS(1674),
    [anon_sym_debugger] = ACTIONS(1674),
    [anon_sym_return] = ACTIONS(1674),
    [anon_sym_throw] = ACTIONS(1674),
    [anon_sym_case] = ACTIONS(1674),
    [anon_sym_yield] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1672),
    [sym_glimmer_opening_tag] = ACTIONS(1672),
    [anon_sym_DQUOTE] = ACTIONS(1672),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_class] = ACTIONS(1674),
    [anon_sym_async] = ACTIONS(1674),
    [anon_sym_function] = ACTIONS(1674),
    [anon_sym_new] = ACTIONS(1674),
    [anon_sym_using] = ACTIONS(1674),
    [anon_sym_PLUS] = ACTIONS(1674),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_SLASH] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_TILDE] = ACTIONS(1672),
    [anon_sym_void] = ACTIONS(1674),
    [anon_sym_delete] = ACTIONS(1674),
    [anon_sym_PLUS_PLUS] = ACTIONS(1672),
    [anon_sym_DASH_DASH] = ACTIONS(1672),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1672),
    [sym_number] = ACTIONS(1672),
    [sym_private_property_identifier] = ACTIONS(1672),
    [sym_this] = ACTIONS(1674),
    [sym_super] = ACTIONS(1674),
    [sym_true] = ACTIONS(1674),
    [sym_false] = ACTIONS(1674),
    [sym_null] = ACTIONS(1674),
    [sym_undefined] = ACTIONS(1674),
    [anon_sym_AT] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1674),
    [anon_sym_readonly] = ACTIONS(1674),
    [anon_sym_get] = ACTIONS(1674),
    [anon_sym_set] = ACTIONS(1674),
    [anon_sym_declare] = ACTIONS(1674),
    [anon_sym_public] = ACTIONS(1674),
    [anon_sym_private] = ACTIONS(1674),
    [anon_sym_protected] = ACTIONS(1674),
    [anon_sym_override] = ACTIONS(1674),
    [anon_sym_module] = ACTIONS(1674),
    [anon_sym_any] = ACTIONS(1674),
    [anon_sym_number] = ACTIONS(1674),
    [anon_sym_boolean] = ACTIONS(1674),
    [anon_sym_string] = ACTIONS(1674),
    [anon_sym_symbol] = ACTIONS(1674),
    [anon_sym_object] = ACTIONS(1674),
    [anon_sym_abstract] = ACTIONS(1674),
    [anon_sym_interface] = ACTIONS(1674),
    [anon_sym_enum] = ACTIONS(1674),
    [sym_html_comment] = ACTIONS(5),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2463),
    [sym_identifier] = ACTIONS(2465),
    [anon_sym_export] = ACTIONS(2465),
    [anon_sym_default] = ACTIONS(2465),
    [anon_sym_type] = ACTIONS(2465),
    [anon_sym_namespace] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2463),
    [anon_sym_RBRACE] = ACTIONS(2463),
    [anon_sym_typeof] = ACTIONS(2465),
    [anon_sym_import] = ACTIONS(2465),
    [anon_sym_with] = ACTIONS(2465),
    [anon_sym_var] = ACTIONS(2465),
    [anon_sym_let] = ACTIONS(2465),
    [anon_sym_const] = ACTIONS(2465),
    [anon_sym_BANG] = ACTIONS(2463),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_LPAREN] = ACTIONS(2463),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym_await] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_debugger] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_case] = ACTIONS(2465),
    [anon_sym_yield] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [sym_glimmer_opening_tag] = ACTIONS(2463),
    [anon_sym_DQUOTE] = ACTIONS(2463),
    [anon_sym_SQUOTE] = ACTIONS(2463),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_async] = ACTIONS(2465),
    [anon_sym_function] = ACTIONS(2465),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_using] = ACTIONS(2465),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_SLASH] = ACTIONS(2465),
    [anon_sym_LT] = ACTIONS(2465),
    [anon_sym_TILDE] = ACTIONS(2463),
    [anon_sym_void] = ACTIONS(2465),
    [anon_sym_delete] = ACTIONS(2465),
    [anon_sym_PLUS_PLUS] = ACTIONS(2463),
    [anon_sym_DASH_DASH] = ACTIONS(2463),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2463),
    [sym_number] = ACTIONS(2463),
    [sym_private_property_identifier] = ACTIONS(2463),
    [sym_this] = ACTIONS(2465),
    [sym_super] = ACTIONS(2465),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [sym_null] = ACTIONS(2465),
    [sym_undefined] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2463),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_readonly] = ACTIONS(2465),
    [anon_sym_get] = ACTIONS(2465),
    [anon_sym_set] = ACTIONS(2465),
    [anon_sym_declare] = ACTIONS(2465),
    [anon_sym_public] = ACTIONS(2465),
    [anon_sym_private] = ACTIONS(2465),
    [anon_sym_protected] = ACTIONS(2465),
    [anon_sym_override] = ACTIONS(2465),
    [anon_sym_module] = ACTIONS(2465),
    [anon_sym_any] = ACTIONS(2465),
    [anon_sym_number] = ACTIONS(2465),
    [anon_sym_boolean] = ACTIONS(2465),
    [anon_sym_string] = ACTIONS(2465),
    [anon_sym_symbol] = ACTIONS(2465),
    [anon_sym_object] = ACTIONS(2465),
    [anon_sym_abstract] = ACTIONS(2465),
    [anon_sym_interface] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [sym__automatic_semicolon] = ACTIONS(2467),
    [sym_html_comment] = ACTIONS(5),
  },
  [749] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(986),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2469),
    [sym_identifier] = ACTIONS(2471),
    [anon_sym_export] = ACTIONS(2471),
    [anon_sym_default] = ACTIONS(2471),
    [anon_sym_type] = ACTIONS(2471),
    [anon_sym_namespace] = ACTIONS(2471),
    [anon_sym_LBRACE] = ACTIONS(2469),
    [anon_sym_RBRACE] = ACTIONS(2469),
    [anon_sym_typeof] = ACTIONS(2471),
    [anon_sym_import] = ACTIONS(2471),
    [anon_sym_with] = ACTIONS(2471),
    [anon_sym_var] = ACTIONS(2471),
    [anon_sym_let] = ACTIONS(2471),
    [anon_sym_const] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2469),
    [anon_sym_else] = ACTIONS(2471),
    [anon_sym_if] = ACTIONS(2471),
    [anon_sym_switch] = ACTIONS(2471),
    [anon_sym_for] = ACTIONS(2471),
    [anon_sym_LPAREN] = ACTIONS(2469),
    [anon_sym_SEMI] = ACTIONS(2469),
    [anon_sym_await] = ACTIONS(2471),
    [anon_sym_while] = ACTIONS(2471),
    [anon_sym_do] = ACTIONS(2471),
    [anon_sym_try] = ACTIONS(2471),
    [anon_sym_break] = ACTIONS(2471),
    [anon_sym_continue] = ACTIONS(2471),
    [anon_sym_debugger] = ACTIONS(2471),
    [anon_sym_return] = ACTIONS(2471),
    [anon_sym_throw] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2471),
    [anon_sym_finally] = ACTIONS(2471),
    [anon_sym_yield] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(2469),
    [sym_glimmer_opening_tag] = ACTIONS(2469),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_SQUOTE] = ACTIONS(2469),
    [anon_sym_class] = ACTIONS(2471),
    [anon_sym_async] = ACTIONS(2471),
    [anon_sym_function] = ACTIONS(2471),
    [anon_sym_new] = ACTIONS(2471),
    [anon_sym_using] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2471),
    [anon_sym_DASH] = ACTIONS(2471),
    [anon_sym_SLASH] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2469),
    [anon_sym_void] = ACTIONS(2471),
    [anon_sym_delete] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2469),
    [anon_sym_DASH_DASH] = ACTIONS(2469),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2469),
    [sym_number] = ACTIONS(2469),
    [sym_private_property_identifier] = ACTIONS(2469),
    [sym_this] = ACTIONS(2471),
    [sym_super] = ACTIONS(2471),
    [sym_true] = ACTIONS(2471),
    [sym_false] = ACTIONS(2471),
    [sym_null] = ACTIONS(2471),
    [sym_undefined] = ACTIONS(2471),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2471),
    [anon_sym_readonly] = ACTIONS(2471),
    [anon_sym_get] = ACTIONS(2471),
    [anon_sym_set] = ACTIONS(2471),
    [anon_sym_declare] = ACTIONS(2471),
    [anon_sym_public] = ACTIONS(2471),
    [anon_sym_private] = ACTIONS(2471),
    [anon_sym_protected] = ACTIONS(2471),
    [anon_sym_override] = ACTIONS(2471),
    [anon_sym_module] = ACTIONS(2471),
    [anon_sym_any] = ACTIONS(2471),
    [anon_sym_number] = ACTIONS(2471),
    [anon_sym_boolean] = ACTIONS(2471),
    [anon_sym_string] = ACTIONS(2471),
    [anon_sym_symbol] = ACTIONS(2471),
    [anon_sym_object] = ACTIONS(2471),
    [anon_sym_abstract] = ACTIONS(2471),
    [anon_sym_interface] = ACTIONS(2471),
    [anon_sym_enum] = ACTIONS(2471),
    [sym_html_comment] = ACTIONS(5),
  },
  [751] = {
    [ts_builtin_sym_end] = ACTIONS(2473),
    [sym_identifier] = ACTIONS(2475),
    [anon_sym_export] = ACTIONS(2475),
    [anon_sym_default] = ACTIONS(2475),
    [anon_sym_type] = ACTIONS(2475),
    [anon_sym_namespace] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(2473),
    [anon_sym_RBRACE] = ACTIONS(2473),
    [anon_sym_typeof] = ACTIONS(2475),
    [anon_sym_import] = ACTIONS(2475),
    [anon_sym_with] = ACTIONS(2475),
    [anon_sym_var] = ACTIONS(2475),
    [anon_sym_let] = ACTIONS(2475),
    [anon_sym_const] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2475),
    [anon_sym_if] = ACTIONS(2475),
    [anon_sym_switch] = ACTIONS(2475),
    [anon_sym_for] = ACTIONS(2475),
    [anon_sym_LPAREN] = ACTIONS(2473),
    [anon_sym_SEMI] = ACTIONS(2473),
    [anon_sym_await] = ACTIONS(2475),
    [anon_sym_while] = ACTIONS(2475),
    [anon_sym_do] = ACTIONS(2475),
    [anon_sym_try] = ACTIONS(2475),
    [anon_sym_break] = ACTIONS(2475),
    [anon_sym_continue] = ACTIONS(2475),
    [anon_sym_debugger] = ACTIONS(2475),
    [anon_sym_return] = ACTIONS(2475),
    [anon_sym_throw] = ACTIONS(2475),
    [anon_sym_case] = ACTIONS(2475),
    [anon_sym_finally] = ACTIONS(2475),
    [anon_sym_yield] = ACTIONS(2475),
    [anon_sym_LBRACK] = ACTIONS(2473),
    [sym_glimmer_opening_tag] = ACTIONS(2473),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_SQUOTE] = ACTIONS(2473),
    [anon_sym_class] = ACTIONS(2475),
    [anon_sym_async] = ACTIONS(2475),
    [anon_sym_function] = ACTIONS(2475),
    [anon_sym_new] = ACTIONS(2475),
    [anon_sym_using] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2475),
    [anon_sym_DASH] = ACTIONS(2475),
    [anon_sym_SLASH] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_TILDE] = ACTIONS(2473),
    [anon_sym_void] = ACTIONS(2475),
    [anon_sym_delete] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(2473),
    [anon_sym_DASH_DASH] = ACTIONS(2473),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2473),
    [sym_number] = ACTIONS(2473),
    [sym_private_property_identifier] = ACTIONS(2473),
    [sym_this] = ACTIONS(2475),
    [sym_super] = ACTIONS(2475),
    [sym_true] = ACTIONS(2475),
    [sym_false] = ACTIONS(2475),
    [sym_null] = ACTIONS(2475),
    [sym_undefined] = ACTIONS(2475),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_static] = ACTIONS(2475),
    [anon_sym_readonly] = ACTIONS(2475),
    [anon_sym_get] = ACTIONS(2475),
    [anon_sym_set] = ACTIONS(2475),
    [anon_sym_declare] = ACTIONS(2475),
    [anon_sym_public] = ACTIONS(2475),
    [anon_sym_private] = ACTIONS(2475),
    [anon_sym_protected] = ACTIONS(2475),
    [anon_sym_override] = ACTIONS(2475),
    [anon_sym_module] = ACTIONS(2475),
    [anon_sym_any] = ACTIONS(2475),
    [anon_sym_number] = ACTIONS(2475),
    [anon_sym_boolean] = ACTIONS(2475),
    [anon_sym_string] = ACTIONS(2475),
    [anon_sym_symbol] = ACTIONS(2475),
    [anon_sym_object] = ACTIONS(2475),
    [anon_sym_abstract] = ACTIONS(2475),
    [anon_sym_interface] = ACTIONS(2475),
    [anon_sym_enum] = ACTIONS(2475),
    [sym_html_comment] = ACTIONS(5),
  },
  [752] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(984),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2477),
    [sym_identifier] = ACTIONS(2479),
    [anon_sym_export] = ACTIONS(2479),
    [anon_sym_default] = ACTIONS(2479),
    [anon_sym_type] = ACTIONS(2479),
    [anon_sym_namespace] = ACTIONS(2479),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_RBRACE] = ACTIONS(2477),
    [anon_sym_typeof] = ACTIONS(2479),
    [anon_sym_import] = ACTIONS(2479),
    [anon_sym_with] = ACTIONS(2479),
    [anon_sym_var] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_const] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2479),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_switch] = ACTIONS(2479),
    [anon_sym_for] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(2477),
    [anon_sym_await] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(2479),
    [anon_sym_do] = ACTIONS(2479),
    [anon_sym_try] = ACTIONS(2479),
    [anon_sym_break] = ACTIONS(2479),
    [anon_sym_continue] = ACTIONS(2479),
    [anon_sym_debugger] = ACTIONS(2479),
    [anon_sym_return] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2479),
    [anon_sym_case] = ACTIONS(2479),
    [anon_sym_yield] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [sym_glimmer_opening_tag] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_class] = ACTIONS(2479),
    [anon_sym_async] = ACTIONS(2479),
    [anon_sym_function] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2479),
    [anon_sym_using] = ACTIONS(2479),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_void] = ACTIONS(2479),
    [anon_sym_delete] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(2477),
    [anon_sym_DASH_DASH] = ACTIONS(2477),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2477),
    [sym_number] = ACTIONS(2477),
    [sym_private_property_identifier] = ACTIONS(2477),
    [sym_this] = ACTIONS(2479),
    [sym_super] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_null] = ACTIONS(2479),
    [sym_undefined] = ACTIONS(2479),
    [anon_sym_AT] = ACTIONS(2477),
    [anon_sym_static] = ACTIONS(2479),
    [anon_sym_readonly] = ACTIONS(2479),
    [anon_sym_get] = ACTIONS(2479),
    [anon_sym_set] = ACTIONS(2479),
    [anon_sym_declare] = ACTIONS(2479),
    [anon_sym_public] = ACTIONS(2479),
    [anon_sym_private] = ACTIONS(2479),
    [anon_sym_protected] = ACTIONS(2479),
    [anon_sym_override] = ACTIONS(2479),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_any] = ACTIONS(2479),
    [anon_sym_number] = ACTIONS(2479),
    [anon_sym_boolean] = ACTIONS(2479),
    [anon_sym_string] = ACTIONS(2479),
    [anon_sym_symbol] = ACTIONS(2479),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_abstract] = ACTIONS(2479),
    [anon_sym_interface] = ACTIONS(2479),
    [anon_sym_enum] = ACTIONS(2479),
    [sym__automatic_semicolon] = ACTIONS(2477),
    [sym_html_comment] = ACTIONS(5),
  },
  [754] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(982),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(1913),
    [sym_identifier] = ACTIONS(1915),
    [anon_sym_export] = ACTIONS(1915),
    [anon_sym_default] = ACTIONS(1915),
    [anon_sym_type] = ACTIONS(1915),
    [anon_sym_namespace] = ACTIONS(1915),
    [anon_sym_LBRACE] = ACTIONS(1913),
    [anon_sym_RBRACE] = ACTIONS(1913),
    [anon_sym_typeof] = ACTIONS(1915),
    [anon_sym_import] = ACTIONS(1915),
    [anon_sym_with] = ACTIONS(1915),
    [anon_sym_var] = ACTIONS(1915),
    [anon_sym_let] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(1915),
    [anon_sym_BANG] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(1915),
    [anon_sym_if] = ACTIONS(1915),
    [anon_sym_switch] = ACTIONS(1915),
    [anon_sym_for] = ACTIONS(1915),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [anon_sym_await] = ACTIONS(1915),
    [anon_sym_while] = ACTIONS(1915),
    [anon_sym_do] = ACTIONS(1915),
    [anon_sym_try] = ACTIONS(1915),
    [anon_sym_break] = ACTIONS(1915),
    [anon_sym_continue] = ACTIONS(1915),
    [anon_sym_debugger] = ACTIONS(1915),
    [anon_sym_return] = ACTIONS(1915),
    [anon_sym_throw] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1915),
    [anon_sym_yield] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [sym_glimmer_opening_tag] = ACTIONS(1913),
    [anon_sym_DQUOTE] = ACTIONS(1913),
    [anon_sym_SQUOTE] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1915),
    [anon_sym_async] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1915),
    [anon_sym_new] = ACTIONS(1915),
    [anon_sym_using] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_TILDE] = ACTIONS(1913),
    [anon_sym_void] = ACTIONS(1915),
    [anon_sym_delete] = ACTIONS(1915),
    [anon_sym_PLUS_PLUS] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1913),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1913),
    [sym_number] = ACTIONS(1913),
    [sym_private_property_identifier] = ACTIONS(1913),
    [sym_this] = ACTIONS(1915),
    [sym_super] = ACTIONS(1915),
    [sym_true] = ACTIONS(1915),
    [sym_false] = ACTIONS(1915),
    [sym_null] = ACTIONS(1915),
    [sym_undefined] = ACTIONS(1915),
    [anon_sym_AT] = ACTIONS(1913),
    [anon_sym_static] = ACTIONS(1915),
    [anon_sym_readonly] = ACTIONS(1915),
    [anon_sym_get] = ACTIONS(1915),
    [anon_sym_set] = ACTIONS(1915),
    [anon_sym_declare] = ACTIONS(1915),
    [anon_sym_public] = ACTIONS(1915),
    [anon_sym_private] = ACTIONS(1915),
    [anon_sym_protected] = ACTIONS(1915),
    [anon_sym_override] = ACTIONS(1915),
    [anon_sym_module] = ACTIONS(1915),
    [anon_sym_any] = ACTIONS(1915),
    [anon_sym_number] = ACTIONS(1915),
    [anon_sym_boolean] = ACTIONS(1915),
    [anon_sym_string] = ACTIONS(1915),
    [anon_sym_symbol] = ACTIONS(1915),
    [anon_sym_object] = ACTIONS(1915),
    [anon_sym_abstract] = ACTIONS(1915),
    [anon_sym_interface] = ACTIONS(1915),
    [anon_sym_enum] = ACTIONS(1915),
    [sym__automatic_semicolon] = ACTIONS(1921),
    [sym_html_comment] = ACTIONS(5),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(2481),
    [sym_identifier] = ACTIONS(2483),
    [anon_sym_export] = ACTIONS(2483),
    [anon_sym_default] = ACTIONS(2483),
    [anon_sym_type] = ACTIONS(2483),
    [anon_sym_namespace] = ACTIONS(2483),
    [anon_sym_LBRACE] = ACTIONS(2481),
    [anon_sym_RBRACE] = ACTIONS(2481),
    [anon_sym_typeof] = ACTIONS(2483),
    [anon_sym_import] = ACTIONS(2483),
    [anon_sym_with] = ACTIONS(2483),
    [anon_sym_var] = ACTIONS(2483),
    [anon_sym_let] = ACTIONS(2483),
    [anon_sym_const] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2483),
    [anon_sym_if] = ACTIONS(2483),
    [anon_sym_switch] = ACTIONS(2483),
    [anon_sym_for] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2481),
    [anon_sym_SEMI] = ACTIONS(2481),
    [anon_sym_await] = ACTIONS(2483),
    [anon_sym_while] = ACTIONS(2483),
    [anon_sym_do] = ACTIONS(2483),
    [anon_sym_try] = ACTIONS(2483),
    [anon_sym_break] = ACTIONS(2483),
    [anon_sym_continue] = ACTIONS(2483),
    [anon_sym_debugger] = ACTIONS(2483),
    [anon_sym_return] = ACTIONS(2483),
    [anon_sym_throw] = ACTIONS(2483),
    [anon_sym_case] = ACTIONS(2483),
    [anon_sym_finally] = ACTIONS(2483),
    [anon_sym_yield] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2481),
    [sym_glimmer_opening_tag] = ACTIONS(2481),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_SQUOTE] = ACTIONS(2481),
    [anon_sym_class] = ACTIONS(2483),
    [anon_sym_async] = ACTIONS(2483),
    [anon_sym_function] = ACTIONS(2483),
    [anon_sym_new] = ACTIONS(2483),
    [anon_sym_using] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2483),
    [anon_sym_DASH] = ACTIONS(2483),
    [anon_sym_SLASH] = ACTIONS(2483),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_TILDE] = ACTIONS(2481),
    [anon_sym_void] = ACTIONS(2483),
    [anon_sym_delete] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(2481),
    [anon_sym_DASH_DASH] = ACTIONS(2481),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2481),
    [sym_number] = ACTIONS(2481),
    [sym_private_property_identifier] = ACTIONS(2481),
    [sym_this] = ACTIONS(2483),
    [sym_super] = ACTIONS(2483),
    [sym_true] = ACTIONS(2483),
    [sym_false] = ACTIONS(2483),
    [sym_null] = ACTIONS(2483),
    [sym_undefined] = ACTIONS(2483),
    [anon_sym_AT] = ACTIONS(2481),
    [anon_sym_static] = ACTIONS(2483),
    [anon_sym_readonly] = ACTIONS(2483),
    [anon_sym_get] = ACTIONS(2483),
    [anon_sym_set] = ACTIONS(2483),
    [anon_sym_declare] = ACTIONS(2483),
    [anon_sym_public] = ACTIONS(2483),
    [anon_sym_private] = ACTIONS(2483),
    [anon_sym_protected] = ACTIONS(2483),
    [anon_sym_override] = ACTIONS(2483),
    [anon_sym_module] = ACTIONS(2483),
    [anon_sym_any] = ACTIONS(2483),
    [anon_sym_number] = ACTIONS(2483),
    [anon_sym_boolean] = ACTIONS(2483),
    [anon_sym_string] = ACTIONS(2483),
    [anon_sym_symbol] = ACTIONS(2483),
    [anon_sym_object] = ACTIONS(2483),
    [anon_sym_abstract] = ACTIONS(2483),
    [anon_sym_interface] = ACTIONS(2483),
    [anon_sym_enum] = ACTIONS(2483),
    [sym_html_comment] = ACTIONS(5),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(1831),
    [sym_identifier] = ACTIONS(1833),
    [anon_sym_export] = ACTIONS(1833),
    [anon_sym_default] = ACTIONS(1833),
    [anon_sym_type] = ACTIONS(1833),
    [anon_sym_namespace] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1831),
    [anon_sym_typeof] = ACTIONS(1833),
    [anon_sym_import] = ACTIONS(1833),
    [anon_sym_with] = ACTIONS(1833),
    [anon_sym_var] = ACTIONS(1833),
    [anon_sym_let] = ACTIONS(1833),
    [anon_sym_const] = ACTIONS(1833),
    [anon_sym_BANG] = ACTIONS(1831),
    [anon_sym_else] = ACTIONS(1833),
    [anon_sym_if] = ACTIONS(1833),
    [anon_sym_switch] = ACTIONS(1833),
    [anon_sym_for] = ACTIONS(1833),
    [anon_sym_LPAREN] = ACTIONS(1831),
    [anon_sym_SEMI] = ACTIONS(1831),
    [anon_sym_await] = ACTIONS(1833),
    [anon_sym_while] = ACTIONS(1833),
    [anon_sym_do] = ACTIONS(1833),
    [anon_sym_try] = ACTIONS(1833),
    [anon_sym_break] = ACTIONS(1833),
    [anon_sym_continue] = ACTIONS(1833),
    [anon_sym_debugger] = ACTIONS(1833),
    [anon_sym_return] = ACTIONS(1833),
    [anon_sym_throw] = ACTIONS(1833),
    [anon_sym_case] = ACTIONS(1833),
    [anon_sym_yield] = ACTIONS(1833),
    [anon_sym_LBRACK] = ACTIONS(1831),
    [sym_glimmer_opening_tag] = ACTIONS(1831),
    [anon_sym_DQUOTE] = ACTIONS(1831),
    [anon_sym_SQUOTE] = ACTIONS(1831),
    [anon_sym_class] = ACTIONS(1833),
    [anon_sym_async] = ACTIONS(1833),
    [anon_sym_function] = ACTIONS(1833),
    [anon_sym_new] = ACTIONS(1833),
    [anon_sym_using] = ACTIONS(1833),
    [anon_sym_PLUS] = ACTIONS(1833),
    [anon_sym_DASH] = ACTIONS(1833),
    [anon_sym_SLASH] = ACTIONS(1833),
    [anon_sym_LT] = ACTIONS(1833),
    [anon_sym_TILDE] = ACTIONS(1831),
    [anon_sym_void] = ACTIONS(1833),
    [anon_sym_delete] = ACTIONS(1833),
    [anon_sym_PLUS_PLUS] = ACTIONS(1831),
    [anon_sym_DASH_DASH] = ACTIONS(1831),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1831),
    [sym_number] = ACTIONS(1831),
    [sym_private_property_identifier] = ACTIONS(1831),
    [sym_this] = ACTIONS(1833),
    [sym_super] = ACTIONS(1833),
    [sym_true] = ACTIONS(1833),
    [sym_false] = ACTIONS(1833),
    [sym_null] = ACTIONS(1833),
    [sym_undefined] = ACTIONS(1833),
    [anon_sym_AT] = ACTIONS(1831),
    [anon_sym_static] = ACTIONS(1833),
    [anon_sym_readonly] = ACTIONS(1833),
    [anon_sym_get] = ACTIONS(1833),
    [anon_sym_set] = ACTIONS(1833),
    [anon_sym_declare] = ACTIONS(1833),
    [anon_sym_public] = ACTIONS(1833),
    [anon_sym_private] = ACTIONS(1833),
    [anon_sym_protected] = ACTIONS(1833),
    [anon_sym_override] = ACTIONS(1833),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_any] = ACTIONS(1833),
    [anon_sym_number] = ACTIONS(1833),
    [anon_sym_boolean] = ACTIONS(1833),
    [anon_sym_string] = ACTIONS(1833),
    [anon_sym_symbol] = ACTIONS(1833),
    [anon_sym_object] = ACTIONS(1833),
    [anon_sym_abstract] = ACTIONS(1833),
    [anon_sym_interface] = ACTIONS(1833),
    [anon_sym_enum] = ACTIONS(1833),
    [sym__automatic_semicolon] = ACTIONS(1839),
    [sym_html_comment] = ACTIONS(5),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(1757),
    [sym_identifier] = ACTIONS(1759),
    [anon_sym_export] = ACTIONS(1759),
    [anon_sym_default] = ACTIONS(1759),
    [anon_sym_type] = ACTIONS(1759),
    [anon_sym_namespace] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1757),
    [anon_sym_RBRACE] = ACTIONS(1757),
    [anon_sym_typeof] = ACTIONS(1759),
    [anon_sym_import] = ACTIONS(1759),
    [anon_sym_with] = ACTIONS(1759),
    [anon_sym_var] = ACTIONS(1759),
    [anon_sym_let] = ACTIONS(1759),
    [anon_sym_const] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(1757),
    [anon_sym_else] = ACTIONS(1759),
    [anon_sym_if] = ACTIONS(1759),
    [anon_sym_switch] = ACTIONS(1759),
    [anon_sym_for] = ACTIONS(1759),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1757),
    [anon_sym_await] = ACTIONS(1759),
    [anon_sym_while] = ACTIONS(1759),
    [anon_sym_do] = ACTIONS(1759),
    [anon_sym_try] = ACTIONS(1759),
    [anon_sym_break] = ACTIONS(1759),
    [anon_sym_continue] = ACTIONS(1759),
    [anon_sym_debugger] = ACTIONS(1759),
    [anon_sym_return] = ACTIONS(1759),
    [anon_sym_throw] = ACTIONS(1759),
    [anon_sym_case] = ACTIONS(1759),
    [anon_sym_yield] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1757),
    [sym_glimmer_opening_tag] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1757),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_class] = ACTIONS(1759),
    [anon_sym_async] = ACTIONS(1759),
    [anon_sym_function] = ACTIONS(1759),
    [anon_sym_new] = ACTIONS(1759),
    [anon_sym_using] = ACTIONS(1759),
    [anon_sym_PLUS] = ACTIONS(1759),
    [anon_sym_DASH] = ACTIONS(1759),
    [anon_sym_SLASH] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1759),
    [anon_sym_TILDE] = ACTIONS(1757),
    [anon_sym_void] = ACTIONS(1759),
    [anon_sym_delete] = ACTIONS(1759),
    [anon_sym_PLUS_PLUS] = ACTIONS(1757),
    [anon_sym_DASH_DASH] = ACTIONS(1757),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1757),
    [sym_number] = ACTIONS(1757),
    [sym_private_property_identifier] = ACTIONS(1757),
    [sym_this] = ACTIONS(1759),
    [sym_super] = ACTIONS(1759),
    [sym_true] = ACTIONS(1759),
    [sym_false] = ACTIONS(1759),
    [sym_null] = ACTIONS(1759),
    [sym_undefined] = ACTIONS(1759),
    [anon_sym_AT] = ACTIONS(1757),
    [anon_sym_static] = ACTIONS(1759),
    [anon_sym_readonly] = ACTIONS(1759),
    [anon_sym_get] = ACTIONS(1759),
    [anon_sym_set] = ACTIONS(1759),
    [anon_sym_declare] = ACTIONS(1759),
    [anon_sym_public] = ACTIONS(1759),
    [anon_sym_private] = ACTIONS(1759),
    [anon_sym_protected] = ACTIONS(1759),
    [anon_sym_override] = ACTIONS(1759),
    [anon_sym_module] = ACTIONS(1759),
    [anon_sym_any] = ACTIONS(1759),
    [anon_sym_number] = ACTIONS(1759),
    [anon_sym_boolean] = ACTIONS(1759),
    [anon_sym_string] = ACTIONS(1759),
    [anon_sym_symbol] = ACTIONS(1759),
    [anon_sym_object] = ACTIONS(1759),
    [anon_sym_abstract] = ACTIONS(1759),
    [anon_sym_interface] = ACTIONS(1759),
    [anon_sym_enum] = ACTIONS(1759),
    [sym__automatic_semicolon] = ACTIONS(1765),
    [sym_html_comment] = ACTIONS(5),
  },
  [759] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(1040),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(1767),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(1769),
    [anon_sym_default] = ACTIONS(1769),
    [anon_sym_type] = ACTIONS(1769),
    [anon_sym_namespace] = ACTIONS(1769),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_RBRACE] = ACTIONS(1767),
    [anon_sym_typeof] = ACTIONS(1769),
    [anon_sym_import] = ACTIONS(1769),
    [anon_sym_with] = ACTIONS(1769),
    [anon_sym_var] = ACTIONS(1769),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_const] = ACTIONS(1769),
    [anon_sym_BANG] = ACTIONS(1767),
    [anon_sym_else] = ACTIONS(1769),
    [anon_sym_if] = ACTIONS(1769),
    [anon_sym_switch] = ACTIONS(1769),
    [anon_sym_for] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_SEMI] = ACTIONS(1767),
    [anon_sym_await] = ACTIONS(1769),
    [anon_sym_while] = ACTIONS(1769),
    [anon_sym_do] = ACTIONS(1769),
    [anon_sym_try] = ACTIONS(1769),
    [anon_sym_break] = ACTIONS(1769),
    [anon_sym_continue] = ACTIONS(1769),
    [anon_sym_debugger] = ACTIONS(1769),
    [anon_sym_return] = ACTIONS(1769),
    [anon_sym_throw] = ACTIONS(1769),
    [anon_sym_case] = ACTIONS(1769),
    [anon_sym_yield] = ACTIONS(1769),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [sym_glimmer_opening_tag] = ACTIONS(1767),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [anon_sym_class] = ACTIONS(1769),
    [anon_sym_async] = ACTIONS(1769),
    [anon_sym_function] = ACTIONS(1769),
    [anon_sym_new] = ACTIONS(1769),
    [anon_sym_using] = ACTIONS(1769),
    [anon_sym_PLUS] = ACTIONS(1769),
    [anon_sym_DASH] = ACTIONS(1769),
    [anon_sym_SLASH] = ACTIONS(1769),
    [anon_sym_LT] = ACTIONS(1769),
    [anon_sym_TILDE] = ACTIONS(1767),
    [anon_sym_void] = ACTIONS(1769),
    [anon_sym_delete] = ACTIONS(1769),
    [anon_sym_PLUS_PLUS] = ACTIONS(1767),
    [anon_sym_DASH_DASH] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1767),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [sym_this] = ACTIONS(1769),
    [sym_super] = ACTIONS(1769),
    [sym_true] = ACTIONS(1769),
    [sym_false] = ACTIONS(1769),
    [sym_null] = ACTIONS(1769),
    [sym_undefined] = ACTIONS(1769),
    [anon_sym_AT] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1769),
    [anon_sym_readonly] = ACTIONS(1769),
    [anon_sym_get] = ACTIONS(1769),
    [anon_sym_set] = ACTIONS(1769),
    [anon_sym_declare] = ACTIONS(1769),
    [anon_sym_public] = ACTIONS(1769),
    [anon_sym_private] = ACTIONS(1769),
    [anon_sym_protected] = ACTIONS(1769),
    [anon_sym_override] = ACTIONS(1769),
    [anon_sym_module] = ACTIONS(1769),
    [anon_sym_any] = ACTIONS(1769),
    [anon_sym_number] = ACTIONS(1769),
    [anon_sym_boolean] = ACTIONS(1769),
    [anon_sym_string] = ACTIONS(1769),
    [anon_sym_symbol] = ACTIONS(1769),
    [anon_sym_object] = ACTIONS(1769),
    [anon_sym_abstract] = ACTIONS(1769),
    [anon_sym_interface] = ACTIONS(1769),
    [anon_sym_enum] = ACTIONS(1769),
    [sym__automatic_semicolon] = ACTIONS(1775),
    [sym_html_comment] = ACTIONS(5),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(2485),
    [sym_identifier] = ACTIONS(2487),
    [anon_sym_export] = ACTIONS(2487),
    [anon_sym_default] = ACTIONS(2487),
    [anon_sym_type] = ACTIONS(2487),
    [anon_sym_namespace] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(2485),
    [anon_sym_RBRACE] = ACTIONS(2485),
    [anon_sym_typeof] = ACTIONS(2487),
    [anon_sym_import] = ACTIONS(2487),
    [anon_sym_with] = ACTIONS(2487),
    [anon_sym_var] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_const] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2487),
    [anon_sym_if] = ACTIONS(2487),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_SEMI] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(2487),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2487),
    [anon_sym_try] = ACTIONS(2487),
    [anon_sym_break] = ACTIONS(2487),
    [anon_sym_continue] = ACTIONS(2487),
    [anon_sym_debugger] = ACTIONS(2487),
    [anon_sym_return] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2487),
    [anon_sym_case] = ACTIONS(2487),
    [anon_sym_yield] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2485),
    [sym_glimmer_opening_tag] = ACTIONS(2485),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_SQUOTE] = ACTIONS(2485),
    [anon_sym_class] = ACTIONS(2487),
    [anon_sym_async] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_using] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_SLASH] = ACTIONS(2487),
    [anon_sym_LT] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2485),
    [anon_sym_void] = ACTIONS(2487),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2485),
    [anon_sym_DASH_DASH] = ACTIONS(2485),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2485),
    [sym_number] = ACTIONS(2485),
    [sym_private_property_identifier] = ACTIONS(2485),
    [sym_this] = ACTIONS(2487),
    [sym_super] = ACTIONS(2487),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_undefined] = ACTIONS(2487),
    [anon_sym_AT] = ACTIONS(2485),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_readonly] = ACTIONS(2487),
    [anon_sym_get] = ACTIONS(2487),
    [anon_sym_set] = ACTIONS(2487),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_public] = ACTIONS(2487),
    [anon_sym_private] = ACTIONS(2487),
    [anon_sym_protected] = ACTIONS(2487),
    [anon_sym_override] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_any] = ACTIONS(2487),
    [anon_sym_number] = ACTIONS(2487),
    [anon_sym_boolean] = ACTIONS(2487),
    [anon_sym_string] = ACTIONS(2487),
    [anon_sym_symbol] = ACTIONS(2487),
    [anon_sym_object] = ACTIONS(2487),
    [anon_sym_abstract] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2487),
    [anon_sym_enum] = ACTIONS(2487),
    [sym__automatic_semicolon] = ACTIONS(2485),
    [sym_html_comment] = ACTIONS(5),
  },
  [762] = {
    [ts_builtin_sym_end] = ACTIONS(1841),
    [sym_identifier] = ACTIONS(1843),
    [anon_sym_export] = ACTIONS(1843),
    [anon_sym_default] = ACTIONS(1843),
    [anon_sym_type] = ACTIONS(1843),
    [anon_sym_namespace] = ACTIONS(1843),
    [anon_sym_LBRACE] = ACTIONS(1841),
    [anon_sym_RBRACE] = ACTIONS(1841),
    [anon_sym_typeof] = ACTIONS(1843),
    [anon_sym_import] = ACTIONS(1843),
    [anon_sym_with] = ACTIONS(1843),
    [anon_sym_var] = ACTIONS(1843),
    [anon_sym_let] = ACTIONS(1843),
    [anon_sym_const] = ACTIONS(1843),
    [anon_sym_BANG] = ACTIONS(1841),
    [anon_sym_else] = ACTIONS(1843),
    [anon_sym_if] = ACTIONS(1843),
    [anon_sym_switch] = ACTIONS(1843),
    [anon_sym_for] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1841),
    [anon_sym_SEMI] = ACTIONS(1841),
    [anon_sym_await] = ACTIONS(1843),
    [anon_sym_while] = ACTIONS(1843),
    [anon_sym_do] = ACTIONS(1843),
    [anon_sym_try] = ACTIONS(1843),
    [anon_sym_break] = ACTIONS(1843),
    [anon_sym_continue] = ACTIONS(1843),
    [anon_sym_debugger] = ACTIONS(1843),
    [anon_sym_return] = ACTIONS(1843),
    [anon_sym_throw] = ACTIONS(1843),
    [anon_sym_case] = ACTIONS(1843),
    [anon_sym_yield] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1841),
    [sym_glimmer_opening_tag] = ACTIONS(1841),
    [anon_sym_DQUOTE] = ACTIONS(1841),
    [anon_sym_SQUOTE] = ACTIONS(1841),
    [anon_sym_class] = ACTIONS(1843),
    [anon_sym_async] = ACTIONS(1843),
    [anon_sym_function] = ACTIONS(1843),
    [anon_sym_new] = ACTIONS(1843),
    [anon_sym_using] = ACTIONS(1843),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1843),
    [anon_sym_SLASH] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1843),
    [anon_sym_TILDE] = ACTIONS(1841),
    [anon_sym_void] = ACTIONS(1843),
    [anon_sym_delete] = ACTIONS(1843),
    [anon_sym_PLUS_PLUS] = ACTIONS(1841),
    [anon_sym_DASH_DASH] = ACTIONS(1841),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1841),
    [sym_number] = ACTIONS(1841),
    [sym_private_property_identifier] = ACTIONS(1841),
    [sym_this] = ACTIONS(1843),
    [sym_super] = ACTIONS(1843),
    [sym_true] = ACTIONS(1843),
    [sym_false] = ACTIONS(1843),
    [sym_null] = ACTIONS(1843),
    [sym_undefined] = ACTIONS(1843),
    [anon_sym_AT] = ACTIONS(1841),
    [anon_sym_static] = ACTIONS(1843),
    [anon_sym_readonly] = ACTIONS(1843),
    [anon_sym_get] = ACTIONS(1843),
    [anon_sym_set] = ACTIONS(1843),
    [anon_sym_declare] = ACTIONS(1843),
    [anon_sym_public] = ACTIONS(1843),
    [anon_sym_private] = ACTIONS(1843),
    [anon_sym_protected] = ACTIONS(1843),
    [anon_sym_override] = ACTIONS(1843),
    [anon_sym_module] = ACTIONS(1843),
    [anon_sym_any] = ACTIONS(1843),
    [anon_sym_number] = ACTIONS(1843),
    [anon_sym_boolean] = ACTIONS(1843),
    [anon_sym_string] = ACTIONS(1843),
    [anon_sym_symbol] = ACTIONS(1843),
    [anon_sym_object] = ACTIONS(1843),
    [anon_sym_abstract] = ACTIONS(1843),
    [anon_sym_interface] = ACTIONS(1843),
    [anon_sym_enum] = ACTIONS(1843),
    [sym__automatic_semicolon] = ACTIONS(1849),
    [sym_html_comment] = ACTIONS(5),
  },
  [763] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(974),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(1799),
    [sym_identifier] = ACTIONS(1801),
    [anon_sym_export] = ACTIONS(1801),
    [anon_sym_default] = ACTIONS(1801),
    [anon_sym_type] = ACTIONS(1801),
    [anon_sym_namespace] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1799),
    [anon_sym_RBRACE] = ACTIONS(1799),
    [anon_sym_typeof] = ACTIONS(1801),
    [anon_sym_import] = ACTIONS(1801),
    [anon_sym_with] = ACTIONS(1801),
    [anon_sym_var] = ACTIONS(1801),
    [anon_sym_let] = ACTIONS(1801),
    [anon_sym_const] = ACTIONS(1801),
    [anon_sym_BANG] = ACTIONS(1799),
    [anon_sym_else] = ACTIONS(1801),
    [anon_sym_if] = ACTIONS(1801),
    [anon_sym_switch] = ACTIONS(1801),
    [anon_sym_for] = ACTIONS(1801),
    [anon_sym_LPAREN] = ACTIONS(1799),
    [anon_sym_SEMI] = ACTIONS(1799),
    [anon_sym_await] = ACTIONS(1801),
    [anon_sym_while] = ACTIONS(1801),
    [anon_sym_do] = ACTIONS(1801),
    [anon_sym_try] = ACTIONS(1801),
    [anon_sym_break] = ACTIONS(1801),
    [anon_sym_continue] = ACTIONS(1801),
    [anon_sym_debugger] = ACTIONS(1801),
    [anon_sym_return] = ACTIONS(1801),
    [anon_sym_throw] = ACTIONS(1801),
    [anon_sym_case] = ACTIONS(1801),
    [anon_sym_yield] = ACTIONS(1801),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [sym_glimmer_opening_tag] = ACTIONS(1799),
    [anon_sym_DQUOTE] = ACTIONS(1799),
    [anon_sym_SQUOTE] = ACTIONS(1799),
    [anon_sym_class] = ACTIONS(1801),
    [anon_sym_async] = ACTIONS(1801),
    [anon_sym_function] = ACTIONS(1801),
    [anon_sym_new] = ACTIONS(1801),
    [anon_sym_using] = ACTIONS(1801),
    [anon_sym_PLUS] = ACTIONS(1801),
    [anon_sym_DASH] = ACTIONS(1801),
    [anon_sym_SLASH] = ACTIONS(1801),
    [anon_sym_LT] = ACTIONS(1801),
    [anon_sym_TILDE] = ACTIONS(1799),
    [anon_sym_void] = ACTIONS(1801),
    [anon_sym_delete] = ACTIONS(1801),
    [anon_sym_PLUS_PLUS] = ACTIONS(1799),
    [anon_sym_DASH_DASH] = ACTIONS(1799),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1799),
    [sym_number] = ACTIONS(1799),
    [sym_private_property_identifier] = ACTIONS(1799),
    [sym_this] = ACTIONS(1801),
    [sym_super] = ACTIONS(1801),
    [sym_true] = ACTIONS(1801),
    [sym_false] = ACTIONS(1801),
    [sym_null] = ACTIONS(1801),
    [sym_undefined] = ACTIONS(1801),
    [anon_sym_AT] = ACTIONS(1799),
    [anon_sym_static] = ACTIONS(1801),
    [anon_sym_readonly] = ACTIONS(1801),
    [anon_sym_get] = ACTIONS(1801),
    [anon_sym_set] = ACTIONS(1801),
    [anon_sym_declare] = ACTIONS(1801),
    [anon_sym_public] = ACTIONS(1801),
    [anon_sym_private] = ACTIONS(1801),
    [anon_sym_protected] = ACTIONS(1801),
    [anon_sym_override] = ACTIONS(1801),
    [anon_sym_module] = ACTIONS(1801),
    [anon_sym_any] = ACTIONS(1801),
    [anon_sym_number] = ACTIONS(1801),
    [anon_sym_boolean] = ACTIONS(1801),
    [anon_sym_string] = ACTIONS(1801),
    [anon_sym_symbol] = ACTIONS(1801),
    [anon_sym_object] = ACTIONS(1801),
    [anon_sym_abstract] = ACTIONS(1801),
    [anon_sym_interface] = ACTIONS(1801),
    [anon_sym_enum] = ACTIONS(1801),
    [sym__automatic_semicolon] = ACTIONS(1807),
    [sym_html_comment] = ACTIONS(5),
  },
  [765] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1861),
    [anon_sym_export] = ACTIONS(1861),
    [anon_sym_default] = ACTIONS(1861),
    [anon_sym_type] = ACTIONS(1861),
    [anon_sym_namespace] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_RBRACE] = ACTIONS(1859),
    [anon_sym_typeof] = ACTIONS(1861),
    [anon_sym_import] = ACTIONS(1861),
    [anon_sym_with] = ACTIONS(1861),
    [anon_sym_var] = ACTIONS(1861),
    [anon_sym_let] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(1861),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_else] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_switch] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_LPAREN] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [anon_sym_await] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_try] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_debugger] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_throw] = ACTIONS(1861),
    [anon_sym_case] = ACTIONS(1861),
    [anon_sym_yield] = ACTIONS(1861),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [sym_glimmer_opening_tag] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [anon_sym_class] = ACTIONS(1861),
    [anon_sym_async] = ACTIONS(1861),
    [anon_sym_function] = ACTIONS(1861),
    [anon_sym_new] = ACTIONS(1861),
    [anon_sym_using] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_void] = ACTIONS(1861),
    [anon_sym_delete] = ACTIONS(1861),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1859),
    [sym_number] = ACTIONS(1859),
    [sym_private_property_identifier] = ACTIONS(1859),
    [sym_this] = ACTIONS(1861),
    [sym_super] = ACTIONS(1861),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [sym_null] = ACTIONS(1861),
    [sym_undefined] = ACTIONS(1861),
    [anon_sym_AT] = ACTIONS(1859),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_readonly] = ACTIONS(1861),
    [anon_sym_get] = ACTIONS(1861),
    [anon_sym_set] = ACTIONS(1861),
    [anon_sym_declare] = ACTIONS(1861),
    [anon_sym_public] = ACTIONS(1861),
    [anon_sym_private] = ACTIONS(1861),
    [anon_sym_protected] = ACTIONS(1861),
    [anon_sym_override] = ACTIONS(1861),
    [anon_sym_module] = ACTIONS(1861),
    [anon_sym_any] = ACTIONS(1861),
    [anon_sym_number] = ACTIONS(1861),
    [anon_sym_boolean] = ACTIONS(1861),
    [anon_sym_string] = ACTIONS(1861),
    [anon_sym_symbol] = ACTIONS(1861),
    [anon_sym_object] = ACTIONS(1861),
    [anon_sym_abstract] = ACTIONS(1861),
    [anon_sym_interface] = ACTIONS(1861),
    [anon_sym_enum] = ACTIONS(1861),
    [sym__automatic_semicolon] = ACTIONS(1867),
    [sym_html_comment] = ACTIONS(5),
  },
  [766] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(980),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [767] = {
    [sym_else_clause] = STATE(904),
    [ts_builtin_sym_end] = ACTIONS(2489),
    [sym_identifier] = ACTIONS(2491),
    [anon_sym_export] = ACTIONS(2491),
    [anon_sym_default] = ACTIONS(2491),
    [anon_sym_type] = ACTIONS(2491),
    [anon_sym_namespace] = ACTIONS(2491),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_typeof] = ACTIONS(2491),
    [anon_sym_import] = ACTIONS(2491),
    [anon_sym_with] = ACTIONS(2491),
    [anon_sym_var] = ACTIONS(2491),
    [anon_sym_let] = ACTIONS(2491),
    [anon_sym_const] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_if] = ACTIONS(2491),
    [anon_sym_switch] = ACTIONS(2491),
    [anon_sym_for] = ACTIONS(2491),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_await] = ACTIONS(2491),
    [anon_sym_while] = ACTIONS(2491),
    [anon_sym_do] = ACTIONS(2491),
    [anon_sym_try] = ACTIONS(2491),
    [anon_sym_break] = ACTIONS(2491),
    [anon_sym_continue] = ACTIONS(2491),
    [anon_sym_debugger] = ACTIONS(2491),
    [anon_sym_return] = ACTIONS(2491),
    [anon_sym_throw] = ACTIONS(2491),
    [anon_sym_case] = ACTIONS(2491),
    [anon_sym_yield] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(2489),
    [sym_glimmer_opening_tag] = ACTIONS(2489),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [anon_sym_class] = ACTIONS(2491),
    [anon_sym_async] = ACTIONS(2491),
    [anon_sym_function] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2491),
    [anon_sym_using] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2491),
    [anon_sym_DASH] = ACTIONS(2491),
    [anon_sym_SLASH] = ACTIONS(2491),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_void] = ACTIONS(2491),
    [anon_sym_delete] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(2489),
    [anon_sym_DASH_DASH] = ACTIONS(2489),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [sym_number] = ACTIONS(2489),
    [sym_private_property_identifier] = ACTIONS(2489),
    [sym_this] = ACTIONS(2491),
    [sym_super] = ACTIONS(2491),
    [sym_true] = ACTIONS(2491),
    [sym_false] = ACTIONS(2491),
    [sym_null] = ACTIONS(2491),
    [sym_undefined] = ACTIONS(2491),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2491),
    [anon_sym_readonly] = ACTIONS(2491),
    [anon_sym_get] = ACTIONS(2491),
    [anon_sym_set] = ACTIONS(2491),
    [anon_sym_declare] = ACTIONS(2491),
    [anon_sym_public] = ACTIONS(2491),
    [anon_sym_private] = ACTIONS(2491),
    [anon_sym_protected] = ACTIONS(2491),
    [anon_sym_override] = ACTIONS(2491),
    [anon_sym_module] = ACTIONS(2491),
    [anon_sym_any] = ACTIONS(2491),
    [anon_sym_number] = ACTIONS(2491),
    [anon_sym_boolean] = ACTIONS(2491),
    [anon_sym_string] = ACTIONS(2491),
    [anon_sym_symbol] = ACTIONS(2491),
    [anon_sym_object] = ACTIONS(2491),
    [anon_sym_abstract] = ACTIONS(2491),
    [anon_sym_interface] = ACTIONS(2491),
    [anon_sym_enum] = ACTIONS(2491),
    [sym_html_comment] = ACTIONS(5),
  },
  [768] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [sym_identifier] = ACTIONS(1749),
    [anon_sym_export] = ACTIONS(1749),
    [anon_sym_default] = ACTIONS(1749),
    [anon_sym_type] = ACTIONS(1749),
    [anon_sym_namespace] = ACTIONS(1749),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_typeof] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1749),
    [anon_sym_with] = ACTIONS(1749),
    [anon_sym_var] = ACTIONS(1749),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(1747),
    [anon_sym_else] = ACTIONS(1749),
    [anon_sym_if] = ACTIONS(1749),
    [anon_sym_switch] = ACTIONS(1749),
    [anon_sym_for] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_await] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1749),
    [anon_sym_try] = ACTIONS(1749),
    [anon_sym_break] = ACTIONS(1749),
    [anon_sym_continue] = ACTIONS(1749),
    [anon_sym_debugger] = ACTIONS(1749),
    [anon_sym_return] = ACTIONS(1749),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_case] = ACTIONS(1749),
    [anon_sym_yield] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [sym_glimmer_opening_tag] = ACTIONS(1747),
    [anon_sym_DQUOTE] = ACTIONS(1747),
    [anon_sym_SQUOTE] = ACTIONS(1747),
    [anon_sym_class] = ACTIONS(1749),
    [anon_sym_async] = ACTIONS(1749),
    [anon_sym_function] = ACTIONS(1749),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_using] = ACTIONS(1749),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_LT] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1747),
    [anon_sym_void] = ACTIONS(1749),
    [anon_sym_delete] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1747),
    [sym_number] = ACTIONS(1747),
    [sym_private_property_identifier] = ACTIONS(1747),
    [sym_this] = ACTIONS(1749),
    [sym_super] = ACTIONS(1749),
    [sym_true] = ACTIONS(1749),
    [sym_false] = ACTIONS(1749),
    [sym_null] = ACTIONS(1749),
    [sym_undefined] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_static] = ACTIONS(1749),
    [anon_sym_readonly] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1749),
    [anon_sym_set] = ACTIONS(1749),
    [anon_sym_declare] = ACTIONS(1749),
    [anon_sym_public] = ACTIONS(1749),
    [anon_sym_private] = ACTIONS(1749),
    [anon_sym_protected] = ACTIONS(1749),
    [anon_sym_override] = ACTIONS(1749),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_any] = ACTIONS(1749),
    [anon_sym_number] = ACTIONS(1749),
    [anon_sym_boolean] = ACTIONS(1749),
    [anon_sym_string] = ACTIONS(1749),
    [anon_sym_symbol] = ACTIONS(1749),
    [anon_sym_object] = ACTIONS(1749),
    [anon_sym_abstract] = ACTIONS(1749),
    [anon_sym_interface] = ACTIONS(1749),
    [anon_sym_enum] = ACTIONS(1749),
    [sym__automatic_semicolon] = ACTIONS(1755),
    [sym_html_comment] = ACTIONS(5),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(1777),
    [sym_identifier] = ACTIONS(1779),
    [anon_sym_export] = ACTIONS(1779),
    [anon_sym_default] = ACTIONS(1779),
    [anon_sym_type] = ACTIONS(1779),
    [anon_sym_namespace] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_RBRACE] = ACTIONS(1777),
    [anon_sym_typeof] = ACTIONS(1779),
    [anon_sym_import] = ACTIONS(1779),
    [anon_sym_with] = ACTIONS(1779),
    [anon_sym_var] = ACTIONS(1779),
    [anon_sym_let] = ACTIONS(1779),
    [anon_sym_const] = ACTIONS(1779),
    [anon_sym_BANG] = ACTIONS(1777),
    [anon_sym_else] = ACTIONS(1779),
    [anon_sym_if] = ACTIONS(1779),
    [anon_sym_switch] = ACTIONS(1779),
    [anon_sym_for] = ACTIONS(1779),
    [anon_sym_LPAREN] = ACTIONS(1777),
    [anon_sym_SEMI] = ACTIONS(1777),
    [anon_sym_await] = ACTIONS(1779),
    [anon_sym_while] = ACTIONS(1779),
    [anon_sym_do] = ACTIONS(1779),
    [anon_sym_try] = ACTIONS(1779),
    [anon_sym_break] = ACTIONS(1779),
    [anon_sym_continue] = ACTIONS(1779),
    [anon_sym_debugger] = ACTIONS(1779),
    [anon_sym_return] = ACTIONS(1779),
    [anon_sym_throw] = ACTIONS(1779),
    [anon_sym_case] = ACTIONS(1779),
    [anon_sym_yield] = ACTIONS(1779),
    [anon_sym_LBRACK] = ACTIONS(1777),
    [sym_glimmer_opening_tag] = ACTIONS(1777),
    [anon_sym_DQUOTE] = ACTIONS(1777),
    [anon_sym_SQUOTE] = ACTIONS(1777),
    [anon_sym_class] = ACTIONS(1779),
    [anon_sym_async] = ACTIONS(1779),
    [anon_sym_function] = ACTIONS(1779),
    [anon_sym_new] = ACTIONS(1779),
    [anon_sym_using] = ACTIONS(1779),
    [anon_sym_PLUS] = ACTIONS(1779),
    [anon_sym_DASH] = ACTIONS(1779),
    [anon_sym_SLASH] = ACTIONS(1779),
    [anon_sym_LT] = ACTIONS(1779),
    [anon_sym_TILDE] = ACTIONS(1777),
    [anon_sym_void] = ACTIONS(1779),
    [anon_sym_delete] = ACTIONS(1779),
    [anon_sym_PLUS_PLUS] = ACTIONS(1777),
    [anon_sym_DASH_DASH] = ACTIONS(1777),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1777),
    [sym_number] = ACTIONS(1777),
    [sym_private_property_identifier] = ACTIONS(1777),
    [sym_this] = ACTIONS(1779),
    [sym_super] = ACTIONS(1779),
    [sym_true] = ACTIONS(1779),
    [sym_false] = ACTIONS(1779),
    [sym_null] = ACTIONS(1779),
    [sym_undefined] = ACTIONS(1779),
    [anon_sym_AT] = ACTIONS(1777),
    [anon_sym_static] = ACTIONS(1779),
    [anon_sym_readonly] = ACTIONS(1779),
    [anon_sym_get] = ACTIONS(1779),
    [anon_sym_set] = ACTIONS(1779),
    [anon_sym_declare] = ACTIONS(1779),
    [anon_sym_public] = ACTIONS(1779),
    [anon_sym_private] = ACTIONS(1779),
    [anon_sym_protected] = ACTIONS(1779),
    [anon_sym_override] = ACTIONS(1779),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1779),
    [anon_sym_abstract] = ACTIONS(1779),
    [anon_sym_interface] = ACTIONS(1779),
    [anon_sym_enum] = ACTIONS(1779),
    [sym__automatic_semicolon] = ACTIONS(1785),
    [sym_html_comment] = ACTIONS(5),
  },
  [770] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [sym_identifier] = ACTIONS(1871),
    [anon_sym_export] = ACTIONS(1871),
    [anon_sym_default] = ACTIONS(1871),
    [anon_sym_type] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(1869),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_typeof] = ACTIONS(1871),
    [anon_sym_import] = ACTIONS(1871),
    [anon_sym_with] = ACTIONS(1871),
    [anon_sym_var] = ACTIONS(1871),
    [anon_sym_let] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1869),
    [anon_sym_else] = ACTIONS(1871),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_switch] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_await] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_do] = ACTIONS(1871),
    [anon_sym_try] = ACTIONS(1871),
    [anon_sym_break] = ACTIONS(1871),
    [anon_sym_continue] = ACTIONS(1871),
    [anon_sym_debugger] = ACTIONS(1871),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_case] = ACTIONS(1871),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1869),
    [sym_glimmer_opening_tag] = ACTIONS(1869),
    [anon_sym_DOT] = ACTIONS(1871),
    [anon_sym_DQUOTE] = ACTIONS(1869),
    [anon_sym_SQUOTE] = ACTIONS(1869),
    [anon_sym_class] = ACTIONS(1871),
    [anon_sym_async] = ACTIONS(1871),
    [anon_sym_function] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(1871),
    [anon_sym_using] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1869),
    [anon_sym_void] = ACTIONS(1871),
    [anon_sym_delete] = ACTIONS(1871),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1869),
    [sym_number] = ACTIONS(1869),
    [sym_private_property_identifier] = ACTIONS(1869),
    [sym_this] = ACTIONS(1871),
    [sym_super] = ACTIONS(1871),
    [sym_true] = ACTIONS(1871),
    [sym_false] = ACTIONS(1871),
    [sym_null] = ACTIONS(1871),
    [sym_undefined] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1869),
    [anon_sym_static] = ACTIONS(1871),
    [anon_sym_readonly] = ACTIONS(1871),
    [anon_sym_get] = ACTIONS(1871),
    [anon_sym_set] = ACTIONS(1871),
    [anon_sym_declare] = ACTIONS(1871),
    [anon_sym_public] = ACTIONS(1871),
    [anon_sym_private] = ACTIONS(1871),
    [anon_sym_protected] = ACTIONS(1871),
    [anon_sym_override] = ACTIONS(1871),
    [anon_sym_module] = ACTIONS(1871),
    [anon_sym_any] = ACTIONS(1871),
    [anon_sym_number] = ACTIONS(1871),
    [anon_sym_boolean] = ACTIONS(1871),
    [anon_sym_string] = ACTIONS(1871),
    [anon_sym_symbol] = ACTIONS(1871),
    [anon_sym_object] = ACTIONS(1871),
    [anon_sym_abstract] = ACTIONS(1871),
    [anon_sym_interface] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1871),
    [sym_html_comment] = ACTIONS(5),
  },
  [771] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(1042),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [772] = {
    [ts_builtin_sym_end] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_export] = ACTIONS(1875),
    [anon_sym_default] = ACTIONS(1875),
    [anon_sym_type] = ACTIONS(1875),
    [anon_sym_namespace] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1873),
    [anon_sym_RBRACE] = ACTIONS(1873),
    [anon_sym_typeof] = ACTIONS(1875),
    [anon_sym_import] = ACTIONS(1875),
    [anon_sym_with] = ACTIONS(1875),
    [anon_sym_var] = ACTIONS(1875),
    [anon_sym_let] = ACTIONS(1875),
    [anon_sym_const] = ACTIONS(1875),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_else] = ACTIONS(1875),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_switch] = ACTIONS(1875),
    [anon_sym_for] = ACTIONS(1875),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_SEMI] = ACTIONS(1873),
    [anon_sym_await] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1875),
    [anon_sym_do] = ACTIONS(1875),
    [anon_sym_try] = ACTIONS(1875),
    [anon_sym_break] = ACTIONS(1875),
    [anon_sym_continue] = ACTIONS(1875),
    [anon_sym_debugger] = ACTIONS(1875),
    [anon_sym_return] = ACTIONS(1875),
    [anon_sym_throw] = ACTIONS(1875),
    [anon_sym_case] = ACTIONS(1875),
    [anon_sym_yield] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1873),
    [sym_glimmer_opening_tag] = ACTIONS(1873),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [anon_sym_SQUOTE] = ACTIONS(1873),
    [anon_sym_class] = ACTIONS(1875),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1875),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_using] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1875),
    [anon_sym_DASH] = ACTIONS(1875),
    [anon_sym_SLASH] = ACTIONS(1875),
    [anon_sym_LT] = ACTIONS(1875),
    [anon_sym_TILDE] = ACTIONS(1873),
    [anon_sym_void] = ACTIONS(1875),
    [anon_sym_delete] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1873),
    [anon_sym_DASH_DASH] = ACTIONS(1873),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1873),
    [sym_number] = ACTIONS(1873),
    [sym_private_property_identifier] = ACTIONS(1873),
    [sym_this] = ACTIONS(1875),
    [sym_super] = ACTIONS(1875),
    [sym_true] = ACTIONS(1875),
    [sym_false] = ACTIONS(1875),
    [sym_null] = ACTIONS(1875),
    [sym_undefined] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(1873),
    [anon_sym_static] = ACTIONS(1875),
    [anon_sym_readonly] = ACTIONS(1875),
    [anon_sym_get] = ACTIONS(1875),
    [anon_sym_set] = ACTIONS(1875),
    [anon_sym_declare] = ACTIONS(1875),
    [anon_sym_public] = ACTIONS(1875),
    [anon_sym_private] = ACTIONS(1875),
    [anon_sym_protected] = ACTIONS(1875),
    [anon_sym_override] = ACTIONS(1875),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_any] = ACTIONS(1875),
    [anon_sym_number] = ACTIONS(1875),
    [anon_sym_boolean] = ACTIONS(1875),
    [anon_sym_string] = ACTIONS(1875),
    [anon_sym_symbol] = ACTIONS(1875),
    [anon_sym_object] = ACTIONS(1875),
    [anon_sym_abstract] = ACTIONS(1875),
    [anon_sym_interface] = ACTIONS(1875),
    [anon_sym_enum] = ACTIONS(1875),
    [sym_html_comment] = ACTIONS(5),
  },
  [773] = {
    [ts_builtin_sym_end] = ACTIONS(1877),
    [sym_identifier] = ACTIONS(1879),
    [anon_sym_export] = ACTIONS(1879),
    [anon_sym_default] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1877),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [anon_sym_typeof] = ACTIONS(1879),
    [anon_sym_import] = ACTIONS(1879),
    [anon_sym_with] = ACTIONS(1879),
    [anon_sym_var] = ACTIONS(1879),
    [anon_sym_let] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_else] = ACTIONS(1879),
    [anon_sym_if] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1879),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym_await] = ACTIONS(1879),
    [anon_sym_while] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1879),
    [anon_sym_break] = ACTIONS(1879),
    [anon_sym_continue] = ACTIONS(1879),
    [anon_sym_debugger] = ACTIONS(1879),
    [anon_sym_return] = ACTIONS(1879),
    [anon_sym_throw] = ACTIONS(1879),
    [anon_sym_case] = ACTIONS(1879),
    [anon_sym_yield] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [sym_glimmer_opening_tag] = ACTIONS(1877),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [anon_sym_SQUOTE] = ACTIONS(1877),
    [anon_sym_class] = ACTIONS(1879),
    [anon_sym_async] = ACTIONS(1879),
    [anon_sym_function] = ACTIONS(1879),
    [anon_sym_new] = ACTIONS(1879),
    [anon_sym_using] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_SLASH] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1877),
    [anon_sym_void] = ACTIONS(1879),
    [anon_sym_delete] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1877),
    [anon_sym_DASH_DASH] = ACTIONS(1877),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1877),
    [sym_number] = ACTIONS(1877),
    [sym_private_property_identifier] = ACTIONS(1877),
    [sym_this] = ACTIONS(1879),
    [sym_super] = ACTIONS(1879),
    [sym_true] = ACTIONS(1879),
    [sym_false] = ACTIONS(1879),
    [sym_null] = ACTIONS(1879),
    [sym_undefined] = ACTIONS(1879),
    [anon_sym_AT] = ACTIONS(1877),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_readonly] = ACTIONS(1879),
    [anon_sym_get] = ACTIONS(1879),
    [anon_sym_set] = ACTIONS(1879),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1879),
    [anon_sym_private] = ACTIONS(1879),
    [anon_sym_protected] = ACTIONS(1879),
    [anon_sym_override] = ACTIONS(1879),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_any] = ACTIONS(1879),
    [anon_sym_number] = ACTIONS(1879),
    [anon_sym_boolean] = ACTIONS(1879),
    [anon_sym_string] = ACTIONS(1879),
    [anon_sym_symbol] = ACTIONS(1879),
    [anon_sym_object] = ACTIONS(1879),
    [anon_sym_abstract] = ACTIONS(1879),
    [anon_sym_interface] = ACTIONS(1879),
    [anon_sym_enum] = ACTIONS(1879),
    [sym__automatic_semicolon] = ACTIONS(1885),
    [sym_html_comment] = ACTIONS(5),
  },
  [774] = {
    [ts_builtin_sym_end] = ACTIONS(1887),
    [sym_identifier] = ACTIONS(1889),
    [anon_sym_export] = ACTIONS(1889),
    [anon_sym_default] = ACTIONS(1889),
    [anon_sym_type] = ACTIONS(1889),
    [anon_sym_namespace] = ACTIONS(1889),
    [anon_sym_LBRACE] = ACTIONS(1887),
    [anon_sym_RBRACE] = ACTIONS(1887),
    [anon_sym_typeof] = ACTIONS(1889),
    [anon_sym_import] = ACTIONS(1889),
    [anon_sym_with] = ACTIONS(1889),
    [anon_sym_var] = ACTIONS(1889),
    [anon_sym_let] = ACTIONS(1889),
    [anon_sym_const] = ACTIONS(1889),
    [anon_sym_BANG] = ACTIONS(1887),
    [anon_sym_else] = ACTIONS(1889),
    [anon_sym_if] = ACTIONS(1889),
    [anon_sym_switch] = ACTIONS(1889),
    [anon_sym_for] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_SEMI] = ACTIONS(1887),
    [anon_sym_await] = ACTIONS(1889),
    [anon_sym_while] = ACTIONS(1889),
    [anon_sym_do] = ACTIONS(1889),
    [anon_sym_try] = ACTIONS(1889),
    [anon_sym_break] = ACTIONS(1889),
    [anon_sym_continue] = ACTIONS(1889),
    [anon_sym_debugger] = ACTIONS(1889),
    [anon_sym_return] = ACTIONS(1889),
    [anon_sym_throw] = ACTIONS(1889),
    [anon_sym_case] = ACTIONS(1889),
    [anon_sym_yield] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1887),
    [sym_glimmer_opening_tag] = ACTIONS(1887),
    [anon_sym_DQUOTE] = ACTIONS(1887),
    [anon_sym_SQUOTE] = ACTIONS(1887),
    [anon_sym_class] = ACTIONS(1889),
    [anon_sym_async] = ACTIONS(1889),
    [anon_sym_function] = ACTIONS(1889),
    [anon_sym_new] = ACTIONS(1889),
    [anon_sym_using] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1889),
    [anon_sym_SLASH] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(1889),
    [anon_sym_TILDE] = ACTIONS(1887),
    [anon_sym_void] = ACTIONS(1889),
    [anon_sym_delete] = ACTIONS(1889),
    [anon_sym_PLUS_PLUS] = ACTIONS(1887),
    [anon_sym_DASH_DASH] = ACTIONS(1887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1887),
    [sym_number] = ACTIONS(1887),
    [sym_private_property_identifier] = ACTIONS(1887),
    [sym_this] = ACTIONS(1889),
    [sym_super] = ACTIONS(1889),
    [sym_true] = ACTIONS(1889),
    [sym_false] = ACTIONS(1889),
    [sym_null] = ACTIONS(1889),
    [sym_undefined] = ACTIONS(1889),
    [anon_sym_AT] = ACTIONS(1887),
    [anon_sym_static] = ACTIONS(1889),
    [anon_sym_readonly] = ACTIONS(1889),
    [anon_sym_get] = ACTIONS(1889),
    [anon_sym_set] = ACTIONS(1889),
    [anon_sym_declare] = ACTIONS(1889),
    [anon_sym_public] = ACTIONS(1889),
    [anon_sym_private] = ACTIONS(1889),
    [anon_sym_protected] = ACTIONS(1889),
    [anon_sym_override] = ACTIONS(1889),
    [anon_sym_module] = ACTIONS(1889),
    [anon_sym_any] = ACTIONS(1889),
    [anon_sym_number] = ACTIONS(1889),
    [anon_sym_boolean] = ACTIONS(1889),
    [anon_sym_string] = ACTIONS(1889),
    [anon_sym_symbol] = ACTIONS(1889),
    [anon_sym_object] = ACTIONS(1889),
    [anon_sym_abstract] = ACTIONS(1889),
    [anon_sym_interface] = ACTIONS(1889),
    [anon_sym_enum] = ACTIONS(1889),
    [sym__automatic_semicolon] = ACTIONS(1895),
    [sym_html_comment] = ACTIONS(5),
  },
  [775] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(978),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [776] = {
    [ts_builtin_sym_end] = ACTIONS(1787),
    [sym_identifier] = ACTIONS(1789),
    [anon_sym_export] = ACTIONS(1789),
    [anon_sym_default] = ACTIONS(1789),
    [anon_sym_type] = ACTIONS(1789),
    [anon_sym_namespace] = ACTIONS(1789),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_RBRACE] = ACTIONS(1787),
    [anon_sym_typeof] = ACTIONS(1789),
    [anon_sym_import] = ACTIONS(1789),
    [anon_sym_with] = ACTIONS(1789),
    [anon_sym_var] = ACTIONS(1789),
    [anon_sym_let] = ACTIONS(1789),
    [anon_sym_const] = ACTIONS(1789),
    [anon_sym_BANG] = ACTIONS(1787),
    [anon_sym_else] = ACTIONS(1789),
    [anon_sym_if] = ACTIONS(1789),
    [anon_sym_switch] = ACTIONS(1789),
    [anon_sym_for] = ACTIONS(1789),
    [anon_sym_LPAREN] = ACTIONS(1787),
    [anon_sym_SEMI] = ACTIONS(1787),
    [anon_sym_await] = ACTIONS(1789),
    [anon_sym_while] = ACTIONS(1789),
    [anon_sym_do] = ACTIONS(1789),
    [anon_sym_try] = ACTIONS(1789),
    [anon_sym_break] = ACTIONS(1789),
    [anon_sym_continue] = ACTIONS(1789),
    [anon_sym_debugger] = ACTIONS(1789),
    [anon_sym_return] = ACTIONS(1789),
    [anon_sym_throw] = ACTIONS(1789),
    [anon_sym_case] = ACTIONS(1789),
    [anon_sym_yield] = ACTIONS(1789),
    [anon_sym_LBRACK] = ACTIONS(1787),
    [sym_glimmer_opening_tag] = ACTIONS(1787),
    [anon_sym_DQUOTE] = ACTIONS(1787),
    [anon_sym_SQUOTE] = ACTIONS(1787),
    [anon_sym_class] = ACTIONS(1789),
    [anon_sym_async] = ACTIONS(1789),
    [anon_sym_function] = ACTIONS(1789),
    [anon_sym_new] = ACTIONS(1789),
    [anon_sym_using] = ACTIONS(1789),
    [anon_sym_PLUS] = ACTIONS(1789),
    [anon_sym_DASH] = ACTIONS(1789),
    [anon_sym_SLASH] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(1789),
    [anon_sym_TILDE] = ACTIONS(1787),
    [anon_sym_void] = ACTIONS(1789),
    [anon_sym_delete] = ACTIONS(1789),
    [anon_sym_PLUS_PLUS] = ACTIONS(1787),
    [anon_sym_DASH_DASH] = ACTIONS(1787),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1787),
    [sym_number] = ACTIONS(1787),
    [sym_private_property_identifier] = ACTIONS(1787),
    [sym_this] = ACTIONS(1789),
    [sym_super] = ACTIONS(1789),
    [sym_true] = ACTIONS(1789),
    [sym_false] = ACTIONS(1789),
    [sym_null] = ACTIONS(1789),
    [sym_undefined] = ACTIONS(1789),
    [anon_sym_AT] = ACTIONS(1787),
    [anon_sym_static] = ACTIONS(1789),
    [anon_sym_readonly] = ACTIONS(1789),
    [anon_sym_get] = ACTIONS(1789),
    [anon_sym_set] = ACTIONS(1789),
    [anon_sym_declare] = ACTIONS(1789),
    [anon_sym_public] = ACTIONS(1789),
    [anon_sym_private] = ACTIONS(1789),
    [anon_sym_protected] = ACTIONS(1789),
    [anon_sym_override] = ACTIONS(1789),
    [anon_sym_module] = ACTIONS(1789),
    [anon_sym_any] = ACTIONS(1789),
    [anon_sym_number] = ACTIONS(1789),
    [anon_sym_boolean] = ACTIONS(1789),
    [anon_sym_string] = ACTIONS(1789),
    [anon_sym_symbol] = ACTIONS(1789),
    [anon_sym_object] = ACTIONS(1789),
    [anon_sym_abstract] = ACTIONS(1789),
    [anon_sym_interface] = ACTIONS(1789),
    [anon_sym_enum] = ACTIONS(1789),
    [sym__automatic_semicolon] = ACTIONS(1795),
    [sym_html_comment] = ACTIONS(5),
  },
  [777] = {
    [sym__call_signature] = STATE(5864),
    [sym_formal_parameters] = STATE(3849),
    [sym_type_parameters] = STATE(5338),
    [sym_identifier] = ACTIONS(2397),
    [anon_sym_export] = ACTIONS(2399),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_type] = ACTIONS(2399),
    [anon_sym_EQ] = ACTIONS(976),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_namespace] = ACTIONS(2399),
    [anon_sym_let] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2389),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_async] = ACTIONS(2399),
    [anon_sym_function] = ACTIONS(2392),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_new] = ACTIONS(2399),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_static] = ACTIONS(2399),
    [anon_sym_readonly] = ACTIONS(2399),
    [anon_sym_get] = ACTIONS(2399),
    [anon_sym_set] = ACTIONS(2399),
    [anon_sym_declare] = ACTIONS(2399),
    [anon_sym_public] = ACTIONS(2399),
    [anon_sym_private] = ACTIONS(2399),
    [anon_sym_protected] = ACTIONS(2399),
    [anon_sym_override] = ACTIONS(2399),
    [anon_sym_module] = ACTIONS(2399),
    [anon_sym_any] = ACTIONS(2399),
    [anon_sym_number] = ACTIONS(2399),
    [anon_sym_boolean] = ACTIONS(2399),
    [anon_sym_string] = ACTIONS(2399),
    [anon_sym_symbol] = ACTIONS(2399),
    [anon_sym_object] = ACTIONS(2399),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [anon_sym_export] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_type] = ACTIONS(2497),
    [anon_sym_namespace] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [anon_sym_typeof] = ACTIONS(2497),
    [anon_sym_import] = ACTIONS(2497),
    [anon_sym_with] = ACTIONS(2497),
    [anon_sym_var] = ACTIONS(2497),
    [anon_sym_let] = ACTIONS(2497),
    [anon_sym_const] = ACTIONS(2497),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_await] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_debugger] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_yield] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [sym_glimmer_opening_tag] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2495),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_async] = ACTIONS(2497),
    [anon_sym_function] = ACTIONS(2497),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_using] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_SLASH] = ACTIONS(2497),
    [anon_sym_LT] = ACTIONS(2497),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_void] = ACTIONS(2497),
    [anon_sym_delete] = ACTIONS(2497),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2495),
    [sym_number] = ACTIONS(2495),
    [sym_private_property_identifier] = ACTIONS(2495),
    [sym_this] = ACTIONS(2497),
    [sym_super] = ACTIONS(2497),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [sym_null] = ACTIONS(2497),
    [sym_undefined] = ACTIONS(2497),
    [anon_sym_AT] = ACTIONS(2495),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_readonly] = ACTIONS(2497),
    [anon_sym_get] = ACTIONS(2497),
    [anon_sym_set] = ACTIONS(2497),
    [anon_sym_declare] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_override] = ACTIONS(2497),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_any] = ACTIONS(2497),
    [anon_sym_number] = ACTIONS(2497),
    [anon_sym_boolean] = ACTIONS(2497),
    [anon_sym_string] = ACTIONS(2497),
    [anon_sym_symbol] = ACTIONS(2497),
    [anon_sym_object] = ACTIONS(2497),
    [anon_sym_abstract] = ACTIONS(2497),
    [anon_sym_interface] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [sym_html_comment] = ACTIONS(5),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [sym_identifier] = ACTIONS(2501),
    [anon_sym_export] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [anon_sym_type] = ACTIONS(2501),
    [anon_sym_namespace] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [anon_sym_typeof] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_var] = ACTIONS(2501),
    [anon_sym_let] = ACTIONS(2501),
    [anon_sym_const] = ACTIONS(2501),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_await] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_debugger] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [sym_glimmer_opening_tag] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2499),
    [anon_sym_SQUOTE] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_async] = ACTIONS(2501),
    [anon_sym_function] = ACTIONS(2501),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_using] = ACTIONS(2501),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_SLASH] = ACTIONS(2501),
    [anon_sym_LT] = ACTIONS(2501),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_void] = ACTIONS(2501),
    [anon_sym_delete] = ACTIONS(2501),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2499),
    [sym_number] = ACTIONS(2499),
    [sym_private_property_identifier] = ACTIONS(2499),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_null] = ACTIONS(2501),
    [sym_undefined] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_readonly] = ACTIONS(2501),
    [anon_sym_get] = ACTIONS(2501),
    [anon_sym_set] = ACTIONS(2501),
    [anon_sym_declare] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_override] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_any] = ACTIONS(2501),
    [anon_sym_number] = ACTIONS(2501),
    [anon_sym_boolean] = ACTIONS(2501),
    [anon_sym_string] = ACTIONS(2501),
    [anon_sym_symbol] = ACTIONS(2501),
    [anon_sym_object] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [sym_html_comment] = ACTIONS(5),
  },
  [780] = {
    [ts_builtin_sym_end] = ACTIONS(2503),
    [sym_identifier] = ACTIONS(2505),
    [anon_sym_export] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [anon_sym_type] = ACTIONS(2505),
    [anon_sym_namespace] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [anon_sym_typeof] = ACTIONS(2505),
    [anon_sym_import] = ACTIONS(2505),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_var] = ACTIONS(2505),
    [anon_sym_let] = ACTIONS(2505),
    [anon_sym_const] = ACTIONS(2505),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_else] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_await] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_debugger] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [sym_glimmer_opening_tag] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(2503),
    [anon_sym_SQUOTE] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_async] = ACTIONS(2505),
    [anon_sym_function] = ACTIONS(2505),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_using] = ACTIONS(2505),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_SLASH] = ACTIONS(2505),
    [anon_sym_LT] = ACTIONS(2505),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_void] = ACTIONS(2505),
    [anon_sym_delete] = ACTIONS(2505),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2503),
    [sym_number] = ACTIONS(2503),
    [sym_private_property_identifier] = ACTIONS(2503),
    [sym_this] = ACTIONS(2505),
    [sym_super] = ACTIONS(2505),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [sym_null] = ACTIONS(2505),
    [sym_undefined] = ACTIONS(2505),
    [anon_sym_AT] = ACTIONS(2503),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_readonly] = ACTIONS(2505),
    [anon_sym_get] = ACTIONS(2505),
    [anon_sym_set] = ACTIONS(2505),
    [anon_sym_declare] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_override] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_any] = ACTIONS(2505),
    [anon_sym_number] = ACTIONS(2505),
    [anon_sym_boolean] = ACTIONS(2505),
    [anon_sym_string] = ACTIONS(2505),
    [anon_sym_symbol] = ACTIONS(2505),
    [anon_sym_object] = ACTIONS(2505),
    [anon_sym_abstract] = ACTIONS(2505),
    [anon_sym_interface] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [sym_html_comment] = ACTIONS(5),
  },
  [781] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2509),
    [anon_sym_export] = ACTIONS(2509),
    [anon_sym_default] = ACTIONS(2509),
    [anon_sym_type] = ACTIONS(2509),
    [anon_sym_namespace] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [anon_sym_typeof] = ACTIONS(2509),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_var] = ACTIONS(2509),
    [anon_sym_let] = ACTIONS(2509),
    [anon_sym_const] = ACTIONS(2509),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_await] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_debugger] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_case] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [sym_glimmer_opening_tag] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2507),
    [anon_sym_SQUOTE] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_async] = ACTIONS(2509),
    [anon_sym_function] = ACTIONS(2509),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_using] = ACTIONS(2509),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_SLASH] = ACTIONS(2509),
    [anon_sym_LT] = ACTIONS(2509),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_void] = ACTIONS(2509),
    [anon_sym_delete] = ACTIONS(2509),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2507),
    [sym_number] = ACTIONS(2507),
    [sym_private_property_identifier] = ACTIONS(2507),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_null] = ACTIONS(2509),
    [sym_undefined] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2507),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_get] = ACTIONS(2509),
    [anon_sym_set] = ACTIONS(2509),
    [anon_sym_declare] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_override] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2509),
    [anon_sym_number] = ACTIONS(2509),
    [anon_sym_boolean] = ACTIONS(2509),
    [anon_sym_string] = ACTIONS(2509),
    [anon_sym_symbol] = ACTIONS(2509),
    [anon_sym_object] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_interface] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [sym_html_comment] = ACTIONS(5),
  },
  [782] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [sym_identifier] = ACTIONS(2513),
    [anon_sym_export] = ACTIONS(2513),
    [anon_sym_default] = ACTIONS(2513),
    [anon_sym_type] = ACTIONS(2513),
    [anon_sym_namespace] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [anon_sym_typeof] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2513),
    [anon_sym_with] = ACTIONS(2513),
    [anon_sym_var] = ACTIONS(2513),
    [anon_sym_let] = ACTIONS(2513),
    [anon_sym_const] = ACTIONS(2513),
    [anon_sym_BANG] = ACTIONS(2511),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_switch] = ACTIONS(2513),
    [anon_sym_for] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_await] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_break] = ACTIONS(2513),
    [anon_sym_continue] = ACTIONS(2513),
    [anon_sym_debugger] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_case] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [sym_glimmer_opening_tag] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2511),
    [anon_sym_SQUOTE] = ACTIONS(2511),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_async] = ACTIONS(2513),
    [anon_sym_function] = ACTIONS(2513),
    [anon_sym_new] = ACTIONS(2513),
    [anon_sym_using] = ACTIONS(2513),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_SLASH] = ACTIONS(2513),
    [anon_sym_LT] = ACTIONS(2513),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_void] = ACTIONS(2513),
    [anon_sym_delete] = ACTIONS(2513),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2511),
    [sym_number] = ACTIONS(2511),
    [sym_private_property_identifier] = ACTIONS(2511),
    [sym_this] = ACTIONS(2513),
    [sym_super] = ACTIONS(2513),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_null] = ACTIONS(2513),
    [sym_undefined] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2511),
    [anon_sym_static] = ACTIONS(2513),
    [anon_sym_readonly] = ACTIONS(2513),
    [anon_sym_get] = ACTIONS(2513),
    [anon_sym_set] = ACTIONS(2513),
    [anon_sym_declare] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_override] = ACTIONS(2513),
    [anon_sym_module] = ACTIONS(2513),
    [anon_sym_any] = ACTIONS(2513),
    [anon_sym_number] = ACTIONS(2513),
    [anon_sym_boolean] = ACTIONS(2513),
    [anon_sym_string] = ACTIONS(2513),
    [anon_sym_symbol] = ACTIONS(2513),
    [anon_sym_object] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [sym_html_comment] = ACTIONS(5),
  },
  [783] = {
    [ts_builtin_sym_end] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [anon_sym_export] = ACTIONS(2517),
    [anon_sym_default] = ACTIONS(2517),
    [anon_sym_type] = ACTIONS(2517),
    [anon_sym_namespace] = ACTIONS(2517),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [anon_sym_typeof] = ACTIONS(2517),
    [anon_sym_import] = ACTIONS(2517),
    [anon_sym_with] = ACTIONS(2517),
    [anon_sym_var] = ACTIONS(2517),
    [anon_sym_let] = ACTIONS(2517),
    [anon_sym_const] = ACTIONS(2517),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_else] = ACTIONS(2517),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_switch] = ACTIONS(2517),
    [anon_sym_for] = ACTIONS(2517),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_await] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(2517),
    [anon_sym_do] = ACTIONS(2517),
    [anon_sym_try] = ACTIONS(2517),
    [anon_sym_break] = ACTIONS(2517),
    [anon_sym_continue] = ACTIONS(2517),
    [anon_sym_debugger] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2517),
    [anon_sym_throw] = ACTIONS(2517),
    [anon_sym_case] = ACTIONS(2517),
    [anon_sym_yield] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [sym_glimmer_opening_tag] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2515),
    [anon_sym_SQUOTE] = ACTIONS(2515),
    [anon_sym_class] = ACTIONS(2517),
    [anon_sym_async] = ACTIONS(2517),
    [anon_sym_function] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(2517),
    [anon_sym_using] = ACTIONS(2517),
    [anon_sym_PLUS] = ACTIONS(2517),
    [anon_sym_DASH] = ACTIONS(2517),
    [anon_sym_SLASH] = ACTIONS(2517),
    [anon_sym_LT] = ACTIONS(2517),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_void] = ACTIONS(2517),
    [anon_sym_delete] = ACTIONS(2517),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2515),
    [sym_number] = ACTIONS(2515),
    [sym_private_property_identifier] = ACTIONS(2515),
    [sym_this] = ACTIONS(2517),
    [sym_super] = ACTIONS(2517),
    [sym_true] = ACTIONS(2517),
    [sym_false] = ACTIONS(2517),
    [sym_null] = ACTIONS(2517),
    [sym_undefined] = ACTIONS(2517),
    [anon_sym_AT] = ACTIONS(2515),
    [anon_sym_static] = ACTIONS(2517),
    [anon_sym_readonly] = ACTIONS(2517),
    [anon_sym_get] = ACTIONS(2517),
    [anon_sym_set] = ACTIONS(2517),
    [anon_sym_declare] = ACTIONS(2517),
    [anon_sym_public] = ACTIONS(2517),
    [anon_sym_private] = ACTIONS(2517),
    [anon_sym_protected] = ACTIONS(2517),
    [anon_sym_override] = ACTIONS(2517),
    [anon_sym_module] = ACTIONS(2517),
    [anon_sym_any] = ACTIONS(2517),
    [anon_sym_number] = ACTIONS(2517),
    [anon_sym_boolean] = ACTIONS(2517),
    [anon_sym_string] = ACTIONS(2517),
    [anon_sym_symbol] = ACTIONS(2517),
    [anon_sym_object] = ACTIONS(2517),
    [anon_sym_abstract] = ACTIONS(2517),
    [anon_sym_interface] = ACTIONS(2517),
    [anon_sym_enum] = ACTIONS(2517),
    [sym_html_comment] = ACTIONS(5),
  },
  [784] = {
    [ts_builtin_sym_end] = ACTIONS(2519),
    [sym_identifier] = ACTIONS(2521),
    [anon_sym_export] = ACTIONS(2521),
    [anon_sym_default] = ACTIONS(2521),
    [anon_sym_type] = ACTIONS(2521),
    [anon_sym_namespace] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_RBRACE] = ACTIONS(2519),
    [anon_sym_typeof] = ACTIONS(2521),
    [anon_sym_import] = ACTIONS(2521),
    [anon_sym_with] = ACTIONS(2521),
    [anon_sym_var] = ACTIONS(2521),
    [anon_sym_let] = ACTIONS(2521),
    [anon_sym_const] = ACTIONS(2521),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_switch] = ACTIONS(2521),
    [anon_sym_for] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_await] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_break] = ACTIONS(2521),
    [anon_sym_continue] = ACTIONS(2521),
    [anon_sym_debugger] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_case] = ACTIONS(2521),
    [anon_sym_yield] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [sym_glimmer_opening_tag] = ACTIONS(2519),
    [anon_sym_DQUOTE] = ACTIONS(2519),
    [anon_sym_SQUOTE] = ACTIONS(2519),
    [anon_sym_class] = ACTIONS(2521),
    [anon_sym_async] = ACTIONS(2521),
    [anon_sym_function] = ACTIONS(2521),
    [anon_sym_new] = ACTIONS(2521),
    [anon_sym_using] = ACTIONS(2521),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_SLASH] = ACTIONS(2521),
    [anon_sym_LT] = ACTIONS(2521),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_void] = ACTIONS(2521),
    [anon_sym_delete] = ACTIONS(2521),
    [anon_sym_PLUS_PLUS] = ACTIONS(2519),
    [anon_sym_DASH_DASH] = ACTIONS(2519),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2519),
    [sym_number] = ACTIONS(2519),
    [sym_private_property_identifier] = ACTIONS(2519),
    [sym_this] = ACTIONS(2521),
    [sym_super] = ACTIONS(2521),
    [sym_true] = ACTIONS(2521),
    [sym_false] = ACTIONS(2521),
    [sym_null] = ACTIONS(2521),
    [sym_undefined] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2519),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_readonly] = ACTIONS(2521),
    [anon_sym_get] = ACTIONS(2521),
    [anon_sym_set] = ACTIONS(2521),
    [anon_sym_declare] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_override] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_any] = ACTIONS(2521),
    [anon_sym_number] = ACTIONS(2521),
    [anon_sym_boolean] = ACTIONS(2521),
    [anon_sym_string] = ACTIONS(2521),
    [anon_sym_symbol] = ACTIONS(2521),
    [anon_sym_object] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_interface] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [sym_html_comment] = ACTIONS(5),
  },
  [785] = {
    [ts_builtin_sym_end] = ACTIONS(2523),
    [sym_identifier] = ACTIONS(2525),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_default] = ACTIONS(2525),
    [anon_sym_type] = ACTIONS(2525),
    [anon_sym_namespace] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_RBRACE] = ACTIONS(2523),
    [anon_sym_typeof] = ACTIONS(2525),
    [anon_sym_import] = ACTIONS(2525),
    [anon_sym_with] = ACTIONS(2525),
    [anon_sym_var] = ACTIONS(2525),
    [anon_sym_let] = ACTIONS(2525),
    [anon_sym_const] = ACTIONS(2525),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_else] = ACTIONS(2525),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_switch] = ACTIONS(2525),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_await] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(2525),
    [anon_sym_do] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2525),
    [anon_sym_break] = ACTIONS(2525),
    [anon_sym_continue] = ACTIONS(2525),
    [anon_sym_debugger] = ACTIONS(2525),
    [anon_sym_return] = ACTIONS(2525),
    [anon_sym_throw] = ACTIONS(2525),
    [anon_sym_case] = ACTIONS(2525),
    [anon_sym_yield] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [sym_glimmer_opening_tag] = ACTIONS(2523),
    [anon_sym_DQUOTE] = ACTIONS(2523),
    [anon_sym_SQUOTE] = ACTIONS(2523),
    [anon_sym_class] = ACTIONS(2525),
    [anon_sym_async] = ACTIONS(2525),
    [anon_sym_function] = ACTIONS(2525),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_using] = ACTIONS(2525),
    [anon_sym_PLUS] = ACTIONS(2525),
    [anon_sym_DASH] = ACTIONS(2525),
    [anon_sym_SLASH] = ACTIONS(2525),
    [anon_sym_LT] = ACTIONS(2525),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_void] = ACTIONS(2525),
    [anon_sym_delete] = ACTIONS(2525),
    [anon_sym_PLUS_PLUS] = ACTIONS(2523),
    [anon_sym_DASH_DASH] = ACTIONS(2523),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2523),
    [sym_number] = ACTIONS(2523),
    [sym_private_property_identifier] = ACTIONS(2523),
    [sym_this] = ACTIONS(2525),
    [sym_super] = ACTIONS(2525),
    [sym_true] = ACTIONS(2525),
    [sym_false] = ACTIONS(2525),
    [sym_null] = ACTIONS(2525),
    [sym_undefined] = ACTIONS(2525),
    [anon_sym_AT] = ACTIONS(2523),
    [anon_sym_static] = ACTIONS(2525),
    [anon_sym_readonly] = ACTIONS(2525),
    [anon_sym_get] = ACTIONS(2525),
    [anon_sym_set] = ACTIONS(2525),
    [anon_sym_declare] = ACTIONS(2525),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_override] = ACTIONS(2525),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_any] = ACTIONS(2525),
    [anon_sym_number] = ACTIONS(2525),
    [anon_sym_boolean] = ACTIONS(2525),
    [anon_sym_string] = ACTIONS(2525),
    [anon_sym_symbol] = ACTIONS(2525),
    [anon_sym_object] = ACTIONS(2525),
    [anon_sym_abstract] = ACTIONS(2525),
    [anon_sym_interface] = ACTIONS(2525),
    [anon_sym_enum] = ACTIONS(2525),
    [sym_html_comment] = ACTIONS(5),
  },
  [786] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(4756),
    [sym_optional_tuple_parameter] = STATE(4756),
    [sym_optional_type] = STATE(4756),
    [sym_rest_type] = STATE(4756),
    [sym__tuple_type_member] = STATE(4756),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(2529),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2531),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [787] = {
    [ts_builtin_sym_end] = ACTIONS(2539),
    [sym_identifier] = ACTIONS(2541),
    [anon_sym_export] = ACTIONS(2541),
    [anon_sym_default] = ACTIONS(2541),
    [anon_sym_type] = ACTIONS(2541),
    [anon_sym_namespace] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [anon_sym_typeof] = ACTIONS(2541),
    [anon_sym_import] = ACTIONS(2541),
    [anon_sym_with] = ACTIONS(2541),
    [anon_sym_var] = ACTIONS(2541),
    [anon_sym_let] = ACTIONS(2541),
    [anon_sym_const] = ACTIONS(2541),
    [anon_sym_BANG] = ACTIONS(2539),
    [anon_sym_else] = ACTIONS(2541),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_switch] = ACTIONS(2541),
    [anon_sym_for] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_await] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(2541),
    [anon_sym_do] = ACTIONS(2541),
    [anon_sym_try] = ACTIONS(2541),
    [anon_sym_break] = ACTIONS(2541),
    [anon_sym_continue] = ACTIONS(2541),
    [anon_sym_debugger] = ACTIONS(2541),
    [anon_sym_return] = ACTIONS(2541),
    [anon_sym_throw] = ACTIONS(2541),
    [anon_sym_case] = ACTIONS(2541),
    [anon_sym_yield] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [sym_glimmer_opening_tag] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2539),
    [anon_sym_SQUOTE] = ACTIONS(2539),
    [anon_sym_class] = ACTIONS(2541),
    [anon_sym_async] = ACTIONS(2541),
    [anon_sym_function] = ACTIONS(2541),
    [anon_sym_new] = ACTIONS(2541),
    [anon_sym_using] = ACTIONS(2541),
    [anon_sym_PLUS] = ACTIONS(2541),
    [anon_sym_DASH] = ACTIONS(2541),
    [anon_sym_SLASH] = ACTIONS(2541),
    [anon_sym_LT] = ACTIONS(2541),
    [anon_sym_TILDE] = ACTIONS(2539),
    [anon_sym_void] = ACTIONS(2541),
    [anon_sym_delete] = ACTIONS(2541),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2539),
    [sym_number] = ACTIONS(2539),
    [sym_private_property_identifier] = ACTIONS(2539),
    [sym_this] = ACTIONS(2541),
    [sym_super] = ACTIONS(2541),
    [sym_true] = ACTIONS(2541),
    [sym_false] = ACTIONS(2541),
    [sym_null] = ACTIONS(2541),
    [sym_undefined] = ACTIONS(2541),
    [anon_sym_AT] = ACTIONS(2539),
    [anon_sym_static] = ACTIONS(2541),
    [anon_sym_readonly] = ACTIONS(2541),
    [anon_sym_get] = ACTIONS(2541),
    [anon_sym_set] = ACTIONS(2541),
    [anon_sym_declare] = ACTIONS(2541),
    [anon_sym_public] = ACTIONS(2541),
    [anon_sym_private] = ACTIONS(2541),
    [anon_sym_protected] = ACTIONS(2541),
    [anon_sym_override] = ACTIONS(2541),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_any] = ACTIONS(2541),
    [anon_sym_number] = ACTIONS(2541),
    [anon_sym_boolean] = ACTIONS(2541),
    [anon_sym_string] = ACTIONS(2541),
    [anon_sym_symbol] = ACTIONS(2541),
    [anon_sym_object] = ACTIONS(2541),
    [anon_sym_abstract] = ACTIONS(2541),
    [anon_sym_interface] = ACTIONS(2541),
    [anon_sym_enum] = ACTIONS(2541),
    [sym_html_comment] = ACTIONS(5),
  },
  [788] = {
    [ts_builtin_sym_end] = ACTIONS(2543),
    [sym_identifier] = ACTIONS(2545),
    [anon_sym_export] = ACTIONS(2545),
    [anon_sym_default] = ACTIONS(2545),
    [anon_sym_type] = ACTIONS(2545),
    [anon_sym_namespace] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [anon_sym_RBRACE] = ACTIONS(2543),
    [anon_sym_typeof] = ACTIONS(2545),
    [anon_sym_import] = ACTIONS(2545),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_var] = ACTIONS(2545),
    [anon_sym_let] = ACTIONS(2545),
    [anon_sym_const] = ACTIONS(2545),
    [anon_sym_BANG] = ACTIONS(2543),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_switch] = ACTIONS(2545),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [anon_sym_SEMI] = ACTIONS(2543),
    [anon_sym_await] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_break] = ACTIONS(2545),
    [anon_sym_continue] = ACTIONS(2545),
    [anon_sym_debugger] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_case] = ACTIONS(2545),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [sym_glimmer_opening_tag] = ACTIONS(2543),
    [anon_sym_DQUOTE] = ACTIONS(2543),
    [anon_sym_SQUOTE] = ACTIONS(2543),
    [anon_sym_class] = ACTIONS(2545),
    [anon_sym_async] = ACTIONS(2545),
    [anon_sym_function] = ACTIONS(2545),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_using] = ACTIONS(2545),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_SLASH] = ACTIONS(2545),
    [anon_sym_LT] = ACTIONS(2545),
    [anon_sym_TILDE] = ACTIONS(2543),
    [anon_sym_void] = ACTIONS(2545),
    [anon_sym_delete] = ACTIONS(2545),
    [anon_sym_PLUS_PLUS] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2543),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2543),
    [sym_number] = ACTIONS(2543),
    [sym_private_property_identifier] = ACTIONS(2543),
    [sym_this] = ACTIONS(2545),
    [sym_super] = ACTIONS(2545),
    [sym_true] = ACTIONS(2545),
    [sym_false] = ACTIONS(2545),
    [sym_null] = ACTIONS(2545),
    [sym_undefined] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2543),
    [anon_sym_static] = ACTIONS(2545),
    [anon_sym_readonly] = ACTIONS(2545),
    [anon_sym_get] = ACTIONS(2545),
    [anon_sym_set] = ACTIONS(2545),
    [anon_sym_declare] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_override] = ACTIONS(2545),
    [anon_sym_module] = ACTIONS(2545),
    [anon_sym_any] = ACTIONS(2545),
    [anon_sym_number] = ACTIONS(2545),
    [anon_sym_boolean] = ACTIONS(2545),
    [anon_sym_string] = ACTIONS(2545),
    [anon_sym_symbol] = ACTIONS(2545),
    [anon_sym_object] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_interface] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [sym_html_comment] = ACTIONS(5),
  },
  [789] = {
    [ts_builtin_sym_end] = ACTIONS(1901),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1903),
    [anon_sym_default] = ACTIONS(1903),
    [anon_sym_type] = ACTIONS(1903),
    [anon_sym_namespace] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1901),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_typeof] = ACTIONS(1903),
    [anon_sym_import] = ACTIONS(1903),
    [anon_sym_with] = ACTIONS(1903),
    [anon_sym_var] = ACTIONS(1903),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1901),
    [anon_sym_else] = ACTIONS(1903),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_for] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1903),
    [anon_sym_do] = ACTIONS(1903),
    [anon_sym_try] = ACTIONS(1903),
    [anon_sym_break] = ACTIONS(1903),
    [anon_sym_continue] = ACTIONS(1903),
    [anon_sym_debugger] = ACTIONS(1903),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1903),
    [anon_sym_yield] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [sym_glimmer_opening_tag] = ACTIONS(1901),
    [anon_sym_DQUOTE] = ACTIONS(1901),
    [anon_sym_SQUOTE] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1903),
    [anon_sym_async] = ACTIONS(1903),
    [anon_sym_function] = ACTIONS(1903),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_using] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1903),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1901),
    [anon_sym_void] = ACTIONS(1903),
    [anon_sym_delete] = ACTIONS(1903),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1901),
    [sym_number] = ACTIONS(1901),
    [sym_private_property_identifier] = ACTIONS(1901),
    [sym_this] = ACTIONS(1903),
    [sym_super] = ACTIONS(1903),
    [sym_true] = ACTIONS(1903),
    [sym_false] = ACTIONS(1903),
    [sym_null] = ACTIONS(1903),
    [sym_undefined] = ACTIONS(1903),
    [anon_sym_AT] = ACTIONS(1901),
    [anon_sym_static] = ACTIONS(1903),
    [anon_sym_readonly] = ACTIONS(1903),
    [anon_sym_get] = ACTIONS(1903),
    [anon_sym_set] = ACTIONS(1903),
    [anon_sym_declare] = ACTIONS(1903),
    [anon_sym_public] = ACTIONS(1903),
    [anon_sym_private] = ACTIONS(1903),
    [anon_sym_protected] = ACTIONS(1903),
    [anon_sym_override] = ACTIONS(1903),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_any] = ACTIONS(1903),
    [anon_sym_number] = ACTIONS(1903),
    [anon_sym_boolean] = ACTIONS(1903),
    [anon_sym_string] = ACTIONS(1903),
    [anon_sym_symbol] = ACTIONS(1903),
    [anon_sym_object] = ACTIONS(1903),
    [anon_sym_abstract] = ACTIONS(1903),
    [anon_sym_interface] = ACTIONS(1903),
    [anon_sym_enum] = ACTIONS(1903),
    [sym_html_comment] = ACTIONS(5),
  },
  [790] = {
    [ts_builtin_sym_end] = ACTIONS(2547),
    [sym_identifier] = ACTIONS(2549),
    [anon_sym_export] = ACTIONS(2549),
    [anon_sym_default] = ACTIONS(2549),
    [anon_sym_type] = ACTIONS(2549),
    [anon_sym_namespace] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_typeof] = ACTIONS(2549),
    [anon_sym_import] = ACTIONS(2549),
    [anon_sym_with] = ACTIONS(2549),
    [anon_sym_var] = ACTIONS(2549),
    [anon_sym_let] = ACTIONS(2549),
    [anon_sym_const] = ACTIONS(2549),
    [anon_sym_BANG] = ACTIONS(2547),
    [anon_sym_else] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_switch] = ACTIONS(2549),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_await] = ACTIONS(2549),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_break] = ACTIONS(2549),
    [anon_sym_continue] = ACTIONS(2549),
    [anon_sym_debugger] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_throw] = ACTIONS(2549),
    [anon_sym_case] = ACTIONS(2549),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [sym_glimmer_opening_tag] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2547),
    [anon_sym_SQUOTE] = ACTIONS(2547),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_async] = ACTIONS(2549),
    [anon_sym_function] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_using] = ACTIONS(2549),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_SLASH] = ACTIONS(2549),
    [anon_sym_LT] = ACTIONS(2549),
    [anon_sym_TILDE] = ACTIONS(2547),
    [anon_sym_void] = ACTIONS(2549),
    [anon_sym_delete] = ACTIONS(2549),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2547),
    [sym_number] = ACTIONS(2547),
    [sym_private_property_identifier] = ACTIONS(2547),
    [sym_this] = ACTIONS(2549),
    [sym_super] = ACTIONS(2549),
    [sym_true] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
    [sym_null] = ACTIONS(2549),
    [sym_undefined] = ACTIONS(2549),
    [anon_sym_AT] = ACTIONS(2547),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_readonly] = ACTIONS(2549),
    [anon_sym_get] = ACTIONS(2549),
    [anon_sym_set] = ACTIONS(2549),
    [anon_sym_declare] = ACTIONS(2549),
    [anon_sym_public] = ACTIONS(2549),
    [anon_sym_private] = ACTIONS(2549),
    [anon_sym_protected] = ACTIONS(2549),
    [anon_sym_override] = ACTIONS(2549),
    [anon_sym_module] = ACTIONS(2549),
    [anon_sym_any] = ACTIONS(2549),
    [anon_sym_number] = ACTIONS(2549),
    [anon_sym_boolean] = ACTIONS(2549),
    [anon_sym_string] = ACTIONS(2549),
    [anon_sym_symbol] = ACTIONS(2549),
    [anon_sym_object] = ACTIONS(2549),
    [anon_sym_abstract] = ACTIONS(2549),
    [anon_sym_interface] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [sym_html_comment] = ACTIONS(5),
  },
  [791] = {
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [anon_sym_export] = ACTIONS(2553),
    [anon_sym_default] = ACTIONS(2553),
    [anon_sym_type] = ACTIONS(2553),
    [anon_sym_namespace] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [anon_sym_typeof] = ACTIONS(2553),
    [anon_sym_import] = ACTIONS(2553),
    [anon_sym_with] = ACTIONS(2553),
    [anon_sym_var] = ACTIONS(2553),
    [anon_sym_let] = ACTIONS(2553),
    [anon_sym_const] = ACTIONS(2553),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_else] = ACTIONS(2553),
    [anon_sym_if] = ACTIONS(2553),
    [anon_sym_switch] = ACTIONS(2553),
    [anon_sym_for] = ACTIONS(2553),
    [anon_sym_LPAREN] = ACTIONS(2551),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym_await] = ACTIONS(2553),
    [anon_sym_while] = ACTIONS(2553),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_try] = ACTIONS(2553),
    [anon_sym_break] = ACTIONS(2553),
    [anon_sym_continue] = ACTIONS(2553),
    [anon_sym_debugger] = ACTIONS(2553),
    [anon_sym_return] = ACTIONS(2553),
    [anon_sym_throw] = ACTIONS(2553),
    [anon_sym_case] = ACTIONS(2553),
    [anon_sym_yield] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [sym_glimmer_opening_tag] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2551),
    [anon_sym_SQUOTE] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2553),
    [anon_sym_async] = ACTIONS(2553),
    [anon_sym_function] = ACTIONS(2553),
    [anon_sym_new] = ACTIONS(2553),
    [anon_sym_using] = ACTIONS(2553),
    [anon_sym_PLUS] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2553),
    [anon_sym_SLASH] = ACTIONS(2553),
    [anon_sym_LT] = ACTIONS(2553),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_void] = ACTIONS(2553),
    [anon_sym_delete] = ACTIONS(2553),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2551),
    [sym_number] = ACTIONS(2551),
    [sym_private_property_identifier] = ACTIONS(2551),
    [sym_this] = ACTIONS(2553),
    [sym_super] = ACTIONS(2553),
    [sym_true] = ACTIONS(2553),
    [sym_false] = ACTIONS(2553),
    [sym_null] = ACTIONS(2553),
    [sym_undefined] = ACTIONS(2553),
    [anon_sym_AT] = ACTIONS(2551),
    [anon_sym_static] = ACTIONS(2553),
    [anon_sym_readonly] = ACTIONS(2553),
    [anon_sym_get] = ACTIONS(2553),
    [anon_sym_set] = ACTIONS(2553),
    [anon_sym_declare] = ACTIONS(2553),
    [anon_sym_public] = ACTIONS(2553),
    [anon_sym_private] = ACTIONS(2553),
    [anon_sym_protected] = ACTIONS(2553),
    [anon_sym_override] = ACTIONS(2553),
    [anon_sym_module] = ACTIONS(2553),
    [anon_sym_any] = ACTIONS(2553),
    [anon_sym_number] = ACTIONS(2553),
    [anon_sym_boolean] = ACTIONS(2553),
    [anon_sym_string] = ACTIONS(2553),
    [anon_sym_symbol] = ACTIONS(2553),
    [anon_sym_object] = ACTIONS(2553),
    [anon_sym_abstract] = ACTIONS(2553),
    [anon_sym_interface] = ACTIONS(2553),
    [anon_sym_enum] = ACTIONS(2553),
    [sym_html_comment] = ACTIONS(5),
  },
  [792] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5205),
    [sym_optional_tuple_parameter] = STATE(5205),
    [sym_optional_type] = STATE(5205),
    [sym_rest_type] = STATE(5205),
    [sym__tuple_type_member] = STATE(5205),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(2555),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2557),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [793] = {
    [ts_builtin_sym_end] = ACTIONS(2559),
    [sym_identifier] = ACTIONS(2561),
    [anon_sym_export] = ACTIONS(2561),
    [anon_sym_default] = ACTIONS(2561),
    [anon_sym_type] = ACTIONS(2561),
    [anon_sym_namespace] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_RBRACE] = ACTIONS(2559),
    [anon_sym_typeof] = ACTIONS(2561),
    [anon_sym_import] = ACTIONS(2561),
    [anon_sym_with] = ACTIONS(2561),
    [anon_sym_var] = ACTIONS(2561),
    [anon_sym_let] = ACTIONS(2561),
    [anon_sym_const] = ACTIONS(2561),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_else] = ACTIONS(2561),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_switch] = ACTIONS(2561),
    [anon_sym_for] = ACTIONS(2561),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym_await] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2561),
    [anon_sym_do] = ACTIONS(2561),
    [anon_sym_try] = ACTIONS(2561),
    [anon_sym_break] = ACTIONS(2561),
    [anon_sym_continue] = ACTIONS(2561),
    [anon_sym_debugger] = ACTIONS(2561),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_throw] = ACTIONS(2561),
    [anon_sym_case] = ACTIONS(2561),
    [anon_sym_yield] = ACTIONS(2561),
    [anon_sym_LBRACK] = ACTIONS(2559),
    [sym_glimmer_opening_tag] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2559),
    [anon_sym_SQUOTE] = ACTIONS(2559),
    [anon_sym_class] = ACTIONS(2561),
    [anon_sym_async] = ACTIONS(2561),
    [anon_sym_function] = ACTIONS(2561),
    [anon_sym_new] = ACTIONS(2561),
    [anon_sym_using] = ACTIONS(2561),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_SLASH] = ACTIONS(2561),
    [anon_sym_LT] = ACTIONS(2561),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_void] = ACTIONS(2561),
    [anon_sym_delete] = ACTIONS(2561),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2559),
    [sym_number] = ACTIONS(2559),
    [sym_private_property_identifier] = ACTIONS(2559),
    [sym_this] = ACTIONS(2561),
    [sym_super] = ACTIONS(2561),
    [sym_true] = ACTIONS(2561),
    [sym_false] = ACTIONS(2561),
    [sym_null] = ACTIONS(2561),
    [sym_undefined] = ACTIONS(2561),
    [anon_sym_AT] = ACTIONS(2559),
    [anon_sym_static] = ACTIONS(2561),
    [anon_sym_readonly] = ACTIONS(2561),
    [anon_sym_get] = ACTIONS(2561),
    [anon_sym_set] = ACTIONS(2561),
    [anon_sym_declare] = ACTIONS(2561),
    [anon_sym_public] = ACTIONS(2561),
    [anon_sym_private] = ACTIONS(2561),
    [anon_sym_protected] = ACTIONS(2561),
    [anon_sym_override] = ACTIONS(2561),
    [anon_sym_module] = ACTIONS(2561),
    [anon_sym_any] = ACTIONS(2561),
    [anon_sym_number] = ACTIONS(2561),
    [anon_sym_boolean] = ACTIONS(2561),
    [anon_sym_string] = ACTIONS(2561),
    [anon_sym_symbol] = ACTIONS(2561),
    [anon_sym_object] = ACTIONS(2561),
    [anon_sym_abstract] = ACTIONS(2561),
    [anon_sym_interface] = ACTIONS(2561),
    [anon_sym_enum] = ACTIONS(2561),
    [sym_html_comment] = ACTIONS(5),
  },
  [794] = {
    [ts_builtin_sym_end] = ACTIONS(2563),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2565),
    [anon_sym_default] = ACTIONS(2565),
    [anon_sym_type] = ACTIONS(2565),
    [anon_sym_namespace] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(2563),
    [anon_sym_typeof] = ACTIONS(2565),
    [anon_sym_import] = ACTIONS(2565),
    [anon_sym_with] = ACTIONS(2565),
    [anon_sym_var] = ACTIONS(2565),
    [anon_sym_let] = ACTIONS(2565),
    [anon_sym_const] = ACTIONS(2565),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_switch] = ACTIONS(2565),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_await] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_do] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_break] = ACTIONS(2565),
    [anon_sym_continue] = ACTIONS(2565),
    [anon_sym_debugger] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_case] = ACTIONS(2565),
    [anon_sym_yield] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [sym_glimmer_opening_tag] = ACTIONS(2563),
    [anon_sym_DQUOTE] = ACTIONS(2563),
    [anon_sym_SQUOTE] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_async] = ACTIONS(2565),
    [anon_sym_function] = ACTIONS(2565),
    [anon_sym_new] = ACTIONS(2565),
    [anon_sym_using] = ACTIONS(2565),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_SLASH] = ACTIONS(2565),
    [anon_sym_LT] = ACTIONS(2565),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_void] = ACTIONS(2565),
    [anon_sym_delete] = ACTIONS(2565),
    [anon_sym_PLUS_PLUS] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2563),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2563),
    [sym_number] = ACTIONS(2563),
    [sym_private_property_identifier] = ACTIONS(2563),
    [sym_this] = ACTIONS(2565),
    [sym_super] = ACTIONS(2565),
    [sym_true] = ACTIONS(2565),
    [sym_false] = ACTIONS(2565),
    [sym_null] = ACTIONS(2565),
    [sym_undefined] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2563),
    [anon_sym_static] = ACTIONS(2565),
    [anon_sym_readonly] = ACTIONS(2565),
    [anon_sym_get] = ACTIONS(2565),
    [anon_sym_set] = ACTIONS(2565),
    [anon_sym_declare] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_override] = ACTIONS(2565),
    [anon_sym_module] = ACTIONS(2565),
    [anon_sym_any] = ACTIONS(2565),
    [anon_sym_number] = ACTIONS(2565),
    [anon_sym_boolean] = ACTIONS(2565),
    [anon_sym_string] = ACTIONS(2565),
    [anon_sym_symbol] = ACTIONS(2565),
    [anon_sym_object] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_interface] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [sym_html_comment] = ACTIONS(5),
  },
  [795] = {
    [ts_builtin_sym_end] = ACTIONS(2567),
    [sym_identifier] = ACTIONS(2569),
    [anon_sym_export] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [anon_sym_type] = ACTIONS(2569),
    [anon_sym_namespace] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [anon_sym_typeof] = ACTIONS(2569),
    [anon_sym_import] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2569),
    [anon_sym_var] = ACTIONS(2569),
    [anon_sym_let] = ACTIONS(2569),
    [anon_sym_const] = ACTIONS(2569),
    [anon_sym_BANG] = ACTIONS(2567),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_await] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_debugger] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [sym_glimmer_opening_tag] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2567),
    [anon_sym_SQUOTE] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_async] = ACTIONS(2569),
    [anon_sym_function] = ACTIONS(2569),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_using] = ACTIONS(2569),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_SLASH] = ACTIONS(2569),
    [anon_sym_LT] = ACTIONS(2569),
    [anon_sym_TILDE] = ACTIONS(2567),
    [anon_sym_void] = ACTIONS(2569),
    [anon_sym_delete] = ACTIONS(2569),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2567),
    [sym_number] = ACTIONS(2567),
    [sym_private_property_identifier] = ACTIONS(2567),
    [sym_this] = ACTIONS(2569),
    [sym_super] = ACTIONS(2569),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [sym_null] = ACTIONS(2569),
    [sym_undefined] = ACTIONS(2569),
    [anon_sym_AT] = ACTIONS(2567),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_readonly] = ACTIONS(2569),
    [anon_sym_get] = ACTIONS(2569),
    [anon_sym_set] = ACTIONS(2569),
    [anon_sym_declare] = ACTIONS(2569),
    [anon_sym_public] = ACTIONS(2569),
    [anon_sym_private] = ACTIONS(2569),
    [anon_sym_protected] = ACTIONS(2569),
    [anon_sym_override] = ACTIONS(2569),
    [anon_sym_module] = ACTIONS(2569),
    [anon_sym_any] = ACTIONS(2569),
    [anon_sym_number] = ACTIONS(2569),
    [anon_sym_boolean] = ACTIONS(2569),
    [anon_sym_string] = ACTIONS(2569),
    [anon_sym_symbol] = ACTIONS(2569),
    [anon_sym_object] = ACTIONS(2569),
    [anon_sym_abstract] = ACTIONS(2569),
    [anon_sym_interface] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [sym_html_comment] = ACTIONS(5),
  },
  [796] = {
    [ts_builtin_sym_end] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [anon_sym_export] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [anon_sym_type] = ACTIONS(2573),
    [anon_sym_namespace] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_RBRACE] = ACTIONS(2571),
    [anon_sym_typeof] = ACTIONS(2573),
    [anon_sym_import] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2573),
    [anon_sym_var] = ACTIONS(2573),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_const] = ACTIONS(2573),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_else] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym_await] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_debugger] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [sym_glimmer_opening_tag] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2571),
    [anon_sym_SQUOTE] = ACTIONS(2571),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_async] = ACTIONS(2573),
    [anon_sym_function] = ACTIONS(2573),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_using] = ACTIONS(2573),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_SLASH] = ACTIONS(2573),
    [anon_sym_LT] = ACTIONS(2573),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_void] = ACTIONS(2573),
    [anon_sym_delete] = ACTIONS(2573),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2571),
    [sym_number] = ACTIONS(2571),
    [sym_private_property_identifier] = ACTIONS(2571),
    [sym_this] = ACTIONS(2573),
    [sym_super] = ACTIONS(2573),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [sym_null] = ACTIONS(2573),
    [sym_undefined] = ACTIONS(2573),
    [anon_sym_AT] = ACTIONS(2571),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2573),
    [anon_sym_get] = ACTIONS(2573),
    [anon_sym_set] = ACTIONS(2573),
    [anon_sym_declare] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_override] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_any] = ACTIONS(2573),
    [anon_sym_number] = ACTIONS(2573),
    [anon_sym_boolean] = ACTIONS(2573),
    [anon_sym_string] = ACTIONS(2573),
    [anon_sym_symbol] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(2573),
    [anon_sym_abstract] = ACTIONS(2573),
    [anon_sym_interface] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [sym_html_comment] = ACTIONS(5),
  },
  [797] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_export] = ACTIONS(2577),
    [anon_sym_default] = ACTIONS(2577),
    [anon_sym_type] = ACTIONS(2577),
    [anon_sym_namespace] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [anon_sym_typeof] = ACTIONS(2577),
    [anon_sym_import] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2577),
    [anon_sym_var] = ACTIONS(2577),
    [anon_sym_let] = ACTIONS(2577),
    [anon_sym_const] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym_await] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_do] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2577),
    [anon_sym_break] = ACTIONS(2577),
    [anon_sym_continue] = ACTIONS(2577),
    [anon_sym_debugger] = ACTIONS(2577),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_throw] = ACTIONS(2577),
    [anon_sym_case] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [sym_glimmer_opening_tag] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2577),
    [anon_sym_async] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_void] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2575),
    [sym_number] = ACTIONS(2575),
    [sym_private_property_identifier] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_super] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_undefined] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2577),
    [anon_sym_readonly] = ACTIONS(2577),
    [anon_sym_get] = ACTIONS(2577),
    [anon_sym_set] = ACTIONS(2577),
    [anon_sym_declare] = ACTIONS(2577),
    [anon_sym_public] = ACTIONS(2577),
    [anon_sym_private] = ACTIONS(2577),
    [anon_sym_protected] = ACTIONS(2577),
    [anon_sym_override] = ACTIONS(2577),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_any] = ACTIONS(2577),
    [anon_sym_number] = ACTIONS(2577),
    [anon_sym_boolean] = ACTIONS(2577),
    [anon_sym_string] = ACTIONS(2577),
    [anon_sym_symbol] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(2577),
    [anon_sym_abstract] = ACTIONS(2577),
    [anon_sym_interface] = ACTIONS(2577),
    [anon_sym_enum] = ACTIONS(2577),
    [sym_html_comment] = ACTIONS(5),
  },
  [798] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_export] = ACTIONS(2577),
    [anon_sym_default] = ACTIONS(2577),
    [anon_sym_type] = ACTIONS(2577),
    [anon_sym_namespace] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [anon_sym_typeof] = ACTIONS(2577),
    [anon_sym_import] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2577),
    [anon_sym_var] = ACTIONS(2577),
    [anon_sym_let] = ACTIONS(2577),
    [anon_sym_const] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym_await] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_do] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2577),
    [anon_sym_break] = ACTIONS(2577),
    [anon_sym_continue] = ACTIONS(2577),
    [anon_sym_debugger] = ACTIONS(2577),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_throw] = ACTIONS(2577),
    [anon_sym_case] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [sym_glimmer_opening_tag] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2577),
    [anon_sym_async] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_void] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2575),
    [sym_number] = ACTIONS(2575),
    [sym_private_property_identifier] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_super] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_undefined] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2577),
    [anon_sym_readonly] = ACTIONS(2577),
    [anon_sym_get] = ACTIONS(2577),
    [anon_sym_set] = ACTIONS(2577),
    [anon_sym_declare] = ACTIONS(2577),
    [anon_sym_public] = ACTIONS(2577),
    [anon_sym_private] = ACTIONS(2577),
    [anon_sym_protected] = ACTIONS(2577),
    [anon_sym_override] = ACTIONS(2577),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_any] = ACTIONS(2577),
    [anon_sym_number] = ACTIONS(2577),
    [anon_sym_boolean] = ACTIONS(2577),
    [anon_sym_string] = ACTIONS(2577),
    [anon_sym_symbol] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(2577),
    [anon_sym_abstract] = ACTIONS(2577),
    [anon_sym_interface] = ACTIONS(2577),
    [anon_sym_enum] = ACTIONS(2577),
    [sym_html_comment] = ACTIONS(5),
  },
  [799] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [sym_identifier] = ACTIONS(2577),
    [anon_sym_export] = ACTIONS(2577),
    [anon_sym_default] = ACTIONS(2577),
    [anon_sym_type] = ACTIONS(2577),
    [anon_sym_namespace] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [anon_sym_typeof] = ACTIONS(2577),
    [anon_sym_import] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2577),
    [anon_sym_var] = ACTIONS(2577),
    [anon_sym_let] = ACTIONS(2577),
    [anon_sym_const] = ACTIONS(2577),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym_await] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_do] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2577),
    [anon_sym_break] = ACTIONS(2577),
    [anon_sym_continue] = ACTIONS(2577),
    [anon_sym_debugger] = ACTIONS(2577),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_throw] = ACTIONS(2577),
    [anon_sym_case] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [sym_glimmer_opening_tag] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2575),
    [anon_sym_SQUOTE] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2577),
    [anon_sym_async] = ACTIONS(2577),
    [anon_sym_function] = ACTIONS(2577),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_using] = ACTIONS(2577),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_SLASH] = ACTIONS(2577),
    [anon_sym_LT] = ACTIONS(2577),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_void] = ACTIONS(2577),
    [anon_sym_delete] = ACTIONS(2577),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2575),
    [sym_number] = ACTIONS(2575),
    [sym_private_property_identifier] = ACTIONS(2575),
    [sym_this] = ACTIONS(2577),
    [sym_super] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_null] = ACTIONS(2577),
    [sym_undefined] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2575),
    [anon_sym_static] = ACTIONS(2577),
    [anon_sym_readonly] = ACTIONS(2577),
    [anon_sym_get] = ACTIONS(2577),
    [anon_sym_set] = ACTIONS(2577),
    [anon_sym_declare] = ACTIONS(2577),
    [anon_sym_public] = ACTIONS(2577),
    [anon_sym_private] = ACTIONS(2577),
    [anon_sym_protected] = ACTIONS(2577),
    [anon_sym_override] = ACTIONS(2577),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_any] = ACTIONS(2577),
    [anon_sym_number] = ACTIONS(2577),
    [anon_sym_boolean] = ACTIONS(2577),
    [anon_sym_string] = ACTIONS(2577),
    [anon_sym_symbol] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(2577),
    [anon_sym_abstract] = ACTIONS(2577),
    [anon_sym_interface] = ACTIONS(2577),
    [anon_sym_enum] = ACTIONS(2577),
    [sym_html_comment] = ACTIONS(5),
  },
  [800] = {
    [ts_builtin_sym_end] = ACTIONS(2579),
    [sym_identifier] = ACTIONS(2581),
    [anon_sym_export] = ACTIONS(2581),
    [anon_sym_default] = ACTIONS(2581),
    [anon_sym_type] = ACTIONS(2581),
    [anon_sym_namespace] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2579),
    [anon_sym_typeof] = ACTIONS(2581),
    [anon_sym_import] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2581),
    [anon_sym_var] = ACTIONS(2581),
    [anon_sym_let] = ACTIONS(2581),
    [anon_sym_const] = ACTIONS(2581),
    [anon_sym_BANG] = ACTIONS(2579),
    [anon_sym_else] = ACTIONS(2581),
    [anon_sym_if] = ACTIONS(2581),
    [anon_sym_switch] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2581),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_SEMI] = ACTIONS(2579),
    [anon_sym_await] = ACTIONS(2581),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_break] = ACTIONS(2581),
    [anon_sym_continue] = ACTIONS(2581),
    [anon_sym_debugger] = ACTIONS(2581),
    [anon_sym_return] = ACTIONS(2581),
    [anon_sym_throw] = ACTIONS(2581),
    [anon_sym_case] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [sym_glimmer_opening_tag] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2579),
    [anon_sym_SQUOTE] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2581),
    [anon_sym_async] = ACTIONS(2581),
    [anon_sym_function] = ACTIONS(2581),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_using] = ACTIONS(2581),
    [anon_sym_PLUS] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2581),
    [anon_sym_SLASH] = ACTIONS(2581),
    [anon_sym_LT] = ACTIONS(2581),
    [anon_sym_TILDE] = ACTIONS(2579),
    [anon_sym_void] = ACTIONS(2581),
    [anon_sym_delete] = ACTIONS(2581),
    [anon_sym_PLUS_PLUS] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2579),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2579),
    [sym_number] = ACTIONS(2579),
    [sym_private_property_identifier] = ACTIONS(2579),
    [sym_this] = ACTIONS(2581),
    [sym_super] = ACTIONS(2581),
    [sym_true] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
    [sym_null] = ACTIONS(2581),
    [sym_undefined] = ACTIONS(2581),
    [anon_sym_AT] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2581),
    [anon_sym_readonly] = ACTIONS(2581),
    [anon_sym_get] = ACTIONS(2581),
    [anon_sym_set] = ACTIONS(2581),
    [anon_sym_declare] = ACTIONS(2581),
    [anon_sym_public] = ACTIONS(2581),
    [anon_sym_private] = ACTIONS(2581),
    [anon_sym_protected] = ACTIONS(2581),
    [anon_sym_override] = ACTIONS(2581),
    [anon_sym_module] = ACTIONS(2581),
    [anon_sym_any] = ACTIONS(2581),
    [anon_sym_number] = ACTIONS(2581),
    [anon_sym_boolean] = ACTIONS(2581),
    [anon_sym_string] = ACTIONS(2581),
    [anon_sym_symbol] = ACTIONS(2581),
    [anon_sym_object] = ACTIONS(2581),
    [anon_sym_abstract] = ACTIONS(2581),
    [anon_sym_interface] = ACTIONS(2581),
    [anon_sym_enum] = ACTIONS(2581),
    [sym_html_comment] = ACTIONS(5),
  },
  [801] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [sym_identifier] = ACTIONS(2585),
    [anon_sym_export] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [anon_sym_type] = ACTIONS(2585),
    [anon_sym_namespace] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [anon_sym_RBRACE] = ACTIONS(2583),
    [anon_sym_typeof] = ACTIONS(2585),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_var] = ACTIONS(2585),
    [anon_sym_let] = ACTIONS(2585),
    [anon_sym_const] = ACTIONS(2585),
    [anon_sym_BANG] = ACTIONS(2583),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_SEMI] = ACTIONS(2583),
    [anon_sym_await] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_debugger] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [sym_glimmer_opening_tag] = ACTIONS(2583),
    [anon_sym_DQUOTE] = ACTIONS(2583),
    [anon_sym_SQUOTE] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_async] = ACTIONS(2585),
    [anon_sym_function] = ACTIONS(2585),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_using] = ACTIONS(2585),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_SLASH] = ACTIONS(2585),
    [anon_sym_LT] = ACTIONS(2585),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_void] = ACTIONS(2585),
    [anon_sym_delete] = ACTIONS(2585),
    [anon_sym_PLUS_PLUS] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2583),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2583),
    [sym_number] = ACTIONS(2583),
    [sym_private_property_identifier] = ACTIONS(2583),
    [sym_this] = ACTIONS(2585),
    [sym_super] = ACTIONS(2585),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_null] = ACTIONS(2585),
    [sym_undefined] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2583),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_readonly] = ACTIONS(2585),
    [anon_sym_get] = ACTIONS(2585),
    [anon_sym_set] = ACTIONS(2585),
    [anon_sym_declare] = ACTIONS(2585),
    [anon_sym_public] = ACTIONS(2585),
    [anon_sym_private] = ACTIONS(2585),
    [anon_sym_protected] = ACTIONS(2585),
    [anon_sym_override] = ACTIONS(2585),
    [anon_sym_module] = ACTIONS(2585),
    [anon_sym_any] = ACTIONS(2585),
    [anon_sym_number] = ACTIONS(2585),
    [anon_sym_boolean] = ACTIONS(2585),
    [anon_sym_string] = ACTIONS(2585),
    [anon_sym_symbol] = ACTIONS(2585),
    [anon_sym_object] = ACTIONS(2585),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_interface] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [sym_html_comment] = ACTIONS(5),
  },
  [802] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_export] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [anon_sym_type] = ACTIONS(2589),
    [anon_sym_namespace] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [anon_sym_typeof] = ACTIONS(2589),
    [anon_sym_import] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2589),
    [anon_sym_var] = ACTIONS(2589),
    [anon_sym_let] = ACTIONS(2589),
    [anon_sym_const] = ACTIONS(2589),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym_await] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_debugger] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [sym_glimmer_opening_tag] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2587),
    [anon_sym_SQUOTE] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_async] = ACTIONS(2589),
    [anon_sym_function] = ACTIONS(2589),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_using] = ACTIONS(2589),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_SLASH] = ACTIONS(2589),
    [anon_sym_LT] = ACTIONS(2589),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_void] = ACTIONS(2589),
    [anon_sym_delete] = ACTIONS(2589),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2587),
    [sym_number] = ACTIONS(2587),
    [sym_private_property_identifier] = ACTIONS(2587),
    [sym_this] = ACTIONS(2589),
    [sym_super] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [sym_null] = ACTIONS(2589),
    [sym_undefined] = ACTIONS(2589),
    [anon_sym_AT] = ACTIONS(2587),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_readonly] = ACTIONS(2589),
    [anon_sym_get] = ACTIONS(2589),
    [anon_sym_set] = ACTIONS(2589),
    [anon_sym_declare] = ACTIONS(2589),
    [anon_sym_public] = ACTIONS(2589),
    [anon_sym_private] = ACTIONS(2589),
    [anon_sym_protected] = ACTIONS(2589),
    [anon_sym_override] = ACTIONS(2589),
    [anon_sym_module] = ACTIONS(2589),
    [anon_sym_any] = ACTIONS(2589),
    [anon_sym_number] = ACTIONS(2589),
    [anon_sym_boolean] = ACTIONS(2589),
    [anon_sym_string] = ACTIONS(2589),
    [anon_sym_symbol] = ACTIONS(2589),
    [anon_sym_object] = ACTIONS(2589),
    [anon_sym_abstract] = ACTIONS(2589),
    [anon_sym_interface] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [sym_html_comment] = ACTIONS(5),
  },
  [803] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [sym_identifier] = ACTIONS(2593),
    [anon_sym_export] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [anon_sym_type] = ACTIONS(2593),
    [anon_sym_namespace] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(2591),
    [anon_sym_typeof] = ACTIONS(2593),
    [anon_sym_import] = ACTIONS(2593),
    [anon_sym_with] = ACTIONS(2593),
    [anon_sym_var] = ACTIONS(2593),
    [anon_sym_let] = ACTIONS(2593),
    [anon_sym_const] = ACTIONS(2593),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_LPAREN] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym_await] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_debugger] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_yield] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [sym_glimmer_opening_tag] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_async] = ACTIONS(2593),
    [anon_sym_function] = ACTIONS(2593),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_using] = ACTIONS(2593),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_SLASH] = ACTIONS(2593),
    [anon_sym_LT] = ACTIONS(2593),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_void] = ACTIONS(2593),
    [anon_sym_delete] = ACTIONS(2593),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2591),
    [sym_number] = ACTIONS(2591),
    [sym_private_property_identifier] = ACTIONS(2591),
    [sym_this] = ACTIONS(2593),
    [sym_super] = ACTIONS(2593),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [sym_null] = ACTIONS(2593),
    [sym_undefined] = ACTIONS(2593),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_readonly] = ACTIONS(2593),
    [anon_sym_get] = ACTIONS(2593),
    [anon_sym_set] = ACTIONS(2593),
    [anon_sym_declare] = ACTIONS(2593),
    [anon_sym_public] = ACTIONS(2593),
    [anon_sym_private] = ACTIONS(2593),
    [anon_sym_protected] = ACTIONS(2593),
    [anon_sym_override] = ACTIONS(2593),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_any] = ACTIONS(2593),
    [anon_sym_number] = ACTIONS(2593),
    [anon_sym_boolean] = ACTIONS(2593),
    [anon_sym_string] = ACTIONS(2593),
    [anon_sym_symbol] = ACTIONS(2593),
    [anon_sym_object] = ACTIONS(2593),
    [anon_sym_abstract] = ACTIONS(2593),
    [anon_sym_interface] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [sym_html_comment] = ACTIONS(5),
  },
  [804] = {
    [ts_builtin_sym_end] = ACTIONS(2595),
    [sym_identifier] = ACTIONS(2597),
    [anon_sym_export] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [anon_sym_type] = ACTIONS(2597),
    [anon_sym_namespace] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_RBRACE] = ACTIONS(2595),
    [anon_sym_typeof] = ACTIONS(2597),
    [anon_sym_import] = ACTIONS(2597),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_var] = ACTIONS(2597),
    [anon_sym_let] = ACTIONS(2597),
    [anon_sym_const] = ACTIONS(2597),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2595),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_await] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_debugger] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [sym_glimmer_opening_tag] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2595),
    [anon_sym_SQUOTE] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_async] = ACTIONS(2597),
    [anon_sym_function] = ACTIONS(2597),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_using] = ACTIONS(2597),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_SLASH] = ACTIONS(2597),
    [anon_sym_LT] = ACTIONS(2597),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_void] = ACTIONS(2597),
    [anon_sym_delete] = ACTIONS(2597),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2595),
    [sym_number] = ACTIONS(2595),
    [sym_private_property_identifier] = ACTIONS(2595),
    [sym_this] = ACTIONS(2597),
    [sym_super] = ACTIONS(2597),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [sym_null] = ACTIONS(2597),
    [sym_undefined] = ACTIONS(2597),
    [anon_sym_AT] = ACTIONS(2595),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_readonly] = ACTIONS(2597),
    [anon_sym_get] = ACTIONS(2597),
    [anon_sym_set] = ACTIONS(2597),
    [anon_sym_declare] = ACTIONS(2597),
    [anon_sym_public] = ACTIONS(2597),
    [anon_sym_private] = ACTIONS(2597),
    [anon_sym_protected] = ACTIONS(2597),
    [anon_sym_override] = ACTIONS(2597),
    [anon_sym_module] = ACTIONS(2597),
    [anon_sym_any] = ACTIONS(2597),
    [anon_sym_number] = ACTIONS(2597),
    [anon_sym_boolean] = ACTIONS(2597),
    [anon_sym_string] = ACTIONS(2597),
    [anon_sym_symbol] = ACTIONS(2597),
    [anon_sym_object] = ACTIONS(2597),
    [anon_sym_abstract] = ACTIONS(2597),
    [anon_sym_interface] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [sym_html_comment] = ACTIONS(5),
  },
  [805] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2601),
    [anon_sym_export] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [anon_sym_type] = ACTIONS(2601),
    [anon_sym_namespace] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [anon_sym_typeof] = ACTIONS(2601),
    [anon_sym_import] = ACTIONS(2601),
    [anon_sym_with] = ACTIONS(2601),
    [anon_sym_var] = ACTIONS(2601),
    [anon_sym_let] = ACTIONS(2601),
    [anon_sym_const] = ACTIONS(2601),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2599),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_await] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_debugger] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_yield] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [sym_glimmer_opening_tag] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2599),
    [anon_sym_SQUOTE] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_async] = ACTIONS(2601),
    [anon_sym_function] = ACTIONS(2601),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_using] = ACTIONS(2601),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_SLASH] = ACTIONS(2601),
    [anon_sym_LT] = ACTIONS(2601),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_void] = ACTIONS(2601),
    [anon_sym_delete] = ACTIONS(2601),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2599),
    [sym_number] = ACTIONS(2599),
    [sym_private_property_identifier] = ACTIONS(2599),
    [sym_this] = ACTIONS(2601),
    [sym_super] = ACTIONS(2601),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [sym_null] = ACTIONS(2601),
    [sym_undefined] = ACTIONS(2601),
    [anon_sym_AT] = ACTIONS(2599),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_readonly] = ACTIONS(2601),
    [anon_sym_get] = ACTIONS(2601),
    [anon_sym_set] = ACTIONS(2601),
    [anon_sym_declare] = ACTIONS(2601),
    [anon_sym_public] = ACTIONS(2601),
    [anon_sym_private] = ACTIONS(2601),
    [anon_sym_protected] = ACTIONS(2601),
    [anon_sym_override] = ACTIONS(2601),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_any] = ACTIONS(2601),
    [anon_sym_number] = ACTIONS(2601),
    [anon_sym_boolean] = ACTIONS(2601),
    [anon_sym_string] = ACTIONS(2601),
    [anon_sym_symbol] = ACTIONS(2601),
    [anon_sym_object] = ACTIONS(2601),
    [anon_sym_abstract] = ACTIONS(2601),
    [anon_sym_interface] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [sym_html_comment] = ACTIONS(5),
  },
  [806] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5211),
    [sym_optional_tuple_parameter] = STATE(5211),
    [sym_optional_type] = STATE(5211),
    [sym_rest_type] = STATE(5211),
    [sym__tuple_type_member] = STATE(5211),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(2603),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2605),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [807] = {
    [ts_builtin_sym_end] = ACTIONS(2607),
    [sym_identifier] = ACTIONS(2609),
    [anon_sym_export] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [anon_sym_type] = ACTIONS(2609),
    [anon_sym_namespace] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [anon_sym_typeof] = ACTIONS(2609),
    [anon_sym_import] = ACTIONS(2609),
    [anon_sym_with] = ACTIONS(2609),
    [anon_sym_var] = ACTIONS(2609),
    [anon_sym_let] = ACTIONS(2609),
    [anon_sym_const] = ACTIONS(2609),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_await] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_debugger] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_yield] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [sym_glimmer_opening_tag] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2607),
    [anon_sym_SQUOTE] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_async] = ACTIONS(2609),
    [anon_sym_function] = ACTIONS(2609),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_using] = ACTIONS(2609),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_SLASH] = ACTIONS(2609),
    [anon_sym_LT] = ACTIONS(2609),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_void] = ACTIONS(2609),
    [anon_sym_delete] = ACTIONS(2609),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2607),
    [sym_number] = ACTIONS(2607),
    [sym_private_property_identifier] = ACTIONS(2607),
    [sym_this] = ACTIONS(2609),
    [sym_super] = ACTIONS(2609),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [sym_null] = ACTIONS(2609),
    [sym_undefined] = ACTIONS(2609),
    [anon_sym_AT] = ACTIONS(2607),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_readonly] = ACTIONS(2609),
    [anon_sym_get] = ACTIONS(2609),
    [anon_sym_set] = ACTIONS(2609),
    [anon_sym_declare] = ACTIONS(2609),
    [anon_sym_public] = ACTIONS(2609),
    [anon_sym_private] = ACTIONS(2609),
    [anon_sym_protected] = ACTIONS(2609),
    [anon_sym_override] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2609),
    [anon_sym_any] = ACTIONS(2609),
    [anon_sym_number] = ACTIONS(2609),
    [anon_sym_boolean] = ACTIONS(2609),
    [anon_sym_string] = ACTIONS(2609),
    [anon_sym_symbol] = ACTIONS(2609),
    [anon_sym_object] = ACTIONS(2609),
    [anon_sym_abstract] = ACTIONS(2609),
    [anon_sym_interface] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [sym_html_comment] = ACTIONS(5),
  },
  [808] = {
    [ts_builtin_sym_end] = ACTIONS(2611),
    [sym_identifier] = ACTIONS(2613),
    [anon_sym_export] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [anon_sym_type] = ACTIONS(2613),
    [anon_sym_namespace] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_RBRACE] = ACTIONS(2611),
    [anon_sym_typeof] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2613),
    [anon_sym_var] = ACTIONS(2613),
    [anon_sym_let] = ACTIONS(2613),
    [anon_sym_const] = ACTIONS(2613),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym_await] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_debugger] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [sym_glimmer_opening_tag] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2611),
    [anon_sym_SQUOTE] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_async] = ACTIONS(2613),
    [anon_sym_function] = ACTIONS(2613),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_using] = ACTIONS(2613),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_SLASH] = ACTIONS(2613),
    [anon_sym_LT] = ACTIONS(2613),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_void] = ACTIONS(2613),
    [anon_sym_delete] = ACTIONS(2613),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2611),
    [sym_number] = ACTIONS(2611),
    [sym_private_property_identifier] = ACTIONS(2611),
    [sym_this] = ACTIONS(2613),
    [sym_super] = ACTIONS(2613),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [sym_null] = ACTIONS(2613),
    [sym_undefined] = ACTIONS(2613),
    [anon_sym_AT] = ACTIONS(2611),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_readonly] = ACTIONS(2613),
    [anon_sym_get] = ACTIONS(2613),
    [anon_sym_set] = ACTIONS(2613),
    [anon_sym_declare] = ACTIONS(2613),
    [anon_sym_public] = ACTIONS(2613),
    [anon_sym_private] = ACTIONS(2613),
    [anon_sym_protected] = ACTIONS(2613),
    [anon_sym_override] = ACTIONS(2613),
    [anon_sym_module] = ACTIONS(2613),
    [anon_sym_any] = ACTIONS(2613),
    [anon_sym_number] = ACTIONS(2613),
    [anon_sym_boolean] = ACTIONS(2613),
    [anon_sym_string] = ACTIONS(2613),
    [anon_sym_symbol] = ACTIONS(2613),
    [anon_sym_object] = ACTIONS(2613),
    [anon_sym_abstract] = ACTIONS(2613),
    [anon_sym_interface] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [sym_html_comment] = ACTIONS(5),
  },
  [809] = {
    [ts_builtin_sym_end] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_export] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_namespace] = ACTIONS(2617),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2615),
    [anon_sym_typeof] = ACTIONS(2617),
    [anon_sym_import] = ACTIONS(2617),
    [anon_sym_with] = ACTIONS(2617),
    [anon_sym_var] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_else] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_switch] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym_await] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_do] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_debugger] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2617),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [sym_glimmer_opening_tag] = ACTIONS(2615),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2615),
    [anon_sym_class] = ACTIONS(2617),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_function] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2617),
    [anon_sym_using] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2617),
    [anon_sym_SLASH] = ACTIONS(2617),
    [anon_sym_LT] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2615),
    [anon_sym_void] = ACTIONS(2617),
    [anon_sym_delete] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2615),
    [anon_sym_DASH_DASH] = ACTIONS(2615),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2615),
    [sym_number] = ACTIONS(2615),
    [sym_private_property_identifier] = ACTIONS(2615),
    [sym_this] = ACTIONS(2617),
    [sym_super] = ACTIONS(2617),
    [sym_true] = ACTIONS(2617),
    [sym_false] = ACTIONS(2617),
    [sym_null] = ACTIONS(2617),
    [sym_undefined] = ACTIONS(2617),
    [anon_sym_AT] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_readonly] = ACTIONS(2617),
    [anon_sym_get] = ACTIONS(2617),
    [anon_sym_set] = ACTIONS(2617),
    [anon_sym_declare] = ACTIONS(2617),
    [anon_sym_public] = ACTIONS(2617),
    [anon_sym_private] = ACTIONS(2617),
    [anon_sym_protected] = ACTIONS(2617),
    [anon_sym_override] = ACTIONS(2617),
    [anon_sym_module] = ACTIONS(2617),
    [anon_sym_any] = ACTIONS(2617),
    [anon_sym_number] = ACTIONS(2617),
    [anon_sym_boolean] = ACTIONS(2617),
    [anon_sym_string] = ACTIONS(2617),
    [anon_sym_symbol] = ACTIONS(2617),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_abstract] = ACTIONS(2617),
    [anon_sym_interface] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [sym_html_comment] = ACTIONS(5),
  },
  [810] = {
    [ts_builtin_sym_end] = ACTIONS(1897),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_export] = ACTIONS(1899),
    [anon_sym_default] = ACTIONS(1899),
    [anon_sym_type] = ACTIONS(1899),
    [anon_sym_namespace] = ACTIONS(1899),
    [anon_sym_LBRACE] = ACTIONS(1897),
    [anon_sym_RBRACE] = ACTIONS(1897),
    [anon_sym_typeof] = ACTIONS(1899),
    [anon_sym_import] = ACTIONS(1899),
    [anon_sym_with] = ACTIONS(1899),
    [anon_sym_var] = ACTIONS(1899),
    [anon_sym_let] = ACTIONS(1899),
    [anon_sym_const] = ACTIONS(1899),
    [anon_sym_BANG] = ACTIONS(1897),
    [anon_sym_else] = ACTIONS(1899),
    [anon_sym_if] = ACTIONS(1899),
    [anon_sym_switch] = ACTIONS(1899),
    [anon_sym_for] = ACTIONS(1899),
    [anon_sym_LPAREN] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1897),
    [anon_sym_await] = ACTIONS(1899),
    [anon_sym_while] = ACTIONS(1899),
    [anon_sym_do] = ACTIONS(1899),
    [anon_sym_try] = ACTIONS(1899),
    [anon_sym_break] = ACTIONS(1899),
    [anon_sym_continue] = ACTIONS(1899),
    [anon_sym_debugger] = ACTIONS(1899),
    [anon_sym_return] = ACTIONS(1899),
    [anon_sym_throw] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1899),
    [anon_sym_yield] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1897),
    [sym_glimmer_opening_tag] = ACTIONS(1897),
    [anon_sym_DQUOTE] = ACTIONS(1897),
    [anon_sym_SQUOTE] = ACTIONS(1897),
    [anon_sym_class] = ACTIONS(1899),
    [anon_sym_async] = ACTIONS(1899),
    [anon_sym_function] = ACTIONS(1899),
    [anon_sym_new] = ACTIONS(1899),
    [anon_sym_using] = ACTIONS(1899),
    [anon_sym_PLUS] = ACTIONS(1899),
    [anon_sym_DASH] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_TILDE] = ACTIONS(1897),
    [anon_sym_void] = ACTIONS(1899),
    [anon_sym_delete] = ACTIONS(1899),
    [anon_sym_PLUS_PLUS] = ACTIONS(1897),
    [anon_sym_DASH_DASH] = ACTIONS(1897),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1897),
    [sym_number] = ACTIONS(1897),
    [sym_private_property_identifier] = ACTIONS(1897),
    [sym_this] = ACTIONS(1899),
    [sym_super] = ACTIONS(1899),
    [sym_true] = ACTIONS(1899),
    [sym_false] = ACTIONS(1899),
    [sym_null] = ACTIONS(1899),
    [sym_undefined] = ACTIONS(1899),
    [anon_sym_AT] = ACTIONS(1897),
    [anon_sym_static] = ACTIONS(1899),
    [anon_sym_readonly] = ACTIONS(1899),
    [anon_sym_get] = ACTIONS(1899),
    [anon_sym_set] = ACTIONS(1899),
    [anon_sym_declare] = ACTIONS(1899),
    [anon_sym_public] = ACTIONS(1899),
    [anon_sym_private] = ACTIONS(1899),
    [anon_sym_protected] = ACTIONS(1899),
    [anon_sym_override] = ACTIONS(1899),
    [anon_sym_module] = ACTIONS(1899),
    [anon_sym_any] = ACTIONS(1899),
    [anon_sym_number] = ACTIONS(1899),
    [anon_sym_boolean] = ACTIONS(1899),
    [anon_sym_string] = ACTIONS(1899),
    [anon_sym_symbol] = ACTIONS(1899),
    [anon_sym_object] = ACTIONS(1899),
    [anon_sym_abstract] = ACTIONS(1899),
    [anon_sym_interface] = ACTIONS(1899),
    [anon_sym_enum] = ACTIONS(1899),
    [sym_html_comment] = ACTIONS(5),
  },
  [811] = {
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2621),
    [anon_sym_export] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_type] = ACTIONS(2621),
    [anon_sym_namespace] = ACTIONS(2621),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_typeof] = ACTIONS(2621),
    [anon_sym_import] = ACTIONS(2621),
    [anon_sym_with] = ACTIONS(2621),
    [anon_sym_var] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_else] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_switch] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_LPAREN] = ACTIONS(2619),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym_await] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_do] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_debugger] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_throw] = ACTIONS(2621),
    [anon_sym_case] = ACTIONS(2621),
    [anon_sym_yield] = ACTIONS(2621),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [sym_glimmer_opening_tag] = ACTIONS(2619),
    [anon_sym_DQUOTE] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2619),
    [anon_sym_class] = ACTIONS(2621),
    [anon_sym_async] = ACTIONS(2621),
    [anon_sym_function] = ACTIONS(2621),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_using] = ACTIONS(2621),
    [anon_sym_PLUS] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2621),
    [anon_sym_SLASH] = ACTIONS(2621),
    [anon_sym_LT] = ACTIONS(2621),
    [anon_sym_TILDE] = ACTIONS(2619),
    [anon_sym_void] = ACTIONS(2621),
    [anon_sym_delete] = ACTIONS(2621),
    [anon_sym_PLUS_PLUS] = ACTIONS(2619),
    [anon_sym_DASH_DASH] = ACTIONS(2619),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2619),
    [sym_number] = ACTIONS(2619),
    [sym_private_property_identifier] = ACTIONS(2619),
    [sym_this] = ACTIONS(2621),
    [sym_super] = ACTIONS(2621),
    [sym_true] = ACTIONS(2621),
    [sym_false] = ACTIONS(2621),
    [sym_null] = ACTIONS(2621),
    [sym_undefined] = ACTIONS(2621),
    [anon_sym_AT] = ACTIONS(2619),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_readonly] = ACTIONS(2621),
    [anon_sym_get] = ACTIONS(2621),
    [anon_sym_set] = ACTIONS(2621),
    [anon_sym_declare] = ACTIONS(2621),
    [anon_sym_public] = ACTIONS(2621),
    [anon_sym_private] = ACTIONS(2621),
    [anon_sym_protected] = ACTIONS(2621),
    [anon_sym_override] = ACTIONS(2621),
    [anon_sym_module] = ACTIONS(2621),
    [anon_sym_any] = ACTIONS(2621),
    [anon_sym_number] = ACTIONS(2621),
    [anon_sym_boolean] = ACTIONS(2621),
    [anon_sym_string] = ACTIONS(2621),
    [anon_sym_symbol] = ACTIONS(2621),
    [anon_sym_object] = ACTIONS(2621),
    [anon_sym_abstract] = ACTIONS(2621),
    [anon_sym_interface] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [sym_html_comment] = ACTIONS(5),
  },
  [812] = {
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2625),
    [anon_sym_export] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_type] = ACTIONS(2625),
    [anon_sym_namespace] = ACTIONS(2625),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_typeof] = ACTIONS(2625),
    [anon_sym_import] = ACTIONS(2625),
    [anon_sym_with] = ACTIONS(2625),
    [anon_sym_var] = ACTIONS(2625),
    [anon_sym_let] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_else] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_switch] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym_await] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_do] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_debugger] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_throw] = ACTIONS(2625),
    [anon_sym_case] = ACTIONS(2625),
    [anon_sym_yield] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [sym_glimmer_opening_tag] = ACTIONS(2623),
    [anon_sym_DQUOTE] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2623),
    [anon_sym_class] = ACTIONS(2625),
    [anon_sym_async] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2625),
    [anon_sym_using] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2625),
    [anon_sym_SLASH] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2623),
    [anon_sym_void] = ACTIONS(2625),
    [anon_sym_delete] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2623),
    [anon_sym_DASH_DASH] = ACTIONS(2623),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2623),
    [sym_number] = ACTIONS(2623),
    [sym_private_property_identifier] = ACTIONS(2623),
    [sym_this] = ACTIONS(2625),
    [sym_super] = ACTIONS(2625),
    [sym_true] = ACTIONS(2625),
    [sym_false] = ACTIONS(2625),
    [sym_null] = ACTIONS(2625),
    [sym_undefined] = ACTIONS(2625),
    [anon_sym_AT] = ACTIONS(2623),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_readonly] = ACTIONS(2625),
    [anon_sym_get] = ACTIONS(2625),
    [anon_sym_set] = ACTIONS(2625),
    [anon_sym_declare] = ACTIONS(2625),
    [anon_sym_public] = ACTIONS(2625),
    [anon_sym_private] = ACTIONS(2625),
    [anon_sym_protected] = ACTIONS(2625),
    [anon_sym_override] = ACTIONS(2625),
    [anon_sym_module] = ACTIONS(2625),
    [anon_sym_any] = ACTIONS(2625),
    [anon_sym_number] = ACTIONS(2625),
    [anon_sym_boolean] = ACTIONS(2625),
    [anon_sym_string] = ACTIONS(2625),
    [anon_sym_symbol] = ACTIONS(2625),
    [anon_sym_object] = ACTIONS(2625),
    [anon_sym_abstract] = ACTIONS(2625),
    [anon_sym_interface] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [sym_html_comment] = ACTIONS(5),
  },
  [813] = {
    [ts_builtin_sym_end] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_export] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_type] = ACTIONS(2629),
    [anon_sym_namespace] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_typeof] = ACTIONS(2629),
    [anon_sym_import] = ACTIONS(2629),
    [anon_sym_with] = ACTIONS(2629),
    [anon_sym_var] = ACTIONS(2629),
    [anon_sym_let] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_else] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_switch] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_await] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_do] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_debugger] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_throw] = ACTIONS(2629),
    [anon_sym_case] = ACTIONS(2629),
    [anon_sym_yield] = ACTIONS(2629),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [sym_glimmer_opening_tag] = ACTIONS(2627),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2627),
    [anon_sym_class] = ACTIONS(2629),
    [anon_sym_async] = ACTIONS(2629),
    [anon_sym_function] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2629),
    [anon_sym_using] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_SLASH] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2627),
    [anon_sym_void] = ACTIONS(2629),
    [anon_sym_delete] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2627),
    [anon_sym_DASH_DASH] = ACTIONS(2627),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2627),
    [sym_number] = ACTIONS(2627),
    [sym_private_property_identifier] = ACTIONS(2627),
    [sym_this] = ACTIONS(2629),
    [sym_super] = ACTIONS(2629),
    [sym_true] = ACTIONS(2629),
    [sym_false] = ACTIONS(2629),
    [sym_null] = ACTIONS(2629),
    [sym_undefined] = ACTIONS(2629),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_readonly] = ACTIONS(2629),
    [anon_sym_get] = ACTIONS(2629),
    [anon_sym_set] = ACTIONS(2629),
    [anon_sym_declare] = ACTIONS(2629),
    [anon_sym_public] = ACTIONS(2629),
    [anon_sym_private] = ACTIONS(2629),
    [anon_sym_protected] = ACTIONS(2629),
    [anon_sym_override] = ACTIONS(2629),
    [anon_sym_module] = ACTIONS(2629),
    [anon_sym_any] = ACTIONS(2629),
    [anon_sym_number] = ACTIONS(2629),
    [anon_sym_boolean] = ACTIONS(2629),
    [anon_sym_string] = ACTIONS(2629),
    [anon_sym_symbol] = ACTIONS(2629),
    [anon_sym_object] = ACTIONS(2629),
    [anon_sym_abstract] = ACTIONS(2629),
    [anon_sym_interface] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [sym_html_comment] = ACTIONS(5),
  },
  [814] = {
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_export] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_namespace] = ACTIONS(2633),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_typeof] = ACTIONS(2633),
    [anon_sym_import] = ACTIONS(2633),
    [anon_sym_with] = ACTIONS(2633),
    [anon_sym_var] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_else] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_switch] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_await] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_do] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_debugger] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_throw] = ACTIONS(2633),
    [anon_sym_case] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [sym_glimmer_opening_tag] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2631),
    [anon_sym_class] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_function] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2633),
    [anon_sym_using] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2633),
    [anon_sym_SLASH] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2631),
    [anon_sym_void] = ACTIONS(2633),
    [anon_sym_delete] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2631),
    [anon_sym_DASH_DASH] = ACTIONS(2631),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2631),
    [sym_number] = ACTIONS(2631),
    [sym_private_property_identifier] = ACTIONS(2631),
    [sym_this] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_true] = ACTIONS(2633),
    [sym_false] = ACTIONS(2633),
    [sym_null] = ACTIONS(2633),
    [sym_undefined] = ACTIONS(2633),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_readonly] = ACTIONS(2633),
    [anon_sym_get] = ACTIONS(2633),
    [anon_sym_set] = ACTIONS(2633),
    [anon_sym_declare] = ACTIONS(2633),
    [anon_sym_public] = ACTIONS(2633),
    [anon_sym_private] = ACTIONS(2633),
    [anon_sym_protected] = ACTIONS(2633),
    [anon_sym_override] = ACTIONS(2633),
    [anon_sym_module] = ACTIONS(2633),
    [anon_sym_any] = ACTIONS(2633),
    [anon_sym_number] = ACTIONS(2633),
    [anon_sym_boolean] = ACTIONS(2633),
    [anon_sym_string] = ACTIONS(2633),
    [anon_sym_symbol] = ACTIONS(2633),
    [anon_sym_object] = ACTIONS(2633),
    [anon_sym_abstract] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [sym_html_comment] = ACTIONS(5),
  },
  [815] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_export] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_typeof] = ACTIONS(2637),
    [anon_sym_import] = ACTIONS(2637),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_var] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym_await] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_debugger] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [sym_glimmer_opening_tag] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_async] = ACTIONS(2637),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2635),
    [sym_number] = ACTIONS(2635),
    [sym_private_property_identifier] = ACTIONS(2635),
    [sym_this] = ACTIONS(2637),
    [sym_super] = ACTIONS(2637),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [sym_null] = ACTIONS(2637),
    [sym_undefined] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_readonly] = ACTIONS(2637),
    [anon_sym_get] = ACTIONS(2637),
    [anon_sym_set] = ACTIONS(2637),
    [anon_sym_declare] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_override] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2637),
    [anon_sym_interface] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [sym_html_comment] = ACTIONS(5),
  },
  [816] = {
    [ts_builtin_sym_end] = ACTIONS(2639),
    [sym_identifier] = ACTIONS(2641),
    [anon_sym_export] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2641),
    [anon_sym_type] = ACTIONS(2641),
    [anon_sym_namespace] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2639),
    [anon_sym_RBRACE] = ACTIONS(2639),
    [anon_sym_typeof] = ACTIONS(2641),
    [anon_sym_import] = ACTIONS(2641),
    [anon_sym_with] = ACTIONS(2641),
    [anon_sym_var] = ACTIONS(2641),
    [anon_sym_let] = ACTIONS(2641),
    [anon_sym_const] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2639),
    [anon_sym_else] = ACTIONS(2641),
    [anon_sym_if] = ACTIONS(2641),
    [anon_sym_switch] = ACTIONS(2641),
    [anon_sym_for] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2639),
    [anon_sym_await] = ACTIONS(2641),
    [anon_sym_while] = ACTIONS(2641),
    [anon_sym_do] = ACTIONS(2641),
    [anon_sym_try] = ACTIONS(2641),
    [anon_sym_break] = ACTIONS(2641),
    [anon_sym_continue] = ACTIONS(2641),
    [anon_sym_debugger] = ACTIONS(2641),
    [anon_sym_return] = ACTIONS(2641),
    [anon_sym_throw] = ACTIONS(2641),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_yield] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2639),
    [sym_glimmer_opening_tag] = ACTIONS(2639),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_class] = ACTIONS(2641),
    [anon_sym_async] = ACTIONS(2641),
    [anon_sym_function] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2641),
    [anon_sym_using] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2641),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_SLASH] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2639),
    [anon_sym_void] = ACTIONS(2641),
    [anon_sym_delete] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2639),
    [anon_sym_DASH_DASH] = ACTIONS(2639),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2639),
    [sym_number] = ACTIONS(2639),
    [sym_private_property_identifier] = ACTIONS(2639),
    [sym_this] = ACTIONS(2641),
    [sym_super] = ACTIONS(2641),
    [sym_true] = ACTIONS(2641),
    [sym_false] = ACTIONS(2641),
    [sym_null] = ACTIONS(2641),
    [sym_undefined] = ACTIONS(2641),
    [anon_sym_AT] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2641),
    [anon_sym_readonly] = ACTIONS(2641),
    [anon_sym_get] = ACTIONS(2641),
    [anon_sym_set] = ACTIONS(2641),
    [anon_sym_declare] = ACTIONS(2641),
    [anon_sym_public] = ACTIONS(2641),
    [anon_sym_private] = ACTIONS(2641),
    [anon_sym_protected] = ACTIONS(2641),
    [anon_sym_override] = ACTIONS(2641),
    [anon_sym_module] = ACTIONS(2641),
    [anon_sym_any] = ACTIONS(2641),
    [anon_sym_number] = ACTIONS(2641),
    [anon_sym_boolean] = ACTIONS(2641),
    [anon_sym_string] = ACTIONS(2641),
    [anon_sym_symbol] = ACTIONS(2641),
    [anon_sym_object] = ACTIONS(2641),
    [anon_sym_abstract] = ACTIONS(2641),
    [anon_sym_interface] = ACTIONS(2641),
    [anon_sym_enum] = ACTIONS(2641),
    [sym_html_comment] = ACTIONS(5),
  },
  [817] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(4645),
    [sym_optional_tuple_parameter] = STATE(4645),
    [sym_optional_type] = STATE(4645),
    [sym_rest_type] = STATE(4645),
    [sym__tuple_type_member] = STATE(4645),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(2643),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [818] = {
    [ts_builtin_sym_end] = ACTIONS(2647),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_export] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2649),
    [anon_sym_type] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2647),
    [anon_sym_RBRACE] = ACTIONS(2647),
    [anon_sym_typeof] = ACTIONS(2649),
    [anon_sym_import] = ACTIONS(2649),
    [anon_sym_with] = ACTIONS(2649),
    [anon_sym_var] = ACTIONS(2649),
    [anon_sym_let] = ACTIONS(2649),
    [anon_sym_const] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2647),
    [anon_sym_else] = ACTIONS(2649),
    [anon_sym_if] = ACTIONS(2649),
    [anon_sym_switch] = ACTIONS(2649),
    [anon_sym_for] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2647),
    [anon_sym_await] = ACTIONS(2649),
    [anon_sym_while] = ACTIONS(2649),
    [anon_sym_do] = ACTIONS(2649),
    [anon_sym_try] = ACTIONS(2649),
    [anon_sym_break] = ACTIONS(2649),
    [anon_sym_continue] = ACTIONS(2649),
    [anon_sym_debugger] = ACTIONS(2649),
    [anon_sym_return] = ACTIONS(2649),
    [anon_sym_throw] = ACTIONS(2649),
    [anon_sym_case] = ACTIONS(2649),
    [anon_sym_yield] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2647),
    [sym_glimmer_opening_tag] = ACTIONS(2647),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_class] = ACTIONS(2649),
    [anon_sym_async] = ACTIONS(2649),
    [anon_sym_function] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2649),
    [anon_sym_using] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2649),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_SLASH] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2647),
    [anon_sym_void] = ACTIONS(2649),
    [anon_sym_delete] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2647),
    [anon_sym_DASH_DASH] = ACTIONS(2647),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2647),
    [sym_number] = ACTIONS(2647),
    [sym_private_property_identifier] = ACTIONS(2647),
    [sym_this] = ACTIONS(2649),
    [sym_super] = ACTIONS(2649),
    [sym_true] = ACTIONS(2649),
    [sym_false] = ACTIONS(2649),
    [sym_null] = ACTIONS(2649),
    [sym_undefined] = ACTIONS(2649),
    [anon_sym_AT] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2649),
    [anon_sym_readonly] = ACTIONS(2649),
    [anon_sym_get] = ACTIONS(2649),
    [anon_sym_set] = ACTIONS(2649),
    [anon_sym_declare] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2649),
    [anon_sym_private] = ACTIONS(2649),
    [anon_sym_protected] = ACTIONS(2649),
    [anon_sym_override] = ACTIONS(2649),
    [anon_sym_module] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2649),
    [anon_sym_number] = ACTIONS(2649),
    [anon_sym_boolean] = ACTIONS(2649),
    [anon_sym_string] = ACTIONS(2649),
    [anon_sym_symbol] = ACTIONS(2649),
    [anon_sym_object] = ACTIONS(2649),
    [anon_sym_abstract] = ACTIONS(2649),
    [anon_sym_interface] = ACTIONS(2649),
    [anon_sym_enum] = ACTIONS(2649),
    [sym_html_comment] = ACTIONS(5),
  },
  [819] = {
    [ts_builtin_sym_end] = ACTIONS(2635),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_export] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2637),
    [anon_sym_type] = ACTIONS(2637),
    [anon_sym_namespace] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2635),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_typeof] = ACTIONS(2637),
    [anon_sym_import] = ACTIONS(2637),
    [anon_sym_with] = ACTIONS(2637),
    [anon_sym_var] = ACTIONS(2637),
    [anon_sym_let] = ACTIONS(2637),
    [anon_sym_const] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2635),
    [anon_sym_else] = ACTIONS(2637),
    [anon_sym_if] = ACTIONS(2637),
    [anon_sym_switch] = ACTIONS(2637),
    [anon_sym_for] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2635),
    [anon_sym_await] = ACTIONS(2637),
    [anon_sym_while] = ACTIONS(2637),
    [anon_sym_do] = ACTIONS(2637),
    [anon_sym_try] = ACTIONS(2637),
    [anon_sym_break] = ACTIONS(2637),
    [anon_sym_continue] = ACTIONS(2637),
    [anon_sym_debugger] = ACTIONS(2637),
    [anon_sym_return] = ACTIONS(2637),
    [anon_sym_throw] = ACTIONS(2637),
    [anon_sym_case] = ACTIONS(2637),
    [anon_sym_yield] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2635),
    [sym_glimmer_opening_tag] = ACTIONS(2635),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE] = ACTIONS(2635),
    [anon_sym_class] = ACTIONS(2637),
    [anon_sym_async] = ACTIONS(2637),
    [anon_sym_function] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2637),
    [anon_sym_using] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2637),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_SLASH] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2635),
    [anon_sym_void] = ACTIONS(2637),
    [anon_sym_delete] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2635),
    [anon_sym_DASH_DASH] = ACTIONS(2635),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2635),
    [sym_number] = ACTIONS(2635),
    [sym_private_property_identifier] = ACTIONS(2635),
    [sym_this] = ACTIONS(2637),
    [sym_super] = ACTIONS(2637),
    [sym_true] = ACTIONS(2637),
    [sym_false] = ACTIONS(2637),
    [sym_null] = ACTIONS(2637),
    [sym_undefined] = ACTIONS(2637),
    [anon_sym_AT] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2637),
    [anon_sym_readonly] = ACTIONS(2637),
    [anon_sym_get] = ACTIONS(2637),
    [anon_sym_set] = ACTIONS(2637),
    [anon_sym_declare] = ACTIONS(2637),
    [anon_sym_public] = ACTIONS(2637),
    [anon_sym_private] = ACTIONS(2637),
    [anon_sym_protected] = ACTIONS(2637),
    [anon_sym_override] = ACTIONS(2637),
    [anon_sym_module] = ACTIONS(2637),
    [anon_sym_any] = ACTIONS(2637),
    [anon_sym_number] = ACTIONS(2637),
    [anon_sym_boolean] = ACTIONS(2637),
    [anon_sym_string] = ACTIONS(2637),
    [anon_sym_symbol] = ACTIONS(2637),
    [anon_sym_object] = ACTIONS(2637),
    [anon_sym_abstract] = ACTIONS(2637),
    [anon_sym_interface] = ACTIONS(2637),
    [anon_sym_enum] = ACTIONS(2637),
    [sym_html_comment] = ACTIONS(5),
  },
  [820] = {
    [ts_builtin_sym_end] = ACTIONS(2651),
    [sym_identifier] = ACTIONS(2653),
    [anon_sym_export] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2653),
    [anon_sym_type] = ACTIONS(2653),
    [anon_sym_namespace] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2651),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_typeof] = ACTIONS(2653),
    [anon_sym_import] = ACTIONS(2653),
    [anon_sym_with] = ACTIONS(2653),
    [anon_sym_var] = ACTIONS(2653),
    [anon_sym_let] = ACTIONS(2653),
    [anon_sym_const] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2651),
    [anon_sym_else] = ACTIONS(2653),
    [anon_sym_if] = ACTIONS(2653),
    [anon_sym_switch] = ACTIONS(2653),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2651),
    [anon_sym_await] = ACTIONS(2653),
    [anon_sym_while] = ACTIONS(2653),
    [anon_sym_do] = ACTIONS(2653),
    [anon_sym_try] = ACTIONS(2653),
    [anon_sym_break] = ACTIONS(2653),
    [anon_sym_continue] = ACTIONS(2653),
    [anon_sym_debugger] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2653),
    [anon_sym_throw] = ACTIONS(2653),
    [anon_sym_case] = ACTIONS(2653),
    [anon_sym_yield] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2651),
    [sym_glimmer_opening_tag] = ACTIONS(2651),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_class] = ACTIONS(2653),
    [anon_sym_async] = ACTIONS(2653),
    [anon_sym_function] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2653),
    [anon_sym_using] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2653),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_SLASH] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2651),
    [anon_sym_void] = ACTIONS(2653),
    [anon_sym_delete] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2651),
    [anon_sym_DASH_DASH] = ACTIONS(2651),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2651),
    [sym_number] = ACTIONS(2651),
    [sym_private_property_identifier] = ACTIONS(2651),
    [sym_this] = ACTIONS(2653),
    [sym_super] = ACTIONS(2653),
    [sym_true] = ACTIONS(2653),
    [sym_false] = ACTIONS(2653),
    [sym_null] = ACTIONS(2653),
    [sym_undefined] = ACTIONS(2653),
    [anon_sym_AT] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2653),
    [anon_sym_readonly] = ACTIONS(2653),
    [anon_sym_get] = ACTIONS(2653),
    [anon_sym_set] = ACTIONS(2653),
    [anon_sym_declare] = ACTIONS(2653),
    [anon_sym_public] = ACTIONS(2653),
    [anon_sym_private] = ACTIONS(2653),
    [anon_sym_protected] = ACTIONS(2653),
    [anon_sym_override] = ACTIONS(2653),
    [anon_sym_module] = ACTIONS(2653),
    [anon_sym_any] = ACTIONS(2653),
    [anon_sym_number] = ACTIONS(2653),
    [anon_sym_boolean] = ACTIONS(2653),
    [anon_sym_string] = ACTIONS(2653),
    [anon_sym_symbol] = ACTIONS(2653),
    [anon_sym_object] = ACTIONS(2653),
    [anon_sym_abstract] = ACTIONS(2653),
    [anon_sym_interface] = ACTIONS(2653),
    [anon_sym_enum] = ACTIONS(2653),
    [sym_html_comment] = ACTIONS(5),
  },
  [821] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(4677),
    [sym_optional_tuple_parameter] = STATE(4677),
    [sym_optional_type] = STATE(4677),
    [sym_rest_type] = STATE(4677),
    [sym__tuple_type_member] = STATE(4677),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_COMMA] = ACTIONS(2655),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [822] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(2661),
    [anon_sym_export] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_type] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_typeof] = ACTIONS(2661),
    [anon_sym_import] = ACTIONS(2661),
    [anon_sym_with] = ACTIONS(2661),
    [anon_sym_var] = ACTIONS(2661),
    [anon_sym_let] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_await] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_debugger] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_yield] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [sym_glimmer_opening_tag] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_async] = ACTIONS(2661),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_void] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2659),
    [sym_number] = ACTIONS(2659),
    [sym_private_property_identifier] = ACTIONS(2659),
    [sym_this] = ACTIONS(2661),
    [sym_super] = ACTIONS(2661),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [sym_null] = ACTIONS(2661),
    [sym_undefined] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_readonly] = ACTIONS(2661),
    [anon_sym_get] = ACTIONS(2661),
    [anon_sym_set] = ACTIONS(2661),
    [anon_sym_declare] = ACTIONS(2661),
    [anon_sym_public] = ACTIONS(2661),
    [anon_sym_private] = ACTIONS(2661),
    [anon_sym_protected] = ACTIONS(2661),
    [anon_sym_override] = ACTIONS(2661),
    [anon_sym_module] = ACTIONS(2661),
    [anon_sym_any] = ACTIONS(2661),
    [anon_sym_number] = ACTIONS(2661),
    [anon_sym_boolean] = ACTIONS(2661),
    [anon_sym_string] = ACTIONS(2661),
    [anon_sym_symbol] = ACTIONS(2661),
    [anon_sym_object] = ACTIONS(2661),
    [anon_sym_abstract] = ACTIONS(2661),
    [anon_sym_interface] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [sym_html_comment] = ACTIONS(5),
  },
  [823] = {
    [ts_builtin_sym_end] = ACTIONS(2659),
    [sym_identifier] = ACTIONS(2661),
    [anon_sym_export] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2661),
    [anon_sym_type] = ACTIONS(2661),
    [anon_sym_namespace] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2659),
    [anon_sym_RBRACE] = ACTIONS(2659),
    [anon_sym_typeof] = ACTIONS(2661),
    [anon_sym_import] = ACTIONS(2661),
    [anon_sym_with] = ACTIONS(2661),
    [anon_sym_var] = ACTIONS(2661),
    [anon_sym_let] = ACTIONS(2661),
    [anon_sym_const] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2659),
    [anon_sym_else] = ACTIONS(2661),
    [anon_sym_if] = ACTIONS(2661),
    [anon_sym_switch] = ACTIONS(2661),
    [anon_sym_for] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2659),
    [anon_sym_await] = ACTIONS(2661),
    [anon_sym_while] = ACTIONS(2661),
    [anon_sym_do] = ACTIONS(2661),
    [anon_sym_try] = ACTIONS(2661),
    [anon_sym_break] = ACTIONS(2661),
    [anon_sym_continue] = ACTIONS(2661),
    [anon_sym_debugger] = ACTIONS(2661),
    [anon_sym_return] = ACTIONS(2661),
    [anon_sym_throw] = ACTIONS(2661),
    [anon_sym_case] = ACTIONS(2661),
    [anon_sym_yield] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2659),
    [sym_glimmer_opening_tag] = ACTIONS(2659),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_class] = ACTIONS(2661),
    [anon_sym_async] = ACTIONS(2661),
    [anon_sym_function] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2661),
    [anon_sym_using] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2661),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_SLASH] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2659),
    [anon_sym_void] = ACTIONS(2661),
    [anon_sym_delete] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2659),
    [anon_sym_DASH_DASH] = ACTIONS(2659),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2659),
    [sym_number] = ACTIONS(2659),
    [sym_private_property_identifier] = ACTIONS(2659),
    [sym_this] = ACTIONS(2661),
    [sym_super] = ACTIONS(2661),
    [sym_true] = ACTIONS(2661),
    [sym_false] = ACTIONS(2661),
    [sym_null] = ACTIONS(2661),
    [sym_undefined] = ACTIONS(2661),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2661),
    [anon_sym_readonly] = ACTIONS(2661),
    [anon_sym_get] = ACTIONS(2661),
    [anon_sym_set] = ACTIONS(2661),
    [anon_sym_declare] = ACTIONS(2661),
    [anon_sym_public] = ACTIONS(2661),
    [anon_sym_private] = ACTIONS(2661),
    [anon_sym_protected] = ACTIONS(2661),
    [anon_sym_override] = ACTIONS(2661),
    [anon_sym_module] = ACTIONS(2661),
    [anon_sym_any] = ACTIONS(2661),
    [anon_sym_number] = ACTIONS(2661),
    [anon_sym_boolean] = ACTIONS(2661),
    [anon_sym_string] = ACTIONS(2661),
    [anon_sym_symbol] = ACTIONS(2661),
    [anon_sym_object] = ACTIONS(2661),
    [anon_sym_abstract] = ACTIONS(2661),
    [anon_sym_interface] = ACTIONS(2661),
    [anon_sym_enum] = ACTIONS(2661),
    [sym_html_comment] = ACTIONS(5),
  },
  [824] = {
    [ts_builtin_sym_end] = ACTIONS(2663),
    [sym_identifier] = ACTIONS(2665),
    [anon_sym_export] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2665),
    [anon_sym_type] = ACTIONS(2665),
    [anon_sym_namespace] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2663),
    [anon_sym_RBRACE] = ACTIONS(2663),
    [anon_sym_typeof] = ACTIONS(2665),
    [anon_sym_import] = ACTIONS(2665),
    [anon_sym_with] = ACTIONS(2665),
    [anon_sym_var] = ACTIONS(2665),
    [anon_sym_let] = ACTIONS(2665),
    [anon_sym_const] = ACTIONS(2665),
    [anon_sym_BANG] = ACTIONS(2663),
    [anon_sym_else] = ACTIONS(2665),
    [anon_sym_if] = ACTIONS(2665),
    [anon_sym_switch] = ACTIONS(2665),
    [anon_sym_for] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(2663),
    [anon_sym_await] = ACTIONS(2665),
    [anon_sym_while] = ACTIONS(2665),
    [anon_sym_do] = ACTIONS(2665),
    [anon_sym_try] = ACTIONS(2665),
    [anon_sym_break] = ACTIONS(2665),
    [anon_sym_continue] = ACTIONS(2665),
    [anon_sym_debugger] = ACTIONS(2665),
    [anon_sym_return] = ACTIONS(2665),
    [anon_sym_throw] = ACTIONS(2665),
    [anon_sym_case] = ACTIONS(2665),
    [anon_sym_yield] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2663),
    [sym_glimmer_opening_tag] = ACTIONS(2663),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_class] = ACTIONS(2665),
    [anon_sym_async] = ACTIONS(2665),
    [anon_sym_function] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2665),
    [anon_sym_using] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2665),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_SLASH] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2665),
    [anon_sym_TILDE] = ACTIONS(2663),
    [anon_sym_void] = ACTIONS(2665),
    [anon_sym_delete] = ACTIONS(2665),
    [anon_sym_PLUS_PLUS] = ACTIONS(2663),
    [anon_sym_DASH_DASH] = ACTIONS(2663),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2663),
    [sym_number] = ACTIONS(2663),
    [sym_private_property_identifier] = ACTIONS(2663),
    [sym_this] = ACTIONS(2665),
    [sym_super] = ACTIONS(2665),
    [sym_true] = ACTIONS(2665),
    [sym_false] = ACTIONS(2665),
    [sym_null] = ACTIONS(2665),
    [sym_undefined] = ACTIONS(2665),
    [anon_sym_AT] = ACTIONS(2663),
    [anon_sym_static] = ACTIONS(2665),
    [anon_sym_readonly] = ACTIONS(2665),
    [anon_sym_get] = ACTIONS(2665),
    [anon_sym_set] = ACTIONS(2665),
    [anon_sym_declare] = ACTIONS(2665),
    [anon_sym_public] = ACTIONS(2665),
    [anon_sym_private] = ACTIONS(2665),
    [anon_sym_protected] = ACTIONS(2665),
    [anon_sym_override] = ACTIONS(2665),
    [anon_sym_module] = ACTIONS(2665),
    [anon_sym_any] = ACTIONS(2665),
    [anon_sym_number] = ACTIONS(2665),
    [anon_sym_boolean] = ACTIONS(2665),
    [anon_sym_string] = ACTIONS(2665),
    [anon_sym_symbol] = ACTIONS(2665),
    [anon_sym_object] = ACTIONS(2665),
    [anon_sym_abstract] = ACTIONS(2665),
    [anon_sym_interface] = ACTIONS(2665),
    [anon_sym_enum] = ACTIONS(2665),
    [sym_html_comment] = ACTIONS(5),
  },
  [825] = {
    [ts_builtin_sym_end] = ACTIONS(2667),
    [sym_identifier] = ACTIONS(2669),
    [anon_sym_export] = ACTIONS(2669),
    [anon_sym_default] = ACTIONS(2669),
    [anon_sym_type] = ACTIONS(2669),
    [anon_sym_namespace] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2667),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_typeof] = ACTIONS(2669),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_with] = ACTIONS(2669),
    [anon_sym_var] = ACTIONS(2669),
    [anon_sym_let] = ACTIONS(2669),
    [anon_sym_const] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2667),
    [anon_sym_else] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2667),
    [anon_sym_await] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_debugger] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_case] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2667),
    [sym_glimmer_opening_tag] = ACTIONS(2667),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_async] = ACTIONS(2669),
    [anon_sym_function] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_using] = ACTIONS(2669),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_SLASH] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_TILDE] = ACTIONS(2667),
    [anon_sym_void] = ACTIONS(2669),
    [anon_sym_delete] = ACTIONS(2669),
    [anon_sym_PLUS_PLUS] = ACTIONS(2667),
    [anon_sym_DASH_DASH] = ACTIONS(2667),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2667),
    [sym_number] = ACTIONS(2667),
    [sym_private_property_identifier] = ACTIONS(2667),
    [sym_this] = ACTIONS(2669),
    [sym_super] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_null] = ACTIONS(2669),
    [sym_undefined] = ACTIONS(2669),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_readonly] = ACTIONS(2669),
    [anon_sym_get] = ACTIONS(2669),
    [anon_sym_set] = ACTIONS(2669),
    [anon_sym_declare] = ACTIONS(2669),
    [anon_sym_public] = ACTIONS(2669),
    [anon_sym_private] = ACTIONS(2669),
    [anon_sym_protected] = ACTIONS(2669),
    [anon_sym_override] = ACTIONS(2669),
    [anon_sym_module] = ACTIONS(2669),
    [anon_sym_any] = ACTIONS(2669),
    [anon_sym_number] = ACTIONS(2669),
    [anon_sym_boolean] = ACTIONS(2669),
    [anon_sym_string] = ACTIONS(2669),
    [anon_sym_symbol] = ACTIONS(2669),
    [anon_sym_object] = ACTIONS(2669),
    [anon_sym_abstract] = ACTIONS(2669),
    [anon_sym_interface] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [sym_html_comment] = ACTIONS(5),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [827] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [828] = {
    [ts_builtin_sym_end] = ACTIONS(2675),
    [sym_identifier] = ACTIONS(2677),
    [anon_sym_export] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2677),
    [anon_sym_type] = ACTIONS(2677),
    [anon_sym_namespace] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2675),
    [anon_sym_RBRACE] = ACTIONS(2675),
    [anon_sym_typeof] = ACTIONS(2677),
    [anon_sym_import] = ACTIONS(2677),
    [anon_sym_with] = ACTIONS(2677),
    [anon_sym_var] = ACTIONS(2677),
    [anon_sym_let] = ACTIONS(2677),
    [anon_sym_const] = ACTIONS(2677),
    [anon_sym_BANG] = ACTIONS(2675),
    [anon_sym_else] = ACTIONS(2677),
    [anon_sym_if] = ACTIONS(2677),
    [anon_sym_switch] = ACTIONS(2677),
    [anon_sym_for] = ACTIONS(2677),
    [anon_sym_LPAREN] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2675),
    [anon_sym_await] = ACTIONS(2677),
    [anon_sym_while] = ACTIONS(2677),
    [anon_sym_do] = ACTIONS(2677),
    [anon_sym_try] = ACTIONS(2677),
    [anon_sym_break] = ACTIONS(2677),
    [anon_sym_continue] = ACTIONS(2677),
    [anon_sym_debugger] = ACTIONS(2677),
    [anon_sym_return] = ACTIONS(2677),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_case] = ACTIONS(2677),
    [anon_sym_yield] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2675),
    [sym_glimmer_opening_tag] = ACTIONS(2675),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_class] = ACTIONS(2677),
    [anon_sym_async] = ACTIONS(2677),
    [anon_sym_function] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2677),
    [anon_sym_using] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2677),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_SLASH] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_TILDE] = ACTIONS(2675),
    [anon_sym_void] = ACTIONS(2677),
    [anon_sym_delete] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2675),
    [anon_sym_DASH_DASH] = ACTIONS(2675),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2675),
    [sym_number] = ACTIONS(2675),
    [sym_private_property_identifier] = ACTIONS(2675),
    [sym_this] = ACTIONS(2677),
    [sym_super] = ACTIONS(2677),
    [sym_true] = ACTIONS(2677),
    [sym_false] = ACTIONS(2677),
    [sym_null] = ACTIONS(2677),
    [sym_undefined] = ACTIONS(2677),
    [anon_sym_AT] = ACTIONS(2675),
    [anon_sym_static] = ACTIONS(2677),
    [anon_sym_readonly] = ACTIONS(2677),
    [anon_sym_get] = ACTIONS(2677),
    [anon_sym_set] = ACTIONS(2677),
    [anon_sym_declare] = ACTIONS(2677),
    [anon_sym_public] = ACTIONS(2677),
    [anon_sym_private] = ACTIONS(2677),
    [anon_sym_protected] = ACTIONS(2677),
    [anon_sym_override] = ACTIONS(2677),
    [anon_sym_module] = ACTIONS(2677),
    [anon_sym_any] = ACTIONS(2677),
    [anon_sym_number] = ACTIONS(2677),
    [anon_sym_boolean] = ACTIONS(2677),
    [anon_sym_string] = ACTIONS(2677),
    [anon_sym_symbol] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(2677),
    [anon_sym_abstract] = ACTIONS(2677),
    [anon_sym_interface] = ACTIONS(2677),
    [anon_sym_enum] = ACTIONS(2677),
    [sym_html_comment] = ACTIONS(5),
  },
  [829] = {
    [ts_builtin_sym_end] = ACTIONS(2679),
    [sym_identifier] = ACTIONS(2681),
    [anon_sym_export] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2681),
    [anon_sym_type] = ACTIONS(2681),
    [anon_sym_namespace] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2679),
    [anon_sym_RBRACE] = ACTIONS(2679),
    [anon_sym_typeof] = ACTIONS(2681),
    [anon_sym_import] = ACTIONS(2681),
    [anon_sym_with] = ACTIONS(2681),
    [anon_sym_var] = ACTIONS(2681),
    [anon_sym_let] = ACTIONS(2681),
    [anon_sym_const] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2679),
    [anon_sym_else] = ACTIONS(2681),
    [anon_sym_if] = ACTIONS(2681),
    [anon_sym_switch] = ACTIONS(2681),
    [anon_sym_for] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2679),
    [anon_sym_await] = ACTIONS(2681),
    [anon_sym_while] = ACTIONS(2681),
    [anon_sym_do] = ACTIONS(2681),
    [anon_sym_try] = ACTIONS(2681),
    [anon_sym_break] = ACTIONS(2681),
    [anon_sym_continue] = ACTIONS(2681),
    [anon_sym_debugger] = ACTIONS(2681),
    [anon_sym_return] = ACTIONS(2681),
    [anon_sym_throw] = ACTIONS(2681),
    [anon_sym_case] = ACTIONS(2681),
    [anon_sym_yield] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2679),
    [sym_glimmer_opening_tag] = ACTIONS(2679),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_class] = ACTIONS(2681),
    [anon_sym_async] = ACTIONS(2681),
    [anon_sym_function] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2681),
    [anon_sym_using] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2681),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_SLASH] = ACTIONS(2681),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2679),
    [anon_sym_void] = ACTIONS(2681),
    [anon_sym_delete] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2679),
    [anon_sym_DASH_DASH] = ACTIONS(2679),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2679),
    [sym_number] = ACTIONS(2679),
    [sym_private_property_identifier] = ACTIONS(2679),
    [sym_this] = ACTIONS(2681),
    [sym_super] = ACTIONS(2681),
    [sym_true] = ACTIONS(2681),
    [sym_false] = ACTIONS(2681),
    [sym_null] = ACTIONS(2681),
    [sym_undefined] = ACTIONS(2681),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2681),
    [anon_sym_readonly] = ACTIONS(2681),
    [anon_sym_get] = ACTIONS(2681),
    [anon_sym_set] = ACTIONS(2681),
    [anon_sym_declare] = ACTIONS(2681),
    [anon_sym_public] = ACTIONS(2681),
    [anon_sym_private] = ACTIONS(2681),
    [anon_sym_protected] = ACTIONS(2681),
    [anon_sym_override] = ACTIONS(2681),
    [anon_sym_module] = ACTIONS(2681),
    [anon_sym_any] = ACTIONS(2681),
    [anon_sym_number] = ACTIONS(2681),
    [anon_sym_boolean] = ACTIONS(2681),
    [anon_sym_string] = ACTIONS(2681),
    [anon_sym_symbol] = ACTIONS(2681),
    [anon_sym_object] = ACTIONS(2681),
    [anon_sym_abstract] = ACTIONS(2681),
    [anon_sym_interface] = ACTIONS(2681),
    [anon_sym_enum] = ACTIONS(2681),
    [sym_html_comment] = ACTIONS(5),
  },
  [830] = {
    [ts_builtin_sym_end] = ACTIONS(2683),
    [sym_identifier] = ACTIONS(2685),
    [anon_sym_export] = ACTIONS(2685),
    [anon_sym_default] = ACTIONS(2685),
    [anon_sym_type] = ACTIONS(2685),
    [anon_sym_namespace] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2683),
    [anon_sym_RBRACE] = ACTIONS(2683),
    [anon_sym_typeof] = ACTIONS(2685),
    [anon_sym_import] = ACTIONS(2685),
    [anon_sym_with] = ACTIONS(2685),
    [anon_sym_var] = ACTIONS(2685),
    [anon_sym_let] = ACTIONS(2685),
    [anon_sym_const] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2683),
    [anon_sym_else] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_switch] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2683),
    [anon_sym_await] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_do] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_break] = ACTIONS(2685),
    [anon_sym_continue] = ACTIONS(2685),
    [anon_sym_debugger] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_case] = ACTIONS(2685),
    [anon_sym_yield] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2683),
    [sym_glimmer_opening_tag] = ACTIONS(2683),
    [anon_sym_DQUOTE] = ACTIONS(2683),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_class] = ACTIONS(2685),
    [anon_sym_async] = ACTIONS(2685),
    [anon_sym_function] = ACTIONS(2685),
    [anon_sym_new] = ACTIONS(2685),
    [anon_sym_using] = ACTIONS(2685),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_SLASH] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_TILDE] = ACTIONS(2683),
    [anon_sym_void] = ACTIONS(2685),
    [anon_sym_delete] = ACTIONS(2685),
    [anon_sym_PLUS_PLUS] = ACTIONS(2683),
    [anon_sym_DASH_DASH] = ACTIONS(2683),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2683),
    [sym_number] = ACTIONS(2683),
    [sym_private_property_identifier] = ACTIONS(2683),
    [sym_this] = ACTIONS(2685),
    [sym_super] = ACTIONS(2685),
    [sym_true] = ACTIONS(2685),
    [sym_false] = ACTIONS(2685),
    [sym_null] = ACTIONS(2685),
    [sym_undefined] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2685),
    [anon_sym_readonly] = ACTIONS(2685),
    [anon_sym_get] = ACTIONS(2685),
    [anon_sym_set] = ACTIONS(2685),
    [anon_sym_declare] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_override] = ACTIONS(2685),
    [anon_sym_module] = ACTIONS(2685),
    [anon_sym_any] = ACTIONS(2685),
    [anon_sym_number] = ACTIONS(2685),
    [anon_sym_boolean] = ACTIONS(2685),
    [anon_sym_string] = ACTIONS(2685),
    [anon_sym_symbol] = ACTIONS(2685),
    [anon_sym_object] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_interface] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [sym_html_comment] = ACTIONS(5),
  },
  [831] = {
    [ts_builtin_sym_end] = ACTIONS(2687),
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_export] = ACTIONS(2689),
    [anon_sym_default] = ACTIONS(2689),
    [anon_sym_type] = ACTIONS(2689),
    [anon_sym_namespace] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [anon_sym_typeof] = ACTIONS(2689),
    [anon_sym_import] = ACTIONS(2689),
    [anon_sym_with] = ACTIONS(2689),
    [anon_sym_var] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2689),
    [anon_sym_const] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2687),
    [anon_sym_else] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_switch] = ACTIONS(2689),
    [anon_sym_for] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_await] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_do] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_break] = ACTIONS(2689),
    [anon_sym_continue] = ACTIONS(2689),
    [anon_sym_debugger] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_case] = ACTIONS(2689),
    [anon_sym_yield] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [sym_glimmer_opening_tag] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2687),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2689),
    [anon_sym_async] = ACTIONS(2689),
    [anon_sym_function] = ACTIONS(2689),
    [anon_sym_new] = ACTIONS(2689),
    [anon_sym_using] = ACTIONS(2689),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_SLASH] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_void] = ACTIONS(2689),
    [anon_sym_delete] = ACTIONS(2689),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2687),
    [sym_number] = ACTIONS(2687),
    [sym_private_property_identifier] = ACTIONS(2687),
    [sym_this] = ACTIONS(2689),
    [sym_super] = ACTIONS(2689),
    [sym_true] = ACTIONS(2689),
    [sym_false] = ACTIONS(2689),
    [sym_null] = ACTIONS(2689),
    [sym_undefined] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2689),
    [anon_sym_readonly] = ACTIONS(2689),
    [anon_sym_get] = ACTIONS(2689),
    [anon_sym_set] = ACTIONS(2689),
    [anon_sym_declare] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_override] = ACTIONS(2689),
    [anon_sym_module] = ACTIONS(2689),
    [anon_sym_any] = ACTIONS(2689),
    [anon_sym_number] = ACTIONS(2689),
    [anon_sym_boolean] = ACTIONS(2689),
    [anon_sym_string] = ACTIONS(2689),
    [anon_sym_symbol] = ACTIONS(2689),
    [anon_sym_object] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_interface] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [sym_html_comment] = ACTIONS(5),
  },
  [832] = {
    [ts_builtin_sym_end] = ACTIONS(2691),
    [sym_identifier] = ACTIONS(2693),
    [anon_sym_export] = ACTIONS(2693),
    [anon_sym_default] = ACTIONS(2693),
    [anon_sym_type] = ACTIONS(2693),
    [anon_sym_namespace] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [anon_sym_typeof] = ACTIONS(2693),
    [anon_sym_import] = ACTIONS(2693),
    [anon_sym_with] = ACTIONS(2693),
    [anon_sym_var] = ACTIONS(2693),
    [anon_sym_let] = ACTIONS(2693),
    [anon_sym_const] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2691),
    [anon_sym_else] = ACTIONS(2693),
    [anon_sym_if] = ACTIONS(2693),
    [anon_sym_switch] = ACTIONS(2693),
    [anon_sym_for] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_await] = ACTIONS(2693),
    [anon_sym_while] = ACTIONS(2693),
    [anon_sym_do] = ACTIONS(2693),
    [anon_sym_try] = ACTIONS(2693),
    [anon_sym_break] = ACTIONS(2693),
    [anon_sym_continue] = ACTIONS(2693),
    [anon_sym_debugger] = ACTIONS(2693),
    [anon_sym_return] = ACTIONS(2693),
    [anon_sym_throw] = ACTIONS(2693),
    [anon_sym_case] = ACTIONS(2693),
    [anon_sym_yield] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [sym_glimmer_opening_tag] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2691),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2693),
    [anon_sym_async] = ACTIONS(2693),
    [anon_sym_function] = ACTIONS(2693),
    [anon_sym_new] = ACTIONS(2693),
    [anon_sym_using] = ACTIONS(2693),
    [anon_sym_PLUS] = ACTIONS(2693),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_SLASH] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_TILDE] = ACTIONS(2691),
    [anon_sym_void] = ACTIONS(2693),
    [anon_sym_delete] = ACTIONS(2693),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2691),
    [sym_number] = ACTIONS(2691),
    [sym_private_property_identifier] = ACTIONS(2691),
    [sym_this] = ACTIONS(2693),
    [sym_super] = ACTIONS(2693),
    [sym_true] = ACTIONS(2693),
    [sym_false] = ACTIONS(2693),
    [sym_null] = ACTIONS(2693),
    [sym_undefined] = ACTIONS(2693),
    [anon_sym_AT] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2693),
    [anon_sym_readonly] = ACTIONS(2693),
    [anon_sym_get] = ACTIONS(2693),
    [anon_sym_set] = ACTIONS(2693),
    [anon_sym_declare] = ACTIONS(2693),
    [anon_sym_public] = ACTIONS(2693),
    [anon_sym_private] = ACTIONS(2693),
    [anon_sym_protected] = ACTIONS(2693),
    [anon_sym_override] = ACTIONS(2693),
    [anon_sym_module] = ACTIONS(2693),
    [anon_sym_any] = ACTIONS(2693),
    [anon_sym_number] = ACTIONS(2693),
    [anon_sym_boolean] = ACTIONS(2693),
    [anon_sym_string] = ACTIONS(2693),
    [anon_sym_symbol] = ACTIONS(2693),
    [anon_sym_object] = ACTIONS(2693),
    [anon_sym_abstract] = ACTIONS(2693),
    [anon_sym_interface] = ACTIONS(2693),
    [anon_sym_enum] = ACTIONS(2693),
    [sym_html_comment] = ACTIONS(5),
  },
  [833] = {
    [ts_builtin_sym_end] = ACTIONS(2695),
    [sym_identifier] = ACTIONS(2697),
    [anon_sym_export] = ACTIONS(2697),
    [anon_sym_default] = ACTIONS(2697),
    [anon_sym_type] = ACTIONS(2697),
    [anon_sym_namespace] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2695),
    [anon_sym_RBRACE] = ACTIONS(2695),
    [anon_sym_typeof] = ACTIONS(2697),
    [anon_sym_import] = ACTIONS(2697),
    [anon_sym_with] = ACTIONS(2697),
    [anon_sym_var] = ACTIONS(2697),
    [anon_sym_let] = ACTIONS(2697),
    [anon_sym_const] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2695),
    [anon_sym_else] = ACTIONS(2697),
    [anon_sym_if] = ACTIONS(2697),
    [anon_sym_switch] = ACTIONS(2697),
    [anon_sym_for] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2695),
    [anon_sym_await] = ACTIONS(2697),
    [anon_sym_while] = ACTIONS(2697),
    [anon_sym_do] = ACTIONS(2697),
    [anon_sym_try] = ACTIONS(2697),
    [anon_sym_break] = ACTIONS(2697),
    [anon_sym_continue] = ACTIONS(2697),
    [anon_sym_debugger] = ACTIONS(2697),
    [anon_sym_return] = ACTIONS(2697),
    [anon_sym_throw] = ACTIONS(2697),
    [anon_sym_case] = ACTIONS(2697),
    [anon_sym_yield] = ACTIONS(2697),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [sym_glimmer_opening_tag] = ACTIONS(2695),
    [anon_sym_DQUOTE] = ACTIONS(2695),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [anon_sym_class] = ACTIONS(2697),
    [anon_sym_async] = ACTIONS(2697),
    [anon_sym_function] = ACTIONS(2697),
    [anon_sym_new] = ACTIONS(2697),
    [anon_sym_using] = ACTIONS(2697),
    [anon_sym_PLUS] = ACTIONS(2697),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_SLASH] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_TILDE] = ACTIONS(2695),
    [anon_sym_void] = ACTIONS(2697),
    [anon_sym_delete] = ACTIONS(2697),
    [anon_sym_PLUS_PLUS] = ACTIONS(2695),
    [anon_sym_DASH_DASH] = ACTIONS(2695),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2695),
    [sym_number] = ACTIONS(2695),
    [sym_private_property_identifier] = ACTIONS(2695),
    [sym_this] = ACTIONS(2697),
    [sym_super] = ACTIONS(2697),
    [sym_true] = ACTIONS(2697),
    [sym_false] = ACTIONS(2697),
    [sym_null] = ACTIONS(2697),
    [sym_undefined] = ACTIONS(2697),
    [anon_sym_AT] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2697),
    [anon_sym_readonly] = ACTIONS(2697),
    [anon_sym_get] = ACTIONS(2697),
    [anon_sym_set] = ACTIONS(2697),
    [anon_sym_declare] = ACTIONS(2697),
    [anon_sym_public] = ACTIONS(2697),
    [anon_sym_private] = ACTIONS(2697),
    [anon_sym_protected] = ACTIONS(2697),
    [anon_sym_override] = ACTIONS(2697),
    [anon_sym_module] = ACTIONS(2697),
    [anon_sym_any] = ACTIONS(2697),
    [anon_sym_number] = ACTIONS(2697),
    [anon_sym_boolean] = ACTIONS(2697),
    [anon_sym_string] = ACTIONS(2697),
    [anon_sym_symbol] = ACTIONS(2697),
    [anon_sym_object] = ACTIONS(2697),
    [anon_sym_abstract] = ACTIONS(2697),
    [anon_sym_interface] = ACTIONS(2697),
    [anon_sym_enum] = ACTIONS(2697),
    [sym_html_comment] = ACTIONS(5),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_export] = ACTIONS(2701),
    [anon_sym_default] = ACTIONS(2701),
    [anon_sym_type] = ACTIONS(2701),
    [anon_sym_namespace] = ACTIONS(2701),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_typeof] = ACTIONS(2701),
    [anon_sym_import] = ACTIONS(2701),
    [anon_sym_with] = ACTIONS(2701),
    [anon_sym_var] = ACTIONS(2701),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_const] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2701),
    [anon_sym_if] = ACTIONS(2701),
    [anon_sym_switch] = ACTIONS(2701),
    [anon_sym_for] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2699),
    [anon_sym_await] = ACTIONS(2701),
    [anon_sym_while] = ACTIONS(2701),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_try] = ACTIONS(2701),
    [anon_sym_break] = ACTIONS(2701),
    [anon_sym_continue] = ACTIONS(2701),
    [anon_sym_debugger] = ACTIONS(2701),
    [anon_sym_return] = ACTIONS(2701),
    [anon_sym_throw] = ACTIONS(2701),
    [anon_sym_case] = ACTIONS(2701),
    [anon_sym_yield] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [sym_glimmer_opening_tag] = ACTIONS(2699),
    [anon_sym_DQUOTE] = ACTIONS(2699),
    [anon_sym_SQUOTE] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2701),
    [anon_sym_async] = ACTIONS(2701),
    [anon_sym_function] = ACTIONS(2701),
    [anon_sym_new] = ACTIONS(2701),
    [anon_sym_using] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_void] = ACTIONS(2701),
    [anon_sym_delete] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2699),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2699),
    [sym_number] = ACTIONS(2699),
    [sym_private_property_identifier] = ACTIONS(2699),
    [sym_this] = ACTIONS(2701),
    [sym_super] = ACTIONS(2701),
    [sym_true] = ACTIONS(2701),
    [sym_false] = ACTIONS(2701),
    [sym_null] = ACTIONS(2701),
    [sym_undefined] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2701),
    [anon_sym_readonly] = ACTIONS(2701),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2701),
    [anon_sym_public] = ACTIONS(2701),
    [anon_sym_private] = ACTIONS(2701),
    [anon_sym_protected] = ACTIONS(2701),
    [anon_sym_override] = ACTIONS(2701),
    [anon_sym_module] = ACTIONS(2701),
    [anon_sym_any] = ACTIONS(2701),
    [anon_sym_number] = ACTIONS(2701),
    [anon_sym_boolean] = ACTIONS(2701),
    [anon_sym_string] = ACTIONS(2701),
    [anon_sym_symbol] = ACTIONS(2701),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_abstract] = ACTIONS(2701),
    [anon_sym_interface] = ACTIONS(2701),
    [anon_sym_enum] = ACTIONS(2701),
    [sym_html_comment] = ACTIONS(5),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(2699),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_export] = ACTIONS(2701),
    [anon_sym_default] = ACTIONS(2701),
    [anon_sym_type] = ACTIONS(2701),
    [anon_sym_namespace] = ACTIONS(2701),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_RBRACE] = ACTIONS(2699),
    [anon_sym_typeof] = ACTIONS(2701),
    [anon_sym_import] = ACTIONS(2701),
    [anon_sym_with] = ACTIONS(2701),
    [anon_sym_var] = ACTIONS(2701),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_const] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2699),
    [anon_sym_else] = ACTIONS(2701),
    [anon_sym_if] = ACTIONS(2701),
    [anon_sym_switch] = ACTIONS(2701),
    [anon_sym_for] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2699),
    [anon_sym_await] = ACTIONS(2701),
    [anon_sym_while] = ACTIONS(2701),
    [anon_sym_do] = ACTIONS(2701),
    [anon_sym_try] = ACTIONS(2701),
    [anon_sym_break] = ACTIONS(2701),
    [anon_sym_continue] = ACTIONS(2701),
    [anon_sym_debugger] = ACTIONS(2701),
    [anon_sym_return] = ACTIONS(2701),
    [anon_sym_throw] = ACTIONS(2701),
    [anon_sym_case] = ACTIONS(2701),
    [anon_sym_yield] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2699),
    [sym_glimmer_opening_tag] = ACTIONS(2699),
    [anon_sym_DQUOTE] = ACTIONS(2699),
    [anon_sym_SQUOTE] = ACTIONS(2699),
    [anon_sym_class] = ACTIONS(2701),
    [anon_sym_async] = ACTIONS(2701),
    [anon_sym_function] = ACTIONS(2701),
    [anon_sym_new] = ACTIONS(2701),
    [anon_sym_using] = ACTIONS(2701),
    [anon_sym_PLUS] = ACTIONS(2701),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_SLASH] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(2699),
    [anon_sym_void] = ACTIONS(2701),
    [anon_sym_delete] = ACTIONS(2701),
    [anon_sym_PLUS_PLUS] = ACTIONS(2699),
    [anon_sym_DASH_DASH] = ACTIONS(2699),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2699),
    [sym_number] = ACTIONS(2699),
    [sym_private_property_identifier] = ACTIONS(2699),
    [sym_this] = ACTIONS(2701),
    [sym_super] = ACTIONS(2701),
    [sym_true] = ACTIONS(2701),
    [sym_false] = ACTIONS(2701),
    [sym_null] = ACTIONS(2701),
    [sym_undefined] = ACTIONS(2701),
    [anon_sym_AT] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2701),
    [anon_sym_readonly] = ACTIONS(2701),
    [anon_sym_get] = ACTIONS(2701),
    [anon_sym_set] = ACTIONS(2701),
    [anon_sym_declare] = ACTIONS(2701),
    [anon_sym_public] = ACTIONS(2701),
    [anon_sym_private] = ACTIONS(2701),
    [anon_sym_protected] = ACTIONS(2701),
    [anon_sym_override] = ACTIONS(2701),
    [anon_sym_module] = ACTIONS(2701),
    [anon_sym_any] = ACTIONS(2701),
    [anon_sym_number] = ACTIONS(2701),
    [anon_sym_boolean] = ACTIONS(2701),
    [anon_sym_string] = ACTIONS(2701),
    [anon_sym_symbol] = ACTIONS(2701),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_abstract] = ACTIONS(2701),
    [anon_sym_interface] = ACTIONS(2701),
    [anon_sym_enum] = ACTIONS(2701),
    [sym_html_comment] = ACTIONS(5),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [837] = {
    [ts_builtin_sym_end] = ACTIONS(2703),
    [sym_identifier] = ACTIONS(2705),
    [anon_sym_export] = ACTIONS(2705),
    [anon_sym_default] = ACTIONS(2705),
    [anon_sym_type] = ACTIONS(2705),
    [anon_sym_namespace] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(2703),
    [anon_sym_RBRACE] = ACTIONS(2703),
    [anon_sym_typeof] = ACTIONS(2705),
    [anon_sym_import] = ACTIONS(2705),
    [anon_sym_with] = ACTIONS(2705),
    [anon_sym_var] = ACTIONS(2705),
    [anon_sym_let] = ACTIONS(2705),
    [anon_sym_const] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2703),
    [anon_sym_else] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2705),
    [anon_sym_switch] = ACTIONS(2705),
    [anon_sym_for] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2703),
    [anon_sym_await] = ACTIONS(2705),
    [anon_sym_while] = ACTIONS(2705),
    [anon_sym_do] = ACTIONS(2705),
    [anon_sym_try] = ACTIONS(2705),
    [anon_sym_break] = ACTIONS(2705),
    [anon_sym_continue] = ACTIONS(2705),
    [anon_sym_debugger] = ACTIONS(2705),
    [anon_sym_return] = ACTIONS(2705),
    [anon_sym_throw] = ACTIONS(2705),
    [anon_sym_case] = ACTIONS(2705),
    [anon_sym_yield] = ACTIONS(2705),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [sym_glimmer_opening_tag] = ACTIONS(2703),
    [anon_sym_DQUOTE] = ACTIONS(2703),
    [anon_sym_SQUOTE] = ACTIONS(2703),
    [anon_sym_class] = ACTIONS(2705),
    [anon_sym_async] = ACTIONS(2705),
    [anon_sym_function] = ACTIONS(2705),
    [anon_sym_new] = ACTIONS(2705),
    [anon_sym_using] = ACTIONS(2705),
    [anon_sym_PLUS] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2705),
    [anon_sym_SLASH] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2703),
    [anon_sym_void] = ACTIONS(2705),
    [anon_sym_delete] = ACTIONS(2705),
    [anon_sym_PLUS_PLUS] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(2703),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2703),
    [sym_number] = ACTIONS(2703),
    [sym_private_property_identifier] = ACTIONS(2703),
    [sym_this] = ACTIONS(2705),
    [sym_super] = ACTIONS(2705),
    [sym_true] = ACTIONS(2705),
    [sym_false] = ACTIONS(2705),
    [sym_null] = ACTIONS(2705),
    [sym_undefined] = ACTIONS(2705),
    [anon_sym_AT] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2705),
    [anon_sym_readonly] = ACTIONS(2705),
    [anon_sym_get] = ACTIONS(2705),
    [anon_sym_set] = ACTIONS(2705),
    [anon_sym_declare] = ACTIONS(2705),
    [anon_sym_public] = ACTIONS(2705),
    [anon_sym_private] = ACTIONS(2705),
    [anon_sym_protected] = ACTIONS(2705),
    [anon_sym_override] = ACTIONS(2705),
    [anon_sym_module] = ACTIONS(2705),
    [anon_sym_any] = ACTIONS(2705),
    [anon_sym_number] = ACTIONS(2705),
    [anon_sym_boolean] = ACTIONS(2705),
    [anon_sym_string] = ACTIONS(2705),
    [anon_sym_symbol] = ACTIONS(2705),
    [anon_sym_object] = ACTIONS(2705),
    [anon_sym_abstract] = ACTIONS(2705),
    [anon_sym_interface] = ACTIONS(2705),
    [anon_sym_enum] = ACTIONS(2705),
    [sym_html_comment] = ACTIONS(5),
  },
  [838] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [839] = {
    [ts_builtin_sym_end] = ACTIONS(2707),
    [sym_identifier] = ACTIONS(2709),
    [anon_sym_export] = ACTIONS(2709),
    [anon_sym_default] = ACTIONS(2709),
    [anon_sym_type] = ACTIONS(2709),
    [anon_sym_namespace] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2707),
    [anon_sym_RBRACE] = ACTIONS(2707),
    [anon_sym_typeof] = ACTIONS(2709),
    [anon_sym_import] = ACTIONS(2709),
    [anon_sym_with] = ACTIONS(2709),
    [anon_sym_var] = ACTIONS(2709),
    [anon_sym_let] = ACTIONS(2709),
    [anon_sym_const] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2707),
    [anon_sym_else] = ACTIONS(2709),
    [anon_sym_if] = ACTIONS(2709),
    [anon_sym_switch] = ACTIONS(2709),
    [anon_sym_for] = ACTIONS(2709),
    [anon_sym_LPAREN] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2707),
    [anon_sym_await] = ACTIONS(2709),
    [anon_sym_while] = ACTIONS(2709),
    [anon_sym_do] = ACTIONS(2709),
    [anon_sym_try] = ACTIONS(2709),
    [anon_sym_break] = ACTIONS(2709),
    [anon_sym_continue] = ACTIONS(2709),
    [anon_sym_debugger] = ACTIONS(2709),
    [anon_sym_return] = ACTIONS(2709),
    [anon_sym_throw] = ACTIONS(2709),
    [anon_sym_case] = ACTIONS(2709),
    [anon_sym_yield] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2707),
    [sym_glimmer_opening_tag] = ACTIONS(2707),
    [anon_sym_DQUOTE] = ACTIONS(2707),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_class] = ACTIONS(2709),
    [anon_sym_async] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2709),
    [anon_sym_new] = ACTIONS(2709),
    [anon_sym_using] = ACTIONS(2709),
    [anon_sym_PLUS] = ACTIONS(2709),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_SLASH] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_TILDE] = ACTIONS(2707),
    [anon_sym_void] = ACTIONS(2709),
    [anon_sym_delete] = ACTIONS(2709),
    [anon_sym_PLUS_PLUS] = ACTIONS(2707),
    [anon_sym_DASH_DASH] = ACTIONS(2707),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2707),
    [sym_number] = ACTIONS(2707),
    [sym_private_property_identifier] = ACTIONS(2707),
    [sym_this] = ACTIONS(2709),
    [sym_super] = ACTIONS(2709),
    [sym_true] = ACTIONS(2709),
    [sym_false] = ACTIONS(2709),
    [sym_null] = ACTIONS(2709),
    [sym_undefined] = ACTIONS(2709),
    [anon_sym_AT] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2709),
    [anon_sym_readonly] = ACTIONS(2709),
    [anon_sym_get] = ACTIONS(2709),
    [anon_sym_set] = ACTIONS(2709),
    [anon_sym_declare] = ACTIONS(2709),
    [anon_sym_public] = ACTIONS(2709),
    [anon_sym_private] = ACTIONS(2709),
    [anon_sym_protected] = ACTIONS(2709),
    [anon_sym_override] = ACTIONS(2709),
    [anon_sym_module] = ACTIONS(2709),
    [anon_sym_any] = ACTIONS(2709),
    [anon_sym_number] = ACTIONS(2709),
    [anon_sym_boolean] = ACTIONS(2709),
    [anon_sym_string] = ACTIONS(2709),
    [anon_sym_symbol] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2709),
    [anon_sym_abstract] = ACTIONS(2709),
    [anon_sym_interface] = ACTIONS(2709),
    [anon_sym_enum] = ACTIONS(2709),
    [sym_html_comment] = ACTIONS(5),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_type] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_typeof] = ACTIONS(1925),
    [anon_sym_import] = ACTIONS(1925),
    [anon_sym_with] = ACTIONS(1925),
    [anon_sym_var] = ACTIONS(1925),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_LPAREN] = ACTIONS(1923),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_debugger] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_yield] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [sym_glimmer_opening_tag] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_using] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_SLASH] = ACTIONS(1925),
    [anon_sym_LT] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_void] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1923),
    [sym_number] = ACTIONS(1923),
    [sym_private_property_identifier] = ACTIONS(1923),
    [sym_this] = ACTIONS(1925),
    [sym_super] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_undefined] = ACTIONS(1925),
    [anon_sym_AT] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_readonly] = ACTIONS(1925),
    [anon_sym_get] = ACTIONS(1925),
    [anon_sym_set] = ACTIONS(1925),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1925),
    [anon_sym_private] = ACTIONS(1925),
    [anon_sym_protected] = ACTIONS(1925),
    [anon_sym_override] = ACTIONS(1925),
    [anon_sym_module] = ACTIONS(1925),
    [anon_sym_any] = ACTIONS(1925),
    [anon_sym_number] = ACTIONS(1925),
    [anon_sym_boolean] = ACTIONS(1925),
    [anon_sym_string] = ACTIONS(1925),
    [anon_sym_symbol] = ACTIONS(1925),
    [anon_sym_object] = ACTIONS(1925),
    [anon_sym_abstract] = ACTIONS(1925),
    [anon_sym_interface] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
    [sym_html_comment] = ACTIONS(5),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(1739),
    [sym_identifier] = ACTIONS(1741),
    [anon_sym_export] = ACTIONS(1741),
    [anon_sym_default] = ACTIONS(1741),
    [anon_sym_type] = ACTIONS(1741),
    [anon_sym_namespace] = ACTIONS(1741),
    [anon_sym_LBRACE] = ACTIONS(1739),
    [anon_sym_RBRACE] = ACTIONS(1739),
    [anon_sym_typeof] = ACTIONS(1741),
    [anon_sym_import] = ACTIONS(1741),
    [anon_sym_with] = ACTIONS(1741),
    [anon_sym_var] = ACTIONS(1741),
    [anon_sym_let] = ACTIONS(1741),
    [anon_sym_const] = ACTIONS(1741),
    [anon_sym_BANG] = ACTIONS(1739),
    [anon_sym_else] = ACTIONS(1741),
    [anon_sym_if] = ACTIONS(1741),
    [anon_sym_switch] = ACTIONS(1741),
    [anon_sym_for] = ACTIONS(1741),
    [anon_sym_LPAREN] = ACTIONS(1739),
    [anon_sym_SEMI] = ACTIONS(1739),
    [anon_sym_await] = ACTIONS(1741),
    [anon_sym_while] = ACTIONS(1741),
    [anon_sym_do] = ACTIONS(1741),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_break] = ACTIONS(1741),
    [anon_sym_continue] = ACTIONS(1741),
    [anon_sym_debugger] = ACTIONS(1741),
    [anon_sym_return] = ACTIONS(1741),
    [anon_sym_throw] = ACTIONS(1741),
    [anon_sym_case] = ACTIONS(1741),
    [anon_sym_yield] = ACTIONS(1741),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [sym_glimmer_opening_tag] = ACTIONS(1739),
    [anon_sym_DQUOTE] = ACTIONS(1739),
    [anon_sym_SQUOTE] = ACTIONS(1739),
    [anon_sym_class] = ACTIONS(1741),
    [anon_sym_async] = ACTIONS(1741),
    [anon_sym_function] = ACTIONS(1741),
    [anon_sym_new] = ACTIONS(1741),
    [anon_sym_using] = ACTIONS(1741),
    [anon_sym_PLUS] = ACTIONS(1741),
    [anon_sym_DASH] = ACTIONS(1741),
    [anon_sym_SLASH] = ACTIONS(1741),
    [anon_sym_LT] = ACTIONS(1741),
    [anon_sym_TILDE] = ACTIONS(1739),
    [anon_sym_void] = ACTIONS(1741),
    [anon_sym_delete] = ACTIONS(1741),
    [anon_sym_PLUS_PLUS] = ACTIONS(1739),
    [anon_sym_DASH_DASH] = ACTIONS(1739),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1739),
    [sym_number] = ACTIONS(1739),
    [sym_private_property_identifier] = ACTIONS(1739),
    [sym_this] = ACTIONS(1741),
    [sym_super] = ACTIONS(1741),
    [sym_true] = ACTIONS(1741),
    [sym_false] = ACTIONS(1741),
    [sym_null] = ACTIONS(1741),
    [sym_undefined] = ACTIONS(1741),
    [anon_sym_AT] = ACTIONS(1739),
    [anon_sym_static] = ACTIONS(1741),
    [anon_sym_readonly] = ACTIONS(1741),
    [anon_sym_get] = ACTIONS(1741),
    [anon_sym_set] = ACTIONS(1741),
    [anon_sym_declare] = ACTIONS(1741),
    [anon_sym_public] = ACTIONS(1741),
    [anon_sym_private] = ACTIONS(1741),
    [anon_sym_protected] = ACTIONS(1741),
    [anon_sym_override] = ACTIONS(1741),
    [anon_sym_module] = ACTIONS(1741),
    [anon_sym_any] = ACTIONS(1741),
    [anon_sym_number] = ACTIONS(1741),
    [anon_sym_boolean] = ACTIONS(1741),
    [anon_sym_string] = ACTIONS(1741),
    [anon_sym_symbol] = ACTIONS(1741),
    [anon_sym_object] = ACTIONS(1741),
    [anon_sym_abstract] = ACTIONS(1741),
    [anon_sym_interface] = ACTIONS(1741),
    [anon_sym_enum] = ACTIONS(1741),
    [sym_html_comment] = ACTIONS(5),
  },
  [842] = {
    [ts_builtin_sym_end] = ACTIONS(2711),
    [sym_identifier] = ACTIONS(2713),
    [anon_sym_export] = ACTIONS(2713),
    [anon_sym_default] = ACTIONS(2713),
    [anon_sym_type] = ACTIONS(2713),
    [anon_sym_namespace] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2711),
    [anon_sym_RBRACE] = ACTIONS(2711),
    [anon_sym_typeof] = ACTIONS(2713),
    [anon_sym_import] = ACTIONS(2713),
    [anon_sym_with] = ACTIONS(2713),
    [anon_sym_var] = ACTIONS(2713),
    [anon_sym_let] = ACTIONS(2713),
    [anon_sym_const] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2711),
    [anon_sym_else] = ACTIONS(2713),
    [anon_sym_if] = ACTIONS(2713),
    [anon_sym_switch] = ACTIONS(2713),
    [anon_sym_for] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2711),
    [anon_sym_await] = ACTIONS(2713),
    [anon_sym_while] = ACTIONS(2713),
    [anon_sym_do] = ACTIONS(2713),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_break] = ACTIONS(2713),
    [anon_sym_continue] = ACTIONS(2713),
    [anon_sym_debugger] = ACTIONS(2713),
    [anon_sym_return] = ACTIONS(2713),
    [anon_sym_throw] = ACTIONS(2713),
    [anon_sym_case] = ACTIONS(2713),
    [anon_sym_yield] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2711),
    [sym_glimmer_opening_tag] = ACTIONS(2711),
    [anon_sym_DQUOTE] = ACTIONS(2711),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_class] = ACTIONS(2713),
    [anon_sym_async] = ACTIONS(2713),
    [anon_sym_function] = ACTIONS(2713),
    [anon_sym_new] = ACTIONS(2713),
    [anon_sym_using] = ACTIONS(2713),
    [anon_sym_PLUS] = ACTIONS(2713),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_SLASH] = ACTIONS(2713),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_TILDE] = ACTIONS(2711),
    [anon_sym_void] = ACTIONS(2713),
    [anon_sym_delete] = ACTIONS(2713),
    [anon_sym_PLUS_PLUS] = ACTIONS(2711),
    [anon_sym_DASH_DASH] = ACTIONS(2711),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2711),
    [sym_number] = ACTIONS(2711),
    [sym_private_property_identifier] = ACTIONS(2711),
    [sym_this] = ACTIONS(2713),
    [sym_super] = ACTIONS(2713),
    [sym_true] = ACTIONS(2713),
    [sym_false] = ACTIONS(2713),
    [sym_null] = ACTIONS(2713),
    [sym_undefined] = ACTIONS(2713),
    [anon_sym_AT] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2713),
    [anon_sym_readonly] = ACTIONS(2713),
    [anon_sym_get] = ACTIONS(2713),
    [anon_sym_set] = ACTIONS(2713),
    [anon_sym_declare] = ACTIONS(2713),
    [anon_sym_public] = ACTIONS(2713),
    [anon_sym_private] = ACTIONS(2713),
    [anon_sym_protected] = ACTIONS(2713),
    [anon_sym_override] = ACTIONS(2713),
    [anon_sym_module] = ACTIONS(2713),
    [anon_sym_any] = ACTIONS(2713),
    [anon_sym_number] = ACTIONS(2713),
    [anon_sym_boolean] = ACTIONS(2713),
    [anon_sym_string] = ACTIONS(2713),
    [anon_sym_symbol] = ACTIONS(2713),
    [anon_sym_object] = ACTIONS(2713),
    [anon_sym_abstract] = ACTIONS(2713),
    [anon_sym_interface] = ACTIONS(2713),
    [anon_sym_enum] = ACTIONS(2713),
    [sym_html_comment] = ACTIONS(5),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2715),
    [sym_identifier] = ACTIONS(2717),
    [anon_sym_export] = ACTIONS(2717),
    [anon_sym_default] = ACTIONS(2717),
    [anon_sym_type] = ACTIONS(2717),
    [anon_sym_namespace] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2715),
    [anon_sym_RBRACE] = ACTIONS(2715),
    [anon_sym_typeof] = ACTIONS(2717),
    [anon_sym_import] = ACTIONS(2717),
    [anon_sym_with] = ACTIONS(2717),
    [anon_sym_var] = ACTIONS(2717),
    [anon_sym_let] = ACTIONS(2717),
    [anon_sym_const] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(2717),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_switch] = ACTIONS(2717),
    [anon_sym_for] = ACTIONS(2717),
    [anon_sym_LPAREN] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2715),
    [anon_sym_await] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(2717),
    [anon_sym_do] = ACTIONS(2717),
    [anon_sym_try] = ACTIONS(2717),
    [anon_sym_break] = ACTIONS(2717),
    [anon_sym_continue] = ACTIONS(2717),
    [anon_sym_debugger] = ACTIONS(2717),
    [anon_sym_return] = ACTIONS(2717),
    [anon_sym_throw] = ACTIONS(2717),
    [anon_sym_case] = ACTIONS(2717),
    [anon_sym_yield] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2715),
    [sym_glimmer_opening_tag] = ACTIONS(2715),
    [anon_sym_DQUOTE] = ACTIONS(2715),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_class] = ACTIONS(2717),
    [anon_sym_async] = ACTIONS(2717),
    [anon_sym_function] = ACTIONS(2717),
    [anon_sym_new] = ACTIONS(2717),
    [anon_sym_using] = ACTIONS(2717),
    [anon_sym_PLUS] = ACTIONS(2717),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_SLASH] = ACTIONS(2717),
    [anon_sym_LT] = ACTIONS(2717),
    [anon_sym_TILDE] = ACTIONS(2715),
    [anon_sym_void] = ACTIONS(2717),
    [anon_sym_delete] = ACTIONS(2717),
    [anon_sym_PLUS_PLUS] = ACTIONS(2715),
    [anon_sym_DASH_DASH] = ACTIONS(2715),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2715),
    [sym_number] = ACTIONS(2715),
    [sym_private_property_identifier] = ACTIONS(2715),
    [sym_this] = ACTIONS(2717),
    [sym_super] = ACTIONS(2717),
    [sym_true] = ACTIONS(2717),
    [sym_false] = ACTIONS(2717),
    [sym_null] = ACTIONS(2717),
    [sym_undefined] = ACTIONS(2717),
    [anon_sym_AT] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2717),
    [anon_sym_readonly] = ACTIONS(2717),
    [anon_sym_get] = ACTIONS(2717),
    [anon_sym_set] = ACTIONS(2717),
    [anon_sym_declare] = ACTIONS(2717),
    [anon_sym_public] = ACTIONS(2717),
    [anon_sym_private] = ACTIONS(2717),
    [anon_sym_protected] = ACTIONS(2717),
    [anon_sym_override] = ACTIONS(2717),
    [anon_sym_module] = ACTIONS(2717),
    [anon_sym_any] = ACTIONS(2717),
    [anon_sym_number] = ACTIONS(2717),
    [anon_sym_boolean] = ACTIONS(2717),
    [anon_sym_string] = ACTIONS(2717),
    [anon_sym_symbol] = ACTIONS(2717),
    [anon_sym_object] = ACTIONS(2717),
    [anon_sym_abstract] = ACTIONS(2717),
    [anon_sym_interface] = ACTIONS(2717),
    [anon_sym_enum] = ACTIONS(2717),
    [sym_html_comment] = ACTIONS(5),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2719),
    [sym_identifier] = ACTIONS(2721),
    [anon_sym_export] = ACTIONS(2721),
    [anon_sym_default] = ACTIONS(2721),
    [anon_sym_type] = ACTIONS(2721),
    [anon_sym_namespace] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2719),
    [anon_sym_RBRACE] = ACTIONS(2719),
    [anon_sym_typeof] = ACTIONS(2721),
    [anon_sym_import] = ACTIONS(2721),
    [anon_sym_with] = ACTIONS(2721),
    [anon_sym_var] = ACTIONS(2721),
    [anon_sym_let] = ACTIONS(2721),
    [anon_sym_const] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2719),
    [anon_sym_else] = ACTIONS(2721),
    [anon_sym_if] = ACTIONS(2721),
    [anon_sym_switch] = ACTIONS(2721),
    [anon_sym_for] = ACTIONS(2721),
    [anon_sym_LPAREN] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2719),
    [anon_sym_await] = ACTIONS(2721),
    [anon_sym_while] = ACTIONS(2721),
    [anon_sym_do] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2721),
    [anon_sym_break] = ACTIONS(2721),
    [anon_sym_continue] = ACTIONS(2721),
    [anon_sym_debugger] = ACTIONS(2721),
    [anon_sym_return] = ACTIONS(2721),
    [anon_sym_throw] = ACTIONS(2721),
    [anon_sym_case] = ACTIONS(2721),
    [anon_sym_yield] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [sym_glimmer_opening_tag] = ACTIONS(2719),
    [anon_sym_DQUOTE] = ACTIONS(2719),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_class] = ACTIONS(2721),
    [anon_sym_async] = ACTIONS(2721),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_new] = ACTIONS(2721),
    [anon_sym_using] = ACTIONS(2721),
    [anon_sym_PLUS] = ACTIONS(2721),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_SLASH] = ACTIONS(2721),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_TILDE] = ACTIONS(2719),
    [anon_sym_void] = ACTIONS(2721),
    [anon_sym_delete] = ACTIONS(2721),
    [anon_sym_PLUS_PLUS] = ACTIONS(2719),
    [anon_sym_DASH_DASH] = ACTIONS(2719),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2719),
    [sym_number] = ACTIONS(2719),
    [sym_private_property_identifier] = ACTIONS(2719),
    [sym_this] = ACTIONS(2721),
    [sym_super] = ACTIONS(2721),
    [sym_true] = ACTIONS(2721),
    [sym_false] = ACTIONS(2721),
    [sym_null] = ACTIONS(2721),
    [sym_undefined] = ACTIONS(2721),
    [anon_sym_AT] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2721),
    [anon_sym_readonly] = ACTIONS(2721),
    [anon_sym_get] = ACTIONS(2721),
    [anon_sym_set] = ACTIONS(2721),
    [anon_sym_declare] = ACTIONS(2721),
    [anon_sym_public] = ACTIONS(2721),
    [anon_sym_private] = ACTIONS(2721),
    [anon_sym_protected] = ACTIONS(2721),
    [anon_sym_override] = ACTIONS(2721),
    [anon_sym_module] = ACTIONS(2721),
    [anon_sym_any] = ACTIONS(2721),
    [anon_sym_number] = ACTIONS(2721),
    [anon_sym_boolean] = ACTIONS(2721),
    [anon_sym_string] = ACTIONS(2721),
    [anon_sym_symbol] = ACTIONS(2721),
    [anon_sym_object] = ACTIONS(2721),
    [anon_sym_abstract] = ACTIONS(2721),
    [anon_sym_interface] = ACTIONS(2721),
    [anon_sym_enum] = ACTIONS(2721),
    [sym_html_comment] = ACTIONS(5),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2723),
    [sym_identifier] = ACTIONS(2725),
    [anon_sym_export] = ACTIONS(2725),
    [anon_sym_default] = ACTIONS(2725),
    [anon_sym_type] = ACTIONS(2725),
    [anon_sym_namespace] = ACTIONS(2725),
    [anon_sym_LBRACE] = ACTIONS(2723),
    [anon_sym_RBRACE] = ACTIONS(2723),
    [anon_sym_typeof] = ACTIONS(2725),
    [anon_sym_import] = ACTIONS(2725),
    [anon_sym_with] = ACTIONS(2725),
    [anon_sym_var] = ACTIONS(2725),
    [anon_sym_let] = ACTIONS(2725),
    [anon_sym_const] = ACTIONS(2725),
    [anon_sym_BANG] = ACTIONS(2723),
    [anon_sym_else] = ACTIONS(2725),
    [anon_sym_if] = ACTIONS(2725),
    [anon_sym_switch] = ACTIONS(2725),
    [anon_sym_for] = ACTIONS(2725),
    [anon_sym_LPAREN] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2723),
    [anon_sym_await] = ACTIONS(2725),
    [anon_sym_while] = ACTIONS(2725),
    [anon_sym_do] = ACTIONS(2725),
    [anon_sym_try] = ACTIONS(2725),
    [anon_sym_break] = ACTIONS(2725),
    [anon_sym_continue] = ACTIONS(2725),
    [anon_sym_debugger] = ACTIONS(2725),
    [anon_sym_return] = ACTIONS(2725),
    [anon_sym_throw] = ACTIONS(2725),
    [anon_sym_case] = ACTIONS(2725),
    [anon_sym_yield] = ACTIONS(2725),
    [anon_sym_LBRACK] = ACTIONS(2723),
    [sym_glimmer_opening_tag] = ACTIONS(2723),
    [anon_sym_DQUOTE] = ACTIONS(2723),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_class] = ACTIONS(2725),
    [anon_sym_async] = ACTIONS(2725),
    [anon_sym_function] = ACTIONS(2725),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_using] = ACTIONS(2725),
    [anon_sym_PLUS] = ACTIONS(2725),
    [anon_sym_DASH] = ACTIONS(2725),
    [anon_sym_SLASH] = ACTIONS(2725),
    [anon_sym_LT] = ACTIONS(2725),
    [anon_sym_TILDE] = ACTIONS(2723),
    [anon_sym_void] = ACTIONS(2725),
    [anon_sym_delete] = ACTIONS(2725),
    [anon_sym_PLUS_PLUS] = ACTIONS(2723),
    [anon_sym_DASH_DASH] = ACTIONS(2723),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2723),
    [sym_number] = ACTIONS(2723),
    [sym_private_property_identifier] = ACTIONS(2723),
    [sym_this] = ACTIONS(2725),
    [sym_super] = ACTIONS(2725),
    [sym_true] = ACTIONS(2725),
    [sym_false] = ACTIONS(2725),
    [sym_null] = ACTIONS(2725),
    [sym_undefined] = ACTIONS(2725),
    [anon_sym_AT] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2725),
    [anon_sym_readonly] = ACTIONS(2725),
    [anon_sym_get] = ACTIONS(2725),
    [anon_sym_set] = ACTIONS(2725),
    [anon_sym_declare] = ACTIONS(2725),
    [anon_sym_public] = ACTIONS(2725),
    [anon_sym_private] = ACTIONS(2725),
    [anon_sym_protected] = ACTIONS(2725),
    [anon_sym_override] = ACTIONS(2725),
    [anon_sym_module] = ACTIONS(2725),
    [anon_sym_any] = ACTIONS(2725),
    [anon_sym_number] = ACTIONS(2725),
    [anon_sym_boolean] = ACTIONS(2725),
    [anon_sym_string] = ACTIONS(2725),
    [anon_sym_symbol] = ACTIONS(2725),
    [anon_sym_object] = ACTIONS(2725),
    [anon_sym_abstract] = ACTIONS(2725),
    [anon_sym_interface] = ACTIONS(2725),
    [anon_sym_enum] = ACTIONS(2725),
    [sym_html_comment] = ACTIONS(5),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(2727),
    [sym_identifier] = ACTIONS(2729),
    [anon_sym_export] = ACTIONS(2729),
    [anon_sym_default] = ACTIONS(2729),
    [anon_sym_type] = ACTIONS(2729),
    [anon_sym_namespace] = ACTIONS(2729),
    [anon_sym_LBRACE] = ACTIONS(2727),
    [anon_sym_RBRACE] = ACTIONS(2727),
    [anon_sym_typeof] = ACTIONS(2729),
    [anon_sym_import] = ACTIONS(2729),
    [anon_sym_with] = ACTIONS(2729),
    [anon_sym_var] = ACTIONS(2729),
    [anon_sym_let] = ACTIONS(2729),
    [anon_sym_const] = ACTIONS(2729),
    [anon_sym_BANG] = ACTIONS(2727),
    [anon_sym_else] = ACTIONS(2729),
    [anon_sym_if] = ACTIONS(2729),
    [anon_sym_switch] = ACTIONS(2729),
    [anon_sym_for] = ACTIONS(2729),
    [anon_sym_LPAREN] = ACTIONS(2727),
    [anon_sym_SEMI] = ACTIONS(2727),
    [anon_sym_await] = ACTIONS(2729),
    [anon_sym_while] = ACTIONS(2729),
    [anon_sym_do] = ACTIONS(2729),
    [anon_sym_try] = ACTIONS(2729),
    [anon_sym_break] = ACTIONS(2729),
    [anon_sym_continue] = ACTIONS(2729),
    [anon_sym_debugger] = ACTIONS(2729),
    [anon_sym_return] = ACTIONS(2729),
    [anon_sym_throw] = ACTIONS(2729),
    [anon_sym_case] = ACTIONS(2729),
    [anon_sym_yield] = ACTIONS(2729),
    [anon_sym_LBRACK] = ACTIONS(2727),
    [sym_glimmer_opening_tag] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [anon_sym_SQUOTE] = ACTIONS(2727),
    [anon_sym_class] = ACTIONS(2729),
    [anon_sym_async] = ACTIONS(2729),
    [anon_sym_function] = ACTIONS(2729),
    [anon_sym_new] = ACTIONS(2729),
    [anon_sym_using] = ACTIONS(2729),
    [anon_sym_PLUS] = ACTIONS(2729),
    [anon_sym_DASH] = ACTIONS(2729),
    [anon_sym_SLASH] = ACTIONS(2729),
    [anon_sym_LT] = ACTIONS(2729),
    [anon_sym_TILDE] = ACTIONS(2727),
    [anon_sym_void] = ACTIONS(2729),
    [anon_sym_delete] = ACTIONS(2729),
    [anon_sym_PLUS_PLUS] = ACTIONS(2727),
    [anon_sym_DASH_DASH] = ACTIONS(2727),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2727),
    [sym_number] = ACTIONS(2727),
    [sym_private_property_identifier] = ACTIONS(2727),
    [sym_this] = ACTIONS(2729),
    [sym_super] = ACTIONS(2729),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [sym_null] = ACTIONS(2729),
    [sym_undefined] = ACTIONS(2729),
    [anon_sym_AT] = ACTIONS(2727),
    [anon_sym_static] = ACTIONS(2729),
    [anon_sym_readonly] = ACTIONS(2729),
    [anon_sym_get] = ACTIONS(2729),
    [anon_sym_set] = ACTIONS(2729),
    [anon_sym_declare] = ACTIONS(2729),
    [anon_sym_public] = ACTIONS(2729),
    [anon_sym_private] = ACTIONS(2729),
    [anon_sym_protected] = ACTIONS(2729),
    [anon_sym_override] = ACTIONS(2729),
    [anon_sym_module] = ACTIONS(2729),
    [anon_sym_any] = ACTIONS(2729),
    [anon_sym_number] = ACTIONS(2729),
    [anon_sym_boolean] = ACTIONS(2729),
    [anon_sym_string] = ACTIONS(2729),
    [anon_sym_symbol] = ACTIONS(2729),
    [anon_sym_object] = ACTIONS(2729),
    [anon_sym_abstract] = ACTIONS(2729),
    [anon_sym_interface] = ACTIONS(2729),
    [anon_sym_enum] = ACTIONS(2729),
    [sym_html_comment] = ACTIONS(5),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [sym_identifier] = ACTIONS(2733),
    [anon_sym_export] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_type] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_typeof] = ACTIONS(2733),
    [anon_sym_import] = ACTIONS(2733),
    [anon_sym_with] = ACTIONS(2733),
    [anon_sym_var] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_LPAREN] = ACTIONS(2731),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_await] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_debugger] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_yield] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2731),
    [sym_glimmer_opening_tag] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_async] = ACTIONS(2733),
    [anon_sym_function] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_void] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2731),
    [sym_number] = ACTIONS(2731),
    [sym_private_property_identifier] = ACTIONS(2731),
    [sym_this] = ACTIONS(2733),
    [sym_super] = ACTIONS(2733),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [sym_null] = ACTIONS(2733),
    [sym_undefined] = ACTIONS(2733),
    [anon_sym_AT] = ACTIONS(2731),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_readonly] = ACTIONS(2733),
    [anon_sym_get] = ACTIONS(2733),
    [anon_sym_set] = ACTIONS(2733),
    [anon_sym_declare] = ACTIONS(2733),
    [anon_sym_public] = ACTIONS(2733),
    [anon_sym_private] = ACTIONS(2733),
    [anon_sym_protected] = ACTIONS(2733),
    [anon_sym_override] = ACTIONS(2733),
    [anon_sym_module] = ACTIONS(2733),
    [anon_sym_any] = ACTIONS(2733),
    [anon_sym_number] = ACTIONS(2733),
    [anon_sym_boolean] = ACTIONS(2733),
    [anon_sym_string] = ACTIONS(2733),
    [anon_sym_symbol] = ACTIONS(2733),
    [anon_sym_object] = ACTIONS(2733),
    [anon_sym_abstract] = ACTIONS(2733),
    [anon_sym_interface] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [sym_html_comment] = ACTIONS(5),
  },
  [849] = {
    [ts_builtin_sym_end] = ACTIONS(2735),
    [sym_identifier] = ACTIONS(2737),
    [anon_sym_export] = ACTIONS(2737),
    [anon_sym_default] = ACTIONS(2737),
    [anon_sym_type] = ACTIONS(2737),
    [anon_sym_namespace] = ACTIONS(2737),
    [anon_sym_LBRACE] = ACTIONS(2735),
    [anon_sym_RBRACE] = ACTIONS(2735),
    [anon_sym_typeof] = ACTIONS(2737),
    [anon_sym_import] = ACTIONS(2737),
    [anon_sym_with] = ACTIONS(2737),
    [anon_sym_var] = ACTIONS(2737),
    [anon_sym_let] = ACTIONS(2737),
    [anon_sym_const] = ACTIONS(2737),
    [anon_sym_BANG] = ACTIONS(2735),
    [anon_sym_else] = ACTIONS(2737),
    [anon_sym_if] = ACTIONS(2737),
    [anon_sym_switch] = ACTIONS(2737),
    [anon_sym_for] = ACTIONS(2737),
    [anon_sym_LPAREN] = ACTIONS(2735),
    [anon_sym_SEMI] = ACTIONS(2735),
    [anon_sym_await] = ACTIONS(2737),
    [anon_sym_while] = ACTIONS(2737),
    [anon_sym_do] = ACTIONS(2737),
    [anon_sym_try] = ACTIONS(2737),
    [anon_sym_break] = ACTIONS(2737),
    [anon_sym_continue] = ACTIONS(2737),
    [anon_sym_debugger] = ACTIONS(2737),
    [anon_sym_return] = ACTIONS(2737),
    [anon_sym_throw] = ACTIONS(2737),
    [anon_sym_case] = ACTIONS(2737),
    [anon_sym_yield] = ACTIONS(2737),
    [anon_sym_LBRACK] = ACTIONS(2735),
    [sym_glimmer_opening_tag] = ACTIONS(2735),
    [anon_sym_DQUOTE] = ACTIONS(2735),
    [anon_sym_SQUOTE] = ACTIONS(2735),
    [anon_sym_class] = ACTIONS(2737),
    [anon_sym_async] = ACTIONS(2737),
    [anon_sym_function] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2737),
    [anon_sym_using] = ACTIONS(2737),
    [anon_sym_PLUS] = ACTIONS(2737),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_SLASH] = ACTIONS(2737),
    [anon_sym_LT] = ACTIONS(2737),
    [anon_sym_TILDE] = ACTIONS(2735),
    [anon_sym_void] = ACTIONS(2737),
    [anon_sym_delete] = ACTIONS(2737),
    [anon_sym_PLUS_PLUS] = ACTIONS(2735),
    [anon_sym_DASH_DASH] = ACTIONS(2735),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2735),
    [sym_number] = ACTIONS(2735),
    [sym_private_property_identifier] = ACTIONS(2735),
    [sym_this] = ACTIONS(2737),
    [sym_super] = ACTIONS(2737),
    [sym_true] = ACTIONS(2737),
    [sym_false] = ACTIONS(2737),
    [sym_null] = ACTIONS(2737),
    [sym_undefined] = ACTIONS(2737),
    [anon_sym_AT] = ACTIONS(2735),
    [anon_sym_static] = ACTIONS(2737),
    [anon_sym_readonly] = ACTIONS(2737),
    [anon_sym_get] = ACTIONS(2737),
    [anon_sym_set] = ACTIONS(2737),
    [anon_sym_declare] = ACTIONS(2737),
    [anon_sym_public] = ACTIONS(2737),
    [anon_sym_private] = ACTIONS(2737),
    [anon_sym_protected] = ACTIONS(2737),
    [anon_sym_override] = ACTIONS(2737),
    [anon_sym_module] = ACTIONS(2737),
    [anon_sym_any] = ACTIONS(2737),
    [anon_sym_number] = ACTIONS(2737),
    [anon_sym_boolean] = ACTIONS(2737),
    [anon_sym_string] = ACTIONS(2737),
    [anon_sym_symbol] = ACTIONS(2737),
    [anon_sym_object] = ACTIONS(2737),
    [anon_sym_abstract] = ACTIONS(2737),
    [anon_sym_interface] = ACTIONS(2737),
    [anon_sym_enum] = ACTIONS(2737),
    [sym_html_comment] = ACTIONS(5),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(2739),
    [sym_identifier] = ACTIONS(2741),
    [anon_sym_export] = ACTIONS(2741),
    [anon_sym_default] = ACTIONS(2741),
    [anon_sym_type] = ACTIONS(2741),
    [anon_sym_namespace] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(2739),
    [anon_sym_RBRACE] = ACTIONS(2739),
    [anon_sym_typeof] = ACTIONS(2741),
    [anon_sym_import] = ACTIONS(2741),
    [anon_sym_with] = ACTIONS(2741),
    [anon_sym_var] = ACTIONS(2741),
    [anon_sym_let] = ACTIONS(2741),
    [anon_sym_const] = ACTIONS(2741),
    [anon_sym_BANG] = ACTIONS(2739),
    [anon_sym_else] = ACTIONS(2741),
    [anon_sym_if] = ACTIONS(2741),
    [anon_sym_switch] = ACTIONS(2741),
    [anon_sym_for] = ACTIONS(2741),
    [anon_sym_LPAREN] = ACTIONS(2739),
    [anon_sym_SEMI] = ACTIONS(2739),
    [anon_sym_await] = ACTIONS(2741),
    [anon_sym_while] = ACTIONS(2741),
    [anon_sym_do] = ACTIONS(2741),
    [anon_sym_try] = ACTIONS(2741),
    [anon_sym_break] = ACTIONS(2741),
    [anon_sym_continue] = ACTIONS(2741),
    [anon_sym_debugger] = ACTIONS(2741),
    [anon_sym_return] = ACTIONS(2741),
    [anon_sym_throw] = ACTIONS(2741),
    [anon_sym_case] = ACTIONS(2741),
    [anon_sym_yield] = ACTIONS(2741),
    [anon_sym_LBRACK] = ACTIONS(2739),
    [sym_glimmer_opening_tag] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2739),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_class] = ACTIONS(2741),
    [anon_sym_async] = ACTIONS(2741),
    [anon_sym_function] = ACTIONS(2741),
    [anon_sym_new] = ACTIONS(2741),
    [anon_sym_using] = ACTIONS(2741),
    [anon_sym_PLUS] = ACTIONS(2741),
    [anon_sym_DASH] = ACTIONS(2741),
    [anon_sym_SLASH] = ACTIONS(2741),
    [anon_sym_LT] = ACTIONS(2741),
    [anon_sym_TILDE] = ACTIONS(2739),
    [anon_sym_void] = ACTIONS(2741),
    [anon_sym_delete] = ACTIONS(2741),
    [anon_sym_PLUS_PLUS] = ACTIONS(2739),
    [anon_sym_DASH_DASH] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2739),
    [sym_number] = ACTIONS(2739),
    [sym_private_property_identifier] = ACTIONS(2739),
    [sym_this] = ACTIONS(2741),
    [sym_super] = ACTIONS(2741),
    [sym_true] = ACTIONS(2741),
    [sym_false] = ACTIONS(2741),
    [sym_null] = ACTIONS(2741),
    [sym_undefined] = ACTIONS(2741),
    [anon_sym_AT] = ACTIONS(2739),
    [anon_sym_static] = ACTIONS(2741),
    [anon_sym_readonly] = ACTIONS(2741),
    [anon_sym_get] = ACTIONS(2741),
    [anon_sym_set] = ACTIONS(2741),
    [anon_sym_declare] = ACTIONS(2741),
    [anon_sym_public] = ACTIONS(2741),
    [anon_sym_private] = ACTIONS(2741),
    [anon_sym_protected] = ACTIONS(2741),
    [anon_sym_override] = ACTIONS(2741),
    [anon_sym_module] = ACTIONS(2741),
    [anon_sym_any] = ACTIONS(2741),
    [anon_sym_number] = ACTIONS(2741),
    [anon_sym_boolean] = ACTIONS(2741),
    [anon_sym_string] = ACTIONS(2741),
    [anon_sym_symbol] = ACTIONS(2741),
    [anon_sym_object] = ACTIONS(2741),
    [anon_sym_abstract] = ACTIONS(2741),
    [anon_sym_interface] = ACTIONS(2741),
    [anon_sym_enum] = ACTIONS(2741),
    [sym_html_comment] = ACTIONS(5),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2671),
    [sym_identifier] = ACTIONS(2673),
    [anon_sym_export] = ACTIONS(2673),
    [anon_sym_default] = ACTIONS(2673),
    [anon_sym_type] = ACTIONS(2673),
    [anon_sym_namespace] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2671),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_typeof] = ACTIONS(2673),
    [anon_sym_import] = ACTIONS(2673),
    [anon_sym_with] = ACTIONS(2673),
    [anon_sym_var] = ACTIONS(2673),
    [anon_sym_let] = ACTIONS(2673),
    [anon_sym_const] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2671),
    [anon_sym_else] = ACTIONS(2673),
    [anon_sym_if] = ACTIONS(2673),
    [anon_sym_switch] = ACTIONS(2673),
    [anon_sym_for] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2671),
    [anon_sym_await] = ACTIONS(2673),
    [anon_sym_while] = ACTIONS(2673),
    [anon_sym_do] = ACTIONS(2673),
    [anon_sym_try] = ACTIONS(2673),
    [anon_sym_break] = ACTIONS(2673),
    [anon_sym_continue] = ACTIONS(2673),
    [anon_sym_debugger] = ACTIONS(2673),
    [anon_sym_return] = ACTIONS(2673),
    [anon_sym_throw] = ACTIONS(2673),
    [anon_sym_case] = ACTIONS(2673),
    [anon_sym_yield] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2671),
    [sym_glimmer_opening_tag] = ACTIONS(2671),
    [anon_sym_DQUOTE] = ACTIONS(2671),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_class] = ACTIONS(2673),
    [anon_sym_async] = ACTIONS(2673),
    [anon_sym_function] = ACTIONS(2673),
    [anon_sym_new] = ACTIONS(2673),
    [anon_sym_using] = ACTIONS(2673),
    [anon_sym_PLUS] = ACTIONS(2673),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_SLASH] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_TILDE] = ACTIONS(2671),
    [anon_sym_void] = ACTIONS(2673),
    [anon_sym_delete] = ACTIONS(2673),
    [anon_sym_PLUS_PLUS] = ACTIONS(2671),
    [anon_sym_DASH_DASH] = ACTIONS(2671),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2671),
    [sym_number] = ACTIONS(2671),
    [sym_private_property_identifier] = ACTIONS(2671),
    [sym_this] = ACTIONS(2673),
    [sym_super] = ACTIONS(2673),
    [sym_true] = ACTIONS(2673),
    [sym_false] = ACTIONS(2673),
    [sym_null] = ACTIONS(2673),
    [sym_undefined] = ACTIONS(2673),
    [anon_sym_AT] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2673),
    [anon_sym_readonly] = ACTIONS(2673),
    [anon_sym_get] = ACTIONS(2673),
    [anon_sym_set] = ACTIONS(2673),
    [anon_sym_declare] = ACTIONS(2673),
    [anon_sym_public] = ACTIONS(2673),
    [anon_sym_private] = ACTIONS(2673),
    [anon_sym_protected] = ACTIONS(2673),
    [anon_sym_override] = ACTIONS(2673),
    [anon_sym_module] = ACTIONS(2673),
    [anon_sym_any] = ACTIONS(2673),
    [anon_sym_number] = ACTIONS(2673),
    [anon_sym_boolean] = ACTIONS(2673),
    [anon_sym_string] = ACTIONS(2673),
    [anon_sym_symbol] = ACTIONS(2673),
    [anon_sym_object] = ACTIONS(2673),
    [anon_sym_abstract] = ACTIONS(2673),
    [anon_sym_interface] = ACTIONS(2673),
    [anon_sym_enum] = ACTIONS(2673),
    [sym_html_comment] = ACTIONS(5),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2731),
    [sym_identifier] = ACTIONS(2733),
    [anon_sym_export] = ACTIONS(2733),
    [anon_sym_default] = ACTIONS(2733),
    [anon_sym_type] = ACTIONS(2733),
    [anon_sym_namespace] = ACTIONS(2733),
    [anon_sym_LBRACE] = ACTIONS(2731),
    [anon_sym_RBRACE] = ACTIONS(2731),
    [anon_sym_typeof] = ACTIONS(2733),
    [anon_sym_import] = ACTIONS(2733),
    [anon_sym_with] = ACTIONS(2733),
    [anon_sym_var] = ACTIONS(2733),
    [anon_sym_let] = ACTIONS(2733),
    [anon_sym_const] = ACTIONS(2733),
    [anon_sym_BANG] = ACTIONS(2731),
    [anon_sym_else] = ACTIONS(2733),
    [anon_sym_if] = ACTIONS(2733),
    [anon_sym_switch] = ACTIONS(2733),
    [anon_sym_for] = ACTIONS(2733),
    [anon_sym_LPAREN] = ACTIONS(2731),
    [anon_sym_SEMI] = ACTIONS(2731),
    [anon_sym_await] = ACTIONS(2733),
    [anon_sym_while] = ACTIONS(2733),
    [anon_sym_do] = ACTIONS(2733),
    [anon_sym_try] = ACTIONS(2733),
    [anon_sym_break] = ACTIONS(2733),
    [anon_sym_continue] = ACTIONS(2733),
    [anon_sym_debugger] = ACTIONS(2733),
    [anon_sym_return] = ACTIONS(2733),
    [anon_sym_throw] = ACTIONS(2733),
    [anon_sym_case] = ACTIONS(2733),
    [anon_sym_yield] = ACTIONS(2733),
    [anon_sym_LBRACK] = ACTIONS(2731),
    [sym_glimmer_opening_tag] = ACTIONS(2731),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [anon_sym_SQUOTE] = ACTIONS(2731),
    [anon_sym_class] = ACTIONS(2733),
    [anon_sym_async] = ACTIONS(2733),
    [anon_sym_function] = ACTIONS(2733),
    [anon_sym_new] = ACTIONS(2733),
    [anon_sym_using] = ACTIONS(2733),
    [anon_sym_PLUS] = ACTIONS(2733),
    [anon_sym_DASH] = ACTIONS(2733),
    [anon_sym_SLASH] = ACTIONS(2733),
    [anon_sym_LT] = ACTIONS(2733),
    [anon_sym_TILDE] = ACTIONS(2731),
    [anon_sym_void] = ACTIONS(2733),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_PLUS_PLUS] = ACTIONS(2731),
    [anon_sym_DASH_DASH] = ACTIONS(2731),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2731),
    [sym_number] = ACTIONS(2731),
    [sym_private_property_identifier] = ACTIONS(2731),
    [sym_this] = ACTIONS(2733),
    [sym_super] = ACTIONS(2733),
    [sym_true] = ACTIONS(2733),
    [sym_false] = ACTIONS(2733),
    [sym_null] = ACTIONS(2733),
    [sym_undefined] = ACTIONS(2733),
    [anon_sym_AT] = ACTIONS(2731),
    [anon_sym_static] = ACTIONS(2733),
    [anon_sym_readonly] = ACTIONS(2733),
    [anon_sym_get] = ACTIONS(2733),
    [anon_sym_set] = ACTIONS(2733),
    [anon_sym_declare] = ACTIONS(2733),
    [anon_sym_public] = ACTIONS(2733),
    [anon_sym_private] = ACTIONS(2733),
    [anon_sym_protected] = ACTIONS(2733),
    [anon_sym_override] = ACTIONS(2733),
    [anon_sym_module] = ACTIONS(2733),
    [anon_sym_any] = ACTIONS(2733),
    [anon_sym_number] = ACTIONS(2733),
    [anon_sym_boolean] = ACTIONS(2733),
    [anon_sym_string] = ACTIONS(2733),
    [anon_sym_symbol] = ACTIONS(2733),
    [anon_sym_object] = ACTIONS(2733),
    [anon_sym_abstract] = ACTIONS(2733),
    [anon_sym_interface] = ACTIONS(2733),
    [anon_sym_enum] = ACTIONS(2733),
    [sym_html_comment] = ACTIONS(5),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(2743),
    [sym_identifier] = ACTIONS(2745),
    [anon_sym_export] = ACTIONS(2745),
    [anon_sym_default] = ACTIONS(2745),
    [anon_sym_type] = ACTIONS(2745),
    [anon_sym_namespace] = ACTIONS(2745),
    [anon_sym_LBRACE] = ACTIONS(2743),
    [anon_sym_RBRACE] = ACTIONS(2743),
    [anon_sym_typeof] = ACTIONS(2745),
    [anon_sym_import] = ACTIONS(2745),
    [anon_sym_with] = ACTIONS(2745),
    [anon_sym_var] = ACTIONS(2745),
    [anon_sym_let] = ACTIONS(2745),
    [anon_sym_const] = ACTIONS(2745),
    [anon_sym_BANG] = ACTIONS(2743),
    [anon_sym_else] = ACTIONS(2745),
    [anon_sym_if] = ACTIONS(2745),
    [anon_sym_switch] = ACTIONS(2745),
    [anon_sym_for] = ACTIONS(2745),
    [anon_sym_LPAREN] = ACTIONS(2743),
    [anon_sym_SEMI] = ACTIONS(2743),
    [anon_sym_await] = ACTIONS(2745),
    [anon_sym_while] = ACTIONS(2745),
    [anon_sym_do] = ACTIONS(2745),
    [anon_sym_try] = ACTIONS(2745),
    [anon_sym_break] = ACTIONS(2745),
    [anon_sym_continue] = ACTIONS(2745),
    [anon_sym_debugger] = ACTIONS(2745),
    [anon_sym_return] = ACTIONS(2745),
    [anon_sym_throw] = ACTIONS(2745),
    [anon_sym_case] = ACTIONS(2745),
    [anon_sym_yield] = ACTIONS(2745),
    [anon_sym_LBRACK] = ACTIONS(2743),
    [sym_glimmer_opening_tag] = ACTIONS(2743),
    [anon_sym_DQUOTE] = ACTIONS(2743),
    [anon_sym_SQUOTE] = ACTIONS(2743),
    [anon_sym_class] = ACTIONS(2745),
    [anon_sym_async] = ACTIONS(2745),
    [anon_sym_function] = ACTIONS(2745),
    [anon_sym_new] = ACTIONS(2745),
    [anon_sym_using] = ACTIONS(2745),
    [anon_sym_PLUS] = ACTIONS(2745),
    [anon_sym_DASH] = ACTIONS(2745),
    [anon_sym_SLASH] = ACTIONS(2745),
    [anon_sym_LT] = ACTIONS(2745),
    [anon_sym_TILDE] = ACTIONS(2743),
    [anon_sym_void] = ACTIONS(2745),
    [anon_sym_delete] = ACTIONS(2745),
    [anon_sym_PLUS_PLUS] = ACTIONS(2743),
    [anon_sym_DASH_DASH] = ACTIONS(2743),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2743),
    [sym_number] = ACTIONS(2743),
    [sym_private_property_identifier] = ACTIONS(2743),
    [sym_this] = ACTIONS(2745),
    [sym_super] = ACTIONS(2745),
    [sym_true] = ACTIONS(2745),
    [sym_false] = ACTIONS(2745),
    [sym_null] = ACTIONS(2745),
    [sym_undefined] = ACTIONS(2745),
    [anon_sym_AT] = ACTIONS(2743),
    [anon_sym_static] = ACTIONS(2745),
    [anon_sym_readonly] = ACTIONS(2745),
    [anon_sym_get] = ACTIONS(2745),
    [anon_sym_set] = ACTIONS(2745),
    [anon_sym_declare] = ACTIONS(2745),
    [anon_sym_public] = ACTIONS(2745),
    [anon_sym_private] = ACTIONS(2745),
    [anon_sym_protected] = ACTIONS(2745),
    [anon_sym_override] = ACTIONS(2745),
    [anon_sym_module] = ACTIONS(2745),
    [anon_sym_any] = ACTIONS(2745),
    [anon_sym_number] = ACTIONS(2745),
    [anon_sym_boolean] = ACTIONS(2745),
    [anon_sym_string] = ACTIONS(2745),
    [anon_sym_symbol] = ACTIONS(2745),
    [anon_sym_object] = ACTIONS(2745),
    [anon_sym_abstract] = ACTIONS(2745),
    [anon_sym_interface] = ACTIONS(2745),
    [anon_sym_enum] = ACTIONS(2745),
    [sym_html_comment] = ACTIONS(5),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2747),
    [sym_identifier] = ACTIONS(2749),
    [anon_sym_export] = ACTIONS(2749),
    [anon_sym_default] = ACTIONS(2749),
    [anon_sym_type] = ACTIONS(2749),
    [anon_sym_namespace] = ACTIONS(2749),
    [anon_sym_LBRACE] = ACTIONS(2747),
    [anon_sym_RBRACE] = ACTIONS(2747),
    [anon_sym_typeof] = ACTIONS(2749),
    [anon_sym_import] = ACTIONS(2749),
    [anon_sym_with] = ACTIONS(2749),
    [anon_sym_var] = ACTIONS(2749),
    [anon_sym_let] = ACTIONS(2749),
    [anon_sym_const] = ACTIONS(2749),
    [anon_sym_BANG] = ACTIONS(2747),
    [anon_sym_else] = ACTIONS(2749),
    [anon_sym_if] = ACTIONS(2749),
    [anon_sym_switch] = ACTIONS(2749),
    [anon_sym_for] = ACTIONS(2749),
    [anon_sym_LPAREN] = ACTIONS(2747),
    [anon_sym_SEMI] = ACTIONS(2747),
    [anon_sym_await] = ACTIONS(2749),
    [anon_sym_while] = ACTIONS(2749),
    [anon_sym_do] = ACTIONS(2749),
    [anon_sym_try] = ACTIONS(2749),
    [anon_sym_break] = ACTIONS(2749),
    [anon_sym_continue] = ACTIONS(2749),
    [anon_sym_debugger] = ACTIONS(2749),
    [anon_sym_return] = ACTIONS(2749),
    [anon_sym_throw] = ACTIONS(2749),
    [anon_sym_case] = ACTIONS(2749),
    [anon_sym_yield] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2747),
    [sym_glimmer_opening_tag] = ACTIONS(2747),
    [anon_sym_DQUOTE] = ACTIONS(2747),
    [anon_sym_SQUOTE] = ACTIONS(2747),
    [anon_sym_class] = ACTIONS(2749),
    [anon_sym_async] = ACTIONS(2749),
    [anon_sym_function] = ACTIONS(2749),
    [anon_sym_new] = ACTIONS(2749),
    [anon_sym_using] = ACTIONS(2749),
    [anon_sym_PLUS] = ACTIONS(2749),
    [anon_sym_DASH] = ACTIONS(2749),
    [anon_sym_SLASH] = ACTIONS(2749),
    [anon_sym_LT] = ACTIONS(2749),
    [anon_sym_TILDE] = ACTIONS(2747),
    [anon_sym_void] = ACTIONS(2749),
    [anon_sym_delete] = ACTIONS(2749),
    [anon_sym_PLUS_PLUS] = ACTIONS(2747),
    [anon_sym_DASH_DASH] = ACTIONS(2747),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2747),
    [sym_number] = ACTIONS(2747),
    [sym_private_property_identifier] = ACTIONS(2747),
    [sym_this] = ACTIONS(2749),
    [sym_super] = ACTIONS(2749),
    [sym_true] = ACTIONS(2749),
    [sym_false] = ACTIONS(2749),
    [sym_null] = ACTIONS(2749),
    [sym_undefined] = ACTIONS(2749),
    [anon_sym_AT] = ACTIONS(2747),
    [anon_sym_static] = ACTIONS(2749),
    [anon_sym_readonly] = ACTIONS(2749),
    [anon_sym_get] = ACTIONS(2749),
    [anon_sym_set] = ACTIONS(2749),
    [anon_sym_declare] = ACTIONS(2749),
    [anon_sym_public] = ACTIONS(2749),
    [anon_sym_private] = ACTIONS(2749),
    [anon_sym_protected] = ACTIONS(2749),
    [anon_sym_override] = ACTIONS(2749),
    [anon_sym_module] = ACTIONS(2749),
    [anon_sym_any] = ACTIONS(2749),
    [anon_sym_number] = ACTIONS(2749),
    [anon_sym_boolean] = ACTIONS(2749),
    [anon_sym_string] = ACTIONS(2749),
    [anon_sym_symbol] = ACTIONS(2749),
    [anon_sym_object] = ACTIONS(2749),
    [anon_sym_abstract] = ACTIONS(2749),
    [anon_sym_interface] = ACTIONS(2749),
    [anon_sym_enum] = ACTIONS(2749),
    [sym_html_comment] = ACTIONS(5),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2751),
    [sym_identifier] = ACTIONS(2753),
    [anon_sym_export] = ACTIONS(2753),
    [anon_sym_default] = ACTIONS(2753),
    [anon_sym_type] = ACTIONS(2753),
    [anon_sym_namespace] = ACTIONS(2753),
    [anon_sym_LBRACE] = ACTIONS(2751),
    [anon_sym_RBRACE] = ACTIONS(2751),
    [anon_sym_typeof] = ACTIONS(2753),
    [anon_sym_import] = ACTIONS(2753),
    [anon_sym_with] = ACTIONS(2753),
    [anon_sym_var] = ACTIONS(2753),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_const] = ACTIONS(2753),
    [anon_sym_BANG] = ACTIONS(2751),
    [anon_sym_else] = ACTIONS(2753),
    [anon_sym_if] = ACTIONS(2753),
    [anon_sym_switch] = ACTIONS(2753),
    [anon_sym_for] = ACTIONS(2753),
    [anon_sym_LPAREN] = ACTIONS(2751),
    [anon_sym_SEMI] = ACTIONS(2751),
    [anon_sym_await] = ACTIONS(2753),
    [anon_sym_while] = ACTIONS(2753),
    [anon_sym_do] = ACTIONS(2753),
    [anon_sym_try] = ACTIONS(2753),
    [anon_sym_break] = ACTIONS(2753),
    [anon_sym_continue] = ACTIONS(2753),
    [anon_sym_debugger] = ACTIONS(2753),
    [anon_sym_return] = ACTIONS(2753),
    [anon_sym_throw] = ACTIONS(2753),
    [anon_sym_case] = ACTIONS(2753),
    [anon_sym_yield] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(2751),
    [sym_glimmer_opening_tag] = ACTIONS(2751),
    [anon_sym_DQUOTE] = ACTIONS(2751),
    [anon_sym_SQUOTE] = ACTIONS(2751),
    [anon_sym_class] = ACTIONS(2753),
    [anon_sym_async] = ACTIONS(2753),
    [anon_sym_function] = ACTIONS(2753),
    [anon_sym_new] = ACTIONS(2753),
    [anon_sym_using] = ACTIONS(2753),
    [anon_sym_PLUS] = ACTIONS(2753),
    [anon_sym_DASH] = ACTIONS(2753),
    [anon_sym_SLASH] = ACTIONS(2753),
    [anon_sym_LT] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(2751),
    [anon_sym_void] = ACTIONS(2753),
    [anon_sym_delete] = ACTIONS(2753),
    [anon_sym_PLUS_PLUS] = ACTIONS(2751),
    [anon_sym_DASH_DASH] = ACTIONS(2751),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2751),
    [sym_number] = ACTIONS(2751),
    [sym_private_property_identifier] = ACTIONS(2751),
    [sym_this] = ACTIONS(2753),
    [sym_super] = ACTIONS(2753),
    [sym_true] = ACTIONS(2753),
    [sym_false] = ACTIONS(2753),
    [sym_null] = ACTIONS(2753),
    [sym_undefined] = ACTIONS(2753),
    [anon_sym_AT] = ACTIONS(2751),
    [anon_sym_static] = ACTIONS(2753),
    [anon_sym_readonly] = ACTIONS(2753),
    [anon_sym_get] = ACTIONS(2753),
    [anon_sym_set] = ACTIONS(2753),
    [anon_sym_declare] = ACTIONS(2753),
    [anon_sym_public] = ACTIONS(2753),
    [anon_sym_private] = ACTIONS(2753),
    [anon_sym_protected] = ACTIONS(2753),
    [anon_sym_override] = ACTIONS(2753),
    [anon_sym_module] = ACTIONS(2753),
    [anon_sym_any] = ACTIONS(2753),
    [anon_sym_number] = ACTIONS(2753),
    [anon_sym_boolean] = ACTIONS(2753),
    [anon_sym_string] = ACTIONS(2753),
    [anon_sym_symbol] = ACTIONS(2753),
    [anon_sym_object] = ACTIONS(2753),
    [anon_sym_abstract] = ACTIONS(2753),
    [anon_sym_interface] = ACTIONS(2753),
    [anon_sym_enum] = ACTIONS(2753),
    [sym_html_comment] = ACTIONS(5),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(2755),
    [sym_identifier] = ACTIONS(2757),
    [anon_sym_export] = ACTIONS(2757),
    [anon_sym_default] = ACTIONS(2757),
    [anon_sym_type] = ACTIONS(2757),
    [anon_sym_namespace] = ACTIONS(2757),
    [anon_sym_LBRACE] = ACTIONS(2755),
    [anon_sym_RBRACE] = ACTIONS(2755),
    [anon_sym_typeof] = ACTIONS(2757),
    [anon_sym_import] = ACTIONS(2757),
    [anon_sym_with] = ACTIONS(2757),
    [anon_sym_var] = ACTIONS(2757),
    [anon_sym_let] = ACTIONS(2757),
    [anon_sym_const] = ACTIONS(2757),
    [anon_sym_BANG] = ACTIONS(2755),
    [anon_sym_else] = ACTIONS(2757),
    [anon_sym_if] = ACTIONS(2757),
    [anon_sym_switch] = ACTIONS(2757),
    [anon_sym_for] = ACTIONS(2757),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_SEMI] = ACTIONS(2755),
    [anon_sym_await] = ACTIONS(2757),
    [anon_sym_while] = ACTIONS(2757),
    [anon_sym_do] = ACTIONS(2757),
    [anon_sym_try] = ACTIONS(2757),
    [anon_sym_break] = ACTIONS(2757),
    [anon_sym_continue] = ACTIONS(2757),
    [anon_sym_debugger] = ACTIONS(2757),
    [anon_sym_return] = ACTIONS(2757),
    [anon_sym_throw] = ACTIONS(2757),
    [anon_sym_case] = ACTIONS(2757),
    [anon_sym_yield] = ACTIONS(2757),
    [anon_sym_LBRACK] = ACTIONS(2755),
    [sym_glimmer_opening_tag] = ACTIONS(2755),
    [anon_sym_DQUOTE] = ACTIONS(2755),
    [anon_sym_SQUOTE] = ACTIONS(2755),
    [anon_sym_class] = ACTIONS(2757),
    [anon_sym_async] = ACTIONS(2757),
    [anon_sym_function] = ACTIONS(2757),
    [anon_sym_new] = ACTIONS(2757),
    [anon_sym_using] = ACTIONS(2757),
    [anon_sym_PLUS] = ACTIONS(2757),
    [anon_sym_DASH] = ACTIONS(2757),
    [anon_sym_SLASH] = ACTIONS(2757),
    [anon_sym_LT] = ACTIONS(2757),
    [anon_sym_TILDE] = ACTIONS(2755),
    [anon_sym_void] = ACTIONS(2757),
    [anon_sym_delete] = ACTIONS(2757),
    [anon_sym_PLUS_PLUS] = ACTIONS(2755),
    [anon_sym_DASH_DASH] = ACTIONS(2755),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2755),
    [sym_number] = ACTIONS(2755),
    [sym_private_property_identifier] = ACTIONS(2755),
    [sym_this] = ACTIONS(2757),
    [sym_super] = ACTIONS(2757),
    [sym_true] = ACTIONS(2757),
    [sym_false] = ACTIONS(2757),
    [sym_null] = ACTIONS(2757),
    [sym_undefined] = ACTIONS(2757),
    [anon_sym_AT] = ACTIONS(2755),
    [anon_sym_static] = ACTIONS(2757),
    [anon_sym_readonly] = ACTIONS(2757),
    [anon_sym_get] = ACTIONS(2757),
    [anon_sym_set] = ACTIONS(2757),
    [anon_sym_declare] = ACTIONS(2757),
    [anon_sym_public] = ACTIONS(2757),
    [anon_sym_private] = ACTIONS(2757),
    [anon_sym_protected] = ACTIONS(2757),
    [anon_sym_override] = ACTIONS(2757),
    [anon_sym_module] = ACTIONS(2757),
    [anon_sym_any] = ACTIONS(2757),
    [anon_sym_number] = ACTIONS(2757),
    [anon_sym_boolean] = ACTIONS(2757),
    [anon_sym_string] = ACTIONS(2757),
    [anon_sym_symbol] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(2757),
    [anon_sym_abstract] = ACTIONS(2757),
    [anon_sym_interface] = ACTIONS(2757),
    [anon_sym_enum] = ACTIONS(2757),
    [sym_html_comment] = ACTIONS(5),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2759),
    [sym_identifier] = ACTIONS(2761),
    [anon_sym_export] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_type] = ACTIONS(2761),
    [anon_sym_namespace] = ACTIONS(2761),
    [anon_sym_LBRACE] = ACTIONS(2759),
    [anon_sym_RBRACE] = ACTIONS(2759),
    [anon_sym_typeof] = ACTIONS(2761),
    [anon_sym_import] = ACTIONS(2761),
    [anon_sym_with] = ACTIONS(2761),
    [anon_sym_var] = ACTIONS(2761),
    [anon_sym_let] = ACTIONS(2761),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_BANG] = ACTIONS(2759),
    [anon_sym_else] = ACTIONS(2761),
    [anon_sym_if] = ACTIONS(2761),
    [anon_sym_switch] = ACTIONS(2761),
    [anon_sym_for] = ACTIONS(2761),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_SEMI] = ACTIONS(2759),
    [anon_sym_await] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2761),
    [anon_sym_do] = ACTIONS(2761),
    [anon_sym_try] = ACTIONS(2761),
    [anon_sym_break] = ACTIONS(2761),
    [anon_sym_continue] = ACTIONS(2761),
    [anon_sym_debugger] = ACTIONS(2761),
    [anon_sym_return] = ACTIONS(2761),
    [anon_sym_throw] = ACTIONS(2761),
    [anon_sym_case] = ACTIONS(2761),
    [anon_sym_yield] = ACTIONS(2761),
    [anon_sym_LBRACK] = ACTIONS(2759),
    [sym_glimmer_opening_tag] = ACTIONS(2759),
    [anon_sym_DQUOTE] = ACTIONS(2759),
    [anon_sym_SQUOTE] = ACTIONS(2759),
    [anon_sym_class] = ACTIONS(2761),
    [anon_sym_async] = ACTIONS(2761),
    [anon_sym_function] = ACTIONS(2761),
    [anon_sym_new] = ACTIONS(2761),
    [anon_sym_using] = ACTIONS(2761),
    [anon_sym_PLUS] = ACTIONS(2761),
    [anon_sym_DASH] = ACTIONS(2761),
    [anon_sym_SLASH] = ACTIONS(2761),
    [anon_sym_LT] = ACTIONS(2761),
    [anon_sym_TILDE] = ACTIONS(2759),
    [anon_sym_void] = ACTIONS(2761),
    [anon_sym_delete] = ACTIONS(2761),
    [anon_sym_PLUS_PLUS] = ACTIONS(2759),
    [anon_sym_DASH_DASH] = ACTIONS(2759),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2759),
    [sym_number] = ACTIONS(2759),
    [sym_private_property_identifier] = ACTIONS(2759),
    [sym_this] = ACTIONS(2761),
    [sym_super] = ACTIONS(2761),
    [sym_true] = ACTIONS(2761),
    [sym_false] = ACTIONS(2761),
    [sym_null] = ACTIONS(2761),
    [sym_undefined] = ACTIONS(2761),
    [anon_sym_AT] = ACTIONS(2759),
    [anon_sym_static] = ACTIONS(2761),
    [anon_sym_readonly] = ACTIONS(2761),
    [anon_sym_get] = ACTIONS(2761),
    [anon_sym_set] = ACTIONS(2761),
    [anon_sym_declare] = ACTIONS(2761),
    [anon_sym_public] = ACTIONS(2761),
    [anon_sym_private] = ACTIONS(2761),
    [anon_sym_protected] = ACTIONS(2761),
    [anon_sym_override] = ACTIONS(2761),
    [anon_sym_module] = ACTIONS(2761),
    [anon_sym_any] = ACTIONS(2761),
    [anon_sym_number] = ACTIONS(2761),
    [anon_sym_boolean] = ACTIONS(2761),
    [anon_sym_string] = ACTIONS(2761),
    [anon_sym_symbol] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2761),
    [anon_sym_abstract] = ACTIONS(2761),
    [anon_sym_interface] = ACTIONS(2761),
    [anon_sym_enum] = ACTIONS(2761),
    [sym_html_comment] = ACTIONS(5),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(2763),
    [sym_identifier] = ACTIONS(2765),
    [anon_sym_export] = ACTIONS(2765),
    [anon_sym_default] = ACTIONS(2765),
    [anon_sym_type] = ACTIONS(2765),
    [anon_sym_namespace] = ACTIONS(2765),
    [anon_sym_LBRACE] = ACTIONS(2763),
    [anon_sym_RBRACE] = ACTIONS(2763),
    [anon_sym_typeof] = ACTIONS(2765),
    [anon_sym_import] = ACTIONS(2765),
    [anon_sym_with] = ACTIONS(2765),
    [anon_sym_var] = ACTIONS(2765),
    [anon_sym_let] = ACTIONS(2765),
    [anon_sym_const] = ACTIONS(2765),
    [anon_sym_BANG] = ACTIONS(2763),
    [anon_sym_else] = ACTIONS(2765),
    [anon_sym_if] = ACTIONS(2765),
    [anon_sym_switch] = ACTIONS(2765),
    [anon_sym_for] = ACTIONS(2765),
    [anon_sym_LPAREN] = ACTIONS(2763),
    [anon_sym_SEMI] = ACTIONS(2763),
    [anon_sym_await] = ACTIONS(2765),
    [anon_sym_while] = ACTIONS(2765),
    [anon_sym_do] = ACTIONS(2765),
    [anon_sym_try] = ACTIONS(2765),
    [anon_sym_break] = ACTIONS(2765),
    [anon_sym_continue] = ACTIONS(2765),
    [anon_sym_debugger] = ACTIONS(2765),
    [anon_sym_return] = ACTIONS(2765),
    [anon_sym_throw] = ACTIONS(2765),
    [anon_sym_case] = ACTIONS(2765),
    [anon_sym_yield] = ACTIONS(2765),
    [anon_sym_LBRACK] = ACTIONS(2763),
    [sym_glimmer_opening_tag] = ACTIONS(2763),
    [anon_sym_DQUOTE] = ACTIONS(2763),
    [anon_sym_SQUOTE] = ACTIONS(2763),
    [anon_sym_class] = ACTIONS(2765),
    [anon_sym_async] = ACTIONS(2765),
    [anon_sym_function] = ACTIONS(2765),
    [anon_sym_new] = ACTIONS(2765),
    [anon_sym_using] = ACTIONS(2765),
    [anon_sym_PLUS] = ACTIONS(2765),
    [anon_sym_DASH] = ACTIONS(2765),
    [anon_sym_SLASH] = ACTIONS(2765),
    [anon_sym_LT] = ACTIONS(2765),
    [anon_sym_TILDE] = ACTIONS(2763),
    [anon_sym_void] = ACTIONS(2765),
    [anon_sym_delete] = ACTIONS(2765),
    [anon_sym_PLUS_PLUS] = ACTIONS(2763),
    [anon_sym_DASH_DASH] = ACTIONS(2763),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2763),
    [sym_number] = ACTIONS(2763),
    [sym_private_property_identifier] = ACTIONS(2763),
    [sym_this] = ACTIONS(2765),
    [sym_super] = ACTIONS(2765),
    [sym_true] = ACTIONS(2765),
    [sym_false] = ACTIONS(2765),
    [sym_null] = ACTIONS(2765),
    [sym_undefined] = ACTIONS(2765),
    [anon_sym_AT] = ACTIONS(2763),
    [anon_sym_static] = ACTIONS(2765),
    [anon_sym_readonly] = ACTIONS(2765),
    [anon_sym_get] = ACTIONS(2765),
    [anon_sym_set] = ACTIONS(2765),
    [anon_sym_declare] = ACTIONS(2765),
    [anon_sym_public] = ACTIONS(2765),
    [anon_sym_private] = ACTIONS(2765),
    [anon_sym_protected] = ACTIONS(2765),
    [anon_sym_override] = ACTIONS(2765),
    [anon_sym_module] = ACTIONS(2765),
    [anon_sym_any] = ACTIONS(2765),
    [anon_sym_number] = ACTIONS(2765),
    [anon_sym_boolean] = ACTIONS(2765),
    [anon_sym_string] = ACTIONS(2765),
    [anon_sym_symbol] = ACTIONS(2765),
    [anon_sym_object] = ACTIONS(2765),
    [anon_sym_abstract] = ACTIONS(2765),
    [anon_sym_interface] = ACTIONS(2765),
    [anon_sym_enum] = ACTIONS(2765),
    [sym_html_comment] = ACTIONS(5),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2767),
    [sym_identifier] = ACTIONS(2769),
    [anon_sym_export] = ACTIONS(2769),
    [anon_sym_default] = ACTIONS(2769),
    [anon_sym_type] = ACTIONS(2769),
    [anon_sym_namespace] = ACTIONS(2769),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_RBRACE] = ACTIONS(2767),
    [anon_sym_typeof] = ACTIONS(2769),
    [anon_sym_import] = ACTIONS(2769),
    [anon_sym_with] = ACTIONS(2769),
    [anon_sym_var] = ACTIONS(2769),
    [anon_sym_let] = ACTIONS(2769),
    [anon_sym_const] = ACTIONS(2769),
    [anon_sym_BANG] = ACTIONS(2767),
    [anon_sym_else] = ACTIONS(2769),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_switch] = ACTIONS(2769),
    [anon_sym_for] = ACTIONS(2769),
    [anon_sym_LPAREN] = ACTIONS(2767),
    [anon_sym_SEMI] = ACTIONS(2767),
    [anon_sym_await] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2769),
    [anon_sym_try] = ACTIONS(2769),
    [anon_sym_break] = ACTIONS(2769),
    [anon_sym_continue] = ACTIONS(2769),
    [anon_sym_debugger] = ACTIONS(2769),
    [anon_sym_return] = ACTIONS(2769),
    [anon_sym_throw] = ACTIONS(2769),
    [anon_sym_case] = ACTIONS(2769),
    [anon_sym_yield] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(2767),
    [sym_glimmer_opening_tag] = ACTIONS(2767),
    [anon_sym_DQUOTE] = ACTIONS(2767),
    [anon_sym_SQUOTE] = ACTIONS(2767),
    [anon_sym_class] = ACTIONS(2769),
    [anon_sym_async] = ACTIONS(2769),
    [anon_sym_function] = ACTIONS(2769),
    [anon_sym_new] = ACTIONS(2769),
    [anon_sym_using] = ACTIONS(2769),
    [anon_sym_PLUS] = ACTIONS(2769),
    [anon_sym_DASH] = ACTIONS(2769),
    [anon_sym_SLASH] = ACTIONS(2769),
    [anon_sym_LT] = ACTIONS(2769),
    [anon_sym_TILDE] = ACTIONS(2767),
    [anon_sym_void] = ACTIONS(2769),
    [anon_sym_delete] = ACTIONS(2769),
    [anon_sym_PLUS_PLUS] = ACTIONS(2767),
    [anon_sym_DASH_DASH] = ACTIONS(2767),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2767),
    [sym_number] = ACTIONS(2767),
    [sym_private_property_identifier] = ACTIONS(2767),
    [sym_this] = ACTIONS(2769),
    [sym_super] = ACTIONS(2769),
    [sym_true] = ACTIONS(2769),
    [sym_false] = ACTIONS(2769),
    [sym_null] = ACTIONS(2769),
    [sym_undefined] = ACTIONS(2769),
    [anon_sym_AT] = ACTIONS(2767),
    [anon_sym_static] = ACTIONS(2769),
    [anon_sym_readonly] = ACTIONS(2769),
    [anon_sym_get] = ACTIONS(2769),
    [anon_sym_set] = ACTIONS(2769),
    [anon_sym_declare] = ACTIONS(2769),
    [anon_sym_public] = ACTIONS(2769),
    [anon_sym_private] = ACTIONS(2769),
    [anon_sym_protected] = ACTIONS(2769),
    [anon_sym_override] = ACTIONS(2769),
    [anon_sym_module] = ACTIONS(2769),
    [anon_sym_any] = ACTIONS(2769),
    [anon_sym_number] = ACTIONS(2769),
    [anon_sym_boolean] = ACTIONS(2769),
    [anon_sym_string] = ACTIONS(2769),
    [anon_sym_symbol] = ACTIONS(2769),
    [anon_sym_object] = ACTIONS(2769),
    [anon_sym_abstract] = ACTIONS(2769),
    [anon_sym_interface] = ACTIONS(2769),
    [anon_sym_enum] = ACTIONS(2769),
    [sym_html_comment] = ACTIONS(5),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2771),
    [sym_identifier] = ACTIONS(2773),
    [anon_sym_export] = ACTIONS(2773),
    [anon_sym_default] = ACTIONS(2773),
    [anon_sym_type] = ACTIONS(2773),
    [anon_sym_namespace] = ACTIONS(2773),
    [anon_sym_LBRACE] = ACTIONS(2771),
    [anon_sym_RBRACE] = ACTIONS(2771),
    [anon_sym_typeof] = ACTIONS(2773),
    [anon_sym_import] = ACTIONS(2773),
    [anon_sym_with] = ACTIONS(2773),
    [anon_sym_var] = ACTIONS(2773),
    [anon_sym_let] = ACTIONS(2773),
    [anon_sym_const] = ACTIONS(2773),
    [anon_sym_BANG] = ACTIONS(2771),
    [anon_sym_else] = ACTIONS(2773),
    [anon_sym_if] = ACTIONS(2773),
    [anon_sym_switch] = ACTIONS(2773),
    [anon_sym_for] = ACTIONS(2773),
    [anon_sym_LPAREN] = ACTIONS(2771),
    [anon_sym_SEMI] = ACTIONS(2771),
    [anon_sym_await] = ACTIONS(2773),
    [anon_sym_while] = ACTIONS(2773),
    [anon_sym_do] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2773),
    [anon_sym_continue] = ACTIONS(2773),
    [anon_sym_debugger] = ACTIONS(2773),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_throw] = ACTIONS(2773),
    [anon_sym_case] = ACTIONS(2773),
    [anon_sym_yield] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(2771),
    [sym_glimmer_opening_tag] = ACTIONS(2771),
    [anon_sym_DQUOTE] = ACTIONS(2771),
    [anon_sym_SQUOTE] = ACTIONS(2771),
    [anon_sym_class] = ACTIONS(2773),
    [anon_sym_async] = ACTIONS(2773),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_new] = ACTIONS(2773),
    [anon_sym_using] = ACTIONS(2773),
    [anon_sym_PLUS] = ACTIONS(2773),
    [anon_sym_DASH] = ACTIONS(2773),
    [anon_sym_SLASH] = ACTIONS(2773),
    [anon_sym_LT] = ACTIONS(2773),
    [anon_sym_TILDE] = ACTIONS(2771),
    [anon_sym_void] = ACTIONS(2773),
    [anon_sym_delete] = ACTIONS(2773),
    [anon_sym_PLUS_PLUS] = ACTIONS(2771),
    [anon_sym_DASH_DASH] = ACTIONS(2771),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2771),
    [sym_number] = ACTIONS(2771),
    [sym_private_property_identifier] = ACTIONS(2771),
    [sym_this] = ACTIONS(2773),
    [sym_super] = ACTIONS(2773),
    [sym_true] = ACTIONS(2773),
    [sym_false] = ACTIONS(2773),
    [sym_null] = ACTIONS(2773),
    [sym_undefined] = ACTIONS(2773),
    [anon_sym_AT] = ACTIONS(2771),
    [anon_sym_static] = ACTIONS(2773),
    [anon_sym_readonly] = ACTIONS(2773),
    [anon_sym_get] = ACTIONS(2773),
    [anon_sym_set] = ACTIONS(2773),
    [anon_sym_declare] = ACTIONS(2773),
    [anon_sym_public] = ACTIONS(2773),
    [anon_sym_private] = ACTIONS(2773),
    [anon_sym_protected] = ACTIONS(2773),
    [anon_sym_override] = ACTIONS(2773),
    [anon_sym_module] = ACTIONS(2773),
    [anon_sym_any] = ACTIONS(2773),
    [anon_sym_number] = ACTIONS(2773),
    [anon_sym_boolean] = ACTIONS(2773),
    [anon_sym_string] = ACTIONS(2773),
    [anon_sym_symbol] = ACTIONS(2773),
    [anon_sym_object] = ACTIONS(2773),
    [anon_sym_abstract] = ACTIONS(2773),
    [anon_sym_interface] = ACTIONS(2773),
    [anon_sym_enum] = ACTIONS(2773),
    [sym_html_comment] = ACTIONS(5),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2775),
    [sym_identifier] = ACTIONS(2777),
    [anon_sym_export] = ACTIONS(2777),
    [anon_sym_default] = ACTIONS(2777),
    [anon_sym_type] = ACTIONS(2777),
    [anon_sym_namespace] = ACTIONS(2777),
    [anon_sym_LBRACE] = ACTIONS(2775),
    [anon_sym_RBRACE] = ACTIONS(2775),
    [anon_sym_typeof] = ACTIONS(2777),
    [anon_sym_import] = ACTIONS(2777),
    [anon_sym_with] = ACTIONS(2777),
    [anon_sym_var] = ACTIONS(2777),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_const] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2775),
    [anon_sym_else] = ACTIONS(2777),
    [anon_sym_if] = ACTIONS(2777),
    [anon_sym_switch] = ACTIONS(2777),
    [anon_sym_for] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2775),
    [anon_sym_SEMI] = ACTIONS(2775),
    [anon_sym_await] = ACTIONS(2777),
    [anon_sym_while] = ACTIONS(2777),
    [anon_sym_do] = ACTIONS(2777),
    [anon_sym_try] = ACTIONS(2777),
    [anon_sym_break] = ACTIONS(2777),
    [anon_sym_continue] = ACTIONS(2777),
    [anon_sym_debugger] = ACTIONS(2777),
    [anon_sym_return] = ACTIONS(2777),
    [anon_sym_throw] = ACTIONS(2777),
    [anon_sym_case] = ACTIONS(2777),
    [anon_sym_yield] = ACTIONS(2777),
    [anon_sym_LBRACK] = ACTIONS(2775),
    [sym_glimmer_opening_tag] = ACTIONS(2775),
    [anon_sym_DQUOTE] = ACTIONS(2775),
    [anon_sym_SQUOTE] = ACTIONS(2775),
    [anon_sym_class] = ACTIONS(2777),
    [anon_sym_async] = ACTIONS(2777),
    [anon_sym_function] = ACTIONS(2777),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_using] = ACTIONS(2777),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(2777),
    [anon_sym_SLASH] = ACTIONS(2777),
    [anon_sym_LT] = ACTIONS(2777),
    [anon_sym_TILDE] = ACTIONS(2775),
    [anon_sym_void] = ACTIONS(2777),
    [anon_sym_delete] = ACTIONS(2777),
    [anon_sym_PLUS_PLUS] = ACTIONS(2775),
    [anon_sym_DASH_DASH] = ACTIONS(2775),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2775),
    [sym_number] = ACTIONS(2775),
    [sym_private_property_identifier] = ACTIONS(2775),
    [sym_this] = ACTIONS(2777),
    [sym_super] = ACTIONS(2777),
    [sym_true] = ACTIONS(2777),
    [sym_false] = ACTIONS(2777),
    [sym_null] = ACTIONS(2777),
    [sym_undefined] = ACTIONS(2777),
    [anon_sym_AT] = ACTIONS(2775),
    [anon_sym_static] = ACTIONS(2777),
    [anon_sym_readonly] = ACTIONS(2777),
    [anon_sym_get] = ACTIONS(2777),
    [anon_sym_set] = ACTIONS(2777),
    [anon_sym_declare] = ACTIONS(2777),
    [anon_sym_public] = ACTIONS(2777),
    [anon_sym_private] = ACTIONS(2777),
    [anon_sym_protected] = ACTIONS(2777),
    [anon_sym_override] = ACTIONS(2777),
    [anon_sym_module] = ACTIONS(2777),
    [anon_sym_any] = ACTIONS(2777),
    [anon_sym_number] = ACTIONS(2777),
    [anon_sym_boolean] = ACTIONS(2777),
    [anon_sym_string] = ACTIONS(2777),
    [anon_sym_symbol] = ACTIONS(2777),
    [anon_sym_object] = ACTIONS(2777),
    [anon_sym_abstract] = ACTIONS(2777),
    [anon_sym_interface] = ACTIONS(2777),
    [anon_sym_enum] = ACTIONS(2777),
    [sym_html_comment] = ACTIONS(5),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2779),
    [sym_identifier] = ACTIONS(2781),
    [anon_sym_export] = ACTIONS(2781),
    [anon_sym_default] = ACTIONS(2781),
    [anon_sym_type] = ACTIONS(2781),
    [anon_sym_namespace] = ACTIONS(2781),
    [anon_sym_LBRACE] = ACTIONS(2779),
    [anon_sym_RBRACE] = ACTIONS(2779),
    [anon_sym_typeof] = ACTIONS(2781),
    [anon_sym_import] = ACTIONS(2781),
    [anon_sym_with] = ACTIONS(2781),
    [anon_sym_var] = ACTIONS(2781),
    [anon_sym_let] = ACTIONS(2781),
    [anon_sym_const] = ACTIONS(2781),
    [anon_sym_BANG] = ACTIONS(2779),
    [anon_sym_else] = ACTIONS(2781),
    [anon_sym_if] = ACTIONS(2781),
    [anon_sym_switch] = ACTIONS(2781),
    [anon_sym_for] = ACTIONS(2781),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_SEMI] = ACTIONS(2779),
    [anon_sym_await] = ACTIONS(2781),
    [anon_sym_while] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2781),
    [anon_sym_try] = ACTIONS(2781),
    [anon_sym_break] = ACTIONS(2781),
    [anon_sym_continue] = ACTIONS(2781),
    [anon_sym_debugger] = ACTIONS(2781),
    [anon_sym_return] = ACTIONS(2781),
    [anon_sym_throw] = ACTIONS(2781),
    [anon_sym_case] = ACTIONS(2781),
    [anon_sym_yield] = ACTIONS(2781),
    [anon_sym_LBRACK] = ACTIONS(2779),
    [sym_glimmer_opening_tag] = ACTIONS(2779),
    [anon_sym_DQUOTE] = ACTIONS(2779),
    [anon_sym_SQUOTE] = ACTIONS(2779),
    [anon_sym_class] = ACTIONS(2781),
    [anon_sym_async] = ACTIONS(2781),
    [anon_sym_function] = ACTIONS(2781),
    [anon_sym_new] = ACTIONS(2781),
    [anon_sym_using] = ACTIONS(2781),
    [anon_sym_PLUS] = ACTIONS(2781),
    [anon_sym_DASH] = ACTIONS(2781),
    [anon_sym_SLASH] = ACTIONS(2781),
    [anon_sym_LT] = ACTIONS(2781),
    [anon_sym_TILDE] = ACTIONS(2779),
    [anon_sym_void] = ACTIONS(2781),
    [anon_sym_delete] = ACTIONS(2781),
    [anon_sym_PLUS_PLUS] = ACTIONS(2779),
    [anon_sym_DASH_DASH] = ACTIONS(2779),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2779),
    [sym_number] = ACTIONS(2779),
    [sym_private_property_identifier] = ACTIONS(2779),
    [sym_this] = ACTIONS(2781),
    [sym_super] = ACTIONS(2781),
    [sym_true] = ACTIONS(2781),
    [sym_false] = ACTIONS(2781),
    [sym_null] = ACTIONS(2781),
    [sym_undefined] = ACTIONS(2781),
    [anon_sym_AT] = ACTIONS(2779),
    [anon_sym_static] = ACTIONS(2781),
    [anon_sym_readonly] = ACTIONS(2781),
    [anon_sym_get] = ACTIONS(2781),
    [anon_sym_set] = ACTIONS(2781),
    [anon_sym_declare] = ACTIONS(2781),
    [anon_sym_public] = ACTIONS(2781),
    [anon_sym_private] = ACTIONS(2781),
    [anon_sym_protected] = ACTIONS(2781),
    [anon_sym_override] = ACTIONS(2781),
    [anon_sym_module] = ACTIONS(2781),
    [anon_sym_any] = ACTIONS(2781),
    [anon_sym_number] = ACTIONS(2781),
    [anon_sym_boolean] = ACTIONS(2781),
    [anon_sym_string] = ACTIONS(2781),
    [anon_sym_symbol] = ACTIONS(2781),
    [anon_sym_object] = ACTIONS(2781),
    [anon_sym_abstract] = ACTIONS(2781),
    [anon_sym_interface] = ACTIONS(2781),
    [anon_sym_enum] = ACTIONS(2781),
    [sym_html_comment] = ACTIONS(5),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2783),
    [sym_identifier] = ACTIONS(2785),
    [anon_sym_export] = ACTIONS(2785),
    [anon_sym_default] = ACTIONS(2785),
    [anon_sym_type] = ACTIONS(2785),
    [anon_sym_namespace] = ACTIONS(2785),
    [anon_sym_LBRACE] = ACTIONS(2783),
    [anon_sym_RBRACE] = ACTIONS(2783),
    [anon_sym_typeof] = ACTIONS(2785),
    [anon_sym_import] = ACTIONS(2785),
    [anon_sym_with] = ACTIONS(2785),
    [anon_sym_var] = ACTIONS(2785),
    [anon_sym_let] = ACTIONS(2785),
    [anon_sym_const] = ACTIONS(2785),
    [anon_sym_BANG] = ACTIONS(2783),
    [anon_sym_else] = ACTIONS(2785),
    [anon_sym_if] = ACTIONS(2785),
    [anon_sym_switch] = ACTIONS(2785),
    [anon_sym_for] = ACTIONS(2785),
    [anon_sym_LPAREN] = ACTIONS(2783),
    [anon_sym_SEMI] = ACTIONS(2783),
    [anon_sym_await] = ACTIONS(2785),
    [anon_sym_while] = ACTIONS(2785),
    [anon_sym_do] = ACTIONS(2785),
    [anon_sym_try] = ACTIONS(2785),
    [anon_sym_break] = ACTIONS(2785),
    [anon_sym_continue] = ACTIONS(2785),
    [anon_sym_debugger] = ACTIONS(2785),
    [anon_sym_return] = ACTIONS(2785),
    [anon_sym_throw] = ACTIONS(2785),
    [anon_sym_case] = ACTIONS(2785),
    [anon_sym_yield] = ACTIONS(2785),
    [anon_sym_LBRACK] = ACTIONS(2783),
    [sym_glimmer_opening_tag] = ACTIONS(2783),
    [anon_sym_DQUOTE] = ACTIONS(2783),
    [anon_sym_SQUOTE] = ACTIONS(2783),
    [anon_sym_class] = ACTIONS(2785),
    [anon_sym_async] = ACTIONS(2785),
    [anon_sym_function] = ACTIONS(2785),
    [anon_sym_new] = ACTIONS(2785),
    [anon_sym_using] = ACTIONS(2785),
    [anon_sym_PLUS] = ACTIONS(2785),
    [anon_sym_DASH] = ACTIONS(2785),
    [anon_sym_SLASH] = ACTIONS(2785),
    [anon_sym_LT] = ACTIONS(2785),
    [anon_sym_TILDE] = ACTIONS(2783),
    [anon_sym_void] = ACTIONS(2785),
    [anon_sym_delete] = ACTIONS(2785),
    [anon_sym_PLUS_PLUS] = ACTIONS(2783),
    [anon_sym_DASH_DASH] = ACTIONS(2783),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2783),
    [sym_number] = ACTIONS(2783),
    [sym_private_property_identifier] = ACTIONS(2783),
    [sym_this] = ACTIONS(2785),
    [sym_super] = ACTIONS(2785),
    [sym_true] = ACTIONS(2785),
    [sym_false] = ACTIONS(2785),
    [sym_null] = ACTIONS(2785),
    [sym_undefined] = ACTIONS(2785),
    [anon_sym_AT] = ACTIONS(2783),
    [anon_sym_static] = ACTIONS(2785),
    [anon_sym_readonly] = ACTIONS(2785),
    [anon_sym_get] = ACTIONS(2785),
    [anon_sym_set] = ACTIONS(2785),
    [anon_sym_declare] = ACTIONS(2785),
    [anon_sym_public] = ACTIONS(2785),
    [anon_sym_private] = ACTIONS(2785),
    [anon_sym_protected] = ACTIONS(2785),
    [anon_sym_override] = ACTIONS(2785),
    [anon_sym_module] = ACTIONS(2785),
    [anon_sym_any] = ACTIONS(2785),
    [anon_sym_number] = ACTIONS(2785),
    [anon_sym_boolean] = ACTIONS(2785),
    [anon_sym_string] = ACTIONS(2785),
    [anon_sym_symbol] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2785),
    [anon_sym_abstract] = ACTIONS(2785),
    [anon_sym_interface] = ACTIONS(2785),
    [anon_sym_enum] = ACTIONS(2785),
    [sym_html_comment] = ACTIONS(5),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(2787),
    [sym_identifier] = ACTIONS(2789),
    [anon_sym_export] = ACTIONS(2789),
    [anon_sym_default] = ACTIONS(2789),
    [anon_sym_type] = ACTIONS(2789),
    [anon_sym_namespace] = ACTIONS(2789),
    [anon_sym_LBRACE] = ACTIONS(2787),
    [anon_sym_RBRACE] = ACTIONS(2787),
    [anon_sym_typeof] = ACTIONS(2789),
    [anon_sym_import] = ACTIONS(2789),
    [anon_sym_with] = ACTIONS(2789),
    [anon_sym_var] = ACTIONS(2789),
    [anon_sym_let] = ACTIONS(2789),
    [anon_sym_const] = ACTIONS(2789),
    [anon_sym_BANG] = ACTIONS(2787),
    [anon_sym_else] = ACTIONS(2789),
    [anon_sym_if] = ACTIONS(2789),
    [anon_sym_switch] = ACTIONS(2789),
    [anon_sym_for] = ACTIONS(2789),
    [anon_sym_LPAREN] = ACTIONS(2787),
    [anon_sym_SEMI] = ACTIONS(2787),
    [anon_sym_await] = ACTIONS(2789),
    [anon_sym_while] = ACTIONS(2789),
    [anon_sym_do] = ACTIONS(2789),
    [anon_sym_try] = ACTIONS(2789),
    [anon_sym_break] = ACTIONS(2789),
    [anon_sym_continue] = ACTIONS(2789),
    [anon_sym_debugger] = ACTIONS(2789),
    [anon_sym_return] = ACTIONS(2789),
    [anon_sym_throw] = ACTIONS(2789),
    [anon_sym_case] = ACTIONS(2789),
    [anon_sym_yield] = ACTIONS(2789),
    [anon_sym_LBRACK] = ACTIONS(2787),
    [sym_glimmer_opening_tag] = ACTIONS(2787),
    [anon_sym_DQUOTE] = ACTIONS(2787),
    [anon_sym_SQUOTE] = ACTIONS(2787),
    [anon_sym_class] = ACTIONS(2789),
    [anon_sym_async] = ACTIONS(2789),
    [anon_sym_function] = ACTIONS(2789),
    [anon_sym_new] = ACTIONS(2789),
    [anon_sym_using] = ACTIONS(2789),
    [anon_sym_PLUS] = ACTIONS(2789),
    [anon_sym_DASH] = ACTIONS(2789),
    [anon_sym_SLASH] = ACTIONS(2789),
    [anon_sym_LT] = ACTIONS(2789),
    [anon_sym_TILDE] = ACTIONS(2787),
    [anon_sym_void] = ACTIONS(2789),
    [anon_sym_delete] = ACTIONS(2789),
    [anon_sym_PLUS_PLUS] = ACTIONS(2787),
    [anon_sym_DASH_DASH] = ACTIONS(2787),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2787),
    [sym_number] = ACTIONS(2787),
    [sym_private_property_identifier] = ACTIONS(2787),
    [sym_this] = ACTIONS(2789),
    [sym_super] = ACTIONS(2789),
    [sym_true] = ACTIONS(2789),
    [sym_false] = ACTIONS(2789),
    [sym_null] = ACTIONS(2789),
    [sym_undefined] = ACTIONS(2789),
    [anon_sym_AT] = ACTIONS(2787),
    [anon_sym_static] = ACTIONS(2789),
    [anon_sym_readonly] = ACTIONS(2789),
    [anon_sym_get] = ACTIONS(2789),
    [anon_sym_set] = ACTIONS(2789),
    [anon_sym_declare] = ACTIONS(2789),
    [anon_sym_public] = ACTIONS(2789),
    [anon_sym_private] = ACTIONS(2789),
    [anon_sym_protected] = ACTIONS(2789),
    [anon_sym_override] = ACTIONS(2789),
    [anon_sym_module] = ACTIONS(2789),
    [anon_sym_any] = ACTIONS(2789),
    [anon_sym_number] = ACTIONS(2789),
    [anon_sym_boolean] = ACTIONS(2789),
    [anon_sym_string] = ACTIONS(2789),
    [anon_sym_symbol] = ACTIONS(2789),
    [anon_sym_object] = ACTIONS(2789),
    [anon_sym_abstract] = ACTIONS(2789),
    [anon_sym_interface] = ACTIONS(2789),
    [anon_sym_enum] = ACTIONS(2789),
    [sym_html_comment] = ACTIONS(5),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_export] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_type] = ACTIONS(2793),
    [anon_sym_namespace] = ACTIONS(2793),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_typeof] = ACTIONS(2793),
    [anon_sym_import] = ACTIONS(2793),
    [anon_sym_with] = ACTIONS(2793),
    [anon_sym_var] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_else] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_switch] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(2791),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym_await] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_do] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_debugger] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_throw] = ACTIONS(2793),
    [anon_sym_case] = ACTIONS(2793),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [sym_glimmer_opening_tag] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_class] = ACTIONS(2793),
    [anon_sym_async] = ACTIONS(2793),
    [anon_sym_function] = ACTIONS(2793),
    [anon_sym_new] = ACTIONS(2793),
    [anon_sym_using] = ACTIONS(2793),
    [anon_sym_PLUS] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2793),
    [anon_sym_SLASH] = ACTIONS(2793),
    [anon_sym_LT] = ACTIONS(2793),
    [anon_sym_TILDE] = ACTIONS(2791),
    [anon_sym_void] = ACTIONS(2793),
    [anon_sym_delete] = ACTIONS(2793),
    [anon_sym_PLUS_PLUS] = ACTIONS(2791),
    [anon_sym_DASH_DASH] = ACTIONS(2791),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2791),
    [sym_number] = ACTIONS(2791),
    [sym_private_property_identifier] = ACTIONS(2791),
    [sym_this] = ACTIONS(2793),
    [sym_super] = ACTIONS(2793),
    [sym_true] = ACTIONS(2793),
    [sym_false] = ACTIONS(2793),
    [sym_null] = ACTIONS(2793),
    [sym_undefined] = ACTIONS(2793),
    [anon_sym_AT] = ACTIONS(2791),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_readonly] = ACTIONS(2793),
    [anon_sym_get] = ACTIONS(2793),
    [anon_sym_set] = ACTIONS(2793),
    [anon_sym_declare] = ACTIONS(2793),
    [anon_sym_public] = ACTIONS(2793),
    [anon_sym_private] = ACTIONS(2793),
    [anon_sym_protected] = ACTIONS(2793),
    [anon_sym_override] = ACTIONS(2793),
    [anon_sym_module] = ACTIONS(2793),
    [anon_sym_any] = ACTIONS(2793),
    [anon_sym_number] = ACTIONS(2793),
    [anon_sym_boolean] = ACTIONS(2793),
    [anon_sym_string] = ACTIONS(2793),
    [anon_sym_symbol] = ACTIONS(2793),
    [anon_sym_object] = ACTIONS(2793),
    [anon_sym_abstract] = ACTIONS(2793),
    [anon_sym_interface] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [sym_html_comment] = ACTIONS(5),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_export] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_type] = ACTIONS(2797),
    [anon_sym_namespace] = ACTIONS(2797),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_typeof] = ACTIONS(2797),
    [anon_sym_import] = ACTIONS(2797),
    [anon_sym_with] = ACTIONS(2797),
    [anon_sym_var] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_else] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_switch] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym_await] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_do] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_debugger] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_throw] = ACTIONS(2797),
    [anon_sym_case] = ACTIONS(2797),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [sym_glimmer_opening_tag] = ACTIONS(2795),
    [anon_sym_DQUOTE] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2795),
    [anon_sym_class] = ACTIONS(2797),
    [anon_sym_async] = ACTIONS(2797),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_new] = ACTIONS(2797),
    [anon_sym_using] = ACTIONS(2797),
    [anon_sym_PLUS] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2797),
    [anon_sym_SLASH] = ACTIONS(2797),
    [anon_sym_LT] = ACTIONS(2797),
    [anon_sym_TILDE] = ACTIONS(2795),
    [anon_sym_void] = ACTIONS(2797),
    [anon_sym_delete] = ACTIONS(2797),
    [anon_sym_PLUS_PLUS] = ACTIONS(2795),
    [anon_sym_DASH_DASH] = ACTIONS(2795),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2795),
    [sym_number] = ACTIONS(2795),
    [sym_private_property_identifier] = ACTIONS(2795),
    [sym_this] = ACTIONS(2797),
    [sym_super] = ACTIONS(2797),
    [sym_true] = ACTIONS(2797),
    [sym_false] = ACTIONS(2797),
    [sym_null] = ACTIONS(2797),
    [sym_undefined] = ACTIONS(2797),
    [anon_sym_AT] = ACTIONS(2795),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_readonly] = ACTIONS(2797),
    [anon_sym_get] = ACTIONS(2797),
    [anon_sym_set] = ACTIONS(2797),
    [anon_sym_declare] = ACTIONS(2797),
    [anon_sym_public] = ACTIONS(2797),
    [anon_sym_private] = ACTIONS(2797),
    [anon_sym_protected] = ACTIONS(2797),
    [anon_sym_override] = ACTIONS(2797),
    [anon_sym_module] = ACTIONS(2797),
    [anon_sym_any] = ACTIONS(2797),
    [anon_sym_number] = ACTIONS(2797),
    [anon_sym_boolean] = ACTIONS(2797),
    [anon_sym_string] = ACTIONS(2797),
    [anon_sym_symbol] = ACTIONS(2797),
    [anon_sym_object] = ACTIONS(2797),
    [anon_sym_abstract] = ACTIONS(2797),
    [anon_sym_interface] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [sym_html_comment] = ACTIONS(5),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_export] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_type] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_typeof] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2801),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_var] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2799),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym_await] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_debugger] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [sym_glimmer_opening_tag] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_async] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_void] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2799),
    [sym_number] = ACTIONS(2799),
    [sym_private_property_identifier] = ACTIONS(2799),
    [sym_this] = ACTIONS(2801),
    [sym_super] = ACTIONS(2801),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [sym_null] = ACTIONS(2801),
    [sym_undefined] = ACTIONS(2801),
    [anon_sym_AT] = ACTIONS(2799),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_readonly] = ACTIONS(2801),
    [anon_sym_get] = ACTIONS(2801),
    [anon_sym_set] = ACTIONS(2801),
    [anon_sym_declare] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_override] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2801),
    [anon_sym_any] = ACTIONS(2801),
    [anon_sym_number] = ACTIONS(2801),
    [anon_sym_boolean] = ACTIONS(2801),
    [anon_sym_string] = ACTIONS(2801),
    [anon_sym_symbol] = ACTIONS(2801),
    [anon_sym_object] = ACTIONS(2801),
    [anon_sym_abstract] = ACTIONS(2801),
    [anon_sym_interface] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [sym_html_comment] = ACTIONS(5),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_export] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_type] = ACTIONS(2801),
    [anon_sym_namespace] = ACTIONS(2801),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_typeof] = ACTIONS(2801),
    [anon_sym_import] = ACTIONS(2801),
    [anon_sym_with] = ACTIONS(2801),
    [anon_sym_var] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_else] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_switch] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_LPAREN] = ACTIONS(2799),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym_await] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_do] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_debugger] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_throw] = ACTIONS(2801),
    [anon_sym_case] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [sym_glimmer_opening_tag] = ACTIONS(2799),
    [anon_sym_DQUOTE] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2799),
    [anon_sym_class] = ACTIONS(2801),
    [anon_sym_async] = ACTIONS(2801),
    [anon_sym_function] = ACTIONS(2801),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_using] = ACTIONS(2801),
    [anon_sym_PLUS] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2801),
    [anon_sym_SLASH] = ACTIONS(2801),
    [anon_sym_LT] = ACTIONS(2801),
    [anon_sym_TILDE] = ACTIONS(2799),
    [anon_sym_void] = ACTIONS(2801),
    [anon_sym_delete] = ACTIONS(2801),
    [anon_sym_PLUS_PLUS] = ACTIONS(2799),
    [anon_sym_DASH_DASH] = ACTIONS(2799),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2799),
    [sym_number] = ACTIONS(2799),
    [sym_private_property_identifier] = ACTIONS(2799),
    [sym_this] = ACTIONS(2801),
    [sym_super] = ACTIONS(2801),
    [sym_true] = ACTIONS(2801),
    [sym_false] = ACTIONS(2801),
    [sym_null] = ACTIONS(2801),
    [sym_undefined] = ACTIONS(2801),
    [anon_sym_AT] = ACTIONS(2799),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_readonly] = ACTIONS(2801),
    [anon_sym_get] = ACTIONS(2801),
    [anon_sym_set] = ACTIONS(2801),
    [anon_sym_declare] = ACTIONS(2801),
    [anon_sym_public] = ACTIONS(2801),
    [anon_sym_private] = ACTIONS(2801),
    [anon_sym_protected] = ACTIONS(2801),
    [anon_sym_override] = ACTIONS(2801),
    [anon_sym_module] = ACTIONS(2801),
    [anon_sym_any] = ACTIONS(2801),
    [anon_sym_number] = ACTIONS(2801),
    [anon_sym_boolean] = ACTIONS(2801),
    [anon_sym_string] = ACTIONS(2801),
    [anon_sym_symbol] = ACTIONS(2801),
    [anon_sym_object] = ACTIONS(2801),
    [anon_sym_abstract] = ACTIONS(2801),
    [anon_sym_interface] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [sym_html_comment] = ACTIONS(5),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(1909),
    [sym_identifier] = ACTIONS(1911),
    [anon_sym_export] = ACTIONS(1911),
    [anon_sym_default] = ACTIONS(1911),
    [anon_sym_type] = ACTIONS(1911),
    [anon_sym_namespace] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1909),
    [anon_sym_RBRACE] = ACTIONS(1909),
    [anon_sym_typeof] = ACTIONS(1911),
    [anon_sym_import] = ACTIONS(1911),
    [anon_sym_with] = ACTIONS(1911),
    [anon_sym_var] = ACTIONS(1911),
    [anon_sym_let] = ACTIONS(1911),
    [anon_sym_const] = ACTIONS(1911),
    [anon_sym_BANG] = ACTIONS(1909),
    [anon_sym_else] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1911),
    [anon_sym_switch] = ACTIONS(1911),
    [anon_sym_for] = ACTIONS(1911),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1909),
    [anon_sym_await] = ACTIONS(1911),
    [anon_sym_while] = ACTIONS(1911),
    [anon_sym_do] = ACTIONS(1911),
    [anon_sym_try] = ACTIONS(1911),
    [anon_sym_break] = ACTIONS(1911),
    [anon_sym_continue] = ACTIONS(1911),
    [anon_sym_debugger] = ACTIONS(1911),
    [anon_sym_return] = ACTIONS(1911),
    [anon_sym_throw] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1911),
    [anon_sym_yield] = ACTIONS(1911),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [sym_glimmer_opening_tag] = ACTIONS(1909),
    [anon_sym_DQUOTE] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1911),
    [anon_sym_async] = ACTIONS(1911),
    [anon_sym_function] = ACTIONS(1911),
    [anon_sym_new] = ACTIONS(1911),
    [anon_sym_using] = ACTIONS(1911),
    [anon_sym_PLUS] = ACTIONS(1911),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_TILDE] = ACTIONS(1909),
    [anon_sym_void] = ACTIONS(1911),
    [anon_sym_delete] = ACTIONS(1911),
    [anon_sym_PLUS_PLUS] = ACTIONS(1909),
    [anon_sym_DASH_DASH] = ACTIONS(1909),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1909),
    [sym_number] = ACTIONS(1909),
    [sym_private_property_identifier] = ACTIONS(1909),
    [sym_this] = ACTIONS(1911),
    [sym_super] = ACTIONS(1911),
    [sym_true] = ACTIONS(1911),
    [sym_false] = ACTIONS(1911),
    [sym_null] = ACTIONS(1911),
    [sym_undefined] = ACTIONS(1911),
    [anon_sym_AT] = ACTIONS(1909),
    [anon_sym_static] = ACTIONS(1911),
    [anon_sym_readonly] = ACTIONS(1911),
    [anon_sym_get] = ACTIONS(1911),
    [anon_sym_set] = ACTIONS(1911),
    [anon_sym_declare] = ACTIONS(1911),
    [anon_sym_public] = ACTIONS(1911),
    [anon_sym_private] = ACTIONS(1911),
    [anon_sym_protected] = ACTIONS(1911),
    [anon_sym_override] = ACTIONS(1911),
    [anon_sym_module] = ACTIONS(1911),
    [anon_sym_any] = ACTIONS(1911),
    [anon_sym_number] = ACTIONS(1911),
    [anon_sym_boolean] = ACTIONS(1911),
    [anon_sym_string] = ACTIONS(1911),
    [anon_sym_symbol] = ACTIONS(1911),
    [anon_sym_object] = ACTIONS(1911),
    [anon_sym_abstract] = ACTIONS(1911),
    [anon_sym_interface] = ACTIONS(1911),
    [anon_sym_enum] = ACTIONS(1911),
    [sym_html_comment] = ACTIONS(5),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_export] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_namespace] = ACTIONS(2805),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_typeof] = ACTIONS(2805),
    [anon_sym_import] = ACTIONS(2805),
    [anon_sym_with] = ACTIONS(2805),
    [anon_sym_var] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_switch] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_LPAREN] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym_await] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_do] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_debugger] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_throw] = ACTIONS(2805),
    [anon_sym_case] = ACTIONS(2805),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [sym_glimmer_opening_tag] = ACTIONS(2803),
    [anon_sym_DQUOTE] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_function] = ACTIONS(2805),
    [anon_sym_new] = ACTIONS(2805),
    [anon_sym_using] = ACTIONS(2805),
    [anon_sym_PLUS] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2805),
    [anon_sym_SLASH] = ACTIONS(2805),
    [anon_sym_LT] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2803),
    [anon_sym_void] = ACTIONS(2805),
    [anon_sym_delete] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2803),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2803),
    [sym_number] = ACTIONS(2803),
    [sym_private_property_identifier] = ACTIONS(2803),
    [sym_this] = ACTIONS(2805),
    [sym_super] = ACTIONS(2805),
    [sym_true] = ACTIONS(2805),
    [sym_false] = ACTIONS(2805),
    [sym_null] = ACTIONS(2805),
    [sym_undefined] = ACTIONS(2805),
    [anon_sym_AT] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_readonly] = ACTIONS(2805),
    [anon_sym_get] = ACTIONS(2805),
    [anon_sym_set] = ACTIONS(2805),
    [anon_sym_declare] = ACTIONS(2805),
    [anon_sym_public] = ACTIONS(2805),
    [anon_sym_private] = ACTIONS(2805),
    [anon_sym_protected] = ACTIONS(2805),
    [anon_sym_override] = ACTIONS(2805),
    [anon_sym_module] = ACTIONS(2805),
    [anon_sym_any] = ACTIONS(2805),
    [anon_sym_number] = ACTIONS(2805),
    [anon_sym_boolean] = ACTIONS(2805),
    [anon_sym_string] = ACTIONS(2805),
    [anon_sym_symbol] = ACTIONS(2805),
    [anon_sym_object] = ACTIONS(2805),
    [anon_sym_abstract] = ACTIONS(2805),
    [anon_sym_interface] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [sym_html_comment] = ACTIONS(5),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(2807),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_export] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_namespace] = ACTIONS(2809),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_typeof] = ACTIONS(2809),
    [anon_sym_import] = ACTIONS(2809),
    [anon_sym_with] = ACTIONS(2809),
    [anon_sym_var] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_else] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_switch] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym_await] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_do] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_debugger] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_throw] = ACTIONS(2809),
    [anon_sym_case] = ACTIONS(2809),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_LBRACK] = ACTIONS(2807),
    [sym_glimmer_opening_tag] = ACTIONS(2807),
    [anon_sym_DQUOTE] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2807),
    [anon_sym_class] = ACTIONS(2809),
    [anon_sym_async] = ACTIONS(2809),
    [anon_sym_function] = ACTIONS(2809),
    [anon_sym_new] = ACTIONS(2809),
    [anon_sym_using] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_SLASH] = ACTIONS(2809),
    [anon_sym_LT] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2807),
    [anon_sym_void] = ACTIONS(2809),
    [anon_sym_delete] = ACTIONS(2809),
    [anon_sym_PLUS_PLUS] = ACTIONS(2807),
    [anon_sym_DASH_DASH] = ACTIONS(2807),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2807),
    [sym_number] = ACTIONS(2807),
    [sym_private_property_identifier] = ACTIONS(2807),
    [sym_this] = ACTIONS(2809),
    [sym_super] = ACTIONS(2809),
    [sym_true] = ACTIONS(2809),
    [sym_false] = ACTIONS(2809),
    [sym_null] = ACTIONS(2809),
    [sym_undefined] = ACTIONS(2809),
    [anon_sym_AT] = ACTIONS(2807),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_readonly] = ACTIONS(2809),
    [anon_sym_get] = ACTIONS(2809),
    [anon_sym_set] = ACTIONS(2809),
    [anon_sym_declare] = ACTIONS(2809),
    [anon_sym_public] = ACTIONS(2809),
    [anon_sym_private] = ACTIONS(2809),
    [anon_sym_protected] = ACTIONS(2809),
    [anon_sym_override] = ACTIONS(2809),
    [anon_sym_module] = ACTIONS(2809),
    [anon_sym_any] = ACTIONS(2809),
    [anon_sym_number] = ACTIONS(2809),
    [anon_sym_boolean] = ACTIONS(2809),
    [anon_sym_string] = ACTIONS(2809),
    [anon_sym_symbol] = ACTIONS(2809),
    [anon_sym_object] = ACTIONS(2809),
    [anon_sym_abstract] = ACTIONS(2809),
    [anon_sym_interface] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [sym_html_comment] = ACTIONS(5),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_export] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_type] = ACTIONS(2813),
    [anon_sym_namespace] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_typeof] = ACTIONS(2813),
    [anon_sym_import] = ACTIONS(2813),
    [anon_sym_with] = ACTIONS(2813),
    [anon_sym_var] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_else] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_switch] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_LPAREN] = ACTIONS(2811),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_await] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_do] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_debugger] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_throw] = ACTIONS(2813),
    [anon_sym_case] = ACTIONS(2813),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2811),
    [sym_glimmer_opening_tag] = ACTIONS(2811),
    [anon_sym_DQUOTE] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2811),
    [anon_sym_class] = ACTIONS(2813),
    [anon_sym_async] = ACTIONS(2813),
    [anon_sym_function] = ACTIONS(2813),
    [anon_sym_new] = ACTIONS(2813),
    [anon_sym_using] = ACTIONS(2813),
    [anon_sym_PLUS] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2813),
    [anon_sym_SLASH] = ACTIONS(2813),
    [anon_sym_LT] = ACTIONS(2813),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_void] = ACTIONS(2813),
    [anon_sym_delete] = ACTIONS(2813),
    [anon_sym_PLUS_PLUS] = ACTIONS(2811),
    [anon_sym_DASH_DASH] = ACTIONS(2811),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2811),
    [sym_number] = ACTIONS(2811),
    [sym_private_property_identifier] = ACTIONS(2811),
    [sym_this] = ACTIONS(2813),
    [sym_super] = ACTIONS(2813),
    [sym_true] = ACTIONS(2813),
    [sym_false] = ACTIONS(2813),
    [sym_null] = ACTIONS(2813),
    [sym_undefined] = ACTIONS(2813),
    [anon_sym_AT] = ACTIONS(2811),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_readonly] = ACTIONS(2813),
    [anon_sym_get] = ACTIONS(2813),
    [anon_sym_set] = ACTIONS(2813),
    [anon_sym_declare] = ACTIONS(2813),
    [anon_sym_public] = ACTIONS(2813),
    [anon_sym_private] = ACTIONS(2813),
    [anon_sym_protected] = ACTIONS(2813),
    [anon_sym_override] = ACTIONS(2813),
    [anon_sym_module] = ACTIONS(2813),
    [anon_sym_any] = ACTIONS(2813),
    [anon_sym_number] = ACTIONS(2813),
    [anon_sym_boolean] = ACTIONS(2813),
    [anon_sym_string] = ACTIONS(2813),
    [anon_sym_symbol] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2813),
    [anon_sym_abstract] = ACTIONS(2813),
    [anon_sym_interface] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [sym_html_comment] = ACTIONS(5),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_export] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_type] = ACTIONS(2817),
    [anon_sym_namespace] = ACTIONS(2817),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_typeof] = ACTIONS(2817),
    [anon_sym_import] = ACTIONS(2817),
    [anon_sym_with] = ACTIONS(2817),
    [anon_sym_var] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_else] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_switch] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_await] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_do] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_debugger] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_throw] = ACTIONS(2817),
    [anon_sym_case] = ACTIONS(2817),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [sym_glimmer_opening_tag] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_class] = ACTIONS(2817),
    [anon_sym_async] = ACTIONS(2817),
    [anon_sym_function] = ACTIONS(2817),
    [anon_sym_new] = ACTIONS(2817),
    [anon_sym_using] = ACTIONS(2817),
    [anon_sym_PLUS] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2817),
    [anon_sym_SLASH] = ACTIONS(2817),
    [anon_sym_LT] = ACTIONS(2817),
    [anon_sym_TILDE] = ACTIONS(2815),
    [anon_sym_void] = ACTIONS(2817),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_PLUS_PLUS] = ACTIONS(2815),
    [anon_sym_DASH_DASH] = ACTIONS(2815),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2815),
    [sym_number] = ACTIONS(2815),
    [sym_private_property_identifier] = ACTIONS(2815),
    [sym_this] = ACTIONS(2817),
    [sym_super] = ACTIONS(2817),
    [sym_true] = ACTIONS(2817),
    [sym_false] = ACTIONS(2817),
    [sym_null] = ACTIONS(2817),
    [sym_undefined] = ACTIONS(2817),
    [anon_sym_AT] = ACTIONS(2815),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_readonly] = ACTIONS(2817),
    [anon_sym_get] = ACTIONS(2817),
    [anon_sym_set] = ACTIONS(2817),
    [anon_sym_declare] = ACTIONS(2817),
    [anon_sym_public] = ACTIONS(2817),
    [anon_sym_private] = ACTIONS(2817),
    [anon_sym_protected] = ACTIONS(2817),
    [anon_sym_override] = ACTIONS(2817),
    [anon_sym_module] = ACTIONS(2817),
    [anon_sym_any] = ACTIONS(2817),
    [anon_sym_number] = ACTIONS(2817),
    [anon_sym_boolean] = ACTIONS(2817),
    [anon_sym_string] = ACTIONS(2817),
    [anon_sym_symbol] = ACTIONS(2817),
    [anon_sym_object] = ACTIONS(2817),
    [anon_sym_abstract] = ACTIONS(2817),
    [anon_sym_interface] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [sym_html_comment] = ACTIONS(5),
  },
  [874] = {
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_export] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_type] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_typeof] = ACTIONS(2821),
    [anon_sym_import] = ACTIONS(2821),
    [anon_sym_with] = ACTIONS(2821),
    [anon_sym_var] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym_await] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_debugger] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [sym_glimmer_opening_tag] = ACTIONS(2819),
    [anon_sym_DQUOTE] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2819),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_async] = ACTIONS(2821),
    [anon_sym_function] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_SLASH] = ACTIONS(2821),
    [anon_sym_LT] = ACTIONS(2821),
    [anon_sym_TILDE] = ACTIONS(2819),
    [anon_sym_void] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_PLUS_PLUS] = ACTIONS(2819),
    [anon_sym_DASH_DASH] = ACTIONS(2819),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2819),
    [sym_number] = ACTIONS(2819),
    [sym_private_property_identifier] = ACTIONS(2819),
    [sym_this] = ACTIONS(2821),
    [sym_super] = ACTIONS(2821),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [sym_null] = ACTIONS(2821),
    [sym_undefined] = ACTIONS(2821),
    [anon_sym_AT] = ACTIONS(2819),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_readonly] = ACTIONS(2821),
    [anon_sym_get] = ACTIONS(2821),
    [anon_sym_set] = ACTIONS(2821),
    [anon_sym_declare] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_override] = ACTIONS(2821),
    [anon_sym_module] = ACTIONS(2821),
    [anon_sym_any] = ACTIONS(2821),
    [anon_sym_number] = ACTIONS(2821),
    [anon_sym_boolean] = ACTIONS(2821),
    [anon_sym_string] = ACTIONS(2821),
    [anon_sym_symbol] = ACTIONS(2821),
    [anon_sym_object] = ACTIONS(2821),
    [anon_sym_abstract] = ACTIONS(2821),
    [anon_sym_interface] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [sym_html_comment] = ACTIONS(5),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_export] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_type] = ACTIONS(2825),
    [anon_sym_namespace] = ACTIONS(2825),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_typeof] = ACTIONS(2825),
    [anon_sym_import] = ACTIONS(2825),
    [anon_sym_with] = ACTIONS(2825),
    [anon_sym_var] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_else] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_switch] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym_await] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_do] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_debugger] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_throw] = ACTIONS(2825),
    [anon_sym_case] = ACTIONS(2825),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [sym_glimmer_opening_tag] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_class] = ACTIONS(2825),
    [anon_sym_async] = ACTIONS(2825),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_new] = ACTIONS(2825),
    [anon_sym_using] = ACTIONS(2825),
    [anon_sym_PLUS] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2825),
    [anon_sym_SLASH] = ACTIONS(2825),
    [anon_sym_LT] = ACTIONS(2825),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_void] = ACTIONS(2825),
    [anon_sym_delete] = ACTIONS(2825),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2823),
    [sym_number] = ACTIONS(2823),
    [sym_private_property_identifier] = ACTIONS(2823),
    [sym_this] = ACTIONS(2825),
    [sym_super] = ACTIONS(2825),
    [sym_true] = ACTIONS(2825),
    [sym_false] = ACTIONS(2825),
    [sym_null] = ACTIONS(2825),
    [sym_undefined] = ACTIONS(2825),
    [anon_sym_AT] = ACTIONS(2823),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_readonly] = ACTIONS(2825),
    [anon_sym_get] = ACTIONS(2825),
    [anon_sym_set] = ACTIONS(2825),
    [anon_sym_declare] = ACTIONS(2825),
    [anon_sym_public] = ACTIONS(2825),
    [anon_sym_private] = ACTIONS(2825),
    [anon_sym_protected] = ACTIONS(2825),
    [anon_sym_override] = ACTIONS(2825),
    [anon_sym_module] = ACTIONS(2825),
    [anon_sym_any] = ACTIONS(2825),
    [anon_sym_number] = ACTIONS(2825),
    [anon_sym_boolean] = ACTIONS(2825),
    [anon_sym_string] = ACTIONS(2825),
    [anon_sym_symbol] = ACTIONS(2825),
    [anon_sym_object] = ACTIONS(2825),
    [anon_sym_abstract] = ACTIONS(2825),
    [anon_sym_interface] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [sym_html_comment] = ACTIONS(5),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_export] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_type] = ACTIONS(2829),
    [anon_sym_namespace] = ACTIONS(2829),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_typeof] = ACTIONS(2829),
    [anon_sym_import] = ACTIONS(2829),
    [anon_sym_with] = ACTIONS(2829),
    [anon_sym_var] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_else] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_switch] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_LPAREN] = ACTIONS(2827),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym_await] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_debugger] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_throw] = ACTIONS(2829),
    [anon_sym_case] = ACTIONS(2829),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [sym_glimmer_opening_tag] = ACTIONS(2827),
    [anon_sym_DQUOTE] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2827),
    [anon_sym_class] = ACTIONS(2829),
    [anon_sym_async] = ACTIONS(2829),
    [anon_sym_function] = ACTIONS(2829),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_using] = ACTIONS(2829),
    [anon_sym_PLUS] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2829),
    [anon_sym_SLASH] = ACTIONS(2829),
    [anon_sym_LT] = ACTIONS(2829),
    [anon_sym_TILDE] = ACTIONS(2827),
    [anon_sym_void] = ACTIONS(2829),
    [anon_sym_delete] = ACTIONS(2829),
    [anon_sym_PLUS_PLUS] = ACTIONS(2827),
    [anon_sym_DASH_DASH] = ACTIONS(2827),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2827),
    [sym_number] = ACTIONS(2827),
    [sym_private_property_identifier] = ACTIONS(2827),
    [sym_this] = ACTIONS(2829),
    [sym_super] = ACTIONS(2829),
    [sym_true] = ACTIONS(2829),
    [sym_false] = ACTIONS(2829),
    [sym_null] = ACTIONS(2829),
    [sym_undefined] = ACTIONS(2829),
    [anon_sym_AT] = ACTIONS(2827),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_readonly] = ACTIONS(2829),
    [anon_sym_get] = ACTIONS(2829),
    [anon_sym_set] = ACTIONS(2829),
    [anon_sym_declare] = ACTIONS(2829),
    [anon_sym_public] = ACTIONS(2829),
    [anon_sym_private] = ACTIONS(2829),
    [anon_sym_protected] = ACTIONS(2829),
    [anon_sym_override] = ACTIONS(2829),
    [anon_sym_module] = ACTIONS(2829),
    [anon_sym_any] = ACTIONS(2829),
    [anon_sym_number] = ACTIONS(2829),
    [anon_sym_boolean] = ACTIONS(2829),
    [anon_sym_string] = ACTIONS(2829),
    [anon_sym_symbol] = ACTIONS(2829),
    [anon_sym_object] = ACTIONS(2829),
    [anon_sym_abstract] = ACTIONS(2829),
    [anon_sym_interface] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [sym_html_comment] = ACTIONS(5),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_export] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_type] = ACTIONS(2833),
    [anon_sym_namespace] = ACTIONS(2833),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_typeof] = ACTIONS(2833),
    [anon_sym_import] = ACTIONS(2833),
    [anon_sym_with] = ACTIONS(2833),
    [anon_sym_var] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_else] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_switch] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_LPAREN] = ACTIONS(2831),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym_await] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_debugger] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_throw] = ACTIONS(2833),
    [anon_sym_case] = ACTIONS(2833),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [sym_glimmer_opening_tag] = ACTIONS(2831),
    [anon_sym_DQUOTE] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2831),
    [anon_sym_class] = ACTIONS(2833),
    [anon_sym_async] = ACTIONS(2833),
    [anon_sym_function] = ACTIONS(2833),
    [anon_sym_new] = ACTIONS(2833),
    [anon_sym_using] = ACTIONS(2833),
    [anon_sym_PLUS] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2833),
    [anon_sym_SLASH] = ACTIONS(2833),
    [anon_sym_LT] = ACTIONS(2833),
    [anon_sym_TILDE] = ACTIONS(2831),
    [anon_sym_void] = ACTIONS(2833),
    [anon_sym_delete] = ACTIONS(2833),
    [anon_sym_PLUS_PLUS] = ACTIONS(2831),
    [anon_sym_DASH_DASH] = ACTIONS(2831),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2831),
    [sym_number] = ACTIONS(2831),
    [sym_private_property_identifier] = ACTIONS(2831),
    [sym_this] = ACTIONS(2833),
    [sym_super] = ACTIONS(2833),
    [sym_true] = ACTIONS(2833),
    [sym_false] = ACTIONS(2833),
    [sym_null] = ACTIONS(2833),
    [sym_undefined] = ACTIONS(2833),
    [anon_sym_AT] = ACTIONS(2831),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_readonly] = ACTIONS(2833),
    [anon_sym_get] = ACTIONS(2833),
    [anon_sym_set] = ACTIONS(2833),
    [anon_sym_declare] = ACTIONS(2833),
    [anon_sym_public] = ACTIONS(2833),
    [anon_sym_private] = ACTIONS(2833),
    [anon_sym_protected] = ACTIONS(2833),
    [anon_sym_override] = ACTIONS(2833),
    [anon_sym_module] = ACTIONS(2833),
    [anon_sym_any] = ACTIONS(2833),
    [anon_sym_number] = ACTIONS(2833),
    [anon_sym_boolean] = ACTIONS(2833),
    [anon_sym_string] = ACTIONS(2833),
    [anon_sym_symbol] = ACTIONS(2833),
    [anon_sym_object] = ACTIONS(2833),
    [anon_sym_abstract] = ACTIONS(2833),
    [anon_sym_interface] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [sym_html_comment] = ACTIONS(5),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_export] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_namespace] = ACTIONS(2837),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_typeof] = ACTIONS(2837),
    [anon_sym_import] = ACTIONS(2837),
    [anon_sym_with] = ACTIONS(2837),
    [anon_sym_var] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_else] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_switch] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_LPAREN] = ACTIONS(2835),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym_await] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_do] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_debugger] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_throw] = ACTIONS(2837),
    [anon_sym_case] = ACTIONS(2837),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [sym_glimmer_opening_tag] = ACTIONS(2835),
    [anon_sym_DQUOTE] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2835),
    [anon_sym_class] = ACTIONS(2837),
    [anon_sym_async] = ACTIONS(2837),
    [anon_sym_function] = ACTIONS(2837),
    [anon_sym_new] = ACTIONS(2837),
    [anon_sym_using] = ACTIONS(2837),
    [anon_sym_PLUS] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2837),
    [anon_sym_SLASH] = ACTIONS(2837),
    [anon_sym_LT] = ACTIONS(2837),
    [anon_sym_TILDE] = ACTIONS(2835),
    [anon_sym_void] = ACTIONS(2837),
    [anon_sym_delete] = ACTIONS(2837),
    [anon_sym_PLUS_PLUS] = ACTIONS(2835),
    [anon_sym_DASH_DASH] = ACTIONS(2835),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2835),
    [sym_number] = ACTIONS(2835),
    [sym_private_property_identifier] = ACTIONS(2835),
    [sym_this] = ACTIONS(2837),
    [sym_super] = ACTIONS(2837),
    [sym_true] = ACTIONS(2837),
    [sym_false] = ACTIONS(2837),
    [sym_null] = ACTIONS(2837),
    [sym_undefined] = ACTIONS(2837),
    [anon_sym_AT] = ACTIONS(2835),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_readonly] = ACTIONS(2837),
    [anon_sym_get] = ACTIONS(2837),
    [anon_sym_set] = ACTIONS(2837),
    [anon_sym_declare] = ACTIONS(2837),
    [anon_sym_public] = ACTIONS(2837),
    [anon_sym_private] = ACTIONS(2837),
    [anon_sym_protected] = ACTIONS(2837),
    [anon_sym_override] = ACTIONS(2837),
    [anon_sym_module] = ACTIONS(2837),
    [anon_sym_any] = ACTIONS(2837),
    [anon_sym_number] = ACTIONS(2837),
    [anon_sym_boolean] = ACTIONS(2837),
    [anon_sym_string] = ACTIONS(2837),
    [anon_sym_symbol] = ACTIONS(2837),
    [anon_sym_object] = ACTIONS(2837),
    [anon_sym_abstract] = ACTIONS(2837),
    [anon_sym_interface] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [sym_html_comment] = ACTIONS(5),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(2839),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_export] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_type] = ACTIONS(2841),
    [anon_sym_namespace] = ACTIONS(2841),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_typeof] = ACTIONS(2841),
    [anon_sym_import] = ACTIONS(2841),
    [anon_sym_with] = ACTIONS(2841),
    [anon_sym_var] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_else] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_switch] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym_await] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_do] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_debugger] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_throw] = ACTIONS(2841),
    [anon_sym_case] = ACTIONS(2841),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [sym_glimmer_opening_tag] = ACTIONS(2839),
    [anon_sym_DQUOTE] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2839),
    [anon_sym_class] = ACTIONS(2841),
    [anon_sym_async] = ACTIONS(2841),
    [anon_sym_function] = ACTIONS(2841),
    [anon_sym_new] = ACTIONS(2841),
    [anon_sym_using] = ACTIONS(2841),
    [anon_sym_PLUS] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2841),
    [anon_sym_SLASH] = ACTIONS(2841),
    [anon_sym_LT] = ACTIONS(2841),
    [anon_sym_TILDE] = ACTIONS(2839),
    [anon_sym_void] = ACTIONS(2841),
    [anon_sym_delete] = ACTIONS(2841),
    [anon_sym_PLUS_PLUS] = ACTIONS(2839),
    [anon_sym_DASH_DASH] = ACTIONS(2839),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2839),
    [sym_number] = ACTIONS(2839),
    [sym_private_property_identifier] = ACTIONS(2839),
    [sym_this] = ACTIONS(2841),
    [sym_super] = ACTIONS(2841),
    [sym_true] = ACTIONS(2841),
    [sym_false] = ACTIONS(2841),
    [sym_null] = ACTIONS(2841),
    [sym_undefined] = ACTIONS(2841),
    [anon_sym_AT] = ACTIONS(2839),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_readonly] = ACTIONS(2841),
    [anon_sym_get] = ACTIONS(2841),
    [anon_sym_set] = ACTIONS(2841),
    [anon_sym_declare] = ACTIONS(2841),
    [anon_sym_public] = ACTIONS(2841),
    [anon_sym_private] = ACTIONS(2841),
    [anon_sym_protected] = ACTIONS(2841),
    [anon_sym_override] = ACTIONS(2841),
    [anon_sym_module] = ACTIONS(2841),
    [anon_sym_any] = ACTIONS(2841),
    [anon_sym_number] = ACTIONS(2841),
    [anon_sym_boolean] = ACTIONS(2841),
    [anon_sym_string] = ACTIONS(2841),
    [anon_sym_symbol] = ACTIONS(2841),
    [anon_sym_object] = ACTIONS(2841),
    [anon_sym_abstract] = ACTIONS(2841),
    [anon_sym_interface] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [sym_html_comment] = ACTIONS(5),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_export] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_namespace] = ACTIONS(2845),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_typeof] = ACTIONS(2845),
    [anon_sym_import] = ACTIONS(2845),
    [anon_sym_with] = ACTIONS(2845),
    [anon_sym_var] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_else] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_switch] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_LPAREN] = ACTIONS(2843),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym_await] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_do] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_debugger] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_throw] = ACTIONS(2845),
    [anon_sym_case] = ACTIONS(2845),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [sym_glimmer_opening_tag] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_class] = ACTIONS(2845),
    [anon_sym_async] = ACTIONS(2845),
    [anon_sym_function] = ACTIONS(2845),
    [anon_sym_new] = ACTIONS(2845),
    [anon_sym_using] = ACTIONS(2845),
    [anon_sym_PLUS] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2845),
    [anon_sym_SLASH] = ACTIONS(2845),
    [anon_sym_LT] = ACTIONS(2845),
    [anon_sym_TILDE] = ACTIONS(2843),
    [anon_sym_void] = ACTIONS(2845),
    [anon_sym_delete] = ACTIONS(2845),
    [anon_sym_PLUS_PLUS] = ACTIONS(2843),
    [anon_sym_DASH_DASH] = ACTIONS(2843),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2843),
    [sym_number] = ACTIONS(2843),
    [sym_private_property_identifier] = ACTIONS(2843),
    [sym_this] = ACTIONS(2845),
    [sym_super] = ACTIONS(2845),
    [sym_true] = ACTIONS(2845),
    [sym_false] = ACTIONS(2845),
    [sym_null] = ACTIONS(2845),
    [sym_undefined] = ACTIONS(2845),
    [anon_sym_AT] = ACTIONS(2843),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_readonly] = ACTIONS(2845),
    [anon_sym_get] = ACTIONS(2845),
    [anon_sym_set] = ACTIONS(2845),
    [anon_sym_declare] = ACTIONS(2845),
    [anon_sym_public] = ACTIONS(2845),
    [anon_sym_private] = ACTIONS(2845),
    [anon_sym_protected] = ACTIONS(2845),
    [anon_sym_override] = ACTIONS(2845),
    [anon_sym_module] = ACTIONS(2845),
    [anon_sym_any] = ACTIONS(2845),
    [anon_sym_number] = ACTIONS(2845),
    [anon_sym_boolean] = ACTIONS(2845),
    [anon_sym_string] = ACTIONS(2845),
    [anon_sym_symbol] = ACTIONS(2845),
    [anon_sym_object] = ACTIONS(2845),
    [anon_sym_abstract] = ACTIONS(2845),
    [anon_sym_interface] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [sym_html_comment] = ACTIONS(5),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_export] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_type] = ACTIONS(2849),
    [anon_sym_namespace] = ACTIONS(2849),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_typeof] = ACTIONS(2849),
    [anon_sym_import] = ACTIONS(2849),
    [anon_sym_with] = ACTIONS(2849),
    [anon_sym_var] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_else] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_switch] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_LPAREN] = ACTIONS(2847),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_await] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_do] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_debugger] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_throw] = ACTIONS(2849),
    [anon_sym_case] = ACTIONS(2849),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [sym_glimmer_opening_tag] = ACTIONS(2847),
    [anon_sym_DQUOTE] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2847),
    [anon_sym_class] = ACTIONS(2849),
    [anon_sym_async] = ACTIONS(2849),
    [anon_sym_function] = ACTIONS(2849),
    [anon_sym_new] = ACTIONS(2849),
    [anon_sym_using] = ACTIONS(2849),
    [anon_sym_PLUS] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2849),
    [anon_sym_SLASH] = ACTIONS(2849),
    [anon_sym_LT] = ACTIONS(2849),
    [anon_sym_TILDE] = ACTIONS(2847),
    [anon_sym_void] = ACTIONS(2849),
    [anon_sym_delete] = ACTIONS(2849),
    [anon_sym_PLUS_PLUS] = ACTIONS(2847),
    [anon_sym_DASH_DASH] = ACTIONS(2847),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2847),
    [sym_number] = ACTIONS(2847),
    [sym_private_property_identifier] = ACTIONS(2847),
    [sym_this] = ACTIONS(2849),
    [sym_super] = ACTIONS(2849),
    [sym_true] = ACTIONS(2849),
    [sym_false] = ACTIONS(2849),
    [sym_null] = ACTIONS(2849),
    [sym_undefined] = ACTIONS(2849),
    [anon_sym_AT] = ACTIONS(2847),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_readonly] = ACTIONS(2849),
    [anon_sym_get] = ACTIONS(2849),
    [anon_sym_set] = ACTIONS(2849),
    [anon_sym_declare] = ACTIONS(2849),
    [anon_sym_public] = ACTIONS(2849),
    [anon_sym_private] = ACTIONS(2849),
    [anon_sym_protected] = ACTIONS(2849),
    [anon_sym_override] = ACTIONS(2849),
    [anon_sym_module] = ACTIONS(2849),
    [anon_sym_any] = ACTIONS(2849),
    [anon_sym_number] = ACTIONS(2849),
    [anon_sym_boolean] = ACTIONS(2849),
    [anon_sym_string] = ACTIONS(2849),
    [anon_sym_symbol] = ACTIONS(2849),
    [anon_sym_object] = ACTIONS(2849),
    [anon_sym_abstract] = ACTIONS(2849),
    [anon_sym_interface] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [sym_html_comment] = ACTIONS(5),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(2851),
    [sym_identifier] = ACTIONS(2853),
    [anon_sym_export] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_type] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_RBRACE] = ACTIONS(2851),
    [anon_sym_typeof] = ACTIONS(2853),
    [anon_sym_import] = ACTIONS(2853),
    [anon_sym_with] = ACTIONS(2853),
    [anon_sym_var] = ACTIONS(2853),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_LPAREN] = ACTIONS(2851),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym_await] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_debugger] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2851),
    [sym_glimmer_opening_tag] = ACTIONS(2851),
    [anon_sym_DQUOTE] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2851),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_async] = ACTIONS(2853),
    [anon_sym_function] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_SLASH] = ACTIONS(2853),
    [anon_sym_LT] = ACTIONS(2853),
    [anon_sym_TILDE] = ACTIONS(2851),
    [anon_sym_void] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_PLUS_PLUS] = ACTIONS(2851),
    [anon_sym_DASH_DASH] = ACTIONS(2851),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2851),
    [sym_number] = ACTIONS(2851),
    [sym_private_property_identifier] = ACTIONS(2851),
    [sym_this] = ACTIONS(2853),
    [sym_super] = ACTIONS(2853),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [sym_null] = ACTIONS(2853),
    [sym_undefined] = ACTIONS(2853),
    [anon_sym_AT] = ACTIONS(2851),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_readonly] = ACTIONS(2853),
    [anon_sym_get] = ACTIONS(2853),
    [anon_sym_set] = ACTIONS(2853),
    [anon_sym_declare] = ACTIONS(2853),
    [anon_sym_public] = ACTIONS(2853),
    [anon_sym_private] = ACTIONS(2853),
    [anon_sym_protected] = ACTIONS(2853),
    [anon_sym_override] = ACTIONS(2853),
    [anon_sym_module] = ACTIONS(2853),
    [anon_sym_any] = ACTIONS(2853),
    [anon_sym_number] = ACTIONS(2853),
    [anon_sym_boolean] = ACTIONS(2853),
    [anon_sym_string] = ACTIONS(2853),
    [anon_sym_symbol] = ACTIONS(2853),
    [anon_sym_object] = ACTIONS(2853),
    [anon_sym_abstract] = ACTIONS(2853),
    [anon_sym_interface] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [sym_html_comment] = ACTIONS(5),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(2855),
    [sym_identifier] = ACTIONS(2857),
    [anon_sym_export] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_type] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_RBRACE] = ACTIONS(2855),
    [anon_sym_typeof] = ACTIONS(2857),
    [anon_sym_import] = ACTIONS(2857),
    [anon_sym_with] = ACTIONS(2857),
    [anon_sym_var] = ACTIONS(2857),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_else] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym_await] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_debugger] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_yield] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [sym_glimmer_opening_tag] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_function] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_SLASH] = ACTIONS(2857),
    [anon_sym_LT] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_void] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2855),
    [sym_number] = ACTIONS(2855),
    [sym_private_property_identifier] = ACTIONS(2855),
    [sym_this] = ACTIONS(2857),
    [sym_super] = ACTIONS(2857),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [sym_null] = ACTIONS(2857),
    [sym_undefined] = ACTIONS(2857),
    [anon_sym_AT] = ACTIONS(2855),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_readonly] = ACTIONS(2857),
    [anon_sym_get] = ACTIONS(2857),
    [anon_sym_set] = ACTIONS(2857),
    [anon_sym_declare] = ACTIONS(2857),
    [anon_sym_public] = ACTIONS(2857),
    [anon_sym_private] = ACTIONS(2857),
    [anon_sym_protected] = ACTIONS(2857),
    [anon_sym_override] = ACTIONS(2857),
    [anon_sym_module] = ACTIONS(2857),
    [anon_sym_any] = ACTIONS(2857),
    [anon_sym_number] = ACTIONS(2857),
    [anon_sym_boolean] = ACTIONS(2857),
    [anon_sym_string] = ACTIONS(2857),
    [anon_sym_symbol] = ACTIONS(2857),
    [anon_sym_object] = ACTIONS(2857),
    [anon_sym_abstract] = ACTIONS(2857),
    [anon_sym_interface] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [sym_html_comment] = ACTIONS(5),
  },
  [884] = {
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_export] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_type] = ACTIONS(2861),
    [anon_sym_namespace] = ACTIONS(2861),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_typeof] = ACTIONS(2861),
    [anon_sym_import] = ACTIONS(2861),
    [anon_sym_with] = ACTIONS(2861),
    [anon_sym_var] = ACTIONS(2861),
    [anon_sym_let] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_await] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_do] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_debugger] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_throw] = ACTIONS(2861),
    [anon_sym_case] = ACTIONS(2861),
    [anon_sym_yield] = ACTIONS(2861),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [sym_glimmer_opening_tag] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_class] = ACTIONS(2861),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_function] = ACTIONS(2861),
    [anon_sym_new] = ACTIONS(2861),
    [anon_sym_using] = ACTIONS(2861),
    [anon_sym_PLUS] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2861),
    [anon_sym_SLASH] = ACTIONS(2861),
    [anon_sym_LT] = ACTIONS(2861),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_void] = ACTIONS(2861),
    [anon_sym_delete] = ACTIONS(2861),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2859),
    [sym_number] = ACTIONS(2859),
    [sym_private_property_identifier] = ACTIONS(2859),
    [sym_this] = ACTIONS(2861),
    [sym_super] = ACTIONS(2861),
    [sym_true] = ACTIONS(2861),
    [sym_false] = ACTIONS(2861),
    [sym_null] = ACTIONS(2861),
    [sym_undefined] = ACTIONS(2861),
    [anon_sym_AT] = ACTIONS(2859),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_readonly] = ACTIONS(2861),
    [anon_sym_get] = ACTIONS(2861),
    [anon_sym_set] = ACTIONS(2861),
    [anon_sym_declare] = ACTIONS(2861),
    [anon_sym_public] = ACTIONS(2861),
    [anon_sym_private] = ACTIONS(2861),
    [anon_sym_protected] = ACTIONS(2861),
    [anon_sym_override] = ACTIONS(2861),
    [anon_sym_module] = ACTIONS(2861),
    [anon_sym_any] = ACTIONS(2861),
    [anon_sym_number] = ACTIONS(2861),
    [anon_sym_boolean] = ACTIONS(2861),
    [anon_sym_string] = ACTIONS(2861),
    [anon_sym_symbol] = ACTIONS(2861),
    [anon_sym_object] = ACTIONS(2861),
    [anon_sym_abstract] = ACTIONS(2861),
    [anon_sym_interface] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [sym_html_comment] = ACTIONS(5),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_export] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_type] = ACTIONS(2865),
    [anon_sym_namespace] = ACTIONS(2865),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_typeof] = ACTIONS(2865),
    [anon_sym_import] = ACTIONS(2865),
    [anon_sym_with] = ACTIONS(2865),
    [anon_sym_var] = ACTIONS(2865),
    [anon_sym_let] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_switch] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym_await] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_do] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_debugger] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_throw] = ACTIONS(2865),
    [anon_sym_case] = ACTIONS(2865),
    [anon_sym_yield] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [sym_glimmer_opening_tag] = ACTIONS(2863),
    [anon_sym_DQUOTE] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2865),
    [anon_sym_async] = ACTIONS(2865),
    [anon_sym_function] = ACTIONS(2865),
    [anon_sym_new] = ACTIONS(2865),
    [anon_sym_using] = ACTIONS(2865),
    [anon_sym_PLUS] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2865),
    [anon_sym_SLASH] = ACTIONS(2865),
    [anon_sym_LT] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2863),
    [anon_sym_void] = ACTIONS(2865),
    [anon_sym_delete] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2863),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2863),
    [sym_number] = ACTIONS(2863),
    [sym_private_property_identifier] = ACTIONS(2863),
    [sym_this] = ACTIONS(2865),
    [sym_super] = ACTIONS(2865),
    [sym_true] = ACTIONS(2865),
    [sym_false] = ACTIONS(2865),
    [sym_null] = ACTIONS(2865),
    [sym_undefined] = ACTIONS(2865),
    [anon_sym_AT] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_readonly] = ACTIONS(2865),
    [anon_sym_get] = ACTIONS(2865),
    [anon_sym_set] = ACTIONS(2865),
    [anon_sym_declare] = ACTIONS(2865),
    [anon_sym_public] = ACTIONS(2865),
    [anon_sym_private] = ACTIONS(2865),
    [anon_sym_protected] = ACTIONS(2865),
    [anon_sym_override] = ACTIONS(2865),
    [anon_sym_module] = ACTIONS(2865),
    [anon_sym_any] = ACTIONS(2865),
    [anon_sym_number] = ACTIONS(2865),
    [anon_sym_boolean] = ACTIONS(2865),
    [anon_sym_string] = ACTIONS(2865),
    [anon_sym_symbol] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2865),
    [anon_sym_abstract] = ACTIONS(2865),
    [anon_sym_interface] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [sym_html_comment] = ACTIONS(5),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_export] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_type] = ACTIONS(2869),
    [anon_sym_namespace] = ACTIONS(2869),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_typeof] = ACTIONS(2869),
    [anon_sym_import] = ACTIONS(2869),
    [anon_sym_with] = ACTIONS(2869),
    [anon_sym_var] = ACTIONS(2869),
    [anon_sym_let] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_switch] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_LPAREN] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym_await] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_do] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_debugger] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_throw] = ACTIONS(2869),
    [anon_sym_case] = ACTIONS(2869),
    [anon_sym_yield] = ACTIONS(2869),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [sym_glimmer_opening_tag] = ACTIONS(2867),
    [anon_sym_DQUOTE] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2869),
    [anon_sym_async] = ACTIONS(2869),
    [anon_sym_function] = ACTIONS(2869),
    [anon_sym_new] = ACTIONS(2869),
    [anon_sym_using] = ACTIONS(2869),
    [anon_sym_PLUS] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2869),
    [anon_sym_SLASH] = ACTIONS(2869),
    [anon_sym_LT] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2867),
    [anon_sym_void] = ACTIONS(2869),
    [anon_sym_delete] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2867),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2867),
    [sym_number] = ACTIONS(2867),
    [sym_private_property_identifier] = ACTIONS(2867),
    [sym_this] = ACTIONS(2869),
    [sym_super] = ACTIONS(2869),
    [sym_true] = ACTIONS(2869),
    [sym_false] = ACTIONS(2869),
    [sym_null] = ACTIONS(2869),
    [sym_undefined] = ACTIONS(2869),
    [anon_sym_AT] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_readonly] = ACTIONS(2869),
    [anon_sym_get] = ACTIONS(2869),
    [anon_sym_set] = ACTIONS(2869),
    [anon_sym_declare] = ACTIONS(2869),
    [anon_sym_public] = ACTIONS(2869),
    [anon_sym_private] = ACTIONS(2869),
    [anon_sym_protected] = ACTIONS(2869),
    [anon_sym_override] = ACTIONS(2869),
    [anon_sym_module] = ACTIONS(2869),
    [anon_sym_any] = ACTIONS(2869),
    [anon_sym_number] = ACTIONS(2869),
    [anon_sym_boolean] = ACTIONS(2869),
    [anon_sym_string] = ACTIONS(2869),
    [anon_sym_symbol] = ACTIONS(2869),
    [anon_sym_object] = ACTIONS(2869),
    [anon_sym_abstract] = ACTIONS(2869),
    [anon_sym_interface] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [sym_html_comment] = ACTIONS(5),
  },
  [887] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_export] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_type] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_typeof] = ACTIONS(2873),
    [anon_sym_import] = ACTIONS(2873),
    [anon_sym_with] = ACTIONS(2873),
    [anon_sym_var] = ACTIONS(2873),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym_await] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_debugger] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_yield] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [sym_glimmer_opening_tag] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_async] = ACTIONS(2873),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_SLASH] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_void] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2871),
    [sym_number] = ACTIONS(2871),
    [sym_private_property_identifier] = ACTIONS(2871),
    [sym_this] = ACTIONS(2873),
    [sym_super] = ACTIONS(2873),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [sym_null] = ACTIONS(2873),
    [sym_undefined] = ACTIONS(2873),
    [anon_sym_AT] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_readonly] = ACTIONS(2873),
    [anon_sym_get] = ACTIONS(2873),
    [anon_sym_set] = ACTIONS(2873),
    [anon_sym_declare] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_override] = ACTIONS(2873),
    [anon_sym_module] = ACTIONS(2873),
    [anon_sym_any] = ACTIONS(2873),
    [anon_sym_number] = ACTIONS(2873),
    [anon_sym_boolean] = ACTIONS(2873),
    [anon_sym_string] = ACTIONS(2873),
    [anon_sym_symbol] = ACTIONS(2873),
    [anon_sym_object] = ACTIONS(2873),
    [anon_sym_abstract] = ACTIONS(2873),
    [anon_sym_interface] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [sym_html_comment] = ACTIONS(5),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_export] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_type] = ACTIONS(2873),
    [anon_sym_namespace] = ACTIONS(2873),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_typeof] = ACTIONS(2873),
    [anon_sym_import] = ACTIONS(2873),
    [anon_sym_with] = ACTIONS(2873),
    [anon_sym_var] = ACTIONS(2873),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_switch] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_LPAREN] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym_await] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_do] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_debugger] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_throw] = ACTIONS(2873),
    [anon_sym_case] = ACTIONS(2873),
    [anon_sym_yield] = ACTIONS(2873),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [sym_glimmer_opening_tag] = ACTIONS(2871),
    [anon_sym_DQUOTE] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2873),
    [anon_sym_async] = ACTIONS(2873),
    [anon_sym_function] = ACTIONS(2873),
    [anon_sym_new] = ACTIONS(2873),
    [anon_sym_using] = ACTIONS(2873),
    [anon_sym_PLUS] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2873),
    [anon_sym_SLASH] = ACTIONS(2873),
    [anon_sym_LT] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2871),
    [anon_sym_void] = ACTIONS(2873),
    [anon_sym_delete] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2871),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2871),
    [sym_number] = ACTIONS(2871),
    [sym_private_property_identifier] = ACTIONS(2871),
    [sym_this] = ACTIONS(2873),
    [sym_super] = ACTIONS(2873),
    [sym_true] = ACTIONS(2873),
    [sym_false] = ACTIONS(2873),
    [sym_null] = ACTIONS(2873),
    [sym_undefined] = ACTIONS(2873),
    [anon_sym_AT] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_readonly] = ACTIONS(2873),
    [anon_sym_get] = ACTIONS(2873),
    [anon_sym_set] = ACTIONS(2873),
    [anon_sym_declare] = ACTIONS(2873),
    [anon_sym_public] = ACTIONS(2873),
    [anon_sym_private] = ACTIONS(2873),
    [anon_sym_protected] = ACTIONS(2873),
    [anon_sym_override] = ACTIONS(2873),
    [anon_sym_module] = ACTIONS(2873),
    [anon_sym_any] = ACTIONS(2873),
    [anon_sym_number] = ACTIONS(2873),
    [anon_sym_boolean] = ACTIONS(2873),
    [anon_sym_string] = ACTIONS(2873),
    [anon_sym_symbol] = ACTIONS(2873),
    [anon_sym_object] = ACTIONS(2873),
    [anon_sym_abstract] = ACTIONS(2873),
    [anon_sym_interface] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [sym_html_comment] = ACTIONS(5),
  },
  [889] = {
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_export] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_type] = ACTIONS(2877),
    [anon_sym_namespace] = ACTIONS(2877),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_typeof] = ACTIONS(2877),
    [anon_sym_import] = ACTIONS(2877),
    [anon_sym_with] = ACTIONS(2877),
    [anon_sym_var] = ACTIONS(2877),
    [anon_sym_let] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_switch] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_LPAREN] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym_await] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_do] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_debugger] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_throw] = ACTIONS(2877),
    [anon_sym_case] = ACTIONS(2877),
    [anon_sym_yield] = ACTIONS(2877),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [sym_glimmer_opening_tag] = ACTIONS(2875),
    [anon_sym_DQUOTE] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2877),
    [anon_sym_async] = ACTIONS(2877),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_new] = ACTIONS(2877),
    [anon_sym_using] = ACTIONS(2877),
    [anon_sym_PLUS] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2877),
    [anon_sym_SLASH] = ACTIONS(2877),
    [anon_sym_LT] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2875),
    [anon_sym_void] = ACTIONS(2877),
    [anon_sym_delete] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2875),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2875),
    [sym_number] = ACTIONS(2875),
    [sym_private_property_identifier] = ACTIONS(2875),
    [sym_this] = ACTIONS(2877),
    [sym_super] = ACTIONS(2877),
    [sym_true] = ACTIONS(2877),
    [sym_false] = ACTIONS(2877),
    [sym_null] = ACTIONS(2877),
    [sym_undefined] = ACTIONS(2877),
    [anon_sym_AT] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_readonly] = ACTIONS(2877),
    [anon_sym_get] = ACTIONS(2877),
    [anon_sym_set] = ACTIONS(2877),
    [anon_sym_declare] = ACTIONS(2877),
    [anon_sym_public] = ACTIONS(2877),
    [anon_sym_private] = ACTIONS(2877),
    [anon_sym_protected] = ACTIONS(2877),
    [anon_sym_override] = ACTIONS(2877),
    [anon_sym_module] = ACTIONS(2877),
    [anon_sym_any] = ACTIONS(2877),
    [anon_sym_number] = ACTIONS(2877),
    [anon_sym_boolean] = ACTIONS(2877),
    [anon_sym_string] = ACTIONS(2877),
    [anon_sym_symbol] = ACTIONS(2877),
    [anon_sym_object] = ACTIONS(2877),
    [anon_sym_abstract] = ACTIONS(2877),
    [anon_sym_interface] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [sym_html_comment] = ACTIONS(5),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(1901),
    [sym_identifier] = ACTIONS(1903),
    [anon_sym_export] = ACTIONS(1903),
    [anon_sym_default] = ACTIONS(1903),
    [anon_sym_type] = ACTIONS(1903),
    [anon_sym_namespace] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1901),
    [anon_sym_RBRACE] = ACTIONS(1901),
    [anon_sym_typeof] = ACTIONS(1903),
    [anon_sym_import] = ACTIONS(1903),
    [anon_sym_with] = ACTIONS(1903),
    [anon_sym_var] = ACTIONS(1903),
    [anon_sym_let] = ACTIONS(1903),
    [anon_sym_const] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1901),
    [anon_sym_else] = ACTIONS(1903),
    [anon_sym_if] = ACTIONS(1903),
    [anon_sym_switch] = ACTIONS(1903),
    [anon_sym_for] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1901),
    [anon_sym_await] = ACTIONS(1903),
    [anon_sym_while] = ACTIONS(1903),
    [anon_sym_do] = ACTIONS(1903),
    [anon_sym_try] = ACTIONS(1903),
    [anon_sym_break] = ACTIONS(1903),
    [anon_sym_continue] = ACTIONS(1903),
    [anon_sym_debugger] = ACTIONS(1903),
    [anon_sym_return] = ACTIONS(1903),
    [anon_sym_throw] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1903),
    [anon_sym_yield] = ACTIONS(1903),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [sym_glimmer_opening_tag] = ACTIONS(1901),
    [anon_sym_DQUOTE] = ACTIONS(1901),
    [anon_sym_SQUOTE] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1903),
    [anon_sym_async] = ACTIONS(1903),
    [anon_sym_function] = ACTIONS(1903),
    [anon_sym_new] = ACTIONS(1903),
    [anon_sym_using] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1903),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1901),
    [anon_sym_void] = ACTIONS(1903),
    [anon_sym_delete] = ACTIONS(1903),
    [anon_sym_PLUS_PLUS] = ACTIONS(1901),
    [anon_sym_DASH_DASH] = ACTIONS(1901),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1901),
    [sym_number] = ACTIONS(1901),
    [sym_private_property_identifier] = ACTIONS(1901),
    [sym_this] = ACTIONS(1903),
    [sym_super] = ACTIONS(1903),
    [sym_true] = ACTIONS(1903),
    [sym_false] = ACTIONS(1903),
    [sym_null] = ACTIONS(1903),
    [sym_undefined] = ACTIONS(1903),
    [anon_sym_AT] = ACTIONS(1901),
    [anon_sym_static] = ACTIONS(1903),
    [anon_sym_readonly] = ACTIONS(1903),
    [anon_sym_get] = ACTIONS(1903),
    [anon_sym_set] = ACTIONS(1903),
    [anon_sym_declare] = ACTIONS(1903),
    [anon_sym_public] = ACTIONS(1903),
    [anon_sym_private] = ACTIONS(1903),
    [anon_sym_protected] = ACTIONS(1903),
    [anon_sym_override] = ACTIONS(1903),
    [anon_sym_module] = ACTIONS(1903),
    [anon_sym_any] = ACTIONS(1903),
    [anon_sym_number] = ACTIONS(1903),
    [anon_sym_boolean] = ACTIONS(1903),
    [anon_sym_string] = ACTIONS(1903),
    [anon_sym_symbol] = ACTIONS(1903),
    [anon_sym_object] = ACTIONS(1903),
    [anon_sym_abstract] = ACTIONS(1903),
    [anon_sym_interface] = ACTIONS(1903),
    [anon_sym_enum] = ACTIONS(1903),
    [sym_html_comment] = ACTIONS(5),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_export] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_type] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_typeof] = ACTIONS(2881),
    [anon_sym_import] = ACTIONS(2881),
    [anon_sym_with] = ACTIONS(2881),
    [anon_sym_var] = ACTIONS(2881),
    [anon_sym_let] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_LPAREN] = ACTIONS(2879),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym_await] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_debugger] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_yield] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [sym_glimmer_opening_tag] = ACTIONS(2879),
    [anon_sym_DQUOTE] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2879),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_async] = ACTIONS(2881),
    [anon_sym_function] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_SLASH] = ACTIONS(2881),
    [anon_sym_LT] = ACTIONS(2881),
    [anon_sym_TILDE] = ACTIONS(2879),
    [anon_sym_void] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_PLUS_PLUS] = ACTIONS(2879),
    [anon_sym_DASH_DASH] = ACTIONS(2879),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2879),
    [sym_number] = ACTIONS(2879),
    [sym_private_property_identifier] = ACTIONS(2879),
    [sym_this] = ACTIONS(2881),
    [sym_super] = ACTIONS(2881),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [sym_null] = ACTIONS(2881),
    [sym_undefined] = ACTIONS(2881),
    [anon_sym_AT] = ACTIONS(2879),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_readonly] = ACTIONS(2881),
    [anon_sym_get] = ACTIONS(2881),
    [anon_sym_set] = ACTIONS(2881),
    [anon_sym_declare] = ACTIONS(2881),
    [anon_sym_public] = ACTIONS(2881),
    [anon_sym_private] = ACTIONS(2881),
    [anon_sym_protected] = ACTIONS(2881),
    [anon_sym_override] = ACTIONS(2881),
    [anon_sym_module] = ACTIONS(2881),
    [anon_sym_any] = ACTIONS(2881),
    [anon_sym_number] = ACTIONS(2881),
    [anon_sym_boolean] = ACTIONS(2881),
    [anon_sym_string] = ACTIONS(2881),
    [anon_sym_symbol] = ACTIONS(2881),
    [anon_sym_object] = ACTIONS(2881),
    [anon_sym_abstract] = ACTIONS(2881),
    [anon_sym_interface] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [sym_html_comment] = ACTIONS(5),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_export] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_type] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_typeof] = ACTIONS(2885),
    [anon_sym_import] = ACTIONS(2885),
    [anon_sym_with] = ACTIONS(2885),
    [anon_sym_var] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_await] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_debugger] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_yield] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [sym_glimmer_opening_tag] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_async] = ACTIONS(2885),
    [anon_sym_function] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_SLASH] = ACTIONS(2885),
    [anon_sym_LT] = ACTIONS(2885),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_void] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2883),
    [sym_number] = ACTIONS(2883),
    [sym_private_property_identifier] = ACTIONS(2883),
    [sym_this] = ACTIONS(2885),
    [sym_super] = ACTIONS(2885),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [sym_null] = ACTIONS(2885),
    [sym_undefined] = ACTIONS(2885),
    [anon_sym_AT] = ACTIONS(2883),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_readonly] = ACTIONS(2885),
    [anon_sym_get] = ACTIONS(2885),
    [anon_sym_set] = ACTIONS(2885),
    [anon_sym_declare] = ACTIONS(2885),
    [anon_sym_public] = ACTIONS(2885),
    [anon_sym_private] = ACTIONS(2885),
    [anon_sym_protected] = ACTIONS(2885),
    [anon_sym_override] = ACTIONS(2885),
    [anon_sym_module] = ACTIONS(2885),
    [anon_sym_any] = ACTIONS(2885),
    [anon_sym_number] = ACTIONS(2885),
    [anon_sym_boolean] = ACTIONS(2885),
    [anon_sym_string] = ACTIONS(2885),
    [anon_sym_symbol] = ACTIONS(2885),
    [anon_sym_object] = ACTIONS(2885),
    [anon_sym_abstract] = ACTIONS(2885),
    [anon_sym_interface] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [sym_html_comment] = ACTIONS(5),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_export] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_type] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_typeof] = ACTIONS(2889),
    [anon_sym_import] = ACTIONS(2889),
    [anon_sym_with] = ACTIONS(2889),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_await] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_debugger] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_yield] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_glimmer_opening_tag] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_async] = ACTIONS(2889),
    [anon_sym_function] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_void] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2887),
    [sym_number] = ACTIONS(2887),
    [sym_private_property_identifier] = ACTIONS(2887),
    [sym_this] = ACTIONS(2889),
    [sym_super] = ACTIONS(2889),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [sym_null] = ACTIONS(2889),
    [sym_undefined] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_readonly] = ACTIONS(2889),
    [anon_sym_get] = ACTIONS(2889),
    [anon_sym_set] = ACTIONS(2889),
    [anon_sym_declare] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2889),
    [anon_sym_module] = ACTIONS(2889),
    [anon_sym_any] = ACTIONS(2889),
    [anon_sym_number] = ACTIONS(2889),
    [anon_sym_boolean] = ACTIONS(2889),
    [anon_sym_string] = ACTIONS(2889),
    [anon_sym_symbol] = ACTIONS(2889),
    [anon_sym_object] = ACTIONS(2889),
    [anon_sym_abstract] = ACTIONS(2889),
    [anon_sym_interface] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [sym_html_comment] = ACTIONS(5),
  },
  [894] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_export] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_type] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_typeof] = ACTIONS(2889),
    [anon_sym_import] = ACTIONS(2889),
    [anon_sym_with] = ACTIONS(2889),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_await] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_debugger] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_yield] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_glimmer_opening_tag] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_async] = ACTIONS(2889),
    [anon_sym_function] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_void] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2887),
    [sym_number] = ACTIONS(2887),
    [sym_private_property_identifier] = ACTIONS(2887),
    [sym_this] = ACTIONS(2889),
    [sym_super] = ACTIONS(2889),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [sym_null] = ACTIONS(2889),
    [sym_undefined] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_readonly] = ACTIONS(2889),
    [anon_sym_get] = ACTIONS(2889),
    [anon_sym_set] = ACTIONS(2889),
    [anon_sym_declare] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2889),
    [anon_sym_module] = ACTIONS(2889),
    [anon_sym_any] = ACTIONS(2889),
    [anon_sym_number] = ACTIONS(2889),
    [anon_sym_boolean] = ACTIONS(2889),
    [anon_sym_string] = ACTIONS(2889),
    [anon_sym_symbol] = ACTIONS(2889),
    [anon_sym_object] = ACTIONS(2889),
    [anon_sym_abstract] = ACTIONS(2889),
    [anon_sym_interface] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [sym_html_comment] = ACTIONS(5),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_export] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_type] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_typeof] = ACTIONS(2889),
    [anon_sym_import] = ACTIONS(2889),
    [anon_sym_with] = ACTIONS(2889),
    [anon_sym_var] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_await] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_debugger] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_yield] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [sym_glimmer_opening_tag] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_async] = ACTIONS(2889),
    [anon_sym_function] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_SLASH] = ACTIONS(2889),
    [anon_sym_LT] = ACTIONS(2889),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_void] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2887),
    [sym_number] = ACTIONS(2887),
    [sym_private_property_identifier] = ACTIONS(2887),
    [sym_this] = ACTIONS(2889),
    [sym_super] = ACTIONS(2889),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [sym_null] = ACTIONS(2889),
    [sym_undefined] = ACTIONS(2889),
    [anon_sym_AT] = ACTIONS(2887),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_readonly] = ACTIONS(2889),
    [anon_sym_get] = ACTIONS(2889),
    [anon_sym_set] = ACTIONS(2889),
    [anon_sym_declare] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_override] = ACTIONS(2889),
    [anon_sym_module] = ACTIONS(2889),
    [anon_sym_any] = ACTIONS(2889),
    [anon_sym_number] = ACTIONS(2889),
    [anon_sym_boolean] = ACTIONS(2889),
    [anon_sym_string] = ACTIONS(2889),
    [anon_sym_symbol] = ACTIONS(2889),
    [anon_sym_object] = ACTIONS(2889),
    [anon_sym_abstract] = ACTIONS(2889),
    [anon_sym_interface] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [sym_html_comment] = ACTIONS(5),
  },
  [896] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_export] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_type] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_typeof] = ACTIONS(2893),
    [anon_sym_import] = ACTIONS(2893),
    [anon_sym_with] = ACTIONS(2893),
    [anon_sym_var] = ACTIONS(2893),
    [anon_sym_let] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_LPAREN] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym_await] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_debugger] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_yield] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [sym_glimmer_opening_tag] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_async] = ACTIONS(2893),
    [anon_sym_function] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_SLASH] = ACTIONS(2893),
    [anon_sym_LT] = ACTIONS(2893),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_void] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2891),
    [sym_number] = ACTIONS(2891),
    [sym_private_property_identifier] = ACTIONS(2891),
    [sym_this] = ACTIONS(2893),
    [sym_super] = ACTIONS(2893),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [sym_null] = ACTIONS(2893),
    [sym_undefined] = ACTIONS(2893),
    [anon_sym_AT] = ACTIONS(2891),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_readonly] = ACTIONS(2893),
    [anon_sym_get] = ACTIONS(2893),
    [anon_sym_set] = ACTIONS(2893),
    [anon_sym_declare] = ACTIONS(2893),
    [anon_sym_public] = ACTIONS(2893),
    [anon_sym_private] = ACTIONS(2893),
    [anon_sym_protected] = ACTIONS(2893),
    [anon_sym_override] = ACTIONS(2893),
    [anon_sym_module] = ACTIONS(2893),
    [anon_sym_any] = ACTIONS(2893),
    [anon_sym_number] = ACTIONS(2893),
    [anon_sym_boolean] = ACTIONS(2893),
    [anon_sym_string] = ACTIONS(2893),
    [anon_sym_symbol] = ACTIONS(2893),
    [anon_sym_object] = ACTIONS(2893),
    [anon_sym_abstract] = ACTIONS(2893),
    [anon_sym_interface] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [sym_html_comment] = ACTIONS(5),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_export] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_type] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_typeof] = ACTIONS(2897),
    [anon_sym_import] = ACTIONS(2897),
    [anon_sym_with] = ACTIONS(2897),
    [anon_sym_var] = ACTIONS(2897),
    [anon_sym_let] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_LPAREN] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym_await] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_debugger] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_yield] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [sym_glimmer_opening_tag] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2897),
    [anon_sym_function] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_SLASH] = ACTIONS(2897),
    [anon_sym_LT] = ACTIONS(2897),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_void] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2895),
    [sym_number] = ACTIONS(2895),
    [sym_private_property_identifier] = ACTIONS(2895),
    [sym_this] = ACTIONS(2897),
    [sym_super] = ACTIONS(2897),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [sym_null] = ACTIONS(2897),
    [sym_undefined] = ACTIONS(2897),
    [anon_sym_AT] = ACTIONS(2895),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_readonly] = ACTIONS(2897),
    [anon_sym_get] = ACTIONS(2897),
    [anon_sym_set] = ACTIONS(2897),
    [anon_sym_declare] = ACTIONS(2897),
    [anon_sym_public] = ACTIONS(2897),
    [anon_sym_private] = ACTIONS(2897),
    [anon_sym_protected] = ACTIONS(2897),
    [anon_sym_override] = ACTIONS(2897),
    [anon_sym_module] = ACTIONS(2897),
    [anon_sym_any] = ACTIONS(2897),
    [anon_sym_number] = ACTIONS(2897),
    [anon_sym_boolean] = ACTIONS(2897),
    [anon_sym_string] = ACTIONS(2897),
    [anon_sym_symbol] = ACTIONS(2897),
    [anon_sym_object] = ACTIONS(2897),
    [anon_sym_abstract] = ACTIONS(2897),
    [anon_sym_interface] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [sym_html_comment] = ACTIONS(5),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_export] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_type] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_typeof] = ACTIONS(2901),
    [anon_sym_import] = ACTIONS(2901),
    [anon_sym_with] = ACTIONS(2901),
    [anon_sym_var] = ACTIONS(2901),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_LPAREN] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym_await] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_debugger] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [sym_glimmer_opening_tag] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_async] = ACTIONS(2901),
    [anon_sym_function] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_SLASH] = ACTIONS(2901),
    [anon_sym_LT] = ACTIONS(2901),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_void] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2899),
    [sym_number] = ACTIONS(2899),
    [sym_private_property_identifier] = ACTIONS(2899),
    [sym_this] = ACTIONS(2901),
    [sym_super] = ACTIONS(2901),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [sym_null] = ACTIONS(2901),
    [sym_undefined] = ACTIONS(2901),
    [anon_sym_AT] = ACTIONS(2899),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_readonly] = ACTIONS(2901),
    [anon_sym_get] = ACTIONS(2901),
    [anon_sym_set] = ACTIONS(2901),
    [anon_sym_declare] = ACTIONS(2901),
    [anon_sym_public] = ACTIONS(2901),
    [anon_sym_private] = ACTIONS(2901),
    [anon_sym_protected] = ACTIONS(2901),
    [anon_sym_override] = ACTIONS(2901),
    [anon_sym_module] = ACTIONS(2901),
    [anon_sym_any] = ACTIONS(2901),
    [anon_sym_number] = ACTIONS(2901),
    [anon_sym_boolean] = ACTIONS(2901),
    [anon_sym_string] = ACTIONS(2901),
    [anon_sym_symbol] = ACTIONS(2901),
    [anon_sym_object] = ACTIONS(2901),
    [anon_sym_abstract] = ACTIONS(2901),
    [anon_sym_interface] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [sym_html_comment] = ACTIONS(5),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_export] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_type] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_typeof] = ACTIONS(2905),
    [anon_sym_import] = ACTIONS(2905),
    [anon_sym_with] = ACTIONS(2905),
    [anon_sym_var] = ACTIONS(2905),
    [anon_sym_let] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_LPAREN] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_await] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_debugger] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_yield] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [sym_glimmer_opening_tag] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_async] = ACTIONS(2905),
    [anon_sym_function] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_SLASH] = ACTIONS(2905),
    [anon_sym_LT] = ACTIONS(2905),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_void] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2903),
    [sym_number] = ACTIONS(2903),
    [sym_private_property_identifier] = ACTIONS(2903),
    [sym_this] = ACTIONS(2905),
    [sym_super] = ACTIONS(2905),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [sym_null] = ACTIONS(2905),
    [sym_undefined] = ACTIONS(2905),
    [anon_sym_AT] = ACTIONS(2903),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_readonly] = ACTIONS(2905),
    [anon_sym_get] = ACTIONS(2905),
    [anon_sym_set] = ACTIONS(2905),
    [anon_sym_declare] = ACTIONS(2905),
    [anon_sym_public] = ACTIONS(2905),
    [anon_sym_private] = ACTIONS(2905),
    [anon_sym_protected] = ACTIONS(2905),
    [anon_sym_override] = ACTIONS(2905),
    [anon_sym_module] = ACTIONS(2905),
    [anon_sym_any] = ACTIONS(2905),
    [anon_sym_number] = ACTIONS(2905),
    [anon_sym_boolean] = ACTIONS(2905),
    [anon_sym_string] = ACTIONS(2905),
    [anon_sym_symbol] = ACTIONS(2905),
    [anon_sym_object] = ACTIONS(2905),
    [anon_sym_abstract] = ACTIONS(2905),
    [anon_sym_interface] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [sym_html_comment] = ACTIONS(5),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_export] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_type] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_typeof] = ACTIONS(2909),
    [anon_sym_import] = ACTIONS(2909),
    [anon_sym_with] = ACTIONS(2909),
    [anon_sym_var] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_await] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_debugger] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_yield] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [sym_glimmer_opening_tag] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_async] = ACTIONS(2909),
    [anon_sym_function] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_SLASH] = ACTIONS(2909),
    [anon_sym_LT] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_void] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2907),
    [sym_number] = ACTIONS(2907),
    [sym_private_property_identifier] = ACTIONS(2907),
    [sym_this] = ACTIONS(2909),
    [sym_super] = ACTIONS(2909),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [sym_null] = ACTIONS(2909),
    [sym_undefined] = ACTIONS(2909),
    [anon_sym_AT] = ACTIONS(2907),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_readonly] = ACTIONS(2909),
    [anon_sym_get] = ACTIONS(2909),
    [anon_sym_set] = ACTIONS(2909),
    [anon_sym_declare] = ACTIONS(2909),
    [anon_sym_public] = ACTIONS(2909),
    [anon_sym_private] = ACTIONS(2909),
    [anon_sym_protected] = ACTIONS(2909),
    [anon_sym_override] = ACTIONS(2909),
    [anon_sym_module] = ACTIONS(2909),
    [anon_sym_any] = ACTIONS(2909),
    [anon_sym_number] = ACTIONS(2909),
    [anon_sym_boolean] = ACTIONS(2909),
    [anon_sym_string] = ACTIONS(2909),
    [anon_sym_symbol] = ACTIONS(2909),
    [anon_sym_object] = ACTIONS(2909),
    [anon_sym_abstract] = ACTIONS(2909),
    [anon_sym_interface] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [sym_html_comment] = ACTIONS(5),
  },
  [901] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_export] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_type] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_typeof] = ACTIONS(2913),
    [anon_sym_import] = ACTIONS(2913),
    [anon_sym_with] = ACTIONS(2913),
    [anon_sym_var] = ACTIONS(2913),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_await] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_debugger] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_yield] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [sym_glimmer_opening_tag] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_async] = ACTIONS(2913),
    [anon_sym_function] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_SLASH] = ACTIONS(2913),
    [anon_sym_LT] = ACTIONS(2913),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_void] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2911),
    [sym_number] = ACTIONS(2911),
    [sym_private_property_identifier] = ACTIONS(2911),
    [sym_this] = ACTIONS(2913),
    [sym_super] = ACTIONS(2913),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [sym_null] = ACTIONS(2913),
    [sym_undefined] = ACTIONS(2913),
    [anon_sym_AT] = ACTIONS(2911),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_readonly] = ACTIONS(2913),
    [anon_sym_get] = ACTIONS(2913),
    [anon_sym_set] = ACTIONS(2913),
    [anon_sym_declare] = ACTIONS(2913),
    [anon_sym_public] = ACTIONS(2913),
    [anon_sym_private] = ACTIONS(2913),
    [anon_sym_protected] = ACTIONS(2913),
    [anon_sym_override] = ACTIONS(2913),
    [anon_sym_module] = ACTIONS(2913),
    [anon_sym_any] = ACTIONS(2913),
    [anon_sym_number] = ACTIONS(2913),
    [anon_sym_boolean] = ACTIONS(2913),
    [anon_sym_string] = ACTIONS(2913),
    [anon_sym_symbol] = ACTIONS(2913),
    [anon_sym_object] = ACTIONS(2913),
    [anon_sym_abstract] = ACTIONS(2913),
    [anon_sym_interface] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [sym_html_comment] = ACTIONS(5),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_export] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_type] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_typeof] = ACTIONS(2917),
    [anon_sym_import] = ACTIONS(2917),
    [anon_sym_with] = ACTIONS(2917),
    [anon_sym_var] = ACTIONS(2917),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_LPAREN] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_await] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_debugger] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [sym_glimmer_opening_tag] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_async] = ACTIONS(2917),
    [anon_sym_function] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_SLASH] = ACTIONS(2917),
    [anon_sym_LT] = ACTIONS(2917),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_void] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2915),
    [sym_number] = ACTIONS(2915),
    [sym_private_property_identifier] = ACTIONS(2915),
    [sym_this] = ACTIONS(2917),
    [sym_super] = ACTIONS(2917),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [sym_null] = ACTIONS(2917),
    [sym_undefined] = ACTIONS(2917),
    [anon_sym_AT] = ACTIONS(2915),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_readonly] = ACTIONS(2917),
    [anon_sym_get] = ACTIONS(2917),
    [anon_sym_set] = ACTIONS(2917),
    [anon_sym_declare] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_override] = ACTIONS(2917),
    [anon_sym_module] = ACTIONS(2917),
    [anon_sym_any] = ACTIONS(2917),
    [anon_sym_number] = ACTIONS(2917),
    [anon_sym_boolean] = ACTIONS(2917),
    [anon_sym_string] = ACTIONS(2917),
    [anon_sym_symbol] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2917),
    [anon_sym_abstract] = ACTIONS(2917),
    [anon_sym_interface] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [sym_html_comment] = ACTIONS(5),
  },
  [903] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_export] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_type] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_typeof] = ACTIONS(2921),
    [anon_sym_import] = ACTIONS(2921),
    [anon_sym_with] = ACTIONS(2921),
    [anon_sym_var] = ACTIONS(2921),
    [anon_sym_let] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_LPAREN] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym_await] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_debugger] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_yield] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2919),
    [sym_glimmer_opening_tag] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_async] = ACTIONS(2921),
    [anon_sym_function] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_SLASH] = ACTIONS(2921),
    [anon_sym_LT] = ACTIONS(2921),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_void] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2919),
    [sym_number] = ACTIONS(2919),
    [sym_private_property_identifier] = ACTIONS(2919),
    [sym_this] = ACTIONS(2921),
    [sym_super] = ACTIONS(2921),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [sym_null] = ACTIONS(2921),
    [sym_undefined] = ACTIONS(2921),
    [anon_sym_AT] = ACTIONS(2919),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_readonly] = ACTIONS(2921),
    [anon_sym_get] = ACTIONS(2921),
    [anon_sym_set] = ACTIONS(2921),
    [anon_sym_declare] = ACTIONS(2921),
    [anon_sym_public] = ACTIONS(2921),
    [anon_sym_private] = ACTIONS(2921),
    [anon_sym_protected] = ACTIONS(2921),
    [anon_sym_override] = ACTIONS(2921),
    [anon_sym_module] = ACTIONS(2921),
    [anon_sym_any] = ACTIONS(2921),
    [anon_sym_number] = ACTIONS(2921),
    [anon_sym_boolean] = ACTIONS(2921),
    [anon_sym_string] = ACTIONS(2921),
    [anon_sym_symbol] = ACTIONS(2921),
    [anon_sym_object] = ACTIONS(2921),
    [anon_sym_abstract] = ACTIONS(2921),
    [anon_sym_interface] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [sym_html_comment] = ACTIONS(5),
  },
  [904] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_export] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_type] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_typeof] = ACTIONS(2925),
    [anon_sym_import] = ACTIONS(2925),
    [anon_sym_with] = ACTIONS(2925),
    [anon_sym_var] = ACTIONS(2925),
    [anon_sym_let] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_LPAREN] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym_await] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_debugger] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_yield] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2923),
    [sym_glimmer_opening_tag] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_async] = ACTIONS(2925),
    [anon_sym_function] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_SLASH] = ACTIONS(2925),
    [anon_sym_LT] = ACTIONS(2925),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_void] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2923),
    [sym_number] = ACTIONS(2923),
    [sym_private_property_identifier] = ACTIONS(2923),
    [sym_this] = ACTIONS(2925),
    [sym_super] = ACTIONS(2925),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [sym_null] = ACTIONS(2925),
    [sym_undefined] = ACTIONS(2925),
    [anon_sym_AT] = ACTIONS(2923),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_readonly] = ACTIONS(2925),
    [anon_sym_get] = ACTIONS(2925),
    [anon_sym_set] = ACTIONS(2925),
    [anon_sym_declare] = ACTIONS(2925),
    [anon_sym_public] = ACTIONS(2925),
    [anon_sym_private] = ACTIONS(2925),
    [anon_sym_protected] = ACTIONS(2925),
    [anon_sym_override] = ACTIONS(2925),
    [anon_sym_module] = ACTIONS(2925),
    [anon_sym_any] = ACTIONS(2925),
    [anon_sym_number] = ACTIONS(2925),
    [anon_sym_boolean] = ACTIONS(2925),
    [anon_sym_string] = ACTIONS(2925),
    [anon_sym_symbol] = ACTIONS(2925),
    [anon_sym_object] = ACTIONS(2925),
    [anon_sym_abstract] = ACTIONS(2925),
    [anon_sym_interface] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [sym_html_comment] = ACTIONS(5),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2929),
    [anon_sym_export] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_type] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_typeof] = ACTIONS(2929),
    [anon_sym_import] = ACTIONS(2929),
    [anon_sym_with] = ACTIONS(2929),
    [anon_sym_var] = ACTIONS(2929),
    [anon_sym_let] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_LPAREN] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym_await] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_debugger] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_yield] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2927),
    [sym_glimmer_opening_tag] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_async] = ACTIONS(2929),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_SLASH] = ACTIONS(2929),
    [anon_sym_LT] = ACTIONS(2929),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_void] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2927),
    [sym_number] = ACTIONS(2927),
    [sym_private_property_identifier] = ACTIONS(2927),
    [sym_this] = ACTIONS(2929),
    [sym_super] = ACTIONS(2929),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [sym_null] = ACTIONS(2929),
    [sym_undefined] = ACTIONS(2929),
    [anon_sym_AT] = ACTIONS(2927),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_readonly] = ACTIONS(2929),
    [anon_sym_get] = ACTIONS(2929),
    [anon_sym_set] = ACTIONS(2929),
    [anon_sym_declare] = ACTIONS(2929),
    [anon_sym_public] = ACTIONS(2929),
    [anon_sym_private] = ACTIONS(2929),
    [anon_sym_protected] = ACTIONS(2929),
    [anon_sym_override] = ACTIONS(2929),
    [anon_sym_module] = ACTIONS(2929),
    [anon_sym_any] = ACTIONS(2929),
    [anon_sym_number] = ACTIONS(2929),
    [anon_sym_boolean] = ACTIONS(2929),
    [anon_sym_string] = ACTIONS(2929),
    [anon_sym_symbol] = ACTIONS(2929),
    [anon_sym_object] = ACTIONS(2929),
    [anon_sym_abstract] = ACTIONS(2929),
    [anon_sym_interface] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [sym_html_comment] = ACTIONS(5),
  },
  [906] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [907] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2933),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [908] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [909] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2937),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [910] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [911] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2941),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [912] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [913] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2945),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [914] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [915] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(2949),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [916] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_rest_pattern] = STATE(5529),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3817),
    [sym_tuple_parameter] = STATE(5551),
    [sym_optional_tuple_parameter] = STATE(5551),
    [sym_optional_type] = STATE(5551),
    [sym_rest_type] = STATE(5551),
    [sym__tuple_type_member] = STATE(5551),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2527),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2533),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [917] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [918] = {
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_export] = ACTIONS(2955),
    [anon_sym_type] = ACTIONS(2955),
    [anon_sym_namespace] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(2957),
    [anon_sym_typeof] = ACTIONS(2955),
    [anon_sym_import] = ACTIONS(2955),
    [anon_sym_with] = ACTIONS(2955),
    [anon_sym_var] = ACTIONS(2955),
    [anon_sym_let] = ACTIONS(2955),
    [anon_sym_const] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2955),
    [anon_sym_switch] = ACTIONS(2955),
    [anon_sym_for] = ACTIONS(2955),
    [anon_sym_LPAREN] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2957),
    [anon_sym_await] = ACTIONS(2955),
    [anon_sym_while] = ACTIONS(2955),
    [anon_sym_do] = ACTIONS(2955),
    [anon_sym_try] = ACTIONS(2955),
    [anon_sym_break] = ACTIONS(2955),
    [anon_sym_continue] = ACTIONS(2955),
    [anon_sym_debugger] = ACTIONS(2955),
    [anon_sym_return] = ACTIONS(2955),
    [anon_sym_throw] = ACTIONS(2955),
    [anon_sym_yield] = ACTIONS(2955),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [sym_glimmer_opening_tag] = ACTIONS(2957),
    [anon_sym_DQUOTE] = ACTIONS(2957),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2955),
    [anon_sym_async] = ACTIONS(2955),
    [anon_sym_function] = ACTIONS(2955),
    [anon_sym_new] = ACTIONS(2955),
    [anon_sym_using] = ACTIONS(2955),
    [anon_sym_PLUS] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2955),
    [anon_sym_SLASH] = ACTIONS(2955),
    [anon_sym_LT] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2957),
    [anon_sym_void] = ACTIONS(2955),
    [anon_sym_delete] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2957),
    [sym_number] = ACTIONS(2957),
    [sym_private_property_identifier] = ACTIONS(2957),
    [sym_this] = ACTIONS(2955),
    [sym_super] = ACTIONS(2955),
    [sym_true] = ACTIONS(2955),
    [sym_false] = ACTIONS(2955),
    [sym_null] = ACTIONS(2955),
    [sym_undefined] = ACTIONS(2955),
    [anon_sym_AT] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2955),
    [anon_sym_readonly] = ACTIONS(2955),
    [anon_sym_get] = ACTIONS(2955),
    [anon_sym_set] = ACTIONS(2955),
    [anon_sym_declare] = ACTIONS(2955),
    [anon_sym_public] = ACTIONS(2955),
    [anon_sym_private] = ACTIONS(2955),
    [anon_sym_protected] = ACTIONS(2955),
    [anon_sym_override] = ACTIONS(2955),
    [anon_sym_module] = ACTIONS(2955),
    [anon_sym_any] = ACTIONS(2955),
    [anon_sym_number] = ACTIONS(2955),
    [anon_sym_boolean] = ACTIONS(2955),
    [anon_sym_string] = ACTIONS(2955),
    [anon_sym_symbol] = ACTIONS(2955),
    [anon_sym_object] = ACTIONS(2955),
    [anon_sym_abstract] = ACTIONS(2955),
    [anon_sym_interface] = ACTIONS(2955),
    [anon_sym_enum] = ACTIONS(2955),
    [sym_html_comment] = ACTIONS(5),
  },
  [919] = {
    [sym_identifier] = ACTIONS(2487),
    [anon_sym_export] = ACTIONS(2487),
    [anon_sym_type] = ACTIONS(2487),
    [anon_sym_namespace] = ACTIONS(2487),
    [anon_sym_LBRACE] = ACTIONS(2485),
    [anon_sym_typeof] = ACTIONS(2487),
    [anon_sym_import] = ACTIONS(2487),
    [anon_sym_with] = ACTIONS(2487),
    [anon_sym_var] = ACTIONS(2487),
    [anon_sym_let] = ACTIONS(2487),
    [anon_sym_const] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2485),
    [anon_sym_if] = ACTIONS(2487),
    [anon_sym_switch] = ACTIONS(2487),
    [anon_sym_for] = ACTIONS(2487),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_SEMI] = ACTIONS(2485),
    [anon_sym_await] = ACTIONS(2487),
    [anon_sym_while] = ACTIONS(2487),
    [anon_sym_do] = ACTIONS(2487),
    [anon_sym_try] = ACTIONS(2487),
    [anon_sym_break] = ACTIONS(2487),
    [anon_sym_continue] = ACTIONS(2487),
    [anon_sym_debugger] = ACTIONS(2487),
    [anon_sym_return] = ACTIONS(2487),
    [anon_sym_throw] = ACTIONS(2487),
    [anon_sym_yield] = ACTIONS(2487),
    [anon_sym_LBRACK] = ACTIONS(2485),
    [sym_glimmer_opening_tag] = ACTIONS(2485),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_SQUOTE] = ACTIONS(2485),
    [anon_sym_class] = ACTIONS(2487),
    [anon_sym_async] = ACTIONS(2487),
    [anon_sym_function] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2487),
    [anon_sym_using] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2487),
    [anon_sym_DASH] = ACTIONS(2487),
    [anon_sym_SLASH] = ACTIONS(2487),
    [anon_sym_LT] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2485),
    [anon_sym_void] = ACTIONS(2487),
    [anon_sym_delete] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2485),
    [anon_sym_DASH_DASH] = ACTIONS(2485),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2485),
    [sym_number] = ACTIONS(2485),
    [sym_private_property_identifier] = ACTIONS(2485),
    [sym_this] = ACTIONS(2487),
    [sym_super] = ACTIONS(2487),
    [sym_true] = ACTIONS(2487),
    [sym_false] = ACTIONS(2487),
    [sym_null] = ACTIONS(2487),
    [sym_undefined] = ACTIONS(2487),
    [anon_sym_AT] = ACTIONS(2485),
    [anon_sym_static] = ACTIONS(2487),
    [anon_sym_readonly] = ACTIONS(2487),
    [anon_sym_get] = ACTIONS(2487),
    [anon_sym_set] = ACTIONS(2487),
    [anon_sym_declare] = ACTIONS(2487),
    [anon_sym_public] = ACTIONS(2487),
    [anon_sym_private] = ACTIONS(2487),
    [anon_sym_protected] = ACTIONS(2487),
    [anon_sym_override] = ACTIONS(2487),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_any] = ACTIONS(2487),
    [anon_sym_number] = ACTIONS(2487),
    [anon_sym_boolean] = ACTIONS(2487),
    [anon_sym_string] = ACTIONS(2487),
    [anon_sym_symbol] = ACTIONS(2487),
    [anon_sym_object] = ACTIONS(2487),
    [anon_sym_abstract] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2487),
    [anon_sym_enum] = ACTIONS(2487),
    [sym_html_comment] = ACTIONS(5),
  },
  [920] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [921] = {
    [sym_identifier] = ACTIONS(2479),
    [anon_sym_export] = ACTIONS(2479),
    [anon_sym_type] = ACTIONS(2479),
    [anon_sym_namespace] = ACTIONS(2479),
    [anon_sym_LBRACE] = ACTIONS(2477),
    [anon_sym_typeof] = ACTIONS(2479),
    [anon_sym_import] = ACTIONS(2479),
    [anon_sym_with] = ACTIONS(2479),
    [anon_sym_var] = ACTIONS(2479),
    [anon_sym_let] = ACTIONS(2479),
    [anon_sym_const] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2479),
    [anon_sym_switch] = ACTIONS(2479),
    [anon_sym_for] = ACTIONS(2479),
    [anon_sym_LPAREN] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(2477),
    [anon_sym_await] = ACTIONS(2479),
    [anon_sym_while] = ACTIONS(2479),
    [anon_sym_do] = ACTIONS(2479),
    [anon_sym_try] = ACTIONS(2479),
    [anon_sym_break] = ACTIONS(2479),
    [anon_sym_continue] = ACTIONS(2479),
    [anon_sym_debugger] = ACTIONS(2479),
    [anon_sym_return] = ACTIONS(2479),
    [anon_sym_throw] = ACTIONS(2479),
    [anon_sym_yield] = ACTIONS(2479),
    [anon_sym_LBRACK] = ACTIONS(2477),
    [sym_glimmer_opening_tag] = ACTIONS(2477),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_SQUOTE] = ACTIONS(2477),
    [anon_sym_class] = ACTIONS(2479),
    [anon_sym_async] = ACTIONS(2479),
    [anon_sym_function] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2479),
    [anon_sym_using] = ACTIONS(2479),
    [anon_sym_PLUS] = ACTIONS(2479),
    [anon_sym_DASH] = ACTIONS(2479),
    [anon_sym_SLASH] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_TILDE] = ACTIONS(2477),
    [anon_sym_void] = ACTIONS(2479),
    [anon_sym_delete] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(2477),
    [anon_sym_DASH_DASH] = ACTIONS(2477),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2477),
    [sym_number] = ACTIONS(2477),
    [sym_private_property_identifier] = ACTIONS(2477),
    [sym_this] = ACTIONS(2479),
    [sym_super] = ACTIONS(2479),
    [sym_true] = ACTIONS(2479),
    [sym_false] = ACTIONS(2479),
    [sym_null] = ACTIONS(2479),
    [sym_undefined] = ACTIONS(2479),
    [anon_sym_AT] = ACTIONS(2477),
    [anon_sym_static] = ACTIONS(2479),
    [anon_sym_readonly] = ACTIONS(2479),
    [anon_sym_get] = ACTIONS(2479),
    [anon_sym_set] = ACTIONS(2479),
    [anon_sym_declare] = ACTIONS(2479),
    [anon_sym_public] = ACTIONS(2479),
    [anon_sym_private] = ACTIONS(2479),
    [anon_sym_protected] = ACTIONS(2479),
    [anon_sym_override] = ACTIONS(2479),
    [anon_sym_module] = ACTIONS(2479),
    [anon_sym_any] = ACTIONS(2479),
    [anon_sym_number] = ACTIONS(2479),
    [anon_sym_boolean] = ACTIONS(2479),
    [anon_sym_string] = ACTIONS(2479),
    [anon_sym_symbol] = ACTIONS(2479),
    [anon_sym_object] = ACTIONS(2479),
    [anon_sym_abstract] = ACTIONS(2479),
    [anon_sym_interface] = ACTIONS(2479),
    [anon_sym_enum] = ACTIONS(2479),
    [sym_html_comment] = ACTIONS(5),
  },
  [922] = {
    [sym_identifier] = ACTIONS(2959),
    [anon_sym_export] = ACTIONS(2959),
    [anon_sym_type] = ACTIONS(2959),
    [anon_sym_namespace] = ACTIONS(2959),
    [anon_sym_LBRACE] = ACTIONS(2961),
    [anon_sym_typeof] = ACTIONS(2959),
    [anon_sym_import] = ACTIONS(2959),
    [anon_sym_with] = ACTIONS(2959),
    [anon_sym_var] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2959),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2959),
    [anon_sym_switch] = ACTIONS(2959),
    [anon_sym_for] = ACTIONS(2959),
    [anon_sym_LPAREN] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2961),
    [anon_sym_await] = ACTIONS(2959),
    [anon_sym_while] = ACTIONS(2959),
    [anon_sym_do] = ACTIONS(2959),
    [anon_sym_try] = ACTIONS(2959),
    [anon_sym_break] = ACTIONS(2959),
    [anon_sym_continue] = ACTIONS(2959),
    [anon_sym_debugger] = ACTIONS(2959),
    [anon_sym_return] = ACTIONS(2959),
    [anon_sym_throw] = ACTIONS(2959),
    [anon_sym_yield] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [sym_glimmer_opening_tag] = ACTIONS(2961),
    [anon_sym_DQUOTE] = ACTIONS(2961),
    [anon_sym_SQUOTE] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2959),
    [anon_sym_async] = ACTIONS(2959),
    [anon_sym_function] = ACTIONS(2959),
    [anon_sym_new] = ACTIONS(2959),
    [anon_sym_using] = ACTIONS(2959),
    [anon_sym_PLUS] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2959),
    [anon_sym_SLASH] = ACTIONS(2959),
    [anon_sym_LT] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2961),
    [anon_sym_void] = ACTIONS(2959),
    [anon_sym_delete] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2961),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2961),
    [sym_number] = ACTIONS(2961),
    [sym_private_property_identifier] = ACTIONS(2961),
    [sym_this] = ACTIONS(2959),
    [sym_super] = ACTIONS(2959),
    [sym_true] = ACTIONS(2959),
    [sym_false] = ACTIONS(2959),
    [sym_null] = ACTIONS(2959),
    [sym_undefined] = ACTIONS(2959),
    [anon_sym_AT] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2959),
    [anon_sym_readonly] = ACTIONS(2959),
    [anon_sym_get] = ACTIONS(2959),
    [anon_sym_set] = ACTIONS(2959),
    [anon_sym_declare] = ACTIONS(2959),
    [anon_sym_public] = ACTIONS(2959),
    [anon_sym_private] = ACTIONS(2959),
    [anon_sym_protected] = ACTIONS(2959),
    [anon_sym_override] = ACTIONS(2959),
    [anon_sym_module] = ACTIONS(2959),
    [anon_sym_any] = ACTIONS(2959),
    [anon_sym_number] = ACTIONS(2959),
    [anon_sym_boolean] = ACTIONS(2959),
    [anon_sym_string] = ACTIONS(2959),
    [anon_sym_symbol] = ACTIONS(2959),
    [anon_sym_object] = ACTIONS(2959),
    [anon_sym_abstract] = ACTIONS(2959),
    [anon_sym_interface] = ACTIONS(2959),
    [anon_sym_enum] = ACTIONS(2959),
    [sym_html_comment] = ACTIONS(5),
  },
  [923] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [924] = {
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_export] = ACTIONS(2963),
    [anon_sym_type] = ACTIONS(2963),
    [anon_sym_namespace] = ACTIONS(2963),
    [anon_sym_LBRACE] = ACTIONS(2965),
    [anon_sym_typeof] = ACTIONS(2963),
    [anon_sym_import] = ACTIONS(2963),
    [anon_sym_with] = ACTIONS(2963),
    [anon_sym_var] = ACTIONS(2963),
    [anon_sym_let] = ACTIONS(2963),
    [anon_sym_const] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2963),
    [anon_sym_switch] = ACTIONS(2963),
    [anon_sym_for] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2965),
    [anon_sym_await] = ACTIONS(2963),
    [anon_sym_while] = ACTIONS(2963),
    [anon_sym_do] = ACTIONS(2963),
    [anon_sym_try] = ACTIONS(2963),
    [anon_sym_break] = ACTIONS(2963),
    [anon_sym_continue] = ACTIONS(2963),
    [anon_sym_debugger] = ACTIONS(2963),
    [anon_sym_return] = ACTIONS(2963),
    [anon_sym_throw] = ACTIONS(2963),
    [anon_sym_yield] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [sym_glimmer_opening_tag] = ACTIONS(2965),
    [anon_sym_DQUOTE] = ACTIONS(2965),
    [anon_sym_SQUOTE] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2963),
    [anon_sym_async] = ACTIONS(2963),
    [anon_sym_function] = ACTIONS(2963),
    [anon_sym_new] = ACTIONS(2963),
    [anon_sym_using] = ACTIONS(2963),
    [anon_sym_PLUS] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2963),
    [anon_sym_SLASH] = ACTIONS(2963),
    [anon_sym_LT] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2965),
    [anon_sym_void] = ACTIONS(2963),
    [anon_sym_delete] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2965),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2965),
    [sym_number] = ACTIONS(2965),
    [sym_private_property_identifier] = ACTIONS(2965),
    [sym_this] = ACTIONS(2963),
    [sym_super] = ACTIONS(2963),
    [sym_true] = ACTIONS(2963),
    [sym_false] = ACTIONS(2963),
    [sym_null] = ACTIONS(2963),
    [sym_undefined] = ACTIONS(2963),
    [anon_sym_AT] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2963),
    [anon_sym_readonly] = ACTIONS(2963),
    [anon_sym_get] = ACTIONS(2963),
    [anon_sym_set] = ACTIONS(2963),
    [anon_sym_declare] = ACTIONS(2963),
    [anon_sym_public] = ACTIONS(2963),
    [anon_sym_private] = ACTIONS(2963),
    [anon_sym_protected] = ACTIONS(2963),
    [anon_sym_override] = ACTIONS(2963),
    [anon_sym_module] = ACTIONS(2963),
    [anon_sym_any] = ACTIONS(2963),
    [anon_sym_number] = ACTIONS(2963),
    [anon_sym_boolean] = ACTIONS(2963),
    [anon_sym_string] = ACTIONS(2963),
    [anon_sym_symbol] = ACTIONS(2963),
    [anon_sym_object] = ACTIONS(2963),
    [anon_sym_abstract] = ACTIONS(2963),
    [anon_sym_interface] = ACTIONS(2963),
    [anon_sym_enum] = ACTIONS(2963),
    [sym_html_comment] = ACTIONS(5),
  },
  [925] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [926] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [927] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [928] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [929] = {
    [sym_identifier] = ACTIONS(2967),
    [anon_sym_export] = ACTIONS(2967),
    [anon_sym_type] = ACTIONS(2967),
    [anon_sym_namespace] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_typeof] = ACTIONS(2967),
    [anon_sym_import] = ACTIONS(2967),
    [anon_sym_with] = ACTIONS(2967),
    [anon_sym_var] = ACTIONS(2967),
    [anon_sym_let] = ACTIONS(2967),
    [anon_sym_const] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2967),
    [anon_sym_switch] = ACTIONS(2967),
    [anon_sym_for] = ACTIONS(2967),
    [anon_sym_LPAREN] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2969),
    [anon_sym_await] = ACTIONS(2967),
    [anon_sym_while] = ACTIONS(2967),
    [anon_sym_do] = ACTIONS(2967),
    [anon_sym_try] = ACTIONS(2967),
    [anon_sym_break] = ACTIONS(2967),
    [anon_sym_continue] = ACTIONS(2967),
    [anon_sym_debugger] = ACTIONS(2967),
    [anon_sym_return] = ACTIONS(2967),
    [anon_sym_throw] = ACTIONS(2967),
    [anon_sym_yield] = ACTIONS(2967),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [sym_glimmer_opening_tag] = ACTIONS(2969),
    [anon_sym_DQUOTE] = ACTIONS(2969),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2967),
    [anon_sym_async] = ACTIONS(2967),
    [anon_sym_function] = ACTIONS(2967),
    [anon_sym_new] = ACTIONS(2967),
    [anon_sym_using] = ACTIONS(2967),
    [anon_sym_PLUS] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2967),
    [anon_sym_SLASH] = ACTIONS(2967),
    [anon_sym_LT] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2969),
    [anon_sym_void] = ACTIONS(2967),
    [anon_sym_delete] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2969),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2969),
    [sym_number] = ACTIONS(2969),
    [sym_private_property_identifier] = ACTIONS(2969),
    [sym_this] = ACTIONS(2967),
    [sym_super] = ACTIONS(2967),
    [sym_true] = ACTIONS(2967),
    [sym_false] = ACTIONS(2967),
    [sym_null] = ACTIONS(2967),
    [sym_undefined] = ACTIONS(2967),
    [anon_sym_AT] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2967),
    [anon_sym_readonly] = ACTIONS(2967),
    [anon_sym_get] = ACTIONS(2967),
    [anon_sym_set] = ACTIONS(2967),
    [anon_sym_declare] = ACTIONS(2967),
    [anon_sym_public] = ACTIONS(2967),
    [anon_sym_private] = ACTIONS(2967),
    [anon_sym_protected] = ACTIONS(2967),
    [anon_sym_override] = ACTIONS(2967),
    [anon_sym_module] = ACTIONS(2967),
    [anon_sym_any] = ACTIONS(2967),
    [anon_sym_number] = ACTIONS(2967),
    [anon_sym_boolean] = ACTIONS(2967),
    [anon_sym_string] = ACTIONS(2967),
    [anon_sym_symbol] = ACTIONS(2967),
    [anon_sym_object] = ACTIONS(2967),
    [anon_sym_abstract] = ACTIONS(2967),
    [anon_sym_interface] = ACTIONS(2967),
    [anon_sym_enum] = ACTIONS(2967),
    [sym_html_comment] = ACTIONS(5),
  },
  [930] = {
    [sym_identifier] = ACTIONS(2951),
    [anon_sym_export] = ACTIONS(2951),
    [anon_sym_type] = ACTIONS(2951),
    [anon_sym_namespace] = ACTIONS(2951),
    [anon_sym_LBRACE] = ACTIONS(2953),
    [anon_sym_typeof] = ACTIONS(2951),
    [anon_sym_import] = ACTIONS(2951),
    [anon_sym_with] = ACTIONS(2951),
    [anon_sym_var] = ACTIONS(2951),
    [anon_sym_let] = ACTIONS(2951),
    [anon_sym_const] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2951),
    [anon_sym_switch] = ACTIONS(2951),
    [anon_sym_for] = ACTIONS(2951),
    [anon_sym_LPAREN] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2953),
    [anon_sym_await] = ACTIONS(2951),
    [anon_sym_while] = ACTIONS(2951),
    [anon_sym_do] = ACTIONS(2951),
    [anon_sym_try] = ACTIONS(2951),
    [anon_sym_break] = ACTIONS(2951),
    [anon_sym_continue] = ACTIONS(2951),
    [anon_sym_debugger] = ACTIONS(2951),
    [anon_sym_return] = ACTIONS(2951),
    [anon_sym_throw] = ACTIONS(2951),
    [anon_sym_yield] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [sym_glimmer_opening_tag] = ACTIONS(2953),
    [anon_sym_DQUOTE] = ACTIONS(2953),
    [anon_sym_SQUOTE] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2951),
    [anon_sym_async] = ACTIONS(2951),
    [anon_sym_function] = ACTIONS(2951),
    [anon_sym_new] = ACTIONS(2951),
    [anon_sym_using] = ACTIONS(2951),
    [anon_sym_PLUS] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2951),
    [anon_sym_SLASH] = ACTIONS(2951),
    [anon_sym_LT] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2953),
    [anon_sym_void] = ACTIONS(2951),
    [anon_sym_delete] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2953),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(2953),
    [sym_number] = ACTIONS(2953),
    [sym_private_property_identifier] = ACTIONS(2953),
    [sym_this] = ACTIONS(2951),
    [sym_super] = ACTIONS(2951),
    [sym_true] = ACTIONS(2951),
    [sym_false] = ACTIONS(2951),
    [sym_null] = ACTIONS(2951),
    [sym_undefined] = ACTIONS(2951),
    [anon_sym_AT] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2951),
    [anon_sym_readonly] = ACTIONS(2951),
    [anon_sym_get] = ACTIONS(2951),
    [anon_sym_set] = ACTIONS(2951),
    [anon_sym_declare] = ACTIONS(2951),
    [anon_sym_public] = ACTIONS(2951),
    [anon_sym_private] = ACTIONS(2951),
    [anon_sym_protected] = ACTIONS(2951),
    [anon_sym_override] = ACTIONS(2951),
    [anon_sym_module] = ACTIONS(2951),
    [anon_sym_any] = ACTIONS(2951),
    [anon_sym_number] = ACTIONS(2951),
    [anon_sym_boolean] = ACTIONS(2951),
    [anon_sym_string] = ACTIONS(2951),
    [anon_sym_symbol] = ACTIONS(2951),
    [anon_sym_object] = ACTIONS(2951),
    [anon_sym_abstract] = ACTIONS(2951),
    [anon_sym_interface] = ACTIONS(2951),
    [anon_sym_enum] = ACTIONS(2951),
    [sym_html_comment] = ACTIONS(5),
  },
  [931] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(3002),
    [sym_type] = STATE(3117),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(3002),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3014),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(2973),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_asserts] = ACTIONS(2975),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [932] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_asserts] = STATE(1876),
    [sym_type] = STATE(1877),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_predicate] = STATE(1876),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1792),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3005),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_asserts] = ACTIONS(3015),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [933] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_asserts] = STATE(1569),
    [sym_type] = STATE(1570),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_predicate] = STATE(1569),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1472),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3053),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_asserts] = ACTIONS(3063),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [934] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(2964),
    [sym_type] = STATE(3051),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(2964),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3014),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(2973),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_asserts] = ACTIONS(2975),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [935] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(3002),
    [sym_type] = STATE(3698),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(3002),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3510),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(3075),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_asserts] = ACTIONS(3077),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [936] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(2964),
    [sym_type] = STATE(3832),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(2964),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3626),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(3091),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_asserts] = ACTIONS(3099),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [937] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_asserts] = STATE(3865),
    [sym_type] = STATE(3284),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_predicate] = STATE(3909),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3139),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(3111),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_asserts] = ACTIONS(3113),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [938] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(2964),
    [sym_type] = STATE(3664),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(2964),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3510),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3073),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(3075),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_asserts] = ACTIONS(3077),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [939] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_asserts] = STATE(3973),
    [sym_type] = STATE(3507),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_predicate] = STATE(3974),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3289),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3147),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_asserts] = ACTIONS(3157),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [940] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(5296),
    [sym_type] = STATE(3469),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(5412),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3014),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(2973),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_asserts] = ACTIONS(2975),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [941] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_asserts] = STATE(3427),
    [sym_type] = STATE(3428),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_predicate] = STATE(3427),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3289),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3147),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_asserts] = ACTIONS(3157),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [942] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_asserts] = STATE(3189),
    [sym_type] = STATE(3191),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_predicate] = STATE(3189),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3139),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(3111),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_asserts] = ACTIONS(3113),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [943] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_asserts] = STATE(3459),
    [sym_type] = STATE(3460),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_predicate] = STATE(3459),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3289),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3115),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3147),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_asserts] = ACTIONS(3157),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [944] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_asserts] = STATE(3231),
    [sym_type] = STATE(3234),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_predicate] = STATE(3231),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3139),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(3107),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(3111),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_asserts] = ACTIONS(3113),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [945] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_asserts] = STATE(3002),
    [sym_type] = STATE(3861),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_predicate] = STATE(3002),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(3626),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3079),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(3091),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_asserts] = ACTIONS(3099),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [946] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_asserts] = STATE(1536),
    [sym_type] = STATE(1538),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_predicate] = STATE(1536),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1472),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3025),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3053),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_asserts] = ACTIONS(3063),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [947] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_asserts] = STATE(2009),
    [sym_type] = STATE(2010),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_predicate] = STATE(2009),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1792),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3005),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_asserts] = ACTIONS(3015),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3167),
    [anon_sym_export] = ACTIONS(3167),
    [anon_sym_type] = ACTIONS(3167),
    [anon_sym_EQ] = ACTIONS(3167),
    [anon_sym_namespace] = ACTIONS(3167),
    [anon_sym_LBRACE] = ACTIONS(3169),
    [anon_sym_COMMA] = ACTIONS(3169),
    [anon_sym_RBRACE] = ACTIONS(3169),
    [anon_sym_typeof] = ACTIONS(3167),
    [anon_sym_import] = ACTIONS(3167),
    [anon_sym_let] = ACTIONS(3167),
    [anon_sym_BANG] = ACTIONS(3169),
    [anon_sym_LPAREN] = ACTIONS(3169),
    [anon_sym_RPAREN] = ACTIONS(3169),
    [anon_sym_await] = ACTIONS(3167),
    [anon_sym_COLON] = ACTIONS(3169),
    [anon_sym_yield] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(3169),
    [anon_sym_RBRACK] = ACTIONS(3169),
    [sym_glimmer_opening_tag] = ACTIONS(3169),
    [anon_sym_GT] = ACTIONS(3169),
    [anon_sym_DOT] = ACTIONS(3167),
    [anon_sym_DQUOTE] = ACTIONS(3169),
    [anon_sym_SQUOTE] = ACTIONS(3169),
    [anon_sym_class] = ACTIONS(3167),
    [anon_sym_async] = ACTIONS(3167),
    [anon_sym_function] = ACTIONS(3167),
    [anon_sym_EQ_GT] = ACTIONS(3169),
    [anon_sym_QMARK_DOT] = ACTIONS(3169),
    [anon_sym_new] = ACTIONS(3167),
    [anon_sym_using] = ACTIONS(3167),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3169),
    [anon_sym_AMP] = ACTIONS(3169),
    [anon_sym_PIPE] = ACTIONS(3169),
    [anon_sym_PLUS] = ACTIONS(3167),
    [anon_sym_DASH] = ACTIONS(3167),
    [anon_sym_SLASH] = ACTIONS(3167),
    [anon_sym_LT] = ACTIONS(3167),
    [anon_sym_TILDE] = ACTIONS(3169),
    [anon_sym_void] = ACTIONS(3167),
    [anon_sym_delete] = ACTIONS(3167),
    [anon_sym_PLUS_PLUS] = ACTIONS(3169),
    [anon_sym_DASH_DASH] = ACTIONS(3169),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3169),
    [sym_number] = ACTIONS(3169),
    [sym_private_property_identifier] = ACTIONS(3169),
    [sym_this] = ACTIONS(3167),
    [sym_super] = ACTIONS(3167),
    [sym_true] = ACTIONS(3167),
    [sym_false] = ACTIONS(3167),
    [sym_null] = ACTIONS(3167),
    [sym_undefined] = ACTIONS(3167),
    [anon_sym_AT] = ACTIONS(3169),
    [anon_sym_static] = ACTIONS(3167),
    [anon_sym_readonly] = ACTIONS(3167),
    [anon_sym_get] = ACTIONS(3167),
    [anon_sym_set] = ACTIONS(3167),
    [anon_sym_QMARK] = ACTIONS(3167),
    [anon_sym_declare] = ACTIONS(3167),
    [anon_sym_public] = ACTIONS(3167),
    [anon_sym_private] = ACTIONS(3167),
    [anon_sym_protected] = ACTIONS(3167),
    [anon_sym_override] = ACTIONS(3167),
    [anon_sym_module] = ACTIONS(3167),
    [anon_sym_any] = ACTIONS(3167),
    [anon_sym_number] = ACTIONS(3167),
    [anon_sym_boolean] = ACTIONS(3167),
    [anon_sym_string] = ACTIONS(3167),
    [anon_sym_symbol] = ACTIONS(3167),
    [anon_sym_object] = ACTIONS(3167),
    [anon_sym_abstract] = ACTIONS(3167),
    [anon_sym_extends] = ACTIONS(3167),
    [sym_html_comment] = ACTIONS(5),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_export] = ACTIONS(3171),
    [anon_sym_type] = ACTIONS(3171),
    [anon_sym_EQ] = ACTIONS(3171),
    [anon_sym_namespace] = ACTIONS(3171),
    [anon_sym_LBRACE] = ACTIONS(3173),
    [anon_sym_COMMA] = ACTIONS(3173),
    [anon_sym_RBRACE] = ACTIONS(3173),
    [anon_sym_typeof] = ACTIONS(3171),
    [anon_sym_import] = ACTIONS(3171),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_RPAREN] = ACTIONS(3173),
    [anon_sym_await] = ACTIONS(3171),
    [anon_sym_COLON] = ACTIONS(3173),
    [anon_sym_yield] = ACTIONS(3171),
    [anon_sym_LBRACK] = ACTIONS(3173),
    [anon_sym_RBRACK] = ACTIONS(3173),
    [sym_glimmer_opening_tag] = ACTIONS(3173),
    [anon_sym_GT] = ACTIONS(3173),
    [anon_sym_DOT] = ACTIONS(3171),
    [anon_sym_DQUOTE] = ACTIONS(3173),
    [anon_sym_SQUOTE] = ACTIONS(3173),
    [anon_sym_class] = ACTIONS(3171),
    [anon_sym_async] = ACTIONS(3171),
    [anon_sym_function] = ACTIONS(3171),
    [anon_sym_EQ_GT] = ACTIONS(3173),
    [anon_sym_QMARK_DOT] = ACTIONS(3173),
    [anon_sym_new] = ACTIONS(3171),
    [anon_sym_using] = ACTIONS(3171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(3173),
    [anon_sym_PIPE] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3171),
    [anon_sym_DASH] = ACTIONS(3171),
    [anon_sym_SLASH] = ACTIONS(3171),
    [anon_sym_LT] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(3173),
    [anon_sym_void] = ACTIONS(3171),
    [anon_sym_delete] = ACTIONS(3171),
    [anon_sym_PLUS_PLUS] = ACTIONS(3173),
    [anon_sym_DASH_DASH] = ACTIONS(3173),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3173),
    [sym_number] = ACTIONS(3173),
    [sym_private_property_identifier] = ACTIONS(3173),
    [sym_this] = ACTIONS(3171),
    [sym_super] = ACTIONS(3171),
    [sym_true] = ACTIONS(3171),
    [sym_false] = ACTIONS(3171),
    [sym_null] = ACTIONS(3171),
    [sym_undefined] = ACTIONS(3171),
    [anon_sym_AT] = ACTIONS(3173),
    [anon_sym_static] = ACTIONS(3171),
    [anon_sym_readonly] = ACTIONS(3171),
    [anon_sym_get] = ACTIONS(3171),
    [anon_sym_set] = ACTIONS(3171),
    [anon_sym_QMARK] = ACTIONS(3171),
    [anon_sym_declare] = ACTIONS(3171),
    [anon_sym_public] = ACTIONS(3171),
    [anon_sym_private] = ACTIONS(3171),
    [anon_sym_protected] = ACTIONS(3171),
    [anon_sym_override] = ACTIONS(3171),
    [anon_sym_module] = ACTIONS(3171),
    [anon_sym_any] = ACTIONS(3171),
    [anon_sym_number] = ACTIONS(3171),
    [anon_sym_boolean] = ACTIONS(3171),
    [anon_sym_string] = ACTIONS(3171),
    [anon_sym_symbol] = ACTIONS(3171),
    [anon_sym_object] = ACTIONS(3171),
    [anon_sym_abstract] = ACTIONS(3171),
    [anon_sym_extends] = ACTIONS(3171),
    [sym_html_comment] = ACTIONS(5),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3175),
    [anon_sym_export] = ACTIONS(3175),
    [anon_sym_type] = ACTIONS(3175),
    [anon_sym_EQ] = ACTIONS(3175),
    [anon_sym_namespace] = ACTIONS(3175),
    [anon_sym_LBRACE] = ACTIONS(3177),
    [anon_sym_COMMA] = ACTIONS(3177),
    [anon_sym_RBRACE] = ACTIONS(3177),
    [anon_sym_typeof] = ACTIONS(3175),
    [anon_sym_import] = ACTIONS(3175),
    [anon_sym_let] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3177),
    [anon_sym_LPAREN] = ACTIONS(3177),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_await] = ACTIONS(3175),
    [anon_sym_COLON] = ACTIONS(3177),
    [anon_sym_yield] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(3177),
    [anon_sym_RBRACK] = ACTIONS(3177),
    [sym_glimmer_opening_tag] = ACTIONS(3177),
    [anon_sym_GT] = ACTIONS(3177),
    [anon_sym_DOT] = ACTIONS(3175),
    [anon_sym_DQUOTE] = ACTIONS(3177),
    [anon_sym_SQUOTE] = ACTIONS(3177),
    [anon_sym_class] = ACTIONS(3175),
    [anon_sym_async] = ACTIONS(3175),
    [anon_sym_function] = ACTIONS(3175),
    [anon_sym_EQ_GT] = ACTIONS(3177),
    [anon_sym_QMARK_DOT] = ACTIONS(3177),
    [anon_sym_new] = ACTIONS(3175),
    [anon_sym_using] = ACTIONS(3175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3177),
    [anon_sym_AMP] = ACTIONS(3177),
    [anon_sym_PIPE] = ACTIONS(3177),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(3175),
    [anon_sym_SLASH] = ACTIONS(3175),
    [anon_sym_LT] = ACTIONS(3175),
    [anon_sym_TILDE] = ACTIONS(3177),
    [anon_sym_void] = ACTIONS(3175),
    [anon_sym_delete] = ACTIONS(3175),
    [anon_sym_PLUS_PLUS] = ACTIONS(3177),
    [anon_sym_DASH_DASH] = ACTIONS(3177),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3177),
    [sym_number] = ACTIONS(3177),
    [sym_private_property_identifier] = ACTIONS(3177),
    [sym_this] = ACTIONS(3175),
    [sym_super] = ACTIONS(3175),
    [sym_true] = ACTIONS(3175),
    [sym_false] = ACTIONS(3175),
    [sym_null] = ACTIONS(3175),
    [sym_undefined] = ACTIONS(3175),
    [anon_sym_AT] = ACTIONS(3177),
    [anon_sym_static] = ACTIONS(3175),
    [anon_sym_readonly] = ACTIONS(3175),
    [anon_sym_get] = ACTIONS(3175),
    [anon_sym_set] = ACTIONS(3175),
    [anon_sym_QMARK] = ACTIONS(3175),
    [anon_sym_declare] = ACTIONS(3175),
    [anon_sym_public] = ACTIONS(3175),
    [anon_sym_private] = ACTIONS(3175),
    [anon_sym_protected] = ACTIONS(3175),
    [anon_sym_override] = ACTIONS(3175),
    [anon_sym_module] = ACTIONS(3175),
    [anon_sym_any] = ACTIONS(3175),
    [anon_sym_number] = ACTIONS(3175),
    [anon_sym_boolean] = ACTIONS(3175),
    [anon_sym_string] = ACTIONS(3175),
    [anon_sym_symbol] = ACTIONS(3175),
    [anon_sym_object] = ACTIONS(3175),
    [anon_sym_abstract] = ACTIONS(3175),
    [anon_sym_extends] = ACTIONS(3175),
    [sym_html_comment] = ACTIONS(5),
  },
  [951] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3179),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [952] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3181),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [953] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3918),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3183),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [sym_jsx_identifier] = ACTIONS(3185),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [954] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3187),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [955] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4501),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(3189),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [956] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [957] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3193),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [958] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [959] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3197),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [960] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [961] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3201),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [962] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [963] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3205),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [964] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4508),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [965] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4479),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [966] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [967] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3213),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [968] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4530),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [969] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_GT] = ACTIONS(3217),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [970] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4578),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_RBRACK] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [971] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4513),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [972] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4603),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [973] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3433),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [974] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3434),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [975] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3456),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [976] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3457),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [977] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3472),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [978] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3473),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [979] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3321),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [980] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3451),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [981] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4550),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [982] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3075),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [983] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4555),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [984] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4556),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [985] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1532),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [986] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1607),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [987] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3469),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [988] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2992),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [989] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3803),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [990] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3806),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [991] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4802),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2920),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [992] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4802),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2924),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [993] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2965),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [994] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3833),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [995] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3846),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [996] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3847),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [997] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3000),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [998] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3932),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [999] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1953),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1000] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1961),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1001] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2955),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1002] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2956),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1003] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2904),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1004] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1967),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1005] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3883),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1006] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4762),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(1968),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1007] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4762),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(1970),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1008] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2992),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1009] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3092),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1010] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3053),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1011] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3210),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1012] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3211),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1013] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5048),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2920),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1014] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5048),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2924),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1015] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2904),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1016] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4006),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1017] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3918),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1018] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1561),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1019] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1574),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1020] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(4206),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1021] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(4148),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1022] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3494),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1023] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3284),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1024] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3519),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1025] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3812),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1026] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(2020),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1027] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(2022),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1028] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(4038),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1029] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(4055),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1030] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2965),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1031] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3669),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1032] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3674),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1033] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3675),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1034] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3000),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1035] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3690),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1036] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(4075),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1037] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2955),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1038] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2956),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1039] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4540),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1040] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2904),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1041] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3711),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1042] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3341),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1043] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3342),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1044] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1873),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1045] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1874),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1046] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3489),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1047] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1891),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1048] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1892),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1049] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1904),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1050] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1905),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1051] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4560),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1052] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3799),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1053] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4561),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1054] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3892),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1055] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3200),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1056] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3201),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1057] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3206),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1058] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5220),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(3207),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1059] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4678),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(3393),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1060] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4512),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1061] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5220),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(3209),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1062] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3192),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1063] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3249),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1064] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5048),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(4309),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(4507),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1065] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3911),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1066] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2965),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1067] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3054),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1068] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1924),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1069] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1925),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1070] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4527),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1071] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3252),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1072] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3185),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1073] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3858),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1074] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3224),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1075] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4482),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1076] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3226),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1077] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3257),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1078] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(3258),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1079] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1501),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1080] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1502),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1081] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1508),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1082] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4646),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(1509),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1083] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4646),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(1513),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1084] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3813),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1085] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4510),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1086] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3063),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1087] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3064),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1088] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3793),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1089] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3895),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1090] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1543),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1091] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1544),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1092] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1563),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1093] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1565),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1094] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2992),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1095] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3666),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1096] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3667),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1097] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5088),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2920),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1098] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(5088),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2924),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1099] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4575),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1100] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1989),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1101] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1586),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1102] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1587),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1103] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3879),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1104] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4472),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1105] = {
    [sym_import] = STATE(4909),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5858),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3328),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4367),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5355),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(3081),
    [anon_sym_typeof] = ACTIONS(3083),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(2291),
    [anon_sym_SQUOTE] = ACTIONS(2293),
    [anon_sym_new] = ACTIONS(3085),
    [anon_sym_AMP] = ACTIONS(3087),
    [anon_sym_PIPE] = ACTIONS(3089),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(3095),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(3097),
    [anon_sym_infer] = ACTIONS(3101),
    [anon_sym_keyof] = ACTIONS(3103),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3105),
    [sym_html_comment] = ACTIONS(5),
  },
  [1106] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4475),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1107] = {
    [sym_import] = STATE(4635),
    [sym_nested_identifier] = STATE(5854),
    [sym_string] = STATE(1922),
    [sym_formal_parameters] = STATE(5981),
    [sym_nested_type_identifier] = STATE(1768),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1769),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1973),
    [sym_type] = STATE(1918),
    [sym_constructor_type] = STATE(1980),
    [sym_primary_type] = STATE(1981),
    [sym_template_literal_type] = STATE(1907),
    [sym_infer_type] = STATE(1980),
    [sym_conditional_type] = STATE(1907),
    [sym_generic_type] = STATE(1907),
    [sym_type_query] = STATE(1907),
    [sym_index_type_query] = STATE(1907),
    [sym_lookup_type] = STATE(1907),
    [sym_literal_type] = STATE(1907),
    [sym__number] = STATE(1987),
    [sym_existential_type] = STATE(1907),
    [sym_flow_maybe_type] = STATE(1907),
    [sym_parenthesized_type] = STATE(1907),
    [sym_predefined_type] = STATE(1907),
    [sym_object_type] = STATE(1907),
    [sym_type_parameters] = STATE(5335),
    [sym_array_type] = STATE(1907),
    [sym_tuple_type] = STATE(1907),
    [sym_readonly_type] = STATE(1980),
    [sym_union_type] = STATE(1907),
    [sym_intersection_type] = STATE(1907),
    [sym_function_type] = STATE(1980),
    [sym_identifier] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_LBRACE] = ACTIONS(2981),
    [anon_sym_typeof] = ACTIONS(2983),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3235),
    [anon_sym_LPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_new] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2993),
    [anon_sym_PIPE] = ACTIONS(2995),
    [anon_sym_PLUS] = ACTIONS(2997),
    [anon_sym_DASH] = ACTIONS(2997),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(2999),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3001),
    [sym_number] = ACTIONS(3003),
    [sym_this] = ACTIONS(3233),
    [sym_true] = ACTIONS(3007),
    [sym_false] = ACTIONS(3007),
    [sym_null] = ACTIONS(3007),
    [sym_undefined] = ACTIONS(3007),
    [anon_sym_readonly] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(3011),
    [anon_sym_any] = ACTIONS(2999),
    [anon_sym_number] = ACTIONS(2999),
    [anon_sym_boolean] = ACTIONS(2999),
    [anon_sym_string] = ACTIONS(2999),
    [anon_sym_symbol] = ACTIONS(2999),
    [anon_sym_object] = ACTIONS(2999),
    [anon_sym_abstract] = ACTIONS(3013),
    [anon_sym_infer] = ACTIONS(3017),
    [anon_sym_keyof] = ACTIONS(3019),
    [anon_sym_unique] = ACTIONS(3021),
    [anon_sym_unknown] = ACTIONS(2999),
    [anon_sym_never] = ACTIONS(2999),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3023),
    [sym_html_comment] = ACTIONS(5),
  },
  [1108] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1602),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1109] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3000),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1110] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(3116),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1111] = {
    [sym_import] = STATE(4633),
    [sym_nested_identifier] = STATE(5769),
    [sym_string] = STATE(1504),
    [sym_formal_parameters] = STATE(5757),
    [sym_nested_type_identifier] = STATE(1480),
    [sym__type_query_member_expression_in_type_annotation] = STATE(1481),
    [sym__type_query_call_expression_in_type_annotation] = STATE(1491),
    [sym_type] = STATE(1605),
    [sym_constructor_type] = STATE(1492),
    [sym_primary_type] = STATE(1493),
    [sym_template_literal_type] = STATE(1490),
    [sym_infer_type] = STATE(1492),
    [sym_conditional_type] = STATE(1490),
    [sym_generic_type] = STATE(1490),
    [sym_type_query] = STATE(1490),
    [sym_index_type_query] = STATE(1490),
    [sym_lookup_type] = STATE(1490),
    [sym_literal_type] = STATE(1490),
    [sym__number] = STATE(1494),
    [sym_existential_type] = STATE(1490),
    [sym_flow_maybe_type] = STATE(1490),
    [sym_parenthesized_type] = STATE(1490),
    [sym_predefined_type] = STATE(1490),
    [sym_object_type] = STATE(1490),
    [sym_type_parameters] = STATE(5510),
    [sym_array_type] = STATE(1490),
    [sym_tuple_type] = STATE(1490),
    [sym_readonly_type] = STATE(1492),
    [sym_union_type] = STATE(1490),
    [sym_intersection_type] = STATE(1490),
    [sym_function_type] = STATE(1492),
    [sym_identifier] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3027),
    [anon_sym_LBRACE] = ACTIONS(3029),
    [anon_sym_typeof] = ACTIONS(3031),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3033),
    [anon_sym_LPAREN] = ACTIONS(3035),
    [anon_sym_LBRACK] = ACTIONS(3037),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(3039),
    [anon_sym_AMP] = ACTIONS(3041),
    [anon_sym_PIPE] = ACTIONS(3043),
    [anon_sym_PLUS] = ACTIONS(3045),
    [anon_sym_DASH] = ACTIONS(3045),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3047),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3049),
    [sym_number] = ACTIONS(3051),
    [sym_this] = ACTIONS(3229),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [sym_null] = ACTIONS(3055),
    [sym_undefined] = ACTIONS(3055),
    [anon_sym_readonly] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(3059),
    [anon_sym_any] = ACTIONS(3047),
    [anon_sym_number] = ACTIONS(3047),
    [anon_sym_boolean] = ACTIONS(3047),
    [anon_sym_string] = ACTIONS(3047),
    [anon_sym_symbol] = ACTIONS(3047),
    [anon_sym_object] = ACTIONS(3047),
    [anon_sym_abstract] = ACTIONS(3061),
    [anon_sym_infer] = ACTIONS(3065),
    [anon_sym_keyof] = ACTIONS(3067),
    [anon_sym_unique] = ACTIONS(3069),
    [anon_sym_unknown] = ACTIONS(3047),
    [anon_sym_never] = ACTIONS(3047),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3071),
    [sym_html_comment] = ACTIONS(5),
  },
  [1112] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2955),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1113] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(2956),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1114] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4517),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(793),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(215),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1115] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3387),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1116] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3389),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1117] = {
    [sym_import] = STATE(5169),
    [sym_nested_identifier] = STATE(5618),
    [sym_string] = STATE(3256),
    [sym_formal_parameters] = STATE(5839),
    [sym_nested_type_identifier] = STATE(3108),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3044),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3176),
    [sym_type] = STATE(4465),
    [sym_constructor_type] = STATE(3261),
    [sym_primary_type] = STATE(3262),
    [sym_template_literal_type] = STATE(3255),
    [sym_infer_type] = STATE(3261),
    [sym_conditional_type] = STATE(3255),
    [sym_generic_type] = STATE(3255),
    [sym_type_query] = STATE(3255),
    [sym_index_type_query] = STATE(3255),
    [sym_lookup_type] = STATE(3255),
    [sym_literal_type] = STATE(3255),
    [sym__number] = STATE(3188),
    [sym_existential_type] = STATE(3255),
    [sym_flow_maybe_type] = STATE(3255),
    [sym_parenthesized_type] = STATE(3255),
    [sym_predefined_type] = STATE(3255),
    [sym_object_type] = STATE(3255),
    [sym_type_parameters] = STATE(5399),
    [sym_array_type] = STATE(3255),
    [sym_tuple_type] = STATE(3255),
    [sym_readonly_type] = STATE(3261),
    [sym_union_type] = STATE(3255),
    [sym_intersection_type] = STATE(3255),
    [sym_function_type] = STATE(3261),
    [sym_identifier] = ACTIONS(1576),
    [anon_sym_STAR] = ACTIONS(990),
    [anon_sym_LBRACE] = ACTIONS(1580),
    [anon_sym_typeof] = ACTIONS(1582),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(1584),
    [anon_sym_LBRACK] = ACTIONS(1586),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_new] = ACTIONS(1592),
    [anon_sym_AMP] = ACTIONS(1004),
    [anon_sym_PIPE] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(3109),
    [anon_sym_DASH] = ACTIONS(3109),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(1036),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1600),
    [sym_number] = ACTIONS(1602),
    [sym_this] = ACTIONS(1604),
    [sym_true] = ACTIONS(1606),
    [sym_false] = ACTIONS(1606),
    [sym_null] = ACTIONS(1606),
    [sym_undefined] = ACTIONS(1606),
    [anon_sym_readonly] = ACTIONS(1608),
    [anon_sym_QMARK] = ACTIONS(1024),
    [anon_sym_any] = ACTIONS(1036),
    [anon_sym_number] = ACTIONS(1036),
    [anon_sym_boolean] = ACTIONS(1036),
    [anon_sym_string] = ACTIONS(1036),
    [anon_sym_symbol] = ACTIONS(1036),
    [anon_sym_object] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_infer] = ACTIONS(1030),
    [anon_sym_keyof] = ACTIONS(1032),
    [anon_sym_unique] = ACTIONS(1034),
    [anon_sym_unknown] = ACTIONS(1036),
    [anon_sym_never] = ACTIONS(1036),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1038),
    [sym_html_comment] = ACTIONS(5),
  },
  [1118] = {
    [sym_import] = STATE(4668),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5649),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3169),
    [sym__type_query_call_expression_in_type_annotation] = STATE(3271),
    [sym_type] = STATE(3392),
    [sym_constructor_type] = STATE(3347),
    [sym_primary_type] = STATE(3352),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(3347),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5245),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(3347),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(3347),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(3133),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(3155),
    [anon_sym_infer] = ACTIONS(3159),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1119] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4587),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1120] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4590),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1121] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4593),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1122] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4599),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1123] = {
    [sym_import] = STATE(4764),
    [sym_nested_identifier] = STATE(5937),
    [sym_string] = STATE(2990),
    [sym_formal_parameters] = STATE(5670),
    [sym_nested_type_identifier] = STATE(2884),
    [sym__type_query_member_expression_in_type_annotation] = STATE(3275),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4610),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(2921),
    [sym_template_literal_type] = STATE(2988),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(2988),
    [sym_generic_type] = STATE(2988),
    [sym_type_query] = STATE(2988),
    [sym_index_type_query] = STATE(2988),
    [sym_lookup_type] = STATE(2988),
    [sym_literal_type] = STATE(2988),
    [sym__number] = STATE(2922),
    [sym_existential_type] = STATE(2988),
    [sym_flow_maybe_type] = STATE(2988),
    [sym_parenthesized_type] = STATE(2988),
    [sym_predefined_type] = STATE(2988),
    [sym_object_type] = STATE(2988),
    [sym_type_parameters] = STATE(5560),
    [sym_array_type] = STATE(2988),
    [sym_tuple_type] = STATE(2988),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(2988),
    [sym_intersection_type] = STATE(2988),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(1498),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_LBRACE] = ACTIONS(1500),
    [anon_sym_typeof] = ACTIONS(1502),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(134),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1508),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_new] = ACTIONS(1612),
    [anon_sym_AMP] = ACTIONS(640),
    [anon_sym_PIPE] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(2535),
    [anon_sym_DASH] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(219),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(1520),
    [sym_number] = ACTIONS(1522),
    [sym_this] = ACTIONS(1524),
    [sym_true] = ACTIONS(1526),
    [sym_false] = ACTIONS(1526),
    [sym_null] = ACTIONS(1526),
    [sym_undefined] = ACTIONS(1526),
    [anon_sym_readonly] = ACTIONS(1618),
    [anon_sym_QMARK] = ACTIONS(662),
    [anon_sym_any] = ACTIONS(219),
    [anon_sym_number] = ACTIONS(219),
    [anon_sym_boolean] = ACTIONS(219),
    [anon_sym_string] = ACTIONS(219),
    [anon_sym_symbol] = ACTIONS(219),
    [anon_sym_object] = ACTIONS(219),
    [anon_sym_abstract] = ACTIONS(666),
    [anon_sym_infer] = ACTIONS(668),
    [anon_sym_keyof] = ACTIONS(670),
    [anon_sym_unique] = ACTIONS(217),
    [anon_sym_unknown] = ACTIONS(219),
    [anon_sym_never] = ACTIONS(219),
    [anon_sym_LBRACE_PIPE] = ACTIONS(221),
    [sym_html_comment] = ACTIONS(5),
  },
  [1124] = {
    [sym_import] = STATE(5212),
    [sym_nested_identifier] = STATE(5986),
    [sym_string] = STATE(3335),
    [sym_formal_parameters] = STATE(5939),
    [sym_nested_type_identifier] = STATE(3222),
    [sym__type_query_member_expression_in_type_annotation] = STATE(2898),
    [sym__type_query_call_expression_in_type_annotation] = STATE(2901),
    [sym_type] = STATE(4678),
    [sym_constructor_type] = STATE(2919),
    [sym_primary_type] = STATE(3395),
    [sym_template_literal_type] = STATE(3330),
    [sym_infer_type] = STATE(2919),
    [sym_conditional_type] = STATE(3330),
    [sym_generic_type] = STATE(3330),
    [sym_type_query] = STATE(3330),
    [sym_index_type_query] = STATE(3330),
    [sym_lookup_type] = STATE(3330),
    [sym_literal_type] = STATE(3330),
    [sym__number] = STATE(3353),
    [sym_existential_type] = STATE(3330),
    [sym_flow_maybe_type] = STATE(3330),
    [sym_parenthesized_type] = STATE(3330),
    [sym_predefined_type] = STATE(3330),
    [sym_object_type] = STATE(3330),
    [sym_type_parameters] = STATE(5572),
    [sym_array_type] = STATE(3330),
    [sym_tuple_type] = STATE(3330),
    [sym_readonly_type] = STATE(2919),
    [sym_union_type] = STATE(3330),
    [sym_intersection_type] = STATE(3330),
    [sym_function_type] = STATE(2919),
    [sym_identifier] = ACTIONS(3221),
    [anon_sym_STAR] = ACTIONS(3117),
    [anon_sym_LBRACE] = ACTIONS(3119),
    [anon_sym_typeof] = ACTIONS(3121),
    [anon_sym_import] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(3123),
    [anon_sym_LPAREN] = ACTIONS(3125),
    [anon_sym_LBRACK] = ACTIONS(3127),
    [anon_sym_DQUOTE] = ACTIONS(3129),
    [anon_sym_SQUOTE] = ACTIONS(3131),
    [anon_sym_new] = ACTIONS(1514),
    [anon_sym_AMP] = ACTIONS(3135),
    [anon_sym_PIPE] = ACTIONS(3137),
    [anon_sym_PLUS] = ACTIONS(3139),
    [anon_sym_DASH] = ACTIONS(3139),
    [anon_sym_LT] = ACTIONS(2537),
    [anon_sym_void] = ACTIONS(3141),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(3143),
    [sym_number] = ACTIONS(3145),
    [sym_this] = ACTIONS(3223),
    [sym_true] = ACTIONS(3149),
    [sym_false] = ACTIONS(3149),
    [sym_null] = ACTIONS(3149),
    [sym_undefined] = ACTIONS(3149),
    [anon_sym_readonly] = ACTIONS(1528),
    [anon_sym_QMARK] = ACTIONS(3153),
    [anon_sym_any] = ACTIONS(3141),
    [anon_sym_number] = ACTIONS(3141),
    [anon_sym_boolean] = ACTIONS(3141),
    [anon_sym_string] = ACTIONS(3141),
    [anon_sym_symbol] = ACTIONS(3141),
    [anon_sym_object] = ACTIONS(3141),
    [anon_sym_abstract] = ACTIONS(211),
    [anon_sym_infer] = ACTIONS(213),
    [anon_sym_keyof] = ACTIONS(3161),
    [anon_sym_unique] = ACTIONS(3163),
    [anon_sym_unknown] = ACTIONS(3141),
    [anon_sym_never] = ACTIONS(3141),
    [anon_sym_LBRACE_PIPE] = ACTIONS(3165),
    [sym_html_comment] = ACTIONS(5),
  },
  [1125] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1126] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3277),
    [anon_sym_export] = ACTIONS(3279),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3277),
    [anon_sym_namespace] = ACTIONS(3277),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3277),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3283),
    [anon_sym_new] = ACTIONS(3285),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3287),
    [anon_sym_readonly] = ACTIONS(3289),
    [anon_sym_get] = ACTIONS(3291),
    [anon_sym_set] = ACTIONS(3291),
    [anon_sym_declare] = ACTIONS(3277),
    [anon_sym_public] = ACTIONS(3293),
    [anon_sym_private] = ACTIONS(3293),
    [anon_sym_protected] = ACTIONS(3293),
    [anon_sym_override] = ACTIONS(3295),
    [anon_sym_module] = ACTIONS(3277),
    [anon_sym_any] = ACTIONS(3277),
    [anon_sym_number] = ACTIONS(3277),
    [anon_sym_boolean] = ACTIONS(3277),
    [anon_sym_string] = ACTIONS(3277),
    [anon_sym_symbol] = ACTIONS(3277),
    [anon_sym_object] = ACTIONS(3277),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1127] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3297),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1128] = {
    [sym_export_statement] = STATE(3907),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3907),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3907),
    [sym_property_signature] = STATE(3907),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3907),
    [sym_index_signature] = STATE(3907),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3303),
    [anon_sym_RBRACE] = ACTIONS(3305),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3323),
    [sym_html_comment] = ACTIONS(5),
  },
  [1129] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3237),
    [anon_sym_export] = ACTIONS(3239),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3325),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3255),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3263),
    [anon_sym_readonly] = ACTIONS(3265),
    [anon_sym_get] = ACTIONS(3267),
    [anon_sym_set] = ACTIONS(3267),
    [anon_sym_declare] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_override] = ACTIONS(3271),
    [anon_sym_module] = ACTIONS(3237),
    [anon_sym_any] = ACTIONS(3237),
    [anon_sym_number] = ACTIONS(3237),
    [anon_sym_boolean] = ACTIONS(3237),
    [anon_sym_string] = ACTIONS(3237),
    [anon_sym_symbol] = ACTIONS(3237),
    [anon_sym_object] = ACTIONS(3237),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1130] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1131] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3331),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1132] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3327),
    [anon_sym_export] = ACTIONS(3329),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3327),
    [anon_sym_namespace] = ACTIONS(3327),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3347),
    [anon_sym_let] = ACTIONS(3327),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3333),
    [anon_sym_new] = ACTIONS(3335),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3337),
    [anon_sym_readonly] = ACTIONS(3339),
    [anon_sym_get] = ACTIONS(3341),
    [anon_sym_set] = ACTIONS(3341),
    [anon_sym_declare] = ACTIONS(3327),
    [anon_sym_public] = ACTIONS(3343),
    [anon_sym_private] = ACTIONS(3343),
    [anon_sym_protected] = ACTIONS(3343),
    [anon_sym_override] = ACTIONS(3345),
    [anon_sym_module] = ACTIONS(3327),
    [anon_sym_any] = ACTIONS(3327),
    [anon_sym_number] = ACTIONS(3327),
    [anon_sym_boolean] = ACTIONS(3327),
    [anon_sym_string] = ACTIONS(3327),
    [anon_sym_symbol] = ACTIONS(3327),
    [anon_sym_object] = ACTIONS(3327),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1133] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1134] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(5019),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(5019),
    [sym_pair] = STATE(5019),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(5031),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3353),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1135] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(4829),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(4829),
    [sym_pair] = STATE(4829),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(4830),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3299),
    [anon_sym_export] = ACTIONS(3301),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3299),
    [anon_sym_namespace] = ACTIONS(3299),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3369),
    [anon_sym_let] = ACTIONS(3299),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3309),
    [anon_sym_new] = ACTIONS(3311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3313),
    [anon_sym_readonly] = ACTIONS(3315),
    [anon_sym_get] = ACTIONS(3317),
    [anon_sym_set] = ACTIONS(3317),
    [anon_sym_declare] = ACTIONS(3299),
    [anon_sym_public] = ACTIONS(3319),
    [anon_sym_private] = ACTIONS(3319),
    [anon_sym_protected] = ACTIONS(3319),
    [anon_sym_override] = ACTIONS(3321),
    [anon_sym_module] = ACTIONS(3299),
    [anon_sym_any] = ACTIONS(3299),
    [anon_sym_number] = ACTIONS(3299),
    [anon_sym_boolean] = ACTIONS(3299),
    [anon_sym_string] = ACTIONS(3299),
    [anon_sym_symbol] = ACTIONS(3299),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1136] = {
    [sym_export_statement] = STATE(3902),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(4986),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(5019),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(4986),
    [sym_method_definition] = STATE(5019),
    [sym_pair] = STATE(5019),
    [sym_pair_pattern] = STATE(4986),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3902),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3902),
    [sym_property_signature] = STATE(3902),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3902),
    [sym_index_signature] = STATE(3902),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [aux_sym_object_repeat1] = STATE(5031),
    [aux_sym_object_pattern_repeat1] = STATE(5037),
    [sym_identifier] = ACTIONS(3349),
    [anon_sym_export] = ACTIONS(3351),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3349),
    [anon_sym_namespace] = ACTIONS(3349),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3245),
    [anon_sym_RBRACE] = ACTIONS(3371),
    [anon_sym_let] = ACTIONS(3349),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3355),
    [anon_sym_new] = ACTIONS(3357),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3359),
    [anon_sym_readonly] = ACTIONS(3361),
    [anon_sym_get] = ACTIONS(3363),
    [anon_sym_set] = ACTIONS(3363),
    [anon_sym_declare] = ACTIONS(3349),
    [anon_sym_public] = ACTIONS(3365),
    [anon_sym_private] = ACTIONS(3365),
    [anon_sym_protected] = ACTIONS(3365),
    [anon_sym_override] = ACTIONS(3367),
    [anon_sym_module] = ACTIONS(3349),
    [anon_sym_any] = ACTIONS(3349),
    [anon_sym_number] = ACTIONS(3349),
    [anon_sym_boolean] = ACTIONS(3349),
    [anon_sym_string] = ACTIONS(3349),
    [anon_sym_symbol] = ACTIONS(3349),
    [anon_sym_object] = ACTIONS(3349),
    [anon_sym_abstract] = ACTIONS(3273),
    [anon_sym_PIPE_RBRACE] = ACTIONS(3275),
    [sym_html_comment] = ACTIONS(5),
  },
  [1137] = {
    [sym_nested_identifier] = STATE(739),
    [sym_string] = STATE(747),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1138] = {
    [sym_nested_identifier] = STATE(227),
    [sym_string] = STATE(225),
    [sym__module] = STATE(256),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1139] = {
    [sym_nested_identifier] = STATE(739),
    [sym_string] = STATE(747),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1140] = {
    [sym_variable_declarator] = STATE(4470),
    [sym_object_pattern] = STATE(3735),
    [sym_array_pattern] = STATE(3735),
    [sym__destructuring_pattern] = STATE(3735),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1141] = {
    [sym_nested_identifier] = STATE(227),
    [sym_string] = STATE(225),
    [sym__module] = STATE(256),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1142] = {
    [sym_nested_identifier] = STATE(227),
    [sym_string] = STATE(225),
    [sym__module] = STATE(256),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1143] = {
    [sym_nested_identifier] = STATE(739),
    [sym_string] = STATE(747),
    [sym__module] = STATE(875),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1144] = {
    [sym_variable_declarator] = STATE(4470),
    [sym_object_pattern] = STATE(3735),
    [sym_array_pattern] = STATE(3735),
    [sym__destructuring_pattern] = STATE(3735),
    [aux_sym_object_repeat1] = STATE(4673),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(702),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1145] = {
    [sym_variable_declarator] = STATE(4470),
    [sym_object_pattern] = STATE(3735),
    [sym_array_pattern] = STATE(3735),
    [sym__destructuring_pattern] = STATE(3735),
    [aux_sym_object_repeat1] = STATE(5173),
    [aux_sym_object_pattern_repeat1] = STATE(4679),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(696),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(706),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(725),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1146] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(119),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(128),
    [anon_sym_RBRACE] = ACTIONS(128),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(128),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(128),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(128),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1147] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1148] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(223),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(226),
    [anon_sym_RBRACE] = ACTIONS(226),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(226),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(226),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(226),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1149] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(159),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_QMARK] = ACTIONS(857),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1150] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_RPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(161),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1151] = {
    [sym_export_statement] = STATE(3915),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(5287),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(5294),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5287),
    [sym_method_definition] = STATE(5294),
    [sym_pair] = STATE(5294),
    [sym_pair_pattern] = STATE(5287),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3915),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3915),
    [sym_property_signature] = STATE(3915),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3915),
    [sym_index_signature] = STATE(3915),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3396),
    [anon_sym_new] = ACTIONS(3398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3400),
    [anon_sym_readonly] = ACTIONS(3402),
    [anon_sym_get] = ACTIONS(3404),
    [anon_sym_set] = ACTIONS(3404),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3406),
    [anon_sym_private] = ACTIONS(3406),
    [anon_sym_protected] = ACTIONS(3406),
    [anon_sym_override] = ACTIONS(3408),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1152] = {
    [sym_export_statement] = STATE(3867),
    [sym_object_pattern] = STATE(5780),
    [sym_object_assignment_pattern] = STATE(5287),
    [sym_array_pattern] = STATE(5780),
    [sym__call_signature] = STATE(4416),
    [sym__destructuring_pattern] = STATE(5780),
    [sym_spread_element] = STATE(5294),
    [sym_string] = STATE(3056),
    [sym_decorator] = STATE(1267),
    [sym_formal_parameters] = STATE(3276),
    [sym_rest_pattern] = STATE(5287),
    [sym_method_definition] = STATE(5294),
    [sym_pair] = STATE(5294),
    [sym_pair_pattern] = STATE(5287),
    [sym__property_name] = STATE(3056),
    [sym_computed_property_name] = STATE(3056),
    [sym_method_signature] = STATE(3867),
    [sym_accessibility_modifier] = STATE(2727),
    [sym_override_modifier] = STATE(2757),
    [sym_call_signature] = STATE(3867),
    [sym_property_signature] = STATE(3867),
    [sym_type_parameters] = STATE(5374),
    [sym_construct_signature] = STATE(3867),
    [sym_index_signature] = STATE(3867),
    [aux_sym_export_statement_repeat1] = STATE(4535),
    [sym_identifier] = ACTIONS(3389),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_STAR] = ACTIONS(3241),
    [anon_sym_type] = ACTIONS(3389),
    [anon_sym_namespace] = ACTIONS(3389),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_COMMA] = ACTIONS(3393),
    [anon_sym_RBRACE] = ACTIONS(3393),
    [anon_sym_let] = ACTIONS(3389),
    [anon_sym_LPAREN] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_DQUOTE] = ACTIONS(1588),
    [anon_sym_SQUOTE] = ACTIONS(1590),
    [anon_sym_async] = ACTIONS(3396),
    [anon_sym_new] = ACTIONS(3398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(253),
    [anon_sym_PLUS] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3259),
    [anon_sym_LT] = ACTIONS(2537),
    [sym_comment] = ACTIONS(5),
    [sym_number] = ACTIONS(3261),
    [sym_private_property_identifier] = ACTIONS(3261),
    [anon_sym_AT] = ACTIONS(99),
    [anon_sym_static] = ACTIONS(3400),
    [anon_sym_readonly] = ACTIONS(3402),
    [anon_sym_get] = ACTIONS(3404),
    [anon_sym_set] = ACTIONS(3404),
    [anon_sym_declare] = ACTIONS(3389),
    [anon_sym_public] = ACTIONS(3406),
    [anon_sym_private] = ACTIONS(3406),
    [anon_sym_protected] = ACTIONS(3406),
    [anon_sym_override] = ACTIONS(3408),
    [anon_sym_module] = ACTIONS(3389),
    [anon_sym_any] = ACTIONS(3389),
    [anon_sym_number] = ACTIONS(3389),
    [anon_sym_boolean] = ACTIONS(3389),
    [anon_sym_string] = ACTIONS(3389),
    [anon_sym_symbol] = ACTIONS(3389),
    [anon_sym_object] = ACTIONS(3389),
    [anon_sym_abstract] = ACTIONS(3273),
    [sym_html_comment] = ACTIONS(5),
  },
  [1153] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1154] = {
    [sym_nested_identifier] = STATE(1510),
    [sym_string] = STATE(1512),
    [sym__module] = STATE(1731),
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_RBRACE] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1155] = {
    [sym_nested_identifier] = STATE(739),
    [sym_string] = STATE(747),
    [sym__module] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1156] = {
    [sym_variable_declarator] = STATE(4470),
    [sym_object_pattern] = STATE(3735),
    [sym_array_pattern] = STATE(3735),
    [sym__destructuring_pattern] = STATE(3735),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1157] = {
    [sym_nested_identifier] = STATE(1510),
    [sym_string] = STATE(1512),
    [sym__module] = STATE(1731),
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1158] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(853),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1159] = {
    [sym_variable_declarator] = STATE(4470),
    [sym_object_pattern] = STATE(3735),
    [sym_array_pattern] = STATE(3735),
    [sym__destructuring_pattern] = STATE(3735),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1160] = {
    [sym_nested_identifier] = STATE(739),
    [sym_string] = STATE(747),
    [sym__module] = STATE(875),
    [sym_identifier] = ACTIONS(3373),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1161] = {
    [sym_nested_identifier] = STATE(1510),
    [sym_string] = STATE(1512),
    [sym__module] = STATE(1731),
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(865),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_of] = ACTIONS(122),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(871),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1162] = {
    [sym_nested_identifier] = STATE(4585),
    [sym_string] = STATE(747),
    [sym__module] = STATE(875),
    [sym_identifier] = ACTIONS(3412),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(879),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(1510),
    [anon_sym_SQUOTE] = ACTIONS(1512),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1163] = {
    [sym_nested_identifier] = STATE(227),
    [sym_string] = STATE(225),
    [sym__module] = STATE(256),
    [sym_identifier] = ACTIONS(3375),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(3377),
    [anon_sym_SQUOTE] = ACTIONS(3379),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1164] = {
    [sym_nested_identifier] = STATE(1510),
    [sym_string] = STATE(1512),
    [sym__module] = STATE(1731),
    [sym_identifier] = ACTIONS(3410),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(883),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(69),
    [anon_sym_SQUOTE] = ACTIONS(71),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1165] = {
    [sym_nested_identifier] = STATE(1514),
    [sym_string] = STATE(1488),
    [sym__module] = STATE(1695),
    [sym_identifier] = ACTIONS(3387),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(859),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_COMMA] = ACTIONS(885),
    [anon_sym_RBRACE] = ACTIONS(885),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(161),
    [anon_sym_RBRACK] = ACTIONS(885),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_DQUOTE] = ACTIONS(149),
    [anon_sym_SQUOTE] = ACTIONS(151),
    [anon_sym_EQ_GT] = ACTIONS(229),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
  [1166] = {
    [sym_variable_declarator] = STATE(4470),
    [sym_object_pattern] = STATE(3735),
    [sym_array_pattern] = STATE(3735),
    [sym__destructuring_pattern] = STATE(3735),
    [sym_identifier] = ACTIONS(3381),
    [anon_sym_STAR] = ACTIONS(122),
    [anon_sym_EQ] = ACTIONS(877),
    [anon_sym_as] = ACTIONS(122),
    [anon_sym_LBRACE] = ACTIONS(3383),
    [anon_sym_COMMA] = ACTIONS(161),
    [anon_sym_BANG] = ACTIONS(122),
    [anon_sym_LPAREN] = ACTIONS(161),
    [anon_sym_SEMI] = ACTIONS(161),
    [anon_sym_in] = ACTIONS(122),
    [anon_sym_COLON] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(3385),
    [anon_sym_GT] = ACTIONS(122),
    [anon_sym_DOT] = ACTIONS(161),
    [anon_sym_EQ_GT] = ACTIONS(717),
    [anon_sym_QMARK_DOT] = ACTIONS(161),
    [anon_sym_PLUS_EQ] = ACTIONS(167),
    [anon_sym_DASH_EQ] = ACTIONS(167),
    [anon_sym_STAR_EQ] = ACTIONS(167),
    [anon_sym_SLASH_EQ] = ACTIONS(167),
    [anon_sym_PERCENT_EQ] = ACTIONS(167),
    [anon_sym_CARET_EQ] = ACTIONS(167),
    [anon_sym_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(167),
    [anon_sym_LT_LT_EQ] = ACTIONS(167),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(167),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(167),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(167),
    [anon_sym_AMP_AMP] = ACTIONS(122),
    [anon_sym_PIPE_PIPE] = ACTIONS(122),
    [anon_sym_GT_GT] = ACTIONS(122),
    [anon_sym_GT_GT_GT] = ACTIONS(122),
    [anon_sym_LT_LT] = ACTIONS(122),
    [anon_sym_AMP] = ACTIONS(122),
    [anon_sym_CARET] = ACTIONS(122),
    [anon_sym_PIPE] = ACTIONS(122),
    [anon_sym_PLUS] = ACTIONS(122),
    [anon_sym_DASH] = ACTIONS(122),
    [anon_sym_SLASH] = ACTIONS(122),
    [anon_sym_PERCENT] = ACTIONS(122),
    [anon_sym_STAR_STAR] = ACTIONS(122),
    [anon_sym_LT] = ACTIONS(122),
    [anon_sym_LT_EQ] = ACTIONS(161),
    [anon_sym_EQ_EQ] = ACTIONS(122),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(161),
    [anon_sym_BANG_EQ] = ACTIONS(122),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(161),
    [anon_sym_GT_EQ] = ACTIONS(161),
    [anon_sym_QMARK_QMARK] = ACTIONS(122),
    [anon_sym_instanceof] = ACTIONS(122),
    [anon_sym_PLUS_PLUS] = ACTIONS(161),
    [anon_sym_DASH_DASH] = ACTIONS(161),
    [sym_comment] = ACTIONS(5),
    [anon_sym_BQUOTE] = ACTIONS(161),
    [anon_sym_satisfies] = ACTIONS(122),
    [sym__automatic_semicolon] = ACTIONS(161),
    [sym__ternary_qmark] = ACTIONS(161),
    [sym_html_comment] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3416), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [71] = 14,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2255), 1,
      anon_sym_LPAREN,
    ACTIONS(2264), 1,
      anon_sym_LT,
    ACTIONS(3418), 1,
      sym_identifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [164] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3420), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3422), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3424), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3426), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [306] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3428), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3430), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [377] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3434), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [448] = 4,
    ACTIONS(3436), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3420), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3422), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [521] = 4,
    ACTIONS(3438), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3424), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3426), 38,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [594] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3440), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3442), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [665] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [754] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3444), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_QMARK,
    ACTIONS(3446), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [825] = 14,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [918] = 14,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(2255), 1,
      anon_sym_LPAREN,
    ACTIONS(2264), 1,
      anon_sym_LT,
    ACTIONS(3418), 1,
      sym_identifier,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1011] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
  [1100] = 14,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(905), 1,
      anon_sym_in,
    ACTIONS(908), 1,
      anon_sym_of,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1193] = 15,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(897), 1,
      anon_sym_COLON,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1288] = 13,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(905), 1,
      anon_sym_in,
    ACTIONS(908), 1,
      anon_sym_of,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(3470), 1,
      sym_identifier,
    STATE(4470), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3320), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1379] = 14,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(2255), 1,
      anon_sym_LPAREN,
    ACTIONS(2264), 1,
      anon_sym_LT,
    ACTIONS(3418), 1,
      sym_identifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1472] = 12,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(3412), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    STATE(4585), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1560] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(930), 1,
      anon_sym_COLON,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1650] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(897), 1,
      anon_sym_COLON,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1740] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(936), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1828] = 12,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(3373), 1,
      sym_identifier,
    STATE(739), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [1916] = 13,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(3472), 1,
      anon_sym_EQ,
    ACTIONS(3474), 1,
      anon_sym_LPAREN,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3479), 1,
      anon_sym_LT,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2006] = 12,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3482), 1,
      sym_identifier,
    STATE(3505), 1,
      sym_nested_identifier,
    STATE(3750), 1,
      sym_string,
    STATE(4447), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2094] = 12,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3375), 1,
      sym_identifier,
    ACTIONS(3377), 1,
      anon_sym_DQUOTE,
    ACTIONS(3379), 1,
      anon_sym_SQUOTE,
    STATE(225), 1,
      sym_string,
    STATE(227), 1,
      sym_nested_identifier,
    STATE(256), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2182] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2270] = 11,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3381), 1,
      sym_identifier,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    STATE(4470), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2356] = 13,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(2255), 1,
      anon_sym_LPAREN,
    ACTIONS(2264), 1,
      anon_sym_LT,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2477), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2516] = 14,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [2608] = 13,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2255), 1,
      anon_sym_LPAREN,
    ACTIONS(2264), 1,
      anon_sym_LT,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2698] = 13,
    ACTIONS(696), 1,
      anon_sym_EQ,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(2255), 1,
      anon_sym_LPAREN,
    ACTIONS(2264), 1,
      anon_sym_LT,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [2788] = 5,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2862] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2487), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2485), 39,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [2932] = 13,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(3472), 1,
      anon_sym_EQ,
    ACTIONS(3474), 1,
      anon_sym_LPAREN,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3479), 1,
      anon_sym_LT,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3022] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3110] = 13,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(706), 1,
      anon_sym_COLON,
    ACTIONS(725), 1,
      anon_sym_QMARK,
    ACTIONS(3472), 1,
      anon_sym_EQ,
    ACTIONS(3474), 1,
      anon_sym_LPAREN,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3479), 1,
      anon_sym_LT,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3200] = 12,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3452), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3288] = 14,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3502), 1,
      anon_sym_DOT,
    ACTIONS(3504), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3506), 1,
      anon_sym_LT,
    STATE(3048), 1,
      sym_arguments,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3454), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3452), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3380] = 11,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3381), 1,
      sym_identifier,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    STATE(4495), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3466] = 12,
    ACTIONS(69), 1,
      anon_sym_DQUOTE,
    ACTIONS(71), 1,
      anon_sym_SQUOTE,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3410), 1,
      sym_identifier,
    STATE(1510), 1,
      sym_nested_identifier,
    STATE(1512), 1,
      sym_string,
    STATE(1731), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [3554] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3508), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3645] = 9,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(161), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [3726] = 14,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3454), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3817] = 13,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3525), 1,
      anon_sym_DOT,
    ACTIONS(3528), 1,
      anon_sym_LT,
    STATE(3205), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3498), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [3906] = 8,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3535), 1,
      anon_sym_DOT,
    ACTIONS(3537), 1,
      anon_sym_LT,
    STATE(1231), 1,
      sym_arguments,
    STATE(5549), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3533), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3531), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [3985] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4076] = 16,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(3543), 1,
      anon_sym_QMARK,
    STATE(2908), 1,
      sym_type_arguments,
    STATE(5384), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3521), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4171] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4258] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4345] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(962), 1,
      anon_sym_EQ,
    ACTIONS(968), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4432] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(968), 1,
      anon_sym_EQ_GT,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4519] = 13,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(855), 1,
      anon_sym_COLON,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4608] = 14,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(905), 1,
      anon_sym_in,
    ACTIONS(908), 1,
      anon_sym_of,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4699] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [4785] = 15,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3546), 1,
      anon_sym_EQ,
    ACTIONS(3551), 1,
      anon_sym_RPAREN,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3549), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4877] = 15,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3521), 1,
      anon_sym_RPAREN,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [4969] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(978), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5055] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(974), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5141] = 8,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(755), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(226), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5219] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3561), 1,
      anon_sym_EQ,
    ACTIONS(3563), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5309] = 8,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5387] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5473] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 16,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3565), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [5541] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3571), 16,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3569), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [5609] = 14,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3454), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3452), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5699] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(857), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(855), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5777] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(986), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [5863] = 12,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [5949] = 9,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1668), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6029] = 7,
    ACTIONS(3577), 1,
      anon_sym_class,
    ACTIONS(3580), 1,
      anon_sym_AT,
    STATE(1248), 1,
      aux_sym_export_statement_repeat1,
    STATE(1267), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3575), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3573), 41,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6105] = 12,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3508), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6191] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(3585), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6281] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(984), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6367] = 12,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(905), 1,
      anon_sym_in,
    ACTIONS(908), 1,
      anon_sym_of,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3587), 1,
      sym_identifier,
    ACTIONS(3589), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4731), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(161), 11,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6453] = 6,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(161), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6527] = 8,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(755), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [6605] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6691] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(980), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [6777] = 6,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(161), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6851] = 6,
    ACTIONS(3580), 1,
      anon_sym_AT,
    STATE(1248), 1,
      aux_sym_export_statement_repeat1,
    STATE(1267), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3575), 14,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3573), 42,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [6925] = 6,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3452), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [6999] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(3594), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7089] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1042), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7175] = 12,
    ACTIONS(149), 1,
      anon_sym_DQUOTE,
    ACTIONS(151), 1,
      anon_sym_SQUOTE,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(976), 1,
      anon_sym_EQ,
    ACTIONS(3387), 1,
      sym_identifier,
    STATE(1488), 1,
      sym_string,
    STATE(1514), 1,
      sym_nested_identifier,
    STATE(1695), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 12,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [7261] = 8,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3598), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3596), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7339] = 6,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3452), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7413] = 8,
    ACTIONS(3546), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7491] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3602), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3600), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [7558] = 7,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3598), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3596), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7633] = 4,
    ACTIONS(3436), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [7702] = 9,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(871), 1,
      anon_sym_EQ_GT,
    ACTIONS(1668), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7781] = 11,
    ACTIONS(119), 1,
      anon_sym_EQ,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(755), 1,
      anon_sym_QMARK,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(128), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1668), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7864] = 7,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [7939] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8008] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8077] = 9,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8156] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3606), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3604), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8223] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8312] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3614), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3612), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [8379] = 12,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(3585), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8464] = 4,
    ACTIONS(3438), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8533] = 14,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3616), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8622] = 5,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3452), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [8693] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3620), 1,
      anon_sym_EQ,
    ACTIONS(3622), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8782] = 8,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(879), 1,
      anon_sym_COLON,
    ACTIONS(3418), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [8859] = 11,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(755), 1,
      anon_sym_QMARK,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(226), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1668), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [8942] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3454), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3452), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9031] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9100] = 8,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(3418), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9177] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9246] = 7,
    ACTIONS(3546), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9321] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3533), 15,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_glimmer_opening_tag,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3531), 43,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_typeof,
      anon_sym_import,
      anon_sym_let,
      anon_sym_await,
      anon_sym_yield,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_using,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
  [9388] = 12,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(3594), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9473] = 12,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3561), 1,
      anon_sym_EQ,
    ACTIONS(3563), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9558] = 8,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(883), 1,
      anon_sym_COLON,
    ACTIONS(3418), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [9635] = 13,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3498), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [9788] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3454), 3,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3452), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9876] = 9,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2479), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2477), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10020] = 11,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_COLON,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_extends,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3624), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10102] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10174] = 14,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3468), 1,
      anon_sym_LT,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10262] = 12,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3498), 1,
      anon_sym_extends,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3486), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3489), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10346] = 7,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10420] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10486] = 10,
    ACTIONS(223), 1,
      anon_sym_EQ,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(1670), 1,
      anon_sym_QMARK,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1668), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10566] = 6,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10638] = 6,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10710] = 6,
    ACTIONS(865), 1,
      anon_sym_EQ,
    ACTIONS(871), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10782] = 7,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(879), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10856] = 8,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(855), 1,
      anon_sym_COLON,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10932] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3428), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3430), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [10998] = 6,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11070] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2487), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2485), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11136] = 7,
    ACTIONS(881), 1,
      anon_sym_COLON,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11210] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3440), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3442), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11276] = 7,
    ACTIONS(879), 1,
      anon_sym_COLON,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11350] = 9,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(936), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11428] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3432), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3434), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11494] = 7,
    ACTIONS(883), 1,
      anon_sym_COLON,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11568] = 7,
    ACTIONS(717), 1,
      anon_sym_EQ_GT,
    ACTIONS(877), 1,
      anon_sym_EQ,
    ACTIONS(883), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11642] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3444), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3446), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11708] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3414), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3416), 35,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [11774] = 10,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(855), 1,
      anon_sym_COLON,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1668), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11854] = 6,
    ACTIONS(3508), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11926] = 6,
    ACTIONS(3477), 1,
      anon_sym_EQ_GT,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11998] = 12,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12082] = 5,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12152] = 12,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3620), 1,
      anon_sym_EQ,
    ACTIONS(3622), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12236] = 6,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(871), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12308] = 9,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(1668), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12386] = 5,
    ACTIONS(3438), 1,
      anon_sym_extends,
    ACTIONS(3628), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12455] = 8,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(905), 1,
      anon_sym_in,
    ACTIONS(3630), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12530] = 7,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3632), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12603] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12670] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [12737] = 7,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3418), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [12810] = 9,
    ACTIONS(229), 1,
      anon_sym_EQ_GT,
    ACTIONS(859), 1,
      anon_sym_EQ,
    ACTIONS(1668), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3512), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3515), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12887] = 12,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3486), 1,
      anon_sym_LBRACK,
    ACTIONS(3492), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_LT,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3489), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3452), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 17,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12970] = 6,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13041] = 5,
    ACTIONS(3508), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13110] = 5,
    ACTIONS(3436), 1,
      anon_sym_extends,
    ACTIONS(3635), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [13179] = 7,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3632), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13252] = 6,
    ACTIONS(916), 1,
      anon_sym_EQ,
    ACTIONS(922), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13323] = 9,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13400] = 8,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3462), 1,
      anon_sym_EQ_GT,
    ACTIONS(3637), 1,
      anon_sym_in,
    ACTIONS(3640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13475] = 5,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13544] = 9,
    ACTIONS(962), 1,
      anon_sym_EQ,
    ACTIONS(968), 1,
      anon_sym_EQ_GT,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13621] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3594), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13692] = 10,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    ACTIONS(3558), 1,
      anon_sym_RBRACK,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    ACTIONS(3642), 1,
      anon_sym_EQ,
    ACTIONS(3645), 1,
      anon_sym_in,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13771] = 9,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(897), 1,
      anon_sym_COLON,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13848] = 6,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(3594), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13919] = 7,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(3649), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_satisfies,
  [13992] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3424), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3426), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [14058] = 8,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    ACTIONS(3558), 1,
      anon_sym_RBRACK,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    ACTIONS(3642), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14132] = 6,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14202] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3251), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3275), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3902), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14322] = 7,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3637), 1,
      anon_sym_in,
    ACTIONS(3640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14394] = 6,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14464] = 9,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(3512), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3515), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(161), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14540] = 6,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(3585), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14610] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3675), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3677), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3872), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14730] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3679), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3681), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3791), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [14850] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3585), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14920] = 7,
    ACTIONS(897), 1,
      anon_sym_COLON,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14992] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3307), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3323), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3907), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15112] = 7,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(930), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15184] = 8,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    ACTIONS(3645), 1,
      anon_sym_in,
    ACTIONS(3683), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15258] = 6,
    ACTIONS(948), 1,
      anon_sym_EQ,
    ACTIONS(954), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15328] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3685), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3687), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3842), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [15448] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3420), 22,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(3422), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [15514] = 8,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    ACTIONS(3645), 1,
      anon_sym_in,
    ACTIONS(3647), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15588] = 6,
    ACTIONS(3561), 1,
      anon_sym_EQ,
    ACTIONS(3563), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15658] = 8,
    ACTIONS(128), 1,
      anon_sym_COMMA,
    ACTIONS(226), 1,
      anon_sym_RBRACK,
    ACTIONS(892), 1,
      anon_sym_EQ,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15732] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3563), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15802] = 5,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15870] = 6,
    ACTIONS(910), 1,
      anon_sym_EQ_GT,
    ACTIONS(936), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [15940] = 31,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3689), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3691), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3818), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [16060] = 6,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(928), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16129] = 7,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    ACTIONS(3558), 1,
      anon_sym_RBRACK,
    ACTIONS(3642), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16200] = 6,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(901), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16269] = 6,
    ACTIONS(962), 1,
      anon_sym_EQ,
    ACTIONS(968), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16338] = 6,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(968), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(161), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16407] = 5,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16474] = 7,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(855), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16545] = 8,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(905), 1,
      anon_sym_in,
    ACTIONS(3630), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16618] = 8,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3637), 1,
      anon_sym_in,
    ACTIONS(3640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16691] = 5,
    ACTIONS(3561), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16758] = 6,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16827] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3610), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16896] = 6,
    ACTIONS(3620), 1,
      anon_sym_EQ,
    ACTIONS(3622), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [16965] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3622), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17034] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3693), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17102] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1040), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17170] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3695), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17238] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3697), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17354] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3699), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17470] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17538] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3701), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17654] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3703), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17770] = 7,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3637), 1,
      anon_sym_in,
    ACTIONS(3640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [17840] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3705), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [17956] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3707), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18072] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18140] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(980), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18208] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18324] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3713), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18440] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3715), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18556] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3717), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18624] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(853), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18692] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(1042), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18760] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(986), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18828] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3719), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [18944] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3721), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19060] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(982), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19128] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3723), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19244] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3725), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19312] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3727), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19380] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(976), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19448] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19516] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(984), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19584] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19652] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3731), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [19768] = 5,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19834] = 5,
    ACTIONS(3620), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3452), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19900] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(974), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19968] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20036] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3735), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20152] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3737), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20268] = 6,
    ACTIONS(159), 1,
      anon_sym_EQ_GT,
    ACTIONS(978), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(161), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(167), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(122), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20336] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3739), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20452] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3741), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20568] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3743), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [20684] = 6,
    ACTIONS(3554), 1,
      anon_sym_EQ_GT,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20752] = 5,
    ACTIONS(3695), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20817] = 5,
    ACTIONS(3727), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20882] = 5,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20947] = 5,
    ACTIONS(3725), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21012] = 5,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21077] = 5,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21142] = 5,
    ACTIONS(3693), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21207] = 5,
    ACTIONS(3717), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21272] = 5,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3452), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
    ACTIONS(3466), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(3448), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21337] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3887), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21449] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3867), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21561] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3796), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21673] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3826), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21785] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4441), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [21897] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3915), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22009] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3273), 1,
      anon_sym_abstract,
    ACTIONS(3653), 1,
      anon_sym_export,
    ACTIONS(3655), 1,
      anon_sym_STAR,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3659), 1,
      anon_sym_async,
    ACTIONS(3661), 1,
      anon_sym_new,
    ACTIONS(3665), 1,
      anon_sym_static,
    ACTIONS(3667), 1,
      anon_sym_readonly,
    ACTIONS(3673), 1,
      anon_sym_override,
    STATE(1267), 1,
      sym_decorator,
    STATE(2738), 1,
      sym_accessibility_modifier,
    STATE(2756), 1,
      sym_override_modifier,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4416), 1,
      sym__call_signature,
    STATE(4535), 1,
      aux_sym_export_statement_repeat1,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3663), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3669), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3050), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3837), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(3651), 12,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22121] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3749), 1,
      anon_sym_RBRACE,
    ACTIONS(3751), 1,
      anon_sym_SEMI,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1441), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22232] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3771), 1,
      anon_sym_RBRACE,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1446), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22343] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(3793), 1,
      anon_sym_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22462] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3795), 1,
      anon_sym_RBRACE,
    ACTIONS(3797), 1,
      anon_sym_SEMI,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1450), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22573] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3793), 1,
      anon_sym_module,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [22692] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3802), 1,
      anon_sym_RBRACE,
    ACTIONS(3804), 1,
      anon_sym_SEMI,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1453), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22803] = 29,
    ACTIONS(3809), 1,
      anon_sym_STAR,
    ACTIONS(3812), 1,
      anon_sym_RBRACE,
    ACTIONS(3814), 1,
      anon_sym_SEMI,
    ACTIONS(3817), 1,
      anon_sym_LBRACK,
    ACTIONS(3820), 1,
      anon_sym_DQUOTE,
    ACTIONS(3823), 1,
      anon_sym_SQUOTE,
    ACTIONS(3826), 1,
      anon_sym_async,
    ACTIONS(3835), 1,
      anon_sym_AT,
    ACTIONS(3838), 1,
      anon_sym_static,
    ACTIONS(3841), 1,
      anon_sym_readonly,
    ACTIONS(3847), 1,
      anon_sym_declare,
    ACTIONS(3853), 1,
      anon_sym_override,
    ACTIONS(3856), 1,
      anon_sym_abstract,
    ACTIONS(3859), 1,
      anon_sym_accessor,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3832), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3844), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1446), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3850), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3806), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [22914] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3862), 1,
      anon_sym_RBRACE,
    ACTIONS(3864), 1,
      anon_sym_SEMI,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1455), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23025] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3793), 1,
      anon_sym_module,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23144] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3869), 1,
      anon_sym_RBRACE,
    ACTIONS(3871), 1,
      anon_sym_SEMI,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1451), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23255] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    ACTIONS(3873), 1,
      anon_sym_RBRACE,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1446), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23366] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    ACTIONS(3875), 1,
      anon_sym_RBRACE,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1446), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23477] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3793), 1,
      anon_sym_module,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23596] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    ACTIONS(3880), 1,
      anon_sym_RBRACE,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1446), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23707] = 33,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3793), 1,
      anon_sym_module,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [23826] = 29,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3657), 1,
      anon_sym_LBRACK,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3747), 1,
      anon_sym_STAR,
    ACTIONS(3753), 1,
      anon_sym_async,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(3759), 1,
      anon_sym_static,
    ACTIONS(3761), 1,
      anon_sym_readonly,
    ACTIONS(3765), 1,
      anon_sym_declare,
    ACTIONS(3767), 1,
      anon_sym_abstract,
    ACTIONS(3769), 1,
      anon_sym_accessor,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    ACTIONS(3885), 1,
      anon_sym_RBRACE,
    STATE(2396), 1,
      aux_sym_export_statement_repeat1,
    STATE(2657), 1,
      sym_method_definition,
    STATE(2682), 1,
      sym_accessibility_modifier,
    STATE(2748), 1,
      sym_decorator,
    STATE(2770), 1,
      sym_override_modifier,
    STATE(4566), 1,
      sym_method_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3755), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3763), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1446), 2,
      sym_class_static_block,
      aux_sym_class_body_repeat1,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3022), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5176), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [23937] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3889), 1,
      anon_sym_RBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(3893), 1,
      anon_sym_async,
    ACTIONS(3897), 1,
      anon_sym_static,
    ACTIONS(3899), 1,
      anon_sym_readonly,
    ACTIONS(3905), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(4830), 1,
      aux_sym_object_repeat1,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3901), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3903), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4829), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3887), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24039] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(3909), 1,
      anon_sym_RBRACE,
    ACTIONS(3911), 1,
      anon_sym_async,
    ACTIONS(3913), 1,
      anon_sym_static,
    ACTIONS(3915), 1,
      anon_sym_readonly,
    ACTIONS(3921), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(4830), 1,
      aux_sym_object_repeat1,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3917), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3919), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4829), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3907), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24141] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(3925), 1,
      anon_sym_RBRACE,
    ACTIONS(3927), 1,
      anon_sym_async,
    ACTIONS(3929), 1,
      anon_sym_static,
    ACTIONS(3931), 1,
      anon_sym_readonly,
    ACTIONS(3937), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(4830), 1,
      aux_sym_object_repeat1,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3933), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3935), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4829), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3923), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24243] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(3941), 1,
      anon_sym_RBRACE,
    ACTIONS(3943), 1,
      anon_sym_async,
    ACTIONS(3945), 1,
      anon_sym_static,
    ACTIONS(3947), 1,
      anon_sym_readonly,
    ACTIONS(3953), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(4830), 1,
      aux_sym_object_repeat1,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3949), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3951), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4829), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3939), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24345] = 13,
    ACTIONS(835), 1,
      anon_sym_BQUOTE,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(3965), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3967), 1,
      anon_sym_LT,
    STATE(1568), 1,
      sym_type_arguments,
    STATE(1649), 1,
      sym_arguments,
    STATE(1676), 1,
      sym_template_string,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3957), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [24423] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(3971), 1,
      anon_sym_RBRACE,
    ACTIONS(3973), 1,
      anon_sym_async,
    ACTIONS(3975), 1,
      anon_sym_static,
    ACTIONS(3977), 1,
      anon_sym_readonly,
    ACTIONS(3983), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(4830), 1,
      aux_sym_object_repeat1,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3979), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3981), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4829), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3969), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24525] = 25,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(3987), 1,
      anon_sym_RBRACE,
    ACTIONS(3989), 1,
      anon_sym_async,
    ACTIONS(3991), 1,
      anon_sym_static,
    ACTIONS(3993), 1,
      anon_sym_readonly,
    ACTIONS(3999), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(5031), 1,
      aux_sym_object_repeat1,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3995), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3997), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5019), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3985), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [24627] = 29,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3793), 1,
      anon_sym_module,
    ACTIONS(4001), 1,
      anon_sym_EQ,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [24736] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1929), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1927), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [24793] = 30,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3775), 1,
      anon_sym_STAR,
    ACTIONS(3777), 1,
      anon_sym_default,
    ACTIONS(3779), 1,
      anon_sym_type,
    ACTIONS(3781), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_as,
    ACTIONS(3793), 1,
      anon_sym_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4424), 1,
      sym_declaration,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4558), 1,
      sym_export_clause,
    STATE(5235), 1,
      sym_namespace_export,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [24904] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3967), 1,
      anon_sym_LT,
    ACTIONS(4007), 1,
      anon_sym_DOT,
    STATE(1520), 1,
      sym_arguments,
    STATE(1521), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3454), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [24971] = 7,
    ACTIONS(3967), 1,
      anon_sym_LT,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    ACTIONS(4013), 1,
      anon_sym_is,
    STATE(1507), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4009), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3498), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25036] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1731), 34,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [25093] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3967), 1,
      anon_sym_LT,
    ACTIONS(4019), 1,
      anon_sym_DOT,
    STATE(1522), 1,
      sym_arguments,
    STATE(1523), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4015), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4017), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25160] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3967), 1,
      anon_sym_LT,
    ACTIONS(4025), 1,
      anon_sym_DOT,
    STATE(1525), 1,
      sym_arguments,
    STATE(1526), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4021), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4023), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25227] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1929), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1927), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25283] = 4,
    ACTIONS(4031), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25341] = 5,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4033), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1702), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [25401] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3177), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25457] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1733), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(1731), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25513] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3167), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3169), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25569] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1670), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1668), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [25625] = 6,
    ACTIONS(3967), 1,
      anon_sym_LT,
    ACTIONS(4011), 1,
      anon_sym_DOT,
    STATE(1507), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4009), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3498), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25687] = 4,
    ACTIONS(4013), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4037), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25745] = 5,
    ACTIONS(3967), 1,
      anon_sym_LT,
    STATE(1517), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25805] = 6,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_DOT,
    STATE(1518), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4039), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4041), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25867] = 4,
    ACTIONS(4013), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4047), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [25925] = 22,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(253), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(4051), 1,
      anon_sym_async,
    ACTIONS(4053), 1,
      anon_sym_static,
    ACTIONS(4055), 1,
      anon_sym_readonly,
    ACTIONS(4061), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3393), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3895), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4057), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4059), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3559), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5287), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5294), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4049), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [26019] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4063), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4065), 34,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_is,
  [26075] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3171), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
    ACTIONS(3173), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26131] = 9,
    ACTIONS(835), 1,
      anon_sym_BQUOTE,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(3965), 1,
      anon_sym_QMARK_DOT,
    STATE(1676), 1,
      sym_template_string,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [26199] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4069), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26254] = 5,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26313] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4075), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26423] = 4,
    ACTIONS(4081), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4079), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26480] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26535] = 4,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26592] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4091), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26647] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2335), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2333), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26702] = 4,
    ACTIONS(4007), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3454), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26759] = 4,
    ACTIONS(4033), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1702), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [26816] = 4,
    ACTIONS(4097), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4095), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4101), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26928] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4105), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [26983] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4107), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27038] = 4,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4111), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27095] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4119), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27150] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4123), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27205] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4127), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27260] = 6,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    ACTIONS(4131), 1,
      anon_sym_DOT,
    STATE(1742), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [27321] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4135), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27376] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27437] = 6,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4145), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4147), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27498] = 6,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    ACTIONS(4149), 1,
      anon_sym_DOT,
    STATE(1742), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [27559] = 4,
    ACTIONS(4155), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4153), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27616] = 5,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(1742), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [27675] = 4,
    ACTIONS(4087), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27732] = 6,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    ACTIONS(4161), 1,
      anon_sym_DOT,
    STATE(1630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27793] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27848] = 4,
    ACTIONS(4029), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [27905] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4173), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [27960] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4177), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28015] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2337), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28070] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28125] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28180] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4189), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28235] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4193), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28290] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4047), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28345] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4197), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28400] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4201), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28455] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28510] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4209), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28565] = 7,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1706), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28628] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4217), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4219), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28683] = 4,
    ACTIONS(4225), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28740] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [28801] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3635), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3436), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28856] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3628), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3438), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28911] = 4,
    ACTIONS(4228), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [28968] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29023] = 4,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29080] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4231), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29141] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29196] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4241), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29251] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4245), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29306] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4249), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29361] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29416] = 4,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29473] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29528] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29583] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4265), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29638] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4269), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29693] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4273), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29748] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4277), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29803] = 6,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    ACTIONS(4279), 1,
      anon_sym_DOT,
    STATE(1630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1674), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1672), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [29864] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4277), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29919] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4283), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [29974] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4287), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4283), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30084] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4287), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30139] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30194] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4295), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30249] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30304] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4295), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30359] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30420] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4303), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4305), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4307), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30530] = 7,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 28,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30593] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4311), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30654] = 7,
    ACTIONS(4105), 1,
      anon_sym_extends,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4322), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4313), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30717] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4327), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30772] = 5,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(1632), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4329), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4331), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30831] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4333), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4335), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [30886] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4333), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4335), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [30947] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2341), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31002] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4339), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31057] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31112] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4345), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4347), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31173] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31228] = 5,
    ACTIONS(835), 1,
      anon_sym_BQUOTE,
    STATE(1676), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
      anon_sym_implements,
  [31287] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31397] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31452] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31507] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31562] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4119), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31621] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31676] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31731] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4359), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31786] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31841] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4365), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4367), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [31896] = 5,
    ACTIONS(4163), 1,
      anon_sym_QMARK,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [31955] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32010] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4375), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32065] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4379), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32120] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32175] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32230] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32285] = 5,
    ACTIONS(4179), 1,
      anon_sym_QMARK,
    ACTIONS(4181), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32344] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4387), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32399] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4387), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32454] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4387), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32509] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4391), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32564] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4391), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32619] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4391), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32674] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4395), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32729] = 5,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4399), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32788] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4037), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32843] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4401), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4403), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [32904] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4407), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [32959] = 6,
    ACTIONS(4115), 1,
      anon_sym_AMP,
    ACTIONS(4141), 1,
      anon_sym_PIPE,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4411), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33020] = 4,
    ACTIONS(4413), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33077] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4273), 33,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_implements,
  [33132] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4419), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [33242] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4465), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33296] = 19,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    STATE(2769), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33382] = 25,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [33480] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33534] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4487), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33588] = 19,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    STATE(2769), 1,
      sym_override_modifier,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [33674] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4489), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [33784] = 26,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [33884] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4491), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4493), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [33938] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4493), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [34048] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4495), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4501), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34156] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4503), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4505), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34210] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1751), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1753), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34264] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4507), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4509), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34318] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4511), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [34398] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34452] = 13,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4520), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4522), 1,
      anon_sym_LT,
    STATE(1934), 1,
      sym_type_arguments,
    STATE(2081), 1,
      sym_template_string,
    STATE(2127), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3955), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3957), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [34526] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4524), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4526), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34580] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1911), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1909), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34634] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34688] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4530), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34742] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4534), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [34796] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4536), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [34906] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4538), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [35016] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35070] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4540), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4542), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35124] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1837), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35178] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1847), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35232] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35286] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4544), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [35396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4546), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4548), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35450] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4550), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4552), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35504] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35558] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4554), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4556), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35612] = 22,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4481), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [35704] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4560), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4562), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4564), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35812] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4568), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35866] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35920] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4572), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [35974] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4576), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36028] = 13,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4511), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [36102] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4580), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36156] = 19,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    STATE(2769), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [36242] = 19,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    STATE(2769), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [36328] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4584), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36382] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1869), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36436] = 23,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [36530] = 20,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [36618] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4586), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4588), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4590), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4592), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36726] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4562), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4564), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36780] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1741), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36834] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4596), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [36888] = 24,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [36984] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4598), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4600), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37038] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4604), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37092] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4608), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37146] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4562), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4564), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37200] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37254] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4610), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [37364] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4614), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37418] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4584), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [37528] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37582] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37636] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4511), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [37714] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1869), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37768] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 32,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [37822] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4620), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 21,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [37900] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1735), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [37954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4623), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4629), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38062] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4631), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4633), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38116] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4635), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4637), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38170] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1873), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38224] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1891), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1893), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38278] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4641), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38332] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4511), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 20,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [38412] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4645), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38466] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4649), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38520] = 4,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4313), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38576] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4651), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [38686] = 19,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    STATE(2769), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [38772] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38826] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4653), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4655), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38880] = 4,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38936] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4663), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4665), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [38990] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4548), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [39100] = 18,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [39184] = 4,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 31,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39240] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4655), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [39350] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4667), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4669), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4671), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4673), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39458] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4675), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4677), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39512] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4681), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39566] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4683), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4685), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39620] = 27,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [39722] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4689), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39776] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4693), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39830] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [39884] = 11,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4699), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [39954] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4489), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40062] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40116] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4708), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [40226] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1805), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40280] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4710), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [40390] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1865), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40444] = 6,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40504] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4718), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4720), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40558] = 6,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4722), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4725), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40618] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4728), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4730), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4732), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4610), 32,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40726] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4734), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
  [40836] = 12,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4740), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [40908] = 6,
    ACTIONS(4127), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4743), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4702), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [40968] = 4,
    ACTIONS(4749), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1702), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41023] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1708), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4751), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [41080] = 8,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4522), 1,
      anon_sym_LT,
    ACTIONS(4754), 1,
      anon_sym_DOT,
    STATE(1999), 1,
      sym_arguments,
    STATE(2000), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4021), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4023), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [41143] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1899), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1897), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41196] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4659), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4756), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [41253] = 4,
    ACTIONS(4759), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 30,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41308] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4763), 1,
      anon_sym_static,
    ACTIONS(4765), 1,
      anon_sym_readonly,
    ACTIONS(4767), 1,
      anon_sym_abstract,
    ACTIONS(4769), 1,
      anon_sym_accessor,
    STATE(2694), 1,
      sym_accessibility_modifier,
    STATE(2783), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4761), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3301), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41387] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41466] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4775), 1,
      anon_sym_static,
    ACTIONS(4777), 1,
      anon_sym_readonly,
    ACTIONS(4779), 1,
      anon_sym_abstract,
    ACTIONS(4781), 1,
      anon_sym_accessor,
    STATE(2702), 1,
      sym_accessibility_modifier,
    STATE(2787), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4773), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3447), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41545] = 8,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4522), 1,
      anon_sym_LT,
    ACTIONS(4783), 1,
      anon_sym_DOT,
    STATE(1997), 1,
      sym_arguments,
    STATE(1998), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4015), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4017), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [41608] = 15,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41685] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4791), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [41794] = 15,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [41871] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1855), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1853), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41924] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1911), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1909), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [41977] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42056] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1741), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1739), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42109] = 15,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42186] = 8,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4522), 1,
      anon_sym_LT,
    ACTIONS(4793), 1,
      anon_sym_DOT,
    STATE(1995), 1,
      sym_arguments,
    STATE(1996), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3454), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [42249] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1737), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1735), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42302] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42381] = 17,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4795), 1,
      anon_sym_STAR,
    ACTIONS(4797), 1,
      anon_sym_LBRACE,
    ACTIONS(4799), 1,
      anon_sym_async,
    ACTIONS(4803), 1,
      anon_sym_readonly,
    ACTIONS(4807), 1,
      sym__automatic_semicolon,
    STATE(2672), 1,
      sym_statement_block,
    STATE(2750), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4801), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4805), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42462] = 15,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42539] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4810), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4313), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [42596] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42675] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42754] = 7,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [42815] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1925), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1923), 31,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_while,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_PIPE_RBRACE,
  [42868] = 15,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [42945] = 7,
    ACTIONS(4522), 1,
      anon_sym_LT,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    ACTIONS(4815), 1,
      anon_sym_is,
    STATE(1966), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4009), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3498), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [43006] = 12,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4817), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43076] = 35,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(4824), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5620), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43192] = 15,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4830), 1,
      anon_sym_LT,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [43268] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4708), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [43376] = 4,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 29,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43430] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4651), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [43538] = 6,
    ACTIONS(3546), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43596] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3598), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3596), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [43654] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1670), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1668), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [43706] = 6,
    ACTIONS(4522), 1,
      anon_sym_LT,
    ACTIONS(4813), 1,
      anon_sym_DOT,
    STATE(1966), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4009), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3498), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [43764] = 5,
    ACTIONS(4522), 1,
      anon_sym_LT,
    STATE(1975), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [43820] = 6,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4871), 1,
      anon_sym_DOT,
    STATE(1976), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4039), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4041), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [43878] = 4,
    ACTIONS(4877), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4875), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [43932] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4710), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [44040] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4610), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [44148] = 18,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44230] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3177), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [44282] = 13,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4879), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44354] = 25,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44450] = 26,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44548] = 16,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4879), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44626] = 22,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44716] = 23,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44808] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4063), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4065), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_is,
  [44860] = 24,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [44954] = 15,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4879), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45030] = 16,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4879), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [45108] = 20,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45194] = 27,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45294] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45366] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4655), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [45474] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4419), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [45582] = 11,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4882), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45650] = 4,
    ACTIONS(4815), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4047), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [45704] = 4,
    ACTIONS(4885), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [45758] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [45830] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45884] = 4,
    ACTIONS(4815), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4037), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [45938] = 6,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [45996] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46050] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4887), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4313), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46106] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4659), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4889), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(4657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46162] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1708), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4891), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
    ACTIONS(1706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46218] = 9,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4520), 1,
      anon_sym_QMARK_DOT,
    STATE(2081), 1,
      sym_template_string,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [46282] = 7,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46342] = 7,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1706), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46402] = 7,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4105), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4322), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4313), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46462] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4895), 1,
      anon_sym_static,
    ACTIONS(4897), 1,
      anon_sym_readonly,
    ACTIONS(4899), 1,
      anon_sym_abstract,
    ACTIONS(4901), 1,
      anon_sym_accessor,
    STATE(2814), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [46536] = 12,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4903), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46606] = 8,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2333), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1706), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46668] = 8,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4105), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4313), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46730] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4584), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [46838] = 11,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4914), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [46906] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [47014] = 35,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(4917), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5648), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47130] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4536), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [47238] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [47346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3173), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [47398] = 7,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1706), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [47458] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47530] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [47602] = 7,
    ACTIONS(4105), 1,
      anon_sym_extends,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4322), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4313), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [47662] = 35,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(4919), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5816), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47778] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4548), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [47886] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [47994] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [48066] = 35,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(4921), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5728), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48182] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4548), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48290] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4734), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48398] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4708), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48506] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4710), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48614] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4610), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [48722] = 18,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48804] = 13,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 20,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48876] = 25,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [48972] = 26,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49070] = 16,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49148] = 22,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49238] = 23,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49330] = 24,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49424] = 15,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49500] = 16,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4959), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [49578] = 20,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49664] = 27,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [49764] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4655), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49872] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4419), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [49980] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4584), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50088] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50196] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4493), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50304] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4536), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50412] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4538), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50520] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [50628] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4964), 1,
      anon_sym_static,
    ACTIONS(4966), 1,
      anon_sym_readonly,
    ACTIONS(4968), 1,
      anon_sym_abstract,
    ACTIONS(4970), 1,
      anon_sym_accessor,
    STATE(2818), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4962), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3439), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [50702] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3169), 30,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [50754] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4544), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [50862] = 16,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    STATE(2769), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [50940] = 15,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4972), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [51016] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4925), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4651), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_BQUOTE,
  [51124] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4489), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
  [51232] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4035), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4037), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51283] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4067), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4069), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51334] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4267), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4269), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51385] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4273), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51436] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4277), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51487] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4273), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4277), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51589] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4283), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51640] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4287), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51691] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4283), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51742] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4287), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51793] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51844] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4295), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4291), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51946] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4295), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [51997] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4301), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4303), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52048] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4305), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4307), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52099] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4309), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4311), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52156] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4325), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4327), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52207] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4333), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4335), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52258] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4333), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4335), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [52315] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4263), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4265), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52366] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2341), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52417] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4337), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4339), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52468] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52519] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4343), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52621] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52672] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52723] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4351), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52774] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52825] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52876] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4355), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52927] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4357), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4359), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [52978] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4361), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4363), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4365), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4367), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53080] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2353), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2351), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53131] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4375), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53182] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53233] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53284] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4383), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53335] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4387), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53386] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4387), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53437] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4387), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53488] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4391), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53539] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4391), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53590] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4391), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53641] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4393), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4395), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53692] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4401), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4403), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53749] = 5,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4749), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1704), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1702), 27,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [53804] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4027), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4029), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [53855] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4981), 1,
      anon_sym_COMMA,
    ACTIONS(4984), 1,
      anon_sym_RBRACE,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53966] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4981), 1,
      anon_sym_COMMA,
    ACTIONS(4984), 1,
      anon_sym_RBRACE,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4734), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54077] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [54160] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4984), 1,
      anon_sym_RBRACE,
    ACTIONS(4990), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54271] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4993), 1,
      anon_sym_COMMA,
    ACTIONS(4996), 1,
      anon_sym_RBRACE,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4710), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54382] = 6,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4725), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54439] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4998), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(4518), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5000), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54550] = 4,
    ACTIONS(4029), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54603] = 32,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4925), 1,
      anon_sym_GT,
    ACTIONS(4927), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4929), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4931), 1,
      anon_sym_GT_GT,
    ACTIONS(4935), 1,
      anon_sym_AMP,
    ACTIONS(4937), 1,
      anon_sym_CARET,
    ACTIONS(4939), 1,
      anon_sym_PIPE,
    ACTIONS(4943), 1,
      anon_sym_PERCENT,
    ACTIONS(4945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4947), 1,
      anon_sym_LT,
    ACTIONS(4955), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4957), 1,
      sym__ternary_qmark,
    ACTIONS(5004), 1,
      anon_sym_in,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4923), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4933), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4941), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4951), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4953), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4949), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5002), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_of,
  [54712] = 9,
    ACTIONS(2333), 1,
      anon_sym_extends,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(5007), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1708), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4891), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1706), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54775] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4167), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4169), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54832] = 9,
    ACTIONS(4105), 1,
      anon_sym_extends,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(5010), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4322), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4887), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4313), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [54895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2335), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2333), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54946] = 4,
    ACTIONS(4793), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3454), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [54999] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4121), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4123), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55050] = 4,
    ACTIONS(5013), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4093), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4095), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55103] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4297), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4299), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55160] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4345), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4347), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55217] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4099), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4101), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55268] = 4,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4313), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55321] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4045), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4047), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [55372] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [55455] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4998), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(4518), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5017), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55566] = 6,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55623] = 9,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5019), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5021), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55686] = 9,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3558), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4123), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55749] = 5,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    STATE(2130), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4329), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4331), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55804] = 7,
    ACTIONS(3502), 1,
      anon_sym_DOT,
    ACTIONS(3504), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3454), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [55863] = 33,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    ACTIONS(4998), 1,
      anon_sym_COMMA,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(4518), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55974] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4119), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56029] = 6,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4702), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56086] = 5,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    STATE(2081), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [56141] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5030), 1,
      anon_sym_STAR,
    ACTIONS(5032), 1,
      anon_sym_async,
    ACTIONS(5036), 1,
      anon_sym_readonly,
    STATE(2761), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5034), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5038), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56214] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4901), 1,
      anon_sym_abstract,
    ACTIONS(5030), 1,
      anon_sym_STAR,
    ACTIONS(5032), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5034), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5038), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56283] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4103), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4105), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [56334] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5040), 1,
      anon_sym_STAR,
    ACTIONS(5042), 1,
      anon_sym_async,
    ACTIONS(5046), 1,
      anon_sym_readonly,
    STATE(2751), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5044), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5048), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3012), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56407] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5040), 1,
      anon_sym_STAR,
    ACTIONS(5042), 1,
      anon_sym_async,
    ACTIONS(5052), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5048), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5050), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3013), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56476] = 5,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4399), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56531] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_STAR,
    ACTIONS(5056), 1,
      anon_sym_async,
    ACTIONS(5060), 1,
      anon_sym_readonly,
    STATE(2746), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5058), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5062), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56604] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [56687] = 9,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(5068), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5019), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5066), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56750] = 9,
    ACTIONS(3546), 1,
      anon_sym_EQ,
    ACTIONS(3556), 1,
      anon_sym_QMARK,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4123), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56813] = 9,
    ACTIONS(2333), 1,
      anon_sym_extends,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(4906), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1708), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4751), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1706), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56876] = 9,
    ACTIONS(4105), 1,
      anon_sym_extends,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(4910), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4315), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4322), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4810), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(4313), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56939] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [56992] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4107), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4109), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57043] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57096] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57179] = 10,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_extends,
    ACTIONS(2335), 1,
      anon_sym_QMARK,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(4891), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1706), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57244] = 10,
    ACTIONS(4103), 1,
      anon_sym_QMARK,
    ACTIONS(4105), 1,
      anon_sym_extends,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(4887), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4910), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4313), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57309] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4712), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4123), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57366] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4743), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4127), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(4702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57423] = 6,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4722), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4047), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57480] = 4,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4111), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4113), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57533] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4119), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57584] = 4,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57637] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4125), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4127), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57688] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(5077), 1,
      anon_sym_RBRACE,
    STATE(5037), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4986), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(5975), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5073), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [57761] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4133), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4135), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [57812] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4137), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4139), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57869] = 6,
    ACTIONS(4085), 1,
      anon_sym_extends,
    ACTIONS(5081), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4145), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4147), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [57926] = 32,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58035] = 4,
    ACTIONS(5081), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4157), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4159), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58088] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_abstract,
    ACTIONS(4795), 1,
      anon_sym_STAR,
    ACTIONS(4799), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4801), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4805), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58157] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4163), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4165), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58208] = 4,
    ACTIONS(5085), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4077), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4079), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58261] = 7,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3458), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58320] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4171), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4173), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58371] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4175), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4177), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58422] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4119), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58477] = 6,
    ACTIONS(4127), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4743), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4702), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58534] = 4,
    ACTIONS(4165), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58587] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58638] = 4,
    ACTIONS(5081), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4083), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4085), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [58691] = 6,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58748] = 6,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4722), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4725), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58805] = 7,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58864] = 4,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [58917] = 14,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(5089), 1,
      anon_sym_RBRACE,
    STATE(4831), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4816), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(5975), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5087), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [58990] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4089), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4091), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59041] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [59094] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4411), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4377), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4379), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59202] = 6,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(1712), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59259] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [59342] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4073), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4075), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59393] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2339), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2337), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59444] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4181), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59495] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4183), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4185), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59546] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4189), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59597] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4191), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4193), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59648] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4197), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59699] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4199), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4201), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59750] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4203), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4205), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59801] = 7,
    ACTIONS(3508), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [59860] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4207), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4209), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59911] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4217), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4219), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [59962] = 4,
    ACTIONS(4225), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60015] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3635), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3436), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60066] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3628), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3438), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60117] = 4,
    ACTIONS(4228), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4221), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4223), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60170] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4231), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60221] = 6,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(4977), 1,
      anon_sym_PIPE,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4231), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4233), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60278] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4235), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4237), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60329] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4239), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4241), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60380] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5093), 1,
      anon_sym_async,
    ACTIONS(5097), 1,
      anon_sym_readonly,
    STATE(2754), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5095), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5099), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3037), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60453] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5093), 1,
      anon_sym_async,
    ACTIONS(5103), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5101), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3038), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60522] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4243), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4245), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60573] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    ACTIONS(5107), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_readonly,
    STATE(2767), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5113), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3093), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60646] = 9,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(5119), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5115), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5117), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [60709] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5122), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [60816] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4247), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4249), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60867] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4251), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4253), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [60918] = 12,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [60987] = 4,
    ACTIONS(4975), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4255), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4257), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61040] = 13,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61111] = 4,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61164] = 19,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61247] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5124), 1,
      anon_sym_STAR,
    ACTIONS(5126), 1,
      anon_sym_async,
    ACTIONS(5130), 1,
      anon_sym_readonly,
    STATE(2762), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5128), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5132), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3047), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [61320] = 4,
    ACTIONS(4181), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [61373] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4261), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61424] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4405), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4407), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2349), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2347), 29,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_extends,
  [61526] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4548), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [61633] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4734), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [61740] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4708), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [61847] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4710), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [61954] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4610), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [62061] = 18,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62142] = 13,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5170), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62213] = 25,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62308] = 26,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62405] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5170), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62482] = 22,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62571] = 23,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62662] = 24,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62755] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5170), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62830] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5170), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [62907] = 20,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [62992] = 27,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [63091] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4655), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63198] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4419), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63305] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4584), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63412] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4489), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63519] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4493), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63626] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4536), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63733] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4538), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63840] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4544), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [63947] = 12,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5173), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [64016] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5176), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 18,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64091] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4651), 4,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64198] = 11,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5179), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [64265] = 4,
    ACTIONS(5182), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4151), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4153), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64318] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4570), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4572), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64368] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64418] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5184), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5186), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64472] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5188), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5190), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64526] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5188), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5190), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64580] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4635), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4637), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64630] = 5,
    ACTIONS(1839), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1837), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64684] = 5,
    ACTIONS(1849), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1841), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1847), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64738] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5192), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5196), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3795), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [64802] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5188), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5190), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64856] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4574), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4576), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [64906] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5198), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [65012] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5030), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5200), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5202), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3815), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65076] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5030), 1,
      anon_sym_STAR,
    ACTIONS(5032), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5034), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5038), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65142] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5204), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65252] = 5,
    ACTIONS(1795), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1787), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65306] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5138), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5140), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5142), 1,
      anon_sym_GT_GT,
    ACTIONS(5146), 1,
      anon_sym_AMP,
    ACTIONS(5148), 1,
      anon_sym_CARET,
    ACTIONS(5150), 1,
      anon_sym_PIPE,
    ACTIONS(5154), 1,
      anon_sym_PERCENT,
    ACTIONS(5156), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5158), 1,
      anon_sym_LT,
    ACTIONS(5166), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5168), 1,
      sym__ternary_qmark,
    STATE(1650), 1,
      sym_arguments,
    STATE(2489), 1,
      sym_type_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5134), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5136), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5144), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5152), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5162), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5164), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5160), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5206), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [65412] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65522] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4623), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4625), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65572] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65622] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65672] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5210), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5212), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3866), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65736] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5115), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5117), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [65790] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_STAR,
    ACTIONS(5056), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5058), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5062), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65856] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65930] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5216), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [65994] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66070] = 6,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4712), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66126] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4507), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4509), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66176] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4663), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4665), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66226] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66300] = 6,
    ACTIONS(4127), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4743), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(4702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66356] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5218), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5220), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5222), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3901), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66420] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66496] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66570] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4667), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4669), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66620] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66696] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66758] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66820] = 5,
    ACTIONS(1921), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1913), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [66874] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_STAR,
    ACTIONS(5226), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5228), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5230), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3045), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [66940] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5232), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5234), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5236), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3816), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67004] = 7,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4214), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1706), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67062] = 7,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4105), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4322), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4313), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67120] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4558), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4560), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67170] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67232] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67294] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5232), 1,
      anon_sym_STAR,
    ACTIONS(5238), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5240), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5242), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3084), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67360] = 8,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    ACTIONS(4891), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2333), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(1706), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67420] = 8,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4319), 1,
      anon_sym_LBRACK,
    ACTIONS(4887), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4322), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4105), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4313), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67480] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67542] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67604] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67666] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67728] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_STAR,
    ACTIONS(5246), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5250), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67794] = 5,
    ACTIONS(1885), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [67848] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67910] = 9,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [67972] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5252), 1,
      anon_sym_STAR,
    ACTIONS(5254), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5256), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5258), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3070), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [68038] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4578), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4580), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68088] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4582), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4584), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68138] = 5,
    ACTIONS(1895), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1887), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1891), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1893), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68192] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4639), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4641), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68242] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4489), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68292] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5260), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5262), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68346] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4491), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4493), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68396] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4566), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4568), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68446] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4503), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4505), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68496] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5264), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4624), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68606] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4528), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4530), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68656] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68706] = 4,
    ACTIONS(3539), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68758] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4540), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4542), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68808] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4562), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4564), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [68858] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4548), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68964] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69070] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4590), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4592), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69120] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4708), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69226] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4562), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4564), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69276] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4598), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4600), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69326] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4602), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4604), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69376] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4710), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69482] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4610), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69588] = 18,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69668] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5302), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4797), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69778] = 13,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5304), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [69848] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5307), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69958] = 25,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70052] = 26,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70148] = 16,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5304), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70224] = 22,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70312] = 23,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70402] = 24,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70494] = 15,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5304), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70568] = 16,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5304), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [70644] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4562), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4564), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70694] = 20,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 12,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70778] = 27,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [70876] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5309), 1,
      anon_sym_RBRACE,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70986] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4655), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71092] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4419), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71198] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4584), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71304] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4489), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71410] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4493), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71516] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4536), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71622] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4538), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71728] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5311), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71838] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4544), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71944] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5313), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5315), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5317), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3800), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [72008] = 32,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4734), 1,
      anon_sym_COMMA,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72116] = 5,
    ACTIONS(1807), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1799), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1805), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72170] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1891), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1893), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72220] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5319), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [72326] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5321), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72436] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4485), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4487), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72486] = 4,
    ACTIONS(5323), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4875), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72538] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4627), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4629), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72588] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5325), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72698] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4631), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4633), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72748] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4643), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4645), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72798] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4675), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4677), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [72848] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5327), 1,
      anon_sym_RBRACE,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72958] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4546), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4548), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73008] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4554), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4556), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73058] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5329), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5227), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73168] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4687), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4689), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73218] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4691), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4693), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73268] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4671), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4673), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73318] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4586), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4588), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73368] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4648), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73478] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73528] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73578] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1805), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73628] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1865), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73678] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4653), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4655), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [73728] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4680), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73838] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5335), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4705), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73948] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74058] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5339), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4721), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74168] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5341), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74278] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5343), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74388] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5345), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74498] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5347), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74608] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5349), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5351), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74662] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74716] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74770] = 12,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5357), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [74838] = 15,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5360), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [74912] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4651), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BQUOTE,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75018] = 11,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(5363), 1,
      anon_sym_LT,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75084] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5355), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75138] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5366), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5368), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5370), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3786), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75202] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4606), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4608), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75252] = 5,
    ACTIONS(1867), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1859), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1865), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75306] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5366), 1,
      anon_sym_STAR,
    ACTIONS(5372), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5374), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5376), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3031), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75372] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5378), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5153), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75482] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5224), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5380), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5382), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3919), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [75546] = 5,
    ACTIONS(1755), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1747), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1751), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1753), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75600] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4679), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4681), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75650] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5384), 1,
      anon_sym_RBRACE,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75760] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4702), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4683), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4685), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75860] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4612), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4614), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [75910] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5386), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76020] = 7,
    ACTIONS(5388), 1,
      anon_sym_LPAREN,
    ACTIONS(5391), 1,
      anon_sym_COLON,
    ACTIONS(5393), 1,
      anon_sym_LT,
    ACTIONS(5396), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76078] = 7,
    ACTIONS(5398), 1,
      anon_sym_LPAREN,
    ACTIONS(5401), 1,
      anon_sym_COLON,
    ACTIONS(5403), 1,
      anon_sym_LT,
    ACTIONS(5406), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4485), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4487), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76136] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76210] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4732), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4610), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76260] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76336] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5124), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5408), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5410), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76400] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4532), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4534), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76450] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1913), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76502] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5412), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76612] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5414), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76722] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5093), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5416), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3033), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76788] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5418), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5420), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3850), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [76852] = 7,
    ACTIONS(4121), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4712), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [76910] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5422), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77020] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5424), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77130] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5252), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5426), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5428), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3875), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77194] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5430), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77304] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5432), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5434), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5436), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77368] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77478] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5440), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(4912), 1,
      aux_sym_array_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77588] = 9,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5442), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [77650] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5093), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5446), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3040), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77716] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5450), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77780] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    ACTIONS(5107), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5113), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3093), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [77846] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4548), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77952] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4734), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78058] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4708), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78164] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4710), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78270] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4610), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [78376] = 18,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78456] = 13,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78526] = 25,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78620] = 26,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78716] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78792] = 22,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78880] = 23,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [78970] = 24,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79062] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79136] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5488), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [79212] = 20,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 12,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79296] = 27,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [79394] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4655), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79500] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4419), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79606] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4584), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79712] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4489), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79818] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4493), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79924] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4536), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80030] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4538), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80136] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4544), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80242] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4647), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4649), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80292] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80344] = 8,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3596), 1,
      anon_sym_COLON,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4524), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4526), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80454] = 12,
    ACTIONS(169), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(3891), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5079), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5493), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5287), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(5780), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(5975), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(5491), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [80522] = 12,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5495), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80590] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5498), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 17,
      sym__ternary_qmark,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [80664] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4651), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_BQUOTE,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80770] = 11,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5501), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80836] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4463), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4465), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80886] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4495), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4497), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80936] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4718), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4720), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [80986] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81038] = 8,
    ACTIONS(3518), 1,
      anon_sym_EQ,
    ACTIONS(4121), 1,
      anon_sym_QMARK,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81098] = 5,
    ACTIONS(5504), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1799), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1803), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1805), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81152] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5506), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5508), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5510), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81216] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81280] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1917), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1919), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81330] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81404] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4550), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4552), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81454] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81530] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5124), 1,
      anon_sym_STAR,
    ACTIONS(5126), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5128), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5132), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3047), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81596] = 7,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3454), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81654] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4795), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5512), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5514), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3823), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [81718] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4499), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4501), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81768] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1751), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1753), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81818] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81868] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81918] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1837), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [81968] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1847), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82018] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5516), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82128] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4596), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82178] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82288] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82398] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5522), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5524), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82452] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5526), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5528), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5530), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3840), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82516] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4119), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82570] = 7,
    ACTIONS(4125), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 2,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(4746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4743), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(4702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [82628] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5002), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [82734] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5526), 1,
      anon_sym_STAR,
    ACTIONS(5532), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5534), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5536), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3027), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82800] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5506), 1,
      anon_sym_STAR,
    ACTIONS(5538), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5540), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5542), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3020), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [82866] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5544), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [82976] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5546), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83086] = 33,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    STATE(5153), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83196] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5066), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83250] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1863), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1865), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83302] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1747), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1751), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1753), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83354] = 5,
    ACTIONS(5550), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83408] = 5,
    ACTIONS(5552), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1787), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1793), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83462] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4791), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83568] = 5,
    ACTIONS(1765), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1761), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1763), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83622] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1835), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1837), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83674] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1841), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1845), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1847), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83726] = 5,
    ACTIONS(5554), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1881), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1883), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83780] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1891), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1893), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83832] = 5,
    ACTIONS(1775), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1771), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1773), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [83886] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5556), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83996] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5506), 1,
      anon_sym_STAR,
    ACTIONS(5538), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5542), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5558), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3028), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84062] = 7,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [84120] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5560), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84230] = 15,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84304] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5562), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [84414] = 16,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84490] = 21,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(1943), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5568), 1,
      anon_sym_RBRACE,
    ACTIONS(5570), 1,
      anon_sym_async,
    ACTIONS(5574), 1,
      anon_sym_static,
    ACTIONS(5576), 1,
      anon_sym_readonly,
    ACTIONS(5582), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    STATE(5113), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5572), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5578), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5580), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3640), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5105), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5564), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84576] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(4839), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4841), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4843), 1,
      anon_sym_GT_GT,
    ACTIONS(4847), 1,
      anon_sym_AMP,
    ACTIONS(4849), 1,
      anon_sym_CARET,
    ACTIONS(4851), 1,
      anon_sym_PIPE,
    ACTIONS(4855), 1,
      anon_sym_PERCENT,
    ACTIONS(4857), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4859), 1,
      anon_sym_LT,
    ACTIONS(4867), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4869), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4835), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4837), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4845), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4853), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4863), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4865), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4861), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(5002), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [84682] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4728), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4730), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84732] = 4,
    ACTIONS(5323), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4875), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84784] = 5,
    ACTIONS(1785), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1781), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1783), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84838] = 7,
    ACTIONS(3561), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [84896] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5506), 1,
      anon_sym_STAR,
    ACTIONS(5538), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5542), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5584), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3043), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [84962] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5588), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5590), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85026] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 1,
      anon_sym_STAR,
    ACTIONS(5592), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5594), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5596), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3076), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [85092] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85202] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5600), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85312] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5602), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85422] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85532] = 4,
    ACTIONS(3508), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85584] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5606), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85694] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5608), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85804] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5610), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [85914] = 7,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [85972] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86022] = 33,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    ACTIONS(5612), 1,
      anon_sym_SEMI,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(3625), 1,
      aux_sym_sequence_expression_repeat1,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [86132] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5019), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(5021), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86186] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5040), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5614), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5616), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [86250] = 6,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(4889), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(4657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86305] = 22,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86392] = 23,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86481] = 24,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86572] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86645] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 15,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [86720] = 20,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86803] = 27,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [86900] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4655), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87005] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4419), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87110] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4584), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87215] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4489), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87320] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4493), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87425] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4536), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87530] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4538), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87635] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4544), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [87740] = 17,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(2768), 1,
      sym_override_modifier,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87817] = 7,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(3454), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [87874] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1901), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [87925] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [87994] = 32,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    ACTIONS(5659), 1,
      anon_sym_SEMI,
    ACTIONS(5661), 1,
      sym__automatic_semicolon,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88101] = 12,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5663), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88168] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5666), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 16,
      sym__ternary_qmark,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [88241] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5669), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88300] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4651), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88405] = 11,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5671), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88470] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4117), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
    ACTIONS(4119), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88523] = 16,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(2768), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88598] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [88703] = 7,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(2333), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4211), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4214), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1706), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88760] = 5,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3632), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88813] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5508), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88872] = 7,
    ACTIONS(4105), 1,
      anon_sym_extends,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4319), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4322), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4313), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [88929] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5512), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3823), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [88988] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5408), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89047] = 6,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(3637), 1,
      anon_sym_in,
    ACTIONS(3640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89102] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5588), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89161] = 23,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(3757), 1,
      anon_sym_AT,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5679), 1,
      anon_sym_STAR,
    ACTIONS(5681), 1,
      anon_sym_async,
    ACTIONS(5685), 1,
      anon_sym_static,
    ACTIONS(5687), 1,
      anon_sym_readonly,
    ACTIONS(5691), 1,
      anon_sym_declare,
    ACTIONS(5693), 1,
      anon_sym_abstract,
    ACTIONS(5695), 1,
      anon_sym_accessor,
    STATE(2639), 1,
      sym_method_definition,
    STATE(2684), 1,
      sym_accessibility_modifier,
    STATE(2705), 1,
      aux_sym_export_statement_repeat1,
    STATE(2748), 1,
      sym_decorator,
    STATE(2753), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5683), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5689), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3671), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3016), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 13,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89250] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5418), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3850), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89309] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5426), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3875), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89368] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5434), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89427] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89496] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5210), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3866), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89555] = 6,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4887), 1,
      anon_sym_of,
    ACTIONS(5697), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4313), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89610] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5380), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3919), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89669] = 6,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(4889), 1,
      anon_sym_of,
    ACTIONS(5700), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4657), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89724] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89793] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5368), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3786), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89852] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5703), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [89911] = 6,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4891), 1,
      anon_sym_of,
    ACTIONS(5705), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [89966] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90025] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5200), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3815), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90084] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1901), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [90135] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90186] = 6,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90241] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3795), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90300] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5220), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3901), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90359] = 32,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    ACTIONS(5708), 1,
      anon_sym_SEMI,
    ACTIONS(5710), 1,
      sym__automatic_semicolon,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [90466] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5528), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3840), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90525] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90584] = 6,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4746), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4702), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90639] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5234), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3816), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90698] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5315), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3800), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [90757] = 26,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90852] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [90927] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4984), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91032] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91101] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91170] = 19,
    ACTIONS(235), 1,
      anon_sym_STAR,
    ACTIONS(1943), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_async,
    ACTIONS(5720), 1,
      anon_sym_static,
    ACTIONS(5722), 1,
      anon_sym_readonly,
    ACTIONS(5728), 1,
      anon_sym_override,
    STATE(2724), 1,
      sym_accessibility_modifier,
    STATE(2755), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5572), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5716), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(5724), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5726), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3640), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(5294), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(5714), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91251] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5614), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [91310] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4996), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91415] = 4,
    ACTIONS(4877), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
      anon_sym_implements,
    ACTIONS(4875), 22,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [91466] = 6,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4725), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [91521] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4427), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4429), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4431), 1,
      anon_sym_GT_GT,
    ACTIONS(4435), 1,
      anon_sym_AMP,
    ACTIONS(4437), 1,
      anon_sym_CARET,
    ACTIONS(4439), 1,
      anon_sym_PIPE,
    ACTIONS(4443), 1,
      anon_sym_PERCENT,
    ACTIONS(4445), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4447), 1,
      anon_sym_LT,
    ACTIONS(4455), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4461), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4415), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4423), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4433), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4441), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4451), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4453), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5730), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4449), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91626] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91731] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4548), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91836] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4734), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [91941] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4708), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92046] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4710), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92151] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4610), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [92256] = 18,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92335] = 13,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92404] = 25,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92497] = 26,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92592] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92667] = 22,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92754] = 23,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 9,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92843] = 24,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [92934] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93007] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5768), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 15,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [93082] = 20,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 11,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93165] = 27,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [93262] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4655), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93367] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4419), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93472] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4584), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93577] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4489), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93682] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4493), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93787] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4536), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93892] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4538), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [93997] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4544), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94102] = 7,
    ACTIONS(3450), 1,
      anon_sym_EQ,
    ACTIONS(4123), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4712), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94159] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94210] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94269] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94320] = 31,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4826), 1,
      anon_sym_as,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(4833), 1,
      anon_sym_satisfies,
    ACTIONS(5270), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5272), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5274), 1,
      anon_sym_GT_GT,
    ACTIONS(5278), 1,
      anon_sym_AMP,
    ACTIONS(5280), 1,
      anon_sym_CARET,
    ACTIONS(5282), 1,
      anon_sym_PIPE,
    ACTIONS(5286), 1,
      anon_sym_PERCENT,
    ACTIONS(5288), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5290), 1,
      anon_sym_LT,
    ACTIONS(5298), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5300), 1,
      sym__ternary_qmark,
    STATE(1945), 1,
      sym_type_arguments,
    STATE(2355), 1,
      sym_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4820), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5266), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5268), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5276), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5284), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5294), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5296), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5771), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(5292), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94425] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [94484] = 12,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5773), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 18,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94551] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5776), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 16,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [94624] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4651), 2,
      anon_sym_of,
      anon_sym_BQUOTE,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5734), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94729] = 11,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5779), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 20,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [94794] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4548), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [94899] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4734), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95004] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4708), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95109] = 7,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95166] = 7,
    ACTIONS(3620), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95223] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4710), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95328] = 4,
    ACTIONS(3592), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 26,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
      anon_sym_implements,
  [95379] = 7,
    ACTIONS(4045), 1,
      anon_sym_QMARK,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4722), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95436] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4610), 2,
      anon_sym_RBRACK,
      anon_sym_BQUOTE,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [95541] = 18,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 14,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95620] = 13,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95689] = 25,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95782] = 13,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [95851] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1847), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5782), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5785), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95901] = 4,
    ACTIONS(3561), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 25,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [95951] = 32,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5002), 1,
      anon_sym_of,
    ACTIONS(5734), 1,
      anon_sym_GT,
    ACTIONS(5736), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5738), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5740), 1,
      anon_sym_GT_GT,
    ACTIONS(5744), 1,
      anon_sym_AMP,
    ACTIONS(5746), 1,
      anon_sym_CARET,
    ACTIONS(5748), 1,
      anon_sym_PIPE,
    ACTIONS(5752), 1,
      anon_sym_PERCENT,
    ACTIONS(5754), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5756), 1,
      anon_sym_LT,
    ACTIONS(5764), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5766), 1,
      sym__ternary_qmark,
    ACTIONS(5788), 1,
      anon_sym_in,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5732), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5742), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5750), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5760), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5762), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5758), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [96057] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4730), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5791), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5794), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96107] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_readonly,
    STATE(2814), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96171] = 9,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4901), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96231] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1893), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5799), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5802), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96281] = 6,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5805), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(4397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4399), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [96335] = 6,
    ACTIONS(4315), 1,
      anon_sym_EQ,
    ACTIONS(4810), 1,
      anon_sym_RBRACK,
    ACTIONS(4887), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4313), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4317), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96389] = 6,
    ACTIONS(4659), 1,
      anon_sym_EQ,
    ACTIONS(4756), 1,
      anon_sym_RBRACK,
    ACTIONS(4889), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4657), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4661), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96443] = 6,
    ACTIONS(1708), 1,
      anon_sym_EQ,
    ACTIONS(4751), 1,
      anon_sym_RBRACK,
    ACTIONS(4891), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1706), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1710), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96497] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3177), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3175), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [96545] = 6,
    ACTIONS(4722), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4047), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96599] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3173), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3171), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [96647] = 6,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96701] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96751] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3169), 12,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_AMP,
      anon_sym_PIPE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
      anon_sym_QMARK,
    ACTIONS(3167), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
      anon_sym_extends,
  [96799] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4369), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4371), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96849] = 6,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [96903] = 6,
    ACTIONS(4047), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4722), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(4725), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [96957] = 6,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4715), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4123), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(3448), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97011] = 6,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4746), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4127), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(4702), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4704), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97065] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5807), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97169] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    ACTIONS(5809), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97273] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4548), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97377] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4734), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97481] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4708), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97585] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4710), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97689] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4610), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [97793] = 18,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 7,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 13,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97871] = 13,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5847), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 16,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [97939] = 25,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98031] = 26,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 6,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98125] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5847), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4483), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98199] = 22,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4483), 3,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98285] = 23,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 8,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98373] = 24,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 2,
      anon_sym_BANG,
      anon_sym_PIPE,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 7,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98463] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5847), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4483), 10,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 15,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98535] = 16,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5847), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4483), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 14,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [98609] = 20,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4483), 5,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4481), 10,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98691] = 27,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4483), 1,
      anon_sym_BANG,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4481), 5,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_QMARK_QMARK,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [98787] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4655), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98891] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4419), 1,
      anon_sym_BQUOTE,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [98995] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4584), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99099] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4489), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99203] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4493), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99307] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4536), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99411] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4538), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99515] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4544), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [99619] = 15,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    STATE(2768), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99691] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99759] = 14,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99829] = 12,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99895] = 13,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [99963] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1865), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5852), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5855), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100013] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4689), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5858), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5861), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100063] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4693), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5864), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5867), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100113] = 7,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(4712), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(4715), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3448), 10,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100169] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5122), 1,
      anon_sym_RBRACE,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100273] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5870), 1,
      anon_sym_readonly,
    STATE(2790), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100337] = 9,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5872), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100397] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5876), 1,
      anon_sym_readonly,
    STATE(2805), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5874), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3408), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100461] = 9,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5880), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5878), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3411), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [100521] = 12,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5882), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4736), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4738), 17,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100587] = 15,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5885), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4616), 11,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4618), 15,
      sym__ternary_qmark,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_BQUOTE,
  [100659] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4651), 1,
      anon_sym_BQUOTE,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100763] = 11,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5888), 1,
      anon_sym_LT,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4695), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4697), 19,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [100827] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5891), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [100931] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5893), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101035] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5895), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101139] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1837), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5897), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5900), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101189] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4501), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(5903), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5906), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101239] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5909), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101343] = 4,
    ACTIONS(3583), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101393] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5911), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101497] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5915), 1,
      anon_sym_readonly,
    STATE(2827), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5913), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3364), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101561] = 9,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5919), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5917), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3366), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101621] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5923), 1,
      anon_sym_readonly,
    STATE(2791), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5921), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3303), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101685] = 9,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5927), 1,
      anon_sym_abstract,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5925), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3324), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [101745] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5929), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [101849] = 6,
    ACTIONS(3549), 1,
      anon_sym_COMMA,
    ACTIONS(3558), 1,
      anon_sym_RBRACK,
    ACTIONS(3642), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [101903] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5622), 1,
      anon_sym_GT_GT,
    ACTIONS(5628), 1,
      anon_sym_PERCENT,
    ACTIONS(5630), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5632), 1,
      anon_sym_LT,
    ACTIONS(5640), 1,
      anon_sym_AMP,
    ACTIONS(5642), 1,
      anon_sym_CARET,
    ACTIONS(5647), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5649), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5651), 1,
      anon_sym_PIPE,
    ACTIONS(5653), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5655), 1,
      sym__ternary_qmark,
    ACTIONS(5931), 1,
      anon_sym_RBRACK,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5618), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5620), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5624), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5626), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5636), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5638), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5634), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102007] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5933), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102111] = 31,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5458), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5460), 1,
      anon_sym_GT_GT,
    ACTIONS(5464), 1,
      anon_sym_AMP,
    ACTIONS(5466), 1,
      anon_sym_CARET,
    ACTIONS(5468), 1,
      anon_sym_PIPE,
    ACTIONS(5472), 1,
      anon_sym_PERCENT,
    ACTIONS(5474), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 1,
      anon_sym_LT,
    ACTIONS(5484), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5486), 1,
      sym__ternary_qmark,
    ACTIONS(5935), 1,
      anon_sym_COLON,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5452), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5454), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5462), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5470), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5480), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5482), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5478), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [102215] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102274] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5937), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3423), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102331] = 4,
    ACTIONS(4877), 1,
      sym_regex_flags,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4873), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_of,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_satisfies,
    ACTIONS(4875), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [102380] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5939), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3354), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102437] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5941), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3375), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102494] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5943), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3383), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102551] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5945), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3357), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102608] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5947), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3424), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102665] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5949), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3302), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102722] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102781] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102840] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102899] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5951), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3474), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [102956] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103019] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103078] = 12,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103143] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103206] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3477), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103263] = 6,
    ACTIONS(3484), 1,
      anon_sym_EQ,
    ACTIONS(3637), 1,
      anon_sym_in,
    ACTIONS(3640), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [103316] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103375] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5955), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3445), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103432] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5957), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3312), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103489] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103548] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103607] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5959), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3309), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103664] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5961), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3318), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103721] = 30,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(4828), 1,
      anon_sym_BANG,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(2355), 1,
      sym_arguments,
    STATE(2669), 1,
      sym_type_arguments,
    STATE(5093), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [103822] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5963), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3346), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103879] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103938] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [103997] = 30,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      anon_sym_LBRACK,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4417), 1,
      anon_sym_as,
    ACTIONS(4421), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4459), 1,
      anon_sym_satisfies,
    ACTIONS(5815), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5817), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5819), 1,
      anon_sym_GT_GT,
    ACTIONS(5823), 1,
      anon_sym_AMP,
    ACTIONS(5825), 1,
      anon_sym_CARET,
    ACTIONS(5827), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_PERCENT,
    ACTIONS(5833), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5835), 1,
      anon_sym_LT,
    ACTIONS(5843), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(5845), 1,
      sym__ternary_qmark,
    STATE(1603), 1,
      sym_type_arguments,
    STATE(1650), 1,
      sym_arguments,
    STATE(5091), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4457), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5811), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(5813), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(5821), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(5829), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5839), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5841), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(5837), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [104098] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104157] = 9,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104216] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5965), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3343), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104273] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5967), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3358), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104330] = 4,
    ACTIONS(3608), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104379] = 4,
    ACTIONS(3620), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 24,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104428] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104489] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5969), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104535] = 5,
    ACTIONS(89), 1,
      anon_sym_BQUOTE,
    STATE(2081), 1,
      sym_template_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1905), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1907), 22,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [104585] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104631] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5977), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104677] = 4,
    ACTIONS(3709), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [104725] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [104783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5969), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104829] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5981), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104875] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5987), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5985), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104921] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [104967] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105013] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5993), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105059] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5997), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105105] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5993), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105151] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5993), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105197] = 4,
    ACTIONS(3717), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105245] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5993), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105291] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105337] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5981), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105383] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105429] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5977), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5977), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105521] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105567] = 4,
    ACTIONS(3725), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1853), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1855), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105661] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105707] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105753] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5981), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105799] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105845] = 4,
    ACTIONS(6005), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1704), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105893] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [105939] = 4,
    ACTIONS(3733), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [105987] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106033] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1735), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1737), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106079] = 4,
    ACTIONS(3693), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106127] = 5,
    ACTIONS(6011), 1,
      anon_sym_SEMI,
    ACTIONS(6014), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6009), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6007), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106177] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5969), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106223] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106269] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5993), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106315] = 4,
    ACTIONS(3695), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6001), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106409] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6018), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6016), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106455] = 4,
    ACTIONS(6020), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1853), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1855), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106503] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5969), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106549] = 4,
    ACTIONS(3727), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [106597] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5977), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106643] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106689] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5973), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106735] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5977), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106781] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5997), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106827] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6024), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6022), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106873] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6026), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106919] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6032), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6030), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [106965] = 5,
    ACTIONS(6038), 1,
      anon_sym_SEMI,
    ACTIONS(6041), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6036), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6034), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107015] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6045), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6043), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107061] = 8,
    ACTIONS(6047), 1,
      anon_sym_LPAREN,
    ACTIONS(6049), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    STATE(2763), 1,
      sym_arguments,
    STATE(5373), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3533), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3531), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107117] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5981), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107163] = 4,
    ACTIONS(3745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107211] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5989), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107257] = 4,
    ACTIONS(6053), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1702), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1704), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107305] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5969), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107351] = 4,
    ACTIONS(3729), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3448), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3452), 23,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_satisfies,
  [107399] = 4,
    ACTIONS(6055), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1853), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1855), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107447] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3602), 10,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_LT,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3600), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107493] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 12,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(5981), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107539] = 5,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4397), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4399), 21,
      sym__ternary_qmark,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_satisfies,
  [107588] = 14,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6057), 1,
      anon_sym_STAR,
    ACTIONS(6059), 1,
      anon_sym_async,
    ACTIONS(6063), 1,
      anon_sym_readonly,
    STATE(2759), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107655] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6069), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6067), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107700] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6073), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6071), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107745] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6077), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6075), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107790] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6077), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6075), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107835] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1735), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1737), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107880] = 6,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [107931] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6081), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(6079), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [107976] = 7,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108029] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1853), 11,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_PLUS,
      anon_sym_DASH,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1855), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [108074] = 7,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108127] = 6,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108178] = 17,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4781), 1,
      anon_sym_accessor,
    ACTIONS(4795), 1,
      anon_sym_STAR,
    ACTIONS(4799), 1,
      anon_sym_async,
    ACTIONS(6083), 1,
      anon_sym_static,
    ACTIONS(6085), 1,
      anon_sym_readonly,
    ACTIONS(6087), 1,
      anon_sym_declare,
    ACTIONS(6089), 1,
      anon_sym_abstract,
    STATE(2750), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4801), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4805), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108250] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108298] = 17,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5040), 1,
      anon_sym_STAR,
    ACTIONS(5042), 1,
      anon_sym_async,
    ACTIONS(6093), 1,
      anon_sym_static,
    ACTIONS(6095), 1,
      anon_sym_readonly,
    ACTIONS(6097), 1,
      anon_sym_declare,
    ACTIONS(6099), 1,
      anon_sym_abstract,
    ACTIONS(6101), 1,
      anon_sym_accessor,
    STATE(2764), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5048), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6091), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3017), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108370] = 5,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2007), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2005), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108418] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6103), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6105), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6107), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108476] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6109), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6113), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3925), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108534] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6117), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6119), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108592] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6115), 1,
      anon_sym_STAR,
    ACTIONS(6121), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6117), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6119), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108652] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6109), 1,
      anon_sym_STAR,
    ACTIONS(6123), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6113), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3925), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108712] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6125), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108768] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6057), 1,
      anon_sym_STAR,
    ACTIONS(6059), 1,
      anon_sym_async,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108828] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6057), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108886] = 13,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6129), 1,
      anon_sym_static,
    ACTIONS(6131), 1,
      anon_sym_readonly,
    ACTIONS(6133), 1,
      anon_sym_abstract,
    ACTIONS(6135), 1,
      anon_sym_accessor,
    STATE(2811), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6127), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3419), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [108949] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5234), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3816), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109002] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5408), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109055] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5703), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109108] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5418), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3850), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109161] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5426), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3875), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109214] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5434), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109267] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6137), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3881), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109320] = 13,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4895), 1,
      anon_sym_static,
    ACTIONS(4897), 1,
      anon_sym_readonly,
    ACTIONS(4899), 1,
      anon_sym_abstract,
    ACTIONS(4901), 1,
      anon_sym_accessor,
    STATE(2814), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109383] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109436] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6139), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3805), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109489] = 6,
    ACTIONS(6141), 1,
      anon_sym_AT,
    STATE(2705), 1,
      aux_sym_export_statement_repeat1,
    STATE(2748), 1,
      sym_decorator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3575), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3573), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [109538] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109591] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6105), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109644] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5528), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3840), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109697] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6144), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109750] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6117), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109803] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6146), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3897), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109856] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109909] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5220), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3901), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [109962] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5508), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110015] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5380), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3919), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110068] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3795), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110121] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6148), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3804), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110174] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5200), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3815), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110227] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6150), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3923), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110280] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5315), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3800), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110333] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5368), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3786), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110386] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5588), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110439] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(3925), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110492] = 14,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(2331), 1,
      anon_sym_override,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(6152), 1,
      anon_sym_static,
    STATE(2768), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110556] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6154), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110610] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110664] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    ACTIONS(6160), 1,
      anon_sym_static,
    STATE(2769), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110728] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6162), 1,
      anon_sym_STAR,
    ACTIONS(6166), 1,
      anon_sym_readonly,
    STATE(2749), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6164), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6168), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3010), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110788] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6170), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110842] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2355), 1,
      anon_sym_type,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    ACTIONS(3793), 1,
      anon_sym_module,
    ACTIONS(6172), 1,
      anon_sym_default,
    STATE(1267), 1,
      sym_decorator,
    STATE(3976), 1,
      sym_declaration,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4425), 1,
      sym_internal_module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [110922] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [110976] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2247), 1,
      anon_sym_import,
    ACTIONS(2249), 1,
      anon_sym_var,
    ACTIONS(2251), 1,
      anon_sym_let,
    ACTIONS(2253), 1,
      anon_sym_const,
    ACTIONS(2258), 1,
      anon_sym_class,
    ACTIONS(2260), 1,
      anon_sym_async,
    ACTIONS(2262), 1,
      anon_sym_function,
    ACTIONS(2271), 1,
      anon_sym_abstract,
    ACTIONS(2273), 1,
      anon_sym_interface,
    ACTIONS(2275), 1,
      anon_sym_enum,
    ACTIONS(2305), 1,
      anon_sym_type,
    ACTIONS(2309), 1,
      anon_sym_global,
    ACTIONS(2317), 1,
      anon_sym_namespace,
    ACTIONS(2319), 1,
      anon_sym_declare,
    ACTIONS(2345), 1,
      anon_sym_module,
    STATE(874), 1,
      sym_declaration,
    STATE(890), 1,
      sym_internal_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4426), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(789), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111056] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6176), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111110] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6178), 1,
      anon_sym_RBRACE,
    STATE(4905), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6180), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4072), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111164] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6182), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111218] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2355), 1,
      anon_sym_type,
    ACTIONS(2357), 1,
      anon_sym_namespace,
    ACTIONS(2359), 1,
      anon_sym_import,
    ACTIONS(2361), 1,
      anon_sym_var,
    ACTIONS(2363), 1,
      anon_sym_let,
    ACTIONS(2365), 1,
      anon_sym_const,
    ACTIONS(2367), 1,
      anon_sym_class,
    ACTIONS(2369), 1,
      anon_sym_async,
    ACTIONS(2371), 1,
      anon_sym_function,
    ACTIONS(2373), 1,
      anon_sym_declare,
    ACTIONS(2375), 1,
      anon_sym_module,
    ACTIONS(2377), 1,
      anon_sym_abstract,
    ACTIONS(2379), 1,
      anon_sym_global,
    ACTIONS(2381), 1,
      anon_sym_interface,
    ACTIONS(2383), 1,
      anon_sym_enum,
    STATE(1267), 1,
      sym_decorator,
    STATE(4377), 1,
      aux_sym_export_statement_repeat1,
    STATE(4425), 1,
      sym_internal_module,
    STATE(4446), 1,
      sym_declaration,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4422), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111298] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2243), 1,
      anon_sym_namespace,
    ACTIONS(2247), 1,
      anon_sym_import,
    ACTIONS(2249), 1,
      anon_sym_var,
    ACTIONS(2251), 1,
      anon_sym_let,
    ACTIONS(2253), 1,
      anon_sym_const,
    ACTIONS(2258), 1,
      anon_sym_class,
    ACTIONS(2260), 1,
      anon_sym_async,
    ACTIONS(2262), 1,
      anon_sym_function,
    ACTIONS(2267), 1,
      anon_sym_declare,
    ACTIONS(2269), 1,
      anon_sym_module,
    ACTIONS(2271), 1,
      anon_sym_abstract,
    ACTIONS(2273), 1,
      anon_sym_interface,
    ACTIONS(2275), 1,
      anon_sym_enum,
    ACTIONS(2305), 1,
      anon_sym_type,
    ACTIONS(6184), 1,
      anon_sym_default,
    STATE(825), 1,
      sym_declaration,
    STATE(890), 1,
      sym_internal_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4426), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(789), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111378] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_STAR,
    ACTIONS(5056), 1,
      anon_sym_async,
    ACTIONS(5060), 1,
      anon_sym_readonly,
    ACTIONS(6186), 1,
      anon_sym_static,
    STATE(2746), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5058), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5062), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111442] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6188), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111496] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2247), 1,
      anon_sym_import,
    ACTIONS(2249), 1,
      anon_sym_var,
    ACTIONS(2251), 1,
      anon_sym_let,
    ACTIONS(2253), 1,
      anon_sym_const,
    ACTIONS(2258), 1,
      anon_sym_class,
    ACTIONS(2260), 1,
      anon_sym_async,
    ACTIONS(2262), 1,
      anon_sym_function,
    ACTIONS(2271), 1,
      anon_sym_abstract,
    ACTIONS(2273), 1,
      anon_sym_interface,
    ACTIONS(2275), 1,
      anon_sym_enum,
    ACTIONS(2305), 1,
      anon_sym_type,
    ACTIONS(2317), 1,
      anon_sym_namespace,
    ACTIONS(2319), 1,
      anon_sym_declare,
    ACTIONS(2321), 1,
      anon_sym_module,
    ACTIONS(6190), 1,
      anon_sym_default,
    STATE(825), 1,
      sym_declaration,
    STATE(890), 1,
      sym_internal_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4426), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(789), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111576] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6192), 1,
      anon_sym_RBRACE,
    STATE(4794), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4047), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111630] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2243), 1,
      anon_sym_namespace,
    ACTIONS(2247), 1,
      anon_sym_import,
    ACTIONS(2249), 1,
      anon_sym_var,
    ACTIONS(2251), 1,
      anon_sym_let,
    ACTIONS(2253), 1,
      anon_sym_const,
    ACTIONS(2258), 1,
      anon_sym_class,
    ACTIONS(2260), 1,
      anon_sym_async,
    ACTIONS(2262), 1,
      anon_sym_function,
    ACTIONS(2267), 1,
      anon_sym_declare,
    ACTIONS(2269), 1,
      anon_sym_module,
    ACTIONS(2271), 1,
      anon_sym_abstract,
    ACTIONS(2273), 1,
      anon_sym_interface,
    ACTIONS(2275), 1,
      anon_sym_enum,
    ACTIONS(2305), 1,
      anon_sym_type,
    ACTIONS(6196), 1,
      anon_sym_default,
    STATE(825), 1,
      sym_declaration,
    STATE(890), 1,
      sym_internal_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4426), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(789), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111710] = 9,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6198), 1,
      anon_sym_RBRACE,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111764] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(3673), 1,
      anon_sym_override,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_readonly,
    ACTIONS(6200), 1,
      anon_sym_STAR,
    STATE(2760), 1,
      sym_override_modifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6202), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6204), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3009), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111824] = 22,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(2243), 1,
      anon_sym_namespace,
    ACTIONS(2247), 1,
      anon_sym_import,
    ACTIONS(2249), 1,
      anon_sym_var,
    ACTIONS(2251), 1,
      anon_sym_let,
    ACTIONS(2253), 1,
      anon_sym_const,
    ACTIONS(2258), 1,
      anon_sym_class,
    ACTIONS(2260), 1,
      anon_sym_async,
    ACTIONS(2262), 1,
      anon_sym_function,
    ACTIONS(2267), 1,
      anon_sym_declare,
    ACTIONS(2271), 1,
      anon_sym_abstract,
    ACTIONS(2273), 1,
      anon_sym_interface,
    ACTIONS(2275), 1,
      anon_sym_enum,
    ACTIONS(2305), 1,
      anon_sym_type,
    ACTIONS(2307), 1,
      anon_sym_module,
    ACTIONS(2309), 1,
      anon_sym_global,
    STATE(874), 1,
      sym_declaration,
    STATE(890), 1,
      sym_internal_module,
    STATE(1267), 1,
      sym_decorator,
    STATE(4426), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(789), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [111904] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    ACTIONS(5107), 1,
      anon_sym_async,
    ACTIONS(5111), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5113), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3093), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [111961] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    STATE(5496), 1,
      sym_enum_assignment,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6156), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(4496), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112012] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3614), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3612), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112053] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6200), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5669), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6206), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112106] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5030), 1,
      anon_sym_STAR,
    ACTIONS(5032), 1,
      anon_sym_async,
    ACTIONS(5036), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5034), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5038), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3023), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112163] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5093), 1,
      anon_sym_async,
    ACTIONS(6210), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6208), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3034), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112220] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3571), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3569), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112261] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5040), 1,
      anon_sym_STAR,
    ACTIONS(5042), 1,
      anon_sym_async,
    ACTIONS(6214), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5048), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6212), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3018), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112318] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5506), 1,
      anon_sym_STAR,
    ACTIONS(5538), 1,
      anon_sym_async,
    ACTIONS(6218), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5542), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6216), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3030), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112375] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(2325), 1,
      anon_sym_async,
    ACTIONS(2327), 1,
      anon_sym_readonly,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(4988), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2329), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112432] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5054), 1,
      anon_sym_STAR,
    ACTIONS(5056), 1,
      anon_sym_async,
    ACTIONS(5060), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5058), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5062), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3077), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112489] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4467), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4473), 1,
      anon_sym_async,
    ACTIONS(4477), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4475), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4479), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3058), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112546] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3533), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3531), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112587] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6109), 1,
      anon_sym_STAR,
    ACTIONS(6123), 1,
      anon_sym_async,
    ACTIONS(6220), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6113), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3925), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112644] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6222), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5703), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6224), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112697] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5366), 1,
      anon_sym_STAR,
    ACTIONS(5372), 1,
      anon_sym_async,
    ACTIONS(6226), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5374), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5376), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3031), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112754] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5244), 1,
      anon_sym_STAR,
    ACTIONS(5246), 1,
      anon_sym_async,
    ACTIONS(6228), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5248), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5250), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3115), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112811] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3567), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3565), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112852] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5091), 1,
      anon_sym_STAR,
    ACTIONS(5093), 1,
      anon_sym_async,
    ACTIONS(6232), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5099), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(6230), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3039), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112909] = 4,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1973), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1971), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [112952] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3606), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3604), 25,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_abstract,
      anon_sym_accessor,
  [112993] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 1,
      anon_sym_STAR,
    ACTIONS(5592), 1,
      anon_sym_async,
    ACTIONS(6234), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5594), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5596), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3076), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113050] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(6057), 1,
      anon_sym_STAR,
    ACTIONS(6059), 1,
      anon_sym_async,
    ACTIONS(6063), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(6065), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113107] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5124), 1,
      anon_sym_STAR,
    ACTIONS(5126), 1,
      anon_sym_async,
    ACTIONS(5130), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5128), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(5132), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3047), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113164] = 11,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(4795), 1,
      anon_sym_STAR,
    ACTIONS(4799), 1,
      anon_sym_async,
    ACTIONS(4803), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4801), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4805), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(3005), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113221] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6111), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3925), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113269] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2301), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3922), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113317] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5426), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3875), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113365] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5512), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3823), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113413] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6238), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6236), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3304), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113463] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6240), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3305), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113511] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6244), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6242), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3413), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113561] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6246), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3414), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113609] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6105), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3882), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113657] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5434), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3880), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113705] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6137), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3881), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113753] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5210), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3866), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113801] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6250), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6248), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3422), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113851] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5408), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3825), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113899] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5528), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3840), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113947] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5703), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3824), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [113995] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5797), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114045] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5614), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3926), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114093] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4773), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3447), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114141] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3477), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114191] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6256), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6254), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3380), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114241] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5953), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3477), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114289] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6117), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3871), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114337] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5214), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114385] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6146), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3897), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114433] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6260), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6258), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3442), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114483] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6262), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3443), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114531] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5200), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3815), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114579] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5508), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114627] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5380), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3919), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114675] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5448), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3839), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114723] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3795), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114771] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6264), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3381), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114819] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6148), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3804), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114867] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6268), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6266), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114917] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6270), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3308), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [114965] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6144), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3924), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115013] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6150), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3923), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115061] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6274), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6272), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3367), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115111] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6276), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3398), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115159] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6280), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6278), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3425), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115209] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5669), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3876), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115257] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5418), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3850), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115305] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5870), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115355] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4893), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3420), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115403] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6284), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6282), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3326), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115453] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6286), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3334), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115501] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6290), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6288), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3345), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115551] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6139), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3805), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115599] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5315), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3800), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115647] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5220), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3901), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115695] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5712), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115743] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5588), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3894), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115791] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5368), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3786), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115839] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6292), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115887] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5234), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3816), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115935] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(6296), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6294), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3355), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [115985] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4787), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3784), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116033] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(4785), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6061), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3864), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2323), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116081] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6298), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3356), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116129] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(4471), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6300), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3415), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(3651), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116177] = 4,
    ACTIONS(6302), 1,
      sym_identifier,
    STATE(5988), 1,
      sym_mapped_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6304), 22,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_let,
      anon_sym_async,
      anon_sym_new,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
  [116212] = 9,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3454), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116253] = 9,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6308), 1,
      anon_sym_DOT,
    ACTIONS(6310), 1,
      anon_sym_QMARK_DOT,
    STATE(2878), 1,
      sym_arguments,
    STATE(2960), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4021), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4023), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116294] = 9,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6312), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_QMARK_DOT,
    STATE(2891), 1,
      sym_arguments,
    STATE(2959), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4015), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4017), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [116335] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4387), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116363] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4391), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116391] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4343), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116419] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4355), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116447] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4355), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116475] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4337), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4339), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116503] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4351), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116531] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4373), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4375), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116559] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4383), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116587] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4383), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116615] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4381), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4383), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116643] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4387), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116671] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4385), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4387), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116699] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4351), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116727] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4391), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116755] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4389), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4391), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116783] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4343), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116811] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4067), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4069), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116839] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4267), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4269), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116867] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4273), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116895] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4277), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116923] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4271), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4273), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116951] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4275), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4277), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [116979] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4349), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4351), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117007] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4283), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117035] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4287), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117063] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4281), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4283), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117091] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4285), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4287), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117119] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4291), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117147] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4295), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117175] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4353), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4355), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117203] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4289), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4291), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117231] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4293), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4295), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117259] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4341), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4343), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [117287] = 6,
    ACTIONS(4009), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_DOT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117320] = 3,
    ACTIONS(1733), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1731), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117347] = 18,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6320), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6324), 1,
      anon_sym_COMMA,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_GT,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6335), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6337), 1,
      anon_sym_extends,
    STATE(3325), 1,
      sym_type_arguments,
    STATE(3327), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    STATE(4607), 1,
      sym_constraint,
    STATE(5290), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [117404] = 18,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6320), 1,
      anon_sym_EQ,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6324), 1,
      anon_sym_COMMA,
    ACTIONS(6326), 1,
      anon_sym_COLON,
    ACTIONS(6328), 1,
      anon_sym_GT,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6337), 1,
      anon_sym_extends,
    ACTIONS(6339), 1,
      anon_sym_SLASH_GT,
    STATE(3338), 1,
      sym_type_arguments,
    STATE(3349), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    STATE(4607), 1,
      sym_constraint,
    STATE(5290), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [117461] = 3,
    ACTIONS(1929), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1927), 17,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117488] = 3,
    ACTIONS(4239), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4241), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117514] = 9,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(4015), 1,
      anon_sym_PIPE,
    ACTIONS(6341), 1,
      anon_sym_DOT,
    ACTIONS(6343), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6345), 1,
      anon_sym_LT,
    STATE(3049), 1,
      sym_arguments,
    STATE(3218), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117552] = 3,
    ACTIONS(3628), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117578] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4195), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4197), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117604] = 4,
    ACTIONS(1873), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [117632] = 3,
    ACTIONS(4235), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117658] = 3,
    ACTIONS(4247), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4249), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117684] = 9,
    ACTIONS(3458), 1,
      anon_sym_PIPE,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(3502), 1,
      anon_sym_DOT,
    ACTIONS(3504), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6345), 1,
      anon_sym_LT,
    STATE(3048), 1,
      sym_arguments,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117722] = 5,
    ACTIONS(6347), 1,
      anon_sym_DOT,
    ACTIONS(6349), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4093), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4095), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117752] = 5,
    ACTIONS(4027), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(2926), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117782] = 4,
    ACTIONS(1869), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [117810] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4179), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4181), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117836] = 5,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3458), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3454), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117866] = 3,
    ACTIONS(4243), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [117892] = 7,
    ACTIONS(4009), 1,
      anon_sym_EQ,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_DOT,
    ACTIONS(6351), 1,
      anon_sym_is,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117926] = 9,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(4021), 1,
      anon_sym_PIPE,
    ACTIONS(6345), 1,
      anon_sym_LT,
    ACTIONS(6353), 1,
      anon_sym_DOT,
    ACTIONS(6355), 1,
      anon_sym_QMARK_DOT,
    STATE(3052), 1,
      sym_arguments,
    STATE(3220), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [117964] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4187), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(4189), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [117990] = 15,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(6357), 1,
      sym_identifier,
    ACTIONS(6359), 1,
      anon_sym_STAR,
    ACTIONS(6361), 1,
      anon_sym_type,
    ACTIONS(6363), 1,
      anon_sym_LBRACE,
    ACTIONS(6365), 1,
      anon_sym_typeof,
    ACTIONS(6369), 1,
      anon_sym_DOT,
    STATE(4144), 1,
      sym_string,
    STATE(4177), 1,
      sym_import_require_clause,
    STATE(5301), 1,
      sym__import_identifier,
    STATE(5358), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5990), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(6367), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [118040] = 3,
    ACTIONS(3635), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118066] = 3,
    ACTIONS(1670), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [118091] = 3,
    ACTIONS(4063), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4065), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
      anon_sym_is,
  [118116] = 3,
    ACTIONS(4377), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118141] = 3,
    ACTIONS(4163), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118166] = 6,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_EQ,
    ACTIONS(6371), 1,
      anon_sym_DOT,
    STATE(2900), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4041), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [118197] = 3,
    ACTIONS(4263), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118222] = 3,
    ACTIONS(4175), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118247] = 4,
    ACTIONS(4077), 1,
      anon_sym_EQ,
    ACTIONS(6373), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118274] = 3,
    ACTIONS(4405), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118299] = 3,
    ACTIONS(4267), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118323] = 3,
    ACTIONS(4393), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118347] = 3,
    ACTIONS(4045), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118371] = 3,
    ACTIONS(4067), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4069), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118395] = 3,
    ACTIONS(4271), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118419] = 3,
    ACTIONS(4133), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118443] = 3,
    ACTIONS(4275), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4277), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118467] = 3,
    ACTIONS(4271), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118491] = 3,
    ACTIONS(4275), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4277), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118515] = 3,
    ACTIONS(4281), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118539] = 3,
    ACTIONS(4285), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118563] = 3,
    ACTIONS(4281), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118587] = 3,
    ACTIONS(4285), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118611] = 3,
    ACTIONS(4289), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4291), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118635] = 3,
    ACTIONS(4293), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4295), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118659] = 3,
    ACTIONS(4289), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4291), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118683] = 3,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118707] = 5,
    ACTIONS(4145), 1,
      anon_sym_EQ,
    ACTIONS(6375), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4147), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [118735] = 4,
    ACTIONS(4083), 1,
      anon_sym_EQ,
    ACTIONS(6375), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118761] = 3,
    ACTIONS(4089), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118785] = 3,
    ACTIONS(4293), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4295), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118809] = 4,
    ACTIONS(4157), 1,
      anon_sym_EQ,
    ACTIONS(6375), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118835] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6377), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [118857] = 3,
    ACTIONS(4171), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [118881] = 3,
    ACTIONS(4337), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4339), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118905] = 3,
    ACTIONS(4341), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118929] = 3,
    ACTIONS(4341), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118953] = 3,
    ACTIONS(4341), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [118977] = 3,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119001] = 3,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119025] = 3,
    ACTIONS(4349), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119049] = 3,
    ACTIONS(4353), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119073] = 3,
    ACTIONS(4353), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119097] = 3,
    ACTIONS(4353), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119121] = 3,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119145] = 3,
    ACTIONS(4381), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119169] = 3,
    ACTIONS(4381), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119193] = 3,
    ACTIONS(4381), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119217] = 3,
    ACTIONS(4385), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119241] = 3,
    ACTIONS(4385), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119265] = 3,
    ACTIONS(4385), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119289] = 3,
    ACTIONS(4389), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119313] = 3,
    ACTIONS(4389), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119337] = 3,
    ACTIONS(4389), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 14,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119361] = 7,
    ACTIONS(4009), 1,
      anon_sym_PIPE,
    ACTIONS(6345), 1,
      anon_sym_LT,
    ACTIONS(6379), 1,
      anon_sym_DOT,
    ACTIONS(6381), 1,
      anon_sym_is,
    STATE(3205), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [119393] = 3,
    ACTIONS(4035), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119417] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6383), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [119439] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6387), 1,
      sym_number,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5697), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119471] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6391), 1,
      sym_number,
    STATE(5714), 1,
      sym_string,
    STATE(5729), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119505] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6393), 1,
      sym_number,
    STATE(5742), 1,
      sym_string,
    STATE(5744), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119539] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6395), 1,
      sym_number,
    STATE(5758), 1,
      sym_string,
    STATE(5760), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119573] = 3,
    ACTIONS(4357), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119597] = 3,
    ACTIONS(4361), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119621] = 3,
    ACTIONS(4365), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119645] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6397), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [119667] = 3,
    ACTIONS(4183), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119691] = 3,
    ACTIONS(4191), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119715] = 3,
    ACTIONS(4199), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119739] = 3,
    ACTIONS(4203), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119763] = 3,
    ACTIONS(4207), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119787] = 3,
    ACTIONS(4217), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119811] = 3,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119835] = 3,
    ACTIONS(4251), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [119859] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6399), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5653), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119891] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6401), 1,
      sym_number,
    STATE(5666), 1,
      sym_string,
    STATE(5677), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119925] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6403), 1,
      sym_number,
    STATE(5691), 1,
      sym_string,
    STATE(5699), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119959] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6405), 1,
      sym_number,
    STATE(5730), 1,
      sym_string,
    STATE(5738), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [119993] = 3,
    ACTIONS(4259), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120017] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6407), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120039] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6409), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5921), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120071] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6411), 1,
      sym_number,
    STATE(5929), 1,
      sym_string,
    STATE(5938), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120105] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6413), 1,
      sym_number,
    STATE(5943), 1,
      sym_string,
    STATE(5948), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120139] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6415), 1,
      sym_number,
    STATE(5956), 1,
      sym_string,
    STATE(5957), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120173] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6417), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120195] = 3,
    ACTIONS(4099), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120219] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6419), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5822), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120251] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6421), 1,
      sym_number,
    STATE(5826), 1,
      sym_string,
    STATE(5835), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120285] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6423), 1,
      sym_number,
    STATE(5840), 1,
      sym_string,
    STATE(5846), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120319] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6425), 1,
      sym_number,
    STATE(5851), 1,
      sym_string,
    STATE(5852), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120353] = 8,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(6429), 1,
      anon_sym_DOT,
    ACTIONS(6431), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6433), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_arguments,
    STATE(3409), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120387] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6435), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120409] = 8,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(6433), 1,
      anon_sym_LT,
    ACTIONS(6437), 1,
      anon_sym_DOT,
    ACTIONS(6439), 1,
      anon_sym_QMARK_DOT,
    STATE(3239), 1,
      sym_arguments,
    STATE(3412), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120443] = 8,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(6433), 1,
      anon_sym_LT,
    ACTIONS(6441), 1,
      anon_sym_DOT,
    ACTIONS(6443), 1,
      anon_sym_QMARK_DOT,
    STATE(3240), 1,
      sym_arguments,
    STATE(3416), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120477] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6445), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120499] = 3,
    ACTIONS(4073), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4075), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120523] = 3,
    ACTIONS(4027), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120547] = 3,
    ACTIONS(4103), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4105), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120571] = 3,
    ACTIONS(4121), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120595] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6447), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120617] = 3,
    ACTIONS(4107), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4109), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120641] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6449), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5749), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120673] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6451), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [120695] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6453), 1,
      sym_number,
    STATE(5820), 1,
      sym_string,
    STATE(5827), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120729] = 3,
    ACTIONS(4117), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120753] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6455), 1,
      sym_number,
    STATE(5650), 1,
      sym_string,
    STATE(5657), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120787] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(6389), 1,
      anon_sym_unique,
    ACTIONS(6457), 1,
      sym_number,
    STATE(5715), 1,
      sym_string,
    STATE(5716), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6385), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [120821] = 3,
    ACTIONS(4301), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120845] = 3,
    ACTIONS(4305), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4307), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120869] = 3,
    ACTIONS(4325), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4327), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120893] = 3,
    ACTIONS(4333), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120917] = 3,
    ACTIONS(4125), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [120941] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [120980] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6463), 1,
      anon_sym_BANG,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6469), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3906), 1,
      sym__call_signature,
    STATE(4220), 1,
      sym_type_annotation,
    STATE(4757), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121023] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2948), 1,
      sym_type_predicate,
    STATE(5660), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6471), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121052] = 4,
    ACTIONS(4045), 1,
      anon_sym_EQ,
    ACTIONS(6351), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121077] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2948), 1,
      sym_type_predicate,
    STATE(5784), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6473), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121106] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6477), 1,
      anon_sym_BANG,
    ACTIONS(6479), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4373), 1,
      sym_type_annotation,
    STATE(5058), 1,
      sym__call_signature,
    STATE(5060), 1,
      sym__initializer,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6475), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121149] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6463), 1,
      anon_sym_BANG,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6481), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4220), 1,
      sym_type_annotation,
    STATE(4789), 1,
      sym__call_signature,
    STATE(4792), 1,
      sym__initializer,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121192] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [121231] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6485), 1,
      anon_sym_BANG,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6489), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4388), 1,
      sym_type_annotation,
    STATE(5067), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5343), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121274] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6491), 1,
      anon_sym_BANG,
    ACTIONS(6493), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4401), 1,
      sym_type_annotation,
    STATE(5085), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5354), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121317] = 4,
    ACTIONS(4027), 1,
      anon_sym_EQ,
    ACTIONS(6495), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121342] = 9,
    ACTIONS(4009), 1,
      anon_sym_extends,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_DOT,
    ACTIONS(6497), 1,
      sym_identifier,
    ACTIONS(6501), 1,
      anon_sym_GT,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6499), 3,
      anon_sym_LBRACE,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
    ACTIONS(3498), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [121377] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6506), 1,
      anon_sym_BANG,
    ACTIONS(6508), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4277), 1,
      sym_type_annotation,
    STATE(4846), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5515), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6504), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121420] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6510), 1,
      anon_sym_BANG,
    ACTIONS(6512), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4423), 1,
      sym_type_annotation,
    STATE(5151), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5457), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121463] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6514), 1,
      anon_sym_BANG,
    ACTIONS(6516), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4427), 1,
      sym_type_annotation,
    STATE(5154), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5463), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121506] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(3452), 1,
      sym_type_predicate,
    STATE(5688), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6518), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121535] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6522), 1,
      anon_sym_BANG,
    ACTIONS(6524), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4461), 1,
      sym_type_annotation,
    STATE(5221), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5559), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121578] = 14,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(6359), 1,
      anon_sym_STAR,
    ACTIONS(6363), 1,
      anon_sym_LBRACE,
    ACTIONS(6526), 1,
      sym_identifier,
    ACTIONS(6528), 1,
      anon_sym_type,
    ACTIONS(6530), 1,
      anon_sym_COMMA,
    ACTIONS(6532), 1,
      anon_sym_from,
    STATE(4349), 1,
      sym_string,
    STATE(4350), 1,
      sym_import_require_clause,
    STATE(5301), 1,
      sym__import_identifier,
    STATE(5568), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5990), 2,
      sym_namespace_import,
      sym_named_imports,
  [121623] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6536), 1,
      anon_sym_BANG,
    ACTIONS(6538), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3888), 1,
      sym__call_signature,
    STATE(4391), 1,
      sym_type_annotation,
    STATE(5078), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6534), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121666] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6477), 1,
      anon_sym_BANG,
    ACTIONS(6540), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3792), 1,
      sym__call_signature,
    STATE(4373), 1,
      sym_type_annotation,
    STATE(5026), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6475), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121709] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [121748] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [121787] = 4,
    ACTIONS(4035), 1,
      anon_sym_EQ,
    ACTIONS(6351), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [121812] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6544), 1,
      anon_sym_BANG,
    ACTIONS(6546), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3859), 1,
      sym__call_signature,
    STATE(4442), 1,
      sym_type_annotation,
    STATE(5204), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6542), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121855] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6548), 1,
      anon_sym_BANG,
    ACTIONS(6550), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4011), 1,
      sym_type_annotation,
    STATE(4622), 1,
      sym__initializer,
    STATE(5308), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121898] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(1857), 1,
      sym_type_predicate,
    STATE(5723), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6552), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [121927] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6554), 1,
      anon_sym_BANG,
    ACTIONS(6556), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4020), 1,
      sym_type_annotation,
    STATE(4649), 1,
      sym__initializer,
    STATE(5243), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121970] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6560), 1,
      anon_sym_BANG,
    ACTIONS(6562), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3890), 1,
      sym__call_signature,
    STATE(4434), 1,
      sym_type_annotation,
    STATE(5159), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6558), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122013] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [122052] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6566), 1,
      anon_sym_BANG,
    ACTIONS(6568), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(3999), 1,
      sym_type_annotation,
    STATE(5011), 1,
      sym__initializer,
    STATE(5252), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122095] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6570), 1,
      anon_sym_BANG,
    ACTIONS(6572), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4041), 1,
      sym_type_annotation,
    STATE(4720), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5425), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122138] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(2948), 1,
      sym_type_predicate,
    STATE(5696), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6574), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122167] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(3202), 1,
      sym_type_predicate,
    STATE(5736), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6576), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122196] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6578), 1,
      anon_sym_BANG,
    ACTIONS(6580), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(3967), 1,
      sym_type_annotation,
    STATE(4626), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5544), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122239] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6582), 1,
      anon_sym_BANG,
    ACTIONS(6584), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(3993), 1,
      sym_type_annotation,
    STATE(4996), 1,
      sym__initializer,
    STATE(5304), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122282] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6586), 1,
      anon_sym_BANG,
    ACTIONS(6588), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4112), 1,
      sym_type_annotation,
    STATE(5053), 1,
      sym__initializer,
    STATE(5297), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122325] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6590), 1,
      anon_sym_BANG,
    ACTIONS(6592), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4130), 1,
      sym_type_annotation,
    STATE(5182), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5493), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122368] = 6,
    ACTIONS(217), 1,
      anon_sym_unique,
    STATE(1604), 1,
      sym_type_predicate,
    STATE(5737), 1,
      sym_predefined_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6594), 2,
      sym_identifier,
      sym_this,
    ACTIONS(219), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_object,
      anon_sym_unknown,
      anon_sym_never,
  [122397] = 6,
    ACTIONS(4009), 1,
      anon_sym_PIPE,
    ACTIONS(6345), 1,
      anon_sym_LT,
    ACTIONS(6379), 1,
      anon_sym_DOT,
    STATE(3205), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122426] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6596), 1,
      anon_sym_BANG,
    ACTIONS(6598), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4092), 1,
      sym_type_annotation,
    STATE(5014), 1,
      sym__initializer,
    STATE(5279), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122469] = 6,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PIPE,
    ACTIONS(6600), 1,
      anon_sym_DOT,
    STATE(3128), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4041), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122498] = 13,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(6604), 1,
      anon_sym_BANG,
    ACTIONS(6606), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4252), 1,
      sym_type_annotation,
    STATE(4813), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5487), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122541] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [122561] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6610), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3572), 1,
      sym__call_signature,
    STATE(4153), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6608), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122597] = 3,
    ACTIONS(4179), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122619] = 3,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122641] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6614), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4287), 1,
      sym__call_signature,
    STATE(4288), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6612), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122677] = 6,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [122705] = 3,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122727] = 6,
    ACTIONS(4137), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [122755] = 4,
    ACTIONS(4255), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [122779] = 6,
    ACTIONS(6433), 1,
      anon_sym_LT,
    ACTIONS(6622), 1,
      anon_sym_DOT,
    ACTIONS(6624), 1,
      anon_sym_is,
    STATE(3369), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [122807] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6626), 1,
      anon_sym_COLON,
    ACTIONS(6628), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3550), 1,
      sym__call_signature,
    STATE(4288), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6612), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122843] = 4,
    ACTIONS(1869), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122867] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6632), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3728), 1,
      sym__call_signature,
    STATE(4440), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6630), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [122903] = 3,
    ACTIONS(3175), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3177), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122925] = 5,
    ACTIONS(3458), 1,
      anon_sym_PIPE,
    ACTIONS(3502), 1,
      anon_sym_DOT,
    ACTIONS(3504), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122951] = 3,
    ACTIONS(3635), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122973] = 3,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [122995] = 6,
    ACTIONS(4297), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [123023] = 6,
    ACTIONS(4345), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [123051] = 4,
    ACTIONS(1873), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123075] = 5,
    ACTIONS(4093), 1,
      anon_sym_PIPE,
    ACTIONS(6634), 1,
      anon_sym_DOT,
    ACTIONS(6636), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4095), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123101] = 4,
    ACTIONS(4151), 1,
      anon_sym_EQ,
    ACTIONS(6638), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
  [123125] = 3,
    ACTIONS(4235), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123147] = 3,
    ACTIONS(4239), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4241), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123169] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6642), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3671), 1,
      sym__call_signature,
    STATE(4313), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6640), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123205] = 3,
    ACTIONS(4243), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123227] = 13,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_GT,
    ACTIONS(6648), 1,
      anon_sym_SLASH_GT,
    STATE(3437), 1,
      sym_type_arguments,
    STATE(3444), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [123269] = 13,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_GT,
    ACTIONS(6650), 1,
      anon_sym_SLASH_GT,
    STATE(3359), 1,
      sym_type_arguments,
    STATE(3361), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [123311] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4069), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123331] = 6,
    ACTIONS(4401), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [123359] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6654), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4131), 1,
      sym__call_signature,
    STATE(4133), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6652), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123395] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6656), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4439), 1,
      sym__call_signature,
    STATE(4440), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6630), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4277), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4273), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123491] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4277), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123511] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123531] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123551] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6658), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4312), 1,
      sym__call_signature,
    STATE(4313), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6640), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123587] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4283), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123607] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4287), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123627] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4291), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123647] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4295), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123667] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4291), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123687] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4295), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123707] = 3,
    ACTIONS(3167), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3169), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123729] = 4,
    ACTIONS(4111), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_extends,
  [123753] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6660), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4152), 1,
      sym__call_signature,
    STATE(4153), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6608), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [123789] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4339), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123809] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123849] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4343), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123869] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123889] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123909] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4351), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123929] = 3,
    ACTIONS(3171), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3173), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [123951] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123971] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [123991] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4355), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4375), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124031] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124051] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4383), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124071] = 5,
    ACTIONS(4027), 1,
      anon_sym_PIPE,
    ACTIONS(6345), 1,
      anon_sym_LT,
    STATE(3212), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124097] = 3,
    ACTIONS(4247), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4249), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124159] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4387), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124179] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124219] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6662), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3602), 1,
      sym__call_signature,
    STATE(4133), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6652), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124255] = 6,
    ACTIONS(4309), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [124283] = 6,
    ACTIONS(4333), 1,
      anon_sym_EQ,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
  [124311] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4391), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124331] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4269), 13,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [124351] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4190), 1,
      sym_type_annotation,
    STATE(4634), 1,
      sym__initializer,
    STATE(5152), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124388] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3788), 1,
      sym__call_signature,
    STATE(4171), 1,
      sym_type_annotation,
    STATE(4664), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124425] = 12,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6668), 1,
      anon_sym_GT,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(6672), 1,
      anon_sym_SLASH_GT,
    STATE(3360), 1,
      sym_type_arguments,
    STATE(3362), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [124464] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4181), 1,
      sym_type_annotation,
    STATE(4675), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5511), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124501] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4443), 1,
      sym__call_signature,
    STATE(4444), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6676), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124534] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4138), 1,
      sym_type_annotation,
    STATE(5222), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5539), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124571] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4463), 1,
      sym_type_annotation,
    STATE(5224), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5570), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124608] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4455), 1,
      sym_type_annotation,
    STATE(5210), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5542), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124645] = 3,
    ACTIONS(4175), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124666] = 7,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [124695] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3731), 1,
      sym__call_signature,
    STATE(4444), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6676), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124728] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4307), 1,
      sym__call_signature,
    STATE(4308), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6682), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124761] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4254), 1,
      sym_type_annotation,
    STATE(4815), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5492), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124798] = 3,
    ACTIONS(4063), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4065), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [124819] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4374), 1,
      sym_type_annotation,
    STATE(5050), 1,
      sym__call_signature,
    STATE(5051), 1,
      sym__initializer,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124856] = 3,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124877] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3573), 1,
      sym__call_signature,
    STATE(4168), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6686), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [124910] = 4,
    ACTIONS(4045), 1,
      anon_sym_PIPE,
    ACTIONS(6381), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124933] = 4,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 10,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [124956] = 4,
    ACTIONS(4027), 1,
      anon_sym_PIPE,
    ACTIONS(6688), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [124979] = 8,
    ACTIONS(3460), 1,
      anon_sym_DOT,
    ACTIONS(3464), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6690), 1,
      anon_sym_LPAREN,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [125010] = 3,
    ACTIONS(4263), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125031] = 12,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6668), 1,
      anon_sym_GT,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(6692), 1,
      anon_sym_SLASH_GT,
    STATE(3365), 1,
      sym_type_arguments,
    STATE(3370), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [125070] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4163), 1,
      sym__call_signature,
    STATE(4168), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6686), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125103] = 7,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3866), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [125132] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4017), 1,
      sym_type_annotation,
    STATE(4632), 1,
      sym__initializer,
    STATE(5315), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125169] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3896), 1,
      sym__call_signature,
    STATE(4436), 1,
      sym_type_annotation,
    STATE(5174), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125206] = 7,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3788), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [125235] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_type_annotation,
    STATE(4913), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5397), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125272] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1927), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [125291] = 8,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6312), 1,
      anon_sym_DOT,
    ACTIONS(6314), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6690), 1,
      anon_sym_LPAREN,
    STATE(2891), 1,
      sym_arguments,
    STATE(2959), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4017), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [125322] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3789), 1,
      sym__call_signature,
    STATE(4190), 1,
      sym_type_annotation,
    STATE(4768), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125359] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3705), 1,
      sym__call_signature,
    STATE(4404), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6696), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125392] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4365), 1,
      sym_type_annotation,
    STATE(5012), 1,
      sym__initializer,
    STATE(5275), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125429] = 7,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [125458] = 3,
    ACTIONS(4405), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125479] = 3,
    ACTIONS(4377), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [125500] = 8,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6308), 1,
      anon_sym_DOT,
    ACTIONS(6310), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6690), 1,
      anon_sym_LPAREN,
    STATE(2878), 1,
      sym_arguments,
    STATE(2960), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4023), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [125531] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4019), 1,
      sym_type_annotation,
    STATE(4639), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5443), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125568] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1731), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_extends,
  [125587] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4094), 1,
      sym_type_annotation,
    STATE(5018), 1,
      sym__initializer,
    STATE(5285), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125624] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4417), 1,
      sym_type_annotation,
    STATE(5132), 1,
      sym__initializer,
    STATE(5259), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125661] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4120), 1,
      sym_type_annotation,
    STATE(5117), 1,
      sym__initializer,
    STATE(5277), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125698] = 7,
    ACTIONS(3785), 1,
      anon_sym_COMMA,
    ACTIONS(3877), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [125727] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3827), 1,
      sym__call_signature,
    STATE(4246), 1,
      sym_type_annotation,
    STATE(4809), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125764] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4029), 1,
      sym_type_annotation,
    STATE(4694), 1,
      sym__initializer,
    STATE(5325), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125801] = 12,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6668), 1,
      anon_sym_GT,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(6704), 1,
      anon_sym_SLASH_GT,
    STATE(3448), 1,
      sym_type_arguments,
    STATE(3463), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [125840] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4096), 1,
      sym_type_annotation,
    STATE(5040), 1,
      sym__initializer,
    STATE(5312), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [125877] = 5,
    ACTIONS(6433), 1,
      anon_sym_LT,
    ACTIONS(6622), 1,
      anon_sym_DOT,
    STATE(3369), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [125902] = 5,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(6706), 1,
      anon_sym_DOT,
    STATE(3296), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4041), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [125927] = 12,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(6359), 1,
      anon_sym_STAR,
    ACTIONS(6363), 1,
      anon_sym_LBRACE,
    ACTIONS(6526), 1,
      sym_identifier,
    ACTIONS(6528), 1,
      anon_sym_type,
    STATE(4349), 1,
      sym_string,
    STATE(4350), 1,
      sym_import_require_clause,
    STATE(5301), 1,
      sym__import_identifier,
    STATE(5568), 1,
      sym_import_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5990), 2,
      sym_namespace_import,
      sym_named_imports,
  [125966] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3600), 1,
      sym__call_signature,
    STATE(4129), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6708), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [125999] = 4,
    ACTIONS(4035), 1,
      anon_sym_PIPE,
    ACTIONS(6381), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126022] = 8,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_DOT,
    ACTIONS(6710), 1,
      anon_sym_QMARK,
    STATE(2908), 1,
      sym_type_arguments,
    STATE(5384), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [126053] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4299), 1,
      sym_type_annotation,
    STATE(4888), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5342), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126090] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [126121] = 4,
    ACTIONS(4077), 1,
      anon_sym_PIPE,
    ACTIONS(6713), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126144] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3794), 1,
      sym__call_signature,
    STATE(4374), 1,
      sym_type_annotation,
    STATE(5030), 1,
      sym__initializer,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126181] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4121), 1,
      sym__call_signature,
    STATE(4129), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6708), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126214] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(4247), 1,
      sym_type_annotation,
    STATE(4804), 1,
      sym__initializer,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5452), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [126251] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4403), 1,
      sym__call_signature,
    STATE(4404), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6696), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126284] = 12,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6668), 1,
      anon_sym_GT,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(6715), 1,
      anon_sym_SLASH_GT,
    STATE(3331), 1,
      sym_type_arguments,
    STATE(3332), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [126323] = 9,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3665), 1,
      sym__call_signature,
    STATE(4308), 1,
      sym_type_annotation,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6682), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126356] = 3,
    ACTIONS(1670), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_is,
      anon_sym_PIPE_RBRACE,
  [126377] = 3,
    ACTIONS(4259), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126397] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [126421] = 3,
    ACTIONS(4325), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4327), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126441] = 3,
    ACTIONS(1873), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [126461] = 3,
    ACTIONS(4089), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126481] = 3,
    ACTIONS(4333), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126501] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6727), 1,
      anon_sym_LT_SLASH,
    ACTIONS(6729), 1,
      anon_sym_LT,
    STATE(3263), 1,
      sym_jsx_opening_element,
    STATE(4244), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6725), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3267), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [126531] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [126555] = 3,
    ACTIONS(4251), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126575] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LT_SLASH,
    STATE(3263), 1,
      sym_jsx_opening_element,
    STATE(4331), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6731), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3194), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [126605] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LT,
    ACTIONS(6733), 1,
      anon_sym_LT_SLASH,
    STATE(3263), 1,
      sym_jsx_opening_element,
    STATE(4343), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6725), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3267), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [126635] = 3,
    ACTIONS(4099), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126655] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LT,
    ACTIONS(6737), 1,
      anon_sym_LT_SLASH,
    STATE(1625), 1,
      sym_jsx_closing_element,
    STATE(3263), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6735), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3214), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [126685] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LT,
    ACTIONS(6741), 1,
      anon_sym_LT_SLASH,
    STATE(2089), 1,
      sym_jsx_closing_element,
    STATE(3263), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6739), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3230), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [126715] = 3,
    ACTIONS(2343), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2341), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126735] = 3,
    ACTIONS(4103), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4105), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126755] = 3,
    ACTIONS(4107), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4109), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126775] = 4,
    ACTIONS(4111), 1,
      anon_sym_PIPE,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126797] = 3,
    ACTIONS(4035), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126817] = 3,
    ACTIONS(4117), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126837] = 3,
    ACTIONS(4125), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126857] = 3,
    ACTIONS(4133), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126877] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [126901] = 5,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(6743), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(4147), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [126925] = 4,
    ACTIONS(4151), 1,
      anon_sym_PIPE,
    ACTIONS(6745), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE_RBRACE,
  [126947] = 4,
    ACTIONS(4157), 1,
      anon_sym_PIPE,
    ACTIONS(6743), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [126969] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [126993] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [127017] = 3,
    ACTIONS(4171), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5401), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127055] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LT,
    ACTIONS(6737), 1,
      anon_sym_LT_SLASH,
    STATE(1661), 1,
      sym_jsx_closing_element,
    STATE(3263), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6725), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3267), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [127085] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3738), 1,
      sym_formal_parameters,
    STATE(5298), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127111] = 3,
    ACTIONS(2339), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127131] = 3,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127151] = 3,
    ACTIONS(4191), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127171] = 5,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    STATE(1643), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 8,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127195] = 3,
    ACTIONS(4199), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127215] = 3,
    ACTIONS(4203), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127235] = 4,
    ACTIONS(6433), 1,
      anon_sym_LT,
    STATE(3382), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127257] = 3,
    ACTIONS(4357), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127277] = 3,
    ACTIONS(4361), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127297] = 3,
    ACTIONS(4207), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127317] = 3,
    ACTIONS(4365), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3177), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127355] = 3,
    ACTIONS(4217), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127375] = 3,
    ACTIONS(2353), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2351), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127395] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LT,
    ACTIONS(6741), 1,
      anon_sym_LT_SLASH,
    STATE(2189), 1,
      sym_jsx_closing_element,
    STATE(3263), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6725), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3267), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [127425] = 3,
    ACTIONS(4231), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127445] = 4,
    ACTIONS(6429), 1,
      anon_sym_DOT,
    ACTIONS(6431), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3454), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127467] = 4,
    ACTIONS(6747), 1,
      anon_sym_DOT,
    ACTIONS(6749), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4095), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127489] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [127513] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3173), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127531] = 6,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_DOT,
    ACTIONS(6751), 1,
      anon_sym_is,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [127557] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [127575] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4181), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127593] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4189), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127611] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4197), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127629] = 11,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6755), 1,
      anon_sym_type,
    ACTIONS(6757), 1,
      anon_sym_COMMA,
    ACTIONS(6759), 1,
      anon_sym_RBRACE,
    ACTIONS(6761), 1,
      anon_sym_typeof,
    STATE(5002), 1,
      sym_import_specifier,
    STATE(5260), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5894), 2,
      sym__module_export_name,
      sym_string,
  [127665] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3436), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127683] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3438), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127701] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4237), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127719] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4241), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127737] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4245), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127755] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4249), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127773] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3169), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [127791] = 4,
    ACTIONS(4255), 1,
      anon_sym_PIPE,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127813] = 3,
    ACTIONS(4301), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127833] = 3,
    ACTIONS(2349), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2347), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127853] = 3,
    ACTIONS(4305), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4307), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127873] = 3,
    ACTIONS(1869), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_extends,
  [127893] = 3,
    ACTIONS(4073), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4075), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127913] = 3,
    ACTIONS(4027), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127933] = 3,
    ACTIONS(4121), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127953] = 3,
    ACTIONS(4393), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [127973] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [127997] = 3,
    ACTIONS(4045), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128017] = 3,
    ACTIONS(2335), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128037] = 3,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128057] = 4,
    ACTIONS(4083), 1,
      anon_sym_PIPE,
    ACTIONS(6743), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [128079] = 8,
    ACTIONS(6723), 1,
      anon_sym_LBRACE,
    ACTIONS(6727), 1,
      anon_sym_LT_SLASH,
    ACTIONS(6729), 1,
      anon_sym_LT,
    STATE(3263), 1,
      sym_jsx_opening_element,
    STATE(4216), 1,
      sym_jsx_closing_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6763), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3190), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [128109] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6755), 1,
      anon_sym_type,
    ACTIONS(6761), 1,
      anon_sym_typeof,
    ACTIONS(6765), 1,
      anon_sym_RBRACE,
    STATE(5260), 1,
      sym__import_identifier,
    STATE(5324), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5894), 2,
      sym__module_export_name,
      sym_string,
  [128142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1668), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [128159] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6767), 1,
      sym_identifier,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    STATE(2213), 1,
      sym_class_body,
    STATE(3611), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5240), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128194] = 7,
    ACTIONS(6775), 1,
      anon_sym_LBRACE,
    ACTIONS(6781), 1,
      anon_sym_LT_SLASH,
    ACTIONS(6783), 1,
      anon_sym_LT,
    STATE(3263), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6778), 2,
      sym_jsx_text,
      sym_html_character_reference,
    STATE(3267), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [128221] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6786), 1,
      sym_identifier,
    STATE(2339), 1,
      sym_class_body,
    STATE(3536), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5280), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128256] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6788), 1,
      sym_identifier,
    STATE(2213), 1,
      sym_class_body,
    STATE(3611), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5240), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128291] = 10,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_GT,
    ACTIONS(6650), 1,
      anon_sym_SLASH_GT,
    STATE(3350), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [128324] = 3,
    ACTIONS(6790), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4079), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128343] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6792), 1,
      sym_identifier,
    STATE(2213), 1,
      sym_class_body,
    STATE(3611), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5240), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128378] = 6,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6316), 1,
      anon_sym_DOT,
    ACTIONS(6794), 1,
      anon_sym_is,
    STATE(2908), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3498), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128403] = 3,
    ACTIONS(6624), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128422] = 5,
    ACTIONS(6047), 1,
      anon_sym_LPAREN,
    ACTIONS(6371), 1,
      anon_sym_DOT,
    STATE(2900), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4041), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [128445] = 4,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3852), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6796), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128466] = 4,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [128487] = 10,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6335), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_GT,
    STATE(3323), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [128520] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6800), 1,
      sym_identifier,
    STATE(2339), 1,
      sym_class_body,
    STATE(3536), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5280), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128555] = 10,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_GT,
    ACTIONS(6648), 1,
      anon_sym_SLASH_GT,
    STATE(3436), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [128588] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6802), 1,
      sym_identifier,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1669), 1,
      sym_class_body,
    STATE(3634), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5447), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128623] = 3,
    ACTIONS(6624), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128642] = 4,
    ACTIONS(6798), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3929), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6806), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128663] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6808), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [128686] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6810), 1,
      sym_identifier,
    STATE(2339), 1,
      sym_class_body,
    STATE(3536), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5280), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128721] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6812), 1,
      anon_sym_type,
    ACTIONS(6814), 1,
      anon_sym_as,
    STATE(5410), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(5599), 2,
      sym__module_export_name,
      sym_string,
  [128752] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_identifier,
    STATE(1723), 1,
      sym_class_body,
    STATE(3621), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5464), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128787] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6818), 1,
      sym_identifier,
    STATE(2485), 1,
      sym_class_body,
    STATE(3716), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5237), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128822] = 3,
    ACTIONS(6820), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128841] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6822), 1,
      sym_identifier,
    STATE(2213), 1,
      sym_class_body,
    STATE(3611), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5240), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128876] = 11,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      anon_sym_extends,
    ACTIONS(6773), 1,
      anon_sym_implements,
    ACTIONS(6824), 1,
      sym_identifier,
    STATE(2339), 1,
      sym_class_body,
    STATE(3536), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5280), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [128911] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4065), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
      anon_sym_is,
  [128928] = 10,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6755), 1,
      anon_sym_type,
    ACTIONS(6761), 1,
      anon_sym_typeof,
    ACTIONS(6826), 1,
      anon_sym_RBRACE,
    STATE(5260), 1,
      sym__import_identifier,
    STATE(5324), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5894), 2,
      sym__module_export_name,
      sym_string,
  [128961] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4165), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [128978] = 10,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6339), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(6646), 1,
      anon_sym_GT,
    STATE(3336), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129011] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4177), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129028] = 8,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6828), 1,
      anon_sym_EQ,
    ACTIONS(6832), 1,
      anon_sym_BANG,
    STATE(4195), 1,
      sym__initializer,
    STATE(4458), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129057] = 9,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6832), 1,
      anon_sym_BANG,
    ACTIONS(6836), 1,
      sym__automatic_semicolon,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5215), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6834), 2,
      anon_sym_in,
      anon_sym_of,
  [129088] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      sym_identifier,
    ACTIONS(6843), 1,
      anon_sym_COMMA,
    ACTIONS(6845), 1,
      anon_sym_RBRACE,
    STATE(5013), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5045), 2,
      sym__module_export_name,
      sym_string,
  [129119] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2341), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129135] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6847), 1,
      anon_sym_BANG,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    STATE(4405), 1,
      sym_type_annotation,
    STATE(5100), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129163] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6853), 1,
      anon_sym_BANG,
    ACTIONS(6855), 1,
      anon_sym_QMARK,
    STATE(4335), 1,
      sym_type_annotation,
    STATE(4952), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129191] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6857), 1,
      anon_sym_BANG,
    ACTIONS(6859), 1,
      anon_sym_QMARK,
    STATE(4034), 1,
      sym_type_annotation,
    STATE(4724), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129219] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6861), 1,
      anon_sym_BANG,
    ACTIONS(6863), 1,
      anon_sym_QMARK,
    STATE(4409), 1,
      sym_type_annotation,
    STATE(5112), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129247] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6865), 1,
      anon_sym_BANG,
    ACTIONS(6867), 1,
      anon_sym_QMARK,
    STATE(4412), 1,
      sym_type_annotation,
    STATE(5118), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6483), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129275] = 7,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6869), 1,
      anon_sym_DQUOTE,
    ACTIONS(6871), 1,
      anon_sym_SQUOTE,
    ACTIONS(6873), 1,
      anon_sym_LT,
    STATE(3193), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4325), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [129301] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2194), 1,
      sym_class_body,
    STATE(3632), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5431), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129333] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6879), 1,
      anon_sym_BANG,
    ACTIONS(6881), 1,
      anon_sym_QMARK,
    STATE(3951), 1,
      sym_type_annotation,
    STATE(4643), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129361] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6883), 1,
      anon_sym_BANG,
    ACTIONS(6885), 1,
      anon_sym_QMARK,
    STATE(4000), 1,
      sym_type_annotation,
    STATE(5087), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129389] = 8,
    ACTIONS(6887), 1,
      sym_identifier,
    ACTIONS(6890), 1,
      anon_sym_LBRACE,
    ACTIONS(6895), 1,
      sym_jsx_identifier,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6893), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129417] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(3622), 1,
      sym_type_parameters,
    STATE(3984), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5519), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129449] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6900), 1,
      anon_sym_BANG,
    ACTIONS(6902), 1,
      anon_sym_QMARK,
    STATE(3956), 1,
      sym_type_annotation,
    STATE(4782), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129477] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(1627), 1,
      sym_class_body,
    STATE(3630), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5270), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129509] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6904), 1,
      anon_sym_GT,
    ACTIONS(6906), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129539] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6904), 1,
      anon_sym_GT,
    ACTIONS(6908), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129569] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(251), 1,
      sym_class_body,
    STATE(3546), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5479), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [129601] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5064), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [129627] = 7,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4173), 1,
      sym_type_annotation,
    STATE(4657), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6914), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6912), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129653] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6916), 1,
      anon_sym_GT,
    ACTIONS(6918), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129683] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6836), 1,
      sym__automatic_semicolon,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5225), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6834), 2,
      anon_sym_in,
      anon_sym_of,
  [129711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4395), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129727] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6916), 1,
      anon_sym_GT,
    ACTIONS(6920), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129757] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6922), 1,
      anon_sym_GT,
    ACTIONS(6924), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129787] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6926), 1,
      anon_sym_BANG,
    ACTIONS(6928), 1,
      anon_sym_QMARK,
    STATE(4050), 1,
      sym_type_annotation,
    STATE(4788), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129815] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6930), 1,
      anon_sym_GT,
    ACTIONS(6932), 1,
      anon_sym_SLASH_GT,
    STATE(3401), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129845] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6934), 1,
      anon_sym_BANG,
    ACTIONS(6936), 1,
      anon_sym_QMARK,
    STATE(4056), 1,
      sym_type_annotation,
    STATE(4832), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [129873] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6938), 1,
      anon_sym_GT,
    ACTIONS(6940), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129903] = 5,
    ACTIONS(6371), 1,
      anon_sym_DOT,
    ACTIONS(6690), 1,
      anon_sym_LPAREN,
    STATE(2900), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4041), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129925] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4075), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129941] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [129957] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6942), 1,
      anon_sym_GT,
    ACTIONS(6944), 1,
      anon_sym_SLASH_GT,
    STATE(3404), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [129987] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6946), 1,
      anon_sym_GT,
    ACTIONS(6948), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130017] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(6952), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130047] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6954), 1,
      anon_sym_BANG,
    ACTIONS(6956), 1,
      anon_sym_QMARK,
    STATE(4059), 1,
      sym_type_annotation,
    STATE(4847), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130075] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4123), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130091] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6922), 1,
      anon_sym_GT,
    ACTIONS(6958), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130121] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(3663), 1,
      sym_type_parameters,
    STATE(4035), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5419), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130153] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6930), 1,
      anon_sym_GT,
    ACTIONS(6960), 1,
      anon_sym_SLASH_GT,
    STATE(3315), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130183] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130199] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6962), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [130215] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [130237] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [130259] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6970), 1,
      anon_sym_BANG,
    ACTIONS(6972), 1,
      anon_sym_QMARK,
    STATE(4191), 1,
      sym_type_annotation,
    STATE(4712), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130287] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2536), 1,
      sym_class_body,
    STATE(3545), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5535), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130319] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6974), 1,
      anon_sym_BANG,
    ACTIONS(6976), 1,
      anon_sym_QMARK,
    STATE(4080), 1,
      sym_type_annotation,
    STATE(4916), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130347] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6978), 1,
      anon_sym_BANG,
    ACTIONS(6980), 1,
      anon_sym_QMARK,
    STATE(4085), 1,
      sym_type_annotation,
    STATE(4965), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130375] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130391] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      sym_identifier,
    ACTIONS(6982), 1,
      anon_sym_RBRACE,
    STATE(5336), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5045), 2,
      sym__module_export_name,
      sym_string,
  [130419] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6938), 1,
      anon_sym_GT,
    ACTIONS(6984), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130449] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6922), 1,
      anon_sym_GT,
    ACTIONS(6986), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130479] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(702), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4673), 1,
      aux_sym_object_repeat1,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [130505] = 3,
    ACTIONS(6988), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130523] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4091), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130539] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6990), 1,
      anon_sym_BANG,
    ACTIONS(6992), 1,
      anon_sym_QMARK,
    STATE(4208), 1,
      sym_type_annotation,
    STATE(4745), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130567] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6994), 1,
      anon_sym_BANG,
    ACTIONS(6996), 1,
      anon_sym_QMARK,
    STATE(4219), 1,
      sym_type_annotation,
    STATE(4755), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130595] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6998), 1,
      anon_sym_BANG,
    ACTIONS(7000), 1,
      anon_sym_QMARK,
    STATE(4222), 1,
      sym_type_annotation,
    STATE(4758), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130623] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7002), 1,
      anon_sym_BANG,
    ACTIONS(7004), 1,
      anon_sym_QMARK,
    STATE(4227), 1,
      sym_type_annotation,
    STATE(4769), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130651] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7006), 1,
      anon_sym_BANG,
    ACTIONS(7008), 1,
      anon_sym_QMARK,
    STATE(4232), 1,
      sym_type_annotation,
    STATE(4781), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130679] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6930), 1,
      anon_sym_GT,
    ACTIONS(7010), 1,
      anon_sym_SLASH_GT,
    STATE(3403), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130709] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6942), 1,
      anon_sym_GT,
    ACTIONS(7012), 1,
      anon_sym_SLASH_GT,
    STATE(3322), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130739] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6938), 1,
      anon_sym_GT,
    ACTIONS(7014), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130769] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6946), 1,
      anon_sym_GT,
    ACTIONS(7016), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130799] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(7018), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130829] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7020), 1,
      anon_sym_BANG,
    ACTIONS(7022), 1,
      anon_sym_QMARK,
    STATE(3966), 1,
      sym_type_annotation,
    STATE(5141), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130857] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6942), 1,
      anon_sym_GT,
    ACTIONS(7024), 1,
      anon_sym_SLASH_GT,
    STATE(3407), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [130887] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7026), 1,
      anon_sym_BANG,
    ACTIONS(7028), 1,
      anon_sym_QMARK,
    STATE(3969), 1,
      sym_type_annotation,
    STATE(4638), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130915] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7030), 1,
      anon_sym_BANG,
    ACTIONS(7032), 1,
      anon_sym_QMARK,
    STATE(3972), 1,
      sym_type_annotation,
    STATE(4734), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [130943] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2291), 1,
      sym_class_body,
    STATE(3662), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5429), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [130975] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [130991] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6946), 1,
      anon_sym_GT,
    ACTIONS(7034), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131021] = 4,
    ACTIONS(7036), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3975), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6806), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131041] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(807), 1,
      sym_class_body,
    STATE(3717), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5490), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131073] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(7040), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131103] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2232), 1,
      sym_class_body,
    STATE(3565), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5476), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131135] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7042), 1,
      anon_sym_BANG,
    ACTIONS(7044), 1,
      anon_sym_QMARK,
    STATE(4258), 1,
      sym_type_annotation,
    STATE(4826), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131163] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131179] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2214), 1,
      sym_class_body,
    STATE(3697), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5533), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131211] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(3707), 1,
      sym_type_parameters,
    STATE(4068), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5556), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131243] = 9,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6755), 1,
      anon_sym_type,
    ACTIONS(6761), 1,
      anon_sym_typeof,
    STATE(5260), 1,
      sym__import_identifier,
    STATE(5324), 1,
      sym_import_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5894), 2,
      sym__module_export_name,
      sym_string,
  [131273] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7046), 1,
      anon_sym_BANG,
    ACTIONS(7048), 1,
      anon_sym_QMARK,
    STATE(4272), 1,
      sym_type_annotation,
    STATE(4839), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131301] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7050), 1,
      anon_sym_BANG,
    ACTIONS(7052), 1,
      anon_sym_QMARK,
    STATE(4274), 1,
      sym_type_annotation,
    STATE(4845), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131329] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131345] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7054), 1,
      anon_sym_BANG,
    ACTIONS(7056), 1,
      anon_sym_QMARK,
    STATE(4281), 1,
      sym_type_annotation,
    STATE(4851), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131373] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(1719), 1,
      sym_class_body,
    STATE(3715), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5251), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131405] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4101), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131421] = 7,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6828), 1,
      anon_sym_EQ,
    STATE(4196), 1,
      sym__initializer,
    STATE(4458), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131447] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4109), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131463] = 7,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4434), 1,
      sym_type_annotation,
    STATE(5178), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6560), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6558), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131489] = 3,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [131507] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4119), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131523] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4127), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131539] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [131561] = 4,
    ACTIONS(6988), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4147), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131581] = 3,
    ACTIONS(7058), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [131599] = 3,
    ACTIONS(6988), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4159), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131617] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2319), 1,
      sym_class_body,
    STATE(3620), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5466), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131649] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(850), 1,
      sym_class_body,
    STATE(3610), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5552), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131681] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7060), 1,
      anon_sym_BANG,
    ACTIONS(7062), 1,
      anon_sym_QMARK,
    STATE(3989), 1,
      sym_type_annotation,
    STATE(4767), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131709] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7064), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [131725] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7066), 1,
      anon_sym_BANG,
    ACTIONS(7068), 1,
      anon_sym_QMARK,
    STATE(4081), 1,
      sym_type_annotation,
    STATE(4821), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131753] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6904), 1,
      anon_sym_GT,
    ACTIONS(7070), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131783] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131799] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6904), 1,
      anon_sym_GT,
    ACTIONS(7072), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131829] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6916), 1,
      anon_sym_GT,
    ACTIONS(7074), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131859] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(261), 1,
      sym_class_body,
    STATE(3616), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5504), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [131891] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131907] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6916), 1,
      anon_sym_GT,
    ACTIONS(7076), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [131937] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7078), 1,
      anon_sym_BANG,
    ACTIONS(7080), 1,
      anon_sym_QMARK,
    STATE(4172), 1,
      sym_type_annotation,
    STATE(4631), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [131965] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [131981] = 8,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      sym_identifier,
    ACTIONS(7082), 1,
      anon_sym_RBRACE,
    STATE(5336), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5045), 2,
      sym__module_export_name,
      sym_string,
  [132009] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7084), 1,
      anon_sym_BANG,
    ACTIONS(7086), 1,
      anon_sym_QMARK,
    STATE(4213), 1,
      sym_type_annotation,
    STATE(4744), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132037] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4193), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132053] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7088), 1,
      anon_sym_BANG,
    ACTIONS(7090), 1,
      anon_sym_QMARK,
    STATE(4249), 1,
      sym_type_annotation,
    STATE(4780), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132081] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7092), 1,
      anon_sym_BANG,
    ACTIONS(7094), 1,
      anon_sym_QMARK,
    STATE(4269), 1,
      sym_type_annotation,
    STATE(4837), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132109] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7096), 1,
      anon_sym_BANG,
    ACTIONS(7098), 1,
      anon_sym_QMARK,
    STATE(4022), 1,
      sym_type_annotation,
    STATE(4660), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132137] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4201), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132153] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4205), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132169] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4209), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132185] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7100), 1,
      anon_sym_BANG,
    ACTIONS(7102), 1,
      anon_sym_QMARK,
    STATE(4437), 1,
      sym_type_annotation,
    STATE(5170), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132213] = 7,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4373), 1,
      sym_type_annotation,
    STATE(5038), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6477), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6475), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132239] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4219), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132255] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7104), 1,
      anon_sym_BANG,
    ACTIONS(7106), 1,
      anon_sym_QMARK,
    STATE(4449), 1,
      sym_type_annotation,
    STATE(5197), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132283] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7108), 1,
      anon_sym_BANG,
    ACTIONS(7110), 1,
      anon_sym_QMARK,
    STATE(4459), 1,
      sym_type_annotation,
    STATE(5219), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132311] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7112), 1,
      anon_sym_BANG,
    ACTIONS(7114), 1,
      anon_sym_QMARK,
    STATE(4289), 1,
      sym_type_annotation,
    STATE(4869), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6602), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132339] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7116), 1,
      anon_sym_BANG,
    ACTIONS(7118), 1,
      anon_sym_QMARK,
    STATE(3995), 1,
      sym_type_annotation,
    STATE(5022), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132367] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1927), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132383] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132399] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [132421] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(755), 1,
      sym_class_body,
    STATE(3596), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5351), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132453] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(3730), 1,
      sym_type_parameters,
    STATE(4122), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5345), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132485] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6646), 1,
      anon_sym_GT,
    ACTIONS(6648), 1,
      anon_sym_SLASH_GT,
    STATE(3464), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132515] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6646), 1,
      anon_sym_GT,
    ACTIONS(6650), 1,
      anon_sym_SLASH_GT,
    STATE(3373), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132545] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4253), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132561] = 3,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [132579] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4261), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132595] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6922), 1,
      anon_sym_GT,
    ACTIONS(7120), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132625] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6930), 1,
      anon_sym_GT,
    ACTIONS(7122), 1,
      anon_sym_SLASH_GT,
    STATE(3314), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132655] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132671] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7124), 1,
      anon_sym_BANG,
    ACTIONS(7126), 1,
      anon_sym_QMARK,
    STATE(4031), 1,
      sym_type_annotation,
    STATE(4654), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2347), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [132715] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6339), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6646), 1,
      anon_sym_GT,
    STATE(3363), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132745] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7128), 1,
      anon_sym_BANG,
    ACTIONS(7130), 1,
      anon_sym_QMARK,
    STATE(4046), 1,
      sym_type_annotation,
    STATE(4784), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132773] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7132), 1,
      anon_sym_BANG,
    ACTIONS(7134), 1,
      anon_sym_QMARK,
    STATE(4051), 1,
      sym_type_annotation,
    STATE(4823), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132801] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6938), 1,
      anon_sym_GT,
    ACTIONS(7136), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132831] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7138), 1,
      anon_sym_BANG,
    ACTIONS(7140), 1,
      anon_sym_QMARK,
    STATE(3941), 1,
      sym_type_annotation,
    STATE(5147), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132859] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2100), 1,
      sym_class_body,
    STATE(3537), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5459), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132891] = 7,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4220), 1,
      sym_type_annotation,
    STATE(4779), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6463), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [132917] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6942), 1,
      anon_sym_GT,
    ACTIONS(7142), 1,
      anon_sym_SLASH_GT,
    STATE(3319), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [132947] = 10,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(765), 1,
      sym_class_body,
    STATE(3734), 1,
      sym_type_parameters,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5521), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [132979] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7144), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [132995] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133017] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133033] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5071), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133059] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(727), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4303), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133101] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4307), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133117] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133139] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4327), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133155] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133171] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [133193] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133209] = 7,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7146), 1,
      anon_sym_DOT,
    STATE(1231), 1,
      sym_arguments,
    STATE(5549), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3533), 4,
      anon_sym_export,
      anon_sym_class,
      anon_sym_AT,
      anon_sym_abstract,
  [133235] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6946), 1,
      anon_sym_GT,
    ACTIONS(7148), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133265] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6950), 1,
      anon_sym_GT,
    ACTIONS(7150), 1,
      anon_sym_SLASH_GT,
    STATE(3310), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133295] = 9,
    ACTIONS(6318), 1,
      sym_identifier,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6331), 1,
      sym_jsx_identifier,
    ACTIONS(6335), 1,
      anon_sym_SLASH_GT,
    ACTIONS(6646), 1,
      anon_sym_GT,
    STATE(3333), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(3819), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3955), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [133325] = 4,
    ACTIONS(7036), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4454), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
    ACTIONS(6796), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133345] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1731), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133361] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7152), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [133377] = 6,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7154), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6808), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [133401] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5015), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133427] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4359), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133443] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4363), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133459] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4367), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133475] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7156), 1,
      anon_sym_BANG,
    ACTIONS(7158), 1,
      anon_sym_QMARK,
    STATE(4378), 1,
      sym_type_annotation,
    STATE(5042), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133503] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2351), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133519] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7160), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [133535] = 7,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4442), 1,
      sym_type_annotation,
    STATE(5185), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6544), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(6542), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133561] = 7,
    ACTIONS(241), 1,
      anon_sym_COMMA,
    ACTIONS(729), 1,
      anon_sym_RBRACE,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    STATE(5173), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [133587] = 8,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7162), 1,
      anon_sym_BANG,
    ACTIONS(7164), 1,
      anon_sym_QMARK,
    STATE(3949), 1,
      sym_type_annotation,
    STATE(5043), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6520), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133615] = 7,
    ACTIONS(6322), 1,
      anon_sym_LBRACE,
    ACTIONS(6869), 1,
      anon_sym_DQUOTE,
    ACTIONS(6871), 1,
      anon_sym_SQUOTE,
    ACTIONS(6873), 1,
      anon_sym_LT,
    STATE(3193), 1,
      sym_jsx_opening_element,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4324), 4,
      sym_jsx_element,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym__jsx_string,
  [133641] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4105), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133657] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4318), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [133680] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4438), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [133703] = 7,
    ACTIONS(7172), 1,
      sym_escape_sequence,
    ACTIONS(7174), 1,
      anon_sym_BQUOTE,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [133728] = 4,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4185), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133747] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3173), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [133762] = 7,
    ACTIONS(7172), 1,
      sym_escape_sequence,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7180), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [133787] = 7,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(6832), 1,
      anon_sym_BANG,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5215), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [133812] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7182), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [133833] = 9,
    ACTIONS(7184), 1,
      sym_identifier,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(7188), 1,
      anon_sym_GT,
    ACTIONS(7190), 1,
      sym_jsx_identifier,
    ACTIONS(7192), 1,
      anon_sym_SLASH_GT,
    STATE(3122), 1,
      sym_nested_identifier,
    STATE(3441), 1,
      sym_jsx_namespace_name,
    STATE(4742), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133862] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6839), 1,
      sym_identifier,
    STATE(5336), 1,
      sym_export_specifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6841), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(5045), 2,
      sym__module_export_name,
      sym_string,
  [133887] = 7,
    ACTIONS(7172), 1,
      sym_escape_sequence,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7194), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [133912] = 7,
    ACTIONS(7172), 1,
      sym_escape_sequence,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7196), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [133937] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7198), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [133958] = 9,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(7188), 1,
      anon_sym_GT,
    ACTIONS(7200), 1,
      sym_identifier,
    ACTIONS(7202), 1,
      sym_jsx_identifier,
    ACTIONS(7204), 1,
      anon_sym_SLASH_GT,
    STATE(3181), 1,
      sym_nested_identifier,
    STATE(3465), 1,
      sym_jsx_namespace_name,
    STATE(4742), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [133987] = 7,
    ACTIONS(7172), 1,
      sym_escape_sequence,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7206), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(4136), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134012] = 5,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7210), 1,
      anon_sym_DOT,
    STATE(4411), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1672), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134033] = 9,
    ACTIONS(1504), 1,
      anon_sym_import,
    ACTIONS(7212), 1,
      sym_identifier,
    ACTIONS(7214), 1,
      sym_this,
    STATE(2876), 1,
      sym__type_query_member_expression,
    STATE(2890), 1,
      sym__type_query_subscript_expression,
    STATE(3066), 1,
      sym__type_query_call_expression,
    STATE(3195), 1,
      sym__type_query_instantiation_expression,
    STATE(4483), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134062] = 3,
    ACTIONS(6751), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134079] = 9,
    ACTIONS(1504), 1,
      anon_sym_import,
    ACTIONS(7216), 1,
      sym_identifier,
    ACTIONS(7218), 1,
      sym_this,
    STATE(2883), 1,
      sym__type_query_call_expression,
    STATE(2977), 1,
      sym__type_query_instantiation_expression,
    STATE(3150), 1,
      sym__type_query_member_expression,
    STATE(3157), 1,
      sym__type_query_subscript_expression,
    STATE(4523), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134108] = 7,
    ACTIONS(3381), 1,
      sym_identifier,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7220), 1,
      anon_sym_enum,
    STATE(4470), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [134133] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3169), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134148] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4170), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134171] = 9,
    ACTIONS(1504), 1,
      anon_sym_import,
    ACTIONS(7222), 1,
      sym_identifier,
    ACTIONS(7224), 1,
      sym_this,
    STATE(1469), 1,
      sym__type_query_member_expression,
    STATE(1470), 1,
      sym__type_query_subscript_expression,
    STATE(1498), 1,
      sym__type_query_call_expression,
    STATE(1499), 1,
      sym__type_query_instantiation_expression,
    STATE(4601), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134200] = 5,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7226), 1,
      anon_sym_DOT,
    STATE(4411), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1672), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134221] = 7,
    ACTIONS(3381), 1,
      sym_identifier,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7228), 1,
      anon_sym_enum,
    STATE(4495), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [134246] = 5,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6808), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134267] = 3,
    ACTIONS(6751), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3177), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [134299] = 3,
    ACTIONS(7230), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [134316] = 7,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7232), 1,
      sym_escape_sequence,
    ACTIONS(7234), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3844), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134341] = 9,
    ACTIONS(1504), 1,
      anon_sym_import,
    ACTIONS(7218), 1,
      sym_this,
    ACTIONS(7236), 1,
      sym_identifier,
    STATE(2834), 1,
      sym__type_query_subscript_expression,
    STATE(2835), 1,
      sym__type_query_member_expression,
    STATE(2883), 1,
      sym__type_query_call_expression,
    STATE(2977), 1,
      sym__type_query_instantiation_expression,
    STATE(4539), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134370] = 9,
    ACTIONS(1504), 1,
      anon_sym_import,
    ACTIONS(7238), 1,
      sym_identifier,
    ACTIONS(7240), 1,
      sym_this,
    STATE(1730), 1,
      sym__type_query_subscript_expression,
    STATE(1737), 1,
      sym__type_query_member_expression,
    STATE(1923), 1,
      sym__type_query_call_expression,
    STATE(1926), 1,
      sym__type_query_instantiation_expression,
    STATE(4588), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134399] = 7,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7232), 1,
      sym_escape_sequence,
    ACTIONS(7242), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3844), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134424] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4430), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134447] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1871), 2,
      anon_sym_while,
      sym_identifier,
    ACTIONS(1869), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
  [134464] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1875), 2,
      anon_sym_while,
      sym_identifier,
    ACTIONS(1873), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
      anon_sym_SLASH_GT,
      anon_sym_LT,
  [134481] = 9,
    ACTIONS(1504), 1,
      anon_sym_import,
    ACTIONS(7244), 1,
      sym_identifier,
    ACTIONS(7246), 1,
      sym_this,
    STATE(2984), 1,
      sym__type_query_member_expression,
    STATE(2985), 1,
      sym__type_query_subscript_expression,
    STATE(3233), 1,
      sym__type_query_call_expression,
    STATE(3385), 1,
      sym__type_query_instantiation_expression,
    STATE(4502), 1,
      sym_import,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134510] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6719), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7248), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134531] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4370), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134554] = 7,
    ACTIONS(7172), 1,
      sym_escape_sequence,
    ACTIONS(7176), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7178), 1,
      sym__template_chars,
    ACTIONS(7250), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [134579] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4432), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134602] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4433), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134625] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4317), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134648] = 6,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    ACTIONS(7166), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(7168), 1,
      anon_sym_PLUS_QMARK_COLON,
    ACTIONS(7170), 1,
      anon_sym_QMARK_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4169), 4,
      sym_omitting_type_annotation,
      sym_adding_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [134671] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5398), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7252), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [134689] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4341), 1,
      sym_type_annotation,
    STATE(4962), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134711] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5401), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [134725] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4407), 1,
      sym_type_annotation,
    STATE(5104), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7254), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134747] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4345), 1,
      sym_type_annotation,
    STATE(4969), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134769] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4171), 1,
      sym_type_annotation,
    STATE(4653), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6666), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134791] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7256), 1,
      sym_identifier,
    STATE(4471), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [134813] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7258), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [134827] = 6,
    ACTIONS(6320), 1,
      anon_sym_EQ,
    STATE(4504), 1,
      sym_constraint,
    STATE(5379), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7260), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(7262), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [134849] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4179), 1,
      sym_type_annotation,
    STATE(4674), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134871] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2187), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5517), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134897] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2329), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5303), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [134923] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7264), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [134937] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4344), 1,
      sym_type_annotation,
    STATE(4968), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [134959] = 5,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(7266), 1,
      sym_identifier,
    ACTIONS(7268), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7270), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [134979] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3958), 1,
      sym_type_annotation,
    STATE(4835), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135001] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4408), 1,
      sym_type_annotation,
    STATE(5106), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7254), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135023] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4093), 1,
      sym_type_annotation,
    STATE(5015), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135045] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7256), 1,
      sym_identifier,
    STATE(4495), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [135067] = 8,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2482), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5273), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135093] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(246), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5548), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135119] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4414), 1,
      sym_type_annotation,
    STATE(5127), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7254), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135141] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7272), 1,
      sym_identifier,
    ACTIONS(7274), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5513), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135167] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4095), 1,
      sym_type_annotation,
    STATE(5029), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135189] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5537), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7276), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [135207] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7064), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [135221] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7278), 1,
      anon_sym_DOT,
    STATE(1794), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135247] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4415), 1,
      sym_type_annotation,
    STATE(5129), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7254), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135269] = 7,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    ACTIONS(7284), 1,
      anon_sym_QMARK,
    STATE(4516), 1,
      sym_type_annotation,
    STATE(5394), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7282), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [135293] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3963), 1,
      sym_type_annotation,
    STATE(4863), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135315] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3964), 1,
      sym_type_annotation,
    STATE(4928), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1873), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [135351] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4007), 1,
      sym_type_annotation,
    STATE(5142), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135373] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7286), 1,
      anon_sym_COLON,
    ACTIONS(7288), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5455), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135399] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4188), 1,
      sym_type_annotation,
    STATE(4704), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135421] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4013), 1,
      sym_type_annotation,
    STATE(4628), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135443] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4189), 1,
      sym_type_annotation,
    STATE(4707), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135465] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4374), 1,
      sym_type_annotation,
    STATE(5027), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135487] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4192), 1,
      sym_type_annotation,
    STATE(4714), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135509] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2286), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5540), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135535] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4193), 1,
      sym_type_annotation,
    STATE(4717), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135557] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7290), 1,
      anon_sym_DOT,
    STATE(1794), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135583] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5575), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [135601] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7296), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5441), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135627] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5579), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7298), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [135645] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4197), 1,
      sym_type_annotation,
    STATE(4722), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135667] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5356), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7298), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [135685] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5364), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [135703] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4198), 1,
      sym_type_annotation,
    STATE(4725), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135725] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4199), 1,
      sym_type_annotation,
    STATE(4729), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135747] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4201), 1,
      sym_type_annotation,
    STATE(4733), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135769] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4211), 1,
      sym_type_annotation,
    STATE(4752), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135791] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4212), 1,
      sym_type_annotation,
    STATE(4753), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135813] = 8,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7300), 1,
      anon_sym_DOT,
    STATE(1979), 1,
      sym_arguments,
    STATE(5525), 1,
      sym_optional_chain,
    STATE(5532), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [135839] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4223), 1,
      sym_type_annotation,
    STATE(4761), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135861] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4224), 1,
      sym_type_annotation,
    STATE(4763), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135883] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4228), 1,
      sym_type_annotation,
    STATE(4770), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135905] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4229), 1,
      sym_type_annotation,
    STATE(4771), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135927] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4230), 1,
      sym_type_annotation,
    STATE(4773), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135949] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4231), 1,
      sym_type_annotation,
    STATE(4774), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135971] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4233), 1,
      sym_type_annotation,
    STATE(4783), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [135993] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4236), 1,
      sym_type_annotation,
    STATE(4785), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136015] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4237), 1,
      sym_type_annotation,
    STATE(4787), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136037] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4467), 1,
      sym_type_annotation,
    STATE(4790), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136059] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4245), 1,
      sym_type_annotation,
    STATE(4800), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136081] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3992), 1,
      sym_type_annotation,
    STATE(4936), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136103] = 8,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(2460), 1,
      sym_arguments,
    STATE(3485), 1,
      sym_type_arguments,
    STATE(5525), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136129] = 4,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4134), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7302), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [136147] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7304), 1,
      sym_identifier,
    STATE(4544), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3386), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [136169] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7256), 1,
      sym_identifier,
    STATE(4470), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [136191] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(760), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5437), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136217] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7152), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136231] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5349), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [136249] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7144), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136263] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5367), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [136281] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4253), 1,
      sym_type_annotation,
    STATE(4814), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136303] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5388), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7252), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [136321] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7278), 1,
      anon_sym_DOT,
    STATE(1588), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136347] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4255), 1,
      sym_type_annotation,
    STATE(4819), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136369] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4462), 1,
      sym_type_annotation,
    STATE(5223), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136391] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [136405] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7308), 1,
      sym_identifier,
    ACTIONS(7310), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5538), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136431] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4319), 1,
      sym_type_annotation,
    STATE(4911), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7312), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136453] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4256), 1,
      sym_type_annotation,
    STATE(4820), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136475] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(880), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5233), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136501] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2096), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5416), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136527] = 6,
    ACTIONS(6320), 1,
      anon_sym_EQ,
    STATE(4607), 1,
      sym_constraint,
    STATE(5290), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6324), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(7262), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [136549] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(1797), 1,
      sym_arguments,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136575] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4240), 1,
      sym_type_annotation,
    STATE(5230), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136597] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3934), 1,
      sym_type_annotation,
    STATE(5034), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136619] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(239), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5391), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136645] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4259), 1,
      sym_type_annotation,
    STATE(4828), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136667] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4267), 1,
      sym_type_annotation,
    STATE(4833), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136689] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4347), 1,
      sym_type_annotation,
    STATE(4976), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136711] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2326), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5528), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136737] = 8,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(1710), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5543), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136763] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4066), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5546), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136789] = 7,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(6753), 1,
      sym_identifier,
    ACTIONS(6812), 1,
      anon_sym_type,
    STATE(5410), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5599), 2,
      sym__module_export_name,
      sym_string,
  [136813] = 3,
    ACTIONS(6794), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4047), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136829] = 4,
    ACTIONS(4822), 1,
      anon_sym_COMMA,
    STATE(3658), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7314), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [136847] = 3,
    ACTIONS(7316), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4029), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [136863] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7256), 1,
      sym_identifier,
    STATE(4544), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [136885] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4278), 1,
      sym_type_annotation,
    STATE(4848), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136907] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4279), 1,
      sym_type_annotation,
    STATE(4849), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [136929] = 8,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(1715), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5244), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136955] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4891), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [136969] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2303), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5242), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [136995] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4190), 1,
      sym_type_annotation,
    STATE(4711), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6664), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137017] = 8,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(1703), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5433), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137043] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4282), 1,
      sym_type_annotation,
    STATE(4853), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7160), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [137079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4887), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [137093] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3943), 1,
      sym_type_annotation,
    STATE(4697), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137115] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7318), 1,
      sym_identifier,
    ACTIONS(7320), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137141] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7288), 1,
      anon_sym_QMARK,
    ACTIONS(7322), 1,
      anon_sym_COLON,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5455), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137167] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3945), 1,
      sym_type_annotation,
    STATE(4857), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137189] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4061), 1,
      sym_type_annotation,
    STATE(4852), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137211] = 3,
    ACTIONS(7324), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137227] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4283), 1,
      sym_type_annotation,
    STATE(4855), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137249] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7327), 1,
      sym_identifier,
    STATE(4470), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3320), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [137271] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7329), 1,
      sym_identifier,
    ACTIONS(7331), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5538), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137297] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4001), 1,
      sym_type_annotation,
    STATE(5092), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137319] = 8,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7333), 1,
      anon_sym_DOT,
    STATE(2412), 1,
      sym_arguments,
    STATE(5525), 1,
      sym_optional_chain,
    STATE(5532), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137345] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7335), 1,
      sym_identifier,
    ACTIONS(7337), 1,
      anon_sym_DOT,
    STATE(747), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    STATE(4585), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137371] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5413), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137389] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4363), 1,
      sym_type_annotation,
    STATE(5010), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137411] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7341), 1,
      sym_identifier,
    ACTIONS(7343), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137437] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7345), 1,
      sym_identifier,
    ACTIONS(7347), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5538), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137463] = 3,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3596), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137479] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4009), 1,
      sym_type_annotation,
    STATE(5079), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137501] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4351), 1,
      sym_type_annotation,
    STATE(4978), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137523] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5484), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7351), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137541] = 4,
    ACTIONS(7353), 1,
      anon_sym_COMMA,
    STATE(3658), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4791), 5,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [137559] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(2499), 1,
      sym_arguments,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137585] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4091), 1,
      sym_type_annotation,
    STATE(5003), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137607] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4246), 1,
      sym_type_annotation,
    STATE(4805), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6702), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137629] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2192), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5390), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137655] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4102), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5307), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137681] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137701] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5478), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137719] = 3,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137735] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137755] = 3,
    ACTIONS(7362), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_QMARK,
  [137771] = 3,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_extends,
  [137787] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(1595), 1,
      sym_arguments,
    STATE(3138), 1,
      sym_type_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137813] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5488), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7351), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [137831] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3991), 1,
      sym_type_annotation,
    STATE(4881), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137853] = 3,
    ACTIONS(6794), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4037), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [137869] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137889] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [137909] = 8,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      sym_identifier,
    ACTIONS(7366), 1,
      anon_sym_DOT,
    STATE(3505), 1,
      sym_nested_identifier,
    STATE(3750), 1,
      sym_string,
    STATE(4447), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [137935] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4280), 1,
      sym_type_annotation,
    STATE(4840), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137957] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4300), 1,
      sym_type_annotation,
    STATE(4892), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [137979] = 8,
    ACTIONS(1038), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1580), 1,
      anon_sym_LBRACE,
    ACTIONS(7368), 1,
      anon_sym_LT,
    ACTIONS(7370), 1,
      anon_sym_extends,
    STATE(3960), 1,
      sym_object_type,
    STATE(4021), 1,
      sym_type_parameters,
    STATE(4658), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138005] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4322), 1,
      sym_type_annotation,
    STATE(4921), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138027] = 5,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(5657), 1,
      anon_sym_RBRACE,
    STATE(5157), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [138047] = 6,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    STATE(1683), 1,
      sym_arguments,
    STATE(5395), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7372), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [138069] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4073), 1,
      sym_type_annotation,
    STATE(4889), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138091] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4323), 1,
      sym_type_annotation,
    STATE(4924), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138113] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3935), 1,
      sym_type_annotation,
    STATE(5226), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138135] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3936), 1,
      sym_type_annotation,
    STATE(4659), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138157] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3948), 1,
      sym_type_annotation,
    STATE(4972), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138179] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4284), 1,
      sym_type_annotation,
    STATE(4859), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138201] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4285), 1,
      sym_type_annotation,
    STATE(4860), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138223] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138243] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3950), 1,
      sym_type_annotation,
    STATE(4627), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138265] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4290), 1,
      sym_type_annotation,
    STATE(4871), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138287] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4291), 1,
      sym_type_annotation,
    STATE(4874), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138309] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4295), 1,
      sym_type_annotation,
    STATE(4878), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138331] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4297), 1,
      sym_type_annotation,
    STATE(4880), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138353] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4298), 1,
      sym_type_annotation,
    STATE(4887), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6674), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138375] = 8,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2068), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5341), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138401] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138421] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5389), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138439] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4024), 1,
      sym_type_annotation,
    STATE(4676), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138461] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5249), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138479] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4332), 1,
      sym_type_annotation,
    STATE(4947), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138501] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5323), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138519] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4333), 1,
      sym_type_annotation,
    STATE(4948), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138541] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5530), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138559] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4003), 1,
      sym_type_annotation,
    STATE(5103), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138581] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4125), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5361), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138607] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4336), 1,
      sym_type_annotation,
    STATE(4956), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138629] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5400), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138647] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5402), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138665] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [138685] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5385), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [138703] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4337), 1,
      sym_type_annotation,
    STATE(4959), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138725] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7386), 1,
      anon_sym_DOT,
    STATE(2497), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138751] = 8,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(1639), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5370), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138777] = 8,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    STATE(2538), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5241), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138803] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(828), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5445), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138829] = 6,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    STATE(2177), 1,
      sym_arguments,
    STATE(5353), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7372), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [138851] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4413), 1,
      sym_type_annotation,
    STATE(5120), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6700), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138873] = 8,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(6345), 1,
      anon_sym_LT,
    STATE(1954), 1,
      sym_arguments,
    STATE(3219), 1,
      sym_type_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138899] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4058), 1,
      sym_type_annotation,
    STATE(4842), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138921] = 8,
    ACTIONS(7388), 1,
      anon_sym_LBRACE,
    ACTIONS(7390), 1,
      anon_sym_COMMA,
    ACTIONS(7392), 1,
      anon_sym_DOT,
    ACTIONS(7394), 1,
      anon_sym_LT,
    ACTIONS(7396), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4543), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5164), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [138947] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4135), 1,
      sym_type_annotation,
    STATE(5206), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6678), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138969] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4340), 1,
      sym_type_annotation,
    STATE(4961), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [138991] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7398), 1,
      sym_identifier,
    ACTIONS(7400), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139017] = 4,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4143), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7402), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139035] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4436), 1,
      sym_type_annotation,
    STATE(5172), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6694), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139057] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5541), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139075] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7404), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [139089] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4166), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5432), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139115] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5362), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7406), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139133] = 4,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [139151] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3952), 1,
      sym_type_annotation,
    STATE(4661), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139173] = 8,
    ACTIONS(6875), 1,
      anon_sym_extends,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(762), 1,
      sym_class_body,
    STATE(4841), 1,
      sym_extends_clause,
    STATE(5574), 1,
      sym_class_heritage,
    STATE(5782), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139199] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4458), 1,
      sym_type_annotation,
    STATE(5225), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139221] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7408), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [139235] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4453), 1,
      sym_type_annotation,
    STATE(5208), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139257] = 4,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4431), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7410), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139275] = 4,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4176), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7412), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139293] = 3,
    ACTIONS(7414), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [139309] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3953), 1,
      sym_type_annotation,
    STATE(4691), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139331] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7417), 1,
      sym_identifier,
    ACTIONS(7419), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5333), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139357] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4087), 1,
      sym_type_annotation,
    STATE(4979), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139379] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4375), 1,
      sym_type_annotation,
    STATE(5025), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139401] = 8,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7337), 1,
      anon_sym_DOT,
    ACTIONS(7421), 1,
      sym_identifier,
    STATE(739), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139427] = 8,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7423), 1,
      sym_identifier,
    ACTIONS(7425), 1,
      anon_sym_STAR,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5538), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139453] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4376), 1,
      sym_type_annotation,
    STATE(5033), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139475] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4088), 1,
      sym_type_annotation,
    STATE(4985), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139497] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1869), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [139511] = 4,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    STATE(4411), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1672), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [139529] = 8,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7427), 1,
      anon_sym_DOT,
    STATE(1952), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139555] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4381), 1,
      sym_type_annotation,
    STATE(5044), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139577] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7429), 1,
      anon_sym_DOT,
    STATE(1588), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139603] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4383), 1,
      sym_type_annotation,
    STATE(5052), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139625] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4384), 1,
      sym_type_annotation,
    STATE(5055), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139647] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4385), 1,
      sym_type_annotation,
    STATE(5057), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139669] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4386), 1,
      sym_type_annotation,
    STATE(5064), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139691] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4889), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [139705] = 8,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(3963), 1,
      anon_sym_DOT,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    STATE(1650), 1,
      sym_arguments,
    STATE(5376), 1,
      sym_optional_chain,
    STATE(5377), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139731] = 8,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(6051), 1,
      anon_sym_LT,
    STATE(2355), 1,
      sym_arguments,
    STATE(5525), 1,
      sym_optional_chain,
    STATE(5532), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139757] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4387), 1,
      sym_type_annotation,
    STATE(5066), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139779] = 8,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(7368), 1,
      anon_sym_LT,
    ACTIONS(7370), 1,
      anon_sym_extends,
    STATE(813), 1,
      sym_object_type,
    STATE(3968), 1,
      sym_type_parameters,
    STATE(4629), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139805] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6962), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [139819] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4389), 1,
      sym_type_annotation,
    STATE(5075), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139841] = 6,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7256), 1,
      sym_identifier,
    STATE(4955), 1,
      sym_variable_declarator,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3735), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [139863] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4392), 1,
      sym_type_annotation,
    STATE(5077), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6698), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139885] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(3957), 1,
      sym_type_annotation,
    STATE(4806), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139907] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4005), 1,
      sym_type_annotation,
    STATE(5130), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139929] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4089), 1,
      sym_type_annotation,
    STATE(4994), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139951] = 6,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4090), 1,
      sym_type_annotation,
    STATE(4997), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6680), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [139973] = 8,
    ACTIONS(4425), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(4518), 1,
      anon_sym_DOT,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(2027), 1,
      sym_arguments,
    STATE(3485), 1,
      sym_type_arguments,
    STATE(5525), 1,
      sym_optional_chain,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [139999] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7431), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5366), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140022] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2347), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140035] = 3,
    ACTIONS(6497), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6499), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [140050] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7433), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5239), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140073] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6806), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [140090] = 6,
    ACTIONS(7392), 1,
      anon_sym_DOT,
    ACTIONS(7394), 1,
      anon_sym_LT,
    ACTIONS(7437), 1,
      anon_sym_LBRACE,
    STATE(5164), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7439), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [140111] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7441), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5360), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140134] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3731), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7443), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140151] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2625), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140168] = 7,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7146), 1,
      anon_sym_DOT,
    ACTIONS(7447), 1,
      anon_sym_RPAREN,
    STATE(1231), 1,
      sym_arguments,
    STATE(5549), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140191] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7449), 1,
      anon_sym_export,
    ACTIONS(7451), 1,
      anon_sym_class,
    ACTIONS(7453), 1,
      anon_sym_abstract,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140214] = 5,
    ACTIONS(7455), 1,
      anon_sym_default,
    ACTIONS(7457), 1,
      anon_sym_RBRACE,
    ACTIONS(7459), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3916), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [140233] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7461), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3699), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140256] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7298), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140273] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(7463), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3908), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140296] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3735), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140313] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2616), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7376), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140330] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2621), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140347] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7467), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5266), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140370] = 4,
    STATE(3828), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7471), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140387] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7298), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140404] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7473), 1,
      anon_sym_COMMA,
    ACTIONS(7475), 1,
      anon_sym_GT,
    STATE(4706), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140427] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2607), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140444] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7477), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5509), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140467] = 4,
    STATE(3868), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140484] = 5,
    ACTIONS(7484), 1,
      anon_sym_BQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7481), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3797), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [140503] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2333), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140516] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7489), 1,
      anon_sym_COMMA,
    ACTIONS(7491), 1,
      anon_sym_GT,
    STATE(5229), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140539] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7493), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4400), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140562] = 7,
    ACTIONS(7188), 1,
      anon_sym_GT,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      sym_jsx_identifier,
    ACTIONS(7499), 1,
      anon_sym_SLASH_GT,
    STATE(3166), 1,
      sym_nested_identifier,
    STATE(3431), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140585] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2341), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140598] = 3,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4113), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [140613] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7503), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5526), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140636] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(7505), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3855), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140659] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4139), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [140678] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7511), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5442), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140701] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7335), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(810), 1,
      sym__module,
    STATE(4585), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140724] = 3,
    ACTIONS(7513), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4153), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [140739] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7335), 1,
      sym_identifier,
    STATE(747), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    STATE(4585), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140762] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7408), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [140775] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7515), 1,
      anon_sym_COMMA,
    ACTIONS(7517), 1,
      anon_sym_GT,
    STATE(4803), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140798] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7519), 1,
      anon_sym_COMMA,
    ACTIONS(7521), 1,
      anon_sym_GT,
    STATE(4682), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140821] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7384), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140838] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(7523), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3785), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140861] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7525), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4303), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140884] = 6,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(7529), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7527), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [140905] = 4,
    STATE(3853), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7533), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [140922] = 4,
    ACTIONS(7535), 1,
      sym_identifier,
    ACTIONS(7537), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7539), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [140939] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2351), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [140952] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7541), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5266), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140975] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7453), 1,
      anon_sym_abstract,
    ACTIONS(7543), 1,
      anon_sym_export,
    ACTIONS(7545), 1,
      anon_sym_class,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [140998] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(7547), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3917), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141021] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7549), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5202), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141044] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7551), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3570), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141067] = 4,
    STATE(3854), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3719), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7553), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141084] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7406), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141101] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3719), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7553), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141118] = 7,
    ACTIONS(7390), 1,
      anon_sym_COMMA,
    ACTIONS(7394), 1,
      anon_sym_LT,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    ACTIONS(7557), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4611), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(5166), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141141] = 5,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(7559), 1,
      sym_identifier,
    ACTIONS(7561), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4568), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [141160] = 7,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(6051), 1,
      anon_sym_LT,
    ACTIONS(7146), 1,
      anon_sym_DOT,
    ACTIONS(7563), 1,
      anon_sym_RPAREN,
    STATE(1231), 1,
      sym_arguments,
    STATE(5549), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141183] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4233), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141202] = 3,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4257), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [141217] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7421), 1,
      sym_identifier,
    STATE(739), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(810), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141240] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7404), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141253] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3707), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7479), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141270] = 4,
    STATE(3856), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3699), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141287] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3697), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7567), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141304] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7569), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4142), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141327] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(7571), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3931), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141350] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      sym_identifier,
    STATE(3505), 1,
      sym_nested_identifier,
    STATE(3750), 1,
      sym_string,
    STATE(4410), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141373] = 4,
    STATE(3891), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7575), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7573), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141390] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2655), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7380), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141407] = 5,
    ACTIONS(7579), 1,
      anon_sym_BQUOTE,
    ACTIONS(7581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7577), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3797), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [141426] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7583), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5266), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141449] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4299), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141468] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4347), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141487] = 5,
    ACTIONS(3243), 1,
      anon_sym_LBRACE,
    ACTIONS(7561), 1,
      anon_sym_LBRACK,
    ACTIONS(7585), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4750), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [141506] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6796), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [141523] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7587), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3526), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141546] = 7,
    ACTIONS(7188), 1,
      anon_sym_GT,
    ACTIONS(7589), 1,
      sym_identifier,
    ACTIONS(7591), 1,
      sym_jsx_identifier,
    ACTIONS(7593), 1,
      anon_sym_SLASH_GT,
    STATE(3142), 1,
      sym_nested_identifier,
    STATE(3432), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141569] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7595), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141582] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3699), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7565), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141599] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3713), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7597), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141616] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7382), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141633] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3701), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7599), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141650] = 3,
    ACTIONS(4377), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [141665] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7601), 1,
      anon_sym_COMMA,
    ACTIONS(7603), 1,
      anon_sym_GT,
    STATE(4650), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141688] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7351), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141705] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7258), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [141718] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4335), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [141737] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2654), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7378), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141754] = 5,
    ACTIONS(3383), 1,
      anon_sym_LBRACE,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4731), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [141773] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7607), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5286), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7609), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [141809] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7611), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4429), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141832] = 4,
    STATE(3838), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3721), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141849] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3711), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7615), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141866] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141883] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2337), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [141896] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7617), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5346), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141919] = 4,
    STATE(3836), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7621), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7619), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141936] = 7,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7453), 1,
      anon_sym_abstract,
    ACTIONS(7545), 1,
      anon_sym_class,
    ACTIONS(7623), 1,
      anon_sym_export,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141959] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7625), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [141976] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7630), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3657), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [141999] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7632), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5049), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142022] = 7,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7421), 1,
      sym_identifier,
    STATE(739), 1,
      sym_nested_identifier,
    STATE(747), 1,
      sym_string,
    STATE(875), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142045] = 5,
    ACTIONS(7634), 1,
      anon_sym_default,
    ACTIONS(7637), 1,
      anon_sym_RBRACE,
    ACTIONS(7639), 1,
      anon_sym_case,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3878), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [142064] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7642), 1,
      anon_sym_COMMA,
    ACTIONS(7644), 1,
      anon_sym_GT,
    STATE(4930), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142087] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7646), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3703), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142110] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7648), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3710), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142133] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7650), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5267), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142156] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4403), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [142175] = 6,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    STATE(4591), 1,
      sym_type_annotation,
    STATE(5584), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [142196] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3721), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7613), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142213] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7654), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5545), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142236] = 4,
    STATE(3912), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3737), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7656), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142253] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2645), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7276), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142270] = 5,
    ACTIONS(7581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7658), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7577), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3797), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [142289] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2622), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7252), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142306] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3737), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7656), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142323] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7660), 1,
      anon_sym_LBRACE,
    ACTIONS(7662), 1,
      anon_sym_COMMA,
    STATE(4777), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142346] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7664), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5266), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142369] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7666), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4116), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142392] = 7,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(7668), 1,
      anon_sym_COMMA,
    ACTIONS(7670), 1,
      anon_sym_GT,
    STATE(4723), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142415] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2615), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7339), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142432] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7672), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5207), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142455] = 5,
    ACTIONS(7674), 1,
      anon_sym_AT,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3575), 3,
      anon_sym_export,
      anon_sym_class,
      anon_sym_abstract,
  [142474] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7264), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [142487] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7677), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5545), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142510] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    ACTIONS(7679), 1,
      anon_sym_QMARK,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3862), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142533] = 4,
    STATE(3885), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7683), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7681), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142550] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7685), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5545), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142573] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7376), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142590] = 3,
    ACTIONS(4263), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [142605] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142622] = 4,
    STATE(3779), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7689), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7687), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142639] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2631), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7252), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142656] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [142669] = 5,
    ACTIONS(7581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7693), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7232), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3844), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [142688] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7695), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [142707] = 4,
    STATE(3874), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3741), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7697), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142724] = 5,
    ACTIONS(7581), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7699), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7172), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(3889), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [142743] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7701), 1,
      sym_identifier,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5545), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142766] = 4,
    STATE(3787), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3731), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(7443), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142783] = 5,
    ACTIONS(7455), 1,
      anon_sym_default,
    ACTIONS(7459), 1,
      anon_sym_case,
    ACTIONS(7703), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3878), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [142802] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2610), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [142819] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [142838] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7707), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5435), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142861] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [142874] = 3,
    ACTIONS(4405), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [142889] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7709), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5310), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142912] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    ACTIONS(7711), 1,
      anon_sym_QMARK,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4420), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142935] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7713), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5327), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142958] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7715), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5580), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [142981] = 7,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    ACTIONS(7717), 1,
      anon_sym_QMARK,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5255), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143004] = 7,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    ACTIONS(7364), 1,
      sym_identifier,
    STATE(3505), 1,
      sym_nested_identifier,
    STATE(3750), 1,
      sym_string,
    STATE(4447), 1,
      sym__module,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143027] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2642), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7339), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143044] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143057] = 3,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5850), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3791), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [143072] = 4,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2644), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7351), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143089] = 5,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4311), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [143108] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3598), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143128] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4703), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143144] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5165), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143160] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5193), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143176] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4891), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [143188] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4887), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [143200] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143212] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2695), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143224] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4708), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143240] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3981), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143260] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4709), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143276] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5328), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143296] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4710), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143312] = 6,
    ACTIONS(1676), 1,
      anon_sym_LBRACE,
    ACTIONS(7727), 1,
      anon_sym_SEMI,
    ACTIONS(7729), 1,
      sym__automatic_semicolon,
    ACTIONS(7731), 1,
      sym__function_signature_automatic_semicolon,
    STATE(243), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143332] = 5,
    ACTIONS(7733), 1,
      anon_sym_BQUOTE,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7737), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4310), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [143350] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5194), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143366] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4719), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143382] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5209), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143398] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4726), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143414] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4727), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143430] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4728), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143446] = 3,
    ACTIONS(7741), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7739), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [143460] = 3,
    ACTIONS(7743), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7745), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [143474] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4735), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143490] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4738), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143506] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4739), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2615), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2627), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2631), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143558] = 3,
    ACTIONS(7749), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7747), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [143572] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4741), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143588] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4743), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7751), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [143616] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4754), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143632] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4640), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143648] = 6,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    ACTIONS(7370), 1,
      anon_sym_extends,
    STATE(811), 1,
      sym_object_type,
    STATE(4866), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143668] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4766), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143684] = 3,
    ACTIONS(7755), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7757), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [143698] = 5,
    ACTIONS(7759), 1,
      sym_identifier,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    STATE(1213), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1280), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [143716] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4772), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143732] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7609), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143744] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143756] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2667), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143780] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3946), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143800] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143812] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143824] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5417), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143844] = 6,
    ACTIONS(1676), 1,
      anon_sym_LBRACE,
    ACTIONS(7763), 1,
      anon_sym_SEMI,
    ACTIONS(7765), 1,
      sym__automatic_semicolon,
    ACTIONS(7767), 1,
      sym__function_signature_automatic_semicolon,
    STATE(240), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [143864] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2679), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143876] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2687), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143888] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1913), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143924] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143936] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2671), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [143948] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4775), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143964] = 5,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7769), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5658), 2,
      sym__module_export_name,
      sym_string,
  [143982] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4776), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [143998] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4778), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144014] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4698), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4889), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
  [144042] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4786), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2895), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144070] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144082] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2907), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144094] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5213), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144110] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4793), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144126] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4795), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144142] = 6,
    ACTIONS(7771), 1,
      sym_identifier,
    ACTIONS(7773), 1,
      anon_sym_GT,
    ACTIONS(7775), 1,
      sym_jsx_identifier,
    STATE(5422), 1,
      sym_nested_identifier,
    STATE(5590), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144162] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4796), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144178] = 3,
    ACTIONS(7779), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7777), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144192] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4798), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144208] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7781), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [144226] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4799), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144242] = 6,
    ACTIONS(3791), 1,
      anon_sym_COLON,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(7783), 1,
      anon_sym_RBRACE,
    STATE(4679), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144262] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5214), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144278] = 3,
    ACTIONS(7787), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7785), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144292] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4807), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144308] = 3,
    ACTIONS(7779), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7777), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144322] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4808), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144338] = 3,
    ACTIONS(7791), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7789), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144352] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7793), 1,
      anon_sym_BQUOTE,
    ACTIONS(7795), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4042), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [144370] = 3,
    ACTIONS(7799), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7797), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144384] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4811), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144400] = 6,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    ACTIONS(7727), 1,
      anon_sym_SEMI,
    ACTIONS(7729), 1,
      sym__automatic_semicolon,
    ACTIONS(7731), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2171), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144420] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5217), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144436] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4818), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144452] = 6,
    ACTIONS(1038), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1580), 1,
      anon_sym_LBRACE,
    ACTIONS(7370), 1,
      anon_sym_extends,
    STATE(4039), 1,
      sym_object_type,
    STATE(4791), 1,
      sym_extends_type_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144472] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4822), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144488] = 5,
    ACTIONS(7761), 1,
      anon_sym_LPAREN,
    ACTIONS(7801), 1,
      sym_identifier,
    STATE(3462), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(1280), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [144506] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4824), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2575), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144558] = 3,
    ACTIONS(7779), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7777), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144572] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4825), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144588] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7803), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [144600] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4908), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144616] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7805), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144632] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7808), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144648] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4836), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144664] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2607), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144676] = 6,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7811), 1,
      anon_sym_SEMI,
    ACTIONS(7813), 1,
      sym__automatic_semicolon,
    ACTIONS(7815), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4054), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144708] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7817), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [144726] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2619), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2495), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144750] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5228), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144766] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7737), 1,
      sym__template_chars,
    ACTIONS(7821), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4310), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [144784] = 4,
    ACTIONS(6369), 1,
      anon_sym_DOT,
    ACTIONS(7823), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6367), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [144800] = 6,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    ACTIONS(7763), 1,
      anon_sym_SEMI,
    ACTIONS(7765), 1,
      sym__automatic_semicolon,
    ACTIONS(7767), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2341), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144820] = 3,
    ACTIONS(7755), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7757), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [144834] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4992), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144850] = 6,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    ACTIONS(7825), 1,
      anon_sym_COMMA,
    ACTIONS(7827), 1,
      anon_sym_RBRACE,
    STATE(4870), 1,
      aux_sym_enum_body_repeat1,
    STATE(5458), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144870] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7829), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144886] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7832), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [144902] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4850), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144918] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4999), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [144934] = 3,
    ACTIONS(7835), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7837), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [144948] = 6,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7839), 1,
      anon_sym_SEMI,
    ACTIONS(7841), 1,
      sym__automatic_semicolon,
    ACTIONS(7843), 1,
      sym__function_signature_automatic_semicolon,
    STATE(4070), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [144968] = 3,
    ACTIONS(5504), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1799), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [144982] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7845), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [145000] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4858), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145016] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3568), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145036] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5000), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145052] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4862), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2691), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145080] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4864), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145096] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2699), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2699), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145120] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2703), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145132] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1757), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145144] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145156] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7847), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [145172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1859), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145184] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2723), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145196] = 3,
    ACTIONS(5550), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1777), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145210] = 3,
    ACTIONS(5552), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1787), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145224] = 6,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    ACTIONS(7850), 1,
      anon_sym_COMMA,
    ACTIONS(7852), 1,
      anon_sym_RBRACE,
    STATE(4938), 1,
      aux_sym_enum_body_repeat1,
    STATE(5458), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145244] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4865), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145260] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5007), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145276] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7854), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [145294] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2795), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145306] = 3,
    ACTIONS(5554), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1877), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145320] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7451), 1,
      anon_sym_class,
    ACTIONS(7453), 1,
      anon_sym_abstract,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145340] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3650), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145360] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4877), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145376] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4867), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145392] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3701), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145412] = 5,
    ACTIONS(2291), 1,
      anon_sym_DQUOTE,
    ACTIONS(2293), 1,
      anon_sym_SQUOTE,
    ACTIONS(7856), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5184), 2,
      sym__module_export_name,
      sym_string,
  [145430] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3709), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145450] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4882), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145466] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(3712), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145486] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4883), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145502] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4884), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145518] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4885), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145534] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4886), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145550] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4923), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145566] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4890), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145582] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4891), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145598] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4893), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145614] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4894), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145630] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4896), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145646] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145658] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145682] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2915), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2911), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2675), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145718] = 5,
    ACTIONS(7858), 1,
      sym_identifier,
    ACTIONS(7860), 1,
      anon_sym_LPAREN,
    STATE(2659), 1,
      sym_decorator_member_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(2758), 2,
      sym_decorator_call_expression,
      sym_decorator_parenthesized_expression,
  [145736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2623), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145748] = 4,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    STATE(5384), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [145764] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7862), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [145780] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2663), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145792] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2651), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145804] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(7865), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [145820] = 3,
    ACTIONS(7870), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7868), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [145834] = 3,
    ACTIONS(7835), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7837), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [145848] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5028), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145864] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4203), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145896] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4301), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7252), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145928] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2659), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145940] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2659), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [145952] = 6,
    ACTIONS(7872), 1,
      sym_identifier,
    ACTIONS(7874), 1,
      anon_sym_GT,
    ACTIONS(7876), 1,
      sym_jsx_identifier,
    STATE(5527), 1,
      sym_nested_identifier,
    STATE(5903), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [145972] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4630), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [145988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7306), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146000] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2739), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146012] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1747), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146024] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1831), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146036] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1841), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146048] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7878), 1,
      anon_sym_BQUOTE,
    ACTIONS(7880), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4136), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146066] = 6,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    ACTIONS(7811), 1,
      anon_sym_SEMI,
    ACTIONS(7813), 1,
      sym__automatic_semicolon,
    ACTIONS(7815), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2288), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146086] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146098] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7882), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146110] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5059), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7252), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146138] = 5,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7884), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5423), 2,
      sym__module_export_name,
      sym_string,
  [146156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7886), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146168] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7888), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146180] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5095), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146196] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7737), 1,
      sym__template_chars,
    ACTIONS(7890), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4310), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146214] = 6,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    ACTIONS(7839), 1,
      anon_sym_SEMI,
    ACTIONS(7841), 1,
      sym__automatic_semicolon,
    ACTIONS(7843), 1,
      sym__function_signature_automatic_semicolon,
    STATE(2321), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146234] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5107), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146262] = 5,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    ACTIONS(7892), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5554), 2,
      sym__module_export_name,
      sym_string,
  [146280] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4114), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146300] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7298), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146312] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7894), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146324] = 4,
    STATE(5265), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(7898), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [146340] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5564), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146360] = 6,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7763), 1,
      anon_sym_SEMI,
    ACTIONS(7765), 1,
      sym__automatic_semicolon,
    ACTIONS(7767), 1,
      sym__function_signature_automatic_semicolon,
    STATE(769), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146380] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5117), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [146392] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7900), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [146410] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5401), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146430] = 6,
    ACTIONS(7902), 1,
      sym_identifier,
    ACTIONS(7904), 1,
      anon_sym_GT,
    ACTIONS(7906), 1,
      sym_jsx_identifier,
    STATE(5499), 1,
      sym_nested_identifier,
    STATE(5630), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146450] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7908), 1,
      anon_sym_BQUOTE,
    ACTIONS(7910), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4165), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146468] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7298), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7912), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146492] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3843), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2759), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146524] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2763), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146536] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2767), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146548] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2771), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146560] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2779), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2783), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146584] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5578), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2791), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146616] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7292), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146628] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2827), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146640] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7737), 1,
      sym__template_chars,
    ACTIONS(7914), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4310), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146658] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2843), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1887), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146682] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7916), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7918), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7920), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146718] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4910), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7922), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146734] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4873), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146750] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4915), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7924), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146766] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5236), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146786] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3928), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146806] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7926), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146818] = 4,
    STATE(5269), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(7928), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [146834] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_BQUOTE,
    ACTIONS(7932), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4180), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146852] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4917), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146868] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7737), 1,
      sym__template_chars,
    ACTIONS(7936), 1,
      anon_sym_BQUOTE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4310), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [146886] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4918), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146902] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5414), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [146922] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2707), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2735), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146946] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2743), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146958] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2831), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146970] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2851), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [146982] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4919), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [146998] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4920), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147014] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5167), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7938), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147030] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4926), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147046] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4931), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147062] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4941), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147078] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4146), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147098] = 4,
    ACTIONS(7944), 1,
      anon_sym_in,
    ACTIONS(7946), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147114] = 4,
    ACTIONS(7948), 1,
      anon_sym_in,
    ACTIONS(7950), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147130] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4943), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147146] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4944), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147162] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4945), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147178] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5351), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [147190] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4946), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147206] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5489), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147226] = 6,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    ACTIONS(7727), 1,
      anon_sym_SEMI,
    ACTIONS(7729), 1,
      sym__automatic_semicolon,
    ACTIONS(7731), 1,
      sym__function_signature_automatic_semicolon,
    STATE(764), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147246] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5355), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [147258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5355), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [147270] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7952), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [147288] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4018), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147308] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4949), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5355), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [147336] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3780), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147356] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4950), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147372] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4951), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147388] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4740), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147404] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5352), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147424] = 3,
    ACTIONS(4635), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4637), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [147438] = 3,
    ACTIONS(4507), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4509), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [147452] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7453), 1,
      anon_sym_abstract,
    ACTIONS(7545), 1,
      anon_sym_class,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147472] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4036), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147492] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4960), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147508] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5032), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7954), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147524] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5284), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147544] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4964), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147560] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4966), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147576] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4967), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147592] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4044), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147612] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5404), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147632] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4970), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147648] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4971), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147664] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4973), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147680] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4974), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147696] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4975), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147712] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4988), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147728] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4989), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147744] = 3,
    ACTIONS(4671), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4673), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [147758] = 3,
    ACTIONS(4679), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [147772] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4990), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147788] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4991), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147804] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4053), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147824] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5238), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147844] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4702), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147860] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5247), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147880] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5250), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147900] = 3,
    ACTIONS(4554), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4556), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [147914] = 3,
    ACTIONS(4586), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4588), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [147928] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5004), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147944] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5056), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7956), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147960] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5008), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [147976] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5306), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [147996] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4861), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148012] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5365), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148032] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5369), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148052] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5016), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148068] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5017), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148084] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5021), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148100] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5023), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148116] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5024), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148132] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5434), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148152] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5035), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148168] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5036), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148184] = 3,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4564), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148198] = 3,
    ACTIONS(4590), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4592), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148212] = 3,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4564), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148226] = 3,
    ACTIONS(4598), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4600), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148240] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5505), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148260] = 3,
    ACTIONS(4602), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4604), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148274] = 3,
    ACTIONS(4562), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4564), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148288] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5039), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148304] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5522), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148324] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4998), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148340] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5569), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148360] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5411), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148380] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5054), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148396] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5415), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148416] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5061), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148432] = 3,
    ACTIONS(4643), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4645), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148446] = 3,
    ACTIONS(4675), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4677), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148460] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5133), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7958), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148476] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5062), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148492] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5063), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148508] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5090), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148524] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5068), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148540] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5069), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148556] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5071), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148572] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5073), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148588] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5074), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148604] = 3,
    ACTIONS(7960), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7962), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [148618] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7276), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148630] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7964), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148642] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5080), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7940), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148658] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5081), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148674] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5082), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148690] = 5,
    ACTIONS(7966), 1,
      anon_sym_SEMI,
    ACTIONS(7968), 1,
      sym__automatic_semicolon,
    STATE(5483), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_with,
      anon_sym_assert,
  [148708] = 3,
    ACTIONS(4463), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4465), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148722] = 3,
    ACTIONS(4495), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4497), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [148736] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5083), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148752] = 3,
    ACTIONS(4861), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5391), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [148766] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5084), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148782] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5086), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148798] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5089), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148814] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5098), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [148830] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148842] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4398), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7351), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148874] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4127), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [148894] = 3,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3596), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [148908] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7972), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [148926] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148938] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7974), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [148950] = 4,
    ACTIONS(6375), 1,
      anon_sym_LBRACK,
    ACTIONS(7976), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [148966] = 5,
    ACTIONS(7978), 1,
      anon_sym_BQUOTE,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7983), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(4310), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [148984] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7986), 1,
      anon_sym_class,
    ACTIONS(7988), 1,
      anon_sym_abstract,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7351), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7990), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5066), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149040] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(4137), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149060] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5573), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7992), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149092] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7994), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149104] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5094), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7996), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149120] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5523), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149140] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3814), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149160] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5096), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149176] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5097), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149192] = 3,
    ACTIONS(8000), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8002), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149206] = 3,
    ACTIONS(8004), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8006), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149220] = 3,
    ACTIONS(8010), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8008), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [149234] = 3,
    ACTIONS(8014), 1,
      anon_sym_LT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8012), 4,
      sym_jsx_text,
      anon_sym_LBRACE,
      sym_html_character_reference,
      anon_sym_LT_SLASH,
  [149248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8016), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [149260] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5536), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149280] = 3,
    ACTIONS(4635), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4637), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149294] = 3,
    ACTIONS(4507), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4509), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149308] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5099), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149324] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5102), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149340] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5293), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149360] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5108), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8018), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149376] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5109), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149392] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5110), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149408] = 3,
    ACTIONS(4671), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4673), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149422] = 3,
    ACTIONS(4679), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4681), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149436] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5111), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149452] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5114), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149468] = 3,
    ACTIONS(4554), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4556), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149482] = 3,
    ACTIONS(4586), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4588), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149496] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5115), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149512] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5116), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149528] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(8020), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [149544] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5121), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149560] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5268), 1,
      sym__call_signature,
    STATE(5338), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149580] = 4,
    STATE(5329), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8023), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [149596] = 4,
    STATE(5332), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_with,
      anon_sym_assert,
    ACTIONS(8025), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [149612] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5122), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149628] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5577), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5186), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5190), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149672] = 3,
    ACTIONS(4562), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4564), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149686] = 3,
    ACTIONS(4590), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4592), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149700] = 3,
    ACTIONS(4562), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4564), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149714] = 3,
    ACTIONS(4598), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4600), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149728] = 3,
    ACTIONS(4602), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4604), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149742] = 3,
    ACTIONS(4562), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4564), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149756] = 5,
    ACTIONS(8027), 1,
      anon_sym_SEMI,
    ACTIONS(8029), 1,
      sym__automatic_semicolon,
    STATE(5470), 1,
      sym_import_attribute,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7896), 2,
      anon_sym_with,
      anon_sym_assert,
  [149774] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5190), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149786] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5123), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149802] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5524), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149814] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5124), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149830] = 3,
    ACTIONS(4643), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4645), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149844] = 6,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(8031), 1,
      anon_sym_as,
    ACTIONS(8033), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149864] = 6,
    ACTIONS(3791), 1,
      anon_sym_COLON,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8035), 1,
      anon_sym_RBRACE,
    STATE(5175), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149884] = 3,
    ACTIONS(4675), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4677), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [149898] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8037), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [149910] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3869), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [149930] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5190), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [149942] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4812), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8039), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149958] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4817), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8041), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149974] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5125), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [149990] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5126), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150006] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7988), 1,
      anon_sym_abstract,
    ACTIONS(8043), 1,
      anon_sym_class,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150026] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5131), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8018), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150042] = 3,
    ACTIONS(4463), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4465), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [150056] = 3,
    ACTIONS(4495), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4497), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [150070] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5134), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150086] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5192), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150106] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5135), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150122] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5136), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150138] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5137), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150154] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4612), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150170] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5138), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150186] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4644), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150202] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5139), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150218] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(8047), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150234] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4810), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8050), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150250] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5140), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7998), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150266] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5482), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150286] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5262), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [150298] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(8052), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5314), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150314] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(8055), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150330] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3849), 1,
      sym_formal_parameters,
    STATE(5338), 1,
      sym_type_parameters,
    STATE(5520), 1,
      sym__call_signature,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150350] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150362] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4418), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7378), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150394] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4614), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150410] = 4,
    ACTIONS(7435), 1,
      anon_sym_COLON,
    ACTIONS(8058), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5426), 3,
      sym_type_annotation,
      sym_asserts_annotation,
      sym_type_predicate_annotation,
  [150426] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7376), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150438] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8061), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150450] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4901), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150466] = 6,
    ACTIONS(8063), 1,
      sym_identifier,
    ACTIONS(8065), 1,
      anon_sym_GT,
    ACTIONS(8067), 1,
      sym_jsx_identifier,
    STATE(5461), 1,
      sym_nested_identifier,
    STATE(5665), 1,
      sym_jsx_namespace_name,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150486] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5143), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8069), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150502] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5144), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8069), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150518] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4927), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1897), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150546] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1909), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150558] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4746), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150574] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4759), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8071), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150590] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5145), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8069), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150606] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5146), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8069), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8073), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150634] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5101), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8071), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150650] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7380), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150662] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4421), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150682] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7382), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7384), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1901), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150718] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4963), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2747), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1901), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150758] = 6,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(7453), 1,
      anon_sym_abstract,
    ACTIONS(8075), 1,
      anon_sym_class,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150778] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5231), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8045), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150794] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4139), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150814] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8077), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8079), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150850] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8081), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8083), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150874] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5177), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8085), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150890] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3466), 1,
      sym_formal_parameters,
    STATE(3904), 1,
      sym__call_signature,
    STATE(5469), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [150910] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4642), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8087), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150926] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4987), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [150942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8089), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7374), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8091), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7628), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [150990] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4655), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8093), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7406), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8095), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151030] = 4,
    ACTIONS(1869), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [151046] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2819), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2823), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151070] = 4,
    ACTIONS(1873), 1,
      anon_sym_DOT,
    ACTIONS(4221), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4223), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [151086] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5128), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151102] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(5195), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151122] = 5,
    ACTIONS(7735), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8097), 1,
      anon_sym_BQUOTE,
    ACTIONS(8099), 1,
      sym__template_chars,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(3947), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [151140] = 6,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3276), 1,
      sym_formal_parameters,
    STATE(4666), 1,
      sym__call_signature,
    STATE(5374), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151160] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4669), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151176] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7595), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151188] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4672), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2567), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(2587), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [151228] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4954), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8101), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151244] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(5161), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7753), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151260] = 4,
    ACTIONS(6369), 1,
      anon_sym_DOT,
    ACTIONS(8103), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6367), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [151276] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4683), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151292] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4684), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151308] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4701), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7721), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151324] = 3,
    ACTIONS(8105), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8107), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_SLASH_GT,
  [151338] = 5,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8109), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151356] = 5,
    ACTIONS(7394), 1,
      anon_sym_LT,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    STATE(5166), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8113), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [151374] = 4,
    ACTIONS(6459), 1,
      anon_sym_EQ,
    STATE(4993), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7934), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [151390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8115), 1,
      anon_sym_SQUOTE,
    STATE(4551), 1,
      aux_sym_string_repeat2,
    ACTIONS(8117), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151407] = 4,
    ACTIONS(8121), 1,
      anon_sym_COMMA,
    STATE(4469), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8119), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [151422] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4608), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8126), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151437] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4477), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8128), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151452] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8130), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151469] = 5,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    ACTIONS(8134), 1,
      anon_sym_GT,
    STATE(5295), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151486] = 5,
    ACTIONS(8136), 1,
      anon_sym_LBRACE,
    ACTIONS(8138), 1,
      anon_sym_COMMA,
    ACTIONS(8141), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4474), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151503] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8143), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151520] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3739), 1,
      sym_formal_parameters,
    STATE(5506), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151537] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8145), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8147), 1,
      anon_sym_DQUOTE,
    STATE(4563), 1,
      aux_sym_string_repeat1,
    ACTIONS(8149), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151569] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8151), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8153), 1,
      sym_html_character_reference,
    ACTIONS(8156), 1,
      anon_sym_DQUOTE,
    ACTIONS(8158), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(4480), 1,
      aux_sym__jsx_string_repeat1,
  [151605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8147), 1,
      anon_sym_SQUOTE,
    STATE(4564), 1,
      aux_sym_string_repeat2,
    ACTIONS(8161), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151622] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8163), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151639] = 5,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(6345), 1,
      anon_sym_LT,
    STATE(3048), 1,
      sym_arguments,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151656] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8165), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151673] = 3,
    ACTIONS(6369), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6367), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [151686] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5439), 1,
      sym_type_parameters,
    STATE(5823), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8167), 1,
      anon_sym_DQUOTE,
    STATE(4492), 1,
      aux_sym_string_repeat1,
    ACTIONS(8169), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151720] = 3,
    ACTIONS(6125), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [151733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8167), 1,
      anon_sym_SQUOTE,
    STATE(4494), 1,
      aux_sym_string_repeat2,
    ACTIONS(8171), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151750] = 3,
    ACTIONS(8173), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3791), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [151763] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8175), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8177), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [151795] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8181), 1,
      sym_html_character_reference,
    ACTIONS(8184), 1,
      anon_sym_SQUOTE,
    ACTIONS(8186), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(4493), 1,
      aux_sym__jsx_string_repeat2,
  [151814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8177), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151831] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4491), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8191), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [151846] = 4,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    STATE(5458), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8193), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [151861] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5396), 1,
      sym_type_parameters,
    STATE(5600), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151878] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5368), 1,
      sym_type_parameters,
    STATE(5601), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151895] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8195), 1,
      anon_sym_SQUOTE,
    STATE(4586), 1,
      aux_sym_string_repeat2,
    ACTIONS(8197), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [151912] = 4,
    ACTIONS(3791), 1,
      anon_sym_COLON,
    ACTIONS(4469), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [151927] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8201), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151944] = 5,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(6433), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_arguments,
    STATE(3409), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151961] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8203), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [151978] = 4,
    ACTIONS(6320), 1,
      anon_sym_EQ,
    STATE(5585), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8205), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [151993] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5381), 1,
      sym_type_parameters,
    STATE(5680), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152010] = 3,
    ACTIONS(8207), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8209), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [152023] = 3,
    ACTIONS(7976), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4085), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [152036] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8212), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152053] = 4,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(5430), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4986), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152068] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8216), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152085] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5405), 1,
      sym_type_parameters,
    STATE(5936), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152102] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8218), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152119] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8220), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8222), 1,
      anon_sym_DQUOTE,
    STATE(4524), 1,
      aux_sym_string_repeat1,
    ACTIONS(8224), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8222), 1,
      anon_sym_SQUOTE,
    STATE(4529), 1,
      aux_sym_string_repeat2,
    ACTIONS(8226), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152170] = 4,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    STATE(5234), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8228), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [152185] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8230), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152202] = 4,
    ACTIONS(4998), 1,
      anon_sym_COMMA,
    STATE(4580), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7314), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152217] = 4,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(5403), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8232), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152232] = 4,
    ACTIONS(8236), 1,
      anon_sym_COMMA,
    STATE(4469), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8234), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [152247] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8238), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [152258] = 5,
    ACTIONS(8240), 1,
      sym_identifier,
    STATE(3829), 1,
      sym_nested_type_identifier,
    STATE(4574), 1,
      sym_generic_type,
    STATE(5865), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152275] = 5,
    ACTIONS(6306), 1,
      anon_sym_LT,
    ACTIONS(6690), 1,
      anon_sym_LPAREN,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8242), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152309] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5409), 1,
      sym_type_parameters,
    STATE(5743), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152326] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5501), 1,
      sym_type_parameters,
    STATE(5815), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152343] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8244), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152360] = 4,
    ACTIONS(8246), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7695), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [152375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8242), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152392] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8249), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152409] = 5,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8251), 1,
      anon_sym_EQ,
    ACTIONS(8253), 1,
      anon_sym_RBRACK,
    STATE(4625), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8255), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8257), 1,
      sym_html_character_reference,
    ACTIONS(8259), 1,
      anon_sym_DQUOTE,
    ACTIONS(8261), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(4605), 1,
      aux_sym__jsx_string_repeat1,
  [152462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8259), 1,
      anon_sym_SQUOTE,
    ACTIONS(8263), 1,
      sym_html_character_reference,
    ACTIONS(8265), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(4606), 1,
      aux_sym__jsx_string_repeat2,
  [152481] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8267), 1,
      anon_sym_export,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8269), 1,
      anon_sym_DQUOTE,
    STATE(4548), 1,
      aux_sym_string_repeat1,
    ACTIONS(8271), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152515] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8269), 1,
      anon_sym_SQUOTE,
    STATE(4554), 1,
      aux_sym_string_repeat2,
    ACTIONS(8273), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8195), 1,
      anon_sym_DQUOTE,
    STATE(4584), 1,
      aux_sym_string_repeat1,
    ACTIONS(8275), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152549] = 5,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(6306), 1,
      anon_sym_LT,
    STATE(2886), 1,
      sym_arguments,
    STATE(2958), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152566] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8277), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8115), 1,
      anon_sym_DQUOTE,
    STATE(4549), 1,
      aux_sym_string_repeat1,
    ACTIONS(8279), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152600] = 5,
    ACTIONS(8281), 1,
      sym_identifier,
    STATE(4466), 1,
      sym_nested_type_identifier,
    STATE(4613), 1,
      sym_generic_type,
    STATE(5865), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152617] = 5,
    ACTIONS(7390), 1,
      anon_sym_COMMA,
    ACTIONS(8283), 1,
      anon_sym_LBRACE,
    ACTIONS(8285), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4474), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152634] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4602), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8287), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152649] = 5,
    ACTIONS(7390), 1,
      anon_sym_COMMA,
    ACTIONS(8289), 1,
      anon_sym_LBRACE,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4474), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152666] = 4,
    ACTIONS(8293), 1,
      anon_sym_COMMA,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5319), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [152681] = 4,
    ACTIONS(6359), 1,
      anon_sym_STAR,
    ACTIONS(6363), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    STATE(5741), 2,
      sym_namespace_import,
      sym_named_imports,
  [152696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8296), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152713] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8298), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152730] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8300), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8298), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8302), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8304), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8307), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8309), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8296), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152815] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8312), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152832] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8314), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8255), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152866] = 4,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(5477), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8316), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152881] = 4,
    ACTIONS(8318), 1,
      anon_sym_COMMA,
    STATE(4559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8321), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [152896] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8323), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152913] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8325), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152930] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8327), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [152947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8329), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [152964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8329), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [152981] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8331), 4,
      sym__automatic_semicolon,
      anon_sym_with,
      anon_sym_assert,
      anon_sym_SEMI,
  [152992] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6041), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153003] = 5,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    ACTIONS(8333), 1,
      anon_sym_GT,
    STATE(5295), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153020] = 4,
    ACTIONS(8335), 1,
      anon_sym_EQ,
    STATE(5271), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 2,
      anon_sym_in,
      anon_sym_of,
  [153035] = 5,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8251), 1,
      anon_sym_EQ,
    ACTIONS(8337), 1,
      anon_sym_RBRACK,
    STATE(5155), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153052] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5512), 1,
      sym_type_parameters,
    STATE(5661), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8339), 1,
      anon_sym_DQUOTE,
    STATE(4532), 1,
      aux_sym_string_repeat1,
    ACTIONS(8341), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [153086] = 4,
    ACTIONS(8236), 1,
      anon_sym_COMMA,
    STATE(4520), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8343), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [153101] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5514), 1,
      sym_type_parameters,
    STATE(5763), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153118] = 5,
    ACTIONS(7390), 1,
      anon_sym_COMMA,
    ACTIONS(7555), 1,
      anon_sym_LBRACE,
    ACTIONS(7557), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4545), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153135] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8345), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153152] = 5,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    ACTIONS(8347), 1,
      anon_sym_GT,
    STATE(5295), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153169] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8349), 1,
      anon_sym_class,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153186] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8351), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153203] = 3,
    ACTIONS(8353), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6367), 3,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT,
  [153216] = 4,
    ACTIONS(8355), 1,
      anon_sym_COMMA,
    STATE(4580), 1,
      aux_sym_sequence_expression_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4791), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153231] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5534), 1,
      sym_type_parameters,
    STATE(5905), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153248] = 5,
    ACTIONS(99), 1,
      anon_sym_AT,
    ACTIONS(8358), 1,
      anon_sym_class,
    STATE(1267), 1,
      sym_decorator,
    STATE(3898), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153265] = 5,
    ACTIONS(1672), 1,
      anon_sym_while,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    STATE(869), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8360), 1,
      anon_sym_DQUOTE,
    STATE(4552), 1,
      aux_sym_string_repeat1,
    ACTIONS(8179), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [153299] = 5,
    ACTIONS(1672), 1,
      anon_sym_while,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    STATE(869), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8360), 1,
      anon_sym_SQUOTE,
    STATE(4553), 1,
      aux_sym_string_repeat2,
    ACTIONS(8189), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [153333] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8362), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153350] = 5,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(8364), 1,
      anon_sym_LT,
    STATE(1995), 1,
      sym_arguments,
    STATE(1996), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153367] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8366), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153384] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8368), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153401] = 4,
    ACTIONS(7280), 1,
      anon_sym_EQ,
    STATE(5531), 1,
      sym__initializer,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8370), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [153416] = 4,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(5473), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153431] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8372), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153448] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5246), 1,
      sym_type_parameters,
    STATE(5682), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153465] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5248), 1,
      sym_type_parameters,
    STATE(5771), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8374), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [153493] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5562), 1,
      sym_type_parameters,
    STATE(5685), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153510] = 5,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5566), 1,
      sym_type_parameters,
    STATE(5704), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153527] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8376), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8339), 1,
      anon_sym_SQUOTE,
    STATE(4557), 1,
      aux_sym_string_repeat2,
    ACTIONS(8378), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [153561] = 5,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(8380), 1,
      anon_sym_LT,
    STATE(1520), 1,
      sym_arguments,
    STATE(1521), 1,
      sym_type_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153578] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8382), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153593] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8384), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153610] = 5,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8388), 1,
      sym_html_character_reference,
    ACTIONS(8390), 1,
      anon_sym_DQUOTE,
    ACTIONS(8392), 1,
      sym_unescaped_double_jsx_string_fragment,
    STATE(4480), 1,
      aux_sym__jsx_string_repeat1,
  [153646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8390), 1,
      anon_sym_SQUOTE,
    ACTIONS(8394), 1,
      sym_html_character_reference,
    ACTIONS(8396), 1,
      sym_unescaped_single_jsx_string_fragment,
    STATE(4493), 1,
      aux_sym__jsx_string_repeat2,
  [153665] = 4,
    ACTIONS(6320), 1,
      anon_sym_EQ,
    STATE(5444), 1,
      sym_default_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8398), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [153680] = 4,
    ACTIONS(8124), 1,
      anon_sym_COMMA,
    STATE(4559), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8400), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [153695] = 5,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    ACTIONS(8402), 1,
      anon_sym_GT,
    STATE(5295), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153712] = 5,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(8404), 1,
      anon_sym_QMARK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153729] = 5,
    ACTIONS(7390), 1,
      anon_sym_COMMA,
    ACTIONS(8289), 1,
      anon_sym_LBRACE,
    ACTIONS(8291), 1,
      anon_sym_LBRACE_PIPE,
    STATE(4474), 1,
      aux_sym_extends_type_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153756] = 3,
    ACTIONS(8111), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8113), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [153768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153778] = 4,
    ACTIONS(8410), 1,
      sym_identifier,
    ACTIONS(8412), 1,
      anon_sym_LBRACK,
    ACTIONS(8414), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153792] = 4,
    ACTIONS(8416), 1,
      sym_identifier,
    ACTIONS(8418), 1,
      anon_sym_LBRACK,
    ACTIONS(8420), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153806] = 4,
    ACTIONS(8422), 1,
      sym_identifier,
    ACTIONS(8424), 1,
      anon_sym_LBRACK,
    ACTIONS(8426), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153820] = 4,
    ACTIONS(8428), 1,
      sym_identifier,
    ACTIONS(8430), 1,
      anon_sym_LBRACK,
    ACTIONS(8432), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153834] = 4,
    ACTIONS(2933), 1,
      anon_sym_RBRACK,
    ACTIONS(8434), 1,
      anon_sym_COMMA,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8436), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [153858] = 4,
    ACTIONS(1642), 1,
      anon_sym_RPAREN,
    ACTIONS(8438), 1,
      anon_sym_COMMA,
    STATE(4983), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153872] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153882] = 4,
    ACTIONS(8442), 1,
      anon_sym_COMMA,
    ACTIONS(8445), 1,
      anon_sym_RBRACE,
    STATE(4623), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153896] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8447), 1,
      anon_sym_RBRACK,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153910] = 4,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8449), 1,
      anon_sym_RBRACK,
    STATE(5158), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153924] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153954] = 4,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    STATE(808), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [153968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [153998] = 4,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    ACTIONS(8459), 1,
      anon_sym_DOT,
    STATE(1515), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154012] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154022] = 4,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    ACTIONS(8463), 1,
      anon_sym_DOT,
    STATE(1972), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154036] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(4648), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154050] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5331), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154064] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154074] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154084] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154094] = 4,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8467), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154108] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8469), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154118] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154128] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154138] = 4,
    ACTIONS(8471), 1,
      anon_sym_COMMA,
    ACTIONS(8473), 1,
      anon_sym_RBRACK,
    STATE(4656), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154152] = 4,
    ACTIONS(4143), 1,
      anon_sym_extends,
    ACTIONS(8475), 1,
      anon_sym_AMP,
    ACTIONS(8477), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154166] = 4,
    ACTIONS(8333), 1,
      anon_sym_GT,
    ACTIONS(8479), 1,
      anon_sym_COMMA,
    STATE(4765), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154180] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8481), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154194] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154204] = 4,
    ACTIONS(3213), 1,
      anon_sym_GT,
    ACTIONS(8483), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8485), 1,
      sym__glimmer_template_content,
    ACTIONS(8487), 1,
      sym_glimmer_closing_tag,
    STATE(4914), 1,
      aux_sym_glimmer_template_repeat1,
  [154234] = 4,
    ACTIONS(8489), 1,
      anon_sym_COMMA,
    ACTIONS(8491), 1,
      anon_sym_RPAREN,
    STATE(4844), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154248] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154258] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154268] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8495), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154278] = 4,
    ACTIONS(2945), 1,
      anon_sym_RBRACK,
    ACTIONS(8497), 1,
      anon_sym_COMMA,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154292] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8499), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154302] = 4,
    ACTIONS(1038), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1580), 1,
      anon_sym_LBRACE,
    STATE(4037), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154316] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154326] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154336] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154346] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5302), 1,
      anon_sym_RPAREN,
    STATE(4797), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154360] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5302), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154374] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8493), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154384] = 3,
    ACTIONS(8501), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8503), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [154396] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8505), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154406] = 3,
    ACTIONS(8507), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8509), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [154418] = 4,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(8511), 1,
      anon_sym_DOT,
    STATE(3294), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154432] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154442] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(4680), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154456] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5333), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154470] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154480] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8515), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154494] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154504] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154514] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154524] = 4,
    ACTIONS(8519), 1,
      anon_sym_COMMA,
    ACTIONS(8521), 1,
      anon_sym_RBRACK,
    STATE(4690), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154538] = 4,
    ACTIONS(6964), 1,
      anon_sym_AMP,
    ACTIONS(6966), 1,
      anon_sym_PIPE,
    ACTIONS(6968), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154552] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8523), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154566] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8525), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154580] = 4,
    ACTIONS(6528), 1,
      anon_sym_type,
    ACTIONS(8527), 1,
      sym_identifier,
    STATE(5253), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154594] = 4,
    ACTIONS(3211), 1,
      anon_sym_GT,
    ACTIONS(8529), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154608] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154618] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154628] = 4,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8535), 1,
      anon_sym_LBRACK,
    ACTIONS(8537), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154642] = 4,
    ACTIONS(8539), 1,
      sym_identifier,
    ACTIONS(8541), 1,
      anon_sym_LBRACK,
    ACTIONS(8543), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154656] = 4,
    ACTIONS(8545), 1,
      sym_identifier,
    ACTIONS(8547), 1,
      anon_sym_LBRACK,
    ACTIONS(8549), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154670] = 4,
    ACTIONS(8551), 1,
      sym_identifier,
    ACTIONS(8553), 1,
      anon_sym_LBRACK,
    ACTIONS(8555), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154684] = 4,
    ACTIONS(6528), 1,
      anon_sym_type,
    ACTIONS(8557), 1,
      sym_identifier,
    STATE(5254), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154698] = 4,
    ACTIONS(2939), 1,
      anon_sym_RBRACK,
    ACTIONS(8559), 1,
      anon_sym_COMMA,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154712] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154722] = 4,
    ACTIONS(8561), 1,
      anon_sym_COMMA,
    ACTIONS(8564), 1,
      anon_sym_RBRACE,
    STATE(4692), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154736] = 4,
    ACTIONS(1510), 1,
      anon_sym_DQUOTE,
    ACTIONS(1512), 1,
      anon_sym_SQUOTE,
    STATE(5889), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154750] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154760] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5440), 1,
      anon_sym_RPAREN,
    STATE(4912), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154774] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5440), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154808] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5335), 1,
      anon_sym_RPAREN,
    STATE(4705), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154822] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5335), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154836] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154866] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154876] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8566), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154890] = 4,
    ACTIONS(3197), 1,
      anon_sym_GT,
    ACTIONS(8568), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154904] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154914] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154924] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154934] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154954] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154964] = 4,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8572), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [154978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [154988] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5339), 1,
      anon_sym_RPAREN,
    STATE(4721), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155002] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5339), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155016] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155026] = 3,
    ACTIONS(8574), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7803), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [155038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155058] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8576), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155072] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155082] = 4,
    ACTIONS(3191), 1,
      anon_sym_GT,
    ACTIONS(8578), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155096] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155116] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155126] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155156] = 4,
    ACTIONS(8580), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_await,
    STATE(49), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155170] = 3,
    ACTIONS(8584), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6834), 2,
      anon_sym_in,
      anon_sym_of,
  [155182] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7258), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [155192] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155202] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155212] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155222] = 4,
    ACTIONS(8214), 1,
      anon_sym_from,
    ACTIONS(8586), 1,
      anon_sym_as,
    STATE(5440), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155236] = 4,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(8588), 1,
      sym_identifier,
    STATE(4592), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155250] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155260] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155270] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155280] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155290] = 4,
    ACTIONS(8590), 1,
      anon_sym_COMMA,
    ACTIONS(8592), 1,
      anon_sym_GT,
    STATE(5065), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155304] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155314] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155334] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155344] = 4,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    STATE(5047), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155358] = 3,
    ACTIONS(7210), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [155370] = 4,
    ACTIONS(8596), 1,
      sym_identifier,
    STATE(3781), 1,
      sym_decorator_member_expression,
    STATE(5765), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155384] = 4,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(8598), 1,
      anon_sym_RPAREN,
    STATE(5955), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155398] = 3,
    ACTIONS(7226), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8594), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [155410] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155430] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155440] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155450] = 4,
    ACTIONS(8600), 1,
      anon_sym_COMMA,
    ACTIONS(8602), 1,
      anon_sym_RBRACK,
    STATE(4854), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155464] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155474] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155484] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8606), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155494] = 4,
    ACTIONS(2489), 1,
      anon_sym_while,
    ACTIONS(8608), 1,
      anon_sym_else,
    STATE(904), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155518] = 4,
    ACTIONS(4979), 1,
      anon_sym_extends,
    ACTIONS(8610), 1,
      anon_sym_AMP,
    ACTIONS(8612), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155542] = 4,
    ACTIONS(6047), 1,
      anon_sym_LPAREN,
    ACTIONS(8614), 1,
      anon_sym_DOT,
    STATE(2897), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155556] = 4,
    ACTIONS(8616), 1,
      anon_sym_COMMA,
    ACTIONS(8619), 1,
      anon_sym_GT,
    STATE(4765), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155570] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155580] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155590] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8461), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155600] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155610] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155620] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155630] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155640] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155650] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155660] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155670] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155680] = 4,
    ACTIONS(7662), 1,
      anon_sym_COMMA,
    ACTIONS(8621), 1,
      anon_sym_LBRACE,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155704] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155714] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155724] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155734] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155744] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155754] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155764] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155774] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155784] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155794] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155804] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8623), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155814] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155824] = 4,
    ACTIONS(1038), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1580), 1,
      anon_sym_LBRACE,
    STATE(4104), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8604), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155848] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155858] = 4,
    ACTIONS(8625), 1,
      anon_sym_COMMA,
    ACTIONS(8627), 1,
      anon_sym_RBRACE,
    STATE(4875), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155872] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155892] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8629), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155906] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155926] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155936] = 4,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8631), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155950] = 4,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7507), 1,
      anon_sym_PIPE,
    ACTIONS(7509), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155964] = 4,
    ACTIONS(3203), 1,
      anon_sym_GT,
    ACTIONS(8633), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [155978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8635), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [155998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8635), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8637), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156058] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8639), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156078] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156088] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156098] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8641), 1,
      anon_sym_RBRACE,
    STATE(5183), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156112] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8643), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156122] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156132] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156142] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156152] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156162] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156172] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156182] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156192] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156202] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156212] = 3,
    ACTIONS(8251), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8645), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [156224] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156234] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8647), 1,
      anon_sym_RBRACE,
    STATE(5190), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156248] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8647), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156262] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8641), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156276] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156286] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156296] = 4,
    ACTIONS(8649), 1,
      sym_identifier,
    STATE(3831), 1,
      sym_decorator_member_expression,
    STATE(5803), 1,
      sym_decorator_call_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156310] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156320] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156330] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156340] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7408), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [156350] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156360] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156370] = 4,
    ACTIONS(6877), 1,
      anon_sym_implements,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    STATE(5663), 1,
      sym_implements_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156384] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156394] = 3,
    ACTIONS(8653), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7751), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [156406] = 4,
    ACTIONS(1644), 1,
      anon_sym_RPAREN,
    ACTIONS(8655), 1,
      anon_sym_COMMA,
    STATE(4983), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156430] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8657), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156440] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156450] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156460] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156470] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156480] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156490] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156500] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156510] = 4,
    ACTIONS(2949), 1,
      anon_sym_RBRACK,
    ACTIONS(8659), 1,
      anon_sym_COMMA,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156524] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156534] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8661), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [156544] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156554] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156564] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156574] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156584] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156594] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156604] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156614] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156624] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156634] = 4,
    ACTIONS(221), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1500), 1,
      anon_sym_LBRACE,
    STATE(812), 1,
      sym_object_type,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156648] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156658] = 4,
    ACTIONS(8663), 1,
      sym_identifier,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8667), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156672] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8570), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156682] = 4,
    ACTIONS(8669), 1,
      anon_sym_COMMA,
    ACTIONS(8671), 1,
      anon_sym_RBRACE,
    STATE(5181), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156706] = 4,
    ACTIONS(8673), 1,
      sym_identifier,
    ACTIONS(8675), 1,
      anon_sym_LBRACK,
    ACTIONS(8677), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156720] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156730] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156740] = 4,
    ACTIONS(8679), 1,
      anon_sym_COMMA,
    ACTIONS(8681), 1,
      anon_sym_RBRACE,
    STATE(5181), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156754] = 4,
    ACTIONS(8683), 1,
      sym_identifier,
    ACTIONS(8685), 1,
      anon_sym_LBRACK,
    ACTIONS(8687), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156778] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156788] = 4,
    ACTIONS(8689), 1,
      anon_sym_COMMA,
    ACTIONS(8691), 1,
      anon_sym_RPAREN,
    STATE(4621), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156802] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156812] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156822] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156842] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156872] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156882] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8517), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156892] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156902] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8531), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156912] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156922] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156932] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156942] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156952] = 4,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8253), 1,
      anon_sym_RBRACK,
    STATE(4625), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8513), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [156976] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5264), 1,
      anon_sym_RBRACK,
    STATE(4624), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [156990] = 4,
    ACTIONS(8693), 1,
      sym_identifier,
    ACTIONS(8695), 1,
      anon_sym_LBRACK,
    ACTIONS(8697), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157004] = 3,
    ACTIONS(8699), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [157016] = 4,
    ACTIONS(6528), 1,
      anon_sym_type,
    ACTIONS(8701), 1,
      sym_identifier,
    STATE(5263), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157040] = 3,
    ACTIONS(8703), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8705), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [157052] = 4,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    STATE(4742), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157066] = 4,
    ACTIONS(2947), 1,
      anon_sym_RBRACK,
    ACTIONS(8707), 1,
      anon_sym_COMMA,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157080] = 4,
    ACTIONS(8709), 1,
      anon_sym_COMMA,
    ACTIONS(8711), 1,
      anon_sym_RBRACE,
    STATE(4940), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157094] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5264), 1,
      anon_sym_RBRACK,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157108] = 4,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8253), 1,
      anon_sym_RBRACK,
    STATE(5158), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157122] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157132] = 4,
    ACTIONS(6690), 1,
      anon_sym_LPAREN,
    ACTIONS(8614), 1,
      anon_sym_DOT,
    STATE(2897), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8713), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8715), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157166] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8717), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157180] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8719), 1,
      sym__glimmer_template_content,
    ACTIONS(8721), 1,
      sym_glimmer_closing_tag,
    STATE(5162), 1,
      aux_sym_glimmer_template_repeat1,
  [157206] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8723), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157216] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157226] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157246] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157266] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157276] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8729), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157290] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157300] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157310] = 4,
    ACTIONS(8214), 1,
      anon_sym_from,
    ACTIONS(8586), 1,
      anon_sym_as,
    STATE(5571), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157324] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157334] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157344] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157354] = 4,
    ACTIONS(6528), 1,
      anon_sym_type,
    ACTIONS(8733), 1,
      sym_identifier,
    STATE(5321), 1,
      sym__import_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157368] = 4,
    ACTIONS(3187), 1,
      anon_sym_GT,
    ACTIONS(8735), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157382] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157392] = 3,
    ACTIONS(4377), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4379), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [157404] = 4,
    ACTIONS(7186), 1,
      anon_sym_const,
    ACTIONS(8132), 1,
      sym_identifier,
    STATE(5295), 1,
      sym_type_parameter,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157418] = 4,
    ACTIONS(6826), 1,
      anon_sym_RBRACE,
    ACTIONS(8737), 1,
      anon_sym_COMMA,
    STATE(4692), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157432] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8739), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157446] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157456] = 3,
    ACTIONS(7210), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [157468] = 4,
    ACTIONS(8743), 1,
      anon_sym_COMMA,
    ACTIONS(8745), 1,
      anon_sym_RBRACE,
    STATE(5181), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157482] = 3,
    ACTIONS(7226), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [157494] = 4,
    ACTIONS(8747), 1,
      anon_sym_COMMA,
    ACTIONS(8749), 1,
      anon_sym_RBRACE,
    STATE(5181), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157518] = 4,
    ACTIONS(8751), 1,
      anon_sym_COMMA,
    ACTIONS(8754), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157542] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157552] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157562] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157612] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8756), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8758), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157642] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8760), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8321), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157662] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157672] = 4,
    ACTIONS(8762), 1,
      anon_sym_LPAREN,
    ACTIONS(8764), 1,
      anon_sym_await,
    STATE(36), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157686] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7372), 3,
      anon_sym_LBRACK,
      sym_identifier,
      sym_private_property_identifier,
  [157696] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157706] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157716] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157726] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157736] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157746] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157756] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157766] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157776] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157786] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157796] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157806] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157816] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157826] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157836] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157846] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157856] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157866] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157876] = 4,
    ACTIONS(1588), 1,
      anon_sym_DQUOTE,
    ACTIONS(1590), 1,
      anon_sym_SQUOTE,
    STATE(4521), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157890] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157900] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157910] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7264), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [157920] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6530), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
  [157930] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8766), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [157940] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    STATE(4983), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157954] = 3,
    ACTIONS(8773), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8705), 2,
      anon_sym_COMMA,
      anon_sym_from,
  [157966] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [157976] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      anon_sym_RBRACE,
    STATE(4922), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [157990] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158000] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158010] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158020] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158030] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158040] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158050] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158060] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158070] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8777), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [158080] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158090] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158110] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158120] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158130] = 3,
    ACTIONS(8779), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8705), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [158142] = 4,
    ACTIONS(8781), 1,
      anon_sym_COMMA,
    ACTIONS(8783), 1,
      anon_sym_RBRACE,
    STATE(4934), 1,
      aux_sym_named_imports_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158166] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158176] = 4,
    ACTIONS(8785), 1,
      sym_identifier,
    ACTIONS(8787), 1,
      anon_sym_require,
    STATE(4939), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158190] = 4,
    ACTIONS(2245), 1,
      anon_sym_LBRACE,
    ACTIONS(8789), 1,
      sym_identifier,
    STATE(4509), 1,
      sym_export_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158204] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158214] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158224] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7404), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [158234] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158244] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158254] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158264] = 4,
    ACTIONS(8791), 1,
      anon_sym_COMMA,
    ACTIONS(8793), 1,
      anon_sym_RBRACE,
    STATE(5191), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158278] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158288] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158328] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8795), 1,
      anon_sym_RBRACE,
    STATE(4935), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158342] = 3,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3640), 2,
      anon_sym_in,
      anon_sym_of,
  [158354] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158364] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158374] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158384] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158394] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158404] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8797), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158414] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158424] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158434] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158444] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158454] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8795), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158468] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8801), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158488] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158498] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158508] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158518] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8797), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158542] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158552] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158562] = 4,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(8803), 1,
      anon_sym_EQ,
    STATE(5645), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158576] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8756), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158586] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158596] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158606] = 3,
    ACTIONS(8805), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [158618] = 3,
    ACTIONS(4405), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4407), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [158630] = 4,
    ACTIONS(8809), 1,
      anon_sym_COMMA,
    ACTIONS(8811), 1,
      anon_sym_GT,
    STATE(4647), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158644] = 4,
    ACTIONS(6616), 1,
      anon_sym_AMP,
    ACTIONS(6618), 1,
      anon_sym_PIPE,
    ACTIONS(6620), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158658] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8813), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158668] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8815), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158678] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8799), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158688] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158698] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158708] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8817), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158738] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158748] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8813), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158758] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158768] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8797), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158778] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158788] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158798] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158808] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158818] = 4,
    ACTIONS(8402), 1,
      anon_sym_GT,
    ACTIONS(8819), 1,
      anon_sym_COMMA,
    STATE(4765), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [158832] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158842] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158852] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158872] = 3,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3640), 2,
      anon_sym_in,
      anon_sym_of,
  [158884] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158894] = 3,
    ACTIONS(8823), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8016), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [158906] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158926] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158936] = 3,
    ACTIONS(4263), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4265), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [158948] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8727), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158958] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8825), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158968] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158978] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8731), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158988] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [158998] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159018] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159058] = 4,
    ACTIONS(7356), 1,
      anon_sym_AMP,
    ACTIONS(7358), 1,
      anon_sym_PIPE,
    ACTIONS(7360), 1,
      anon_sym_extends,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159072] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8725), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159082] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159092] = 4,
    ACTIONS(8827), 1,
      sym_identifier,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    ACTIONS(8831), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159116] = 4,
    ACTIONS(8833), 1,
      sym_identifier,
    ACTIONS(8835), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159130] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8839), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159140] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159150] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159160] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159170] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159180] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159190] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159200] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8606), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159210] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159220] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159230] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159240] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8843), 1,
      anon_sym_RBRACE,
    STATE(5160), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159254] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159264] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159274] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8845), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159284] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159294] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159304] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159314] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159324] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8843), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159338] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159348] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159358] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159368] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159378] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159388] = 4,
    ACTIONS(8847), 1,
      anon_sym_COMMA,
    ACTIONS(8849), 1,
      anon_sym_RPAREN,
    STATE(5163), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159402] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159412] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159422] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159432] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159442] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159452] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159462] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159472] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159482] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159492] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8841), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159502] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8845), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8851), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8853), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159542] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159552] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159562] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159572] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159582] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159592] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8406), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159612] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159632] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159642] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159652] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159662] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8855), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159672] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159682] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5319), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [159692] = 3,
    ACTIONS(8251), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [159704] = 4,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    ACTIONS(8859), 1,
      anon_sym_LPAREN,
    STATE(751), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159718] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159728] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159738] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8863), 1,
      anon_sym_RBRACK,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159752] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8821), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159762] = 4,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8865), 1,
      anon_sym_RBRACK,
    STATE(5158), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159776] = 4,
    ACTIONS(2537), 1,
      anon_sym_LT,
    ACTIONS(8867), 1,
      anon_sym_EQ,
    STATE(5588), 1,
      sym_type_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159790] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8869), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159804] = 4,
    ACTIONS(8857), 1,
      anon_sym_RBRACK,
    ACTIONS(8871), 1,
      anon_sym_COMMA,
    STATE(5158), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159818] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8874), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159828] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8876), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159842] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8878), 1,
      sym__glimmer_template_content,
    ACTIONS(8881), 1,
      sym_glimmer_closing_tag,
    STATE(5162), 1,
      aux_sym_glimmer_template_repeat1,
  [159868] = 4,
    ACTIONS(1646), 1,
      anon_sym_RPAREN,
    ACTIONS(8883), 1,
      anon_sym_COMMA,
    STATE(4983), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159882] = 3,
    ACTIONS(4133), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4135), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [159894] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159904] = 3,
    ACTIONS(4171), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4173), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [159916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8885), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8887), 1,
      sym__glimmer_template_content,
    ACTIONS(8889), 1,
      sym_glimmer_closing_tag,
    STATE(5201), 1,
      aux_sym_glimmer_template_repeat1,
  [159942] = 4,
    ACTIONS(3500), 1,
      anon_sym_LPAREN,
    ACTIONS(8891), 1,
      anon_sym_DOT,
    STATE(3135), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159956] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159966] = 4,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8337), 1,
      anon_sym_RBRACK,
    STATE(5155), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [159980] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [159990] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8895), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160004] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8893), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160014] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8897), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160028] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6041), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160038] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8899), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8874), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160058] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    STATE(5153), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160072] = 4,
    ACTIONS(8901), 1,
      anon_sym_LPAREN,
    ACTIONS(8903), 1,
      anon_sym_await,
    STATE(74), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160086] = 4,
    ACTIONS(8905), 1,
      anon_sym_COMMA,
    ACTIONS(8908), 1,
      anon_sym_RBRACE,
    STATE(5181), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160100] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160110] = 4,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    ACTIONS(8910), 1,
      anon_sym_RBRACE,
    STATE(4942), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160124] = 3,
    ACTIONS(8912), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8914), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160146] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8918), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [160156] = 4,
    ACTIONS(2489), 1,
      anon_sym_while,
    ACTIONS(8920), 1,
      anon_sym_else,
    STATE(904), 1,
      sym_else_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160170] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5329), 1,
      anon_sym_RPAREN,
    STATE(5227), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160184] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5329), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160198] = 4,
    ACTIONS(5566), 1,
      anon_sym_COMMA,
    ACTIONS(8922), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160212] = 4,
    ACTIONS(6982), 1,
      anon_sym_RBRACE,
    ACTIONS(8924), 1,
      anon_sym_COMMA,
    STATE(4623), 1,
      aux_sym_export_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160226] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8861), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160246] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160256] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8926), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160266] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(5548), 1,
      anon_sym_RBRACK,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160280] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160290] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6367), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LT,
  [160300] = 4,
    ACTIONS(1690), 1,
      anon_sym_COMMA,
    ACTIONS(8337), 1,
      anon_sym_RBRACK,
    STATE(5158), 1,
      aux_sym_array_pattern_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160314] = 4,
    ACTIONS(6333), 1,
      anon_sym_DOT,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8928), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(8719), 1,
      sym__glimmer_template_content,
    ACTIONS(8930), 1,
      sym_glimmer_closing_tag,
    STATE(5162), 1,
      aux_sym_glimmer_template_repeat1,
  [160344] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8932), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160354] = 3,
    ACTIONS(8934), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(3549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [160366] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8916), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160376] = 4,
    ACTIONS(8937), 1,
      anon_sym_COMMA,
    ACTIONS(8939), 1,
      anon_sym_RBRACK,
    STATE(4904), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160390] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160400] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8941), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160410] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160420] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160430] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160440] = 4,
    ACTIONS(8943), 1,
      anon_sym_COMMA,
    ACTIONS(8945), 1,
      anon_sym_RBRACK,
    STATE(4619), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160454] = 4,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    ACTIONS(8614), 1,
      anon_sym_DOT,
    STATE(2897), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160468] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160478] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160488] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160498] = 4,
    ACTIONS(8947), 1,
      anon_sym_COMMA,
    ACTIONS(8950), 1,
      anon_sym_RBRACK,
    STATE(5216), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160512] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8457), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160522] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8952), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [160532] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8451), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160542] = 4,
    ACTIONS(6717), 1,
      anon_sym_AMP,
    ACTIONS(6721), 1,
      anon_sym_extends,
    ACTIONS(7819), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160556] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8440), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160566] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160576] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160586] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160596] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7942), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160606] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8453), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160616] = 4,
    ACTIONS(1939), 1,
      anon_sym_COMMA,
    ACTIONS(8954), 1,
      anon_sym_RPAREN,
    STATE(4546), 1,
      aux_sym_array_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160630] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8465), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160640] = 4,
    ACTIONS(3193), 1,
      anon_sym_GT,
    ACTIONS(8956), 1,
      anon_sym_COMMA,
    STATE(4528), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160654] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8455), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160664] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8408), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [160674] = 4,
    ACTIONS(8958), 1,
      anon_sym_COMMA,
    ACTIONS(8961), 1,
      anon_sym_RBRACE,
    STATE(5232), 1,
      aux_sym_object_repeat1,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160688] = 3,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(882), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160699] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8963), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [160708] = 3,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(5475), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160719] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2131), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160730] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(2537), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160741] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2625), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160752] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2626), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160763] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2090), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160774] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(2553), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160785] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2172), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160796] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2660), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160807] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1624), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160818] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5725), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160829] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5770), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160840] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1631), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160851] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5808), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160862] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160871] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1636), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160882] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1638), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160893] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2606), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160904] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8965), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160913] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8967), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160922] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2610), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160933] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4661), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [160942] = 3,
    ACTIONS(8969), 1,
      sym_identifier,
    ACTIONS(8971), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160953] = 3,
    ACTIONS(8973), 1,
      sym_identifier,
    ACTIONS(8975), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160964] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2612), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160975] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8977), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [160984] = 3,
    ACTIONS(8979), 1,
      sym_identifier,
    ACTIONS(8981), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [160995] = 3,
    ACTIONS(8983), 1,
      anon_sym_LPAREN,
    STATE(51), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161006] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8985), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161015] = 3,
    ACTIONS(8987), 1,
      anon_sym_LBRACE,
    STATE(5485), 1,
      sym_object,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161026] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8989), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161035] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2128), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161046] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5323), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161057] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2193), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161068] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8025), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161077] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1711), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161088] = 3,
    ACTIONS(7944), 1,
      anon_sym_in,
    ACTIONS(7946), 1,
      anon_sym_of,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161099] = 3,
    ACTIONS(8991), 1,
      sym_identifier,
    ACTIONS(8993), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161110] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(2488), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161121] = 3,
    ACTIONS(8995), 1,
      sym_identifier,
    ACTIONS(8997), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161132] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2616), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161143] = 3,
    ACTIONS(8999), 1,
      sym_identifier,
    ACTIONS(9001), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161154] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2624), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161165] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(750), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161176] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2611), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161187] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2186), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161198] = 3,
    ACTIONS(8533), 1,
      sym_identifier,
    ACTIONS(8537), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161209] = 3,
    ACTIONS(9003), 1,
      sym_identifier,
    ACTIONS(9005), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161220] = 3,
    ACTIONS(9007), 1,
      sym_identifier,
    ACTIONS(9009), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161231] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1717), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161242] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2613), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161253] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5579), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161264] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8754), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161273] = 3,
    ACTIONS(9011), 1,
      sym_identifier,
    ACTIONS(9013), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161284] = 3,
    ACTIONS(9015), 1,
      anon_sym_in,
    ACTIONS(9017), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161295] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9019), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [161304] = 3,
    ACTIONS(9021), 1,
      sym_identifier,
    ACTIONS(9023), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161315] = 3,
    ACTIONS(9025), 1,
      sym_identifier,
    ACTIONS(9027), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161326] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5400), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8961), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8619), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [161355] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7609), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [161364] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2650), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161375] = 3,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3726), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161386] = 3,
    ACTIONS(9029), 1,
      sym_identifier,
    ACTIONS(9031), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161397] = 3,
    ACTIONS(3185), 1,
      sym_jsx_identifier,
    ACTIONS(9033), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161408] = 3,
    ACTIONS(9035), 1,
      anon_sym_COMMA,
    ACTIONS(9037), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161419] = 3,
    ACTIONS(9039), 1,
      sym_identifier,
    ACTIONS(9041), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161430] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2218), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161441] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2634), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161452] = 3,
    ACTIONS(9043), 1,
      sym_identifier,
    ACTIONS(9045), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161463] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2116), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161474] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4157), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161485] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2668), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161496] = 3,
    ACTIONS(8663), 1,
      sym_identifier,
    ACTIONS(8667), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161507] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5389), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161518] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5017), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161527] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2614), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161538] = 3,
    ACTIONS(9047), 1,
      sym_identifier,
    ACTIONS(9049), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161549] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7595), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [161558] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2641), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161569] = 3,
    ACTIONS(4797), 1,
      anon_sym_LBRACE,
    STATE(2677), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161580] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(756), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161591] = 3,
    ACTIONS(9051), 1,
      sym_identifier,
    ACTIONS(9053), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161602] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4720), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161611] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161622] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9057), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161631] = 3,
    ACTIONS(9059), 1,
      sym_identifier,
    ACTIONS(9061), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161642] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6024), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161651] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8564), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161660] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2662), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161671] = 3,
    ACTIONS(9063), 1,
      sym_identifier,
    ACTIONS(9065), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161682] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5402), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161693] = 3,
    ACTIONS(1676), 1,
      anon_sym_LBRACE,
    STATE(241), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161704] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9067), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161713] = 3,
    ACTIONS(9069), 1,
      sym_identifier,
    ACTIONS(9071), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161724] = 3,
    ACTIONS(9073), 1,
      sym_identifier,
    STATE(4939), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161735] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9075), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161744] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2105), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161755] = 3,
    ACTIONS(9077), 1,
      sym_identifier,
    ACTIONS(9079), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161766] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5911), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161777] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161786] = 3,
    ACTIONS(9081), 1,
      sym_identifier,
    ACTIONS(9083), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161797] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(3776), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161808] = 3,
    ACTIONS(9085), 1,
      sym_identifier,
    ACTIONS(9087), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161819] = 3,
    ACTIONS(9089), 1,
      sym_identifier,
    ACTIONS(9091), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161830] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2122), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161841] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2620), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161852] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2640), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161863] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(1710), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [161872] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4164), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161883] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5484), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161894] = 3,
    ACTIONS(9093), 1,
      sym_identifier,
    ACTIONS(9095), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161905] = 3,
    ACTIONS(9097), 1,
      sym_identifier,
    ACTIONS(9099), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161916] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [161925] = 3,
    ACTIONS(9101), 1,
      sym_identifier,
    ACTIONS(9103), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161936] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(758), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161947] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5575), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161958] = 3,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    STATE(2179), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161969] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2647), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161980] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5642), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [161991] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162000] = 3,
    ACTIONS(9105), 1,
      sym_identifier,
    ACTIONS(9107), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162011] = 3,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(4361), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162022] = 3,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    STATE(3959), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162033] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162044] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4167), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162055] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5987), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162064] = 3,
    ACTIONS(9109), 1,
      anon_sym_LBRACE,
    STATE(3961), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162075] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162084] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2630), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162095] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2631), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162106] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5991), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162115] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5679), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162126] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1675), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162137] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1687), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162148] = 3,
    ACTIONS(9111), 1,
      anon_sym_LBRACE,
    STATE(844), 1,
      sym_switch_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162159] = 3,
    ACTIONS(9113), 1,
      sym_identifier,
    ACTIONS(9115), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162170] = 3,
    ACTIONS(6047), 1,
      anon_sym_LPAREN,
    STATE(2752), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162181] = 3,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3283), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162192] = 3,
    ACTIONS(9117), 1,
      sym_identifier,
    ACTIONS(9119), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162203] = 3,
    ACTIONS(8827), 1,
      sym_identifier,
    ACTIONS(8831), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162214] = 3,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(1643), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162225] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(4346), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162236] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9121), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [162245] = 3,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    STATE(5547), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162256] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5735), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162267] = 3,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(5481), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162278] = 3,
    ACTIONS(9123), 1,
      sym_identifier,
    ACTIONS(9125), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162289] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9127), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [162298] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6045), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162307] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(33), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162318] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9129), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [162327] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162336] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162345] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2299), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162356] = 3,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(237), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162367] = 3,
    ACTIONS(9131), 1,
      sym_identifier,
    ACTIONS(9133), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162378] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(4049), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162389] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9135), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [162398] = 3,
    ACTIONS(3959), 1,
      anon_sym_LPAREN,
    STATE(1684), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162409] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5952), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162420] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2649), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162431] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5983), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162440] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5976), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162451] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6028), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162460] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5385), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162471] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6032), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162480] = 3,
    ACTIONS(9137), 1,
      anon_sym_SEMI,
    ACTIONS(9139), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162491] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2076), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162502] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5739), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162513] = 3,
    ACTIONS(9141), 1,
      sym_identifier,
    ACTIONS(9143), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162524] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162535] = 3,
    ACTIONS(9145), 1,
      sym_identifier,
    STATE(4751), 1,
      sym_nested_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162546] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5637), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162557] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9147), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162566] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2300), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162577] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7691), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [162586] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162595] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5249), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162606] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2301), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162617] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2120), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162628] = 3,
    ACTIONS(1676), 1,
      anon_sym_LBRACE,
    STATE(254), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162639] = 3,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8572), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162650] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4101), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162661] = 3,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8631), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162672] = 3,
    ACTIONS(9149), 1,
      sym_identifier,
    ACTIONS(9151), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162683] = 3,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(9153), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162694] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9155), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [162703] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162714] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2623), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162725] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(7719), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [162734] = 3,
    ACTIONS(8410), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162745] = 3,
    ACTIONS(9109), 1,
      anon_sym_LBRACE,
    STATE(3998), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162756] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2191), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162767] = 3,
    ACTIONS(9157), 1,
      anon_sym_SEMI,
    ACTIONS(9159), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162778] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2302), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162789] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4187), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162800] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1654), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162811] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2642), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162822] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2644), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162833] = 3,
    ACTIONS(9161), 1,
      anon_sym_LBRACE,
    STATE(900), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162844] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(768), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162855] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5000), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162864] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5997), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162875] = 3,
    ACTIONS(9163), 1,
      anon_sym_SEMI,
    ACTIONS(9165), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162886] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1688), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162897] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1623), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162908] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2607), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162919] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9167), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [162928] = 3,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(859), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162939] = 3,
    ACTIONS(8983), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162950] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1698), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162961] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [162972] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9169), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [162981] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8857), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [162990] = 3,
    ACTIONS(9171), 1,
      anon_sym_LPAREN,
    STATE(748), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163001] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2617), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163012] = 3,
    ACTIONS(9173), 1,
      sym_identifier,
    ACTIONS(9175), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163023] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5028), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163032] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5537), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163043] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(818), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163054] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2664), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163065] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9177), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163074] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2324), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163085] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9179), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163094] = 3,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(9181), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163105] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9183), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163114] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2604), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163125] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1709), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163136] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4614), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163145] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2325), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163156] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(4649), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163165] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9185), 2,
      anon_sym_in,
      anon_sym_of,
  [163174] = 3,
    ACTIONS(6465), 1,
      anon_sym_LPAREN,
    STATE(3371), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163185] = 3,
    ACTIONS(9187), 1,
      anon_sym_SEMI,
    ACTIONS(9189), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163196] = 3,
    ACTIONS(6467), 1,
      anon_sym_COLON,
    STATE(4953), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163207] = 3,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8467), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163218] = 3,
    ACTIONS(9191), 1,
      anon_sym_SEMI,
    ACTIONS(9193), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163229] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(4067), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163240] = 3,
    ACTIONS(9195), 1,
      anon_sym_SEMI,
    ACTIONS(9197), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163251] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2275), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163262] = 3,
    ACTIONS(9199), 1,
      anon_sym_SEMI,
    ACTIONS(9201), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163273] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5995), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163282] = 3,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(245), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163293] = 3,
    ACTIONS(9203), 1,
      sym_identifier,
    ACTIONS(9205), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163304] = 3,
    ACTIONS(9207), 1,
      anon_sym_SEMI,
    ACTIONS(9209), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163315] = 3,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    STATE(4071), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163326] = 3,
    ACTIONS(9211), 1,
      anon_sym_SEMI,
    ACTIONS(9213), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163337] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163346] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9215), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163355] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(809), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163366] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2632), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163377] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6003), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163386] = 3,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    STATE(776), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163397] = 3,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(901), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163408] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(5371), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163419] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2618), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163430] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2651), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163441] = 3,
    ACTIONS(9161), 1,
      anon_sym_LBRACE,
    STATE(814), 1,
      sym_enum_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163452] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163463] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9217), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163472] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163483] = 3,
    ACTIONS(9219), 1,
      sym_identifier,
    ACTIONS(9221), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163494] = 3,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(9223), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163505] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163516] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5647), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163527] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9225), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163536] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8645), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163545] = 3,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(238), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163556] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2653), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163567] = 3,
    ACTIONS(3249), 1,
      anon_sym_LPAREN,
    STATE(3593), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163578] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(48), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163589] = 3,
    ACTIONS(8983), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym__for_header,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163600] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2654), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163611] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5689), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163622] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2615), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163633] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5759), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163644] = 3,
    ACTIONS(4071), 1,
      anon_sym_LBRACE,
    STATE(1647), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163655] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5916), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163666] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2645), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163677] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [163686] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2298), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163697] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(50), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163708] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4065), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163719] = 3,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    STATE(4077), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163730] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(757), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163741] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2655), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163752] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2327), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163763] = 3,
    ACTIONS(6644), 1,
      anon_sym_COLON,
    ACTIONS(8928), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163774] = 3,
    ACTIONS(8833), 1,
      sym_identifier,
    ACTIONS(8837), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163785] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2656), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163796] = 3,
    ACTIONS(6670), 1,
      anon_sym_DOT,
    ACTIONS(9229), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163807] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2328), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163818] = 3,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    STATE(5384), 1,
      sym_type_annotation,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163829] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5999), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163838] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9231), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [163847] = 3,
    ACTIONS(4514), 1,
      anon_sym_LPAREN,
    STATE(2293), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163858] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2067), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163869] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5593), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163880] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(2552), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163891] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5362), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163902] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(6018), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163911] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2123), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163922] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2652), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163933] = 3,
    ACTIONS(6769), 1,
      anon_sym_LBRACE,
    STATE(2320), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163944] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5971), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [163953] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2621), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163964] = 3,
    ACTIONS(6804), 1,
      anon_sym_LBRACE,
    STATE(1622), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163975] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2629), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163986] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2277), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [163997] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4123), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164008] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9233), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [164017] = 3,
    ACTIONS(6910), 1,
      anon_sym_LBRACE,
    STATE(255), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164028] = 3,
    ACTIONS(3456), 1,
      anon_sym_LPAREN,
    STATE(1232), 1,
      sym_arguments,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164039] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8771), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164048] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(8950), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [164057] = 3,
    ACTIONS(7038), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164068] = 3,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164079] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9239), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [164088] = 3,
    ACTIONS(9241), 1,
      sym_identifier,
    ACTIONS(9243), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164099] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(4124), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164110] = 3,
    ACTIONS(9245), 1,
      sym_identifier,
    ACTIONS(9247), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164121] = 3,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164132] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2622), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164143] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5692), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164154] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(4396), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164165] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5703), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164176] = 3,
    ACTIONS(9253), 1,
      sym_identifier,
    ACTIONS(9255), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164187] = 3,
    ACTIONS(7208), 1,
      anon_sym_LBRACE,
    STATE(773), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164198] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(4402), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164209] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5710), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164220] = 3,
    ACTIONS(9257), 1,
      sym_identifier,
    ACTIONS(9259), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164231] = 3,
    ACTIONS(8214), 1,
      anon_sym_from,
    STATE(4292), 1,
      sym__from_clause,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164242] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2658), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164253] = 3,
    ACTIONS(7445), 1,
      anon_sym_LBRACE,
    STATE(2636), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164264] = 3,
    ACTIONS(9261), 1,
      anon_sym_SEMI,
    ACTIONS(9263), 1,
      sym__automatic_semicolon,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164275] = 3,
    ACTIONS(6487), 1,
      anon_sym_LPAREN,
    STATE(5971), 1,
      sym_formal_parameters,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164286] = 3,
    ACTIONS(4129), 1,
      anon_sym_LBRACE,
    STATE(2322), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164297] = 3,
    ACTIONS(6898), 1,
      anon_sym_LBRACE,
    STATE(774), 1,
      sym_class_body,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164308] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5979), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [164317] = 3,
    ACTIONS(9055), 1,
      anon_sym_LPAREN,
    STATE(32), 1,
      sym_parenthesized_expression,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164328] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5413), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164339] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5349), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164350] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(5975), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [164359] = 3,
    ACTIONS(2445), 1,
      anon_sym_LBRACE,
    STATE(5398), 1,
      sym_statement_block,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164370] = 3,
    ACTIONS(9265), 1,
      sym_identifier,
    ACTIONS(9267), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164381] = 3,
    ACTIONS(9269), 1,
      sym_identifier,
    ACTIONS(9271), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164392] = 3,
    ACTIONS(9273), 1,
      sym_identifier,
    ACTIONS(9275), 1,
      sym_private_property_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164403] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9277), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [164412] = 2,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
    ACTIONS(9279), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [164421] = 2,
    ACTIONS(9281), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164429] = 2,
    ACTIONS(9283), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164437] = 2,
    ACTIONS(9285), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164445] = 2,
    ACTIONS(9287), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164453] = 2,
    ACTIONS(8572), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164461] = 2,
    ACTIONS(9289), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164469] = 2,
    ACTIONS(9291), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164477] = 2,
    ACTIONS(9293), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164485] = 2,
    ACTIONS(9295), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9297), 1,
      anon_sym_SLASH2,
  [164503] = 2,
    ACTIONS(8173), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164511] = 2,
    ACTIONS(9299), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164519] = 2,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164527] = 2,
    ACTIONS(9303), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164535] = 2,
    ACTIONS(9305), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164543] = 2,
    ACTIONS(9307), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164551] = 2,
    ACTIONS(5292), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164559] = 2,
    ACTIONS(5556), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164567] = 2,
    ACTIONS(9309), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164575] = 2,
    ACTIONS(9311), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164583] = 2,
    ACTIONS(9313), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164591] = 2,
    ACTIONS(4824), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164599] = 2,
    ACTIONS(9315), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164607] = 2,
    ACTIONS(9317), 1,
      anon_sym_namespace,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164615] = 2,
    ACTIONS(9319), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164623] = 2,
    ACTIONS(9321), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164631] = 2,
    ACTIONS(9323), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164639] = 2,
    ACTIONS(5562), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164647] = 2,
    ACTIONS(9325), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164655] = 2,
    ACTIONS(5341), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164663] = 2,
    ACTIONS(9327), 1,
      anon_sym_while,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164671] = 2,
    ACTIONS(9329), 1,
      anon_sym_LBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164679] = 2,
    ACTIONS(9331), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164687] = 2,
    ACTIONS(9333), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164695] = 2,
    ACTIONS(9335), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164703] = 2,
    ACTIONS(9337), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164711] = 2,
    ACTIONS(9339), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164719] = 2,
    ACTIONS(9341), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164727] = 2,
    ACTIONS(9343), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164735] = 2,
    ACTIONS(9345), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164743] = 2,
    ACTIONS(9347), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164751] = 2,
    ACTIONS(9349), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164759] = 2,
    ACTIONS(9351), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164767] = 2,
    ACTIONS(9353), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164775] = 2,
    ACTIONS(8467), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164783] = 2,
    ACTIONS(9355), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164791] = 2,
    ACTIONS(9357), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164799] = 2,
    ACTIONS(9359), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164807] = 2,
    ACTIONS(9361), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164815] = 2,
    ACTIONS(9363), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164823] = 2,
    ACTIONS(8588), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164831] = 2,
    ACTIONS(9365), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164839] = 2,
    ACTIONS(9367), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164847] = 2,
    ACTIONS(9369), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164855] = 2,
    ACTIONS(9371), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164863] = 2,
    ACTIONS(9373), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164871] = 2,
    ACTIONS(9375), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164879] = 2,
    ACTIONS(9377), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164887] = 2,
    ACTIONS(9379), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164895] = 2,
    ACTIONS(9381), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164903] = 2,
    ACTIONS(9383), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164911] = 2,
    ACTIONS(9385), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164919] = 2,
    ACTIONS(9387), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164927] = 2,
    ACTIONS(9389), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164935] = 2,
    ACTIONS(9391), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164943] = 2,
    ACTIONS(4921), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164951] = 2,
    ACTIONS(5343), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164959] = 2,
    ACTIONS(9393), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164967] = 2,
    ACTIONS(9395), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164975] = 2,
    ACTIONS(8473), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164983] = 2,
    ACTIONS(5345), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164991] = 2,
    ACTIONS(9397), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [164999] = 2,
    ACTIONS(9399), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165007] = 2,
    ACTIONS(9401), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165015] = 2,
    ACTIONS(7316), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165023] = 2,
    ACTIONS(9403), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165031] = 2,
    ACTIONS(9405), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165039] = 2,
    ACTIONS(9407), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165047] = 2,
    ACTIONS(9409), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165055] = 2,
    ACTIONS(8631), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165063] = 2,
    ACTIONS(9411), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165071] = 2,
    ACTIONS(9413), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165079] = 2,
    ACTIONS(9415), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165087] = 2,
    ACTIONS(5414), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165095] = 2,
    ACTIONS(9417), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165103] = 2,
    ACTIONS(9419), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165111] = 2,
    ACTIONS(5347), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165119] = 2,
    ACTIONS(5311), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9421), 1,
      anon_sym_SLASH2,
  [165137] = 2,
    ACTIONS(9423), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165145] = 2,
    ACTIONS(5307), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165153] = 2,
    ACTIONS(9425), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165161] = 2,
    ACTIONS(8521), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165169] = 2,
    ACTIONS(9427), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165177] = 2,
    ACTIONS(9429), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165185] = 2,
    ACTIONS(9431), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165193] = 2,
    ACTIONS(9433), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165201] = 2,
    ACTIONS(5544), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165209] = 2,
    ACTIONS(9435), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165217] = 2,
    ACTIONS(9437), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165225] = 2,
    ACTIONS(9439), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9441), 1,
      sym_regex_pattern,
  [165243] = 2,
    ACTIONS(6820), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165251] = 2,
    ACTIONS(9443), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165259] = 2,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165267] = 2,
    ACTIONS(9447), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165275] = 2,
    ACTIONS(9449), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165283] = 2,
    ACTIONS(9451), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165291] = 2,
    ACTIONS(9453), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165299] = 2,
    ACTIONS(9455), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165307] = 2,
    ACTIONS(7230), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165315] = 2,
    ACTIONS(9457), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165323] = 2,
    ACTIONS(9459), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165331] = 2,
    ACTIONS(9461), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165339] = 2,
    ACTIONS(9463), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165347] = 2,
    ACTIONS(5546), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165355] = 2,
    ACTIONS(9465), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165363] = 2,
    ACTIONS(9467), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165371] = 2,
    ACTIONS(9469), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165379] = 2,
    ACTIONS(9471), 1,
      anon_sym_LPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165387] = 2,
    ACTIONS(5384), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165395] = 2,
    ACTIONS(9473), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165403] = 2,
    ACTIONS(5422), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165411] = 2,
    ACTIONS(9475), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165419] = 2,
    ACTIONS(9477), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165427] = 2,
    ACTIONS(5424), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165435] = 2,
    ACTIONS(8789), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165443] = 2,
    ACTIONS(9479), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165451] = 2,
    ACTIONS(9481), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165459] = 2,
    ACTIONS(9483), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165467] = 2,
    ACTIONS(9485), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165475] = 2,
    ACTIONS(5478), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165483] = 2,
    ACTIONS(9487), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165491] = 2,
    ACTIONS(5325), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165499] = 2,
    ACTIONS(9489), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165507] = 2,
    ACTIONS(9491), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165515] = 2,
    ACTIONS(9493), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165523] = 2,
    ACTIONS(4885), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165531] = 2,
    ACTIONS(9495), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165539] = 2,
    ACTIONS(9497), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165547] = 2,
    ACTIONS(9499), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165555] = 2,
    ACTIONS(9501), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165563] = 2,
    ACTIONS(9503), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165571] = 2,
    ACTIONS(9505), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165579] = 2,
    ACTIONS(9507), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165587] = 2,
    ACTIONS(9509), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165595] = 2,
    ACTIONS(9511), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165603] = 2,
    ACTIONS(4449), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165611] = 2,
    ACTIONS(9513), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165619] = 2,
    ACTIONS(9515), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165627] = 2,
    ACTIONS(6688), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165635] = 2,
    ACTIONS(4031), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165643] = 2,
    ACTIONS(9517), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165651] = 2,
    ACTIONS(9519), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165659] = 2,
    ACTIONS(5204), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165667] = 2,
    ACTIONS(9521), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165675] = 2,
    ACTIONS(9523), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165683] = 2,
    ACTIONS(9525), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165691] = 2,
    ACTIONS(9527), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165699] = 2,
    ACTIONS(9529), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165707] = 2,
    ACTIONS(5430), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165715] = 2,
    ACTIONS(4919), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165723] = 2,
    ACTIONS(9531), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165731] = 2,
    ACTIONS(9533), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165739] = 2,
    ACTIONS(9535), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165747] = 2,
    ACTIONS(9537), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165755] = 2,
    ACTIONS(9539), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165763] = 2,
    ACTIONS(9541), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165771] = 2,
    ACTIONS(9543), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165779] = 2,
    ACTIONS(9545), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165787] = 2,
    ACTIONS(9547), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165795] = 2,
    ACTIONS(9549), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165803] = 2,
    ACTIONS(9551), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165811] = 2,
    ACTIONS(9553), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165819] = 2,
    ACTIONS(9555), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165827] = 2,
    ACTIONS(9557), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165835] = 2,
    ACTIONS(9559), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165843] = 2,
    ACTIONS(9561), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9563), 1,
      sym_regex_pattern,
  [165861] = 2,
    ACTIONS(7447), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165869] = 2,
    ACTIONS(9565), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165877] = 2,
    ACTIONS(9567), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165885] = 2,
    ACTIONS(9569), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165893] = 2,
    ACTIONS(9571), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165901] = 2,
    ACTIONS(9573), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165909] = 2,
    ACTIONS(9575), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9577), 1,
      anon_sym_SLASH2,
  [165927] = 2,
    ACTIONS(9579), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165935] = 2,
    ACTIONS(9581), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165943] = 2,
    ACTIONS(9583), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165951] = 2,
    ACTIONS(9585), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165959] = 2,
    ACTIONS(9587), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165967] = 2,
    ACTIONS(9589), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165975] = 2,
    ACTIONS(9589), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165983] = 2,
    ACTIONS(9591), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165991] = 2,
    ACTIONS(9593), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [165999] = 2,
    ACTIONS(8651), 1,
      anon_sym_LBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166007] = 2,
    ACTIONS(9595), 1,
      ts_builtin_sym_end,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166015] = 2,
    ACTIONS(6495), 1,
      anon_sym_is,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166023] = 2,
    ACTIONS(5560), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166031] = 2,
    ACTIONS(9597), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166039] = 2,
    ACTIONS(9599), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166047] = 2,
    ACTIONS(9601), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9603), 1,
      sym_regex_pattern,
  [166065] = 2,
    ACTIONS(9605), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166073] = 2,
    ACTIONS(5160), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166081] = 2,
    ACTIONS(9607), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166089] = 2,
    ACTIONS(5612), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166097] = 2,
    ACTIONS(9609), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166105] = 2,
    ACTIONS(9611), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166113] = 2,
    ACTIONS(9613), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166121] = 2,
    ACTIONS(9615), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166129] = 2,
    ACTIONS(9617), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166137] = 2,
    ACTIONS(9619), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166145] = 2,
    ACTIONS(9621), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166153] = 2,
    ACTIONS(9623), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166161] = 2,
    ACTIONS(9625), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166169] = 2,
    ACTIONS(7563), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166177] = 2,
    ACTIONS(9627), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166185] = 2,
    ACTIONS(9629), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166193] = 2,
    ACTIONS(9631), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166201] = 2,
    ACTIONS(9633), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166209] = 2,
    ACTIONS(9635), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166217] = 2,
    ACTIONS(9637), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166225] = 2,
    ACTIONS(9639), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166233] = 2,
    ACTIONS(9641), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166241] = 2,
    ACTIONS(8602), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166249] = 2,
    ACTIONS(9643), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166257] = 2,
    ACTIONS(5337), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166265] = 2,
    ACTIONS(9645), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166273] = 2,
    ACTIONS(9647), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166281] = 2,
    ACTIONS(9649), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166289] = 2,
    ACTIONS(9651), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166297] = 2,
    ACTIONS(9653), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166305] = 2,
    ACTIONS(9655), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166313] = 2,
    ACTIONS(9657), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166321] = 2,
    ACTIONS(9659), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166329] = 2,
    ACTIONS(9661), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166337] = 2,
    ACTIONS(9663), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166345] = 2,
    ACTIONS(9665), 1,
      anon_sym_require,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166353] = 2,
    ACTIONS(9667), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166361] = 2,
    ACTIONS(9669), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166369] = 2,
    ACTIONS(9671), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166377] = 2,
    ACTIONS(9673), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166385] = 2,
    ACTIONS(9675), 1,
      anon_sym_readonly,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166393] = 2,
    ACTIONS(9677), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166401] = 2,
    ACTIONS(9679), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166409] = 2,
    ACTIONS(9681), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166417] = 2,
    ACTIONS(8783), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166425] = 2,
    ACTIONS(9683), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166433] = 2,
    ACTIONS(9685), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166441] = 2,
    ACTIONS(9687), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166449] = 2,
    ACTIONS(8793), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166457] = 2,
    ACTIONS(9689), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166465] = 2,
    ACTIONS(9691), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166473] = 2,
    ACTIONS(9693), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166481] = 2,
    ACTIONS(9695), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166489] = 2,
    ACTIONS(5634), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166497] = 2,
    ACTIONS(9697), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166505] = 2,
    ACTIONS(8939), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166513] = 2,
    ACTIONS(9699), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166521] = 2,
    ACTIONS(9701), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166529] = 2,
    ACTIONS(9703), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166537] = 2,
    ACTIONS(9705), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166545] = 2,
    ACTIONS(9707), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166553] = 2,
    ACTIONS(9709), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166561] = 2,
    ACTIONS(9711), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166569] = 2,
    ACTIONS(9713), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166577] = 2,
    ACTIONS(9715), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166585] = 2,
    ACTIONS(5837), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166593] = 2,
    ACTIONS(9717), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166601] = 2,
    ACTIONS(9719), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166609] = 2,
    ACTIONS(9721), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166617] = 2,
    ACTIONS(7970), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9723), 1,
      sym_regex_pattern,
  [166635] = 2,
    ACTIONS(9725), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166643] = 2,
    ACTIONS(9727), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166651] = 2,
    ACTIONS(9729), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166659] = 2,
    ACTIONS(9731), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166667] = 2,
    ACTIONS(9733), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166675] = 2,
    ACTIONS(9735), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166683] = 2,
    ACTIONS(5598), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166691] = 2,
    ACTIONS(9737), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166699] = 2,
    ACTIONS(9739), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166707] = 2,
    ACTIONS(9741), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166715] = 2,
    ACTIONS(5600), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166723] = 2,
    ACTIONS(9743), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166731] = 2,
    ACTIONS(5602), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166739] = 2,
    ACTIONS(9745), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166747] = 2,
    ACTIONS(9747), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166755] = 2,
    ACTIONS(5604), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166763] = 2,
    ACTIONS(9749), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166771] = 2,
    ACTIONS(9751), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166779] = 2,
    ACTIONS(9753), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166787] = 2,
    ACTIONS(9755), 1,
      anon_sym_meta,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166795] = 2,
    ACTIONS(9757), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166803] = 2,
    ACTIONS(9759), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166811] = 2,
    ACTIONS(9761), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166819] = 2,
    ACTIONS(9763), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166827] = 2,
    ACTIONS(9765), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166835] = 2,
    ACTIONS(9767), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166843] = 2,
    ACTIONS(9769), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166851] = 2,
    ACTIONS(9771), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166859] = 2,
    ACTIONS(9773), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166867] = 2,
    ACTIONS(4949), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166875] = 2,
    ACTIONS(9775), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166883] = 2,
    ACTIONS(4917), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166891] = 2,
    ACTIONS(9777), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166899] = 2,
    ACTIONS(9779), 1,
      anon_sym_as,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166907] = 2,
    ACTIONS(9781), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166915] = 2,
    ACTIONS(9783), 1,
      anon_sym_class,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166923] = 2,
    ACTIONS(9785), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166931] = 2,
    ACTIONS(9787), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166939] = 2,
    ACTIONS(9789), 1,
      sym_number,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166947] = 2,
    ACTIONS(9791), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166955] = 2,
    ACTIONS(9793), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166963] = 2,
    ACTIONS(5516), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166971] = 2,
    ACTIONS(8928), 1,
      anon_sym_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166979] = 2,
    ACTIONS(9795), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166987] = 2,
    ACTIONS(9797), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [166995] = 2,
    ACTIONS(9799), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167003] = 2,
    ACTIONS(9801), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167011] = 2,
    ACTIONS(9803), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167019] = 2,
    ACTIONS(9805), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167027] = 2,
    ACTIONS(9807), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167035] = 2,
    ACTIONS(9809), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9811), 1,
      anon_sym_SLASH2,
  [167053] = 2,
    ACTIONS(9813), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167061] = 2,
    ACTIONS(9815), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167069] = 2,
    ACTIONS(9817), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167077] = 2,
    ACTIONS(9819), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167085] = 2,
    ACTIONS(5606), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167093] = 2,
    ACTIONS(4861), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167101] = 2,
    ACTIONS(9821), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167109] = 2,
    ACTIONS(5608), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167117] = 2,
    ACTIONS(9823), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167125] = 2,
    ACTIONS(9825), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167133] = 2,
    ACTIONS(9827), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167141] = 2,
    ACTIONS(9829), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167149] = 2,
    ACTIONS(9831), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167157] = 2,
    ACTIONS(9833), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167165] = 2,
    ACTIONS(9835), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167173] = 2,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167181] = 2,
    ACTIONS(9837), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167189] = 2,
    ACTIONS(9839), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167197] = 2,
    ACTIONS(9841), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167205] = 2,
    ACTIONS(8945), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167213] = 2,
    ACTIONS(9843), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167221] = 2,
    ACTIONS(9845), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167229] = 2,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167237] = 2,
    ACTIONS(9847), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167245] = 2,
    ACTIONS(9849), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167253] = 2,
    ACTIONS(9851), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167261] = 2,
    ACTIONS(9853), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167269] = 2,
    ACTIONS(9855), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167277] = 2,
    ACTIONS(9857), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167285] = 2,
    ACTIONS(9859), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167293] = 2,
    ACTIONS(9861), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167301] = 2,
    ACTIONS(7349), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167309] = 2,
    ACTIONS(9863), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167317] = 2,
    ACTIONS(9865), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167325] = 2,
    ACTIONS(9867), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167333] = 2,
    ACTIONS(9869), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167341] = 2,
    ACTIONS(9871), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167349] = 2,
    ACTIONS(9873), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167357] = 2,
    ACTIONS(7823), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167365] = 2,
    ACTIONS(9875), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167373] = 2,
    ACTIONS(8103), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167381] = 2,
    ACTIONS(9877), 1,
      anon_sym_function,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167389] = 2,
    ACTIONS(9879), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167397] = 2,
    ACTIONS(9881), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167405] = 2,
    ACTIONS(9883), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167413] = 2,
    ACTIONS(9885), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167421] = 2,
    ACTIONS(5758), 1,
      anon_sym_in,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167429] = 2,
    ACTIONS(5610), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167437] = 2,
    ACTIONS(9887), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167445] = 2,
    ACTIONS(9889), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167453] = 2,
    ACTIONS(9891), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167461] = 2,
    ACTIONS(9893), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167469] = 2,
    ACTIONS(9895), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167477] = 2,
    ACTIONS(9897), 1,
      anon_sym_symbol,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167485] = 2,
    ACTIONS(9899), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167493] = 2,
    ACTIONS(9901), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167501] = 2,
    ACTIONS(9903), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167509] = 2,
    ACTIONS(9905), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167517] = 2,
    ACTIONS(9907), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167525] = 2,
    ACTIONS(9909), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9911), 1,
      sym_regex_pattern,
  [167543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_html_comment,
    ACTIONS(9913), 1,
      anon_sym_SLASH2,
  [167553] = 2,
    ACTIONS(9915), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167561] = 2,
    ACTIONS(9917), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167569] = 2,
    ACTIONS(9919), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167577] = 2,
    ACTIONS(5327), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167585] = 2,
    ACTIONS(9921), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167593] = 2,
    ACTIONS(9923), 1,
      anon_sym_EQ,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167601] = 2,
    ACTIONS(9925), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167609] = 2,
    ACTIONS(9927), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167617] = 2,
    ACTIONS(9929), 1,
      sym_identifier,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167625] = 2,
    ACTIONS(9931), 1,
      anon_sym_COLON,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167633] = 2,
    ACTIONS(6125), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167641] = 2,
    ACTIONS(9933), 1,
      anon_sym_DOT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167649] = 2,
    ACTIONS(9755), 1,
      anon_sym_target,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167657] = 2,
    ACTIONS(9935), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167665] = 2,
    ACTIONS(5208), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167673] = 2,
    ACTIONS(9037), 1,
      anon_sym_from,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167681] = 2,
    ACTIONS(9937), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167689] = 2,
    ACTIONS(9939), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167697] = 2,
    ACTIONS(9941), 1,
      anon_sym_new,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167705] = 2,
    ACTIONS(9943), 1,
      anon_sym_RPAREN,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167713] = 2,
    ACTIONS(5309), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167721] = 2,
    ACTIONS(9945), 1,
      anon_sym_RBRACK,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
  [167729] = 2,
    ACTIONS(9947), 1,
      anon_sym_EQ_GT,
    ACTIONS(5), 2,
      sym_html_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1167)] = 0,
  [SMALL_STATE(1168)] = 71,
  [SMALL_STATE(1169)] = 164,
  [SMALL_STATE(1170)] = 235,
  [SMALL_STATE(1171)] = 306,
  [SMALL_STATE(1172)] = 377,
  [SMALL_STATE(1173)] = 448,
  [SMALL_STATE(1174)] = 521,
  [SMALL_STATE(1175)] = 594,
  [SMALL_STATE(1176)] = 665,
  [SMALL_STATE(1177)] = 754,
  [SMALL_STATE(1178)] = 825,
  [SMALL_STATE(1179)] = 918,
  [SMALL_STATE(1180)] = 1011,
  [SMALL_STATE(1181)] = 1100,
  [SMALL_STATE(1182)] = 1193,
  [SMALL_STATE(1183)] = 1288,
  [SMALL_STATE(1184)] = 1379,
  [SMALL_STATE(1185)] = 1472,
  [SMALL_STATE(1186)] = 1560,
  [SMALL_STATE(1187)] = 1650,
  [SMALL_STATE(1188)] = 1740,
  [SMALL_STATE(1189)] = 1828,
  [SMALL_STATE(1190)] = 1916,
  [SMALL_STATE(1191)] = 2006,
  [SMALL_STATE(1192)] = 2094,
  [SMALL_STATE(1193)] = 2182,
  [SMALL_STATE(1194)] = 2270,
  [SMALL_STATE(1195)] = 2356,
  [SMALL_STATE(1196)] = 2446,
  [SMALL_STATE(1197)] = 2516,
  [SMALL_STATE(1198)] = 2608,
  [SMALL_STATE(1199)] = 2698,
  [SMALL_STATE(1200)] = 2788,
  [SMALL_STATE(1201)] = 2862,
  [SMALL_STATE(1202)] = 2932,
  [SMALL_STATE(1203)] = 3022,
  [SMALL_STATE(1204)] = 3110,
  [SMALL_STATE(1205)] = 3200,
  [SMALL_STATE(1206)] = 3288,
  [SMALL_STATE(1207)] = 3380,
  [SMALL_STATE(1208)] = 3466,
  [SMALL_STATE(1209)] = 3554,
  [SMALL_STATE(1210)] = 3645,
  [SMALL_STATE(1211)] = 3726,
  [SMALL_STATE(1212)] = 3817,
  [SMALL_STATE(1213)] = 3906,
  [SMALL_STATE(1214)] = 3985,
  [SMALL_STATE(1215)] = 4076,
  [SMALL_STATE(1216)] = 4171,
  [SMALL_STATE(1217)] = 4258,
  [SMALL_STATE(1218)] = 4345,
  [SMALL_STATE(1219)] = 4432,
  [SMALL_STATE(1220)] = 4519,
  [SMALL_STATE(1221)] = 4608,
  [SMALL_STATE(1222)] = 4699,
  [SMALL_STATE(1223)] = 4785,
  [SMALL_STATE(1224)] = 4877,
  [SMALL_STATE(1225)] = 4969,
  [SMALL_STATE(1226)] = 5055,
  [SMALL_STATE(1227)] = 5141,
  [SMALL_STATE(1228)] = 5219,
  [SMALL_STATE(1229)] = 5309,
  [SMALL_STATE(1230)] = 5387,
  [SMALL_STATE(1231)] = 5473,
  [SMALL_STATE(1232)] = 5541,
  [SMALL_STATE(1233)] = 5609,
  [SMALL_STATE(1234)] = 5699,
  [SMALL_STATE(1235)] = 5777,
  [SMALL_STATE(1236)] = 5863,
  [SMALL_STATE(1237)] = 5949,
  [SMALL_STATE(1238)] = 6029,
  [SMALL_STATE(1239)] = 6105,
  [SMALL_STATE(1240)] = 6191,
  [SMALL_STATE(1241)] = 6281,
  [SMALL_STATE(1242)] = 6367,
  [SMALL_STATE(1243)] = 6453,
  [SMALL_STATE(1244)] = 6527,
  [SMALL_STATE(1245)] = 6605,
  [SMALL_STATE(1246)] = 6691,
  [SMALL_STATE(1247)] = 6777,
  [SMALL_STATE(1248)] = 6851,
  [SMALL_STATE(1249)] = 6925,
  [SMALL_STATE(1250)] = 6999,
  [SMALL_STATE(1251)] = 7089,
  [SMALL_STATE(1252)] = 7175,
  [SMALL_STATE(1253)] = 7261,
  [SMALL_STATE(1254)] = 7339,
  [SMALL_STATE(1255)] = 7413,
  [SMALL_STATE(1256)] = 7491,
  [SMALL_STATE(1257)] = 7558,
  [SMALL_STATE(1258)] = 7633,
  [SMALL_STATE(1259)] = 7702,
  [SMALL_STATE(1260)] = 7781,
  [SMALL_STATE(1261)] = 7864,
  [SMALL_STATE(1262)] = 7939,
  [SMALL_STATE(1263)] = 8008,
  [SMALL_STATE(1264)] = 8077,
  [SMALL_STATE(1265)] = 8156,
  [SMALL_STATE(1266)] = 8223,
  [SMALL_STATE(1267)] = 8312,
  [SMALL_STATE(1268)] = 8379,
  [SMALL_STATE(1269)] = 8464,
  [SMALL_STATE(1270)] = 8533,
  [SMALL_STATE(1271)] = 8622,
  [SMALL_STATE(1272)] = 8693,
  [SMALL_STATE(1273)] = 8782,
  [SMALL_STATE(1274)] = 8859,
  [SMALL_STATE(1275)] = 8942,
  [SMALL_STATE(1276)] = 9031,
  [SMALL_STATE(1277)] = 9100,
  [SMALL_STATE(1278)] = 9177,
  [SMALL_STATE(1279)] = 9246,
  [SMALL_STATE(1280)] = 9321,
  [SMALL_STATE(1281)] = 9388,
  [SMALL_STATE(1282)] = 9473,
  [SMALL_STATE(1283)] = 9558,
  [SMALL_STATE(1284)] = 9635,
  [SMALL_STATE(1285)] = 9722,
  [SMALL_STATE(1286)] = 9788,
  [SMALL_STATE(1287)] = 9876,
  [SMALL_STATE(1288)] = 9954,
  [SMALL_STATE(1289)] = 10020,
  [SMALL_STATE(1290)] = 10102,
  [SMALL_STATE(1291)] = 10174,
  [SMALL_STATE(1292)] = 10262,
  [SMALL_STATE(1293)] = 10346,
  [SMALL_STATE(1294)] = 10420,
  [SMALL_STATE(1295)] = 10486,
  [SMALL_STATE(1296)] = 10566,
  [SMALL_STATE(1297)] = 10638,
  [SMALL_STATE(1298)] = 10710,
  [SMALL_STATE(1299)] = 10782,
  [SMALL_STATE(1300)] = 10856,
  [SMALL_STATE(1301)] = 10932,
  [SMALL_STATE(1302)] = 10998,
  [SMALL_STATE(1303)] = 11070,
  [SMALL_STATE(1304)] = 11136,
  [SMALL_STATE(1305)] = 11210,
  [SMALL_STATE(1306)] = 11276,
  [SMALL_STATE(1307)] = 11350,
  [SMALL_STATE(1308)] = 11428,
  [SMALL_STATE(1309)] = 11494,
  [SMALL_STATE(1310)] = 11568,
  [SMALL_STATE(1311)] = 11642,
  [SMALL_STATE(1312)] = 11708,
  [SMALL_STATE(1313)] = 11774,
  [SMALL_STATE(1314)] = 11854,
  [SMALL_STATE(1315)] = 11926,
  [SMALL_STATE(1316)] = 11998,
  [SMALL_STATE(1317)] = 12082,
  [SMALL_STATE(1318)] = 12152,
  [SMALL_STATE(1319)] = 12236,
  [SMALL_STATE(1320)] = 12308,
  [SMALL_STATE(1321)] = 12386,
  [SMALL_STATE(1322)] = 12455,
  [SMALL_STATE(1323)] = 12530,
  [SMALL_STATE(1324)] = 12603,
  [SMALL_STATE(1325)] = 12670,
  [SMALL_STATE(1326)] = 12737,
  [SMALL_STATE(1327)] = 12810,
  [SMALL_STATE(1328)] = 12887,
  [SMALL_STATE(1329)] = 12970,
  [SMALL_STATE(1330)] = 13041,
  [SMALL_STATE(1331)] = 13110,
  [SMALL_STATE(1332)] = 13179,
  [SMALL_STATE(1333)] = 13252,
  [SMALL_STATE(1334)] = 13323,
  [SMALL_STATE(1335)] = 13400,
  [SMALL_STATE(1336)] = 13475,
  [SMALL_STATE(1337)] = 13544,
  [SMALL_STATE(1338)] = 13621,
  [SMALL_STATE(1339)] = 13692,
  [SMALL_STATE(1340)] = 13771,
  [SMALL_STATE(1341)] = 13848,
  [SMALL_STATE(1342)] = 13919,
  [SMALL_STATE(1343)] = 13992,
  [SMALL_STATE(1344)] = 14058,
  [SMALL_STATE(1345)] = 14132,
  [SMALL_STATE(1346)] = 14202,
  [SMALL_STATE(1347)] = 14322,
  [SMALL_STATE(1348)] = 14394,
  [SMALL_STATE(1349)] = 14464,
  [SMALL_STATE(1350)] = 14540,
  [SMALL_STATE(1351)] = 14610,
  [SMALL_STATE(1352)] = 14730,
  [SMALL_STATE(1353)] = 14850,
  [SMALL_STATE(1354)] = 14920,
  [SMALL_STATE(1355)] = 14992,
  [SMALL_STATE(1356)] = 15112,
  [SMALL_STATE(1357)] = 15184,
  [SMALL_STATE(1358)] = 15258,
  [SMALL_STATE(1359)] = 15328,
  [SMALL_STATE(1360)] = 15448,
  [SMALL_STATE(1361)] = 15514,
  [SMALL_STATE(1362)] = 15588,
  [SMALL_STATE(1363)] = 15658,
  [SMALL_STATE(1364)] = 15732,
  [SMALL_STATE(1365)] = 15802,
  [SMALL_STATE(1366)] = 15870,
  [SMALL_STATE(1367)] = 15940,
  [SMALL_STATE(1368)] = 16060,
  [SMALL_STATE(1369)] = 16129,
  [SMALL_STATE(1370)] = 16200,
  [SMALL_STATE(1371)] = 16269,
  [SMALL_STATE(1372)] = 16338,
  [SMALL_STATE(1373)] = 16407,
  [SMALL_STATE(1374)] = 16474,
  [SMALL_STATE(1375)] = 16545,
  [SMALL_STATE(1376)] = 16618,
  [SMALL_STATE(1377)] = 16691,
  [SMALL_STATE(1378)] = 16758,
  [SMALL_STATE(1379)] = 16827,
  [SMALL_STATE(1380)] = 16896,
  [SMALL_STATE(1381)] = 16965,
  [SMALL_STATE(1382)] = 17034,
  [SMALL_STATE(1383)] = 17102,
  [SMALL_STATE(1384)] = 17170,
  [SMALL_STATE(1385)] = 17238,
  [SMALL_STATE(1386)] = 17354,
  [SMALL_STATE(1387)] = 17470,
  [SMALL_STATE(1388)] = 17538,
  [SMALL_STATE(1389)] = 17654,
  [SMALL_STATE(1390)] = 17770,
  [SMALL_STATE(1391)] = 17840,
  [SMALL_STATE(1392)] = 17956,
  [SMALL_STATE(1393)] = 18072,
  [SMALL_STATE(1394)] = 18140,
  [SMALL_STATE(1395)] = 18208,
  [SMALL_STATE(1396)] = 18324,
  [SMALL_STATE(1397)] = 18440,
  [SMALL_STATE(1398)] = 18556,
  [SMALL_STATE(1399)] = 18624,
  [SMALL_STATE(1400)] = 18692,
  [SMALL_STATE(1401)] = 18760,
  [SMALL_STATE(1402)] = 18828,
  [SMALL_STATE(1403)] = 18944,
  [SMALL_STATE(1404)] = 19060,
  [SMALL_STATE(1405)] = 19128,
  [SMALL_STATE(1406)] = 19244,
  [SMALL_STATE(1407)] = 19312,
  [SMALL_STATE(1408)] = 19380,
  [SMALL_STATE(1409)] = 19448,
  [SMALL_STATE(1410)] = 19516,
  [SMALL_STATE(1411)] = 19584,
  [SMALL_STATE(1412)] = 19652,
  [SMALL_STATE(1413)] = 19768,
  [SMALL_STATE(1414)] = 19834,
  [SMALL_STATE(1415)] = 19900,
  [SMALL_STATE(1416)] = 19968,
  [SMALL_STATE(1417)] = 20036,
  [SMALL_STATE(1418)] = 20152,
  [SMALL_STATE(1419)] = 20268,
  [SMALL_STATE(1420)] = 20336,
  [SMALL_STATE(1421)] = 20452,
  [SMALL_STATE(1422)] = 20568,
  [SMALL_STATE(1423)] = 20684,
  [SMALL_STATE(1424)] = 20752,
  [SMALL_STATE(1425)] = 20817,
  [SMALL_STATE(1426)] = 20882,
  [SMALL_STATE(1427)] = 20947,
  [SMALL_STATE(1428)] = 21012,
  [SMALL_STATE(1429)] = 21077,
  [SMALL_STATE(1430)] = 21142,
  [SMALL_STATE(1431)] = 21207,
  [SMALL_STATE(1432)] = 21272,
  [SMALL_STATE(1433)] = 21337,
  [SMALL_STATE(1434)] = 21449,
  [SMALL_STATE(1435)] = 21561,
  [SMALL_STATE(1436)] = 21673,
  [SMALL_STATE(1437)] = 21785,
  [SMALL_STATE(1438)] = 21897,
  [SMALL_STATE(1439)] = 22009,
  [SMALL_STATE(1440)] = 22121,
  [SMALL_STATE(1441)] = 22232,
  [SMALL_STATE(1442)] = 22343,
  [SMALL_STATE(1443)] = 22462,
  [SMALL_STATE(1444)] = 22573,
  [SMALL_STATE(1445)] = 22692,
  [SMALL_STATE(1446)] = 22803,
  [SMALL_STATE(1447)] = 22914,
  [SMALL_STATE(1448)] = 23025,
  [SMALL_STATE(1449)] = 23144,
  [SMALL_STATE(1450)] = 23255,
  [SMALL_STATE(1451)] = 23366,
  [SMALL_STATE(1452)] = 23477,
  [SMALL_STATE(1453)] = 23596,
  [SMALL_STATE(1454)] = 23707,
  [SMALL_STATE(1455)] = 23826,
  [SMALL_STATE(1456)] = 23937,
  [SMALL_STATE(1457)] = 24039,
  [SMALL_STATE(1458)] = 24141,
  [SMALL_STATE(1459)] = 24243,
  [SMALL_STATE(1460)] = 24345,
  [SMALL_STATE(1461)] = 24423,
  [SMALL_STATE(1462)] = 24525,
  [SMALL_STATE(1463)] = 24627,
  [SMALL_STATE(1464)] = 24736,
  [SMALL_STATE(1465)] = 24793,
  [SMALL_STATE(1466)] = 24904,
  [SMALL_STATE(1467)] = 24971,
  [SMALL_STATE(1468)] = 25036,
  [SMALL_STATE(1469)] = 25093,
  [SMALL_STATE(1470)] = 25160,
  [SMALL_STATE(1471)] = 25227,
  [SMALL_STATE(1472)] = 25283,
  [SMALL_STATE(1473)] = 25341,
  [SMALL_STATE(1474)] = 25401,
  [SMALL_STATE(1475)] = 25457,
  [SMALL_STATE(1476)] = 25513,
  [SMALL_STATE(1477)] = 25569,
  [SMALL_STATE(1478)] = 25625,
  [SMALL_STATE(1479)] = 25687,
  [SMALL_STATE(1480)] = 25745,
  [SMALL_STATE(1481)] = 25805,
  [SMALL_STATE(1482)] = 25867,
  [SMALL_STATE(1483)] = 25925,
  [SMALL_STATE(1484)] = 26019,
  [SMALL_STATE(1485)] = 26075,
  [SMALL_STATE(1486)] = 26131,
  [SMALL_STATE(1487)] = 26199,
  [SMALL_STATE(1488)] = 26254,
  [SMALL_STATE(1489)] = 26313,
  [SMALL_STATE(1490)] = 26368,
  [SMALL_STATE(1491)] = 26423,
  [SMALL_STATE(1492)] = 26480,
  [SMALL_STATE(1493)] = 26535,
  [SMALL_STATE(1494)] = 26592,
  [SMALL_STATE(1495)] = 26647,
  [SMALL_STATE(1496)] = 26702,
  [SMALL_STATE(1497)] = 26759,
  [SMALL_STATE(1498)] = 26816,
  [SMALL_STATE(1499)] = 26873,
  [SMALL_STATE(1500)] = 26928,
  [SMALL_STATE(1501)] = 26983,
  [SMALL_STATE(1502)] = 27038,
  [SMALL_STATE(1503)] = 27095,
  [SMALL_STATE(1504)] = 27150,
  [SMALL_STATE(1505)] = 27205,
  [SMALL_STATE(1506)] = 27260,
  [SMALL_STATE(1507)] = 27321,
  [SMALL_STATE(1508)] = 27376,
  [SMALL_STATE(1509)] = 27437,
  [SMALL_STATE(1510)] = 27498,
  [SMALL_STATE(1511)] = 27559,
  [SMALL_STATE(1512)] = 27616,
  [SMALL_STATE(1513)] = 27675,
  [SMALL_STATE(1514)] = 27732,
  [SMALL_STATE(1515)] = 27793,
  [SMALL_STATE(1516)] = 27848,
  [SMALL_STATE(1517)] = 27905,
  [SMALL_STATE(1518)] = 27960,
  [SMALL_STATE(1519)] = 28015,
  [SMALL_STATE(1520)] = 28070,
  [SMALL_STATE(1521)] = 28125,
  [SMALL_STATE(1522)] = 28180,
  [SMALL_STATE(1523)] = 28235,
  [SMALL_STATE(1524)] = 28290,
  [SMALL_STATE(1525)] = 28345,
  [SMALL_STATE(1526)] = 28400,
  [SMALL_STATE(1527)] = 28455,
  [SMALL_STATE(1528)] = 28510,
  [SMALL_STATE(1529)] = 28565,
  [SMALL_STATE(1530)] = 28628,
  [SMALL_STATE(1531)] = 28683,
  [SMALL_STATE(1532)] = 28740,
  [SMALL_STATE(1533)] = 28801,
  [SMALL_STATE(1534)] = 28856,
  [SMALL_STATE(1535)] = 28911,
  [SMALL_STATE(1536)] = 28968,
  [SMALL_STATE(1537)] = 29023,
  [SMALL_STATE(1538)] = 29080,
  [SMALL_STATE(1539)] = 29141,
  [SMALL_STATE(1540)] = 29196,
  [SMALL_STATE(1541)] = 29251,
  [SMALL_STATE(1542)] = 29306,
  [SMALL_STATE(1543)] = 29361,
  [SMALL_STATE(1544)] = 29416,
  [SMALL_STATE(1545)] = 29473,
  [SMALL_STATE(1546)] = 29528,
  [SMALL_STATE(1547)] = 29583,
  [SMALL_STATE(1548)] = 29638,
  [SMALL_STATE(1549)] = 29693,
  [SMALL_STATE(1550)] = 29748,
  [SMALL_STATE(1551)] = 29803,
  [SMALL_STATE(1552)] = 29864,
  [SMALL_STATE(1553)] = 29919,
  [SMALL_STATE(1554)] = 29974,
  [SMALL_STATE(1555)] = 30029,
  [SMALL_STATE(1556)] = 30084,
  [SMALL_STATE(1557)] = 30139,
  [SMALL_STATE(1558)] = 30194,
  [SMALL_STATE(1559)] = 30249,
  [SMALL_STATE(1560)] = 30304,
  [SMALL_STATE(1561)] = 30359,
  [SMALL_STATE(1562)] = 30420,
  [SMALL_STATE(1563)] = 30475,
  [SMALL_STATE(1564)] = 30530,
  [SMALL_STATE(1565)] = 30593,
  [SMALL_STATE(1566)] = 30654,
  [SMALL_STATE(1567)] = 30717,
  [SMALL_STATE(1568)] = 30772,
  [SMALL_STATE(1569)] = 30831,
  [SMALL_STATE(1570)] = 30886,
  [SMALL_STATE(1571)] = 30947,
  [SMALL_STATE(1572)] = 31002,
  [SMALL_STATE(1573)] = 31057,
  [SMALL_STATE(1574)] = 31112,
  [SMALL_STATE(1575)] = 31173,
  [SMALL_STATE(1576)] = 31228,
  [SMALL_STATE(1577)] = 31287,
  [SMALL_STATE(1578)] = 31342,
  [SMALL_STATE(1579)] = 31397,
  [SMALL_STATE(1580)] = 31452,
  [SMALL_STATE(1581)] = 31507,
  [SMALL_STATE(1582)] = 31562,
  [SMALL_STATE(1583)] = 31621,
  [SMALL_STATE(1584)] = 31676,
  [SMALL_STATE(1585)] = 31731,
  [SMALL_STATE(1586)] = 31786,
  [SMALL_STATE(1587)] = 31841,
  [SMALL_STATE(1588)] = 31896,
  [SMALL_STATE(1589)] = 31955,
  [SMALL_STATE(1590)] = 32010,
  [SMALL_STATE(1591)] = 32065,
  [SMALL_STATE(1592)] = 32120,
  [SMALL_STATE(1593)] = 32175,
  [SMALL_STATE(1594)] = 32230,
  [SMALL_STATE(1595)] = 32285,
  [SMALL_STATE(1596)] = 32344,
  [SMALL_STATE(1597)] = 32399,
  [SMALL_STATE(1598)] = 32454,
  [SMALL_STATE(1599)] = 32509,
  [SMALL_STATE(1600)] = 32564,
  [SMALL_STATE(1601)] = 32619,
  [SMALL_STATE(1602)] = 32674,
  [SMALL_STATE(1603)] = 32729,
  [SMALL_STATE(1604)] = 32788,
  [SMALL_STATE(1605)] = 32843,
  [SMALL_STATE(1606)] = 32904,
  [SMALL_STATE(1607)] = 32959,
  [SMALL_STATE(1608)] = 33020,
  [SMALL_STATE(1609)] = 33077,
  [SMALL_STATE(1610)] = 33132,
  [SMALL_STATE(1611)] = 33242,
  [SMALL_STATE(1612)] = 33296,
  [SMALL_STATE(1613)] = 33382,
  [SMALL_STATE(1614)] = 33480,
  [SMALL_STATE(1615)] = 33534,
  [SMALL_STATE(1616)] = 33588,
  [SMALL_STATE(1617)] = 33674,
  [SMALL_STATE(1618)] = 33784,
  [SMALL_STATE(1619)] = 33884,
  [SMALL_STATE(1620)] = 33938,
  [SMALL_STATE(1621)] = 34048,
  [SMALL_STATE(1622)] = 34102,
  [SMALL_STATE(1623)] = 34156,
  [SMALL_STATE(1624)] = 34210,
  [SMALL_STATE(1625)] = 34264,
  [SMALL_STATE(1626)] = 34318,
  [SMALL_STATE(1627)] = 34398,
  [SMALL_STATE(1628)] = 34452,
  [SMALL_STATE(1629)] = 34526,
  [SMALL_STATE(1630)] = 34580,
  [SMALL_STATE(1631)] = 34634,
  [SMALL_STATE(1632)] = 34688,
  [SMALL_STATE(1633)] = 34742,
  [SMALL_STATE(1634)] = 34796,
  [SMALL_STATE(1635)] = 34906,
  [SMALL_STATE(1636)] = 35016,
  [SMALL_STATE(1637)] = 35070,
  [SMALL_STATE(1638)] = 35124,
  [SMALL_STATE(1639)] = 35178,
  [SMALL_STATE(1640)] = 35232,
  [SMALL_STATE(1641)] = 35286,
  [SMALL_STATE(1642)] = 35396,
  [SMALL_STATE(1643)] = 35450,
  [SMALL_STATE(1644)] = 35504,
  [SMALL_STATE(1645)] = 35558,
  [SMALL_STATE(1646)] = 35612,
  [SMALL_STATE(1647)] = 35704,
  [SMALL_STATE(1648)] = 35758,
  [SMALL_STATE(1649)] = 35812,
  [SMALL_STATE(1650)] = 35866,
  [SMALL_STATE(1651)] = 35920,
  [SMALL_STATE(1652)] = 35974,
  [SMALL_STATE(1653)] = 36028,
  [SMALL_STATE(1654)] = 36102,
  [SMALL_STATE(1655)] = 36156,
  [SMALL_STATE(1656)] = 36242,
  [SMALL_STATE(1657)] = 36328,
  [SMALL_STATE(1658)] = 36382,
  [SMALL_STATE(1659)] = 36436,
  [SMALL_STATE(1660)] = 36530,
  [SMALL_STATE(1661)] = 36618,
  [SMALL_STATE(1662)] = 36672,
  [SMALL_STATE(1663)] = 36726,
  [SMALL_STATE(1664)] = 36780,
  [SMALL_STATE(1665)] = 36834,
  [SMALL_STATE(1666)] = 36888,
  [SMALL_STATE(1667)] = 36984,
  [SMALL_STATE(1668)] = 37038,
  [SMALL_STATE(1669)] = 37092,
  [SMALL_STATE(1670)] = 37146,
  [SMALL_STATE(1671)] = 37200,
  [SMALL_STATE(1672)] = 37254,
  [SMALL_STATE(1673)] = 37364,
  [SMALL_STATE(1674)] = 37418,
  [SMALL_STATE(1675)] = 37528,
  [SMALL_STATE(1676)] = 37582,
  [SMALL_STATE(1677)] = 37636,
  [SMALL_STATE(1678)] = 37714,
  [SMALL_STATE(1679)] = 37768,
  [SMALL_STATE(1680)] = 37822,
  [SMALL_STATE(1681)] = 37900,
  [SMALL_STATE(1682)] = 37954,
  [SMALL_STATE(1683)] = 38008,
  [SMALL_STATE(1684)] = 38062,
  [SMALL_STATE(1685)] = 38116,
  [SMALL_STATE(1686)] = 38170,
  [SMALL_STATE(1687)] = 38224,
  [SMALL_STATE(1688)] = 38278,
  [SMALL_STATE(1689)] = 38332,
  [SMALL_STATE(1690)] = 38412,
  [SMALL_STATE(1691)] = 38466,
  [SMALL_STATE(1692)] = 38520,
  [SMALL_STATE(1693)] = 38576,
  [SMALL_STATE(1694)] = 38686,
  [SMALL_STATE(1695)] = 38772,
  [SMALL_STATE(1696)] = 38826,
  [SMALL_STATE(1697)] = 38880,
  [SMALL_STATE(1698)] = 38936,
  [SMALL_STATE(1699)] = 38990,
  [SMALL_STATE(1700)] = 39100,
  [SMALL_STATE(1701)] = 39184,
  [SMALL_STATE(1702)] = 39240,
  [SMALL_STATE(1703)] = 39350,
  [SMALL_STATE(1704)] = 39404,
  [SMALL_STATE(1705)] = 39458,
  [SMALL_STATE(1706)] = 39512,
  [SMALL_STATE(1707)] = 39566,
  [SMALL_STATE(1708)] = 39620,
  [SMALL_STATE(1709)] = 39722,
  [SMALL_STATE(1710)] = 39776,
  [SMALL_STATE(1711)] = 39830,
  [SMALL_STATE(1712)] = 39884,
  [SMALL_STATE(1713)] = 39954,
  [SMALL_STATE(1714)] = 40008,
  [SMALL_STATE(1715)] = 40062,
  [SMALL_STATE(1716)] = 40116,
  [SMALL_STATE(1717)] = 40226,
  [SMALL_STATE(1718)] = 40280,
  [SMALL_STATE(1719)] = 40390,
  [SMALL_STATE(1720)] = 40444,
  [SMALL_STATE(1721)] = 40504,
  [SMALL_STATE(1722)] = 40558,
  [SMALL_STATE(1723)] = 40618,
  [SMALL_STATE(1724)] = 40672,
  [SMALL_STATE(1725)] = 40726,
  [SMALL_STATE(1726)] = 40836,
  [SMALL_STATE(1727)] = 40908,
  [SMALL_STATE(1728)] = 40968,
  [SMALL_STATE(1729)] = 41023,
  [SMALL_STATE(1730)] = 41080,
  [SMALL_STATE(1731)] = 41143,
  [SMALL_STATE(1732)] = 41196,
  [SMALL_STATE(1733)] = 41253,
  [SMALL_STATE(1734)] = 41308,
  [SMALL_STATE(1735)] = 41387,
  [SMALL_STATE(1736)] = 41466,
  [SMALL_STATE(1737)] = 41545,
  [SMALL_STATE(1738)] = 41608,
  [SMALL_STATE(1739)] = 41685,
  [SMALL_STATE(1740)] = 41794,
  [SMALL_STATE(1741)] = 41871,
  [SMALL_STATE(1742)] = 41924,
  [SMALL_STATE(1743)] = 41977,
  [SMALL_STATE(1744)] = 42056,
  [SMALL_STATE(1745)] = 42109,
  [SMALL_STATE(1746)] = 42186,
  [SMALL_STATE(1747)] = 42249,
  [SMALL_STATE(1748)] = 42302,
  [SMALL_STATE(1749)] = 42381,
  [SMALL_STATE(1750)] = 42462,
  [SMALL_STATE(1751)] = 42539,
  [SMALL_STATE(1752)] = 42596,
  [SMALL_STATE(1753)] = 42675,
  [SMALL_STATE(1754)] = 42754,
  [SMALL_STATE(1755)] = 42815,
  [SMALL_STATE(1756)] = 42868,
  [SMALL_STATE(1757)] = 42945,
  [SMALL_STATE(1758)] = 43006,
  [SMALL_STATE(1759)] = 43076,
  [SMALL_STATE(1760)] = 43192,
  [SMALL_STATE(1761)] = 43268,
  [SMALL_STATE(1762)] = 43376,
  [SMALL_STATE(1763)] = 43430,
  [SMALL_STATE(1764)] = 43538,
  [SMALL_STATE(1765)] = 43596,
  [SMALL_STATE(1766)] = 43654,
  [SMALL_STATE(1767)] = 43706,
  [SMALL_STATE(1768)] = 43764,
  [SMALL_STATE(1769)] = 43820,
  [SMALL_STATE(1770)] = 43878,
  [SMALL_STATE(1771)] = 43932,
  [SMALL_STATE(1772)] = 44040,
  [SMALL_STATE(1773)] = 44148,
  [SMALL_STATE(1774)] = 44230,
  [SMALL_STATE(1775)] = 44282,
  [SMALL_STATE(1776)] = 44354,
  [SMALL_STATE(1777)] = 44450,
  [SMALL_STATE(1778)] = 44548,
  [SMALL_STATE(1779)] = 44626,
  [SMALL_STATE(1780)] = 44716,
  [SMALL_STATE(1781)] = 44808,
  [SMALL_STATE(1782)] = 44860,
  [SMALL_STATE(1783)] = 44954,
  [SMALL_STATE(1784)] = 45030,
  [SMALL_STATE(1785)] = 45108,
  [SMALL_STATE(1786)] = 45194,
  [SMALL_STATE(1787)] = 45294,
  [SMALL_STATE(1788)] = 45366,
  [SMALL_STATE(1789)] = 45474,
  [SMALL_STATE(1790)] = 45582,
  [SMALL_STATE(1791)] = 45650,
  [SMALL_STATE(1792)] = 45704,
  [SMALL_STATE(1793)] = 45758,
  [SMALL_STATE(1794)] = 45830,
  [SMALL_STATE(1795)] = 45884,
  [SMALL_STATE(1796)] = 45938,
  [SMALL_STATE(1797)] = 45996,
  [SMALL_STATE(1798)] = 46050,
  [SMALL_STATE(1799)] = 46106,
  [SMALL_STATE(1800)] = 46162,
  [SMALL_STATE(1801)] = 46218,
  [SMALL_STATE(1802)] = 46282,
  [SMALL_STATE(1803)] = 46342,
  [SMALL_STATE(1804)] = 46402,
  [SMALL_STATE(1805)] = 46462,
  [SMALL_STATE(1806)] = 46536,
  [SMALL_STATE(1807)] = 46606,
  [SMALL_STATE(1808)] = 46668,
  [SMALL_STATE(1809)] = 46730,
  [SMALL_STATE(1810)] = 46838,
  [SMALL_STATE(1811)] = 46906,
  [SMALL_STATE(1812)] = 47014,
  [SMALL_STATE(1813)] = 47130,
  [SMALL_STATE(1814)] = 47238,
  [SMALL_STATE(1815)] = 47346,
  [SMALL_STATE(1816)] = 47398,
  [SMALL_STATE(1817)] = 47458,
  [SMALL_STATE(1818)] = 47530,
  [SMALL_STATE(1819)] = 47602,
  [SMALL_STATE(1820)] = 47662,
  [SMALL_STATE(1821)] = 47778,
  [SMALL_STATE(1822)] = 47886,
  [SMALL_STATE(1823)] = 47994,
  [SMALL_STATE(1824)] = 48066,
  [SMALL_STATE(1825)] = 48182,
  [SMALL_STATE(1826)] = 48290,
  [SMALL_STATE(1827)] = 48398,
  [SMALL_STATE(1828)] = 48506,
  [SMALL_STATE(1829)] = 48614,
  [SMALL_STATE(1830)] = 48722,
  [SMALL_STATE(1831)] = 48804,
  [SMALL_STATE(1832)] = 48876,
  [SMALL_STATE(1833)] = 48972,
  [SMALL_STATE(1834)] = 49070,
  [SMALL_STATE(1835)] = 49148,
  [SMALL_STATE(1836)] = 49238,
  [SMALL_STATE(1837)] = 49330,
  [SMALL_STATE(1838)] = 49424,
  [SMALL_STATE(1839)] = 49500,
  [SMALL_STATE(1840)] = 49578,
  [SMALL_STATE(1841)] = 49664,
  [SMALL_STATE(1842)] = 49764,
  [SMALL_STATE(1843)] = 49872,
  [SMALL_STATE(1844)] = 49980,
  [SMALL_STATE(1845)] = 50088,
  [SMALL_STATE(1846)] = 50196,
  [SMALL_STATE(1847)] = 50304,
  [SMALL_STATE(1848)] = 50412,
  [SMALL_STATE(1849)] = 50520,
  [SMALL_STATE(1850)] = 50628,
  [SMALL_STATE(1851)] = 50702,
  [SMALL_STATE(1852)] = 50754,
  [SMALL_STATE(1853)] = 50862,
  [SMALL_STATE(1854)] = 50940,
  [SMALL_STATE(1855)] = 51016,
  [SMALL_STATE(1856)] = 51124,
  [SMALL_STATE(1857)] = 51232,
  [SMALL_STATE(1858)] = 51283,
  [SMALL_STATE(1859)] = 51334,
  [SMALL_STATE(1860)] = 51385,
  [SMALL_STATE(1861)] = 51436,
  [SMALL_STATE(1862)] = 51487,
  [SMALL_STATE(1863)] = 51538,
  [SMALL_STATE(1864)] = 51589,
  [SMALL_STATE(1865)] = 51640,
  [SMALL_STATE(1866)] = 51691,
  [SMALL_STATE(1867)] = 51742,
  [SMALL_STATE(1868)] = 51793,
  [SMALL_STATE(1869)] = 51844,
  [SMALL_STATE(1870)] = 51895,
  [SMALL_STATE(1871)] = 51946,
  [SMALL_STATE(1872)] = 51997,
  [SMALL_STATE(1873)] = 52048,
  [SMALL_STATE(1874)] = 52099,
  [SMALL_STATE(1875)] = 52156,
  [SMALL_STATE(1876)] = 52207,
  [SMALL_STATE(1877)] = 52258,
  [SMALL_STATE(1878)] = 52315,
  [SMALL_STATE(1879)] = 52366,
  [SMALL_STATE(1880)] = 52417,
  [SMALL_STATE(1881)] = 52468,
  [SMALL_STATE(1882)] = 52519,
  [SMALL_STATE(1883)] = 52570,
  [SMALL_STATE(1884)] = 52621,
  [SMALL_STATE(1885)] = 52672,
  [SMALL_STATE(1886)] = 52723,
  [SMALL_STATE(1887)] = 52774,
  [SMALL_STATE(1888)] = 52825,
  [SMALL_STATE(1889)] = 52876,
  [SMALL_STATE(1890)] = 52927,
  [SMALL_STATE(1891)] = 52978,
  [SMALL_STATE(1892)] = 53029,
  [SMALL_STATE(1893)] = 53080,
  [SMALL_STATE(1894)] = 53131,
  [SMALL_STATE(1895)] = 53182,
  [SMALL_STATE(1896)] = 53233,
  [SMALL_STATE(1897)] = 53284,
  [SMALL_STATE(1898)] = 53335,
  [SMALL_STATE(1899)] = 53386,
  [SMALL_STATE(1900)] = 53437,
  [SMALL_STATE(1901)] = 53488,
  [SMALL_STATE(1902)] = 53539,
  [SMALL_STATE(1903)] = 53590,
  [SMALL_STATE(1904)] = 53641,
  [SMALL_STATE(1905)] = 53692,
  [SMALL_STATE(1906)] = 53749,
  [SMALL_STATE(1907)] = 53804,
  [SMALL_STATE(1908)] = 53855,
  [SMALL_STATE(1909)] = 53966,
  [SMALL_STATE(1910)] = 54077,
  [SMALL_STATE(1911)] = 54160,
  [SMALL_STATE(1912)] = 54271,
  [SMALL_STATE(1913)] = 54382,
  [SMALL_STATE(1914)] = 54439,
  [SMALL_STATE(1915)] = 54550,
  [SMALL_STATE(1916)] = 54603,
  [SMALL_STATE(1917)] = 54712,
  [SMALL_STATE(1918)] = 54775,
  [SMALL_STATE(1919)] = 54832,
  [SMALL_STATE(1920)] = 54895,
  [SMALL_STATE(1921)] = 54946,
  [SMALL_STATE(1922)] = 54999,
  [SMALL_STATE(1923)] = 55050,
  [SMALL_STATE(1924)] = 55103,
  [SMALL_STATE(1925)] = 55160,
  [SMALL_STATE(1926)] = 55217,
  [SMALL_STATE(1927)] = 55268,
  [SMALL_STATE(1928)] = 55321,
  [SMALL_STATE(1929)] = 55372,
  [SMALL_STATE(1930)] = 55455,
  [SMALL_STATE(1931)] = 55566,
  [SMALL_STATE(1932)] = 55623,
  [SMALL_STATE(1933)] = 55686,
  [SMALL_STATE(1934)] = 55749,
  [SMALL_STATE(1935)] = 55804,
  [SMALL_STATE(1936)] = 55863,
  [SMALL_STATE(1937)] = 55974,
  [SMALL_STATE(1938)] = 56029,
  [SMALL_STATE(1939)] = 56086,
  [SMALL_STATE(1940)] = 56141,
  [SMALL_STATE(1941)] = 56214,
  [SMALL_STATE(1942)] = 56283,
  [SMALL_STATE(1943)] = 56334,
  [SMALL_STATE(1944)] = 56407,
  [SMALL_STATE(1945)] = 56476,
  [SMALL_STATE(1946)] = 56531,
  [SMALL_STATE(1947)] = 56604,
  [SMALL_STATE(1948)] = 56687,
  [SMALL_STATE(1949)] = 56750,
  [SMALL_STATE(1950)] = 56813,
  [SMALL_STATE(1951)] = 56876,
  [SMALL_STATE(1952)] = 56939,
  [SMALL_STATE(1953)] = 56992,
  [SMALL_STATE(1954)] = 57043,
  [SMALL_STATE(1955)] = 57096,
  [SMALL_STATE(1956)] = 57179,
  [SMALL_STATE(1957)] = 57244,
  [SMALL_STATE(1958)] = 57309,
  [SMALL_STATE(1959)] = 57366,
  [SMALL_STATE(1960)] = 57423,
  [SMALL_STATE(1961)] = 57480,
  [SMALL_STATE(1962)] = 57533,
  [SMALL_STATE(1963)] = 57584,
  [SMALL_STATE(1964)] = 57637,
  [SMALL_STATE(1965)] = 57688,
  [SMALL_STATE(1966)] = 57761,
  [SMALL_STATE(1967)] = 57812,
  [SMALL_STATE(1968)] = 57869,
  [SMALL_STATE(1969)] = 57926,
  [SMALL_STATE(1970)] = 58035,
  [SMALL_STATE(1971)] = 58088,
  [SMALL_STATE(1972)] = 58157,
  [SMALL_STATE(1973)] = 58208,
  [SMALL_STATE(1974)] = 58261,
  [SMALL_STATE(1975)] = 58320,
  [SMALL_STATE(1976)] = 58371,
  [SMALL_STATE(1977)] = 58422,
  [SMALL_STATE(1978)] = 58477,
  [SMALL_STATE(1979)] = 58534,
  [SMALL_STATE(1980)] = 58587,
  [SMALL_STATE(1981)] = 58638,
  [SMALL_STATE(1982)] = 58691,
  [SMALL_STATE(1983)] = 58748,
  [SMALL_STATE(1984)] = 58805,
  [SMALL_STATE(1985)] = 58864,
  [SMALL_STATE(1986)] = 58917,
  [SMALL_STATE(1987)] = 58990,
  [SMALL_STATE(1988)] = 59041,
  [SMALL_STATE(1989)] = 59094,
  [SMALL_STATE(1990)] = 59151,
  [SMALL_STATE(1991)] = 59202,
  [SMALL_STATE(1992)] = 59259,
  [SMALL_STATE(1993)] = 59342,
  [SMALL_STATE(1994)] = 59393,
  [SMALL_STATE(1995)] = 59444,
  [SMALL_STATE(1996)] = 59495,
  [SMALL_STATE(1997)] = 59546,
  [SMALL_STATE(1998)] = 59597,
  [SMALL_STATE(1999)] = 59648,
  [SMALL_STATE(2000)] = 59699,
  [SMALL_STATE(2001)] = 59750,
  [SMALL_STATE(2002)] = 59801,
  [SMALL_STATE(2003)] = 59860,
  [SMALL_STATE(2004)] = 59911,
  [SMALL_STATE(2005)] = 59962,
  [SMALL_STATE(2006)] = 60015,
  [SMALL_STATE(2007)] = 60066,
  [SMALL_STATE(2008)] = 60117,
  [SMALL_STATE(2009)] = 60170,
  [SMALL_STATE(2010)] = 60221,
  [SMALL_STATE(2011)] = 60278,
  [SMALL_STATE(2012)] = 60329,
  [SMALL_STATE(2013)] = 60380,
  [SMALL_STATE(2014)] = 60453,
  [SMALL_STATE(2015)] = 60522,
  [SMALL_STATE(2016)] = 60573,
  [SMALL_STATE(2017)] = 60646,
  [SMALL_STATE(2018)] = 60709,
  [SMALL_STATE(2019)] = 60816,
  [SMALL_STATE(2020)] = 60867,
  [SMALL_STATE(2021)] = 60918,
  [SMALL_STATE(2022)] = 60987,
  [SMALL_STATE(2023)] = 61040,
  [SMALL_STATE(2024)] = 61111,
  [SMALL_STATE(2025)] = 61164,
  [SMALL_STATE(2026)] = 61247,
  [SMALL_STATE(2027)] = 61320,
  [SMALL_STATE(2028)] = 61373,
  [SMALL_STATE(2029)] = 61424,
  [SMALL_STATE(2030)] = 61475,
  [SMALL_STATE(2031)] = 61526,
  [SMALL_STATE(2032)] = 61633,
  [SMALL_STATE(2033)] = 61740,
  [SMALL_STATE(2034)] = 61847,
  [SMALL_STATE(2035)] = 61954,
  [SMALL_STATE(2036)] = 62061,
  [SMALL_STATE(2037)] = 62142,
  [SMALL_STATE(2038)] = 62213,
  [SMALL_STATE(2039)] = 62308,
  [SMALL_STATE(2040)] = 62405,
  [SMALL_STATE(2041)] = 62482,
  [SMALL_STATE(2042)] = 62571,
  [SMALL_STATE(2043)] = 62662,
  [SMALL_STATE(2044)] = 62755,
  [SMALL_STATE(2045)] = 62830,
  [SMALL_STATE(2046)] = 62907,
  [SMALL_STATE(2047)] = 62992,
  [SMALL_STATE(2048)] = 63091,
  [SMALL_STATE(2049)] = 63198,
  [SMALL_STATE(2050)] = 63305,
  [SMALL_STATE(2051)] = 63412,
  [SMALL_STATE(2052)] = 63519,
  [SMALL_STATE(2053)] = 63626,
  [SMALL_STATE(2054)] = 63733,
  [SMALL_STATE(2055)] = 63840,
  [SMALL_STATE(2056)] = 63947,
  [SMALL_STATE(2057)] = 64016,
  [SMALL_STATE(2058)] = 64091,
  [SMALL_STATE(2059)] = 64198,
  [SMALL_STATE(2060)] = 64265,
  [SMALL_STATE(2061)] = 64318,
  [SMALL_STATE(2062)] = 64368,
  [SMALL_STATE(2063)] = 64418,
  [SMALL_STATE(2064)] = 64472,
  [SMALL_STATE(2065)] = 64526,
  [SMALL_STATE(2066)] = 64580,
  [SMALL_STATE(2067)] = 64630,
  [SMALL_STATE(2068)] = 64684,
  [SMALL_STATE(2069)] = 64738,
  [SMALL_STATE(2070)] = 64802,
  [SMALL_STATE(2071)] = 64856,
  [SMALL_STATE(2072)] = 64906,
  [SMALL_STATE(2073)] = 65012,
  [SMALL_STATE(2074)] = 65076,
  [SMALL_STATE(2075)] = 65142,
  [SMALL_STATE(2076)] = 65252,
  [SMALL_STATE(2077)] = 65306,
  [SMALL_STATE(2078)] = 65412,
  [SMALL_STATE(2079)] = 65522,
  [SMALL_STATE(2080)] = 65572,
  [SMALL_STATE(2081)] = 65622,
  [SMALL_STATE(2082)] = 65672,
  [SMALL_STATE(2083)] = 65736,
  [SMALL_STATE(2084)] = 65790,
  [SMALL_STATE(2085)] = 65856,
  [SMALL_STATE(2086)] = 65930,
  [SMALL_STATE(2087)] = 65994,
  [SMALL_STATE(2088)] = 66070,
  [SMALL_STATE(2089)] = 66126,
  [SMALL_STATE(2090)] = 66176,
  [SMALL_STATE(2091)] = 66226,
  [SMALL_STATE(2092)] = 66300,
  [SMALL_STATE(2093)] = 66356,
  [SMALL_STATE(2094)] = 66420,
  [SMALL_STATE(2095)] = 66496,
  [SMALL_STATE(2096)] = 66570,
  [SMALL_STATE(2097)] = 66620,
  [SMALL_STATE(2098)] = 66696,
  [SMALL_STATE(2099)] = 66758,
  [SMALL_STATE(2100)] = 66820,
  [SMALL_STATE(2101)] = 66874,
  [SMALL_STATE(2102)] = 66940,
  [SMALL_STATE(2103)] = 67004,
  [SMALL_STATE(2104)] = 67062,
  [SMALL_STATE(2105)] = 67120,
  [SMALL_STATE(2106)] = 67170,
  [SMALL_STATE(2107)] = 67232,
  [SMALL_STATE(2108)] = 67294,
  [SMALL_STATE(2109)] = 67360,
  [SMALL_STATE(2110)] = 67420,
  [SMALL_STATE(2111)] = 67480,
  [SMALL_STATE(2112)] = 67542,
  [SMALL_STATE(2113)] = 67604,
  [SMALL_STATE(2114)] = 67666,
  [SMALL_STATE(2115)] = 67728,
  [SMALL_STATE(2116)] = 67794,
  [SMALL_STATE(2117)] = 67848,
  [SMALL_STATE(2118)] = 67910,
  [SMALL_STATE(2119)] = 67972,
  [SMALL_STATE(2120)] = 68038,
  [SMALL_STATE(2121)] = 68088,
  [SMALL_STATE(2122)] = 68138,
  [SMALL_STATE(2123)] = 68192,
  [SMALL_STATE(2124)] = 68242,
  [SMALL_STATE(2125)] = 68292,
  [SMALL_STATE(2126)] = 68346,
  [SMALL_STATE(2127)] = 68396,
  [SMALL_STATE(2128)] = 68446,
  [SMALL_STATE(2129)] = 68496,
  [SMALL_STATE(2130)] = 68606,
  [SMALL_STATE(2131)] = 68656,
  [SMALL_STATE(2132)] = 68706,
  [SMALL_STATE(2133)] = 68758,
  [SMALL_STATE(2134)] = 68808,
  [SMALL_STATE(2135)] = 68858,
  [SMALL_STATE(2136)] = 68964,
  [SMALL_STATE(2137)] = 69070,
  [SMALL_STATE(2138)] = 69120,
  [SMALL_STATE(2139)] = 69226,
  [SMALL_STATE(2140)] = 69276,
  [SMALL_STATE(2141)] = 69326,
  [SMALL_STATE(2142)] = 69376,
  [SMALL_STATE(2143)] = 69482,
  [SMALL_STATE(2144)] = 69588,
  [SMALL_STATE(2145)] = 69668,
  [SMALL_STATE(2146)] = 69778,
  [SMALL_STATE(2147)] = 69848,
  [SMALL_STATE(2148)] = 69958,
  [SMALL_STATE(2149)] = 70052,
  [SMALL_STATE(2150)] = 70148,
  [SMALL_STATE(2151)] = 70224,
  [SMALL_STATE(2152)] = 70312,
  [SMALL_STATE(2153)] = 70402,
  [SMALL_STATE(2154)] = 70494,
  [SMALL_STATE(2155)] = 70568,
  [SMALL_STATE(2156)] = 70644,
  [SMALL_STATE(2157)] = 70694,
  [SMALL_STATE(2158)] = 70778,
  [SMALL_STATE(2159)] = 70876,
  [SMALL_STATE(2160)] = 70986,
  [SMALL_STATE(2161)] = 71092,
  [SMALL_STATE(2162)] = 71198,
  [SMALL_STATE(2163)] = 71304,
  [SMALL_STATE(2164)] = 71410,
  [SMALL_STATE(2165)] = 71516,
  [SMALL_STATE(2166)] = 71622,
  [SMALL_STATE(2167)] = 71728,
  [SMALL_STATE(2168)] = 71838,
  [SMALL_STATE(2169)] = 71944,
  [SMALL_STATE(2170)] = 72008,
  [SMALL_STATE(2171)] = 72116,
  [SMALL_STATE(2172)] = 72170,
  [SMALL_STATE(2173)] = 72220,
  [SMALL_STATE(2174)] = 72326,
  [SMALL_STATE(2175)] = 72436,
  [SMALL_STATE(2176)] = 72486,
  [SMALL_STATE(2177)] = 72538,
  [SMALL_STATE(2178)] = 72588,
  [SMALL_STATE(2179)] = 72698,
  [SMALL_STATE(2180)] = 72748,
  [SMALL_STATE(2181)] = 72798,
  [SMALL_STATE(2182)] = 72848,
  [SMALL_STATE(2183)] = 72958,
  [SMALL_STATE(2184)] = 73008,
  [SMALL_STATE(2185)] = 73058,
  [SMALL_STATE(2186)] = 73168,
  [SMALL_STATE(2187)] = 73218,
  [SMALL_STATE(2188)] = 73268,
  [SMALL_STATE(2189)] = 73318,
  [SMALL_STATE(2190)] = 73368,
  [SMALL_STATE(2191)] = 73478,
  [SMALL_STATE(2192)] = 73528,
  [SMALL_STATE(2193)] = 73578,
  [SMALL_STATE(2194)] = 73628,
  [SMALL_STATE(2195)] = 73678,
  [SMALL_STATE(2196)] = 73728,
  [SMALL_STATE(2197)] = 73838,
  [SMALL_STATE(2198)] = 73948,
  [SMALL_STATE(2199)] = 74058,
  [SMALL_STATE(2200)] = 74168,
  [SMALL_STATE(2201)] = 74278,
  [SMALL_STATE(2202)] = 74388,
  [SMALL_STATE(2203)] = 74498,
  [SMALL_STATE(2204)] = 74608,
  [SMALL_STATE(2205)] = 74662,
  [SMALL_STATE(2206)] = 74716,
  [SMALL_STATE(2207)] = 74770,
  [SMALL_STATE(2208)] = 74838,
  [SMALL_STATE(2209)] = 74912,
  [SMALL_STATE(2210)] = 75018,
  [SMALL_STATE(2211)] = 75084,
  [SMALL_STATE(2212)] = 75138,
  [SMALL_STATE(2213)] = 75202,
  [SMALL_STATE(2214)] = 75252,
  [SMALL_STATE(2215)] = 75306,
  [SMALL_STATE(2216)] = 75372,
  [SMALL_STATE(2217)] = 75482,
  [SMALL_STATE(2218)] = 75546,
  [SMALL_STATE(2219)] = 75600,
  [SMALL_STATE(2220)] = 75650,
  [SMALL_STATE(2221)] = 75760,
  [SMALL_STATE(2222)] = 75810,
  [SMALL_STATE(2223)] = 75860,
  [SMALL_STATE(2224)] = 75910,
  [SMALL_STATE(2225)] = 76020,
  [SMALL_STATE(2226)] = 76078,
  [SMALL_STATE(2227)] = 76136,
  [SMALL_STATE(2228)] = 76210,
  [SMALL_STATE(2229)] = 76260,
  [SMALL_STATE(2230)] = 76336,
  [SMALL_STATE(2231)] = 76400,
  [SMALL_STATE(2232)] = 76450,
  [SMALL_STATE(2233)] = 76502,
  [SMALL_STATE(2234)] = 76612,
  [SMALL_STATE(2235)] = 76722,
  [SMALL_STATE(2236)] = 76788,
  [SMALL_STATE(2237)] = 76852,
  [SMALL_STATE(2238)] = 76910,
  [SMALL_STATE(2239)] = 77020,
  [SMALL_STATE(2240)] = 77130,
  [SMALL_STATE(2241)] = 77194,
  [SMALL_STATE(2242)] = 77304,
  [SMALL_STATE(2243)] = 77368,
  [SMALL_STATE(2244)] = 77478,
  [SMALL_STATE(2245)] = 77588,
  [SMALL_STATE(2246)] = 77650,
  [SMALL_STATE(2247)] = 77716,
  [SMALL_STATE(2248)] = 77780,
  [SMALL_STATE(2249)] = 77846,
  [SMALL_STATE(2250)] = 77952,
  [SMALL_STATE(2251)] = 78058,
  [SMALL_STATE(2252)] = 78164,
  [SMALL_STATE(2253)] = 78270,
  [SMALL_STATE(2254)] = 78376,
  [SMALL_STATE(2255)] = 78456,
  [SMALL_STATE(2256)] = 78526,
  [SMALL_STATE(2257)] = 78620,
  [SMALL_STATE(2258)] = 78716,
  [SMALL_STATE(2259)] = 78792,
  [SMALL_STATE(2260)] = 78880,
  [SMALL_STATE(2261)] = 78970,
  [SMALL_STATE(2262)] = 79062,
  [SMALL_STATE(2263)] = 79136,
  [SMALL_STATE(2264)] = 79212,
  [SMALL_STATE(2265)] = 79296,
  [SMALL_STATE(2266)] = 79394,
  [SMALL_STATE(2267)] = 79500,
  [SMALL_STATE(2268)] = 79606,
  [SMALL_STATE(2269)] = 79712,
  [SMALL_STATE(2270)] = 79818,
  [SMALL_STATE(2271)] = 79924,
  [SMALL_STATE(2272)] = 80030,
  [SMALL_STATE(2273)] = 80136,
  [SMALL_STATE(2274)] = 80242,
  [SMALL_STATE(2275)] = 80292,
  [SMALL_STATE(2276)] = 80344,
  [SMALL_STATE(2277)] = 80404,
  [SMALL_STATE(2278)] = 80454,
  [SMALL_STATE(2279)] = 80522,
  [SMALL_STATE(2280)] = 80590,
  [SMALL_STATE(2281)] = 80664,
  [SMALL_STATE(2282)] = 80770,
  [SMALL_STATE(2283)] = 80836,
  [SMALL_STATE(2284)] = 80886,
  [SMALL_STATE(2285)] = 80936,
  [SMALL_STATE(2286)] = 80986,
  [SMALL_STATE(2287)] = 81038,
  [SMALL_STATE(2288)] = 81098,
  [SMALL_STATE(2289)] = 81152,
  [SMALL_STATE(2290)] = 81216,
  [SMALL_STATE(2291)] = 81280,
  [SMALL_STATE(2292)] = 81330,
  [SMALL_STATE(2293)] = 81404,
  [SMALL_STATE(2294)] = 81454,
  [SMALL_STATE(2295)] = 81530,
  [SMALL_STATE(2296)] = 81596,
  [SMALL_STATE(2297)] = 81654,
  [SMALL_STATE(2298)] = 81718,
  [SMALL_STATE(2299)] = 81768,
  [SMALL_STATE(2300)] = 81818,
  [SMALL_STATE(2301)] = 81868,
  [SMALL_STATE(2302)] = 81918,
  [SMALL_STATE(2303)] = 81968,
  [SMALL_STATE(2304)] = 82018,
  [SMALL_STATE(2305)] = 82128,
  [SMALL_STATE(2306)] = 82178,
  [SMALL_STATE(2307)] = 82288,
  [SMALL_STATE(2308)] = 82398,
  [SMALL_STATE(2309)] = 82452,
  [SMALL_STATE(2310)] = 82516,
  [SMALL_STATE(2311)] = 82570,
  [SMALL_STATE(2312)] = 82628,
  [SMALL_STATE(2313)] = 82734,
  [SMALL_STATE(2314)] = 82800,
  [SMALL_STATE(2315)] = 82866,
  [SMALL_STATE(2316)] = 82976,
  [SMALL_STATE(2317)] = 83086,
  [SMALL_STATE(2318)] = 83196,
  [SMALL_STATE(2319)] = 83250,
  [SMALL_STATE(2320)] = 83302,
  [SMALL_STATE(2321)] = 83354,
  [SMALL_STATE(2322)] = 83408,
  [SMALL_STATE(2323)] = 83462,
  [SMALL_STATE(2324)] = 83568,
  [SMALL_STATE(2325)] = 83622,
  [SMALL_STATE(2326)] = 83674,
  [SMALL_STATE(2327)] = 83726,
  [SMALL_STATE(2328)] = 83780,
  [SMALL_STATE(2329)] = 83832,
  [SMALL_STATE(2330)] = 83886,
  [SMALL_STATE(2331)] = 83996,
  [SMALL_STATE(2332)] = 84062,
  [SMALL_STATE(2333)] = 84120,
  [SMALL_STATE(2334)] = 84230,
  [SMALL_STATE(2335)] = 84304,
  [SMALL_STATE(2336)] = 84414,
  [SMALL_STATE(2337)] = 84490,
  [SMALL_STATE(2338)] = 84576,
  [SMALL_STATE(2339)] = 84682,
  [SMALL_STATE(2340)] = 84732,
  [SMALL_STATE(2341)] = 84784,
  [SMALL_STATE(2342)] = 84838,
  [SMALL_STATE(2343)] = 84896,
  [SMALL_STATE(2344)] = 84962,
  [SMALL_STATE(2345)] = 85026,
  [SMALL_STATE(2346)] = 85092,
  [SMALL_STATE(2347)] = 85202,
  [SMALL_STATE(2348)] = 85312,
  [SMALL_STATE(2349)] = 85422,
  [SMALL_STATE(2350)] = 85532,
  [SMALL_STATE(2351)] = 85584,
  [SMALL_STATE(2352)] = 85694,
  [SMALL_STATE(2353)] = 85804,
  [SMALL_STATE(2354)] = 85914,
  [SMALL_STATE(2355)] = 85972,
  [SMALL_STATE(2356)] = 86022,
  [SMALL_STATE(2357)] = 86132,
  [SMALL_STATE(2358)] = 86186,
  [SMALL_STATE(2359)] = 86250,
  [SMALL_STATE(2360)] = 86305,
  [SMALL_STATE(2361)] = 86392,
  [SMALL_STATE(2362)] = 86481,
  [SMALL_STATE(2363)] = 86572,
  [SMALL_STATE(2364)] = 86645,
  [SMALL_STATE(2365)] = 86720,
  [SMALL_STATE(2366)] = 86803,
  [SMALL_STATE(2367)] = 86900,
  [SMALL_STATE(2368)] = 87005,
  [SMALL_STATE(2369)] = 87110,
  [SMALL_STATE(2370)] = 87215,
  [SMALL_STATE(2371)] = 87320,
  [SMALL_STATE(2372)] = 87425,
  [SMALL_STATE(2373)] = 87530,
  [SMALL_STATE(2374)] = 87635,
  [SMALL_STATE(2375)] = 87740,
  [SMALL_STATE(2376)] = 87817,
  [SMALL_STATE(2377)] = 87874,
  [SMALL_STATE(2378)] = 87925,
  [SMALL_STATE(2379)] = 87994,
  [SMALL_STATE(2380)] = 88101,
  [SMALL_STATE(2381)] = 88168,
  [SMALL_STATE(2382)] = 88241,
  [SMALL_STATE(2383)] = 88300,
  [SMALL_STATE(2384)] = 88405,
  [SMALL_STATE(2385)] = 88470,
  [SMALL_STATE(2386)] = 88523,
  [SMALL_STATE(2387)] = 88598,
  [SMALL_STATE(2388)] = 88703,
  [SMALL_STATE(2389)] = 88760,
  [SMALL_STATE(2390)] = 88813,
  [SMALL_STATE(2391)] = 88872,
  [SMALL_STATE(2392)] = 88929,
  [SMALL_STATE(2393)] = 88988,
  [SMALL_STATE(2394)] = 89047,
  [SMALL_STATE(2395)] = 89102,
  [SMALL_STATE(2396)] = 89161,
  [SMALL_STATE(2397)] = 89250,
  [SMALL_STATE(2398)] = 89309,
  [SMALL_STATE(2399)] = 89368,
  [SMALL_STATE(2400)] = 89427,
  [SMALL_STATE(2401)] = 89496,
  [SMALL_STATE(2402)] = 89555,
  [SMALL_STATE(2403)] = 89610,
  [SMALL_STATE(2404)] = 89669,
  [SMALL_STATE(2405)] = 89724,
  [SMALL_STATE(2406)] = 89793,
  [SMALL_STATE(2407)] = 89852,
  [SMALL_STATE(2408)] = 89911,
  [SMALL_STATE(2409)] = 89966,
  [SMALL_STATE(2410)] = 90025,
  [SMALL_STATE(2411)] = 90084,
  [SMALL_STATE(2412)] = 90135,
  [SMALL_STATE(2413)] = 90186,
  [SMALL_STATE(2414)] = 90241,
  [SMALL_STATE(2415)] = 90300,
  [SMALL_STATE(2416)] = 90359,
  [SMALL_STATE(2417)] = 90466,
  [SMALL_STATE(2418)] = 90525,
  [SMALL_STATE(2419)] = 90584,
  [SMALL_STATE(2420)] = 90639,
  [SMALL_STATE(2421)] = 90698,
  [SMALL_STATE(2422)] = 90757,
  [SMALL_STATE(2423)] = 90852,
  [SMALL_STATE(2424)] = 90927,
  [SMALL_STATE(2425)] = 91032,
  [SMALL_STATE(2426)] = 91101,
  [SMALL_STATE(2427)] = 91170,
  [SMALL_STATE(2428)] = 91251,
  [SMALL_STATE(2429)] = 91310,
  [SMALL_STATE(2430)] = 91415,
  [SMALL_STATE(2431)] = 91466,
  [SMALL_STATE(2432)] = 91521,
  [SMALL_STATE(2433)] = 91626,
  [SMALL_STATE(2434)] = 91731,
  [SMALL_STATE(2435)] = 91836,
  [SMALL_STATE(2436)] = 91941,
  [SMALL_STATE(2437)] = 92046,
  [SMALL_STATE(2438)] = 92151,
  [SMALL_STATE(2439)] = 92256,
  [SMALL_STATE(2440)] = 92335,
  [SMALL_STATE(2441)] = 92404,
  [SMALL_STATE(2442)] = 92497,
  [SMALL_STATE(2443)] = 92592,
  [SMALL_STATE(2444)] = 92667,
  [SMALL_STATE(2445)] = 92754,
  [SMALL_STATE(2446)] = 92843,
  [SMALL_STATE(2447)] = 92934,
  [SMALL_STATE(2448)] = 93007,
  [SMALL_STATE(2449)] = 93082,
  [SMALL_STATE(2450)] = 93165,
  [SMALL_STATE(2451)] = 93262,
  [SMALL_STATE(2452)] = 93367,
  [SMALL_STATE(2453)] = 93472,
  [SMALL_STATE(2454)] = 93577,
  [SMALL_STATE(2455)] = 93682,
  [SMALL_STATE(2456)] = 93787,
  [SMALL_STATE(2457)] = 93892,
  [SMALL_STATE(2458)] = 93997,
  [SMALL_STATE(2459)] = 94102,
  [SMALL_STATE(2460)] = 94159,
  [SMALL_STATE(2461)] = 94210,
  [SMALL_STATE(2462)] = 94269,
  [SMALL_STATE(2463)] = 94320,
  [SMALL_STATE(2464)] = 94425,
  [SMALL_STATE(2465)] = 94484,
  [SMALL_STATE(2466)] = 94551,
  [SMALL_STATE(2467)] = 94624,
  [SMALL_STATE(2468)] = 94729,
  [SMALL_STATE(2469)] = 94794,
  [SMALL_STATE(2470)] = 94899,
  [SMALL_STATE(2471)] = 95004,
  [SMALL_STATE(2472)] = 95109,
  [SMALL_STATE(2473)] = 95166,
  [SMALL_STATE(2474)] = 95223,
  [SMALL_STATE(2475)] = 95328,
  [SMALL_STATE(2476)] = 95379,
  [SMALL_STATE(2477)] = 95436,
  [SMALL_STATE(2478)] = 95541,
  [SMALL_STATE(2479)] = 95620,
  [SMALL_STATE(2480)] = 95689,
  [SMALL_STATE(2481)] = 95782,
  [SMALL_STATE(2482)] = 95851,
  [SMALL_STATE(2483)] = 95901,
  [SMALL_STATE(2484)] = 95951,
  [SMALL_STATE(2485)] = 96057,
  [SMALL_STATE(2486)] = 96107,
  [SMALL_STATE(2487)] = 96171,
  [SMALL_STATE(2488)] = 96231,
  [SMALL_STATE(2489)] = 96281,
  [SMALL_STATE(2490)] = 96335,
  [SMALL_STATE(2491)] = 96389,
  [SMALL_STATE(2492)] = 96443,
  [SMALL_STATE(2493)] = 96497,
  [SMALL_STATE(2494)] = 96545,
  [SMALL_STATE(2495)] = 96599,
  [SMALL_STATE(2496)] = 96647,
  [SMALL_STATE(2497)] = 96701,
  [SMALL_STATE(2498)] = 96751,
  [SMALL_STATE(2499)] = 96799,
  [SMALL_STATE(2500)] = 96849,
  [SMALL_STATE(2501)] = 96903,
  [SMALL_STATE(2502)] = 96957,
  [SMALL_STATE(2503)] = 97011,
  [SMALL_STATE(2504)] = 97065,
  [SMALL_STATE(2505)] = 97169,
  [SMALL_STATE(2506)] = 97273,
  [SMALL_STATE(2507)] = 97377,
  [SMALL_STATE(2508)] = 97481,
  [SMALL_STATE(2509)] = 97585,
  [SMALL_STATE(2510)] = 97689,
  [SMALL_STATE(2511)] = 97793,
  [SMALL_STATE(2512)] = 97871,
  [SMALL_STATE(2513)] = 97939,
  [SMALL_STATE(2514)] = 98031,
  [SMALL_STATE(2515)] = 98125,
  [SMALL_STATE(2516)] = 98199,
  [SMALL_STATE(2517)] = 98285,
  [SMALL_STATE(2518)] = 98373,
  [SMALL_STATE(2519)] = 98463,
  [SMALL_STATE(2520)] = 98535,
  [SMALL_STATE(2521)] = 98609,
  [SMALL_STATE(2522)] = 98691,
  [SMALL_STATE(2523)] = 98787,
  [SMALL_STATE(2524)] = 98891,
  [SMALL_STATE(2525)] = 98995,
  [SMALL_STATE(2526)] = 99099,
  [SMALL_STATE(2527)] = 99203,
  [SMALL_STATE(2528)] = 99307,
  [SMALL_STATE(2529)] = 99411,
  [SMALL_STATE(2530)] = 99515,
  [SMALL_STATE(2531)] = 99619,
  [SMALL_STATE(2532)] = 99691,
  [SMALL_STATE(2533)] = 99759,
  [SMALL_STATE(2534)] = 99829,
  [SMALL_STATE(2535)] = 99895,
  [SMALL_STATE(2536)] = 99963,
  [SMALL_STATE(2537)] = 100013,
  [SMALL_STATE(2538)] = 100063,
  [SMALL_STATE(2539)] = 100113,
  [SMALL_STATE(2540)] = 100169,
  [SMALL_STATE(2541)] = 100273,
  [SMALL_STATE(2542)] = 100337,
  [SMALL_STATE(2543)] = 100397,
  [SMALL_STATE(2544)] = 100461,
  [SMALL_STATE(2545)] = 100521,
  [SMALL_STATE(2546)] = 100587,
  [SMALL_STATE(2547)] = 100659,
  [SMALL_STATE(2548)] = 100763,
  [SMALL_STATE(2549)] = 100827,
  [SMALL_STATE(2550)] = 100931,
  [SMALL_STATE(2551)] = 101035,
  [SMALL_STATE(2552)] = 101139,
  [SMALL_STATE(2553)] = 101189,
  [SMALL_STATE(2554)] = 101239,
  [SMALL_STATE(2555)] = 101343,
  [SMALL_STATE(2556)] = 101393,
  [SMALL_STATE(2557)] = 101497,
  [SMALL_STATE(2558)] = 101561,
  [SMALL_STATE(2559)] = 101621,
  [SMALL_STATE(2560)] = 101685,
  [SMALL_STATE(2561)] = 101745,
  [SMALL_STATE(2562)] = 101849,
  [SMALL_STATE(2563)] = 101903,
  [SMALL_STATE(2564)] = 102007,
  [SMALL_STATE(2565)] = 102111,
  [SMALL_STATE(2566)] = 102215,
  [SMALL_STATE(2567)] = 102274,
  [SMALL_STATE(2568)] = 102331,
  [SMALL_STATE(2569)] = 102380,
  [SMALL_STATE(2570)] = 102437,
  [SMALL_STATE(2571)] = 102494,
  [SMALL_STATE(2572)] = 102551,
  [SMALL_STATE(2573)] = 102608,
  [SMALL_STATE(2574)] = 102665,
  [SMALL_STATE(2575)] = 102722,
  [SMALL_STATE(2576)] = 102781,
  [SMALL_STATE(2577)] = 102840,
  [SMALL_STATE(2578)] = 102899,
  [SMALL_STATE(2579)] = 102956,
  [SMALL_STATE(2580)] = 103019,
  [SMALL_STATE(2581)] = 103078,
  [SMALL_STATE(2582)] = 103143,
  [SMALL_STATE(2583)] = 103206,
  [SMALL_STATE(2584)] = 103263,
  [SMALL_STATE(2585)] = 103316,
  [SMALL_STATE(2586)] = 103375,
  [SMALL_STATE(2587)] = 103432,
  [SMALL_STATE(2588)] = 103489,
  [SMALL_STATE(2589)] = 103548,
  [SMALL_STATE(2590)] = 103607,
  [SMALL_STATE(2591)] = 103664,
  [SMALL_STATE(2592)] = 103721,
  [SMALL_STATE(2593)] = 103822,
  [SMALL_STATE(2594)] = 103879,
  [SMALL_STATE(2595)] = 103938,
  [SMALL_STATE(2596)] = 103997,
  [SMALL_STATE(2597)] = 104098,
  [SMALL_STATE(2598)] = 104157,
  [SMALL_STATE(2599)] = 104216,
  [SMALL_STATE(2600)] = 104273,
  [SMALL_STATE(2601)] = 104330,
  [SMALL_STATE(2602)] = 104379,
  [SMALL_STATE(2603)] = 104428,
  [SMALL_STATE(2604)] = 104489,
  [SMALL_STATE(2605)] = 104535,
  [SMALL_STATE(2606)] = 104585,
  [SMALL_STATE(2607)] = 104631,
  [SMALL_STATE(2608)] = 104677,
  [SMALL_STATE(2609)] = 104725,
  [SMALL_STATE(2610)] = 104783,
  [SMALL_STATE(2611)] = 104829,
  [SMALL_STATE(2612)] = 104875,
  [SMALL_STATE(2613)] = 104921,
  [SMALL_STATE(2614)] = 104967,
  [SMALL_STATE(2615)] = 105013,
  [SMALL_STATE(2616)] = 105059,
  [SMALL_STATE(2617)] = 105105,
  [SMALL_STATE(2618)] = 105151,
  [SMALL_STATE(2619)] = 105197,
  [SMALL_STATE(2620)] = 105245,
  [SMALL_STATE(2621)] = 105291,
  [SMALL_STATE(2622)] = 105337,
  [SMALL_STATE(2623)] = 105383,
  [SMALL_STATE(2624)] = 105429,
  [SMALL_STATE(2625)] = 105475,
  [SMALL_STATE(2626)] = 105521,
  [SMALL_STATE(2627)] = 105567,
  [SMALL_STATE(2628)] = 105615,
  [SMALL_STATE(2629)] = 105661,
  [SMALL_STATE(2630)] = 105707,
  [SMALL_STATE(2631)] = 105753,
  [SMALL_STATE(2632)] = 105799,
  [SMALL_STATE(2633)] = 105845,
  [SMALL_STATE(2634)] = 105893,
  [SMALL_STATE(2635)] = 105939,
  [SMALL_STATE(2636)] = 105987,
  [SMALL_STATE(2637)] = 106033,
  [SMALL_STATE(2638)] = 106079,
  [SMALL_STATE(2639)] = 106127,
  [SMALL_STATE(2640)] = 106177,
  [SMALL_STATE(2641)] = 106223,
  [SMALL_STATE(2642)] = 106269,
  [SMALL_STATE(2643)] = 106315,
  [SMALL_STATE(2644)] = 106363,
  [SMALL_STATE(2645)] = 106409,
  [SMALL_STATE(2646)] = 106455,
  [SMALL_STATE(2647)] = 106503,
  [SMALL_STATE(2648)] = 106549,
  [SMALL_STATE(2649)] = 106597,
  [SMALL_STATE(2650)] = 106643,
  [SMALL_STATE(2651)] = 106689,
  [SMALL_STATE(2652)] = 106735,
  [SMALL_STATE(2653)] = 106781,
  [SMALL_STATE(2654)] = 106827,
  [SMALL_STATE(2655)] = 106873,
  [SMALL_STATE(2656)] = 106919,
  [SMALL_STATE(2657)] = 106965,
  [SMALL_STATE(2658)] = 107015,
  [SMALL_STATE(2659)] = 107061,
  [SMALL_STATE(2660)] = 107117,
  [SMALL_STATE(2661)] = 107163,
  [SMALL_STATE(2662)] = 107211,
  [SMALL_STATE(2663)] = 107257,
  [SMALL_STATE(2664)] = 107305,
  [SMALL_STATE(2665)] = 107351,
  [SMALL_STATE(2666)] = 107399,
  [SMALL_STATE(2667)] = 107447,
  [SMALL_STATE(2668)] = 107493,
  [SMALL_STATE(2669)] = 107539,
  [SMALL_STATE(2670)] = 107588,
  [SMALL_STATE(2671)] = 107655,
  [SMALL_STATE(2672)] = 107700,
  [SMALL_STATE(2673)] = 107745,
  [SMALL_STATE(2674)] = 107790,
  [SMALL_STATE(2675)] = 107835,
  [SMALL_STATE(2676)] = 107880,
  [SMALL_STATE(2677)] = 107931,
  [SMALL_STATE(2678)] = 107976,
  [SMALL_STATE(2679)] = 108029,
  [SMALL_STATE(2680)] = 108074,
  [SMALL_STATE(2681)] = 108127,
  [SMALL_STATE(2682)] = 108178,
  [SMALL_STATE(2683)] = 108250,
  [SMALL_STATE(2684)] = 108298,
  [SMALL_STATE(2685)] = 108370,
  [SMALL_STATE(2686)] = 108418,
  [SMALL_STATE(2687)] = 108476,
  [SMALL_STATE(2688)] = 108534,
  [SMALL_STATE(2689)] = 108592,
  [SMALL_STATE(2690)] = 108652,
  [SMALL_STATE(2691)] = 108712,
  [SMALL_STATE(2692)] = 108768,
  [SMALL_STATE(2693)] = 108828,
  [SMALL_STATE(2694)] = 108886,
  [SMALL_STATE(2695)] = 108949,
  [SMALL_STATE(2696)] = 109002,
  [SMALL_STATE(2697)] = 109055,
  [SMALL_STATE(2698)] = 109108,
  [SMALL_STATE(2699)] = 109161,
  [SMALL_STATE(2700)] = 109214,
  [SMALL_STATE(2701)] = 109267,
  [SMALL_STATE(2702)] = 109320,
  [SMALL_STATE(2703)] = 109383,
  [SMALL_STATE(2704)] = 109436,
  [SMALL_STATE(2705)] = 109489,
  [SMALL_STATE(2706)] = 109538,
  [SMALL_STATE(2707)] = 109591,
  [SMALL_STATE(2708)] = 109644,
  [SMALL_STATE(2709)] = 109697,
  [SMALL_STATE(2710)] = 109750,
  [SMALL_STATE(2711)] = 109803,
  [SMALL_STATE(2712)] = 109856,
  [SMALL_STATE(2713)] = 109909,
  [SMALL_STATE(2714)] = 109962,
  [SMALL_STATE(2715)] = 110015,
  [SMALL_STATE(2716)] = 110068,
  [SMALL_STATE(2717)] = 110121,
  [SMALL_STATE(2718)] = 110174,
  [SMALL_STATE(2719)] = 110227,
  [SMALL_STATE(2720)] = 110280,
  [SMALL_STATE(2721)] = 110333,
  [SMALL_STATE(2722)] = 110386,
  [SMALL_STATE(2723)] = 110439,
  [SMALL_STATE(2724)] = 110492,
  [SMALL_STATE(2725)] = 110556,
  [SMALL_STATE(2726)] = 110610,
  [SMALL_STATE(2727)] = 110664,
  [SMALL_STATE(2728)] = 110728,
  [SMALL_STATE(2729)] = 110788,
  [SMALL_STATE(2730)] = 110842,
  [SMALL_STATE(2731)] = 110922,
  [SMALL_STATE(2732)] = 110976,
  [SMALL_STATE(2733)] = 111056,
  [SMALL_STATE(2734)] = 111110,
  [SMALL_STATE(2735)] = 111164,
  [SMALL_STATE(2736)] = 111218,
  [SMALL_STATE(2737)] = 111298,
  [SMALL_STATE(2738)] = 111378,
  [SMALL_STATE(2739)] = 111442,
  [SMALL_STATE(2740)] = 111496,
  [SMALL_STATE(2741)] = 111576,
  [SMALL_STATE(2742)] = 111630,
  [SMALL_STATE(2743)] = 111710,
  [SMALL_STATE(2744)] = 111764,
  [SMALL_STATE(2745)] = 111824,
  [SMALL_STATE(2746)] = 111904,
  [SMALL_STATE(2747)] = 111961,
  [SMALL_STATE(2748)] = 112012,
  [SMALL_STATE(2749)] = 112053,
  [SMALL_STATE(2750)] = 112106,
  [SMALL_STATE(2751)] = 112163,
  [SMALL_STATE(2752)] = 112220,
  [SMALL_STATE(2753)] = 112261,
  [SMALL_STATE(2754)] = 112318,
  [SMALL_STATE(2755)] = 112375,
  [SMALL_STATE(2756)] = 112432,
  [SMALL_STATE(2757)] = 112489,
  [SMALL_STATE(2758)] = 112546,
  [SMALL_STATE(2759)] = 112587,
  [SMALL_STATE(2760)] = 112644,
  [SMALL_STATE(2761)] = 112697,
  [SMALL_STATE(2762)] = 112754,
  [SMALL_STATE(2763)] = 112811,
  [SMALL_STATE(2764)] = 112852,
  [SMALL_STATE(2765)] = 112909,
  [SMALL_STATE(2766)] = 112952,
  [SMALL_STATE(2767)] = 112993,
  [SMALL_STATE(2768)] = 113050,
  [SMALL_STATE(2769)] = 113107,
  [SMALL_STATE(2770)] = 113164,
  [SMALL_STATE(2771)] = 113221,
  [SMALL_STATE(2772)] = 113269,
  [SMALL_STATE(2773)] = 113317,
  [SMALL_STATE(2774)] = 113365,
  [SMALL_STATE(2775)] = 113413,
  [SMALL_STATE(2776)] = 113463,
  [SMALL_STATE(2777)] = 113511,
  [SMALL_STATE(2778)] = 113561,
  [SMALL_STATE(2779)] = 113609,
  [SMALL_STATE(2780)] = 113657,
  [SMALL_STATE(2781)] = 113705,
  [SMALL_STATE(2782)] = 113753,
  [SMALL_STATE(2783)] = 113801,
  [SMALL_STATE(2784)] = 113851,
  [SMALL_STATE(2785)] = 113899,
  [SMALL_STATE(2786)] = 113947,
  [SMALL_STATE(2787)] = 113995,
  [SMALL_STATE(2788)] = 114045,
  [SMALL_STATE(2789)] = 114093,
  [SMALL_STATE(2790)] = 114141,
  [SMALL_STATE(2791)] = 114191,
  [SMALL_STATE(2792)] = 114241,
  [SMALL_STATE(2793)] = 114289,
  [SMALL_STATE(2794)] = 114337,
  [SMALL_STATE(2795)] = 114385,
  [SMALL_STATE(2796)] = 114433,
  [SMALL_STATE(2797)] = 114483,
  [SMALL_STATE(2798)] = 114531,
  [SMALL_STATE(2799)] = 114579,
  [SMALL_STATE(2800)] = 114627,
  [SMALL_STATE(2801)] = 114675,
  [SMALL_STATE(2802)] = 114723,
  [SMALL_STATE(2803)] = 114771,
  [SMALL_STATE(2804)] = 114819,
  [SMALL_STATE(2805)] = 114867,
  [SMALL_STATE(2806)] = 114917,
  [SMALL_STATE(2807)] = 114965,
  [SMALL_STATE(2808)] = 115013,
  [SMALL_STATE(2809)] = 115061,
  [SMALL_STATE(2810)] = 115111,
  [SMALL_STATE(2811)] = 115159,
  [SMALL_STATE(2812)] = 115209,
  [SMALL_STATE(2813)] = 115257,
  [SMALL_STATE(2814)] = 115305,
  [SMALL_STATE(2815)] = 115355,
  [SMALL_STATE(2816)] = 115403,
  [SMALL_STATE(2817)] = 115453,
  [SMALL_STATE(2818)] = 115501,
  [SMALL_STATE(2819)] = 115551,
  [SMALL_STATE(2820)] = 115599,
  [SMALL_STATE(2821)] = 115647,
  [SMALL_STATE(2822)] = 115695,
  [SMALL_STATE(2823)] = 115743,
  [SMALL_STATE(2824)] = 115791,
  [SMALL_STATE(2825)] = 115839,
  [SMALL_STATE(2826)] = 115887,
  [SMALL_STATE(2827)] = 115935,
  [SMALL_STATE(2828)] = 115985,
  [SMALL_STATE(2829)] = 116033,
  [SMALL_STATE(2830)] = 116081,
  [SMALL_STATE(2831)] = 116129,
  [SMALL_STATE(2832)] = 116177,
  [SMALL_STATE(2833)] = 116212,
  [SMALL_STATE(2834)] = 116253,
  [SMALL_STATE(2835)] = 116294,
  [SMALL_STATE(2836)] = 116335,
  [SMALL_STATE(2837)] = 116363,
  [SMALL_STATE(2838)] = 116391,
  [SMALL_STATE(2839)] = 116419,
  [SMALL_STATE(2840)] = 116447,
  [SMALL_STATE(2841)] = 116475,
  [SMALL_STATE(2842)] = 116503,
  [SMALL_STATE(2843)] = 116531,
  [SMALL_STATE(2844)] = 116559,
  [SMALL_STATE(2845)] = 116587,
  [SMALL_STATE(2846)] = 116615,
  [SMALL_STATE(2847)] = 116643,
  [SMALL_STATE(2848)] = 116671,
  [SMALL_STATE(2849)] = 116699,
  [SMALL_STATE(2850)] = 116727,
  [SMALL_STATE(2851)] = 116755,
  [SMALL_STATE(2852)] = 116783,
  [SMALL_STATE(2853)] = 116811,
  [SMALL_STATE(2854)] = 116839,
  [SMALL_STATE(2855)] = 116867,
  [SMALL_STATE(2856)] = 116895,
  [SMALL_STATE(2857)] = 116923,
  [SMALL_STATE(2858)] = 116951,
  [SMALL_STATE(2859)] = 116979,
  [SMALL_STATE(2860)] = 117007,
  [SMALL_STATE(2861)] = 117035,
  [SMALL_STATE(2862)] = 117063,
  [SMALL_STATE(2863)] = 117091,
  [SMALL_STATE(2864)] = 117119,
  [SMALL_STATE(2865)] = 117147,
  [SMALL_STATE(2866)] = 117175,
  [SMALL_STATE(2867)] = 117203,
  [SMALL_STATE(2868)] = 117231,
  [SMALL_STATE(2869)] = 117259,
  [SMALL_STATE(2870)] = 117287,
  [SMALL_STATE(2871)] = 117320,
  [SMALL_STATE(2872)] = 117347,
  [SMALL_STATE(2873)] = 117404,
  [SMALL_STATE(2874)] = 117461,
  [SMALL_STATE(2875)] = 117488,
  [SMALL_STATE(2876)] = 117514,
  [SMALL_STATE(2877)] = 117552,
  [SMALL_STATE(2878)] = 117578,
  [SMALL_STATE(2879)] = 117604,
  [SMALL_STATE(2880)] = 117632,
  [SMALL_STATE(2881)] = 117658,
  [SMALL_STATE(2882)] = 117684,
  [SMALL_STATE(2883)] = 117722,
  [SMALL_STATE(2884)] = 117752,
  [SMALL_STATE(2885)] = 117782,
  [SMALL_STATE(2886)] = 117810,
  [SMALL_STATE(2887)] = 117836,
  [SMALL_STATE(2888)] = 117866,
  [SMALL_STATE(2889)] = 117892,
  [SMALL_STATE(2890)] = 117926,
  [SMALL_STATE(2891)] = 117964,
  [SMALL_STATE(2892)] = 117990,
  [SMALL_STATE(2893)] = 118040,
  [SMALL_STATE(2894)] = 118066,
  [SMALL_STATE(2895)] = 118091,
  [SMALL_STATE(2896)] = 118116,
  [SMALL_STATE(2897)] = 118141,
  [SMALL_STATE(2898)] = 118166,
  [SMALL_STATE(2899)] = 118197,
  [SMALL_STATE(2900)] = 118222,
  [SMALL_STATE(2901)] = 118247,
  [SMALL_STATE(2902)] = 118274,
  [SMALL_STATE(2903)] = 118299,
  [SMALL_STATE(2904)] = 118323,
  [SMALL_STATE(2905)] = 118347,
  [SMALL_STATE(2906)] = 118371,
  [SMALL_STATE(2907)] = 118395,
  [SMALL_STATE(2908)] = 118419,
  [SMALL_STATE(2909)] = 118443,
  [SMALL_STATE(2910)] = 118467,
  [SMALL_STATE(2911)] = 118491,
  [SMALL_STATE(2912)] = 118515,
  [SMALL_STATE(2913)] = 118539,
  [SMALL_STATE(2914)] = 118563,
  [SMALL_STATE(2915)] = 118587,
  [SMALL_STATE(2916)] = 118611,
  [SMALL_STATE(2917)] = 118635,
  [SMALL_STATE(2918)] = 118659,
  [SMALL_STATE(2919)] = 118683,
  [SMALL_STATE(2920)] = 118707,
  [SMALL_STATE(2921)] = 118735,
  [SMALL_STATE(2922)] = 118761,
  [SMALL_STATE(2923)] = 118785,
  [SMALL_STATE(2924)] = 118809,
  [SMALL_STATE(2925)] = 118835,
  [SMALL_STATE(2926)] = 118857,
  [SMALL_STATE(2927)] = 118881,
  [SMALL_STATE(2928)] = 118905,
  [SMALL_STATE(2929)] = 118929,
  [SMALL_STATE(2930)] = 118953,
  [SMALL_STATE(2931)] = 118977,
  [SMALL_STATE(2932)] = 119001,
  [SMALL_STATE(2933)] = 119025,
  [SMALL_STATE(2934)] = 119049,
  [SMALL_STATE(2935)] = 119073,
  [SMALL_STATE(2936)] = 119097,
  [SMALL_STATE(2937)] = 119121,
  [SMALL_STATE(2938)] = 119145,
  [SMALL_STATE(2939)] = 119169,
  [SMALL_STATE(2940)] = 119193,
  [SMALL_STATE(2941)] = 119217,
  [SMALL_STATE(2942)] = 119241,
  [SMALL_STATE(2943)] = 119265,
  [SMALL_STATE(2944)] = 119289,
  [SMALL_STATE(2945)] = 119313,
  [SMALL_STATE(2946)] = 119337,
  [SMALL_STATE(2947)] = 119361,
  [SMALL_STATE(2948)] = 119393,
  [SMALL_STATE(2949)] = 119417,
  [SMALL_STATE(2950)] = 119439,
  [SMALL_STATE(2951)] = 119471,
  [SMALL_STATE(2952)] = 119505,
  [SMALL_STATE(2953)] = 119539,
  [SMALL_STATE(2954)] = 119573,
  [SMALL_STATE(2955)] = 119597,
  [SMALL_STATE(2956)] = 119621,
  [SMALL_STATE(2957)] = 119645,
  [SMALL_STATE(2958)] = 119667,
  [SMALL_STATE(2959)] = 119691,
  [SMALL_STATE(2960)] = 119715,
  [SMALL_STATE(2961)] = 119739,
  [SMALL_STATE(2962)] = 119763,
  [SMALL_STATE(2963)] = 119787,
  [SMALL_STATE(2964)] = 119811,
  [SMALL_STATE(2965)] = 119835,
  [SMALL_STATE(2966)] = 119859,
  [SMALL_STATE(2967)] = 119891,
  [SMALL_STATE(2968)] = 119925,
  [SMALL_STATE(2969)] = 119959,
  [SMALL_STATE(2970)] = 119993,
  [SMALL_STATE(2971)] = 120017,
  [SMALL_STATE(2972)] = 120039,
  [SMALL_STATE(2973)] = 120071,
  [SMALL_STATE(2974)] = 120105,
  [SMALL_STATE(2975)] = 120139,
  [SMALL_STATE(2976)] = 120173,
  [SMALL_STATE(2977)] = 120195,
  [SMALL_STATE(2978)] = 120219,
  [SMALL_STATE(2979)] = 120251,
  [SMALL_STATE(2980)] = 120285,
  [SMALL_STATE(2981)] = 120319,
  [SMALL_STATE(2982)] = 120353,
  [SMALL_STATE(2983)] = 120387,
  [SMALL_STATE(2984)] = 120409,
  [SMALL_STATE(2985)] = 120443,
  [SMALL_STATE(2986)] = 120477,
  [SMALL_STATE(2987)] = 120499,
  [SMALL_STATE(2988)] = 120523,
  [SMALL_STATE(2989)] = 120547,
  [SMALL_STATE(2990)] = 120571,
  [SMALL_STATE(2991)] = 120595,
  [SMALL_STATE(2992)] = 120617,
  [SMALL_STATE(2993)] = 120641,
  [SMALL_STATE(2994)] = 120673,
  [SMALL_STATE(2995)] = 120695,
  [SMALL_STATE(2996)] = 120729,
  [SMALL_STATE(2997)] = 120753,
  [SMALL_STATE(2998)] = 120787,
  [SMALL_STATE(2999)] = 120821,
  [SMALL_STATE(3000)] = 120845,
  [SMALL_STATE(3001)] = 120869,
  [SMALL_STATE(3002)] = 120893,
  [SMALL_STATE(3003)] = 120917,
  [SMALL_STATE(3004)] = 120941,
  [SMALL_STATE(3005)] = 120980,
  [SMALL_STATE(3006)] = 121023,
  [SMALL_STATE(3007)] = 121052,
  [SMALL_STATE(3008)] = 121077,
  [SMALL_STATE(3009)] = 121106,
  [SMALL_STATE(3010)] = 121149,
  [SMALL_STATE(3011)] = 121192,
  [SMALL_STATE(3012)] = 121231,
  [SMALL_STATE(3013)] = 121274,
  [SMALL_STATE(3014)] = 121317,
  [SMALL_STATE(3015)] = 121342,
  [SMALL_STATE(3016)] = 121377,
  [SMALL_STATE(3017)] = 121420,
  [SMALL_STATE(3018)] = 121463,
  [SMALL_STATE(3019)] = 121506,
  [SMALL_STATE(3020)] = 121535,
  [SMALL_STATE(3021)] = 121578,
  [SMALL_STATE(3022)] = 121623,
  [SMALL_STATE(3023)] = 121666,
  [SMALL_STATE(3024)] = 121709,
  [SMALL_STATE(3025)] = 121748,
  [SMALL_STATE(3026)] = 121787,
  [SMALL_STATE(3027)] = 121812,
  [SMALL_STATE(3028)] = 121855,
  [SMALL_STATE(3029)] = 121898,
  [SMALL_STATE(3030)] = 121927,
  [SMALL_STATE(3031)] = 121970,
  [SMALL_STATE(3032)] = 122013,
  [SMALL_STATE(3033)] = 122052,
  [SMALL_STATE(3034)] = 122095,
  [SMALL_STATE(3035)] = 122138,
  [SMALL_STATE(3036)] = 122167,
  [SMALL_STATE(3037)] = 122196,
  [SMALL_STATE(3038)] = 122239,
  [SMALL_STATE(3039)] = 122282,
  [SMALL_STATE(3040)] = 122325,
  [SMALL_STATE(3041)] = 122368,
  [SMALL_STATE(3042)] = 122397,
  [SMALL_STATE(3043)] = 122426,
  [SMALL_STATE(3044)] = 122469,
  [SMALL_STATE(3045)] = 122498,
  [SMALL_STATE(3046)] = 122541,
  [SMALL_STATE(3047)] = 122561,
  [SMALL_STATE(3048)] = 122597,
  [SMALL_STATE(3049)] = 122619,
  [SMALL_STATE(3050)] = 122641,
  [SMALL_STATE(3051)] = 122677,
  [SMALL_STATE(3052)] = 122705,
  [SMALL_STATE(3053)] = 122727,
  [SMALL_STATE(3054)] = 122755,
  [SMALL_STATE(3055)] = 122779,
  [SMALL_STATE(3056)] = 122807,
  [SMALL_STATE(3057)] = 122843,
  [SMALL_STATE(3058)] = 122867,
  [SMALL_STATE(3059)] = 122903,
  [SMALL_STATE(3060)] = 122925,
  [SMALL_STATE(3061)] = 122951,
  [SMALL_STATE(3062)] = 122973,
  [SMALL_STATE(3063)] = 122995,
  [SMALL_STATE(3064)] = 123023,
  [SMALL_STATE(3065)] = 123051,
  [SMALL_STATE(3066)] = 123075,
  [SMALL_STATE(3067)] = 123101,
  [SMALL_STATE(3068)] = 123125,
  [SMALL_STATE(3069)] = 123147,
  [SMALL_STATE(3070)] = 123169,
  [SMALL_STATE(3071)] = 123205,
  [SMALL_STATE(3072)] = 123227,
  [SMALL_STATE(3073)] = 123269,
  [SMALL_STATE(3074)] = 123311,
  [SMALL_STATE(3075)] = 123331,
  [SMALL_STATE(3076)] = 123359,
  [SMALL_STATE(3077)] = 123395,
  [SMALL_STATE(3078)] = 123431,
  [SMALL_STATE(3079)] = 123451,
  [SMALL_STATE(3080)] = 123471,
  [SMALL_STATE(3081)] = 123491,
  [SMALL_STATE(3082)] = 123511,
  [SMALL_STATE(3083)] = 123531,
  [SMALL_STATE(3084)] = 123551,
  [SMALL_STATE(3085)] = 123587,
  [SMALL_STATE(3086)] = 123607,
  [SMALL_STATE(3087)] = 123627,
  [SMALL_STATE(3088)] = 123647,
  [SMALL_STATE(3089)] = 123667,
  [SMALL_STATE(3090)] = 123687,
  [SMALL_STATE(3091)] = 123707,
  [SMALL_STATE(3092)] = 123729,
  [SMALL_STATE(3093)] = 123753,
  [SMALL_STATE(3094)] = 123789,
  [SMALL_STATE(3095)] = 123809,
  [SMALL_STATE(3096)] = 123829,
  [SMALL_STATE(3097)] = 123849,
  [SMALL_STATE(3098)] = 123869,
  [SMALL_STATE(3099)] = 123889,
  [SMALL_STATE(3100)] = 123909,
  [SMALL_STATE(3101)] = 123929,
  [SMALL_STATE(3102)] = 123951,
  [SMALL_STATE(3103)] = 123971,
  [SMALL_STATE(3104)] = 123991,
  [SMALL_STATE(3105)] = 124011,
  [SMALL_STATE(3106)] = 124031,
  [SMALL_STATE(3107)] = 124051,
  [SMALL_STATE(3108)] = 124071,
  [SMALL_STATE(3109)] = 124097,
  [SMALL_STATE(3110)] = 124119,
  [SMALL_STATE(3111)] = 124139,
  [SMALL_STATE(3112)] = 124159,
  [SMALL_STATE(3113)] = 124179,
  [SMALL_STATE(3114)] = 124199,
  [SMALL_STATE(3115)] = 124219,
  [SMALL_STATE(3116)] = 124255,
  [SMALL_STATE(3117)] = 124283,
  [SMALL_STATE(3118)] = 124311,
  [SMALL_STATE(3119)] = 124331,
  [SMALL_STATE(3120)] = 124351,
  [SMALL_STATE(3121)] = 124388,
  [SMALL_STATE(3122)] = 124425,
  [SMALL_STATE(3123)] = 124464,
  [SMALL_STATE(3124)] = 124501,
  [SMALL_STATE(3125)] = 124534,
  [SMALL_STATE(3126)] = 124571,
  [SMALL_STATE(3127)] = 124608,
  [SMALL_STATE(3128)] = 124645,
  [SMALL_STATE(3129)] = 124666,
  [SMALL_STATE(3130)] = 124695,
  [SMALL_STATE(3131)] = 124728,
  [SMALL_STATE(3132)] = 124761,
  [SMALL_STATE(3133)] = 124798,
  [SMALL_STATE(3134)] = 124819,
  [SMALL_STATE(3135)] = 124856,
  [SMALL_STATE(3136)] = 124877,
  [SMALL_STATE(3137)] = 124910,
  [SMALL_STATE(3138)] = 124933,
  [SMALL_STATE(3139)] = 124956,
  [SMALL_STATE(3140)] = 124979,
  [SMALL_STATE(3141)] = 125010,
  [SMALL_STATE(3142)] = 125031,
  [SMALL_STATE(3143)] = 125070,
  [SMALL_STATE(3144)] = 125103,
  [SMALL_STATE(3145)] = 125132,
  [SMALL_STATE(3146)] = 125169,
  [SMALL_STATE(3147)] = 125206,
  [SMALL_STATE(3148)] = 125235,
  [SMALL_STATE(3149)] = 125272,
  [SMALL_STATE(3150)] = 125291,
  [SMALL_STATE(3151)] = 125322,
  [SMALL_STATE(3152)] = 125359,
  [SMALL_STATE(3153)] = 125392,
  [SMALL_STATE(3154)] = 125429,
  [SMALL_STATE(3155)] = 125458,
  [SMALL_STATE(3156)] = 125479,
  [SMALL_STATE(3157)] = 125500,
  [SMALL_STATE(3158)] = 125531,
  [SMALL_STATE(3159)] = 125568,
  [SMALL_STATE(3160)] = 125587,
  [SMALL_STATE(3161)] = 125624,
  [SMALL_STATE(3162)] = 125661,
  [SMALL_STATE(3163)] = 125698,
  [SMALL_STATE(3164)] = 125727,
  [SMALL_STATE(3165)] = 125764,
  [SMALL_STATE(3166)] = 125801,
  [SMALL_STATE(3167)] = 125840,
  [SMALL_STATE(3168)] = 125877,
  [SMALL_STATE(3169)] = 125902,
  [SMALL_STATE(3170)] = 125927,
  [SMALL_STATE(3171)] = 125966,
  [SMALL_STATE(3172)] = 125999,
  [SMALL_STATE(3173)] = 126022,
  [SMALL_STATE(3174)] = 126053,
  [SMALL_STATE(3175)] = 126090,
  [SMALL_STATE(3176)] = 126121,
  [SMALL_STATE(3177)] = 126144,
  [SMALL_STATE(3178)] = 126181,
  [SMALL_STATE(3179)] = 126214,
  [SMALL_STATE(3180)] = 126251,
  [SMALL_STATE(3181)] = 126284,
  [SMALL_STATE(3182)] = 126323,
  [SMALL_STATE(3183)] = 126356,
  [SMALL_STATE(3184)] = 126377,
  [SMALL_STATE(3185)] = 126397,
  [SMALL_STATE(3186)] = 126421,
  [SMALL_STATE(3187)] = 126441,
  [SMALL_STATE(3188)] = 126461,
  [SMALL_STATE(3189)] = 126481,
  [SMALL_STATE(3190)] = 126501,
  [SMALL_STATE(3191)] = 126531,
  [SMALL_STATE(3192)] = 126555,
  [SMALL_STATE(3193)] = 126575,
  [SMALL_STATE(3194)] = 126605,
  [SMALL_STATE(3195)] = 126635,
  [SMALL_STATE(3196)] = 126655,
  [SMALL_STATE(3197)] = 126685,
  [SMALL_STATE(3198)] = 126715,
  [SMALL_STATE(3199)] = 126735,
  [SMALL_STATE(3200)] = 126755,
  [SMALL_STATE(3201)] = 126775,
  [SMALL_STATE(3202)] = 126797,
  [SMALL_STATE(3203)] = 126817,
  [SMALL_STATE(3204)] = 126837,
  [SMALL_STATE(3205)] = 126857,
  [SMALL_STATE(3206)] = 126877,
  [SMALL_STATE(3207)] = 126901,
  [SMALL_STATE(3208)] = 126925,
  [SMALL_STATE(3209)] = 126947,
  [SMALL_STATE(3210)] = 126969,
  [SMALL_STATE(3211)] = 126993,
  [SMALL_STATE(3212)] = 127017,
  [SMALL_STATE(3213)] = 127037,
  [SMALL_STATE(3214)] = 127055,
  [SMALL_STATE(3215)] = 127085,
  [SMALL_STATE(3216)] = 127111,
  [SMALL_STATE(3217)] = 127131,
  [SMALL_STATE(3218)] = 127151,
  [SMALL_STATE(3219)] = 127171,
  [SMALL_STATE(3220)] = 127195,
  [SMALL_STATE(3221)] = 127215,
  [SMALL_STATE(3222)] = 127235,
  [SMALL_STATE(3223)] = 127257,
  [SMALL_STATE(3224)] = 127277,
  [SMALL_STATE(3225)] = 127297,
  [SMALL_STATE(3226)] = 127317,
  [SMALL_STATE(3227)] = 127337,
  [SMALL_STATE(3228)] = 127355,
  [SMALL_STATE(3229)] = 127375,
  [SMALL_STATE(3230)] = 127395,
  [SMALL_STATE(3231)] = 127425,
  [SMALL_STATE(3232)] = 127445,
  [SMALL_STATE(3233)] = 127467,
  [SMALL_STATE(3234)] = 127489,
  [SMALL_STATE(3235)] = 127513,
  [SMALL_STATE(3236)] = 127531,
  [SMALL_STATE(3237)] = 127557,
  [SMALL_STATE(3238)] = 127575,
  [SMALL_STATE(3239)] = 127593,
  [SMALL_STATE(3240)] = 127611,
  [SMALL_STATE(3241)] = 127629,
  [SMALL_STATE(3242)] = 127665,
  [SMALL_STATE(3243)] = 127683,
  [SMALL_STATE(3244)] = 127701,
  [SMALL_STATE(3245)] = 127719,
  [SMALL_STATE(3246)] = 127737,
  [SMALL_STATE(3247)] = 127755,
  [SMALL_STATE(3248)] = 127773,
  [SMALL_STATE(3249)] = 127791,
  [SMALL_STATE(3250)] = 127813,
  [SMALL_STATE(3251)] = 127833,
  [SMALL_STATE(3252)] = 127853,
  [SMALL_STATE(3253)] = 127873,
  [SMALL_STATE(3254)] = 127893,
  [SMALL_STATE(3255)] = 127913,
  [SMALL_STATE(3256)] = 127933,
  [SMALL_STATE(3257)] = 127953,
  [SMALL_STATE(3258)] = 127973,
  [SMALL_STATE(3259)] = 127997,
  [SMALL_STATE(3260)] = 128017,
  [SMALL_STATE(3261)] = 128037,
  [SMALL_STATE(3262)] = 128057,
  [SMALL_STATE(3263)] = 128079,
  [SMALL_STATE(3264)] = 128109,
  [SMALL_STATE(3265)] = 128142,
  [SMALL_STATE(3266)] = 128159,
  [SMALL_STATE(3267)] = 128194,
  [SMALL_STATE(3268)] = 128221,
  [SMALL_STATE(3269)] = 128256,
  [SMALL_STATE(3270)] = 128291,
  [SMALL_STATE(3271)] = 128324,
  [SMALL_STATE(3272)] = 128343,
  [SMALL_STATE(3273)] = 128378,
  [SMALL_STATE(3274)] = 128403,
  [SMALL_STATE(3275)] = 128422,
  [SMALL_STATE(3276)] = 128445,
  [SMALL_STATE(3277)] = 128466,
  [SMALL_STATE(3278)] = 128487,
  [SMALL_STATE(3279)] = 128520,
  [SMALL_STATE(3280)] = 128555,
  [SMALL_STATE(3281)] = 128588,
  [SMALL_STATE(3282)] = 128623,
  [SMALL_STATE(3283)] = 128642,
  [SMALL_STATE(3284)] = 128663,
  [SMALL_STATE(3285)] = 128686,
  [SMALL_STATE(3286)] = 128721,
  [SMALL_STATE(3287)] = 128752,
  [SMALL_STATE(3288)] = 128787,
  [SMALL_STATE(3289)] = 128822,
  [SMALL_STATE(3290)] = 128841,
  [SMALL_STATE(3291)] = 128876,
  [SMALL_STATE(3292)] = 128911,
  [SMALL_STATE(3293)] = 128928,
  [SMALL_STATE(3294)] = 128961,
  [SMALL_STATE(3295)] = 128978,
  [SMALL_STATE(3296)] = 129011,
  [SMALL_STATE(3297)] = 129028,
  [SMALL_STATE(3298)] = 129057,
  [SMALL_STATE(3299)] = 129088,
  [SMALL_STATE(3300)] = 129119,
  [SMALL_STATE(3301)] = 129135,
  [SMALL_STATE(3302)] = 129163,
  [SMALL_STATE(3303)] = 129191,
  [SMALL_STATE(3304)] = 129219,
  [SMALL_STATE(3305)] = 129247,
  [SMALL_STATE(3306)] = 129275,
  [SMALL_STATE(3307)] = 129301,
  [SMALL_STATE(3308)] = 129333,
  [SMALL_STATE(3309)] = 129361,
  [SMALL_STATE(3310)] = 129389,
  [SMALL_STATE(3311)] = 129417,
  [SMALL_STATE(3312)] = 129449,
  [SMALL_STATE(3313)] = 129477,
  [SMALL_STATE(3314)] = 129509,
  [SMALL_STATE(3315)] = 129539,
  [SMALL_STATE(3316)] = 129569,
  [SMALL_STATE(3317)] = 129601,
  [SMALL_STATE(3318)] = 129627,
  [SMALL_STATE(3319)] = 129653,
  [SMALL_STATE(3320)] = 129683,
  [SMALL_STATE(3321)] = 129711,
  [SMALL_STATE(3322)] = 129727,
  [SMALL_STATE(3323)] = 129757,
  [SMALL_STATE(3324)] = 129787,
  [SMALL_STATE(3325)] = 129815,
  [SMALL_STATE(3326)] = 129845,
  [SMALL_STATE(3327)] = 129873,
  [SMALL_STATE(3328)] = 129903,
  [SMALL_STATE(3329)] = 129925,
  [SMALL_STATE(3330)] = 129941,
  [SMALL_STATE(3331)] = 129957,
  [SMALL_STATE(3332)] = 129987,
  [SMALL_STATE(3333)] = 130017,
  [SMALL_STATE(3334)] = 130047,
  [SMALL_STATE(3335)] = 130075,
  [SMALL_STATE(3336)] = 130091,
  [SMALL_STATE(3337)] = 130121,
  [SMALL_STATE(3338)] = 130153,
  [SMALL_STATE(3339)] = 130183,
  [SMALL_STATE(3340)] = 130199,
  [SMALL_STATE(3341)] = 130215,
  [SMALL_STATE(3342)] = 130237,
  [SMALL_STATE(3343)] = 130259,
  [SMALL_STATE(3344)] = 130287,
  [SMALL_STATE(3345)] = 130319,
  [SMALL_STATE(3346)] = 130347,
  [SMALL_STATE(3347)] = 130375,
  [SMALL_STATE(3348)] = 130391,
  [SMALL_STATE(3349)] = 130419,
  [SMALL_STATE(3350)] = 130449,
  [SMALL_STATE(3351)] = 130479,
  [SMALL_STATE(3352)] = 130505,
  [SMALL_STATE(3353)] = 130523,
  [SMALL_STATE(3354)] = 130539,
  [SMALL_STATE(3355)] = 130567,
  [SMALL_STATE(3356)] = 130595,
  [SMALL_STATE(3357)] = 130623,
  [SMALL_STATE(3358)] = 130651,
  [SMALL_STATE(3359)] = 130679,
  [SMALL_STATE(3360)] = 130709,
  [SMALL_STATE(3361)] = 130739,
  [SMALL_STATE(3362)] = 130769,
  [SMALL_STATE(3363)] = 130799,
  [SMALL_STATE(3364)] = 130829,
  [SMALL_STATE(3365)] = 130857,
  [SMALL_STATE(3366)] = 130887,
  [SMALL_STATE(3367)] = 130915,
  [SMALL_STATE(3368)] = 130943,
  [SMALL_STATE(3369)] = 130975,
  [SMALL_STATE(3370)] = 130991,
  [SMALL_STATE(3371)] = 131021,
  [SMALL_STATE(3372)] = 131041,
  [SMALL_STATE(3373)] = 131073,
  [SMALL_STATE(3374)] = 131103,
  [SMALL_STATE(3375)] = 131135,
  [SMALL_STATE(3376)] = 131163,
  [SMALL_STATE(3377)] = 131179,
  [SMALL_STATE(3378)] = 131211,
  [SMALL_STATE(3379)] = 131243,
  [SMALL_STATE(3380)] = 131273,
  [SMALL_STATE(3381)] = 131301,
  [SMALL_STATE(3382)] = 131329,
  [SMALL_STATE(3383)] = 131345,
  [SMALL_STATE(3384)] = 131373,
  [SMALL_STATE(3385)] = 131405,
  [SMALL_STATE(3386)] = 131421,
  [SMALL_STATE(3387)] = 131447,
  [SMALL_STATE(3388)] = 131463,
  [SMALL_STATE(3389)] = 131489,
  [SMALL_STATE(3390)] = 131507,
  [SMALL_STATE(3391)] = 131523,
  [SMALL_STATE(3392)] = 131539,
  [SMALL_STATE(3393)] = 131561,
  [SMALL_STATE(3394)] = 131581,
  [SMALL_STATE(3395)] = 131599,
  [SMALL_STATE(3396)] = 131617,
  [SMALL_STATE(3397)] = 131649,
  [SMALL_STATE(3398)] = 131681,
  [SMALL_STATE(3399)] = 131709,
  [SMALL_STATE(3400)] = 131725,
  [SMALL_STATE(3401)] = 131753,
  [SMALL_STATE(3402)] = 131783,
  [SMALL_STATE(3403)] = 131799,
  [SMALL_STATE(3404)] = 131829,
  [SMALL_STATE(3405)] = 131859,
  [SMALL_STATE(3406)] = 131891,
  [SMALL_STATE(3407)] = 131907,
  [SMALL_STATE(3408)] = 131937,
  [SMALL_STATE(3409)] = 131965,
  [SMALL_STATE(3410)] = 131981,
  [SMALL_STATE(3411)] = 132009,
  [SMALL_STATE(3412)] = 132037,
  [SMALL_STATE(3413)] = 132053,
  [SMALL_STATE(3414)] = 132081,
  [SMALL_STATE(3415)] = 132109,
  [SMALL_STATE(3416)] = 132137,
  [SMALL_STATE(3417)] = 132153,
  [SMALL_STATE(3418)] = 132169,
  [SMALL_STATE(3419)] = 132185,
  [SMALL_STATE(3420)] = 132213,
  [SMALL_STATE(3421)] = 132239,
  [SMALL_STATE(3422)] = 132255,
  [SMALL_STATE(3423)] = 132283,
  [SMALL_STATE(3424)] = 132311,
  [SMALL_STATE(3425)] = 132339,
  [SMALL_STATE(3426)] = 132367,
  [SMALL_STATE(3427)] = 132383,
  [SMALL_STATE(3428)] = 132399,
  [SMALL_STATE(3429)] = 132421,
  [SMALL_STATE(3430)] = 132453,
  [SMALL_STATE(3431)] = 132485,
  [SMALL_STATE(3432)] = 132515,
  [SMALL_STATE(3433)] = 132545,
  [SMALL_STATE(3434)] = 132561,
  [SMALL_STATE(3435)] = 132579,
  [SMALL_STATE(3436)] = 132595,
  [SMALL_STATE(3437)] = 132625,
  [SMALL_STATE(3438)] = 132655,
  [SMALL_STATE(3439)] = 132671,
  [SMALL_STATE(3440)] = 132699,
  [SMALL_STATE(3441)] = 132715,
  [SMALL_STATE(3442)] = 132745,
  [SMALL_STATE(3443)] = 132773,
  [SMALL_STATE(3444)] = 132801,
  [SMALL_STATE(3445)] = 132831,
  [SMALL_STATE(3446)] = 132859,
  [SMALL_STATE(3447)] = 132891,
  [SMALL_STATE(3448)] = 132917,
  [SMALL_STATE(3449)] = 132947,
  [SMALL_STATE(3450)] = 132979,
  [SMALL_STATE(3451)] = 132995,
  [SMALL_STATE(3452)] = 133017,
  [SMALL_STATE(3453)] = 133033,
  [SMALL_STATE(3454)] = 133059,
  [SMALL_STATE(3455)] = 133085,
  [SMALL_STATE(3456)] = 133101,
  [SMALL_STATE(3457)] = 133117,
  [SMALL_STATE(3458)] = 133139,
  [SMALL_STATE(3459)] = 133155,
  [SMALL_STATE(3460)] = 133171,
  [SMALL_STATE(3461)] = 133193,
  [SMALL_STATE(3462)] = 133209,
  [SMALL_STATE(3463)] = 133235,
  [SMALL_STATE(3464)] = 133265,
  [SMALL_STATE(3465)] = 133295,
  [SMALL_STATE(3466)] = 133325,
  [SMALL_STATE(3467)] = 133345,
  [SMALL_STATE(3468)] = 133361,
  [SMALL_STATE(3469)] = 133377,
  [SMALL_STATE(3470)] = 133401,
  [SMALL_STATE(3471)] = 133427,
  [SMALL_STATE(3472)] = 133443,
  [SMALL_STATE(3473)] = 133459,
  [SMALL_STATE(3474)] = 133475,
  [SMALL_STATE(3475)] = 133503,
  [SMALL_STATE(3476)] = 133519,
  [SMALL_STATE(3477)] = 133535,
  [SMALL_STATE(3478)] = 133561,
  [SMALL_STATE(3479)] = 133587,
  [SMALL_STATE(3480)] = 133615,
  [SMALL_STATE(3481)] = 133641,
  [SMALL_STATE(3482)] = 133657,
  [SMALL_STATE(3483)] = 133680,
  [SMALL_STATE(3484)] = 133703,
  [SMALL_STATE(3485)] = 133728,
  [SMALL_STATE(3486)] = 133747,
  [SMALL_STATE(3487)] = 133762,
  [SMALL_STATE(3488)] = 133787,
  [SMALL_STATE(3489)] = 133812,
  [SMALL_STATE(3490)] = 133833,
  [SMALL_STATE(3491)] = 133862,
  [SMALL_STATE(3492)] = 133887,
  [SMALL_STATE(3493)] = 133912,
  [SMALL_STATE(3494)] = 133937,
  [SMALL_STATE(3495)] = 133958,
  [SMALL_STATE(3496)] = 133987,
  [SMALL_STATE(3497)] = 134012,
  [SMALL_STATE(3498)] = 134033,
  [SMALL_STATE(3499)] = 134062,
  [SMALL_STATE(3500)] = 134079,
  [SMALL_STATE(3501)] = 134108,
  [SMALL_STATE(3502)] = 134133,
  [SMALL_STATE(3503)] = 134148,
  [SMALL_STATE(3504)] = 134171,
  [SMALL_STATE(3505)] = 134200,
  [SMALL_STATE(3506)] = 134221,
  [SMALL_STATE(3507)] = 134246,
  [SMALL_STATE(3508)] = 134267,
  [SMALL_STATE(3509)] = 134284,
  [SMALL_STATE(3510)] = 134299,
  [SMALL_STATE(3511)] = 134316,
  [SMALL_STATE(3512)] = 134341,
  [SMALL_STATE(3513)] = 134370,
  [SMALL_STATE(3514)] = 134399,
  [SMALL_STATE(3515)] = 134424,
  [SMALL_STATE(3516)] = 134447,
  [SMALL_STATE(3517)] = 134464,
  [SMALL_STATE(3518)] = 134481,
  [SMALL_STATE(3519)] = 134510,
  [SMALL_STATE(3520)] = 134531,
  [SMALL_STATE(3521)] = 134554,
  [SMALL_STATE(3522)] = 134579,
  [SMALL_STATE(3523)] = 134602,
  [SMALL_STATE(3524)] = 134625,
  [SMALL_STATE(3525)] = 134648,
  [SMALL_STATE(3526)] = 134671,
  [SMALL_STATE(3527)] = 134689,
  [SMALL_STATE(3528)] = 134711,
  [SMALL_STATE(3529)] = 134725,
  [SMALL_STATE(3530)] = 134747,
  [SMALL_STATE(3531)] = 134769,
  [SMALL_STATE(3532)] = 134791,
  [SMALL_STATE(3533)] = 134813,
  [SMALL_STATE(3534)] = 134827,
  [SMALL_STATE(3535)] = 134849,
  [SMALL_STATE(3536)] = 134871,
  [SMALL_STATE(3537)] = 134897,
  [SMALL_STATE(3538)] = 134923,
  [SMALL_STATE(3539)] = 134937,
  [SMALL_STATE(3540)] = 134959,
  [SMALL_STATE(3541)] = 134979,
  [SMALL_STATE(3542)] = 135001,
  [SMALL_STATE(3543)] = 135023,
  [SMALL_STATE(3544)] = 135045,
  [SMALL_STATE(3545)] = 135067,
  [SMALL_STATE(3546)] = 135093,
  [SMALL_STATE(3547)] = 135119,
  [SMALL_STATE(3548)] = 135141,
  [SMALL_STATE(3549)] = 135167,
  [SMALL_STATE(3550)] = 135189,
  [SMALL_STATE(3551)] = 135207,
  [SMALL_STATE(3552)] = 135221,
  [SMALL_STATE(3553)] = 135247,
  [SMALL_STATE(3554)] = 135269,
  [SMALL_STATE(3555)] = 135293,
  [SMALL_STATE(3556)] = 135315,
  [SMALL_STATE(3557)] = 135337,
  [SMALL_STATE(3558)] = 135351,
  [SMALL_STATE(3559)] = 135373,
  [SMALL_STATE(3560)] = 135399,
  [SMALL_STATE(3561)] = 135421,
  [SMALL_STATE(3562)] = 135443,
  [SMALL_STATE(3563)] = 135465,
  [SMALL_STATE(3564)] = 135487,
  [SMALL_STATE(3565)] = 135509,
  [SMALL_STATE(3566)] = 135535,
  [SMALL_STATE(3567)] = 135557,
  [SMALL_STATE(3568)] = 135583,
  [SMALL_STATE(3569)] = 135601,
  [SMALL_STATE(3570)] = 135627,
  [SMALL_STATE(3571)] = 135645,
  [SMALL_STATE(3572)] = 135667,
  [SMALL_STATE(3573)] = 135685,
  [SMALL_STATE(3574)] = 135703,
  [SMALL_STATE(3575)] = 135725,
  [SMALL_STATE(3576)] = 135747,
  [SMALL_STATE(3577)] = 135769,
  [SMALL_STATE(3578)] = 135791,
  [SMALL_STATE(3579)] = 135813,
  [SMALL_STATE(3580)] = 135839,
  [SMALL_STATE(3581)] = 135861,
  [SMALL_STATE(3582)] = 135883,
  [SMALL_STATE(3583)] = 135905,
  [SMALL_STATE(3584)] = 135927,
  [SMALL_STATE(3585)] = 135949,
  [SMALL_STATE(3586)] = 135971,
  [SMALL_STATE(3587)] = 135993,
  [SMALL_STATE(3588)] = 136015,
  [SMALL_STATE(3589)] = 136037,
  [SMALL_STATE(3590)] = 136059,
  [SMALL_STATE(3591)] = 136081,
  [SMALL_STATE(3592)] = 136103,
  [SMALL_STATE(3593)] = 136129,
  [SMALL_STATE(3594)] = 136147,
  [SMALL_STATE(3595)] = 136169,
  [SMALL_STATE(3596)] = 136191,
  [SMALL_STATE(3597)] = 136217,
  [SMALL_STATE(3598)] = 136231,
  [SMALL_STATE(3599)] = 136249,
  [SMALL_STATE(3600)] = 136263,
  [SMALL_STATE(3601)] = 136281,
  [SMALL_STATE(3602)] = 136303,
  [SMALL_STATE(3603)] = 136321,
  [SMALL_STATE(3604)] = 136347,
  [SMALL_STATE(3605)] = 136369,
  [SMALL_STATE(3606)] = 136391,
  [SMALL_STATE(3607)] = 136405,
  [SMALL_STATE(3608)] = 136431,
  [SMALL_STATE(3609)] = 136453,
  [SMALL_STATE(3610)] = 136475,
  [SMALL_STATE(3611)] = 136501,
  [SMALL_STATE(3612)] = 136527,
  [SMALL_STATE(3613)] = 136549,
  [SMALL_STATE(3614)] = 136575,
  [SMALL_STATE(3615)] = 136597,
  [SMALL_STATE(3616)] = 136619,
  [SMALL_STATE(3617)] = 136645,
  [SMALL_STATE(3618)] = 136667,
  [SMALL_STATE(3619)] = 136689,
  [SMALL_STATE(3620)] = 136711,
  [SMALL_STATE(3621)] = 136737,
  [SMALL_STATE(3622)] = 136763,
  [SMALL_STATE(3623)] = 136789,
  [SMALL_STATE(3624)] = 136813,
  [SMALL_STATE(3625)] = 136829,
  [SMALL_STATE(3626)] = 136847,
  [SMALL_STATE(3627)] = 136863,
  [SMALL_STATE(3628)] = 136885,
  [SMALL_STATE(3629)] = 136907,
  [SMALL_STATE(3630)] = 136929,
  [SMALL_STATE(3631)] = 136955,
  [SMALL_STATE(3632)] = 136969,
  [SMALL_STATE(3633)] = 136995,
  [SMALL_STATE(3634)] = 137017,
  [SMALL_STATE(3635)] = 137043,
  [SMALL_STATE(3636)] = 137065,
  [SMALL_STATE(3637)] = 137079,
  [SMALL_STATE(3638)] = 137093,
  [SMALL_STATE(3639)] = 137115,
  [SMALL_STATE(3640)] = 137141,
  [SMALL_STATE(3641)] = 137167,
  [SMALL_STATE(3642)] = 137189,
  [SMALL_STATE(3643)] = 137211,
  [SMALL_STATE(3644)] = 137227,
  [SMALL_STATE(3645)] = 137249,
  [SMALL_STATE(3646)] = 137271,
  [SMALL_STATE(3647)] = 137297,
  [SMALL_STATE(3648)] = 137319,
  [SMALL_STATE(3649)] = 137345,
  [SMALL_STATE(3650)] = 137371,
  [SMALL_STATE(3651)] = 137389,
  [SMALL_STATE(3652)] = 137411,
  [SMALL_STATE(3653)] = 137437,
  [SMALL_STATE(3654)] = 137463,
  [SMALL_STATE(3655)] = 137479,
  [SMALL_STATE(3656)] = 137501,
  [SMALL_STATE(3657)] = 137523,
  [SMALL_STATE(3658)] = 137541,
  [SMALL_STATE(3659)] = 137559,
  [SMALL_STATE(3660)] = 137585,
  [SMALL_STATE(3661)] = 137607,
  [SMALL_STATE(3662)] = 137629,
  [SMALL_STATE(3663)] = 137655,
  [SMALL_STATE(3664)] = 137681,
  [SMALL_STATE(3665)] = 137701,
  [SMALL_STATE(3666)] = 137719,
  [SMALL_STATE(3667)] = 137735,
  [SMALL_STATE(3668)] = 137755,
  [SMALL_STATE(3669)] = 137771,
  [SMALL_STATE(3670)] = 137787,
  [SMALL_STATE(3671)] = 137813,
  [SMALL_STATE(3672)] = 137831,
  [SMALL_STATE(3673)] = 137853,
  [SMALL_STATE(3674)] = 137869,
  [SMALL_STATE(3675)] = 137889,
  [SMALL_STATE(3676)] = 137909,
  [SMALL_STATE(3677)] = 137935,
  [SMALL_STATE(3678)] = 137957,
  [SMALL_STATE(3679)] = 137979,
  [SMALL_STATE(3680)] = 138005,
  [SMALL_STATE(3681)] = 138027,
  [SMALL_STATE(3682)] = 138047,
  [SMALL_STATE(3683)] = 138069,
  [SMALL_STATE(3684)] = 138091,
  [SMALL_STATE(3685)] = 138113,
  [SMALL_STATE(3686)] = 138135,
  [SMALL_STATE(3687)] = 138157,
  [SMALL_STATE(3688)] = 138179,
  [SMALL_STATE(3689)] = 138201,
  [SMALL_STATE(3690)] = 138223,
  [SMALL_STATE(3691)] = 138243,
  [SMALL_STATE(3692)] = 138265,
  [SMALL_STATE(3693)] = 138287,
  [SMALL_STATE(3694)] = 138309,
  [SMALL_STATE(3695)] = 138331,
  [SMALL_STATE(3696)] = 138353,
  [SMALL_STATE(3697)] = 138375,
  [SMALL_STATE(3698)] = 138401,
  [SMALL_STATE(3699)] = 138421,
  [SMALL_STATE(3700)] = 138439,
  [SMALL_STATE(3701)] = 138461,
  [SMALL_STATE(3702)] = 138479,
  [SMALL_STATE(3703)] = 138501,
  [SMALL_STATE(3704)] = 138519,
  [SMALL_STATE(3705)] = 138541,
  [SMALL_STATE(3706)] = 138559,
  [SMALL_STATE(3707)] = 138581,
  [SMALL_STATE(3708)] = 138607,
  [SMALL_STATE(3709)] = 138629,
  [SMALL_STATE(3710)] = 138647,
  [SMALL_STATE(3711)] = 138665,
  [SMALL_STATE(3712)] = 138685,
  [SMALL_STATE(3713)] = 138703,
  [SMALL_STATE(3714)] = 138725,
  [SMALL_STATE(3715)] = 138751,
  [SMALL_STATE(3716)] = 138777,
  [SMALL_STATE(3717)] = 138803,
  [SMALL_STATE(3718)] = 138829,
  [SMALL_STATE(3719)] = 138851,
  [SMALL_STATE(3720)] = 138873,
  [SMALL_STATE(3721)] = 138899,
  [SMALL_STATE(3722)] = 138921,
  [SMALL_STATE(3723)] = 138947,
  [SMALL_STATE(3724)] = 138969,
  [SMALL_STATE(3725)] = 138991,
  [SMALL_STATE(3726)] = 139017,
  [SMALL_STATE(3727)] = 139035,
  [SMALL_STATE(3728)] = 139057,
  [SMALL_STATE(3729)] = 139075,
  [SMALL_STATE(3730)] = 139089,
  [SMALL_STATE(3731)] = 139115,
  [SMALL_STATE(3732)] = 139133,
  [SMALL_STATE(3733)] = 139151,
  [SMALL_STATE(3734)] = 139173,
  [SMALL_STATE(3735)] = 139199,
  [SMALL_STATE(3736)] = 139221,
  [SMALL_STATE(3737)] = 139235,
  [SMALL_STATE(3738)] = 139257,
  [SMALL_STATE(3739)] = 139275,
  [SMALL_STATE(3740)] = 139293,
  [SMALL_STATE(3741)] = 139309,
  [SMALL_STATE(3742)] = 139331,
  [SMALL_STATE(3743)] = 139357,
  [SMALL_STATE(3744)] = 139379,
  [SMALL_STATE(3745)] = 139401,
  [SMALL_STATE(3746)] = 139427,
  [SMALL_STATE(3747)] = 139453,
  [SMALL_STATE(3748)] = 139475,
  [SMALL_STATE(3749)] = 139497,
  [SMALL_STATE(3750)] = 139511,
  [SMALL_STATE(3751)] = 139529,
  [SMALL_STATE(3752)] = 139555,
  [SMALL_STATE(3753)] = 139577,
  [SMALL_STATE(3754)] = 139603,
  [SMALL_STATE(3755)] = 139625,
  [SMALL_STATE(3756)] = 139647,
  [SMALL_STATE(3757)] = 139669,
  [SMALL_STATE(3758)] = 139691,
  [SMALL_STATE(3759)] = 139705,
  [SMALL_STATE(3760)] = 139731,
  [SMALL_STATE(3761)] = 139757,
  [SMALL_STATE(3762)] = 139779,
  [SMALL_STATE(3763)] = 139805,
  [SMALL_STATE(3764)] = 139819,
  [SMALL_STATE(3765)] = 139841,
  [SMALL_STATE(3766)] = 139863,
  [SMALL_STATE(3767)] = 139885,
  [SMALL_STATE(3768)] = 139907,
  [SMALL_STATE(3769)] = 139929,
  [SMALL_STATE(3770)] = 139951,
  [SMALL_STATE(3771)] = 139973,
  [SMALL_STATE(3772)] = 139999,
  [SMALL_STATE(3773)] = 140022,
  [SMALL_STATE(3774)] = 140035,
  [SMALL_STATE(3775)] = 140050,
  [SMALL_STATE(3776)] = 140073,
  [SMALL_STATE(3777)] = 140090,
  [SMALL_STATE(3778)] = 140111,
  [SMALL_STATE(3779)] = 140134,
  [SMALL_STATE(3780)] = 140151,
  [SMALL_STATE(3781)] = 140168,
  [SMALL_STATE(3782)] = 140191,
  [SMALL_STATE(3783)] = 140214,
  [SMALL_STATE(3784)] = 140233,
  [SMALL_STATE(3785)] = 140256,
  [SMALL_STATE(3786)] = 140273,
  [SMALL_STATE(3787)] = 140296,
  [SMALL_STATE(3788)] = 140313,
  [SMALL_STATE(3789)] = 140330,
  [SMALL_STATE(3790)] = 140347,
  [SMALL_STATE(3791)] = 140370,
  [SMALL_STATE(3792)] = 140387,
  [SMALL_STATE(3793)] = 140404,
  [SMALL_STATE(3794)] = 140427,
  [SMALL_STATE(3795)] = 140444,
  [SMALL_STATE(3796)] = 140467,
  [SMALL_STATE(3797)] = 140484,
  [SMALL_STATE(3798)] = 140503,
  [SMALL_STATE(3799)] = 140516,
  [SMALL_STATE(3800)] = 140539,
  [SMALL_STATE(3801)] = 140562,
  [SMALL_STATE(3802)] = 140585,
  [SMALL_STATE(3803)] = 140598,
  [SMALL_STATE(3804)] = 140613,
  [SMALL_STATE(3805)] = 140636,
  [SMALL_STATE(3806)] = 140659,
  [SMALL_STATE(3807)] = 140678,
  [SMALL_STATE(3808)] = 140701,
  [SMALL_STATE(3809)] = 140724,
  [SMALL_STATE(3810)] = 140739,
  [SMALL_STATE(3811)] = 140762,
  [SMALL_STATE(3812)] = 140775,
  [SMALL_STATE(3813)] = 140798,
  [SMALL_STATE(3814)] = 140821,
  [SMALL_STATE(3815)] = 140838,
  [SMALL_STATE(3816)] = 140861,
  [SMALL_STATE(3817)] = 140884,
  [SMALL_STATE(3818)] = 140905,
  [SMALL_STATE(3819)] = 140922,
  [SMALL_STATE(3820)] = 140939,
  [SMALL_STATE(3821)] = 140952,
  [SMALL_STATE(3822)] = 140975,
  [SMALL_STATE(3823)] = 140998,
  [SMALL_STATE(3824)] = 141021,
  [SMALL_STATE(3825)] = 141044,
  [SMALL_STATE(3826)] = 141067,
  [SMALL_STATE(3827)] = 141084,
  [SMALL_STATE(3828)] = 141101,
  [SMALL_STATE(3829)] = 141118,
  [SMALL_STATE(3830)] = 141141,
  [SMALL_STATE(3831)] = 141160,
  [SMALL_STATE(3832)] = 141183,
  [SMALL_STATE(3833)] = 141202,
  [SMALL_STATE(3834)] = 141217,
  [SMALL_STATE(3835)] = 141240,
  [SMALL_STATE(3836)] = 141253,
  [SMALL_STATE(3837)] = 141270,
  [SMALL_STATE(3838)] = 141287,
  [SMALL_STATE(3839)] = 141304,
  [SMALL_STATE(3840)] = 141327,
  [SMALL_STATE(3841)] = 141350,
  [SMALL_STATE(3842)] = 141373,
  [SMALL_STATE(3843)] = 141390,
  [SMALL_STATE(3844)] = 141407,
  [SMALL_STATE(3845)] = 141426,
  [SMALL_STATE(3846)] = 141449,
  [SMALL_STATE(3847)] = 141468,
  [SMALL_STATE(3848)] = 141487,
  [SMALL_STATE(3849)] = 141506,
  [SMALL_STATE(3850)] = 141523,
  [SMALL_STATE(3851)] = 141546,
  [SMALL_STATE(3852)] = 141569,
  [SMALL_STATE(3853)] = 141582,
  [SMALL_STATE(3854)] = 141599,
  [SMALL_STATE(3855)] = 141616,
  [SMALL_STATE(3856)] = 141633,
  [SMALL_STATE(3857)] = 141650,
  [SMALL_STATE(3858)] = 141665,
  [SMALL_STATE(3859)] = 141688,
  [SMALL_STATE(3860)] = 141705,
  [SMALL_STATE(3861)] = 141718,
  [SMALL_STATE(3862)] = 141737,
  [SMALL_STATE(3863)] = 141754,
  [SMALL_STATE(3864)] = 141773,
  [SMALL_STATE(3865)] = 141796,
  [SMALL_STATE(3866)] = 141809,
  [SMALL_STATE(3867)] = 141832,
  [SMALL_STATE(3868)] = 141849,
  [SMALL_STATE(3869)] = 141866,
  [SMALL_STATE(3870)] = 141883,
  [SMALL_STATE(3871)] = 141896,
  [SMALL_STATE(3872)] = 141919,
  [SMALL_STATE(3873)] = 141936,
  [SMALL_STATE(3874)] = 141959,
  [SMALL_STATE(3875)] = 141976,
  [SMALL_STATE(3876)] = 141999,
  [SMALL_STATE(3877)] = 142022,
  [SMALL_STATE(3878)] = 142045,
  [SMALL_STATE(3879)] = 142064,
  [SMALL_STATE(3880)] = 142087,
  [SMALL_STATE(3881)] = 142110,
  [SMALL_STATE(3882)] = 142133,
  [SMALL_STATE(3883)] = 142156,
  [SMALL_STATE(3884)] = 142175,
  [SMALL_STATE(3885)] = 142196,
  [SMALL_STATE(3886)] = 142213,
  [SMALL_STATE(3887)] = 142236,
  [SMALL_STATE(3888)] = 142253,
  [SMALL_STATE(3889)] = 142270,
  [SMALL_STATE(3890)] = 142289,
  [SMALL_STATE(3891)] = 142306,
  [SMALL_STATE(3892)] = 142323,
  [SMALL_STATE(3893)] = 142346,
  [SMALL_STATE(3894)] = 142369,
  [SMALL_STATE(3895)] = 142392,
  [SMALL_STATE(3896)] = 142415,
  [SMALL_STATE(3897)] = 142432,
  [SMALL_STATE(3898)] = 142455,
  [SMALL_STATE(3899)] = 142474,
  [SMALL_STATE(3900)] = 142487,
  [SMALL_STATE(3901)] = 142510,
  [SMALL_STATE(3902)] = 142533,
  [SMALL_STATE(3903)] = 142550,
  [SMALL_STATE(3904)] = 142573,
  [SMALL_STATE(3905)] = 142590,
  [SMALL_STATE(3906)] = 142605,
  [SMALL_STATE(3907)] = 142622,
  [SMALL_STATE(3908)] = 142639,
  [SMALL_STATE(3909)] = 142656,
  [SMALL_STATE(3910)] = 142669,
  [SMALL_STATE(3911)] = 142688,
  [SMALL_STATE(3912)] = 142707,
  [SMALL_STATE(3913)] = 142724,
  [SMALL_STATE(3914)] = 142743,
  [SMALL_STATE(3915)] = 142766,
  [SMALL_STATE(3916)] = 142783,
  [SMALL_STATE(3917)] = 142802,
  [SMALL_STATE(3918)] = 142819,
  [SMALL_STATE(3919)] = 142838,
  [SMALL_STATE(3920)] = 142861,
  [SMALL_STATE(3921)] = 142874,
  [SMALL_STATE(3922)] = 142889,
  [SMALL_STATE(3923)] = 142912,
  [SMALL_STATE(3924)] = 142935,
  [SMALL_STATE(3925)] = 142958,
  [SMALL_STATE(3926)] = 142981,
  [SMALL_STATE(3927)] = 143004,
  [SMALL_STATE(3928)] = 143027,
  [SMALL_STATE(3929)] = 143044,
  [SMALL_STATE(3930)] = 143057,
  [SMALL_STATE(3931)] = 143072,
  [SMALL_STATE(3932)] = 143089,
  [SMALL_STATE(3933)] = 143108,
  [SMALL_STATE(3934)] = 143128,
  [SMALL_STATE(3935)] = 143144,
  [SMALL_STATE(3936)] = 143160,
  [SMALL_STATE(3937)] = 143176,
  [SMALL_STATE(3938)] = 143188,
  [SMALL_STATE(3939)] = 143200,
  [SMALL_STATE(3940)] = 143212,
  [SMALL_STATE(3941)] = 143224,
  [SMALL_STATE(3942)] = 143240,
  [SMALL_STATE(3943)] = 143260,
  [SMALL_STATE(3944)] = 143276,
  [SMALL_STATE(3945)] = 143296,
  [SMALL_STATE(3946)] = 143312,
  [SMALL_STATE(3947)] = 143332,
  [SMALL_STATE(3948)] = 143350,
  [SMALL_STATE(3949)] = 143366,
  [SMALL_STATE(3950)] = 143382,
  [SMALL_STATE(3951)] = 143398,
  [SMALL_STATE(3952)] = 143414,
  [SMALL_STATE(3953)] = 143430,
  [SMALL_STATE(3954)] = 143446,
  [SMALL_STATE(3955)] = 143460,
  [SMALL_STATE(3956)] = 143474,
  [SMALL_STATE(3957)] = 143490,
  [SMALL_STATE(3958)] = 143506,
  [SMALL_STATE(3959)] = 143522,
  [SMALL_STATE(3960)] = 143534,
  [SMALL_STATE(3961)] = 143546,
  [SMALL_STATE(3962)] = 143558,
  [SMALL_STATE(3963)] = 143572,
  [SMALL_STATE(3964)] = 143588,
  [SMALL_STATE(3965)] = 143604,
  [SMALL_STATE(3966)] = 143616,
  [SMALL_STATE(3967)] = 143632,
  [SMALL_STATE(3968)] = 143648,
  [SMALL_STATE(3969)] = 143668,
  [SMALL_STATE(3970)] = 143684,
  [SMALL_STATE(3971)] = 143698,
  [SMALL_STATE(3972)] = 143716,
  [SMALL_STATE(3973)] = 143732,
  [SMALL_STATE(3974)] = 143744,
  [SMALL_STATE(3975)] = 143756,
  [SMALL_STATE(3976)] = 143768,
  [SMALL_STATE(3977)] = 143780,
  [SMALL_STATE(3978)] = 143800,
  [SMALL_STATE(3979)] = 143812,
  [SMALL_STATE(3980)] = 143824,
  [SMALL_STATE(3981)] = 143844,
  [SMALL_STATE(3982)] = 143864,
  [SMALL_STATE(3983)] = 143876,
  [SMALL_STATE(3984)] = 143888,
  [SMALL_STATE(3985)] = 143900,
  [SMALL_STATE(3986)] = 143912,
  [SMALL_STATE(3987)] = 143924,
  [SMALL_STATE(3988)] = 143936,
  [SMALL_STATE(3989)] = 143948,
  [SMALL_STATE(3990)] = 143964,
  [SMALL_STATE(3991)] = 143982,
  [SMALL_STATE(3992)] = 143998,
  [SMALL_STATE(3993)] = 144014,
  [SMALL_STATE(3994)] = 144030,
  [SMALL_STATE(3995)] = 144042,
  [SMALL_STATE(3996)] = 144058,
  [SMALL_STATE(3997)] = 144070,
  [SMALL_STATE(3998)] = 144082,
  [SMALL_STATE(3999)] = 144094,
  [SMALL_STATE(4000)] = 144110,
  [SMALL_STATE(4001)] = 144126,
  [SMALL_STATE(4002)] = 144142,
  [SMALL_STATE(4003)] = 144162,
  [SMALL_STATE(4004)] = 144178,
  [SMALL_STATE(4005)] = 144192,
  [SMALL_STATE(4006)] = 144208,
  [SMALL_STATE(4007)] = 144226,
  [SMALL_STATE(4008)] = 144242,
  [SMALL_STATE(4009)] = 144262,
  [SMALL_STATE(4010)] = 144278,
  [SMALL_STATE(4011)] = 144292,
  [SMALL_STATE(4012)] = 144308,
  [SMALL_STATE(4013)] = 144322,
  [SMALL_STATE(4014)] = 144338,
  [SMALL_STATE(4015)] = 144352,
  [SMALL_STATE(4016)] = 144370,
  [SMALL_STATE(4017)] = 144384,
  [SMALL_STATE(4018)] = 144400,
  [SMALL_STATE(4019)] = 144420,
  [SMALL_STATE(4020)] = 144436,
  [SMALL_STATE(4021)] = 144452,
  [SMALL_STATE(4022)] = 144472,
  [SMALL_STATE(4023)] = 144488,
  [SMALL_STATE(4024)] = 144506,
  [SMALL_STATE(4025)] = 144522,
  [SMALL_STATE(4026)] = 144534,
  [SMALL_STATE(4027)] = 144546,
  [SMALL_STATE(4028)] = 144558,
  [SMALL_STATE(4029)] = 144572,
  [SMALL_STATE(4030)] = 144588,
  [SMALL_STATE(4031)] = 144600,
  [SMALL_STATE(4032)] = 144616,
  [SMALL_STATE(4033)] = 144632,
  [SMALL_STATE(4034)] = 144648,
  [SMALL_STATE(4035)] = 144664,
  [SMALL_STATE(4036)] = 144676,
  [SMALL_STATE(4037)] = 144696,
  [SMALL_STATE(4038)] = 144708,
  [SMALL_STATE(4039)] = 144726,
  [SMALL_STATE(4040)] = 144738,
  [SMALL_STATE(4041)] = 144750,
  [SMALL_STATE(4042)] = 144766,
  [SMALL_STATE(4043)] = 144784,
  [SMALL_STATE(4044)] = 144800,
  [SMALL_STATE(4045)] = 144820,
  [SMALL_STATE(4046)] = 144834,
  [SMALL_STATE(4047)] = 144850,
  [SMALL_STATE(4048)] = 144870,
  [SMALL_STATE(4049)] = 144886,
  [SMALL_STATE(4050)] = 144902,
  [SMALL_STATE(4051)] = 144918,
  [SMALL_STATE(4052)] = 144934,
  [SMALL_STATE(4053)] = 144948,
  [SMALL_STATE(4054)] = 144968,
  [SMALL_STATE(4055)] = 144982,
  [SMALL_STATE(4056)] = 145000,
  [SMALL_STATE(4057)] = 145016,
  [SMALL_STATE(4058)] = 145036,
  [SMALL_STATE(4059)] = 145052,
  [SMALL_STATE(4060)] = 145068,
  [SMALL_STATE(4061)] = 145080,
  [SMALL_STATE(4062)] = 145096,
  [SMALL_STATE(4063)] = 145108,
  [SMALL_STATE(4064)] = 145120,
  [SMALL_STATE(4065)] = 145132,
  [SMALL_STATE(4066)] = 145144,
  [SMALL_STATE(4067)] = 145156,
  [SMALL_STATE(4068)] = 145172,
  [SMALL_STATE(4069)] = 145184,
  [SMALL_STATE(4070)] = 145196,
  [SMALL_STATE(4071)] = 145210,
  [SMALL_STATE(4072)] = 145224,
  [SMALL_STATE(4073)] = 145244,
  [SMALL_STATE(4074)] = 145260,
  [SMALL_STATE(4075)] = 145276,
  [SMALL_STATE(4076)] = 145294,
  [SMALL_STATE(4077)] = 145306,
  [SMALL_STATE(4078)] = 145320,
  [SMALL_STATE(4079)] = 145340,
  [SMALL_STATE(4080)] = 145360,
  [SMALL_STATE(4081)] = 145376,
  [SMALL_STATE(4082)] = 145392,
  [SMALL_STATE(4083)] = 145412,
  [SMALL_STATE(4084)] = 145430,
  [SMALL_STATE(4085)] = 145450,
  [SMALL_STATE(4086)] = 145466,
  [SMALL_STATE(4087)] = 145486,
  [SMALL_STATE(4088)] = 145502,
  [SMALL_STATE(4089)] = 145518,
  [SMALL_STATE(4090)] = 145534,
  [SMALL_STATE(4091)] = 145550,
  [SMALL_STATE(4092)] = 145566,
  [SMALL_STATE(4093)] = 145582,
  [SMALL_STATE(4094)] = 145598,
  [SMALL_STATE(4095)] = 145614,
  [SMALL_STATE(4096)] = 145630,
  [SMALL_STATE(4097)] = 145646,
  [SMALL_STATE(4098)] = 145658,
  [SMALL_STATE(4099)] = 145670,
  [SMALL_STATE(4100)] = 145682,
  [SMALL_STATE(4101)] = 145694,
  [SMALL_STATE(4102)] = 145706,
  [SMALL_STATE(4103)] = 145718,
  [SMALL_STATE(4104)] = 145736,
  [SMALL_STATE(4105)] = 145748,
  [SMALL_STATE(4106)] = 145764,
  [SMALL_STATE(4107)] = 145780,
  [SMALL_STATE(4108)] = 145792,
  [SMALL_STATE(4109)] = 145804,
  [SMALL_STATE(4110)] = 145820,
  [SMALL_STATE(4111)] = 145834,
  [SMALL_STATE(4112)] = 145848,
  [SMALL_STATE(4113)] = 145864,
  [SMALL_STATE(4114)] = 145884,
  [SMALL_STATE(4115)] = 145896,
  [SMALL_STATE(4116)] = 145916,
  [SMALL_STATE(4117)] = 145928,
  [SMALL_STATE(4118)] = 145940,
  [SMALL_STATE(4119)] = 145952,
  [SMALL_STATE(4120)] = 145972,
  [SMALL_STATE(4121)] = 145988,
  [SMALL_STATE(4122)] = 146000,
  [SMALL_STATE(4123)] = 146012,
  [SMALL_STATE(4124)] = 146024,
  [SMALL_STATE(4125)] = 146036,
  [SMALL_STATE(4126)] = 146048,
  [SMALL_STATE(4127)] = 146066,
  [SMALL_STATE(4128)] = 146086,
  [SMALL_STATE(4129)] = 146098,
  [SMALL_STATE(4130)] = 146110,
  [SMALL_STATE(4131)] = 146126,
  [SMALL_STATE(4132)] = 146138,
  [SMALL_STATE(4133)] = 146156,
  [SMALL_STATE(4134)] = 146168,
  [SMALL_STATE(4135)] = 146180,
  [SMALL_STATE(4136)] = 146196,
  [SMALL_STATE(4137)] = 146214,
  [SMALL_STATE(4138)] = 146234,
  [SMALL_STATE(4139)] = 146250,
  [SMALL_STATE(4140)] = 146262,
  [SMALL_STATE(4141)] = 146280,
  [SMALL_STATE(4142)] = 146300,
  [SMALL_STATE(4143)] = 146312,
  [SMALL_STATE(4144)] = 146324,
  [SMALL_STATE(4145)] = 146340,
  [SMALL_STATE(4146)] = 146360,
  [SMALL_STATE(4147)] = 146380,
  [SMALL_STATE(4148)] = 146392,
  [SMALL_STATE(4149)] = 146410,
  [SMALL_STATE(4150)] = 146430,
  [SMALL_STATE(4151)] = 146450,
  [SMALL_STATE(4152)] = 146468,
  [SMALL_STATE(4153)] = 146480,
  [SMALL_STATE(4154)] = 146492,
  [SMALL_STATE(4155)] = 146512,
  [SMALL_STATE(4156)] = 146524,
  [SMALL_STATE(4157)] = 146536,
  [SMALL_STATE(4158)] = 146548,
  [SMALL_STATE(4159)] = 146560,
  [SMALL_STATE(4160)] = 146572,
  [SMALL_STATE(4161)] = 146584,
  [SMALL_STATE(4162)] = 146604,
  [SMALL_STATE(4163)] = 146616,
  [SMALL_STATE(4164)] = 146628,
  [SMALL_STATE(4165)] = 146640,
  [SMALL_STATE(4166)] = 146658,
  [SMALL_STATE(4167)] = 146670,
  [SMALL_STATE(4168)] = 146682,
  [SMALL_STATE(4169)] = 146694,
  [SMALL_STATE(4170)] = 146706,
  [SMALL_STATE(4171)] = 146718,
  [SMALL_STATE(4172)] = 146734,
  [SMALL_STATE(4173)] = 146750,
  [SMALL_STATE(4174)] = 146766,
  [SMALL_STATE(4175)] = 146786,
  [SMALL_STATE(4176)] = 146806,
  [SMALL_STATE(4177)] = 146818,
  [SMALL_STATE(4178)] = 146834,
  [SMALL_STATE(4179)] = 146852,
  [SMALL_STATE(4180)] = 146868,
  [SMALL_STATE(4181)] = 146886,
  [SMALL_STATE(4182)] = 146902,
  [SMALL_STATE(4183)] = 146922,
  [SMALL_STATE(4184)] = 146934,
  [SMALL_STATE(4185)] = 146946,
  [SMALL_STATE(4186)] = 146958,
  [SMALL_STATE(4187)] = 146970,
  [SMALL_STATE(4188)] = 146982,
  [SMALL_STATE(4189)] = 146998,
  [SMALL_STATE(4190)] = 147014,
  [SMALL_STATE(4191)] = 147030,
  [SMALL_STATE(4192)] = 147046,
  [SMALL_STATE(4193)] = 147062,
  [SMALL_STATE(4194)] = 147078,
  [SMALL_STATE(4195)] = 147098,
  [SMALL_STATE(4196)] = 147114,
  [SMALL_STATE(4197)] = 147130,
  [SMALL_STATE(4198)] = 147146,
  [SMALL_STATE(4199)] = 147162,
  [SMALL_STATE(4200)] = 147178,
  [SMALL_STATE(4201)] = 147190,
  [SMALL_STATE(4202)] = 147206,
  [SMALL_STATE(4203)] = 147226,
  [SMALL_STATE(4204)] = 147246,
  [SMALL_STATE(4205)] = 147258,
  [SMALL_STATE(4206)] = 147270,
  [SMALL_STATE(4207)] = 147288,
  [SMALL_STATE(4208)] = 147308,
  [SMALL_STATE(4209)] = 147324,
  [SMALL_STATE(4210)] = 147336,
  [SMALL_STATE(4211)] = 147356,
  [SMALL_STATE(4212)] = 147372,
  [SMALL_STATE(4213)] = 147388,
  [SMALL_STATE(4214)] = 147404,
  [SMALL_STATE(4215)] = 147424,
  [SMALL_STATE(4216)] = 147438,
  [SMALL_STATE(4217)] = 147452,
  [SMALL_STATE(4218)] = 147472,
  [SMALL_STATE(4219)] = 147492,
  [SMALL_STATE(4220)] = 147508,
  [SMALL_STATE(4221)] = 147524,
  [SMALL_STATE(4222)] = 147544,
  [SMALL_STATE(4223)] = 147560,
  [SMALL_STATE(4224)] = 147576,
  [SMALL_STATE(4225)] = 147592,
  [SMALL_STATE(4226)] = 147612,
  [SMALL_STATE(4227)] = 147632,
  [SMALL_STATE(4228)] = 147648,
  [SMALL_STATE(4229)] = 147664,
  [SMALL_STATE(4230)] = 147680,
  [SMALL_STATE(4231)] = 147696,
  [SMALL_STATE(4232)] = 147712,
  [SMALL_STATE(4233)] = 147728,
  [SMALL_STATE(4234)] = 147744,
  [SMALL_STATE(4235)] = 147758,
  [SMALL_STATE(4236)] = 147772,
  [SMALL_STATE(4237)] = 147788,
  [SMALL_STATE(4238)] = 147804,
  [SMALL_STATE(4239)] = 147824,
  [SMALL_STATE(4240)] = 147844,
  [SMALL_STATE(4241)] = 147860,
  [SMALL_STATE(4242)] = 147880,
  [SMALL_STATE(4243)] = 147900,
  [SMALL_STATE(4244)] = 147914,
  [SMALL_STATE(4245)] = 147928,
  [SMALL_STATE(4246)] = 147944,
  [SMALL_STATE(4247)] = 147960,
  [SMALL_STATE(4248)] = 147976,
  [SMALL_STATE(4249)] = 147996,
  [SMALL_STATE(4250)] = 148012,
  [SMALL_STATE(4251)] = 148032,
  [SMALL_STATE(4252)] = 148052,
  [SMALL_STATE(4253)] = 148068,
  [SMALL_STATE(4254)] = 148084,
  [SMALL_STATE(4255)] = 148100,
  [SMALL_STATE(4256)] = 148116,
  [SMALL_STATE(4257)] = 148132,
  [SMALL_STATE(4258)] = 148152,
  [SMALL_STATE(4259)] = 148168,
  [SMALL_STATE(4260)] = 148184,
  [SMALL_STATE(4261)] = 148198,
  [SMALL_STATE(4262)] = 148212,
  [SMALL_STATE(4263)] = 148226,
  [SMALL_STATE(4264)] = 148240,
  [SMALL_STATE(4265)] = 148260,
  [SMALL_STATE(4266)] = 148274,
  [SMALL_STATE(4267)] = 148288,
  [SMALL_STATE(4268)] = 148304,
  [SMALL_STATE(4269)] = 148324,
  [SMALL_STATE(4270)] = 148340,
  [SMALL_STATE(4271)] = 148360,
  [SMALL_STATE(4272)] = 148380,
  [SMALL_STATE(4273)] = 148396,
  [SMALL_STATE(4274)] = 148416,
  [SMALL_STATE(4275)] = 148432,
  [SMALL_STATE(4276)] = 148446,
  [SMALL_STATE(4277)] = 148460,
  [SMALL_STATE(4278)] = 148476,
  [SMALL_STATE(4279)] = 148492,
  [SMALL_STATE(4280)] = 148508,
  [SMALL_STATE(4281)] = 148524,
  [SMALL_STATE(4282)] = 148540,
  [SMALL_STATE(4283)] = 148556,
  [SMALL_STATE(4284)] = 148572,
  [SMALL_STATE(4285)] = 148588,
  [SMALL_STATE(4286)] = 148604,
  [SMALL_STATE(4287)] = 148618,
  [SMALL_STATE(4288)] = 148630,
  [SMALL_STATE(4289)] = 148642,
  [SMALL_STATE(4290)] = 148658,
  [SMALL_STATE(4291)] = 148674,
  [SMALL_STATE(4292)] = 148690,
  [SMALL_STATE(4293)] = 148708,
  [SMALL_STATE(4294)] = 148722,
  [SMALL_STATE(4295)] = 148736,
  [SMALL_STATE(4296)] = 148752,
  [SMALL_STATE(4297)] = 148766,
  [SMALL_STATE(4298)] = 148782,
  [SMALL_STATE(4299)] = 148798,
  [SMALL_STATE(4300)] = 148814,
  [SMALL_STATE(4301)] = 148830,
  [SMALL_STATE(4302)] = 148842,
  [SMALL_STATE(4303)] = 148862,
  [SMALL_STATE(4304)] = 148874,
  [SMALL_STATE(4305)] = 148894,
  [SMALL_STATE(4306)] = 148908,
  [SMALL_STATE(4307)] = 148926,
  [SMALL_STATE(4308)] = 148938,
  [SMALL_STATE(4309)] = 148950,
  [SMALL_STATE(4310)] = 148966,
  [SMALL_STATE(4311)] = 148984,
  [SMALL_STATE(4312)] = 149004,
  [SMALL_STATE(4313)] = 149016,
  [SMALL_STATE(4314)] = 149028,
  [SMALL_STATE(4315)] = 149040,
  [SMALL_STATE(4316)] = 149060,
  [SMALL_STATE(4317)] = 149080,
  [SMALL_STATE(4318)] = 149092,
  [SMALL_STATE(4319)] = 149104,
  [SMALL_STATE(4320)] = 149120,
  [SMALL_STATE(4321)] = 149140,
  [SMALL_STATE(4322)] = 149160,
  [SMALL_STATE(4323)] = 149176,
  [SMALL_STATE(4324)] = 149192,
  [SMALL_STATE(4325)] = 149206,
  [SMALL_STATE(4326)] = 149220,
  [SMALL_STATE(4327)] = 149234,
  [SMALL_STATE(4328)] = 149248,
  [SMALL_STATE(4329)] = 149260,
  [SMALL_STATE(4330)] = 149280,
  [SMALL_STATE(4331)] = 149294,
  [SMALL_STATE(4332)] = 149308,
  [SMALL_STATE(4333)] = 149324,
  [SMALL_STATE(4334)] = 149340,
  [SMALL_STATE(4335)] = 149360,
  [SMALL_STATE(4336)] = 149376,
  [SMALL_STATE(4337)] = 149392,
  [SMALL_STATE(4338)] = 149408,
  [SMALL_STATE(4339)] = 149422,
  [SMALL_STATE(4340)] = 149436,
  [SMALL_STATE(4341)] = 149452,
  [SMALL_STATE(4342)] = 149468,
  [SMALL_STATE(4343)] = 149482,
  [SMALL_STATE(4344)] = 149496,
  [SMALL_STATE(4345)] = 149512,
  [SMALL_STATE(4346)] = 149528,
  [SMALL_STATE(4347)] = 149544,
  [SMALL_STATE(4348)] = 149560,
  [SMALL_STATE(4349)] = 149580,
  [SMALL_STATE(4350)] = 149596,
  [SMALL_STATE(4351)] = 149612,
  [SMALL_STATE(4352)] = 149628,
  [SMALL_STATE(4353)] = 149648,
  [SMALL_STATE(4354)] = 149660,
  [SMALL_STATE(4355)] = 149672,
  [SMALL_STATE(4356)] = 149686,
  [SMALL_STATE(4357)] = 149700,
  [SMALL_STATE(4358)] = 149714,
  [SMALL_STATE(4359)] = 149728,
  [SMALL_STATE(4360)] = 149742,
  [SMALL_STATE(4361)] = 149756,
  [SMALL_STATE(4362)] = 149774,
  [SMALL_STATE(4363)] = 149786,
  [SMALL_STATE(4364)] = 149802,
  [SMALL_STATE(4365)] = 149814,
  [SMALL_STATE(4366)] = 149830,
  [SMALL_STATE(4367)] = 149844,
  [SMALL_STATE(4368)] = 149864,
  [SMALL_STATE(4369)] = 149884,
  [SMALL_STATE(4370)] = 149898,
  [SMALL_STATE(4371)] = 149910,
  [SMALL_STATE(4372)] = 149930,
  [SMALL_STATE(4373)] = 149942,
  [SMALL_STATE(4374)] = 149958,
  [SMALL_STATE(4375)] = 149974,
  [SMALL_STATE(4376)] = 149990,
  [SMALL_STATE(4377)] = 150006,
  [SMALL_STATE(4378)] = 150026,
  [SMALL_STATE(4379)] = 150042,
  [SMALL_STATE(4380)] = 150056,
  [SMALL_STATE(4381)] = 150070,
  [SMALL_STATE(4382)] = 150086,
  [SMALL_STATE(4383)] = 150106,
  [SMALL_STATE(4384)] = 150122,
  [SMALL_STATE(4385)] = 150138,
  [SMALL_STATE(4386)] = 150154,
  [SMALL_STATE(4387)] = 150170,
  [SMALL_STATE(4388)] = 150186,
  [SMALL_STATE(4389)] = 150202,
  [SMALL_STATE(4390)] = 150218,
  [SMALL_STATE(4391)] = 150234,
  [SMALL_STATE(4392)] = 150250,
  [SMALL_STATE(4393)] = 150266,
  [SMALL_STATE(4394)] = 150286,
  [SMALL_STATE(4395)] = 150298,
  [SMALL_STATE(4396)] = 150314,
  [SMALL_STATE(4397)] = 150330,
  [SMALL_STATE(4398)] = 150350,
  [SMALL_STATE(4399)] = 150362,
  [SMALL_STATE(4400)] = 150382,
  [SMALL_STATE(4401)] = 150394,
  [SMALL_STATE(4402)] = 150410,
  [SMALL_STATE(4403)] = 150426,
  [SMALL_STATE(4404)] = 150438,
  [SMALL_STATE(4405)] = 150450,
  [SMALL_STATE(4406)] = 150466,
  [SMALL_STATE(4407)] = 150486,
  [SMALL_STATE(4408)] = 150502,
  [SMALL_STATE(4409)] = 150518,
  [SMALL_STATE(4410)] = 150534,
  [SMALL_STATE(4411)] = 150546,
  [SMALL_STATE(4412)] = 150558,
  [SMALL_STATE(4413)] = 150574,
  [SMALL_STATE(4414)] = 150590,
  [SMALL_STATE(4415)] = 150606,
  [SMALL_STATE(4416)] = 150622,
  [SMALL_STATE(4417)] = 150634,
  [SMALL_STATE(4418)] = 150650,
  [SMALL_STATE(4419)] = 150662,
  [SMALL_STATE(4420)] = 150682,
  [SMALL_STATE(4421)] = 150694,
  [SMALL_STATE(4422)] = 150706,
  [SMALL_STATE(4423)] = 150718,
  [SMALL_STATE(4424)] = 150734,
  [SMALL_STATE(4425)] = 150746,
  [SMALL_STATE(4426)] = 150758,
  [SMALL_STATE(4427)] = 150778,
  [SMALL_STATE(4428)] = 150794,
  [SMALL_STATE(4429)] = 150814,
  [SMALL_STATE(4430)] = 150826,
  [SMALL_STATE(4431)] = 150838,
  [SMALL_STATE(4432)] = 150850,
  [SMALL_STATE(4433)] = 150862,
  [SMALL_STATE(4434)] = 150874,
  [SMALL_STATE(4435)] = 150890,
  [SMALL_STATE(4436)] = 150910,
  [SMALL_STATE(4437)] = 150926,
  [SMALL_STATE(4438)] = 150942,
  [SMALL_STATE(4439)] = 150954,
  [SMALL_STATE(4440)] = 150966,
  [SMALL_STATE(4441)] = 150978,
  [SMALL_STATE(4442)] = 150990,
  [SMALL_STATE(4443)] = 151006,
  [SMALL_STATE(4444)] = 151018,
  [SMALL_STATE(4445)] = 151030,
  [SMALL_STATE(4446)] = 151046,
  [SMALL_STATE(4447)] = 151058,
  [SMALL_STATE(4448)] = 151070,
  [SMALL_STATE(4449)] = 151086,
  [SMALL_STATE(4450)] = 151102,
  [SMALL_STATE(4451)] = 151122,
  [SMALL_STATE(4452)] = 151140,
  [SMALL_STATE(4453)] = 151160,
  [SMALL_STATE(4454)] = 151176,
  [SMALL_STATE(4455)] = 151188,
  [SMALL_STATE(4456)] = 151204,
  [SMALL_STATE(4457)] = 151216,
  [SMALL_STATE(4458)] = 151228,
  [SMALL_STATE(4459)] = 151244,
  [SMALL_STATE(4460)] = 151260,
  [SMALL_STATE(4461)] = 151276,
  [SMALL_STATE(4462)] = 151292,
  [SMALL_STATE(4463)] = 151308,
  [SMALL_STATE(4464)] = 151324,
  [SMALL_STATE(4465)] = 151338,
  [SMALL_STATE(4466)] = 151356,
  [SMALL_STATE(4467)] = 151374,
  [SMALL_STATE(4468)] = 151390,
  [SMALL_STATE(4469)] = 151407,
  [SMALL_STATE(4470)] = 151422,
  [SMALL_STATE(4471)] = 151437,
  [SMALL_STATE(4472)] = 151452,
  [SMALL_STATE(4473)] = 151469,
  [SMALL_STATE(4474)] = 151486,
  [SMALL_STATE(4475)] = 151503,
  [SMALL_STATE(4476)] = 151520,
  [SMALL_STATE(4477)] = 151537,
  [SMALL_STATE(4478)] = 151552,
  [SMALL_STATE(4479)] = 151569,
  [SMALL_STATE(4480)] = 151586,
  [SMALL_STATE(4481)] = 151605,
  [SMALL_STATE(4482)] = 151622,
  [SMALL_STATE(4483)] = 151639,
  [SMALL_STATE(4484)] = 151656,
  [SMALL_STATE(4485)] = 151673,
  [SMALL_STATE(4486)] = 151686,
  [SMALL_STATE(4487)] = 151703,
  [SMALL_STATE(4488)] = 151720,
  [SMALL_STATE(4489)] = 151733,
  [SMALL_STATE(4490)] = 151750,
  [SMALL_STATE(4491)] = 151763,
  [SMALL_STATE(4492)] = 151778,
  [SMALL_STATE(4493)] = 151795,
  [SMALL_STATE(4494)] = 151814,
  [SMALL_STATE(4495)] = 151831,
  [SMALL_STATE(4496)] = 151846,
  [SMALL_STATE(4497)] = 151861,
  [SMALL_STATE(4498)] = 151878,
  [SMALL_STATE(4499)] = 151895,
  [SMALL_STATE(4500)] = 151912,
  [SMALL_STATE(4501)] = 151927,
  [SMALL_STATE(4502)] = 151944,
  [SMALL_STATE(4503)] = 151961,
  [SMALL_STATE(4504)] = 151978,
  [SMALL_STATE(4505)] = 151993,
  [SMALL_STATE(4506)] = 152010,
  [SMALL_STATE(4507)] = 152023,
  [SMALL_STATE(4508)] = 152036,
  [SMALL_STATE(4509)] = 152053,
  [SMALL_STATE(4510)] = 152068,
  [SMALL_STATE(4511)] = 152085,
  [SMALL_STATE(4512)] = 152102,
  [SMALL_STATE(4513)] = 152119,
  [SMALL_STATE(4514)] = 152136,
  [SMALL_STATE(4515)] = 152153,
  [SMALL_STATE(4516)] = 152170,
  [SMALL_STATE(4517)] = 152185,
  [SMALL_STATE(4518)] = 152202,
  [SMALL_STATE(4519)] = 152217,
  [SMALL_STATE(4520)] = 152232,
  [SMALL_STATE(4521)] = 152247,
  [SMALL_STATE(4522)] = 152258,
  [SMALL_STATE(4523)] = 152275,
  [SMALL_STATE(4524)] = 152292,
  [SMALL_STATE(4525)] = 152309,
  [SMALL_STATE(4526)] = 152326,
  [SMALL_STATE(4527)] = 152343,
  [SMALL_STATE(4528)] = 152360,
  [SMALL_STATE(4529)] = 152375,
  [SMALL_STATE(4530)] = 152392,
  [SMALL_STATE(4531)] = 152409,
  [SMALL_STATE(4532)] = 152426,
  [SMALL_STATE(4533)] = 152443,
  [SMALL_STATE(4534)] = 152462,
  [SMALL_STATE(4535)] = 152481,
  [SMALL_STATE(4536)] = 152498,
  [SMALL_STATE(4537)] = 152515,
  [SMALL_STATE(4538)] = 152532,
  [SMALL_STATE(4539)] = 152549,
  [SMALL_STATE(4540)] = 152566,
  [SMALL_STATE(4541)] = 152583,
  [SMALL_STATE(4542)] = 152600,
  [SMALL_STATE(4543)] = 152617,
  [SMALL_STATE(4544)] = 152634,
  [SMALL_STATE(4545)] = 152649,
  [SMALL_STATE(4546)] = 152666,
  [SMALL_STATE(4547)] = 152681,
  [SMALL_STATE(4548)] = 152696,
  [SMALL_STATE(4549)] = 152713,
  [SMALL_STATE(4550)] = 152730,
  [SMALL_STATE(4551)] = 152747,
  [SMALL_STATE(4552)] = 152764,
  [SMALL_STATE(4553)] = 152781,
  [SMALL_STATE(4554)] = 152798,
  [SMALL_STATE(4555)] = 152815,
  [SMALL_STATE(4556)] = 152832,
  [SMALL_STATE(4557)] = 152849,
  [SMALL_STATE(4558)] = 152866,
  [SMALL_STATE(4559)] = 152881,
  [SMALL_STATE(4560)] = 152896,
  [SMALL_STATE(4561)] = 152913,
  [SMALL_STATE(4562)] = 152930,
  [SMALL_STATE(4563)] = 152947,
  [SMALL_STATE(4564)] = 152964,
  [SMALL_STATE(4565)] = 152981,
  [SMALL_STATE(4566)] = 152992,
  [SMALL_STATE(4567)] = 153003,
  [SMALL_STATE(4568)] = 153020,
  [SMALL_STATE(4569)] = 153035,
  [SMALL_STATE(4570)] = 153052,
  [SMALL_STATE(4571)] = 153069,
  [SMALL_STATE(4572)] = 153086,
  [SMALL_STATE(4573)] = 153101,
  [SMALL_STATE(4574)] = 153118,
  [SMALL_STATE(4575)] = 153135,
  [SMALL_STATE(4576)] = 153152,
  [SMALL_STATE(4577)] = 153169,
  [SMALL_STATE(4578)] = 153186,
  [SMALL_STATE(4579)] = 153203,
  [SMALL_STATE(4580)] = 153216,
  [SMALL_STATE(4581)] = 153231,
  [SMALL_STATE(4582)] = 153248,
  [SMALL_STATE(4583)] = 153265,
  [SMALL_STATE(4584)] = 153282,
  [SMALL_STATE(4585)] = 153299,
  [SMALL_STATE(4586)] = 153316,
  [SMALL_STATE(4587)] = 153333,
  [SMALL_STATE(4588)] = 153350,
  [SMALL_STATE(4589)] = 153367,
  [SMALL_STATE(4590)] = 153384,
  [SMALL_STATE(4591)] = 153401,
  [SMALL_STATE(4592)] = 153416,
  [SMALL_STATE(4593)] = 153431,
  [SMALL_STATE(4594)] = 153448,
  [SMALL_STATE(4595)] = 153465,
  [SMALL_STATE(4596)] = 153482,
  [SMALL_STATE(4597)] = 153493,
  [SMALL_STATE(4598)] = 153510,
  [SMALL_STATE(4599)] = 153527,
  [SMALL_STATE(4600)] = 153544,
  [SMALL_STATE(4601)] = 153561,
  [SMALL_STATE(4602)] = 153578,
  [SMALL_STATE(4603)] = 153593,
  [SMALL_STATE(4604)] = 153610,
  [SMALL_STATE(4605)] = 153627,
  [SMALL_STATE(4606)] = 153646,
  [SMALL_STATE(4607)] = 153665,
  [SMALL_STATE(4608)] = 153680,
  [SMALL_STATE(4609)] = 153695,
  [SMALL_STATE(4610)] = 153712,
  [SMALL_STATE(4611)] = 153729,
  [SMALL_STATE(4612)] = 153746,
  [SMALL_STATE(4613)] = 153756,
  [SMALL_STATE(4614)] = 153768,
  [SMALL_STATE(4615)] = 153778,
  [SMALL_STATE(4616)] = 153792,
  [SMALL_STATE(4617)] = 153806,
  [SMALL_STATE(4618)] = 153820,
  [SMALL_STATE(4619)] = 153834,
  [SMALL_STATE(4620)] = 153848,
  [SMALL_STATE(4621)] = 153858,
  [SMALL_STATE(4622)] = 153872,
  [SMALL_STATE(4623)] = 153882,
  [SMALL_STATE(4624)] = 153896,
  [SMALL_STATE(4625)] = 153910,
  [SMALL_STATE(4626)] = 153924,
  [SMALL_STATE(4627)] = 153934,
  [SMALL_STATE(4628)] = 153944,
  [SMALL_STATE(4629)] = 153954,
  [SMALL_STATE(4630)] = 153968,
  [SMALL_STATE(4631)] = 153978,
  [SMALL_STATE(4632)] = 153988,
  [SMALL_STATE(4633)] = 153998,
  [SMALL_STATE(4634)] = 154012,
  [SMALL_STATE(4635)] = 154022,
  [SMALL_STATE(4636)] = 154036,
  [SMALL_STATE(4637)] = 154050,
  [SMALL_STATE(4638)] = 154064,
  [SMALL_STATE(4639)] = 154074,
  [SMALL_STATE(4640)] = 154084,
  [SMALL_STATE(4641)] = 154094,
  [SMALL_STATE(4642)] = 154108,
  [SMALL_STATE(4643)] = 154118,
  [SMALL_STATE(4644)] = 154128,
  [SMALL_STATE(4645)] = 154138,
  [SMALL_STATE(4646)] = 154152,
  [SMALL_STATE(4647)] = 154166,
  [SMALL_STATE(4648)] = 154180,
  [SMALL_STATE(4649)] = 154194,
  [SMALL_STATE(4650)] = 154204,
  [SMALL_STATE(4651)] = 154218,
  [SMALL_STATE(4652)] = 154234,
  [SMALL_STATE(4653)] = 154248,
  [SMALL_STATE(4654)] = 154258,
  [SMALL_STATE(4655)] = 154268,
  [SMALL_STATE(4656)] = 154278,
  [SMALL_STATE(4657)] = 154292,
  [SMALL_STATE(4658)] = 154302,
  [SMALL_STATE(4659)] = 154316,
  [SMALL_STATE(4660)] = 154326,
  [SMALL_STATE(4661)] = 154336,
  [SMALL_STATE(4662)] = 154346,
  [SMALL_STATE(4663)] = 154360,
  [SMALL_STATE(4664)] = 154374,
  [SMALL_STATE(4665)] = 154384,
  [SMALL_STATE(4666)] = 154396,
  [SMALL_STATE(4667)] = 154406,
  [SMALL_STATE(4668)] = 154418,
  [SMALL_STATE(4669)] = 154432,
  [SMALL_STATE(4670)] = 154442,
  [SMALL_STATE(4671)] = 154456,
  [SMALL_STATE(4672)] = 154470,
  [SMALL_STATE(4673)] = 154480,
  [SMALL_STATE(4674)] = 154494,
  [SMALL_STATE(4675)] = 154504,
  [SMALL_STATE(4676)] = 154514,
  [SMALL_STATE(4677)] = 154524,
  [SMALL_STATE(4678)] = 154538,
  [SMALL_STATE(4679)] = 154552,
  [SMALL_STATE(4680)] = 154566,
  [SMALL_STATE(4681)] = 154580,
  [SMALL_STATE(4682)] = 154594,
  [SMALL_STATE(4683)] = 154608,
  [SMALL_STATE(4684)] = 154618,
  [SMALL_STATE(4685)] = 154628,
  [SMALL_STATE(4686)] = 154642,
  [SMALL_STATE(4687)] = 154656,
  [SMALL_STATE(4688)] = 154670,
  [SMALL_STATE(4689)] = 154684,
  [SMALL_STATE(4690)] = 154698,
  [SMALL_STATE(4691)] = 154712,
  [SMALL_STATE(4692)] = 154722,
  [SMALL_STATE(4693)] = 154736,
  [SMALL_STATE(4694)] = 154750,
  [SMALL_STATE(4695)] = 154760,
  [SMALL_STATE(4696)] = 154774,
  [SMALL_STATE(4697)] = 154788,
  [SMALL_STATE(4698)] = 154798,
  [SMALL_STATE(4699)] = 154808,
  [SMALL_STATE(4700)] = 154822,
  [SMALL_STATE(4701)] = 154836,
  [SMALL_STATE(4702)] = 154846,
  [SMALL_STATE(4703)] = 154856,
  [SMALL_STATE(4704)] = 154866,
  [SMALL_STATE(4705)] = 154876,
  [SMALL_STATE(4706)] = 154890,
  [SMALL_STATE(4707)] = 154904,
  [SMALL_STATE(4708)] = 154914,
  [SMALL_STATE(4709)] = 154924,
  [SMALL_STATE(4710)] = 154934,
  [SMALL_STATE(4711)] = 154944,
  [SMALL_STATE(4712)] = 154954,
  [SMALL_STATE(4713)] = 154964,
  [SMALL_STATE(4714)] = 154978,
  [SMALL_STATE(4715)] = 154988,
  [SMALL_STATE(4716)] = 155002,
  [SMALL_STATE(4717)] = 155016,
  [SMALL_STATE(4718)] = 155026,
  [SMALL_STATE(4719)] = 155038,
  [SMALL_STATE(4720)] = 155048,
  [SMALL_STATE(4721)] = 155058,
  [SMALL_STATE(4722)] = 155072,
  [SMALL_STATE(4723)] = 155082,
  [SMALL_STATE(4724)] = 155096,
  [SMALL_STATE(4725)] = 155106,
  [SMALL_STATE(4726)] = 155116,
  [SMALL_STATE(4727)] = 155126,
  [SMALL_STATE(4728)] = 155136,
  [SMALL_STATE(4729)] = 155146,
  [SMALL_STATE(4730)] = 155156,
  [SMALL_STATE(4731)] = 155170,
  [SMALL_STATE(4732)] = 155182,
  [SMALL_STATE(4733)] = 155192,
  [SMALL_STATE(4734)] = 155202,
  [SMALL_STATE(4735)] = 155212,
  [SMALL_STATE(4736)] = 155222,
  [SMALL_STATE(4737)] = 155236,
  [SMALL_STATE(4738)] = 155250,
  [SMALL_STATE(4739)] = 155260,
  [SMALL_STATE(4740)] = 155270,
  [SMALL_STATE(4741)] = 155280,
  [SMALL_STATE(4742)] = 155290,
  [SMALL_STATE(4743)] = 155304,
  [SMALL_STATE(4744)] = 155314,
  [SMALL_STATE(4745)] = 155324,
  [SMALL_STATE(4746)] = 155334,
  [SMALL_STATE(4747)] = 155344,
  [SMALL_STATE(4748)] = 155358,
  [SMALL_STATE(4749)] = 155370,
  [SMALL_STATE(4750)] = 155384,
  [SMALL_STATE(4751)] = 155398,
  [SMALL_STATE(4752)] = 155410,
  [SMALL_STATE(4753)] = 155420,
  [SMALL_STATE(4754)] = 155430,
  [SMALL_STATE(4755)] = 155440,
  [SMALL_STATE(4756)] = 155450,
  [SMALL_STATE(4757)] = 155464,
  [SMALL_STATE(4758)] = 155474,
  [SMALL_STATE(4759)] = 155484,
  [SMALL_STATE(4760)] = 155494,
  [SMALL_STATE(4761)] = 155508,
  [SMALL_STATE(4762)] = 155518,
  [SMALL_STATE(4763)] = 155532,
  [SMALL_STATE(4764)] = 155542,
  [SMALL_STATE(4765)] = 155556,
  [SMALL_STATE(4766)] = 155570,
  [SMALL_STATE(4767)] = 155580,
  [SMALL_STATE(4768)] = 155590,
  [SMALL_STATE(4769)] = 155600,
  [SMALL_STATE(4770)] = 155610,
  [SMALL_STATE(4771)] = 155620,
  [SMALL_STATE(4772)] = 155630,
  [SMALL_STATE(4773)] = 155640,
  [SMALL_STATE(4774)] = 155650,
  [SMALL_STATE(4775)] = 155660,
  [SMALL_STATE(4776)] = 155670,
  [SMALL_STATE(4777)] = 155680,
  [SMALL_STATE(4778)] = 155694,
  [SMALL_STATE(4779)] = 155704,
  [SMALL_STATE(4780)] = 155714,
  [SMALL_STATE(4781)] = 155724,
  [SMALL_STATE(4782)] = 155734,
  [SMALL_STATE(4783)] = 155744,
  [SMALL_STATE(4784)] = 155754,
  [SMALL_STATE(4785)] = 155764,
  [SMALL_STATE(4786)] = 155774,
  [SMALL_STATE(4787)] = 155784,
  [SMALL_STATE(4788)] = 155794,
  [SMALL_STATE(4789)] = 155804,
  [SMALL_STATE(4790)] = 155814,
  [SMALL_STATE(4791)] = 155824,
  [SMALL_STATE(4792)] = 155838,
  [SMALL_STATE(4793)] = 155848,
  [SMALL_STATE(4794)] = 155858,
  [SMALL_STATE(4795)] = 155872,
  [SMALL_STATE(4796)] = 155882,
  [SMALL_STATE(4797)] = 155892,
  [SMALL_STATE(4798)] = 155906,
  [SMALL_STATE(4799)] = 155916,
  [SMALL_STATE(4800)] = 155926,
  [SMALL_STATE(4801)] = 155936,
  [SMALL_STATE(4802)] = 155950,
  [SMALL_STATE(4803)] = 155964,
  [SMALL_STATE(4804)] = 155978,
  [SMALL_STATE(4805)] = 155988,
  [SMALL_STATE(4806)] = 155998,
  [SMALL_STATE(4807)] = 156008,
  [SMALL_STATE(4808)] = 156018,
  [SMALL_STATE(4809)] = 156028,
  [SMALL_STATE(4810)] = 156038,
  [SMALL_STATE(4811)] = 156048,
  [SMALL_STATE(4812)] = 156058,
  [SMALL_STATE(4813)] = 156068,
  [SMALL_STATE(4814)] = 156078,
  [SMALL_STATE(4815)] = 156088,
  [SMALL_STATE(4816)] = 156098,
  [SMALL_STATE(4817)] = 156112,
  [SMALL_STATE(4818)] = 156122,
  [SMALL_STATE(4819)] = 156132,
  [SMALL_STATE(4820)] = 156142,
  [SMALL_STATE(4821)] = 156152,
  [SMALL_STATE(4822)] = 156162,
  [SMALL_STATE(4823)] = 156172,
  [SMALL_STATE(4824)] = 156182,
  [SMALL_STATE(4825)] = 156192,
  [SMALL_STATE(4826)] = 156202,
  [SMALL_STATE(4827)] = 156212,
  [SMALL_STATE(4828)] = 156224,
  [SMALL_STATE(4829)] = 156234,
  [SMALL_STATE(4830)] = 156248,
  [SMALL_STATE(4831)] = 156262,
  [SMALL_STATE(4832)] = 156276,
  [SMALL_STATE(4833)] = 156286,
  [SMALL_STATE(4834)] = 156296,
  [SMALL_STATE(4835)] = 156310,
  [SMALL_STATE(4836)] = 156320,
  [SMALL_STATE(4837)] = 156330,
  [SMALL_STATE(4838)] = 156340,
  [SMALL_STATE(4839)] = 156350,
  [SMALL_STATE(4840)] = 156360,
  [SMALL_STATE(4841)] = 156370,
  [SMALL_STATE(4842)] = 156384,
  [SMALL_STATE(4843)] = 156394,
  [SMALL_STATE(4844)] = 156406,
  [SMALL_STATE(4845)] = 156420,
  [SMALL_STATE(4846)] = 156430,
  [SMALL_STATE(4847)] = 156440,
  [SMALL_STATE(4848)] = 156450,
  [SMALL_STATE(4849)] = 156460,
  [SMALL_STATE(4850)] = 156470,
  [SMALL_STATE(4851)] = 156480,
  [SMALL_STATE(4852)] = 156490,
  [SMALL_STATE(4853)] = 156500,
  [SMALL_STATE(4854)] = 156510,
  [SMALL_STATE(4855)] = 156524,
  [SMALL_STATE(4856)] = 156534,
  [SMALL_STATE(4857)] = 156544,
  [SMALL_STATE(4858)] = 156554,
  [SMALL_STATE(4859)] = 156564,
  [SMALL_STATE(4860)] = 156574,
  [SMALL_STATE(4861)] = 156584,
  [SMALL_STATE(4862)] = 156594,
  [SMALL_STATE(4863)] = 156604,
  [SMALL_STATE(4864)] = 156614,
  [SMALL_STATE(4865)] = 156624,
  [SMALL_STATE(4866)] = 156634,
  [SMALL_STATE(4867)] = 156648,
  [SMALL_STATE(4868)] = 156658,
  [SMALL_STATE(4869)] = 156672,
  [SMALL_STATE(4870)] = 156682,
  [SMALL_STATE(4871)] = 156696,
  [SMALL_STATE(4872)] = 156706,
  [SMALL_STATE(4873)] = 156720,
  [SMALL_STATE(4874)] = 156730,
  [SMALL_STATE(4875)] = 156740,
  [SMALL_STATE(4876)] = 156754,
  [SMALL_STATE(4877)] = 156768,
  [SMALL_STATE(4878)] = 156778,
  [SMALL_STATE(4879)] = 156788,
  [SMALL_STATE(4880)] = 156802,
  [SMALL_STATE(4881)] = 156812,
  [SMALL_STATE(4882)] = 156822,
  [SMALL_STATE(4883)] = 156832,
  [SMALL_STATE(4884)] = 156842,
  [SMALL_STATE(4885)] = 156852,
  [SMALL_STATE(4886)] = 156862,
  [SMALL_STATE(4887)] = 156872,
  [SMALL_STATE(4888)] = 156882,
  [SMALL_STATE(4889)] = 156892,
  [SMALL_STATE(4890)] = 156902,
  [SMALL_STATE(4891)] = 156912,
  [SMALL_STATE(4892)] = 156922,
  [SMALL_STATE(4893)] = 156932,
  [SMALL_STATE(4894)] = 156942,
  [SMALL_STATE(4895)] = 156952,
  [SMALL_STATE(4896)] = 156966,
  [SMALL_STATE(4897)] = 156976,
  [SMALL_STATE(4898)] = 156990,
  [SMALL_STATE(4899)] = 157004,
  [SMALL_STATE(4900)] = 157016,
  [SMALL_STATE(4901)] = 157030,
  [SMALL_STATE(4902)] = 157040,
  [SMALL_STATE(4903)] = 157052,
  [SMALL_STATE(4904)] = 157066,
  [SMALL_STATE(4905)] = 157080,
  [SMALL_STATE(4906)] = 157094,
  [SMALL_STATE(4907)] = 157108,
  [SMALL_STATE(4908)] = 157122,
  [SMALL_STATE(4909)] = 157132,
  [SMALL_STATE(4910)] = 157146,
  [SMALL_STATE(4911)] = 157156,
  [SMALL_STATE(4912)] = 157166,
  [SMALL_STATE(4913)] = 157180,
  [SMALL_STATE(4914)] = 157190,
  [SMALL_STATE(4915)] = 157206,
  [SMALL_STATE(4916)] = 157216,
  [SMALL_STATE(4917)] = 157226,
  [SMALL_STATE(4918)] = 157236,
  [SMALL_STATE(4919)] = 157246,
  [SMALL_STATE(4920)] = 157256,
  [SMALL_STATE(4921)] = 157266,
  [SMALL_STATE(4922)] = 157276,
  [SMALL_STATE(4923)] = 157290,
  [SMALL_STATE(4924)] = 157300,
  [SMALL_STATE(4925)] = 157310,
  [SMALL_STATE(4926)] = 157324,
  [SMALL_STATE(4927)] = 157334,
  [SMALL_STATE(4928)] = 157344,
  [SMALL_STATE(4929)] = 157354,
  [SMALL_STATE(4930)] = 157368,
  [SMALL_STATE(4931)] = 157382,
  [SMALL_STATE(4932)] = 157392,
  [SMALL_STATE(4933)] = 157404,
  [SMALL_STATE(4934)] = 157418,
  [SMALL_STATE(4935)] = 157432,
  [SMALL_STATE(4936)] = 157446,
  [SMALL_STATE(4937)] = 157456,
  [SMALL_STATE(4938)] = 157468,
  [SMALL_STATE(4939)] = 157482,
  [SMALL_STATE(4940)] = 157494,
  [SMALL_STATE(4941)] = 157508,
  [SMALL_STATE(4942)] = 157518,
  [SMALL_STATE(4943)] = 157532,
  [SMALL_STATE(4944)] = 157542,
  [SMALL_STATE(4945)] = 157552,
  [SMALL_STATE(4946)] = 157562,
  [SMALL_STATE(4947)] = 157572,
  [SMALL_STATE(4948)] = 157582,
  [SMALL_STATE(4949)] = 157592,
  [SMALL_STATE(4950)] = 157602,
  [SMALL_STATE(4951)] = 157612,
  [SMALL_STATE(4952)] = 157622,
  [SMALL_STATE(4953)] = 157632,
  [SMALL_STATE(4954)] = 157642,
  [SMALL_STATE(4955)] = 157652,
  [SMALL_STATE(4956)] = 157662,
  [SMALL_STATE(4957)] = 157672,
  [SMALL_STATE(4958)] = 157686,
  [SMALL_STATE(4959)] = 157696,
  [SMALL_STATE(4960)] = 157706,
  [SMALL_STATE(4961)] = 157716,
  [SMALL_STATE(4962)] = 157726,
  [SMALL_STATE(4963)] = 157736,
  [SMALL_STATE(4964)] = 157746,
  [SMALL_STATE(4965)] = 157756,
  [SMALL_STATE(4966)] = 157766,
  [SMALL_STATE(4967)] = 157776,
  [SMALL_STATE(4968)] = 157786,
  [SMALL_STATE(4969)] = 157796,
  [SMALL_STATE(4970)] = 157806,
  [SMALL_STATE(4971)] = 157816,
  [SMALL_STATE(4972)] = 157826,
  [SMALL_STATE(4973)] = 157836,
  [SMALL_STATE(4974)] = 157846,
  [SMALL_STATE(4975)] = 157856,
  [SMALL_STATE(4976)] = 157866,
  [SMALL_STATE(4977)] = 157876,
  [SMALL_STATE(4978)] = 157890,
  [SMALL_STATE(4979)] = 157900,
  [SMALL_STATE(4980)] = 157910,
  [SMALL_STATE(4981)] = 157920,
  [SMALL_STATE(4982)] = 157930,
  [SMALL_STATE(4983)] = 157940,
  [SMALL_STATE(4984)] = 157954,
  [SMALL_STATE(4985)] = 157966,
  [SMALL_STATE(4986)] = 157976,
  [SMALL_STATE(4987)] = 157990,
  [SMALL_STATE(4988)] = 158000,
  [SMALL_STATE(4989)] = 158010,
  [SMALL_STATE(4990)] = 158020,
  [SMALL_STATE(4991)] = 158030,
  [SMALL_STATE(4992)] = 158040,
  [SMALL_STATE(4993)] = 158050,
  [SMALL_STATE(4994)] = 158060,
  [SMALL_STATE(4995)] = 158070,
  [SMALL_STATE(4996)] = 158080,
  [SMALL_STATE(4997)] = 158090,
  [SMALL_STATE(4998)] = 158100,
  [SMALL_STATE(4999)] = 158110,
  [SMALL_STATE(5000)] = 158120,
  [SMALL_STATE(5001)] = 158130,
  [SMALL_STATE(5002)] = 158142,
  [SMALL_STATE(5003)] = 158156,
  [SMALL_STATE(5004)] = 158166,
  [SMALL_STATE(5005)] = 158176,
  [SMALL_STATE(5006)] = 158190,
  [SMALL_STATE(5007)] = 158204,
  [SMALL_STATE(5008)] = 158214,
  [SMALL_STATE(5009)] = 158224,
  [SMALL_STATE(5010)] = 158234,
  [SMALL_STATE(5011)] = 158244,
  [SMALL_STATE(5012)] = 158254,
  [SMALL_STATE(5013)] = 158264,
  [SMALL_STATE(5014)] = 158278,
  [SMALL_STATE(5015)] = 158288,
  [SMALL_STATE(5016)] = 158298,
  [SMALL_STATE(5017)] = 158308,
  [SMALL_STATE(5018)] = 158318,
  [SMALL_STATE(5019)] = 158328,
  [SMALL_STATE(5020)] = 158342,
  [SMALL_STATE(5021)] = 158354,
  [SMALL_STATE(5022)] = 158364,
  [SMALL_STATE(5023)] = 158374,
  [SMALL_STATE(5024)] = 158384,
  [SMALL_STATE(5025)] = 158394,
  [SMALL_STATE(5026)] = 158404,
  [SMALL_STATE(5027)] = 158414,
  [SMALL_STATE(5028)] = 158424,
  [SMALL_STATE(5029)] = 158434,
  [SMALL_STATE(5030)] = 158444,
  [SMALL_STATE(5031)] = 158454,
  [SMALL_STATE(5032)] = 158468,
  [SMALL_STATE(5033)] = 158478,
  [SMALL_STATE(5034)] = 158488,
  [SMALL_STATE(5035)] = 158498,
  [SMALL_STATE(5036)] = 158508,
  [SMALL_STATE(5037)] = 158518,
  [SMALL_STATE(5038)] = 158532,
  [SMALL_STATE(5039)] = 158542,
  [SMALL_STATE(5040)] = 158552,
  [SMALL_STATE(5041)] = 158562,
  [SMALL_STATE(5042)] = 158576,
  [SMALL_STATE(5043)] = 158586,
  [SMALL_STATE(5044)] = 158596,
  [SMALL_STATE(5045)] = 158606,
  [SMALL_STATE(5046)] = 158618,
  [SMALL_STATE(5047)] = 158630,
  [SMALL_STATE(5048)] = 158644,
  [SMALL_STATE(5049)] = 158658,
  [SMALL_STATE(5050)] = 158668,
  [SMALL_STATE(5051)] = 158678,
  [SMALL_STATE(5052)] = 158688,
  [SMALL_STATE(5053)] = 158698,
  [SMALL_STATE(5054)] = 158708,
  [SMALL_STATE(5055)] = 158718,
  [SMALL_STATE(5056)] = 158728,
  [SMALL_STATE(5057)] = 158738,
  [SMALL_STATE(5058)] = 158748,
  [SMALL_STATE(5059)] = 158758,
  [SMALL_STATE(5060)] = 158768,
  [SMALL_STATE(5061)] = 158778,
  [SMALL_STATE(5062)] = 158788,
  [SMALL_STATE(5063)] = 158798,
  [SMALL_STATE(5064)] = 158808,
  [SMALL_STATE(5065)] = 158818,
  [SMALL_STATE(5066)] = 158832,
  [SMALL_STATE(5067)] = 158842,
  [SMALL_STATE(5068)] = 158852,
  [SMALL_STATE(5069)] = 158862,
  [SMALL_STATE(5070)] = 158872,
  [SMALL_STATE(5071)] = 158884,
  [SMALL_STATE(5072)] = 158894,
  [SMALL_STATE(5073)] = 158906,
  [SMALL_STATE(5074)] = 158916,
  [SMALL_STATE(5075)] = 158926,
  [SMALL_STATE(5076)] = 158936,
  [SMALL_STATE(5077)] = 158948,
  [SMALL_STATE(5078)] = 158958,
  [SMALL_STATE(5079)] = 158968,
  [SMALL_STATE(5080)] = 158978,
  [SMALL_STATE(5081)] = 158988,
  [SMALL_STATE(5082)] = 158998,
  [SMALL_STATE(5083)] = 159008,
  [SMALL_STATE(5084)] = 159018,
  [SMALL_STATE(5085)] = 159028,
  [SMALL_STATE(5086)] = 159038,
  [SMALL_STATE(5087)] = 159048,
  [SMALL_STATE(5088)] = 159058,
  [SMALL_STATE(5089)] = 159072,
  [SMALL_STATE(5090)] = 159082,
  [SMALL_STATE(5091)] = 159092,
  [SMALL_STATE(5092)] = 159106,
  [SMALL_STATE(5093)] = 159116,
  [SMALL_STATE(5094)] = 159130,
  [SMALL_STATE(5095)] = 159140,
  [SMALL_STATE(5096)] = 159150,
  [SMALL_STATE(5097)] = 159160,
  [SMALL_STATE(5098)] = 159170,
  [SMALL_STATE(5099)] = 159180,
  [SMALL_STATE(5100)] = 159190,
  [SMALL_STATE(5101)] = 159200,
  [SMALL_STATE(5102)] = 159210,
  [SMALL_STATE(5103)] = 159220,
  [SMALL_STATE(5104)] = 159230,
  [SMALL_STATE(5105)] = 159240,
  [SMALL_STATE(5106)] = 159254,
  [SMALL_STATE(5107)] = 159264,
  [SMALL_STATE(5108)] = 159274,
  [SMALL_STATE(5109)] = 159284,
  [SMALL_STATE(5110)] = 159294,
  [SMALL_STATE(5111)] = 159304,
  [SMALL_STATE(5112)] = 159314,
  [SMALL_STATE(5113)] = 159324,
  [SMALL_STATE(5114)] = 159338,
  [SMALL_STATE(5115)] = 159348,
  [SMALL_STATE(5116)] = 159358,
  [SMALL_STATE(5117)] = 159368,
  [SMALL_STATE(5118)] = 159378,
  [SMALL_STATE(5119)] = 159388,
  [SMALL_STATE(5120)] = 159402,
  [SMALL_STATE(5121)] = 159412,
  [SMALL_STATE(5122)] = 159422,
  [SMALL_STATE(5123)] = 159432,
  [SMALL_STATE(5124)] = 159442,
  [SMALL_STATE(5125)] = 159452,
  [SMALL_STATE(5126)] = 159462,
  [SMALL_STATE(5127)] = 159472,
  [SMALL_STATE(5128)] = 159482,
  [SMALL_STATE(5129)] = 159492,
  [SMALL_STATE(5130)] = 159502,
  [SMALL_STATE(5131)] = 159512,
  [SMALL_STATE(5132)] = 159522,
  [SMALL_STATE(5133)] = 159532,
  [SMALL_STATE(5134)] = 159542,
  [SMALL_STATE(5135)] = 159552,
  [SMALL_STATE(5136)] = 159562,
  [SMALL_STATE(5137)] = 159572,
  [SMALL_STATE(5138)] = 159582,
  [SMALL_STATE(5139)] = 159592,
  [SMALL_STATE(5140)] = 159602,
  [SMALL_STATE(5141)] = 159612,
  [SMALL_STATE(5142)] = 159622,
  [SMALL_STATE(5143)] = 159632,
  [SMALL_STATE(5144)] = 159642,
  [SMALL_STATE(5145)] = 159652,
  [SMALL_STATE(5146)] = 159662,
  [SMALL_STATE(5147)] = 159672,
  [SMALL_STATE(5148)] = 159682,
  [SMALL_STATE(5149)] = 159692,
  [SMALL_STATE(5150)] = 159704,
  [SMALL_STATE(5151)] = 159718,
  [SMALL_STATE(5152)] = 159728,
  [SMALL_STATE(5153)] = 159738,
  [SMALL_STATE(5154)] = 159752,
  [SMALL_STATE(5155)] = 159762,
  [SMALL_STATE(5156)] = 159776,
  [SMALL_STATE(5157)] = 159790,
  [SMALL_STATE(5158)] = 159804,
  [SMALL_STATE(5159)] = 159818,
  [SMALL_STATE(5160)] = 159828,
  [SMALL_STATE(5161)] = 159842,
  [SMALL_STATE(5162)] = 159852,
  [SMALL_STATE(5163)] = 159868,
  [SMALL_STATE(5164)] = 159882,
  [SMALL_STATE(5165)] = 159894,
  [SMALL_STATE(5166)] = 159904,
  [SMALL_STATE(5167)] = 159916,
  [SMALL_STATE(5168)] = 159926,
  [SMALL_STATE(5169)] = 159942,
  [SMALL_STATE(5170)] = 159956,
  [SMALL_STATE(5171)] = 159966,
  [SMALL_STATE(5172)] = 159980,
  [SMALL_STATE(5173)] = 159990,
  [SMALL_STATE(5174)] = 160004,
  [SMALL_STATE(5175)] = 160014,
  [SMALL_STATE(5176)] = 160028,
  [SMALL_STATE(5177)] = 160038,
  [SMALL_STATE(5178)] = 160048,
  [SMALL_STATE(5179)] = 160058,
  [SMALL_STATE(5180)] = 160072,
  [SMALL_STATE(5181)] = 160086,
  [SMALL_STATE(5182)] = 160100,
  [SMALL_STATE(5183)] = 160110,
  [SMALL_STATE(5184)] = 160124,
  [SMALL_STATE(5185)] = 160136,
  [SMALL_STATE(5186)] = 160146,
  [SMALL_STATE(5187)] = 160156,
  [SMALL_STATE(5188)] = 160170,
  [SMALL_STATE(5189)] = 160184,
  [SMALL_STATE(5190)] = 160198,
  [SMALL_STATE(5191)] = 160212,
  [SMALL_STATE(5192)] = 160226,
  [SMALL_STATE(5193)] = 160236,
  [SMALL_STATE(5194)] = 160246,
  [SMALL_STATE(5195)] = 160256,
  [SMALL_STATE(5196)] = 160266,
  [SMALL_STATE(5197)] = 160280,
  [SMALL_STATE(5198)] = 160290,
  [SMALL_STATE(5199)] = 160300,
  [SMALL_STATE(5200)] = 160314,
  [SMALL_STATE(5201)] = 160328,
  [SMALL_STATE(5202)] = 160344,
  [SMALL_STATE(5203)] = 160354,
  [SMALL_STATE(5204)] = 160366,
  [SMALL_STATE(5205)] = 160376,
  [SMALL_STATE(5206)] = 160390,
  [SMALL_STATE(5207)] = 160400,
  [SMALL_STATE(5208)] = 160410,
  [SMALL_STATE(5209)] = 160420,
  [SMALL_STATE(5210)] = 160430,
  [SMALL_STATE(5211)] = 160440,
  [SMALL_STATE(5212)] = 160454,
  [SMALL_STATE(5213)] = 160468,
  [SMALL_STATE(5214)] = 160478,
  [SMALL_STATE(5215)] = 160488,
  [SMALL_STATE(5216)] = 160498,
  [SMALL_STATE(5217)] = 160512,
  [SMALL_STATE(5218)] = 160522,
  [SMALL_STATE(5219)] = 160532,
  [SMALL_STATE(5220)] = 160542,
  [SMALL_STATE(5221)] = 160556,
  [SMALL_STATE(5222)] = 160566,
  [SMALL_STATE(5223)] = 160576,
  [SMALL_STATE(5224)] = 160586,
  [SMALL_STATE(5225)] = 160596,
  [SMALL_STATE(5226)] = 160606,
  [SMALL_STATE(5227)] = 160616,
  [SMALL_STATE(5228)] = 160630,
  [SMALL_STATE(5229)] = 160640,
  [SMALL_STATE(5230)] = 160654,
  [SMALL_STATE(5231)] = 160664,
  [SMALL_STATE(5232)] = 160674,
  [SMALL_STATE(5233)] = 160688,
  [SMALL_STATE(5234)] = 160699,
  [SMALL_STATE(5235)] = 160708,
  [SMALL_STATE(5236)] = 160719,
  [SMALL_STATE(5237)] = 160730,
  [SMALL_STATE(5238)] = 160741,
  [SMALL_STATE(5239)] = 160752,
  [SMALL_STATE(5240)] = 160763,
  [SMALL_STATE(5241)] = 160774,
  [SMALL_STATE(5242)] = 160785,
  [SMALL_STATE(5243)] = 160796,
  [SMALL_STATE(5244)] = 160807,
  [SMALL_STATE(5245)] = 160818,
  [SMALL_STATE(5246)] = 160829,
  [SMALL_STATE(5247)] = 160840,
  [SMALL_STATE(5248)] = 160851,
  [SMALL_STATE(5249)] = 160862,
  [SMALL_STATE(5250)] = 160871,
  [SMALL_STATE(5251)] = 160882,
  [SMALL_STATE(5252)] = 160893,
  [SMALL_STATE(5253)] = 160904,
  [SMALL_STATE(5254)] = 160913,
  [SMALL_STATE(5255)] = 160922,
  [SMALL_STATE(5256)] = 160933,
  [SMALL_STATE(5257)] = 160942,
  [SMALL_STATE(5258)] = 160953,
  [SMALL_STATE(5259)] = 160964,
  [SMALL_STATE(5260)] = 160975,
  [SMALL_STATE(5261)] = 160984,
  [SMALL_STATE(5262)] = 160995,
  [SMALL_STATE(5263)] = 161006,
  [SMALL_STATE(5264)] = 161015,
  [SMALL_STATE(5265)] = 161026,
  [SMALL_STATE(5266)] = 161035,
  [SMALL_STATE(5267)] = 161046,
  [SMALL_STATE(5268)] = 161057,
  [SMALL_STATE(5269)] = 161068,
  [SMALL_STATE(5270)] = 161077,
  [SMALL_STATE(5271)] = 161088,
  [SMALL_STATE(5272)] = 161099,
  [SMALL_STATE(5273)] = 161110,
  [SMALL_STATE(5274)] = 161121,
  [SMALL_STATE(5275)] = 161132,
  [SMALL_STATE(5276)] = 161143,
  [SMALL_STATE(5277)] = 161154,
  [SMALL_STATE(5278)] = 161165,
  [SMALL_STATE(5279)] = 161176,
  [SMALL_STATE(5280)] = 161187,
  [SMALL_STATE(5281)] = 161198,
  [SMALL_STATE(5282)] = 161209,
  [SMALL_STATE(5283)] = 161220,
  [SMALL_STATE(5284)] = 161231,
  [SMALL_STATE(5285)] = 161242,
  [SMALL_STATE(5286)] = 161253,
  [SMALL_STATE(5287)] = 161264,
  [SMALL_STATE(5288)] = 161273,
  [SMALL_STATE(5289)] = 161284,
  [SMALL_STATE(5290)] = 161295,
  [SMALL_STATE(5291)] = 161304,
  [SMALL_STATE(5292)] = 161315,
  [SMALL_STATE(5293)] = 161326,
  [SMALL_STATE(5294)] = 161337,
  [SMALL_STATE(5295)] = 161346,
  [SMALL_STATE(5296)] = 161355,
  [SMALL_STATE(5297)] = 161364,
  [SMALL_STATE(5298)] = 161375,
  [SMALL_STATE(5299)] = 161386,
  [SMALL_STATE(5300)] = 161397,
  [SMALL_STATE(5301)] = 161408,
  [SMALL_STATE(5302)] = 161419,
  [SMALL_STATE(5303)] = 161430,
  [SMALL_STATE(5304)] = 161441,
  [SMALL_STATE(5305)] = 161452,
  [SMALL_STATE(5306)] = 161463,
  [SMALL_STATE(5307)] = 161474,
  [SMALL_STATE(5308)] = 161485,
  [SMALL_STATE(5309)] = 161496,
  [SMALL_STATE(5310)] = 161507,
  [SMALL_STATE(5311)] = 161518,
  [SMALL_STATE(5312)] = 161527,
  [SMALL_STATE(5313)] = 161538,
  [SMALL_STATE(5314)] = 161549,
  [SMALL_STATE(5315)] = 161558,
  [SMALL_STATE(5316)] = 161569,
  [SMALL_STATE(5317)] = 161580,
  [SMALL_STATE(5318)] = 161591,
  [SMALL_STATE(5319)] = 161602,
  [SMALL_STATE(5320)] = 161611,
  [SMALL_STATE(5321)] = 161622,
  [SMALL_STATE(5322)] = 161631,
  [SMALL_STATE(5323)] = 161642,
  [SMALL_STATE(5324)] = 161651,
  [SMALL_STATE(5325)] = 161660,
  [SMALL_STATE(5326)] = 161671,
  [SMALL_STATE(5327)] = 161682,
  [SMALL_STATE(5328)] = 161693,
  [SMALL_STATE(5329)] = 161704,
  [SMALL_STATE(5330)] = 161713,
  [SMALL_STATE(5331)] = 161724,
  [SMALL_STATE(5332)] = 161735,
  [SMALL_STATE(5333)] = 161744,
  [SMALL_STATE(5334)] = 161755,
  [SMALL_STATE(5335)] = 161766,
  [SMALL_STATE(5336)] = 161777,
  [SMALL_STATE(5337)] = 161786,
  [SMALL_STATE(5338)] = 161797,
  [SMALL_STATE(5339)] = 161808,
  [SMALL_STATE(5340)] = 161819,
  [SMALL_STATE(5341)] = 161830,
  [SMALL_STATE(5342)] = 161841,
  [SMALL_STATE(5343)] = 161852,
  [SMALL_STATE(5344)] = 161863,
  [SMALL_STATE(5345)] = 161872,
  [SMALL_STATE(5346)] = 161883,
  [SMALL_STATE(5347)] = 161894,
  [SMALL_STATE(5348)] = 161905,
  [SMALL_STATE(5349)] = 161916,
  [SMALL_STATE(5350)] = 161925,
  [SMALL_STATE(5351)] = 161936,
  [SMALL_STATE(5352)] = 161947,
  [SMALL_STATE(5353)] = 161958,
  [SMALL_STATE(5354)] = 161969,
  [SMALL_STATE(5355)] = 161980,
  [SMALL_STATE(5356)] = 161991,
  [SMALL_STATE(5357)] = 162000,
  [SMALL_STATE(5358)] = 162011,
  [SMALL_STATE(5359)] = 162022,
  [SMALL_STATE(5360)] = 162033,
  [SMALL_STATE(5361)] = 162044,
  [SMALL_STATE(5362)] = 162055,
  [SMALL_STATE(5363)] = 162064,
  [SMALL_STATE(5364)] = 162075,
  [SMALL_STATE(5365)] = 162084,
  [SMALL_STATE(5366)] = 162095,
  [SMALL_STATE(5367)] = 162106,
  [SMALL_STATE(5368)] = 162115,
  [SMALL_STATE(5369)] = 162126,
  [SMALL_STATE(5370)] = 162137,
  [SMALL_STATE(5371)] = 162148,
  [SMALL_STATE(5372)] = 162159,
  [SMALL_STATE(5373)] = 162170,
  [SMALL_STATE(5374)] = 162181,
  [SMALL_STATE(5375)] = 162192,
  [SMALL_STATE(5376)] = 162203,
  [SMALL_STATE(5377)] = 162214,
  [SMALL_STATE(5378)] = 162225,
  [SMALL_STATE(5379)] = 162236,
  [SMALL_STATE(5380)] = 162245,
  [SMALL_STATE(5381)] = 162256,
  [SMALL_STATE(5382)] = 162267,
  [SMALL_STATE(5383)] = 162278,
  [SMALL_STATE(5384)] = 162289,
  [SMALL_STATE(5385)] = 162298,
  [SMALL_STATE(5386)] = 162307,
  [SMALL_STATE(5387)] = 162318,
  [SMALL_STATE(5388)] = 162327,
  [SMALL_STATE(5389)] = 162336,
  [SMALL_STATE(5390)] = 162345,
  [SMALL_STATE(5391)] = 162356,
  [SMALL_STATE(5392)] = 162367,
  [SMALL_STATE(5393)] = 162378,
  [SMALL_STATE(5394)] = 162389,
  [SMALL_STATE(5395)] = 162398,
  [SMALL_STATE(5396)] = 162409,
  [SMALL_STATE(5397)] = 162420,
  [SMALL_STATE(5398)] = 162431,
  [SMALL_STATE(5399)] = 162440,
  [SMALL_STATE(5400)] = 162451,
  [SMALL_STATE(5401)] = 162460,
  [SMALL_STATE(5402)] = 162471,
  [SMALL_STATE(5403)] = 162480,
  [SMALL_STATE(5404)] = 162491,
  [SMALL_STATE(5405)] = 162502,
  [SMALL_STATE(5406)] = 162513,
  [SMALL_STATE(5407)] = 162524,
  [SMALL_STATE(5408)] = 162535,
  [SMALL_STATE(5409)] = 162546,
  [SMALL_STATE(5410)] = 162557,
  [SMALL_STATE(5411)] = 162566,
  [SMALL_STATE(5412)] = 162577,
  [SMALL_STATE(5413)] = 162586,
  [SMALL_STATE(5414)] = 162595,
  [SMALL_STATE(5415)] = 162606,
  [SMALL_STATE(5416)] = 162617,
  [SMALL_STATE(5417)] = 162628,
  [SMALL_STATE(5418)] = 162639,
  [SMALL_STATE(5419)] = 162650,
  [SMALL_STATE(5420)] = 162661,
  [SMALL_STATE(5421)] = 162672,
  [SMALL_STATE(5422)] = 162683,
  [SMALL_STATE(5423)] = 162694,
  [SMALL_STATE(5424)] = 162703,
  [SMALL_STATE(5425)] = 162714,
  [SMALL_STATE(5426)] = 162725,
  [SMALL_STATE(5427)] = 162734,
  [SMALL_STATE(5428)] = 162745,
  [SMALL_STATE(5429)] = 162756,
  [SMALL_STATE(5430)] = 162767,
  [SMALL_STATE(5431)] = 162778,
  [SMALL_STATE(5432)] = 162789,
  [SMALL_STATE(5433)] = 162800,
  [SMALL_STATE(5434)] = 162811,
  [SMALL_STATE(5435)] = 162822,
  [SMALL_STATE(5436)] = 162833,
  [SMALL_STATE(5437)] = 162844,
  [SMALL_STATE(5438)] = 162855,
  [SMALL_STATE(5439)] = 162864,
  [SMALL_STATE(5440)] = 162875,
  [SMALL_STATE(5441)] = 162886,
  [SMALL_STATE(5442)] = 162897,
  [SMALL_STATE(5443)] = 162908,
  [SMALL_STATE(5444)] = 162919,
  [SMALL_STATE(5445)] = 162928,
  [SMALL_STATE(5446)] = 162939,
  [SMALL_STATE(5447)] = 162950,
  [SMALL_STATE(5448)] = 162961,
  [SMALL_STATE(5449)] = 162972,
  [SMALL_STATE(5450)] = 162981,
  [SMALL_STATE(5451)] = 162990,
  [SMALL_STATE(5452)] = 163001,
  [SMALL_STATE(5453)] = 163012,
  [SMALL_STATE(5454)] = 163023,
  [SMALL_STATE(5455)] = 163032,
  [SMALL_STATE(5456)] = 163043,
  [SMALL_STATE(5457)] = 163054,
  [SMALL_STATE(5458)] = 163065,
  [SMALL_STATE(5459)] = 163074,
  [SMALL_STATE(5460)] = 163085,
  [SMALL_STATE(5461)] = 163094,
  [SMALL_STATE(5462)] = 163105,
  [SMALL_STATE(5463)] = 163114,
  [SMALL_STATE(5464)] = 163125,
  [SMALL_STATE(5465)] = 163136,
  [SMALL_STATE(5466)] = 163145,
  [SMALL_STATE(5467)] = 163156,
  [SMALL_STATE(5468)] = 163165,
  [SMALL_STATE(5469)] = 163174,
  [SMALL_STATE(5470)] = 163185,
  [SMALL_STATE(5471)] = 163196,
  [SMALL_STATE(5472)] = 163207,
  [SMALL_STATE(5473)] = 163218,
  [SMALL_STATE(5474)] = 163229,
  [SMALL_STATE(5475)] = 163240,
  [SMALL_STATE(5476)] = 163251,
  [SMALL_STATE(5477)] = 163262,
  [SMALL_STATE(5478)] = 163273,
  [SMALL_STATE(5479)] = 163282,
  [SMALL_STATE(5480)] = 163293,
  [SMALL_STATE(5481)] = 163304,
  [SMALL_STATE(5482)] = 163315,
  [SMALL_STATE(5483)] = 163326,
  [SMALL_STATE(5484)] = 163337,
  [SMALL_STATE(5485)] = 163346,
  [SMALL_STATE(5486)] = 163355,
  [SMALL_STATE(5487)] = 163366,
  [SMALL_STATE(5488)] = 163377,
  [SMALL_STATE(5489)] = 163386,
  [SMALL_STATE(5490)] = 163397,
  [SMALL_STATE(5491)] = 163408,
  [SMALL_STATE(5492)] = 163419,
  [SMALL_STATE(5493)] = 163430,
  [SMALL_STATE(5494)] = 163441,
  [SMALL_STATE(5495)] = 163452,
  [SMALL_STATE(5496)] = 163463,
  [SMALL_STATE(5497)] = 163472,
  [SMALL_STATE(5498)] = 163483,
  [SMALL_STATE(5499)] = 163494,
  [SMALL_STATE(5500)] = 163505,
  [SMALL_STATE(5501)] = 163516,
  [SMALL_STATE(5502)] = 163527,
  [SMALL_STATE(5503)] = 163536,
  [SMALL_STATE(5504)] = 163545,
  [SMALL_STATE(5505)] = 163556,
  [SMALL_STATE(5506)] = 163567,
  [SMALL_STATE(5507)] = 163578,
  [SMALL_STATE(5508)] = 163589,
  [SMALL_STATE(5509)] = 163600,
  [SMALL_STATE(5510)] = 163611,
  [SMALL_STATE(5511)] = 163622,
  [SMALL_STATE(5512)] = 163633,
  [SMALL_STATE(5513)] = 163644,
  [SMALL_STATE(5514)] = 163655,
  [SMALL_STATE(5515)] = 163666,
  [SMALL_STATE(5516)] = 163677,
  [SMALL_STATE(5517)] = 163686,
  [SMALL_STATE(5518)] = 163697,
  [SMALL_STATE(5519)] = 163708,
  [SMALL_STATE(5520)] = 163719,
  [SMALL_STATE(5521)] = 163730,
  [SMALL_STATE(5522)] = 163741,
  [SMALL_STATE(5523)] = 163752,
  [SMALL_STATE(5524)] = 163763,
  [SMALL_STATE(5525)] = 163774,
  [SMALL_STATE(5526)] = 163785,
  [SMALL_STATE(5527)] = 163796,
  [SMALL_STATE(5528)] = 163807,
  [SMALL_STATE(5529)] = 163818,
  [SMALL_STATE(5530)] = 163829,
  [SMALL_STATE(5531)] = 163838,
  [SMALL_STATE(5532)] = 163847,
  [SMALL_STATE(5533)] = 163858,
  [SMALL_STATE(5534)] = 163869,
  [SMALL_STATE(5535)] = 163880,
  [SMALL_STATE(5536)] = 163891,
  [SMALL_STATE(5537)] = 163902,
  [SMALL_STATE(5538)] = 163911,
  [SMALL_STATE(5539)] = 163922,
  [SMALL_STATE(5540)] = 163933,
  [SMALL_STATE(5541)] = 163944,
  [SMALL_STATE(5542)] = 163953,
  [SMALL_STATE(5543)] = 163964,
  [SMALL_STATE(5544)] = 163975,
  [SMALL_STATE(5545)] = 163986,
  [SMALL_STATE(5546)] = 163997,
  [SMALL_STATE(5547)] = 164008,
  [SMALL_STATE(5548)] = 164017,
  [SMALL_STATE(5549)] = 164028,
  [SMALL_STATE(5550)] = 164039,
  [SMALL_STATE(5551)] = 164048,
  [SMALL_STATE(5552)] = 164057,
  [SMALL_STATE(5553)] = 164068,
  [SMALL_STATE(5554)] = 164079,
  [SMALL_STATE(5555)] = 164088,
  [SMALL_STATE(5556)] = 164099,
  [SMALL_STATE(5557)] = 164110,
  [SMALL_STATE(5558)] = 164121,
  [SMALL_STATE(5559)] = 164132,
  [SMALL_STATE(5560)] = 164143,
  [SMALL_STATE(5561)] = 164154,
  [SMALL_STATE(5562)] = 164165,
  [SMALL_STATE(5563)] = 164176,
  [SMALL_STATE(5564)] = 164187,
  [SMALL_STATE(5565)] = 164198,
  [SMALL_STATE(5566)] = 164209,
  [SMALL_STATE(5567)] = 164220,
  [SMALL_STATE(5568)] = 164231,
  [SMALL_STATE(5569)] = 164242,
  [SMALL_STATE(5570)] = 164253,
  [SMALL_STATE(5571)] = 164264,
  [SMALL_STATE(5572)] = 164275,
  [SMALL_STATE(5573)] = 164286,
  [SMALL_STATE(5574)] = 164297,
  [SMALL_STATE(5575)] = 164308,
  [SMALL_STATE(5576)] = 164317,
  [SMALL_STATE(5577)] = 164328,
  [SMALL_STATE(5578)] = 164339,
  [SMALL_STATE(5579)] = 164350,
  [SMALL_STATE(5580)] = 164359,
  [SMALL_STATE(5581)] = 164370,
  [SMALL_STATE(5582)] = 164381,
  [SMALL_STATE(5583)] = 164392,
  [SMALL_STATE(5584)] = 164403,
  [SMALL_STATE(5585)] = 164412,
  [SMALL_STATE(5586)] = 164421,
  [SMALL_STATE(5587)] = 164429,
  [SMALL_STATE(5588)] = 164437,
  [SMALL_STATE(5589)] = 164445,
  [SMALL_STATE(5590)] = 164453,
  [SMALL_STATE(5591)] = 164461,
  [SMALL_STATE(5592)] = 164469,
  [SMALL_STATE(5593)] = 164477,
  [SMALL_STATE(5594)] = 164485,
  [SMALL_STATE(5595)] = 164493,
  [SMALL_STATE(5596)] = 164503,
  [SMALL_STATE(5597)] = 164511,
  [SMALL_STATE(5598)] = 164519,
  [SMALL_STATE(5599)] = 164527,
  [SMALL_STATE(5600)] = 164535,
  [SMALL_STATE(5601)] = 164543,
  [SMALL_STATE(5602)] = 164551,
  [SMALL_STATE(5603)] = 164559,
  [SMALL_STATE(5604)] = 164567,
  [SMALL_STATE(5605)] = 164575,
  [SMALL_STATE(5606)] = 164583,
  [SMALL_STATE(5607)] = 164591,
  [SMALL_STATE(5608)] = 164599,
  [SMALL_STATE(5609)] = 164607,
  [SMALL_STATE(5610)] = 164615,
  [SMALL_STATE(5611)] = 164623,
  [SMALL_STATE(5612)] = 164631,
  [SMALL_STATE(5613)] = 164639,
  [SMALL_STATE(5614)] = 164647,
  [SMALL_STATE(5615)] = 164655,
  [SMALL_STATE(5616)] = 164663,
  [SMALL_STATE(5617)] = 164671,
  [SMALL_STATE(5618)] = 164679,
  [SMALL_STATE(5619)] = 164687,
  [SMALL_STATE(5620)] = 164695,
  [SMALL_STATE(5621)] = 164703,
  [SMALL_STATE(5622)] = 164711,
  [SMALL_STATE(5623)] = 164719,
  [SMALL_STATE(5624)] = 164727,
  [SMALL_STATE(5625)] = 164735,
  [SMALL_STATE(5626)] = 164743,
  [SMALL_STATE(5627)] = 164751,
  [SMALL_STATE(5628)] = 164759,
  [SMALL_STATE(5629)] = 164767,
  [SMALL_STATE(5630)] = 164775,
  [SMALL_STATE(5631)] = 164783,
  [SMALL_STATE(5632)] = 164791,
  [SMALL_STATE(5633)] = 164799,
  [SMALL_STATE(5634)] = 164807,
  [SMALL_STATE(5635)] = 164815,
  [SMALL_STATE(5636)] = 164823,
  [SMALL_STATE(5637)] = 164831,
  [SMALL_STATE(5638)] = 164839,
  [SMALL_STATE(5639)] = 164847,
  [SMALL_STATE(5640)] = 164855,
  [SMALL_STATE(5641)] = 164863,
  [SMALL_STATE(5642)] = 164871,
  [SMALL_STATE(5643)] = 164879,
  [SMALL_STATE(5644)] = 164887,
  [SMALL_STATE(5645)] = 164895,
  [SMALL_STATE(5646)] = 164903,
  [SMALL_STATE(5647)] = 164911,
  [SMALL_STATE(5648)] = 164919,
  [SMALL_STATE(5649)] = 164927,
  [SMALL_STATE(5650)] = 164935,
  [SMALL_STATE(5651)] = 164943,
  [SMALL_STATE(5652)] = 164951,
  [SMALL_STATE(5653)] = 164959,
  [SMALL_STATE(5654)] = 164967,
  [SMALL_STATE(5655)] = 164975,
  [SMALL_STATE(5656)] = 164983,
  [SMALL_STATE(5657)] = 164991,
  [SMALL_STATE(5658)] = 164999,
  [SMALL_STATE(5659)] = 165007,
  [SMALL_STATE(5660)] = 165015,
  [SMALL_STATE(5661)] = 165023,
  [SMALL_STATE(5662)] = 165031,
  [SMALL_STATE(5663)] = 165039,
  [SMALL_STATE(5664)] = 165047,
  [SMALL_STATE(5665)] = 165055,
  [SMALL_STATE(5666)] = 165063,
  [SMALL_STATE(5667)] = 165071,
  [SMALL_STATE(5668)] = 165079,
  [SMALL_STATE(5669)] = 165087,
  [SMALL_STATE(5670)] = 165095,
  [SMALL_STATE(5671)] = 165103,
  [SMALL_STATE(5672)] = 165111,
  [SMALL_STATE(5673)] = 165119,
  [SMALL_STATE(5674)] = 165127,
  [SMALL_STATE(5675)] = 165137,
  [SMALL_STATE(5676)] = 165145,
  [SMALL_STATE(5677)] = 165153,
  [SMALL_STATE(5678)] = 165161,
  [SMALL_STATE(5679)] = 165169,
  [SMALL_STATE(5680)] = 165177,
  [SMALL_STATE(5681)] = 165185,
  [SMALL_STATE(5682)] = 165193,
  [SMALL_STATE(5683)] = 165201,
  [SMALL_STATE(5684)] = 165209,
  [SMALL_STATE(5685)] = 165217,
  [SMALL_STATE(5686)] = 165225,
  [SMALL_STATE(5687)] = 165233,
  [SMALL_STATE(5688)] = 165243,
  [SMALL_STATE(5689)] = 165251,
  [SMALL_STATE(5690)] = 165259,
  [SMALL_STATE(5691)] = 165267,
  [SMALL_STATE(5692)] = 165275,
  [SMALL_STATE(5693)] = 165283,
  [SMALL_STATE(5694)] = 165291,
  [SMALL_STATE(5695)] = 165299,
  [SMALL_STATE(5696)] = 165307,
  [SMALL_STATE(5697)] = 165315,
  [SMALL_STATE(5698)] = 165323,
  [SMALL_STATE(5699)] = 165331,
  [SMALL_STATE(5700)] = 165339,
  [SMALL_STATE(5701)] = 165347,
  [SMALL_STATE(5702)] = 165355,
  [SMALL_STATE(5703)] = 165363,
  [SMALL_STATE(5704)] = 165371,
  [SMALL_STATE(5705)] = 165379,
  [SMALL_STATE(5706)] = 165387,
  [SMALL_STATE(5707)] = 165395,
  [SMALL_STATE(5708)] = 165403,
  [SMALL_STATE(5709)] = 165411,
  [SMALL_STATE(5710)] = 165419,
  [SMALL_STATE(5711)] = 165427,
  [SMALL_STATE(5712)] = 165435,
  [SMALL_STATE(5713)] = 165443,
  [SMALL_STATE(5714)] = 165451,
  [SMALL_STATE(5715)] = 165459,
  [SMALL_STATE(5716)] = 165467,
  [SMALL_STATE(5717)] = 165475,
  [SMALL_STATE(5718)] = 165483,
  [SMALL_STATE(5719)] = 165491,
  [SMALL_STATE(5720)] = 165499,
  [SMALL_STATE(5721)] = 165507,
  [SMALL_STATE(5722)] = 165515,
  [SMALL_STATE(5723)] = 165523,
  [SMALL_STATE(5724)] = 165531,
  [SMALL_STATE(5725)] = 165539,
  [SMALL_STATE(5726)] = 165547,
  [SMALL_STATE(5727)] = 165555,
  [SMALL_STATE(5728)] = 165563,
  [SMALL_STATE(5729)] = 165571,
  [SMALL_STATE(5730)] = 165579,
  [SMALL_STATE(5731)] = 165587,
  [SMALL_STATE(5732)] = 165595,
  [SMALL_STATE(5733)] = 165603,
  [SMALL_STATE(5734)] = 165611,
  [SMALL_STATE(5735)] = 165619,
  [SMALL_STATE(5736)] = 165627,
  [SMALL_STATE(5737)] = 165635,
  [SMALL_STATE(5738)] = 165643,
  [SMALL_STATE(5739)] = 165651,
  [SMALL_STATE(5740)] = 165659,
  [SMALL_STATE(5741)] = 165667,
  [SMALL_STATE(5742)] = 165675,
  [SMALL_STATE(5743)] = 165683,
  [SMALL_STATE(5744)] = 165691,
  [SMALL_STATE(5745)] = 165699,
  [SMALL_STATE(5746)] = 165707,
  [SMALL_STATE(5747)] = 165715,
  [SMALL_STATE(5748)] = 165723,
  [SMALL_STATE(5749)] = 165731,
  [SMALL_STATE(5750)] = 165739,
  [SMALL_STATE(5751)] = 165747,
  [SMALL_STATE(5752)] = 165755,
  [SMALL_STATE(5753)] = 165763,
  [SMALL_STATE(5754)] = 165771,
  [SMALL_STATE(5755)] = 165779,
  [SMALL_STATE(5756)] = 165787,
  [SMALL_STATE(5757)] = 165795,
  [SMALL_STATE(5758)] = 165803,
  [SMALL_STATE(5759)] = 165811,
  [SMALL_STATE(5760)] = 165819,
  [SMALL_STATE(5761)] = 165827,
  [SMALL_STATE(5762)] = 165835,
  [SMALL_STATE(5763)] = 165843,
  [SMALL_STATE(5764)] = 165851,
  [SMALL_STATE(5765)] = 165861,
  [SMALL_STATE(5766)] = 165869,
  [SMALL_STATE(5767)] = 165877,
  [SMALL_STATE(5768)] = 165885,
  [SMALL_STATE(5769)] = 165893,
  [SMALL_STATE(5770)] = 165901,
  [SMALL_STATE(5771)] = 165909,
  [SMALL_STATE(5772)] = 165917,
  [SMALL_STATE(5773)] = 165927,
  [SMALL_STATE(5774)] = 165935,
  [SMALL_STATE(5775)] = 165943,
  [SMALL_STATE(5776)] = 165951,
  [SMALL_STATE(5777)] = 165959,
  [SMALL_STATE(5778)] = 165967,
  [SMALL_STATE(5779)] = 165975,
  [SMALL_STATE(5780)] = 165983,
  [SMALL_STATE(5781)] = 165991,
  [SMALL_STATE(5782)] = 165999,
  [SMALL_STATE(5783)] = 166007,
  [SMALL_STATE(5784)] = 166015,
  [SMALL_STATE(5785)] = 166023,
  [SMALL_STATE(5786)] = 166031,
  [SMALL_STATE(5787)] = 166039,
  [SMALL_STATE(5788)] = 166047,
  [SMALL_STATE(5789)] = 166055,
  [SMALL_STATE(5790)] = 166065,
  [SMALL_STATE(5791)] = 166073,
  [SMALL_STATE(5792)] = 166081,
  [SMALL_STATE(5793)] = 166089,
  [SMALL_STATE(5794)] = 166097,
  [SMALL_STATE(5795)] = 166105,
  [SMALL_STATE(5796)] = 166113,
  [SMALL_STATE(5797)] = 166121,
  [SMALL_STATE(5798)] = 166129,
  [SMALL_STATE(5799)] = 166137,
  [SMALL_STATE(5800)] = 166145,
  [SMALL_STATE(5801)] = 166153,
  [SMALL_STATE(5802)] = 166161,
  [SMALL_STATE(5803)] = 166169,
  [SMALL_STATE(5804)] = 166177,
  [SMALL_STATE(5805)] = 166185,
  [SMALL_STATE(5806)] = 166193,
  [SMALL_STATE(5807)] = 166201,
  [SMALL_STATE(5808)] = 166209,
  [SMALL_STATE(5809)] = 166217,
  [SMALL_STATE(5810)] = 166225,
  [SMALL_STATE(5811)] = 166233,
  [SMALL_STATE(5812)] = 166241,
  [SMALL_STATE(5813)] = 166249,
  [SMALL_STATE(5814)] = 166257,
  [SMALL_STATE(5815)] = 166265,
  [SMALL_STATE(5816)] = 166273,
  [SMALL_STATE(5817)] = 166281,
  [SMALL_STATE(5818)] = 166289,
  [SMALL_STATE(5819)] = 166297,
  [SMALL_STATE(5820)] = 166305,
  [SMALL_STATE(5821)] = 166313,
  [SMALL_STATE(5822)] = 166321,
  [SMALL_STATE(5823)] = 166329,
  [SMALL_STATE(5824)] = 166337,
  [SMALL_STATE(5825)] = 166345,
  [SMALL_STATE(5826)] = 166353,
  [SMALL_STATE(5827)] = 166361,
  [SMALL_STATE(5828)] = 166369,
  [SMALL_STATE(5829)] = 166377,
  [SMALL_STATE(5830)] = 166385,
  [SMALL_STATE(5831)] = 166393,
  [SMALL_STATE(5832)] = 166401,
  [SMALL_STATE(5833)] = 166409,
  [SMALL_STATE(5834)] = 166417,
  [SMALL_STATE(5835)] = 166425,
  [SMALL_STATE(5836)] = 166433,
  [SMALL_STATE(5837)] = 166441,
  [SMALL_STATE(5838)] = 166449,
  [SMALL_STATE(5839)] = 166457,
  [SMALL_STATE(5840)] = 166465,
  [SMALL_STATE(5841)] = 166473,
  [SMALL_STATE(5842)] = 166481,
  [SMALL_STATE(5843)] = 166489,
  [SMALL_STATE(5844)] = 166497,
  [SMALL_STATE(5845)] = 166505,
  [SMALL_STATE(5846)] = 166513,
  [SMALL_STATE(5847)] = 166521,
  [SMALL_STATE(5848)] = 166529,
  [SMALL_STATE(5849)] = 166537,
  [SMALL_STATE(5850)] = 166545,
  [SMALL_STATE(5851)] = 166553,
  [SMALL_STATE(5852)] = 166561,
  [SMALL_STATE(5853)] = 166569,
  [SMALL_STATE(5854)] = 166577,
  [SMALL_STATE(5855)] = 166585,
  [SMALL_STATE(5856)] = 166593,
  [SMALL_STATE(5857)] = 166601,
  [SMALL_STATE(5858)] = 166609,
  [SMALL_STATE(5859)] = 166617,
  [SMALL_STATE(5860)] = 166625,
  [SMALL_STATE(5861)] = 166635,
  [SMALL_STATE(5862)] = 166643,
  [SMALL_STATE(5863)] = 166651,
  [SMALL_STATE(5864)] = 166659,
  [SMALL_STATE(5865)] = 166667,
  [SMALL_STATE(5866)] = 166675,
  [SMALL_STATE(5867)] = 166683,
  [SMALL_STATE(5868)] = 166691,
  [SMALL_STATE(5869)] = 166699,
  [SMALL_STATE(5870)] = 166707,
  [SMALL_STATE(5871)] = 166715,
  [SMALL_STATE(5872)] = 166723,
  [SMALL_STATE(5873)] = 166731,
  [SMALL_STATE(5874)] = 166739,
  [SMALL_STATE(5875)] = 166747,
  [SMALL_STATE(5876)] = 166755,
  [SMALL_STATE(5877)] = 166763,
  [SMALL_STATE(5878)] = 166771,
  [SMALL_STATE(5879)] = 166779,
  [SMALL_STATE(5880)] = 166787,
  [SMALL_STATE(5881)] = 166795,
  [SMALL_STATE(5882)] = 166803,
  [SMALL_STATE(5883)] = 166811,
  [SMALL_STATE(5884)] = 166819,
  [SMALL_STATE(5885)] = 166827,
  [SMALL_STATE(5886)] = 166835,
  [SMALL_STATE(5887)] = 166843,
  [SMALL_STATE(5888)] = 166851,
  [SMALL_STATE(5889)] = 166859,
  [SMALL_STATE(5890)] = 166867,
  [SMALL_STATE(5891)] = 166875,
  [SMALL_STATE(5892)] = 166883,
  [SMALL_STATE(5893)] = 166891,
  [SMALL_STATE(5894)] = 166899,
  [SMALL_STATE(5895)] = 166907,
  [SMALL_STATE(5896)] = 166915,
  [SMALL_STATE(5897)] = 166923,
  [SMALL_STATE(5898)] = 166931,
  [SMALL_STATE(5899)] = 166939,
  [SMALL_STATE(5900)] = 166947,
  [SMALL_STATE(5901)] = 166955,
  [SMALL_STATE(5902)] = 166963,
  [SMALL_STATE(5903)] = 166971,
  [SMALL_STATE(5904)] = 166979,
  [SMALL_STATE(5905)] = 166987,
  [SMALL_STATE(5906)] = 166995,
  [SMALL_STATE(5907)] = 167003,
  [SMALL_STATE(5908)] = 167011,
  [SMALL_STATE(5909)] = 167019,
  [SMALL_STATE(5910)] = 167027,
  [SMALL_STATE(5911)] = 167035,
  [SMALL_STATE(5912)] = 167043,
  [SMALL_STATE(5913)] = 167053,
  [SMALL_STATE(5914)] = 167061,
  [SMALL_STATE(5915)] = 167069,
  [SMALL_STATE(5916)] = 167077,
  [SMALL_STATE(5917)] = 167085,
  [SMALL_STATE(5918)] = 167093,
  [SMALL_STATE(5919)] = 167101,
  [SMALL_STATE(5920)] = 167109,
  [SMALL_STATE(5921)] = 167117,
  [SMALL_STATE(5922)] = 167125,
  [SMALL_STATE(5923)] = 167133,
  [SMALL_STATE(5924)] = 167141,
  [SMALL_STATE(5925)] = 167149,
  [SMALL_STATE(5926)] = 167157,
  [SMALL_STATE(5927)] = 167165,
  [SMALL_STATE(5928)] = 167173,
  [SMALL_STATE(5929)] = 167181,
  [SMALL_STATE(5930)] = 167189,
  [SMALL_STATE(5931)] = 167197,
  [SMALL_STATE(5932)] = 167205,
  [SMALL_STATE(5933)] = 167213,
  [SMALL_STATE(5934)] = 167221,
  [SMALL_STATE(5935)] = 167229,
  [SMALL_STATE(5936)] = 167237,
  [SMALL_STATE(5937)] = 167245,
  [SMALL_STATE(5938)] = 167253,
  [SMALL_STATE(5939)] = 167261,
  [SMALL_STATE(5940)] = 167269,
  [SMALL_STATE(5941)] = 167277,
  [SMALL_STATE(5942)] = 167285,
  [SMALL_STATE(5943)] = 167293,
  [SMALL_STATE(5944)] = 167301,
  [SMALL_STATE(5945)] = 167309,
  [SMALL_STATE(5946)] = 167317,
  [SMALL_STATE(5947)] = 167325,
  [SMALL_STATE(5948)] = 167333,
  [SMALL_STATE(5949)] = 167341,
  [SMALL_STATE(5950)] = 167349,
  [SMALL_STATE(5951)] = 167357,
  [SMALL_STATE(5952)] = 167365,
  [SMALL_STATE(5953)] = 167373,
  [SMALL_STATE(5954)] = 167381,
  [SMALL_STATE(5955)] = 167389,
  [SMALL_STATE(5956)] = 167397,
  [SMALL_STATE(5957)] = 167405,
  [SMALL_STATE(5958)] = 167413,
  [SMALL_STATE(5959)] = 167421,
  [SMALL_STATE(5960)] = 167429,
  [SMALL_STATE(5961)] = 167437,
  [SMALL_STATE(5962)] = 167445,
  [SMALL_STATE(5963)] = 167453,
  [SMALL_STATE(5964)] = 167461,
  [SMALL_STATE(5965)] = 167469,
  [SMALL_STATE(5966)] = 167477,
  [SMALL_STATE(5967)] = 167485,
  [SMALL_STATE(5968)] = 167493,
  [SMALL_STATE(5969)] = 167501,
  [SMALL_STATE(5970)] = 167509,
  [SMALL_STATE(5971)] = 167517,
  [SMALL_STATE(5972)] = 167525,
  [SMALL_STATE(5973)] = 167533,
  [SMALL_STATE(5974)] = 167543,
  [SMALL_STATE(5975)] = 167553,
  [SMALL_STATE(5976)] = 167561,
  [SMALL_STATE(5977)] = 167569,
  [SMALL_STATE(5978)] = 167577,
  [SMALL_STATE(5979)] = 167585,
  [SMALL_STATE(5980)] = 167593,
  [SMALL_STATE(5981)] = 167601,
  [SMALL_STATE(5982)] = 167609,
  [SMALL_STATE(5983)] = 167617,
  [SMALL_STATE(5984)] = 167625,
  [SMALL_STATE(5985)] = 167633,
  [SMALL_STATE(5986)] = 167641,
  [SMALL_STATE(5987)] = 167649,
  [SMALL_STATE(5988)] = 167657,
  [SMALL_STATE(5989)] = 167665,
  [SMALL_STATE(5990)] = 167673,
  [SMALL_STATE(5991)] = 167681,
  [SMALL_STATE(5992)] = 167689,
  [SMALL_STATE(5993)] = 167697,
  [SMALL_STATE(5994)] = 167705,
  [SMALL_STATE(5995)] = 167713,
  [SMALL_STATE(5996)] = 167721,
  [SMALL_STATE(5997)] = 167729,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4667),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(493),
  [122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 1),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(515),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 1),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(5687),
  [180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(492),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5919),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(418),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_pattern, 1, -1, 1),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(88),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1304),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1163),
  [357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2892),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5386),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3627),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1166),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3501),
  [378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5320),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5491),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4957),
  [390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(745),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(450),
  [399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5448),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5424),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4665),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4667),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5502),
  [417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(309),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(216),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5168),
  [432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4538),
  [435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4499),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3272),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(708),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3652),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(510),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5789),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3490),
  [459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(534),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(3910),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5918),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2132),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(4023),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1293),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(683),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1155),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5869),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5897),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(5767),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 88),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 88),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 240),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 240),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, 0, 54),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, 0, 54),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5495),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3639),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5497),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5576),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(45),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5987),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 7),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(205),
  [738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(217),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3495),
  [746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(3913),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 28),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 28),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5764),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_rest_pattern, 2, 0, 28),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 1), SHIFT(565),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(369),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3255),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [1018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [1022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [1032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [1034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [1040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [1046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [1072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [1162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [1164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [1166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [1176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [1190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [1230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [1232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [1246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [1250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1298),
  [1262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [1264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [1276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [1280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2332),
  [1326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [1444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [1482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [1494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [1516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [1524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [1552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [1556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [1560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [1568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [1570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5604),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4511),
  [1594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [1606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [1608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [1614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [1618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [1622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [1638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1, 0, 0),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, 0, 5),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, 0, 5),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5773),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2, 0, 0),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2, 0, 0),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1717] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(2962),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4, 0, 0),
  [1739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 105),
  [1741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 105),
  [1743] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0), REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0), SHIFT(3225),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 166),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 166),
  [1751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 166),
  [1753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 166),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 106),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 106),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 106),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 106),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 107),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 107),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 107),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 107),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 181),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 181),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 5, 0, 181),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 5, 0, 181),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, 0, 181),
  [1789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, 0, 181),
  [1791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 181),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 181),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, 0, 126),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, 0, 126),
  [1803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 126),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 126),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [1827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 194),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 194),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 194),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 194),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 195),
  [1843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 195),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 195),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 195),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 147),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 147),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 147),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 147),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 70),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 70),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 83),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3, 0, 83),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 229),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 229),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, 0, 229),
  [1883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, 0, 229),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [1887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 235),
  [1889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 235),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, 0, 235),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, 0, 235),
  [1895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, 0, 6),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, 0, 25),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, 0, 25),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 46),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 46),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 46),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 46),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3288),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [1937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1, 0, 0),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [1981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1209),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [1991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1, 0, 0),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [2079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [2097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [2109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [2115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [2133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1394),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [2169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [2173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [2179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [2181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [2197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [2209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [2221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [2223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [2225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [2229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [2233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5597),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [2255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [2264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [2281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2829),
  [2284] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(207),
  [2288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(420),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [2297] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym__property_name, 1, 0, 7), SHIFT(4903),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [2311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [2325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [2327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [2335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [2337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [2339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [2341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [2343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [2349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [2385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [2387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [2389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(207),
  [2392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [2394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(4903),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5596),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5900),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [2413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, 0, 11),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5624),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5622),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5805),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 42),
  [2457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 42),
  [2459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 4, 0, 100),
  [2465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 4, 0, 100),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 245),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 245),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 11),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 94),
  [2479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 94),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, 0, 280),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, 0, 280),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 34),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 34),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 46),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 46),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 41),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 41),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 244),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 244),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 43),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 43),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 44),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 44),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 44),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 44),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2, 0, 0),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 277),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 277),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 278),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 278),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 279),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 279),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 21),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 21),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, 0, 125),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, 0, 125),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 309),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 309),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, -1, 23),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, -1, 23),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, 0, 199),
  [2593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, 0, 199),
  [2595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, 0, 93),
  [2597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, 0, 93),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, 0, 30),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, 0, 30),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, 0, 139),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, 0, 139),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 142),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 142),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3, 0, 0),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 143),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 143),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 189),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 189),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 68),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 68),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 69),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 69),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 6, 0, 150),
  [2637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 6, 0, 150),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 11),
  [2651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [2659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 193),
  [2661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 193),
  [2663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 60),
  [2665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 60),
  [2667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 79),
  [2669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 79),
  [2671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 81),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 81),
  [2675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 186),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 186),
  [2679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 82),
  [2681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 82),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2, 0, 0),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 0),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, 0, 146),
  [2693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, 0, 146),
  [2695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, 0, 33),
  [2697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, 0, 33),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 150),
  [2701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 150),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, 0, 0),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, 0, 229),
  [2709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, 0, 229),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 204),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 204),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 35),
  [2721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, 0, 35),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, 0, 152),
  [2725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, 0, 152),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 147),
  [2729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 147),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 150),
  [2733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 150),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, 0, 271),
  [2737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, 0, 271),
  [2739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 197),
  [2741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 197),
  [2743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 232),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 4),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 166),
  [2753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 166),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, 0, 36),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, 0, 36),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, 0, 181),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, 0, 181),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, 0, 181),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, 0, 181),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 230),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 230),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 60),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 60),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 87),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 232),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 0),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 234),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 234),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, 0, 81),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, 0, 81),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 194),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 194),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 195),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 195),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3, 0, 0),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2, 0, 0),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, 0, 6),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, 0, 6),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 236),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 236),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 234),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 234),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 235),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 235),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, 0, 237),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, 0, 237),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 100),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 100),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, 0, 272),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, 0, 272),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 106),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 107),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 107),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 87),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 81),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 81),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, 0, 29),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, 0, 29),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 242),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 242),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, 0, 180),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, 0, 180),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 29),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 29),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, 0, 33),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, 0, 33),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 243),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 243),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 91),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 91),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, 0, 185),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, 0, 185),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 126),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 126),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 92),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 92),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 101),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 101),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [2951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 275),
  [2953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 275),
  [2955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 202),
  [2957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 202),
  [2959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, 0, 241),
  [2961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, 0, 241),
  [2963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, 0, 276),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, 0, 276),
  [2967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, 0, 203),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, 0, 203),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [2975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3504),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5668),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [3267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5734),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [3285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1694),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [3335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [3351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [3393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0), REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4583),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2, 0, 0),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 70),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 70),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 71),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 71),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 72),
  [3430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 72),
  [3432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 73),
  [3434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 73),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 70),
  [3438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 71),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, 0, 191),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, 0, 191),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 144),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 144),
  [3448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 0),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 0),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 7),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [3486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(5662),
  [3495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1073),
  [3498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 49),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0),
  [3518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(423),
  [3521] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(5949),
  [3528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1084),
  [3531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2, 0, 0),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [3537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [3543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 49), SHIFT(5380),
  [3546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(495),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0),
  [3551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), REDUCE(sym_primary_type, 1, 0, 49),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0),
  [3558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_pattern, 1, -1, 0),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, 0, 15),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, 0, 15),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 3, 0, 74),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 3, 0, 74),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20),
  [3577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT(3287),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT_REPEAT(3971),
  [3583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [3589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(242),
  [3592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2, 0, 0),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, 0, 70),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, 0, 70),
  [3604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_parenthesized_expression, 3, 0, 0),
  [3606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_parenthesized_expression, 3, 0, 0),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, 0, 2),
  [3616] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 49), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3624] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_predefined_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 28),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 71),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [3635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 70),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(376),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(567),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3237),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2084),
  [3669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [3785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1483),
  [3788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1799),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1732),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(3237),
  [3809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2774),
  [3812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20),
  [3814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1446),
  [3817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(350),
  [3820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(4478),
  [3823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(4481),
  [3826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2297),
  [3829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(5830),
  [3832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(3022),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(4103),
  [3838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1749),
  [3841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1971),
  [3844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2392),
  [3847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1736),
  [3850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(1988),
  [3853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2462),
  [3856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2728),
  [3859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 20), SHIFT_REPEAT(2789),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(2359),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1697),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(1985),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2085),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3478),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2091),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [3955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 13),
  [3957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 13),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4003] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), REDUCE(aux_sym_object_repeat1, 2, 0, 26), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 27),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [4009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 49),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 111),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 111),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [4021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 112),
  [4023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 112),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [4027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 0),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [4035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asserts, 2, 0, 0),
  [4037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 2, 0, 0),
  [4039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 51),
  [4041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 51),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [4045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_type, 1, 0, 50),
  [4047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 50),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2676),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 2, 0, 117),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 2, 0, 117),
  [4067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 70),
  [4069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 70),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [4073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1, 0, 0),
  [4077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 52),
  [4079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 52),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [4083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [4085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 53),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 53),
  [4093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 113),
  [4095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 113),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [4099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, 0, 114),
  [4101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, 0, 114),
  [4103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2, 0, 0),
  [4111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2, 0, 0),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2, 0, 0),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [4117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, 0, 8),
  [4119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, 0, 8),
  [4121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, 0, 0),
  [4125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2, 0, 0),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [4133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 115),
  [4135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 115),
  [4137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2, 0, 0),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2, 0, 0),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [4151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, 0, 116),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, 0, 116),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [4157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2, 0, 0),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [4163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 15),
  [4165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 15),
  [4167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3, 0, 0),
  [4171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 118),
  [4173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 118),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 119),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression_in_type_annotation, 2, 0, 119),
  [4179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 15),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 15),
  [4183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 169),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 169),
  [4187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 119),
  [4189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 119),
  [4191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 170),
  [4193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 170),
  [4195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, 0, 171),
  [4197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, 0, 171),
  [4199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [4201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_instantiation_expression, 2, 0, 172),
  [4203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [4207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3, 0, 0),
  [4221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 70), REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3, 0, 83), REDUCE(sym_nested_type_identifier, 3, 0, 173),
  [4231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 174),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 174),
  [4235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 175),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 175),
  [4239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 176),
  [4241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 176),
  [4243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 177),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 177),
  [4247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 178),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression_in_type_annotation, 3, 0, 178),
  [4251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3, 0, 0),
  [4255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3, 0, 0),
  [4257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [4259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [4263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [4265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [4267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 71),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 71),
  [4271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 175),
  [4273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 175),
  [4275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 176),
  [4277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 176),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [4281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 225),
  [4283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 225),
  [4285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 226),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 226),
  [4289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 177),
  [4293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, 0, 178),
  [4297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 89),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 89),
  [4301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, 0, 227),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, 0, 227),
  [4309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 4, 0, 116),
  [4311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 4, 0, 116),
  [4313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [4315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4, 0, 0),
  [4329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 58),
  [4333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 228),
  [4335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 228),
  [4337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 144),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 144),
  [4341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 266),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 266),
  [4345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, 0, 192),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, 0, 192),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 267),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 267),
  [4353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 268),
  [4355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, 0, 268),
  [4357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 269),
  [4363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 269),
  [4365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, 0, 270),
  [4367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, 0, 270),
  [4369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 15),
  [4371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 15),
  [4373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 302),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 302),
  [4377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [4379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [4381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 303),
  [4383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 303),
  [4385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 304),
  [4387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 304),
  [4389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 305),
  [4391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, 0, 305),
  [4393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 6, 0, 306),
  [4395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 6, 0, 306),
  [4397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiation_expression, 2, 0, 17),
  [4399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiation_expression, 2, 0, 17),
  [4401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 327),
  [4403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 327),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_satisfies_expression, 3, 0, 0),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [4419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, 0, 67),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 183),
  [4465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 183),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2295),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [4481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 67),
  [4483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67),
  [4485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [4487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [4489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 123),
  [4491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 124),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 124),
  [4495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 184),
  [4497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, -1, 184),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, 0, 196),
  [4501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, 0, 196),
  [4503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, 0, 122),
  [4505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, 0, 122),
  [4507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 12),
  [4509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 12),
  [4511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(163),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [4522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [4524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, 0, 179),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, 0, 179),
  [4528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, 0, 127),
  [4530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, 0, 127),
  [4532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, 0, 45),
  [4534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, 0, 45),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 128),
  [4538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, 0, 129),
  [4540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, 0, 130),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, 0, 130),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 190),
  [4546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 24),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 24),
  [4550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 74),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 74),
  [4554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 2, 0, 0),
  [4558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 56),
  [4562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 133),
  [4564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 133),
  [4566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 57),
  [4570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, 0, 12),
  [4574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [4576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [4578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 120),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 120),
  [4582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, 0, 121),
  [4586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 76),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 76),
  [4590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 135),
  [4592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 135),
  [4594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3, 0, 0),
  [4598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 137),
  [4600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 137),
  [4602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 138),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, -1, 138),
  [4606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, 0, 11),
  [4608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, 0, 11),
  [4610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 66),
  [4612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 26),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 26),
  [4616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [4620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(163),
  [4623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 16),
  [4625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 16),
  [4627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 75),
  [4629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 75),
  [4631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 145),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 145),
  [4635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 2, -1, 0),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 2, -1, 0),
  [4639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 4, 0, 122),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 4, 0, 122),
  [4643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 60),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 60),
  [4647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [4649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [4651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [4653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 77),
  [4655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, 0, 77),
  [4657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 26),
  [4659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, 0, 27),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 26),
  [4663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 54),
  [4665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 54),
  [4667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 55),
  [4669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 55),
  [4671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 60),
  [4673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 60),
  [4675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 3, 0, 64),
  [4677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 3, 0, 64),
  [4679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 64),
  [4681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 3, -1, 64),
  [4683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [4687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 148),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 148),
  [4691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, 0, 149),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, 0, 149),
  [4695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 8),
  [4699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(163),
  [4702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, 0, 123),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3, 0, 0),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 65),
  [4712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0),
  [4718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [4720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [4722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 50),
  [4725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_primary_type, 1, 0, 50),
  [4728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, 0, 80),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, 0, 80),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, 0, 66),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 22),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 8),
  [4740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(163),
  [4743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0), REDUCE(sym_template_literal_type, 2, 0, 0),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, 0, 26), REDUCE(sym_object_pattern, 3, 0, 27),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [4791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [4807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 7), SHIFT(5316),
  [4810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(168),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [4830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(162),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [4873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, 0, 37),
  [4875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, 0, 37),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [4879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(162),
  [4882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(162),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [4887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [4889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 27),
  [4891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [4903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(162),
  [4906] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [4910] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [4914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(168),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [4959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(168),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [4972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(168),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 84), REDUCE(sym_assignment_expression, 3, 0, 22),
  [4984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 84),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [4990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 84), REDUCE(sym_assignment_expression, 3, 0, 65),
  [4993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 65), REDUCE(sym_assignment_expression, 3, 0, 65),
  [4996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, 0, 65),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [5002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, 0, 88),
  [5004] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 88), SHIFT(521),
  [5007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2, 0, 0), REDUCE(sym_object_type, 2, 0, 0),
  [5010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0), REDUCE(sym_tuple_type, 2, 0, 0),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5021] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9),
  [5024] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 50),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9),
  [5068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, 0, 9), REDUCE(sym_primary_type, 1, 0, 50),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [5115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 37),
  [5117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 37),
  [5119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 50), REDUCE(sym__parameter_name, 2, 0, 37),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [5124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [5170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(169),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(169),
  [5176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(169),
  [5179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(169),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [5184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 95),
  [5186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 95),
  [5188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 3, 0, 99),
  [5190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, 0, 99),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [5198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, 0, 65),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [5206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 1, 0, 47),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2704),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [5260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 2, 0, 40),
  [5262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, 0, 40),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [5274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [5282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(171),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [5319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [5349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 155),
  [5351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 155),
  [5353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 4, 0, 157),
  [5355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, 0, 157),
  [5357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(171),
  [5360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(171),
  [5363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(171),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [5388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, 0, 0),
  [5393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__property_name, 1, 0, 0),
  [5396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__property_name, 1, 0, 0),
  [5398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3, 0, 0), REDUCE(sym_computed_property_name, 3, 0, 0),
  [5406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_computed_property_name, 3, 0, 0),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [5420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [5442] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_literal_type, 1, 0, 0), REDUCE(sym_rest_pattern, 2, 0, 0),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(164),
  [5491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4500),
  [5493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1, 0, 0),
  [5495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(164),
  [5498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(164),
  [5501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(164),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 5, 0, 205),
  [5524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, 0, 205),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2403),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [5546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [5624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [5640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [5644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(165),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [5663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(165),
  [5666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(165),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [5671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(165),
  [5674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 26), REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 27),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [5689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [5697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, 0, 26), REDUCE(sym_object_pattern, 3, 0, 27),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [5705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2, 0, 0), REDUCE(sym_object_pattern, 2, 0, 0),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [5714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [5716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1, 0, 0),
  [5718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [5728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 85),
  [5732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [5734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [5740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(597),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [5744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [5750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(170),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [5773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(170),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(170),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(170),
  [5782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 107), REDUCE(sym_class, 5, 0, 195),
  [5785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 107), REDUCE(sym_class, 5, 0, 195),
  [5788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, 0, 88), SHIFT(593),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 80),
  [5794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 2, 0, 11), REDUCE(sym_class, 3, 0, 80),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [5799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 5, 0, 166), REDUCE(sym_class, 6, 0, 235),
  [5802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 5, 0, 166), REDUCE(sym_class, 6, 0, 235),
  [5805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extends_clause_single, 2, 0, 108),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 67), SHIFT(172),
  [5850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 26),
  [5852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 46), REDUCE(sym_class, 4, 0, 147),
  [5855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 46), REDUCE(sym_class, 4, 0, 147),
  [5858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 148),
  [5861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 54), REDUCE(sym_class, 4, 0, 148),
  [5864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 149),
  [5867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 3, 0, 55), REDUCE(sym_class, 4, 0, 149),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [5872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [5880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [5882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 8), SHIFT(172),
  [5885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0), SHIFT(172),
  [5888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 8), SHIFT(172),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [5897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 106), REDUCE(sym_class, 5, 0, 194),
  [5900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 106), REDUCE(sym_class, 5, 0, 194),
  [5903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_class, 4, 0, 120), REDUCE(sym_class, 5, 0, 196),
  [5906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_class, 4, 0, 120), REDUCE(sym_class, 5, 0, 196),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2570),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [5969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 126),
  [5971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 126),
  [5973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 181),
  [5975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 181),
  [5977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 200),
  [5979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 200),
  [5981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 229),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 229),
  [5985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 153),
  [5987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 153),
  [5989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, 0, 238),
  [5991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 238),
  [5993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 273),
  [5995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 273),
  [5997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 307),
  [5999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 307),
  [6001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, 0, 274),
  [6003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 274),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [6007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 103),
  [6009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 103),
  [6011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 103), SHIFT_REPEAT(2674),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [6016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 86),
  [6018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 86),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [6022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, 0, 308),
  [6024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 308),
  [6026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 328),
  [6028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 328),
  [6030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, 0, 329),
  [6032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 329),
  [6034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0),
  [6038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, 0, 0), SHIFT_REPEAT(2671),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [6043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, 0, 344),
  [6045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, 0, 344),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [6067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, 0, 0),
  [6071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 2, 0, 11),
  [6075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 103),
  [6077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 3, 0, 103),
  [6079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_static_block, 3, 0, 54),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [6095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [6097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [6123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [6129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [6133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [6141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT_REPEAT(4103),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [6160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [6204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [6206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [6210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [6238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [6254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [6256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [6260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [6268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2599),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [6274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [6284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [6296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [6300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [6304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [6306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [6310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [6324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 14),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [6328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 14), SHIFT(3954),
  [6331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [6339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [6355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [6365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [6367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1, 0, 0),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [6371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5934),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 60),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [6471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [6475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 158),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [6483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 163),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [6499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [6501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 49), REDUCE(sym_jsx_namespace_name, 3, 0, 0),
  [6504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 104),
  [6506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [6512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [6514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [6516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [6518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [6520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 261),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [6526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [6530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_identifier, 1, 0, 1),
  [6534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, 0, 5),
  [6536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [6538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [6540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 255),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [6546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [6552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [6554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [6556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [6558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 214),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 216),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [6574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [6576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [6582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [6602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 300),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [6608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 158),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [6612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, 0, 5),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [6630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 60),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [6640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 255),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [6652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 214),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 158),
  [6666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 255),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 261),
  [6676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 5),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 163),
  [6680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 216),
  [6682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 214),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 60),
  [6686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 60),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [6694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 214),
  [6696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 255),
  [6698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 300),
  [6700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 104),
  [6702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 5),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 158),
  [6710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_type, 1, 0, 49), SHIFT(5380),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [6729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3286),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [6775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(282),
  [6778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(3267),
  [6781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0),
  [6783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(3851),
  [6786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [6792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [6794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [6796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3),
  [6798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [6800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [6802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [6804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19),
  [6808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [6810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [6812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [6814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [6816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [6818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [6824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [6826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [6830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [6836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 5), SHIFT(5468),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4083),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3677),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [6851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 326),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [6887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134), SHIFT_REPEAT(3540),
  [6890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134), SHIFT_REPEAT(296),
  [6893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134),
  [6895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, 0, 134), SHIFT_REPEAT(3540),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [6912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 293),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [6928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [6930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [6932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [6934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [6936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [6938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [6940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [6962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, 0, 0),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [6968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [6970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [6972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [6974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [6976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [6978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [6988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [6990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [6992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [6994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [6996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [6998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [7014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [7016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [7038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [7046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [7084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [7088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [7112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [7122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [7126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [7134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 27),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [7148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [7150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [7152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [7154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [7156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [7158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [7160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, 0, 0),
  [7162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [7164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [7166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [7168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [7170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [7172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [7174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [7176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [7178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [7180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [7182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2, 0, 0),
  [7184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [7186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [7188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [7190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [7192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [7194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [7196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2, 0, 0),
  [7200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [7202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [7204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [7206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [7208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [7212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [7214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [7216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [7218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [7220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [7222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [7224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [7226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [7228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [7230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [7234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [7236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [7238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [7240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [7242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [7244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [7246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [7248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adding_type_annotation, 2, 0, 0),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [7252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 247),
  [7254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 326),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [7258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [7260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 59),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [7264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [7266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 7),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [7270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 7),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, 0, 102),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [7282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, 0, 10),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [7292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 206),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [7298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, 0, 180),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [7302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 265),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [7306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, 0, 246),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 293),
  [7314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 0),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [7320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [7322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [7324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(495),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [7339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 285),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [7351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, 0, 286),
  [7353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [7360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [7362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [7364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [7372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_chain, 1, 0, 0),
  [7374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 125),
  [7376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 310),
  [7378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, 0, 311),
  [7380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 332),
  [7382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, 0, 337),
  [7384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, 0, 346),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [7388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 140),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [7396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 140),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [7402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 223),
  [7404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [7406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, 0, 162),
  [7408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [7410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, 0, 168),
  [7412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 224),
  [7414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(423),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [7437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 140),
  [7439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 140),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [7481] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3797),
  [7484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0),
  [7486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [7527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1, 0, 0),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [7535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [7539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, 0, 141),
  [7557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, 0, 141),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [7589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [7595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 18),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [7609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts_annotation, 2, 0, 0),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [7625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1437),
  [7628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [7634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(5755),
  [7637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0),
  [7639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [7652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, 0, 10),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2, 0, 0),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [7674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 20), SHIFT_REPEAT(4023),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [7691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2, 0, 0),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [7695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [7705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2, 0, 0),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [7719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, 0, 78),
  [7721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 295),
  [7723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 259),
  [7725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 299),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [7739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 3, -1, 60),
  [7741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 60),
  [7743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, 0, 61),
  [7745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, 0, 61),
  [7747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 3, -1, 64),
  [7749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 64),
  [7751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [7753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 257),
  [7755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [7757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [7777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 133),
  [7779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 133),
  [7781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2, 0, 0),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 135),
  [7787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 135),
  [7789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 137),
  [7791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 137),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [7797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 138),
  [7799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 138),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [7803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [7805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(944),
  [7808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(934),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [7829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1071),
  [7832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(942),
  [7835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [7837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [7847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(1074),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [7862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1109),
  [7865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(931),
  [7868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [7870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 2, -1, 0),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5200),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [7882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 249),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [7886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, 0, 253),
  [7888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 5, 0, 301),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [7894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 263),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [7902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4641),
  [7904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [7906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [7908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [7912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 210),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [7916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, 0, 212),
  [7918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 313),
  [7920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, 0, 314),
  [7922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 316),
  [7924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 319),
  [7926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, 0, 264),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [7934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 322),
  [7936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [7938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 249),
  [7940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 325),
  [7942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 31),
  [7944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [7954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 160),
  [7956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 89),
  [7958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 165),
  [7960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [7962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 3, 0, 0),
  [7964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, 0, 32),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [7972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2, 0, 0),
  [7974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 289),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [7978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0),
  [7980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1064),
  [7983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4310),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [7990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, 0, 292),
  [7992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 330),
  [7994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, 0, 331),
  [7996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 335),
  [7998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 340),
  [8000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 7),
  [8002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 7),
  [8004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [8006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [8008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 5, -1, 183),
  [8010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, -1, 183),
  [8012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 5, -1, 184),
  [8014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, -1, 184),
  [8016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 343),
  [8020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(1112),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [8033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, 0, 207),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [8037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, 0, 208),
  [8039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 210),
  [8041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 212),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [8045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 218),
  [8047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(938),
  [8050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 32),
  [8052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, 0, 3), SHIFT(1034),
  [8055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(935),
  [8058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, 0, 19), SHIFT(1037),
  [8061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, 0, 316),
  [8063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [8069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 349),
  [8071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 220),
  [8073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, 0, 110),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [8077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 281),
  [8079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, 0, 222),
  [8081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 283),
  [8083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, 0, 284),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 253),
  [8087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 289),
  [8089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, 0, 254),
  [8091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 160),
  [8093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 292),
  [8095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, 0, 89),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [8101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, 0, 32),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [8105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [8107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_string, 2, 0, 0),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [8111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 141),
  [8113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 141),
  [8115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3426),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [8119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 167),
  [8121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 167), SHIFT_REPEAT(395),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [8136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 231),
  [8138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 231), SHIFT_REPEAT(4542),
  [8141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, 0, 231),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [8147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4480),
  [8156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0),
  [8158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4480),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [8181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4493),
  [8184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0),
  [8186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4493),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [8193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 60),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [8199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 27),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [8205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 132),
  [8207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0),
  [8209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1, 0, 0), REDUCE(aux_sym_template_literal_type_repeat1, 1, 0, 0),
  [8212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [8220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [8228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 39),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [8234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, 0, 109),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [8238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, 0, 29),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [8242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3159),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [8246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [8257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4605),
  [8259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4464),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [8269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [8283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 187),
  [8285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 187),
  [8287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [8289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, 0, 188),
  [8291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, 0, 188),
  [8293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(274),
  [8296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [8300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, 0, 282),
  [8302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [8304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4552),
  [8307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [8309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(4553),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [8316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [8318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3765),
  [8321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [8329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [8331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, 0, 239),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [8339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [8343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, 0, 48),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [8355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_sequence_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(646),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [8370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 97),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [8374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [8398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 63),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [8404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [8406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 347),
  [8408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 260),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [8436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, 0, 0),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [8440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 298),
  [8442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3491),
  [8445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, 0, 0),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [8451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 256),
  [8453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 258),
  [8455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 294),
  [8457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 297),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [8461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 248),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [8465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 296),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [8469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 312),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [8487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [8493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 315),
  [8495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 317),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [8499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 318),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [8505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 7, 0, 310),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [8513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 320),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [8517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 321),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [8527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [8531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 323),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [8561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0), SHIFT_REPEAT(3379),
  [8564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, 0, 0),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [8570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, 0, 324),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [8604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 159),
  [8606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 262),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [8616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(4933),
  [8619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [8621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3, 0, 0),
  [8623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, 0, 125),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [8635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 161),
  [8637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 90),
  [8639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 250),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [8643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 251),
  [8645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, 0, 85),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [8651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1, 0, 0),
  [8653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [8657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, 0, 164),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [8661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, 0, 48),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [8701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [8705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_identifier, 1, 0, 0),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [8713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 333),
  [8715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 334),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [8719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5162),
  [8721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [8723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 336),
  [8725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 338),
  [8727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 339),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [8731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 341),
  [8733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [8751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2278),
  [8754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, 0, 0),
  [8756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, 0, 342),
  [8758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 89),
  [8760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 90),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [8766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, 0, 0),
  [8768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [8771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5825),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [8777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2, 0, 0),
  [8779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_export_name, 1, 0, 0),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [8785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [8787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [8797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 209),
  [8799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 211),
  [8801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 213),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [8807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 1, 0, 5),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [8813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 180),
  [8815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, 0, 206),
  [8817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 215),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [8821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 217),
  [8823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [8825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, 0, 31),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [8839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 345),
  [8841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 348),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [8845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, 0, 350),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [8851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 219),
  [8853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, 0, 221),
  [8855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 10, 0, 351),
  [8857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [8861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 246),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [8871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(265),
  [8874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, 0, 252),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [8878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0), SHIFT_REPEAT(5162),
  [8881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2, 0, 0),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [8885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 287),
  [8887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5201),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [8893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 288),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [8899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 290),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [8905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 233), SHIFT_REPEAT(2747),
  [8908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 233),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [8914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 2, 0, 60),
  [8916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, 0, 291),
  [8918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, 0, 0),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [8922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [8926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 285),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [8932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, 0, 247),
  [8934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, -1, 0), SHIFT(567),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [8941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, 0, 286),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [8947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(916),
  [8950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [8952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3, 0, 0),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [8958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(2427),
  [8961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [8963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, 0, 98),
  [8965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 201),
  [8967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 4, 0, 198),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [8977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 1, 0, 5),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [8985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 154),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [9019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 62),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [9033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [9037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1, 0, 0),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [9057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 3, 0, 151),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [9121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 131),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [9127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, 0, 32),
  [9129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, 0, 0),
  [9131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [9135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, 0, 38),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [9147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_specifier, 2, 0, 60),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [9155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 3, 0, 151),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [9167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 136),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [9177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, 0, 31),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [9213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [9215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_attribute, 2, 0, 0),
  [9217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [9231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, 0, 156),
  [9233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, 0, 89),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [9239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_specifier, 4, 0, 198),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [9263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [9275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, 0, 96),
  [9279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 182),
  [9281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [9293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [9295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [9297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [9373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [9379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [9381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [9383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [9385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [9389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [9391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [9393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [9395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [9397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [9399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_export, 3, 0, 0),
  [9401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [9403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [9405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [9407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2, 0, 0),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [9419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, 0, 0),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [9441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [9503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [9521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3, 0, 0),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [9563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [9585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, 0, 0),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [9595] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [9603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [9623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [9627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [9629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [9633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [9635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5821),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [9653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [9655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [9657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3, 0, 0),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [9711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [9713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [9715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5861),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [9721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [9733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [9735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [9737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2, 0, 0),
  [9739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [9741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [9743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [9745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [9747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [9755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [9757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [9761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, 0, 0),
  [9763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [9767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [9769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [9777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [9779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [9781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [9783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [9785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [9787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [9789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [9791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [9799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [9801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [9803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [9807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [9809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [9815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [9817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [9831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [9833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [9835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [9837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [9839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [9841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [9855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [9865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [9867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [9875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [9877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [9879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [9883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [9885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [9891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [9893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [9907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [9909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [9917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [9923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [9925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [9927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [9945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
  ts_external_token_html_comment = 3,
  ts_external_token_PIPE_PIPE = 4,
  ts_external_token_escape_sequence = 5,
  ts_external_token_regex_pattern = 6,
  ts_external_token_jsx_text = 7,
  ts_external_token__function_signature_automatic_semicolon = 8,
  ts_external_token___error_recovery = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
  [ts_external_token_html_comment] = sym_html_comment,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token_escape_sequence] = sym_escape_sequence,
  [ts_external_token_regex_pattern] = sym_regex_pattern,
  [ts_external_token_jsx_text] = sym_jsx_text,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[12][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token_escape_sequence] = true,
    [ts_external_token_jsx_text] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_html_comment] = true,
  },
  [3] = {
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
  },
  [6] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [7] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_jsx_text] = true,
  },
  [8] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [9] = {
    [ts_external_token__template_chars] = true,
    [ts_external_token_html_comment] = true,
  },
  [10] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_escape_sequence] = true,
  },
  [11] = {
    [ts_external_token_html_comment] = true,
    [ts_external_token_regex_pattern] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_tsx(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
